<?php

namespace App\Http\Controllers\Quran\Dua;

use App\Http\Controllers\Controller;
use App\Http\Resources\Quran\Dua\DuaCollection;
use App\Http\Resources\Quran\Dua\DuaDhikrCollection;
use App\Models\Quran\Dua\Dua;
use Illuminate\Http\Request;

class DuaController extends Controller
{
    public function index()
    {
        return Dua::query()->orderBy('position', 'asc')->paginate(10);
    }


    public function store(Request $request)
    {
        $request->validate([
            'en_short_name' => ['required', 'string', 'max:50'],
            'en_full_name' => ['required', 'string'],
            'ar_short_name' => ['required', 'string', 'max:50'],
            'ar_full_name' => ['required', 'string'],
            'position' => ['nullable', 'integer'],
        ]);


        Dua::query()->create($request->all());

        return response()->json([
            'status' => true,
            'message' => 'Dua created successfully',
            'data' => []
        ]);
    }

    public function show(Dua $dua)
    {
        return $dua;
    }

    public function update(Request $request, Dua $dua)
    {
        $request->validate([
            'en_short_name' => ['required', 'string', 'max:50'],
            'en_full_name' => ['required', 'string'],
            'ar_short_name' => ['required', 'string', 'max:50'],
            'ar_full_name' => ['required', 'string'],
            'position' => ['nullable', 'integer'],
        ]);

        $dua->update($request->all());

        return response()->json([
            'status' => true,
            'message' => 'Dua updated successfully',
            'data' => []
        ]);
    }

    public function destroy(Dua $dua)
    {
        $dua->delete();
        return response()->json([
            'status' => true,
            'message' => 'Dua deleted successfully',
            'data' => [],
        ]);
    }


}
