<?php

namespace Database\Seeders\Quran\Chapter;

use App\Models\Quran\Chapter\Chapter;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ChapterSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $chapters = array(
            array('id' => '1', 'arabic_name' => 'الفاتحة','verses_count' => '7','revelation_place' => 'makkah','revelation_order' => '5','bismillah_pre' => '0','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '2','arabic_name' => 'البقرة','verses_count' => '286','revelation_place' => 'madinah','revelation_order' => '87','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '3','arabic_name' => 'آل عمران','verses_count' => '200','revelation_place' => 'madinah','revelation_order' => '89','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '4','arabic_name' => 'النساء','verses_count' => '176','revelation_place' => 'madinah','revelation_order' => '92','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '5','arabic_name' => 'المائدة','verses_count' => '120','revelation_place' => 'madinah','revelation_order' => '112','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '6','arabic_name' => 'الأنعام','verses_count' => '165','revelation_place' => 'makkah','revelation_order' => '55','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '7','arabic_name' => 'الأعراف','verses_count' => '206','revelation_place' => 'makkah','revelation_order' => '39','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '8','arabic_name' => 'الأنفال','verses_count' => '75','revelation_place' => 'madinah','revelation_order' => '88','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '9','arabic_name' => 'التوبة','verses_count' => '129','revelation_place' => 'madinah','revelation_order' => '113','bismillah_pre' => '0','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '10','arabic_name' => 'يونس','verses_count' => '109','revelation_place' => 'makkah','revelation_order' => '51','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '11','arabic_name' => 'هود','verses_count' => '123','revelation_place' => 'makkah','revelation_order' => '52','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '12','arabic_name' => 'يوسف','verses_count' => '111','revelation_place' => 'makkah','revelation_order' => '53','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '13','arabic_name' => 'الرعد','verses_count' => '43','revelation_place' => 'madinah','revelation_order' => '96','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '14','arabic_name' => 'ابراهيم','verses_count' => '52','revelation_place' => 'makkah','revelation_order' => '72','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '15','arabic_name' => 'الحجر','verses_count' => '99','revelation_place' => 'makkah','revelation_order' => '54','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '16','arabic_name' => 'النحل','verses_count' => '128','revelation_place' => 'makkah','revelation_order' => '70','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '17','arabic_name' => 'الإسراء','verses_count' => '111','revelation_place' => 'makkah','revelation_order' => '50','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '18','arabic_name' => 'الكهف','verses_count' => '110','revelation_place' => 'makkah','revelation_order' => '69','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '19','arabic_name' => 'مريم','verses_count' => '98','revelation_place' => 'makkah','revelation_order' => '44','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '20','arabic_name' => 'طه','verses_count' => '135','revelation_place' => 'makkah','revelation_order' => '45','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '21','arabic_name' => 'الأنبياء','verses_count' => '112','revelation_place' => 'makkah','revelation_order' => '73','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '22','arabic_name' => 'الحج','verses_count' => '78','revelation_place' => 'madinah','revelation_order' => '103','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '23','arabic_name' => 'المؤمنون','verses_count' => '118','revelation_place' => 'makkah','revelation_order' => '74','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '24','arabic_name' => 'النور','verses_count' => '64','revelation_place' => 'madinah','revelation_order' => '102','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '25','arabic_name' => 'الفرقان','verses_count' => '77','revelation_place' => 'makkah','revelation_order' => '42','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '26','arabic_name' => 'الشعراء','verses_count' => '227','revelation_place' => 'makkah','revelation_order' => '47','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '27','arabic_name' => 'النمل','verses_count' => '93','revelation_place' => 'makkah','revelation_order' => '48','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '28','arabic_name' => 'القصص','verses_count' => '88','revelation_place' => 'makkah','revelation_order' => '49','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '29','arabic_name' => 'العنكبوت','verses_count' => '69','revelation_place' => 'makkah','revelation_order' => '85','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '30','arabic_name' => 'الروم','verses_count' => '60','revelation_place' => 'makkah','revelation_order' => '84','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '31','arabic_name' => 'لقمان','verses_count' => '34','revelation_place' => 'makkah','revelation_order' => '57','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '32','arabic_name' => 'السجدة','verses_count' => '30','revelation_place' => 'makkah','revelation_order' => '75','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '33','arabic_name' => 'الأحزاب','verses_count' => '73','revelation_place' => 'madinah','revelation_order' => '90','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '34','arabic_name' => 'سبإ','verses_count' => '54','revelation_place' => 'makkah','revelation_order' => '58','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '35','arabic_name' => 'فاطر','verses_count' => '45','revelation_place' => 'makkah','revelation_order' => '43','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '36','arabic_name' => 'يس','verses_count' => '83','revelation_place' => 'makkah','revelation_order' => '41','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '37','arabic_name' => 'الصافات','verses_count' => '182','revelation_place' => 'makkah','revelation_order' => '56','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '38','arabic_name' => 'ص','verses_count' => '88','revelation_place' => 'makkah','revelation_order' => '38','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '39','arabic_name' => 'الزمر','verses_count' => '75','revelation_place' => 'makkah','revelation_order' => '59','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '40','arabic_name' => 'غافر','verses_count' => '85','revelation_place' => 'makkah','revelation_order' => '60','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '41','arabic_name' => 'فصلت','verses_count' => '54','revelation_place' => 'makkah','revelation_order' => '61','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '42','arabic_name' => 'الشورى','verses_count' => '53','revelation_place' => 'makkah','revelation_order' => '62','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '43','arabic_name' => 'الزخرف','verses_count' => '89','revelation_place' => 'makkah','revelation_order' => '63','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '44','arabic_name' => 'الدخان','verses_count' => '59','revelation_place' => 'makkah','revelation_order' => '64','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '45','arabic_name' => 'الجاثية','verses_count' => '37','revelation_place' => 'makkah','revelation_order' => '65','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '46','arabic_name' => 'الأحقاف','verses_count' => '35','revelation_place' => 'makkah','revelation_order' => '66','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '47','arabic_name' => 'محمد','verses_count' => '38','revelation_place' => 'madinah','revelation_order' => '95','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '48','arabic_name' => 'الفتح','verses_count' => '29','revelation_place' => 'madinah','revelation_order' => '111','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '49','arabic_name' => 'الحجرات','verses_count' => '18','revelation_place' => 'madinah','revelation_order' => '106','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '50','arabic_name' => 'ق','verses_count' => '45','revelation_place' => 'makkah','revelation_order' => '34','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '51','arabic_name' => 'الذاريات','verses_count' => '60','revelation_place' => 'makkah','revelation_order' => '67','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '52','arabic_name' => 'الطور','verses_count' => '49','revelation_place' => 'makkah','revelation_order' => '76','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '53','arabic_name' => 'النجم','verses_count' => '62','revelation_place' => 'makkah','revelation_order' => '23','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '54','arabic_name' => 'القمر','verses_count' => '55','revelation_place' => 'makkah','revelation_order' => '37','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '55','arabic_name' => 'الرحمن','verses_count' => '78','revelation_place' => 'madinah','revelation_order' => '97','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '56','arabic_name' => 'الواقعة','verses_count' => '96','revelation_place' => 'makkah','revelation_order' => '46','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '57','arabic_name' => 'الحديد','verses_count' => '29','revelation_place' => 'madinah','revelation_order' => '94','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '58','arabic_name' => 'المجادلة','verses_count' => '22','revelation_place' => 'madinah','revelation_order' => '105','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '59','arabic_name' => 'الحشر','verses_count' => '24','revelation_place' => 'madinah','revelation_order' => '101','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '60','arabic_name' => 'الممتحنة','verses_count' => '13','revelation_place' => 'madinah','revelation_order' => '91','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '61','arabic_name' => 'الصف','verses_count' => '14','revelation_place' => 'madinah','revelation_order' => '109','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '62','arabic_name' => 'الجمعة','verses_count' => '11','revelation_place' => 'madinah','revelation_order' => '110','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '63','arabic_name' => 'المنافقون','verses_count' => '11','revelation_place' => 'madinah','revelation_order' => '104','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '64','arabic_name' => 'التغابن','verses_count' => '18','revelation_place' => 'madinah','revelation_order' => '108','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '65','arabic_name' => 'الطلاق','verses_count' => '12','revelation_place' => 'madinah','revelation_order' => '99','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '66','arabic_name' => 'التحريم','verses_count' => '12','revelation_place' => 'madinah','revelation_order' => '107','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '67','arabic_name' => 'الملك','verses_count' => '30','revelation_place' => 'makkah','revelation_order' => '77','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '68','arabic_name' => 'القلم','verses_count' => '52','revelation_place' => 'makkah','revelation_order' => '2','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '69','arabic_name' => 'الحاقة','verses_count' => '52','revelation_place' => 'makkah','revelation_order' => '78','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '70','arabic_name' => 'المعارج','verses_count' => '44','revelation_place' => 'makkah','revelation_order' => '79','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '71','arabic_name' => 'نوح','verses_count' => '28','revelation_place' => 'makkah','revelation_order' => '71','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '72','arabic_name' => 'الجن','verses_count' => '28','revelation_place' => 'makkah','revelation_order' => '40','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '73','arabic_name' => 'المزمل','verses_count' => '20','revelation_place' => 'makkah','revelation_order' => '3','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '74','arabic_name' => 'المدثر','verses_count' => '56','revelation_place' => 'makkah','revelation_order' => '4','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '75','arabic_name' => 'القيامة','verses_count' => '40','revelation_place' => 'makkah','revelation_order' => '31','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '76','arabic_name' => 'الانسان','verses_count' => '31','revelation_place' => 'madinah','revelation_order' => '98','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '77','arabic_name' => 'المرسلات','verses_count' => '50','revelation_place' => 'makkah','revelation_order' => '33','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '78','arabic_name' => 'النبإ','verses_count' => '40','revelation_place' => 'makkah','revelation_order' => '80','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '79','arabic_name' => 'النازعات','verses_count' => '46','revelation_place' => 'makkah','revelation_order' => '81','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '80','arabic_name' => 'عبس','verses_count' => '42','revelation_place' => 'makkah','revelation_order' => '24','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '81','arabic_name' => 'التكوير','verses_count' => '29','revelation_place' => 'makkah','revelation_order' => '7','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '82','arabic_name' => 'الإنفطار','verses_count' => '19','revelation_place' => 'makkah','revelation_order' => '82','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '83','arabic_name' => 'المطففين','verses_count' => '36','revelation_place' => 'makkah','revelation_order' => '86','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '84','arabic_name' => 'الإنشقاق','verses_count' => '25','revelation_place' => 'makkah','revelation_order' => '83','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '85','arabic_name' => 'البروج','verses_count' => '22','revelation_place' => 'makkah','revelation_order' => '27','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '86','arabic_name' => 'الطارق','verses_count' => '17','revelation_place' => 'makkah','revelation_order' => '36','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '87','arabic_name' => 'الأعلى','verses_count' => '19','revelation_place' => 'makkah','revelation_order' => '8','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '88','arabic_name' => 'الغاشية','verses_count' => '26','revelation_place' => 'makkah','revelation_order' => '68','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '89','arabic_name' => 'الفجر','verses_count' => '30','revelation_place' => 'makkah','revelation_order' => '10','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '90','arabic_name' => 'البلد','verses_count' => '20','revelation_place' => 'makkah','revelation_order' => '35','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '91','arabic_name' => 'الشمس','verses_count' => '15','revelation_place' => 'makkah','revelation_order' => '26','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '92','arabic_name' => 'الليل','verses_count' => '21','revelation_place' => 'makkah','revelation_order' => '9','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '93','arabic_name' => 'الضحى','verses_count' => '11','revelation_place' => 'makkah','revelation_order' => '11','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '94','arabic_name' => 'الشرح','verses_count' => '8','revelation_place' => 'makkah','revelation_order' => '12','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '95','arabic_name' => 'التين','verses_count' => '8','revelation_place' => 'makkah','revelation_order' => '28','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '96','arabic_name' => 'العلق','verses_count' => '19','revelation_place' => 'makkah','revelation_order' => '1','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '97','arabic_name' => 'القدر','verses_count' => '5','revelation_place' => 'makkah','revelation_order' => '25','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '98','arabic_name' => 'البينة','verses_count' => '8','revelation_place' => 'madinah','revelation_order' => '100','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '99','arabic_name' => 'الزلزلة','verses_count' => '8','revelation_place' => 'madinah','revelation_order' => '93','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '100','arabic_name' => 'العاديات','verses_count' => '11','revelation_place' => 'makkah','revelation_order' => '14','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '101','arabic_name' => 'القارعة','verses_count' => '11','revelation_place' => 'makkah','revelation_order' => '30','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '102','arabic_name' => 'التكاثر','verses_count' => '8','revelation_place' => 'makkah','revelation_order' => '16','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '103','arabic_name' => 'العصر','verses_count' => '3','revelation_place' => 'makkah','revelation_order' => '13','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '104','arabic_name' => 'الهمزة','verses_count' => '9','revelation_place' => 'makkah','revelation_order' => '32','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '105','arabic_name' => 'الفيل','verses_count' => '5','revelation_place' => 'makkah','revelation_order' => '19','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '106','arabic_name' => 'قريش','verses_count' => '4','revelation_place' => 'makkah','revelation_order' => '29','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '107','arabic_name' => 'الماعون','verses_count' => '7','revelation_place' => 'makkah','revelation_order' => '17','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '108','arabic_name' => 'الكوثر','verses_count' => '3','revelation_place' => 'makkah','revelation_order' => '15','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '109','arabic_name' => 'الكافرون','verses_count' => '6','revelation_place' => 'makkah','revelation_order' => '18','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '110','arabic_name' => 'النصر','verses_count' => '3','revelation_place' => 'madinah','revelation_order' => '114','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '111','arabic_name' => 'المسد','verses_count' => '5','revelation_place' => 'makkah','revelation_order' => '6','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '112','arabic_name' => 'الإخلاص','verses_count' => '4','revelation_place' => 'makkah','revelation_order' => '22','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '113','arabic_name' => 'الفلق','verses_count' => '5','revelation_place' => 'makkah','revelation_order' => '20','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48'),
            array('id' => '114','arabic_name' => 'الناس','verses_count' => '6','revelation_place' => 'makkah','revelation_order' => '21','bismillah_pre' => '1','created_at' => '2023-11-30 10:24:48','updated_at' => '2023-11-30 10:24:48')
        );
        Chapter::query()->insert($chapters);
    }
}
