<?php

namespace Database\Seeders\Quran\SifatName;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SifatNameSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $sifatNameArray = array(
            array(
                'name_number' => "1",
                'name_arabic' => "ٱلْرَّحْمَـانُ",
                'name_title' => "THE COMPASSIONATE",
                'name_english' => "AR-RAHMAAN",
                'name_meaning' =>
                    "He is the One who wills Mercy and good for all creation, at all times, He pours upon all creation infinite bounties.",
                'name_benefits' =>
                    "If this ism is recited 100 times daily after every salaah, if Allah wills, hard-heartedness, and negligence will be removed from the reader's heart."),
            array(
                'name_number' => "2",
                'name_arabic' => "ٱلْرَّحِيْمُ",
                'name_title' => "THE MOST MERCIFUL",
                'name_english' => "AR-RAHEEM",
                'name_meaning' =>
                    "He is the source of infinite mercy and beneficence, who rewards with eternal gifts the one who uses his bounties for the good.",
                'name_benefits' =>
                    "If recited daily after every salaah 100 times, the reciter will be safeguarded against all calamities, and maladies and the entire creation will become affectionate towards him - Insha-Allah."),
            array(
                'name_number' => "3",
                'name_arabic' => "ٱلْمَلِكُ",
                'name_title' => "THE SOVEREIGN",
                'name_english' => "AL-MALIK",
                'name_meaning' =>
                    "He is the owner and ruler of the entire universe, visible and invisible, and of all creation, from before the beginning and after the end.",
                'name_benefits' =>
                    "If read abundantly each day after Zawaal, the reader will be given abundant wealth - Insha-Allah."),
            array(
                'name_number' => "4",
                'name_arabic' => "ٱلْقُدُّوسُ",
                'name_title' => "THE HOLY ONE & ONE WHO IS FREE FROM ALL BLEMISHES",
                'name_english' => "AL-QUDDUS",
                'name_meaning' =>
                    "He is the purest one, devoid of all Blemish, Shortcoming, Weakness, Heedlessness, and Error.",
                'name_benefits' =>
                    "Allah will cure of all spiritual sickness the one who recites this name abundantly each day."),
            array(
                'name_number' => "5",
                'name_arabic' => "ٱلْسَّلَامُ",
                'name_title' => "THE GIVER OF PEACE OR ONE WHO IS IMMUNED FROM ALL DISTRESSES",
                'name_english' => "AS-SALAM",
                'name_meaning' =>
                    "He is the One who saves the believing servants from all dangers, bringing them peace, blessings, and security of paradise.",
                'name_benefits' =>
                    "Anyone who recites this ism continually, Allah will protect him from all calamities and maladies. If said 115 times and blown on a sick person, Insha-Allah, Allah will restore his health."),
            array(
                'name_number' => "6",
                'name_arabic' => "ٱلْمُؤْمِنُ",
                'name_title' => "GIVER OF PEACE",
                'name_english' => "AL-MU’MIN",
                'name_meaning' =>
                    "He is the illuminator of the light of faith in hearts. He is the Comforter, the Protector of the ones who take refuge in Him.",
                'name_benefits' =>
                    "Whoever says this Name 630 times in times of fear, Allah will protect him from all calamities, mishaps, and losses. If anyone writes it (on paper or by engraving it on a silver ring) and keeps it with him (as tajweed), his physical and spiritual safety will remain the responsibility of Allah."),
            array(
                'name_number' => "7",
                'name_arabic' => "ٱلْمُهَيْمِنُ",
                'name_title' => "THE GIVER OF PROTECTION",
                'name_english' => "AL-MUHAYMIN",
                'name_meaning' =>
                    "He is the Protector and the Guardian. He is the One who sees to the growth of His creation, leading them where they are destined to go.",
                'name_benefits' =>
                    "Anyone who offers 2 rakaat salaah after ghusl and reads with sincerity this Ism 100 times, Allah will purify him physically as well as spiritually. Also, Allah will acquaint one with the unseen if one reads it 115 times."),
            array(
                'name_number' => "8",
                'name_arabic' => "ٱلْعَزِيزُ",
                'name_title' => "THE MIGHTY",
                'name_english' => "AL-AZEEZ",
                'name_meaning' =>
                    "He is the victorious One whom no force can overwhelm. There is no strength in this universe that can stand before His will.",
                'name_benefits' =>
                    "Anyone who says this Ism 40 times each day for 40 days, Allah will grant him honor and self-sufficiency. If read 41 times daily with constancy, the reader will become self-sufficient and will attain honor if he is treated with dishonor."),
            array(
                'name_number' => "9",
                'name_arabic' => "ٱلْجَبَّارُ",
                'name_title' => "THE OVERPOWERING LORD",
                'name_english' => "AL-JABBAR",
                'name_meaning' =>
                    "He is the repairer of the broken, the completer of the lacking, the one who can enforce His will without any opposition.",
                'name_benefits' =>
                    "Anyone who says this Ism 226 times each morning and each evening will be safeguarded against the oppression of tyrants and despots. If anyone engraves it on a silver ring and wears it, his awe and magnificence will become inborn in the hearts of people - Insha-Allah."),
            array(
                'name_number' => "10",
                'name_arabic' => "ٱلْمُتَكَبِّرُ",
                'name_title' => "THE SELF GLORIOUS",
                'name_english' => "AL-MUTAKABBIR ",
                'name_meaning' =>
                    "He is the greatest, who shows His greatness in everything, on all occasions.",
                'name_benefits' =>
                    "The constant reciter of this Beautiful Name will be granted honor and greatness. If read continually before any task, it will be accomplished - Insha-Allah."),
            array(
                'name_number' => "11",
                'name_arabic' => "ٱلْخَالِقُ",
                'name_title' => "THE CREATOR",
                'name_english' => "AL-KHAALIQ",
                'name_meaning' =>
                    "He is the one who creates from nothing, creating at the same time the states, conditions, and sustenance of all that He has created. He establishes how, when, and where creation will take place.",
                'name_benefits' =>
                    "Anyone who recites this Name of Allah 100 times for 7 days, will be safeguarded against all adverstities - Insha-Allah. And one who forms the habit of its continuous recital, Allah will appoint an angel who will worship Allah continuously on his behalf."),
            array(
                'name_number' => "12",
                'name_arabic' => "ٱلْبَارِئُ",
                'name_title' => "ONE WHO GIVES LIFE",
                'name_english' => "AL-BAARI",
                'name_meaning' =>
                    "He is the one who orders His creation with perfect harmony - not only each thing within itself but everything in accordance with everything else.",
                'name_benefits' =>
                    "If a barren woman fasts for 7 days and each day, after making iftar with water reads اَلْبَارِئُ اَلْمُصَوِّرُ twenty-one times, Allah will grant her male children - Insha-Allah."),
            array(
                'name_number' => "13",
                'name_arabic' => "ٱلْمُصَوِّرُ",
                'name_title' => "FASHIONER OF SHAPES",
                'name_english' => "AL-MUSAWWIR",
                'name_meaning' =>
                    "He is the one who, without using any model, shapes everything in the most perfect shape.",
                'name_benefits' =>
                    "If a barren woman fasts for 7 days and each day, after making iftar with water reads اَلْبَارِئُ اَلْمُصَوِّرُ twenty-one times, Allah will grant her male children - Insha-Allah."),
            array(
                'name_number' => "14",
                'name_arabic' => "ٱلْغَفَّارُ",
                'name_title' => "EXCEEDINGLY FORGIVING",
                'name_english' => "AL-GHAFFAR",
                'name_meaning' => "He is the One who accepts repentance and forgives.",
                'name_benefits' =>
                    "Any person who recites this Ism 100 times after Jumu’ah salaah will soon begin to perceive Allah’s forgiveness. And anyone who says يَاغَفََّارُ اِغْفِرْلِى daily after Asr salaah, Allah will include him amongst those whom He has forgiven."),
            array(
                'name_number' => "15",
                'name_arabic' => "ٱلْقَهَّارُ",
                'name_title' => "ONE WHO HAS CONTROL OVER ALL THINGS",
                'name_english' => "AL-QAHHAR",
                'name_meaning' =>
                    "He is the ever-dominating One, who has surrounded all His creation from without and within with His irresistible power. Nothing can escape Him.",
                'name_benefits' =>
                    "One who is fully inclined towards this world should say this Ism continually: if Allah wills, he will be freed from the love of this world and, instead, Allah’s love will become inborn in his heart."),
            array(
                'name_number' => "16",
                'name_arabic' => "ٱلْوَهَّابُ",
                'name_title' => "THE BESTOWER",
                'name_english' => "AL-WAHHAAB",
                'name_meaning' =>
                    "If a poverty-stricken person recites this name of Allah continuously or writes it and keeps it on him (as Tweeze) or recites this name of Allah 40 times in the last sajdah of Salaat-ud-Doha (Chast prayer), Allah will free him from poverty in an unexpected and amazing manner. Insha-Allah.",
                'name_benefits' =>
                    "For a particular need to be fulfilled, observe sajdah 3 times in the courtyard of the house or Masjid (Mosque) and then lift your hands (as in Du'a) and recite this name of Allah 100 times, Allah will fulfill your need. Insha-Allah."),
            array(
                'name_number' => "17",
                'name_arabic' => "ٱلْرَّزَّاقُ",
                'name_title' => "THE SUSTAINER AND PROVIDER",
                'name_english' => "AR-RAZZAAQ",
                'name_meaning' =>
                    "He is the Sustainer. Sustenance is needed to maintain the creation (both physical and spiritual sustenance).",
                'name_benefits' =>
                    "Anyone who blows in all four corners of his house after saying this Name 10 times in each corner before Fajr, Allah will open for him the doors of rizq (sustenance); sickness and poverty will never enter his home. (Note: begin from the right-hand corner while facing Qiblah)"),
            array(
                'name_number' => "18",
                'name_arabic' => "ٱلْفَتَّاحُ",
                'name_title' => "REMOVER OF DIFFICULTIES & GIVER OF DECISIONS",
                'name_english' => "AL-FATTAAH",
                'name_meaning' =>
                    "He is the Opener & the Solver, the Easer of all that is locked, tied, and hardened.",
                'name_benefits' =>
                    "Anyone who places both hands on his bosom after Fajr salaah & says this name 70 times, Insha-Allah his heart will be illuminated with the “Noor” of Imaan."),
            array(
                'name_number' => "19",
                'name_arabic' => "ٱلْعَلِيمُ",
                'name_title' => "THE ALL-KNOWING",
                'name_english' => "AL-‘ALEEM",
                'name_meaning' =>
                    "He is the One who knows all. He knows what has happened, what is happening, and what will happen from the beginning to the end.",
                'name_benefits' =>
                    "Anyone who recites this name much, Allah will open the gates of knowledge & wisdom for them. Moreover, their heart will be filled with the Ma’rifah (cognizance) of Allah."),
            array(
                'name_number' => "20",
                'name_arabic' => "ٱلْقَابِضُ",
                'name_title' => "THE STRAIGHTENER OF SUSTENANCE",
                'name_english' => "AL-QAABID",
                'name_meaning' =>
                    "He is the One who constricts. All existence is in the power of Allah. The-life on this planet is a test for us, but Allah does not test his servants above their ability.",
                'name_benefits' =>
                    "Whoever writes (with saffron or by mere action of one's finger) this Ism of Allah on four morsels of bread (roti) each day for 4 days and eats them, will be safeguarded against hunger, thirst, injuries, pain, etc. – Insha-Allah."),
            array(
                'name_number' => "21",
                'name_arabic' => "ٱلْبَاسِطُ",
                'name_title' => "THE STRAIGHTENER OF SUSTENANCE",
                'name_english' => "AL-BAASIT",
                'name_meaning' =>
                    "He is the one who releases abundance, joy, relief, and eases after difficulties. These are manifestations of His attribute Al-Baasit.",
                'name_benefits' =>
                    "Lift the hands towards the heavens (as in dua) after Salaatud Doha(Chast) and say this Name 10 times. Thereafter pass the hands across the face (as when finishing Dua): Insha-Allah self-sufficiency and independence will be granted by Allah. This must be done daily."),
            array(
                'name_number' => "22",
                'name_arabic' => "ٱلْخَافِضُ",
                'name_title' => "HE IS THE ABASER, THE ONE WHO HUMBLES AND LOWERS",
                'name_english' => "AL-KHAAFIDH",
                'name_meaning' =>
                    "Allah most high is the One who raises His creatures to honor and fame and who can cast them down to the lowest of the low.",
                'name_benefits' =>
                    "Anyone who says this Name 500 times, Allah will fulfill all his needs and remove all his difficulties – Insha-Allah. One who fasts for 3 days and on the fourth day says this Beautiful Name 70 times while sitting in seclusion, will gain victory over his enemy – if Allah wills."),
            array(
                'name_number' => "23",
                'name_arabic' => "ٱلْرَّافِعُ",
                'name_title' => "THE EXALTER",
                'name_english' => "AR-RAAFI",
                'name_meaning' =>
                    "Allah most high is the One who raises His creatures to honor and fame and who can cast them down to the lowest of the low.",
                'name_benefits' =>
                    "Any person who says this Ism 100 times in the middle of the 14th night of every lunar month, Allah will grant him self-sufficiency and independence of the entire creation – Insha-Allah."),
            array(
                'name_number' => "24",
                'name_arabic' => "ٱلْمُعِزُّ",
                'name_title' => "THE GIVER OF HONOUR",
                'name_english' => "AL-MU’IZZ",
                'name_meaning' => "He is the One who honors and the One who humiliates.",
                'name_benefits' =>
                    "If this beautiful name of Allah is said 40 times after Maghrib on every Monday and Friday, Allah will grant the reader honor and reverence - Insha-Allah."),
            array(
                'name_number' => "25",
                'name_arabic' => "ٱلْمُذِلُّ",
                'name_title' => "THE GIVER OF DISHONOUR",
                'name_english' => "AL-MUZIL",
                'name_meaning' => "He is the One who honors and the One who humiliates.",
                'name_benefits' =>
                    "Whoever makes dua for protection after saying this Ism 75 times, Allah will protect him from the evils of envious persons, oppressors, and enemies - Insha-Allah. If there is a particular enemy whom one fears then after saying the Name in the manner mentioned above, one may observe sajdah wherein one may invoke Allah’s help against ones enemy by actually mentioning his name in sajdah thus: “O Allah! Protect me from the evils of Zaid or Bakar.” If Allah wills he will be granted protection."),
            array(
                'name_number' => "26",
                'name_arabic' => "ٱلْسَّمِيعُ",
                'name_title' => "THE ALL HEARING",
                'name_english' => "AS-SAMEE",
                'name_meaning' =>
                    "He is the one who hears all – that which comes from the lips passes through the minds, is felt by the hearts, the rustling of leaves in the wind, the footsteps of ants and atoms moving through the void.",
                'name_benefits' =>
                    "One who says this beautiful Name 500 or 50 times on Thursday after offering salatud-Doha (Chast), all his duaas will be assuredly granted – Insha-Allah. It is necessary that no talking is done during the course of reciting it. If anyone reads it 100 times on a Thursday between the Sunnah and Fardh of Fajr, Allah will favor him with His special blessings – Insha-Allah."),
            array(
                'name_number' => "27",
                'name_arabic' => "ٱلْبَصِيرُ",
                'name_title' => "THE SEER OR ONE WHO SEES ALL THINGS",
                'name_english' => "AL-BASEER",
                'name_meaning' =>
                    "He is the One who is all-seeing. He sees all that has passed, all there is, and all there will be until the end of time.",
                'name_benefits' =>
                    "One who says this Name 100 times after Jumu’ah prayers constantly, Allah will grant strength to his eye-sight and light (Noor) to his heart - Insha-Allah."),
            array(
                'name_number' => "28",
                'name_arabic' => "ٱلْحَكَمُ",
                'name_title' => "MAKER OF IMMUTABLE JUDGEMENTS",
                'name_english' => "AL-HAKAM",
                'name_meaning' =>
                    "He is the One who orders. He is the bringer of justice and truth. He judges, and executes His justice.",
                'name_benefits' =>
                    "One who says this Beautiful Name 99 times while in the state if wudu during the last portion of the night, Allah will cause his heart to perceive all secrets and to be filled with Noor. And anyone who says this Ism on Friday night in such a manner that he grows euphoric and ecstatic then Allah will cherish his heart with manifestations and inspirations."),
            array(
                'name_number' => "29",
                'name_arabic' => "ٱلْعَدْلُ",
                'name_title' => "THE JUST",
                'name_english' => "AL-‘ADL",
                'name_meaning' =>
                    "He is the absolute justice. Justice secures peace, balance order, and harmony. Allah the just is the enemy of tyrants.",
                'name_benefits' =>
                    "Anyone who inscribes (with saffron or by the mere action of one's finger) this Name of Allah on 20 pieces of bread (roti) on the day or night of Jumu’ah, and consumes it, Allah will cause the entire creation to become subservient to him – Insha-Allah."),
            array(
                'name_number' => "30",
                'name_arabic' => "ٱلْلَّطِيفُ",
                'name_title' => "MOST AFFECTIONATE OR KNOWER OF INNERMOST SECRETS",
                'name_english' => "AL-LATEEF",
                'name_meaning' =>
                    "He is the most delicate, fine, gentle, beautiful one, He is the one who knows the finest details of beauty. The finest of His beauties are hidden in the secrets of the beauties of the soul, wisdom, and divine light.",
                'name_benefits' =>
                    "Whoever reads this Name 133 times daily, Allah will grant abundance in his rizq (sustenance) and cause all his tasks to be accomplished without difficulties. Anyone involved in poverty, misery, sickness, loneliness or any adversity at all should make wudhu in the proper manner and offer 2 rakaat salaah and then bearing in mind the objective (like deliverance from adversity) say this Ism 100 times: Allah will surely grant him deliverance – Insha-Allah."),
            array(
                'name_number' => "31",
                'name_arabic' => "ٱلْخَبِيرُ",
                'name_title' => "ALL-KNOWING",
                'name_english' => "AL-KHABEER",
                'name_meaning' =>
                    "He is the one who is aware of the hidden inner occurrences in everything. He is the one whose cognizance reaches the deepest, darkest, hidden corners of His kingdom, where neither human intelligence nor His angels can penetrate.",
                'name_benefits' =>
                    "Anyone who reads this Name continually for seven days will begin to perceive hidden secrets. Any person who has an insatiable desire for pleasures should read this Ism constantly. Insha-Allah he will soon be freed from such base desires."),
            array(
                'name_number' => "32",
                'name_arabic' => "ٱلْحَلِيمُ",
                'name_title' => "THE CLEMENT",
                'name_english' => "AL-HALEEM",
                'name_meaning' =>
                    "He is forbearing in the punishment of the guilty. He waits, giving time to the sinner to realize his guilt and ask for forgiveness in order that He may forgive him rather than punish him.",
                'name_benefits' =>
                    "If this Ism is written on paper, soaked in water, and then the same water sprinkled on anything or rubbed onto something, then the quality of ‘barakah’ will be imparted to such a thing and it will be safeguarded against all calamities."),
            array(
                'name_number' => "33",
                'name_arabic' => "ٱلْعَظِيمُ",
                'name_title' => "THE CLEMENT",
                'name_english' => "AL-‘ATHEEM",
                'name_meaning' =>
                    "He is the greatest on the earth below and in the heavens above, in realms where our sight cannot reach and of which our minds cannot conceive. He is the absolute and perfect greatness.",
                'name_benefits' =>
                    "The reciter of this beautiful Name of Allah will be graced with great honor and dignity – Insha-Allah."),
            array(
                'name_number' => "34",
                'name_arabic' => "ٱلْغَفُورُ",
                'name_title' => "FORGIVING",
                'name_english' => "AL-GHAFOOR",
                'name_meaning' =>
                    "He is the most forgiving one. He veils our faults from the eyes of other men, from the angels, and relieves us from the suffering of continual remembrance of our faults.",
                'name_benefits' =>
                    "One who repeats this Name frequently all his maladies, sorrow and grief will be removed – Insha-Allah. Moreover, Allah will give barakah in his wealth and offspring. It is related in a hadith that anyone who says thrice يَا رَبِّ اغفر لي while in sajdah, Allah will forgive all his past sins and any sins that he may commit in the future."),
            array(
                'name_number' => "35",
                'name_arabic' => "ٱلْشَّكُورُ",
                'name_title' => "HIGHLY GRATEFUL",
                'name_english' => "ASH-SHAKOOR",
                'name_meaning' =>
                    "He is the one who repays a good deed with a much greater reward. Thankfulness is to return good with good.",
                'name_benefits' =>
                    "Read this Name 41 times daily for any difficulties – financial, physical spiritual, mental etc. Insha-Allah, deliverance will be granted soon."),
            array(
                'name_number' => "36",
                'name_arabic' => "ٱلْعَلِيُّ",
                'name_title' => "HIGHLY GRATEFUL",
                'name_english' => "AL-‘ALEE",
                'name_meaning' =>
                    "He is the highest One. He is higher than the whole of the created universe. His nearness and farness and His being high cannot be measured by the limits of human intellect.",
                'name_benefits' =>
                    "Anyone who reads this name daily and constantly, and keeps with him a written copy of it, will be exalted, granted affluence, and all his desires will be fulfilled - Insha-Allah."),
            array(
                'name_number' => "37",
                'name_arabic' => "ٱلْكَبِيرُ",
                'name_title' => "MOST GREAT OR INFINITE",
                'name_english' => "AL-KABEER",
                'name_meaning' =>
                    "He is the greatest, whose greatness stretches from before the beginning until after the end. There is no difference for Him between the creation of an atom and the infinite–seeming universe. This is His grandeur as much as we can understand it. He is greater than that.",
                'name_benefits' =>
                    "If anyone who is dismissed from his post, fasts for seven days and each day repeats this Ism 1,000 times, he will be reinstated to his post and moreover graced with honor and dignity – Insha-Allah."),
            array(
                'name_number' => "38",
                'name_arabic' => "ٱلْحَفِيظُ",
                'name_title' => "THE PROTECTOR",
                'name_english' => "AL-HAFEEDH",
                'name_meaning' =>
                    "He is the one who remembers all that was and all that is, keeping in His divine protection all that there will be.",
                'name_benefits' =>
                    "The one who recites this Name of Allah constantly and keeps with him a written copy of this Ism will be protected from all hazards, losses, and harmful things – Insha-Allah."),
            array(
                'name_number' => "39",
                'name_arabic' => "ٱلْمُقِيتُ",
                'name_title' => "THE GIVER OF SUSTENANCE AND STRENGTH",
                'name_english' => " AL-MUQEET",
                'name_meaning' =>
                    "He is the nourisher of all creation. Allah creates the nourishment of His creatures before He creates them. No one can take away the nourishment destined for each element of creation.",
                'name_benefits' =>
                    "Anyone who blows in a bowl of water after repeating this Ism 7 times, and then drinks water from it himself or allows someone else to drink from it or to take a deep breath from such a bowl then all their desires will soon be fulfilled – Insha-Allah."),
            array(
                'name_number' => "40",
                'name_arabic' => "ٱلْحَسِيبُ",
                'name_title' => "THE RECKONER OR ONE WHO SUFFICES FOR EVERYONE AND EVERYTHING",
                'name_english' => "AL-HASEEB",
                'name_meaning' =>
                    "He is the one who takes account of all and everything that His creation does or is subjected to.",
                'name_benefits' =>
                    "When in fear of any human being or anything, repeat حَسْبِيَ اَلله اَلْحَسِيْبُ seventy times in the morning and seventy times at night for eight days starting from Thursday. Insha-Allah protection will be granted against the evil of such a person or thing."),
            array(
                'name_number' => "41",
                'name_arabic' => "ٱلْجَلِيلُ",
                'name_title' => "GLORIOUS OR ONE WITH AN EXALTED POSITION",
                'name_english' => "AL-JALEEL",
                'name_meaning' =>
                    "He is the lord of majesty and might. His might and His greatness, His eternity bears no resemblance to any energy, matter, or time.",
                'name_benefits' =>
                    "Anyone who keeps with him anything (paper, cloth, etc.) on which this Ism يَا جَلِيْلُ is inscribed with saffron or musk Allah will give him honor, greatness, rank, and dignity – Insha-Allah."),
            array(
                'name_number' => "42",
                'name_arabic' => "ٱلْكَرِيمُ",
                'name_title' => "BENEVOLENT",
                'name_english' => "AL-KAREEM",
                'name_meaning' =>
                    "He is the generous One. His greatest generosity is His Mercy, through which He forgives when He could punish.",
                'name_benefits' =>
                    "Anyone wishing to be revered and honored by the Ulama and Pious people should continue saying this Name until they fall asleep."),
            array(
                'name_number' => "43",
                'name_arabic' => "ٱلْرَّقِيبُ",
                'name_title' => "THE CARETAKER",
                'name_english' => "AR-RAQEEB",
                'name_meaning' =>
                    "He is the One who watches everything, always. This scrutiny of every detail in the existence of all creation is in part protective.",
                'name_benefits' =>
                    "Anyone who desires that his family and wealth be protected from destruction and calamities should repeat this Ism each day 7 times and blow on them. He should also continue reading this Ism at all times so as to remain safeguarded at all times."),
            array(
                'name_number' => "44",
                'name_arabic' => "ٱلْمُجِيبُ",
                'name_title' => "THE ANSWERER OF DUAAS",
                'name_english' => "AL-MUJEEB",
                'name_meaning' =>
                    "He is the one who responds to all the needs of His servants. Allah is closer to His creatures than they are to themselves. He is not any closer to a saint than He is to you or a mustard seed.",
                'name_benefits' =>
                    "The constant reciter of this Ism will soon perceive that all his duaas are being granted."),
            array(
                'name_number' => "45",
                'name_arabic' => "ٱلْوَاسِعُ",
                'name_title' => "THE LENIENT",
                'name_english' => "AL-WAASI’",
                'name_meaning' =>
                    "He is the limitless vastness, whose knowledge, mercy, power, generosity, and all other beautiful attributes are infinite.",
                'name_benefits' =>
                    "Anyone desiring spiritual and material self-sufficiency and independence should repeat this Ism over and over."),
            array(
                'name_number' => "46",
                'name_arabic' => "ٱلْحَكِيمُ",
                'name_title' => "THE WISE",
                'name_english' => " AL-HAKEEM",
                'name_meaning' =>
                    "He is the perfectly wise, in His knowledge and in His deeds. There is no doubt or uncertainty in His knowledge, nor does it have an end.",
                'name_benefits' =>
                    "Anyone who repeats this Ism constantly, Allah will open him the doors of knowledge and wisdom. Anyone whose particular task does not seem to be accomplished should repeat this Ism frequently and constantly. Soon will this task be accomplished Insha-Allah."),
            array(
                'name_number' => "47",
                'name_arabic' => "ٱلْوَدُودُ",
                'name_title' => "MOST LOVING",
                'name_english' => "AL-WADOOD",
                'name_meaning' =>
                    "He is the one who loves His good servants. He is the only one who is worthy of love.",
                'name_benefits' =>
                    "Anyone who repeats this Ism 1,000 times and blows on food, and such food is consumed by him and his wife together, their difference and dispute will soon be settled and a strong bond of love and affection will result between the spouses – Insha-Allah."),
            array(
                'name_number' => "48",
                'name_arabic' => "ٱلْمَجِيدُ",
                'name_title' => "MOST VENERABLE",
                'name_english' => "AL-MAJEED",
                'name_meaning' =>
                    "Allah most high is glorious and majestic in the whole of His creation and beyond. No hand reaches Him, no power can touch Him, yet He is closer to His servants than their own souls. His state is pure perfection. His acts are pure wisdom.",
                'name_benefits' =>
                    "Anyone who has contracted a fatal disease such as pox, leprosy, etc. should fast on the 13th, 14th, and 15th of the lunar month and after breaking fast repeat this Ism profusely and blow in water and drink such water. He will soon be cured – Insha-Allah."),
            array(
                'name_number' => "49",
                'name_arabic' => "ٱلْبَاعِثُ",
                'name_title' => "THE RESURRECTOR OF THE DEAD",
                'name_english' => "AL-BA’ITH",
                'name_meaning' =>
                    "He is the raiser from the dead. Allah will give life back to all creation on the day of judgment.",
                'name_benefits' =>
                    "Anyone who, at bedtime, places his hand on his bosom and says this name 101 times, his heart will become alive with knowledge and wisdom - Insha-Allah."),
            array(
                'name_number' => "50",
                'name_arabic' => "ٱلْشَّهِيدُ",
                'name_title' => "OMNIPRESENT",
                'name_english' => "ASH-SHAHEED",
                'name_meaning' =>
                    "He is the one who witnesses all that happens everywhere at all times.",
                'name_benefits' =>
                    "Anyone wishing that his disobedient wife or children become obedient, should, while placing his hand on their foreheads, repeat this Ism 21 times and blow on them. Soon they will become obedient – Insha-Allah."),
            array(
                'name_number' => "51",
                'name_arabic' => "ٱلْحَقُّ",
                'name_title' => "THE TRUTH",
                'name_english' => "AL-HAQQ",
                'name_meaning' => "Allah is the truth, whose being is ever unchanged.",
                'name_benefits' =>
                    "Anyone whose family member is missing or has absconded or anyone whose belongings are stolen should inscribe اَلْحَقُّ on all 4 corners of a square paper and at the time of Sehri, place such paper on his palms and lift it toward the heavens and make dua. Soon, will the missing person return or the stolen goods be recovered – free from any harm or damage – Insha-Allah."),
            array(
                'name_number' => "52",
                'name_arabic' => "ٱلْوَكِيلُ",
                'name_title' => "THE PROVIDENT",
                'name_english' => "AL-WAKEEL",
                'name_meaning' =>
                    "Allah is the ultimate and faithful trustee. Men think that they are able to do, but He is the one who does everything. He can replace everything in the universe, but nothing can replace Him nor can stand on its own without being dependent on Him.",
                'name_benefits' =>
                    "Anyone fearing any calamity caused by an act of God should say this Ism repeatedly. He will be protected from all calamities – Insha-Allah."),
            array(
                'name_number' => "53",
                'name_arabic' => "ٱلْقَوِيُّ",
                'name_title' => "ALMIGHTY",
                'name_english' => "AL-QAWIYY",
                'name_meaning' =>
                    "Allah is the most strong one, the inexhaustible. He possesses all strength. He can create a billion universes with the same ease with which He creates a blade of grass.",
                'name_benefits' =>
                    "Anyone genuinely oppressed or victimized should read this Ism profusely with the view to counteracting the oppressor. Allah will render him protection – Insha-Allah. (This should never be done if circumstances do not warrant it)."),
            array(
                'name_number' => "54",
                'name_arabic' => "ٱلْمَتِينُ",
                'name_title' => "THE INVINCIBLE",
                'name_english' => "AL-MATEEN",
                'name_meaning' =>
                    "Allah is perfect in His strength and His firmness. None can be saved from this strength, no force can oppose it and nothing can weaken it.",
                'name_benefits' =>
                    "Any lady whose breasts do not yield milk should be made to drink water wherein the inscription اَلْمَتِينُ was soaked. Her breasts will abound in milk – Insha-Allah."),
            array(
                'name_number' => "55",
                'name_arabic' => "ٱلْوَلِيُّ",
                'name_title' => "THE PATRON",
                'name_english' => "AL-WALIYY",
                'name_meaning' =>
                    "Allah is the protecting friend of His good servants. He eliminates their difficulties and gives them guidance, peace, and success in their affairs in this world and in the hereafter.",
                'name_benefits' =>
                    "If anyone’s wife is of ill character, this Ism should be recited constantly while in her presence. She will soon become of good character – Insha-Allah."),
            array(
                'name_number' => "56",
                'name_arabic' => "ٱلْحَمِيدُ",
                'name_title' => "THE PRAISEWORTHY",
                'name_english' => "AL-HAMEED",
                'name_meaning' =>
                    "Allah is most praiseworthy, all that exist praise Allah with their tongues, with their action, or simply by their very existence. He is the only one who is worthy of devotion, respect, thankfulness, and praise.",
                'name_benefits' =>
                    "Should anyone recite in seclusion this Ism 93 times for 45 days, all his evil habits and bad qualities will change into good habits – Insha-Allah."),
            array(
                'name_number' => "57",
                'name_arabic' => "ٱلْمُحْصِيُ",
                'name_title' => "THE KEEPER OF COUNTS",
                'name_english' => "AL-MUHSEE",
                'name_meaning' =>
                    "Allah is the possessor of all quantitative knowledge. He sees and knows everything in its reality. He knows the number of all existence in the universe down to the number of breaths exhaled and inhaled by each of His creatures.",
                'name_benefits' =>
                    "The recital of this Ism 20 times daily and blowing on twenty pieces of bread and consuming it, will cause Allah to make the entire creation subservient to the reciter – Insha-Allah."),
            array(
                'name_number' => "58",
                'name_arabic' => "ٱلْمُبْدِئُ",
                'name_title' => "THE ORIGINATOR",
                'name_english' => "AL-MUBDI",
                'name_meaning' =>
                    "Allah is the originator of all. He creates without a model or material.",
                'name_benefits' =>
                    "Anyone, who, while placing his hand on the stomach of his pregnant wife, repeats this Ism 99 times at the time of Sehri, neither will she have a miscarriage nor will she give birth prematurely – Insha-Allah."),
            array(
                'name_number' => "59",
                'name_arabic' => "ٱلْمُعِيدُ",
                'name_title' => "ONE WHO HAS THE POWER TO CREATE AGAIN",
                'name_english' => "AL-MU’ID",
                'name_meaning' =>
                    "Allah is the restorer of the things that He has created and destroyed.",
                'name_benefits' =>
                    "When any person is lost, then this name should be repeated 70 times in each corner of the house during the night when everyone is asleep. He will either return within 7 days or his whereabouts will be known within that period – Insha-Allah."),
            array(
                'name_number' => "60",
                'name_arabic' => "ٱلْمُحْيِى",
                'name_title' => "THE GIVER OF LIFE",
                'name_english' => "AL-MUHYEE",
                'name_meaning' =>
                    "Allah is the giver of life to things without life. Allah is the one who has created life and who has created death, no one else can do that.",
                'name_benefits' =>
                    "The sick should constantly say اَلْمُحْيِي or alternatively, it could be said over and over and blown on a person who is ill. His health will be restored – Insha-Allah. Anyone who says اَلْمُحْيِي 89 times and blows on himself, will be safeguarded against all obstacles and bondages – Insha-Allah."),
            array(
                'name_number' => "61",
                'name_arabic' => "ٱلْمُمِيتُ",
                'name_title' => "THE GIVER OF DEATH",
                'name_english' => "AL-MUMEET",
                'name_meaning' =>
                    "Allah is the creator of death. All who are alive will certainly die. Man is made of a combination of the flesh and the soul. The body is temporal, the soul is eternal.",
                'name_benefits' =>
                    "Anyone who has no control over his Nafs should place his hand on his bosom and continue saying this Ism before he falls asleep. If Allah wills, he will be given the strength to control his self."),
            array(
                'name_number' => "62",
                'name_arabic' => "ٱلْحَىُّ",
                'name_title' => "THE EVERLASTING",
                'name_english' => "AL-HAYY",
                'name_meaning' =>
                    "Allah is the perfectly alive and ever-living one. Allah is cognizant of all, and all actions are His. All that is known and will be known is within His knowledge. All existence is always comprehended in His action.",
                'name_benefits' =>
                    "Anyone desiring sound health should say this Ism 3,000 times daily. If a sick person writes this Ism in a bowl with a musk and rose water and then washes such inscription with water and drinks the water, he will soon be cured from his illness – Insha-Allah. Alternatively, if such water is given to a person who is ill, he will be cured – Insha-Allah."),
            array(
                'name_number' => "63",
                'name_arabic' => "ٱلْقَيُّومُ",
                'name_title' => "THE SUSTAINER OF LIFE",
                'name_english' => "AL-QAYYOOM",
                'name_meaning' =>
                    "Allah is the ever self-existing one upon whom the existence of all depends. His existence depends upon none other than Himself.",
                'name_benefits' =>
                    "Anyone who says this Ism continually will attain honor and dignity amongst people – Insha-Allah. Anyone saying it constantly in seclusion will become affluent and wealthy –Insha-Allah. Anyone who continues to say يَا حَىُّ يَا قَيُّومُ from after Fajr until after sunrise, his lethargy and laziness will vanish – Insha-Allah."),
            array(
                'name_number' => "64",
                'name_arabic' => "ٱلْوَاجِدُ",
                'name_title' => "THE ALL PERFECT",
                'name_english' => "AL-WAAJID",
                'name_meaning' =>
                    "Allah finds and obtains whatever He wishes whenever He wishes. It is even superfluous to use the word “FIND” because all is in His presence at all times.",
                'name_benefits' =>
                    "Anyone who continues to say this name while having meals, the food is eaten will become a source of strength, illumination, and Noor for his heart - Insha-Allah."),
            array(
                'name_number' => "65",
                'name_arabic' => "ٱلْمَاجِدُ",
                'name_title' => "THE ALL EXCELLENT AND THE ONE WITH VENERATION",
                'name_english' => "AL-MAAJID",
                'name_meaning' =>
                    "Allah is the most glorious, who shows infinite generosity and munificence to those close to Him.",
                'name_benefits' =>
                    "Anyone who says this Name of Allah in seclusion to such an extent and in such a manner that he becomes euphoric, then the Light and noor of Allah will soon become evident in his heart – Insha-Allah."),
            array(
                'name_number' => "66",
                'name_arabic' => "ٱلْوَاحِدُ",
                'name_title' => "THE ONE",
                'name_english' => "AL-WAAHID",
                'name_meaning' =>
                    "Allah is one. He has no equal, none like Him nor any partner in His essence, in His attributes, in His actions, in His orders, or in His beautiful Names.",
                'name_benefits' =>
                    "Those who constantly alone recite Ya Wahidu in a quiet place will become immune to fear and delusion."),
            array(
                'name_number' => "67",
                'name_arabic' => "ٱلْأَحَد",
                'name_title' => "THE ONE UNEQUALLED",
                'name_english' => "AL-AHAD",
                'name_meaning' =>
                    "He is the unity in which all names, attributes, and their relations to any and all are united.",
                'name_benefits' =>
                    "Anyone who desires that the fear and love for the creation be driven out of his heart should recite this Ism 1,000 times daily. Anyone desiring good and pious children should inscribe this Ism (on paper, cloth etc) and keep it with him all the time."),
            array(
                'name_number' => "68",
                'name_arabic' => "ٱلْصَّمَدُ",
                'name_title' => "FREE FROM WANT",
                'name_english' => "AS-SAMAD",
                'name_meaning' =>
                    "Allah is the satisfier of all needs, and all is in need of Him. He is the sole recourse; the only place of support where one may go to rid oneself of all trouble and to receive all that one needs through the blessings of this name.",
                'name_benefits' =>
                    "Anyone who places his head in Sajdah at the time of Sehri and repeats this Ism 115 times or 125 times will be granted spiritual and physical truthfulness – Insha-Allah. Anyone saying this Ism constantly while in the state of Wudu will soon become independent of the entire creations – Insha-Allah."),
            array(
                'name_number' => "69",
                'name_arabic' => "ٱلْقَادِرُ",
                'name_title' => "THE ALL-POWERFUL",
                'name_english' => "AL-QADIR",
                'name_meaning' =>
                    "Allah is the all-powerful who does what He wills the way He wills. He created the universe by Himself, from nothing, with neither materials nor model. He said “be” and it became.",
                'name_benefits' =>
                    "Anyone who, after offering 2 rakaat salaah, says this Ism 100 times, Allah will humble and disgrace his enemies (provided he is justified). And if it is said 41 times before undertaking a difficult task, the difficulty will be removed – Insha-Allah."),
            array(
                'name_number' => "70",
                'name_arabic' => "ٱلْمُقْتَدِرُ",
                'name_title' => "POWERFUL",
                'name_english' => "AL-MUQTADIR",
                'name_meaning' =>
                    "Allah is the one who creates all power and has total control of overall power. Allah bestows power upon things on earth and in heaven and uses them in accordance with His all-pervasive wisdom and will.",
                'name_benefits' =>
                    "Anyone who continues to recite this Name after awakening, or says it 20 times, Allah will have all his tasks fulfilled efficiently – Insha-Allah."),
            array(
                'name_number' => "71",
                'name_arabic' => "ٱلْمُقَدِّمُ",
                'name_title' => "ONE WHO CAUSES ADVANCEMENT",
                'name_english' => "AL-MUQADDIM",
                'name_meaning' =>
                    "Allah brings forward whomever He wills. Allah advances the chosen among His creation, bringing some above and ahead of others.",
                'name_benefits' =>
                    "Anyone who says this Ism abundantly at the time of war, a battle of Jihaad, Allah will give courage (to make advances) and he will be safeguarded from the enemy – Insha-Allah. And one who says this Ism at all times will become obedient and subservient to Allah – Insha-Allah."),
            array(
                'name_number' => "72",
                'name_arabic' => "ٱلْمُؤَخِّرُ",
                'name_title' => "ONE WHO CAUSES RETARDATION",
                'name_english' => "AL-MU’AKHKHIR",
                'name_meaning' =>
                    "Allah is He who leaves whomever He wills behind and delays advancement.",
                'name_benefits' =>
                    "The frequent reciter of this Ism will soon resort to genuine repentance. One who recites it 100 times daily with constancy, will soon become dear and favorite to Allah – Insha-Allah."),
            array(
                'name_number' => "73",
                'name_arabic' => "ٱلأَوَّلُ",
                'name_title' => "THE FIRST",
                'name_english' => "AL-AWWAL",
                'name_meaning' =>
                    "Allah is the first. There is none like Him. His firstness means that there is none prior to Him, that He is self-existent, that all comes from Him and that He is the cause of all that became.",
                'name_benefits' =>
                    "Anyone desirous of male children should say this Ism 40 times daily for 40 days. His need will soon be fulfilled – Insha-Allah. And if any wayfarer (Musafir) says it 1,000 times on a Friday, he will soon return to his people safe and sound – Insha-Allah."),
            array(
                'name_number' => "74",
                'name_arabic' => "ٱلْآخِرُ",
                'name_title' => "THE LAST",
                'name_english' => "AL-AAKHIR",
                'name_meaning' =>
                    "Allah is the last. As He has no beginning, He has no end. He is eternal. He is the last in the sense that the circle of existence begins and ends with Him.",
                'name_benefits' =>
                    "Anyone wishing that (i) the love for Allah becomes firmly established in his heart; (ii) the love for anything or anyone besides Allah be driven out of his heart; (iii) compensation should be made for all his sins; (iv) he dies in the state of Iman, then he should say this Ism 1,000 times daily."),
            array(
                'name_number' => "75",
                'name_arabic' => "ٱلْظَّاهِرُ",
                'name_title' => "THE OBVIOUS",
                'name_english' => "AZ-DHAAHIR",
                'name_meaning' =>
                    "Allah is the manifest one. Allah most high is hidden from those who seek to see by means of their senses, but He is apparent to those who seek to know Him by the wisdom and reason that Allah has bestowed upon them.",
                'name_benefits' =>
                    "The one who repeats this Ism 500 times daily after Ishraaq, Allah will cause his sight and heart to be filled with Light and Noor."),
            array(
                'name_number' => "76",
                'name_arabic' => "ٱلْبَاطِن",
                'name_title' => "THE LATENT",
                'name_english' => "AL-BAATIN",
                'name_meaning' =>
                    "Allah is the hidden one. His existence is both manifest and hidden. To truly know the creator is not possible because the knowledge, the mind the understanding of the created one is limited.",
                'name_benefits' =>
                    "Anyone who says this Ism 33 times daily, will soon begin to perceive the deeper secrets of Allah. Moreover, a strong bond of love and affection will result between him and Allah - Insha-Allah."),
            array(
                'name_number' => "77",
                'name_arabic' => "ٱلْوَالِي",
                'name_title' => "ONE WHO EXERCISE RESPONSIBILITY FOR ALL THINGS",
                'name_english' => "AL-WAALI",
                'name_meaning' =>
                    "Allah is the sole manager and governor of the whole creation.",
                'name_benefits' =>
                    "Anyone who recites this Ism repeatedly will be safeguarded from all unexpected calamities. If it is inscribed in a new earthen tumbler or jug, and then the same tumbler filled with water, and the water is then sprinkled in the house then such a house will be safeguarded against all calamities – Insha-Allah. If one wishes to subdue another, one should say it 11 times."),
            array(
                'name_number' => "78",
                'name_arabic' => "ٱلْمُتَعَالِي",
                'name_title' => "FAR ABOVE THE ATTRIBUTES OF THE ENTIRE CREATION",
                'name_english' => "AL-MUTA’ALI",
                'name_meaning' =>
                    "Allah is the Supreme One. His greatness grows. As He gives from His inexhaustible treasures, His riches increase. As the needs of His creation increase, His bounties increase.",
                'name_benefits' =>
                    "The reciter of this name will soon find all his problems solved. The woman who recites it much during her menstruations will soon find relief from all ailments Insha-Allah."),
            array(
                'name_number' => "79",
                'name_arabic' => "ٱلْبَرُّ",
                'name_title' => "THE GOOD",
                'name_english' => "AL-BARR",
                'name_meaning' =>
                    "Allah is the perfect doe of good. All good and bounty come from Him. He loves for His servants only good, comfort, and ease.",
                'name_benefits' =>
                    "Anyone in the habit of taking intoxicants, committing adultery, or indulging in any other evils should recite this Ism 7 times daily. He will soon receive guidance - Insha-Allah. Excessive recitation is very effective in expelling from the heart the love for this world. Anyone who reads it 7 times and blows on his or her child soon after birth, Allah will grant the child protection from calamities until puberty."),
            array(
                'name_number' => "80",
                'name_arabic' => "ٱلْتَّوَّابُ",
                'name_title' => "THE OFT RETURNING",
                'name_english' => "AT-TAWWAB",
                'name_meaning' => "Allah is He who constantly turns man to repentance.",
                'name_benefits' =>
                    "Anyone who is desirous that Allah guides him to seek sincere repentance should read this beautiful Name 360 times daily after Salaatud-Doha (Chast).Anyone who desires that all his tasks be accomplished without any difficulty should read this Ism abundantly. If this name is said 10 times in the presence of a tyrant, the reader will soon be freed from his oppression – Insha-Allah."),
            array(
                'name_number' => "81",
                'name_arabic' => "ٱلْمُنْتَقِمُ",
                'name_title' => "ONE WHO TAKES RETRIBUTION",
                'name_english' => "AL-MUNTAQIM",
                'name_meaning' =>
                    "Allah is the great avenger. Allah punishes those who persist in revolting, raving in their unconsciousness and egotism, creating disharmony, tyrannizing Allah’s servants and His creation.",
                'name_benefits' =>
                    "Anyone who is justified and desires to take revenge against his enemy, but hasn’t the power to do so should read this Ism continually for 3 Fridays. Allah Himself will take revenge on his behalf – Insha-Allah."),
            array(
                'name_number' => "82",
                'name_arabic' => "ٱلْعَفُوُّ",
                'name_title' => "ONE WHO PARDONS",
                'name_english' => "AL-‘AFUWW",
                'name_meaning' =>
                    "Allah is the forgiver, the eliminator of sins. He does not often punish the ones who deny, the ones who revolt. He accepts their recognition of their sins as repentance. He erases their sins.",
                'name_benefits' =>
                    "Allah will forgive the one who recites this Ism abundantly – Insha-Allah."),
            array(
                'name_number' => "83",
                'name_arabic' => "ٱلْرَّؤُفُ",
                'name_title' => "THE KIND",
                'name_english' => "AR-RA’OOF",
                'name_meaning' =>
                    "Allah is all clement. In spite of His ability to see our sins, of His being just, of His being able to punish, the fact that He chooses to forgive proves His infinite mercy and clemency.",
                'name_benefits' =>
                    "One who desires that the entire creation becomes affectionate towards him and vice versa should recite this Ism repeatedly. Anyone who desires that his anger be subdued should recite first salawaat (i.e. Durood) 10 times, then this name of Allah 10 times. Alternatively, if someone recites it as shown above, and blows on an angry man, his anger will soon be subdued – Insha-Allah."),
            array(
                'name_number' => "84",
                'name_arabic' => "مَالِكُ ٱلْمُلْكُ",
                'name_title' => "POSSESSOR OF SOVEREIGNTY",
                'name_english' => "MAALIK-UL-MULK",
                'name_meaning' =>
                    "Allah is the eternal owner of His kingdom. He shares neither the ownership nor the power, government, or guardianship of the universe with anyone.",
                'name_benefits' =>
                    "The constant reader of this Ism will be granted wealth, self-sufficiency, and independence – Insha-Allah."),
            array(
                'name_number' => "85",
                'name_arabic' => "ذُو ٱلْجَلَالِ وَٱلْإِكْرَامُ",
                'name_title' => "MAJESTIC AND BENEVOLENT",
                'name_english' => "DHUL-JALAALI WAL-IKRAAM",
                'name_meaning' =>
                    "Allah is the Lord of Majesty and bounty. There is no perfection that does not belong to Him nor any blessing or honor that comes from other than Him. Allah is the owner of all majesty.",
                'name_benefits' =>
                    "The constant reciter of this Ism will be granted honor, dignity, and self-sufficiency – Insha-Allah."),
            array(
                'name_number' => "86",
                'name_arabic' => "ٱلْمُقْسِطُ",
                'name_title' => "THE JUST",
                'name_english' => "AL-MUQSIT",
                'name_meaning' =>
                    "Allah is the one who acts and distributes in justice and fairness. How harmonious and balanced is the creation: all the beauties in heaven and earth-mountains, seas, sunsets, flowers – and also the eyes to see.",
                'name_benefits' =>
                    "One who recites this Ism daily with constancy, Allah will protect him from evil doubts created by the Shaytaan. If it is read 700 times for a purpose, it will be acquired – Insha-Allah."),
            array(
                'name_number' => "87",
                'name_arabic' => "ٱلْجَامِعُ",
                'name_title' => "THE ASSEMBLER",
                'name_english' => "AL-JAAMI",
                'name_meaning' =>
                    "Allah is the gatherer of whatever He wishes, wherever He wishes. Allah has gathered together within this universe spaces, galaxies-stars, earth, seas, plants, and animals, things whose nature, size, shape, and color are different.",
                'name_benefits' =>
                    "If anyone’s family or relatives are scattered (due to war, earthquake, floods etc.) he should bath at the time of Dhoha (Chast) and lifting the gaze towards the heavens say this Ism 10 times. But this should be enumerated with the fingers in such a way that with each reading, one finger should be closed until all ten fingers are closed. Thereafter the hands should be passed across the face (as when completing dua). By doing so the dispersed members of his family will soon come together – Insha-Allah."),
            array(
                'name_number' => "88",
                'name_arabic' => "ٱلْغَنيُّ",
                'name_title' => "FREE FROM NEED",
                'name_english' => "AL-GHANIYY",
                'name_meaning' =>
                    "Allah is the rich one who is self-sufficient. His essence and attributes have no relationship to anything else. Someone whose existence and perfection depend on another needs to earn that existence. Only Allah needs not, neither does He need to earn.",
                'name_benefits' =>
                    "If anyone recites this Ism 70 times daily, Allah will grant him Barakah in wealth and self-sufficiency - Insha Allah. Anyone involved in any physical or spiritual sickness or another difficulty should say this name much & blow on the entire body - to be soon relieved of the difficulty - Insha Allah."),
            array(
                'name_number' => "89",
                'name_arabic' => "ٱلْمُغْنِيُّ",
                'name_title' => "SUPPLIER OF NEEDS TO OTHERS",
                'name_english' => "AL-MUGHNI",
                'name_meaning' =>
                    "Allah is the enricher. He renders whomever He wishes rich and whomever He wishes poor.",
                'name_benefits' =>
                    "Anyone who reads the Salawaat (Durood) 11 times before and after saying this Ism 1,111 times, he will be granted both materials as well as spiritual wealth – Insha-Allah. This should be done after Fajr or Esha salaah. But Surah Muzammil should also be recited with it."),
            array(
                'name_number' => "90",
                'name_arabic' => "ٱلْمَانِعُ",
                'name_title' => "THE HINDERER",
                'name_english' => "AL-MANI",
                'name_meaning' => "Allah is the one who averts harm from His creation.",
                'name_benefits' =>
                    "If one has any dispute with one's spouse one should recite this Ism 20 times while lying down on the bed: Insha-Allah, the dispute will be settled and, instead, love and affection will result. The constant reciter of this Ism will be safeguarded against all calamities – Insha-Allah. If recited for any legitimate purpose, it will materialize – Insha-Allah"),
            array(
                'name_number' => "91",
                'name_arabic' => "ٱلْضَّارُ",
                'name_title' => "ONE WHO CAN CAUSE LOSS",
                'name_english' => "AD-DHARR",
                'name_meaning' =>
                    "Allah is the creator of the harmful and evil as He is the creator of the good and beneficial. Ha has also taught us to opt for the good and escape the evil. Ha has given us the power of discrimination, given us a will and freedom to choose.",
                'name_benefits' =>
                    "Anyone who says this Ism 100 times on the eve of Jumu’ah, will be safeguarded against all physical and spiritual calamities. This will also draw him near to Allah – Insha-Allah. If recited for any legitimate purpose, it will materialize – Insha-Allah."),
            array(
                'name_number' => "92",
                'name_arabic' => "ٱلْنَّافِعُ",
                'name_title' => "ONE WHO CONFERS BENEFITS",
                'name_english' => "AN-NAFI",
                'name_meaning' =>
                    "Allah is the creator of good. Allah has created man as the best of his creation and He has bestowed upon him gifts which render him unique and superior to the rest of creation.",
                'name_benefits' =>
                    "Anyone embarking a ship, or boarding any conveyance should read this Ism abundantly: he will be safeguarded against all hazards – if Allah wills. If read 41 times before a task, it will be accomplished efficiently – Insha-Allah.If said prior to intercourse, Allah will grant them good and pious children – Insha-Allah."),
            array(
                'name_number' => "93",
                'name_arabic' => "ٱلْنُّورُ",
                'name_title' => "THE LIGHT",
                'name_english' => "AN-NUR",
                'name_meaning' =>
                    "Allah is the light that is shed upon the whole creation, making it apparent. That light is the light that brought existence out of the darkness of non-existence.",
                'name_benefits' =>
                    "Any person who says this Ism 1001 times after reciting Surah Nur, his heart will become illuminated with the Noor and light of Allah – Insha-Allah."),
            array(
                'name_number' => "94",
                'name_arabic' => "ٱلْهَادِي",
                'name_title' => "ONE WHO GIVES GUIDANCE",
                'name_english' => "AL-HAADI",
                'name_meaning' =>
                    "Allah is the one who creates guidance, leading his servants to good, beneficence, and the satisfaction of their needs.",
                'name_benefits' =>
                    "Anyone who lifts both hands (as in dua) whilst lifting the gaze towards the heavens, and recites this Name several times and then passes both hands on his face (as when completing dua), Allah will grant him complete guidance and associate him with the devout and pious – Insha-Allah."),
            array(
                'name_number' => "95",
                'name_arabic' => "ٱلْبَدِيعُ",
                'name_title' => "THE DEVISER",
                'name_english' => "AL-BADEE’ U",
                'name_meaning' =>
                    "Allah is the Originator of the creation, having created it without model or material. He does not need previous knowledge to think, to first investigate, to figure things out. Everything He creates is a wonder since He originated it from nothing.",
                'name_benefits' =>
                    "If a person in grief should recite 1,001 times يَا بَدِيعُ السَّمَوَاتِ وَاْلأَرْضِ, Allah will soon grant him relief from his misery. Likewise, if someone is involved in difficulties or is perturbed…if a particular venture is to be undertaken, but one is not certain as to its feasibility then one should say this Ism before falling asleep: one will receive guidance in one's sleep by way of a dream – Insha-Allah. Anyone wishing for a particular task to be accomplished should say ‘Ya-Badee-ul-Ajaa’ibi-bil-Khayri-ya-Badee’u’ 1,200 times: before the passing of 12 days his task will be accomplished – Insha-Allah."),
            array(
                'name_number' => "96",
                'name_arabic' => "ٱلْبَاقِي",
                'name_title' => "THE ETERNAL",
                'name_english' => "AL-BAAQI",
                'name_meaning' =>
                    "Allah is the everlasting one whose existence in the future is forever. He has neither beginning nor end. The creation will end, and time with it. But Allah the everlasting one will still exist.",
                'name_benefits' =>
                    "Allah will grant protection and accept all the virtuous deeds of one who says this Ism 1,000 times on the night of Jumuah."),
            array(
                'name_number' => "97",
                'name_arabic' => "ٱلْوَارِثُ",
                'name_title' =>
                    "_eHE SUPPORTER OF ALL OR ONE WHO REMAINS ALIVE EVEN AFTER EVERYONE OR EVERYTHING DIES",
                'name_english' => "AL-WAARITH",
                'name_meaning' =>
                    "Allah is the ultimate inheritor, to whom everything is left after its temporal possessors are gone. It is He who exists after all existence disappears, it is He to whom all existence returns.",
                'name_benefits' =>
                    "If this name is repeated 100 times at sunrise, protection will be given against all sorrows, grief, hardships, and calamities. Moreover, the reader will die as a Mu’min – Insha-Allah. Anyone who desires to be safeguarded against perplexities, perturbations, and disturbances should repeat this name 1,000 times between Maghrib and Isha."),
            array(
                'name_number' => "98",
                'name_arabic' => "ٱلْرَّشِيدُ",
                'name_title' =>
                    "_eNE WHO GUIDES ALONG THE PATH OF VIRTUE OR ONE WHO LOVES VIRTUE AND PIETY",
                'name_english' => "AR-RASHEED",
                'name_meaning' =>
                    "Allah is the righteous teacher who ordains righteousness for all creatures. In His wisdom, He leads all matters to their finality in a perfect way and order.",
                'name_benefits' =>
                    "Anyone who does not have the know-how about a particular task or is unable to work out plans for a certain task should say this Name 1,000 times between Maghrib and Isha. The plan and scheme will soon become evident for him either by way of a dream or by instinct. For financial progress and safety against all mishaps, one should read it daily."),
            array(
                'name_number' => "99",
                'name_arabic' => "ٱلْصَّبُورُ",
                'name_title' => "MOST FORBEARING",
                'name_english' => "AS-SABOOR",
                'name_meaning' =>
                    "Allah is the most patient one. In His creation as in His actions, in His dealings with His creation, nothing is either bigger or smaller, better or worse, earlier or later than is determined for it to be.",
                'name_benefits' =>
                    "Anyone who repeats this Name 100 times before sunrise will be safeguarded against all calamities for the remainder of the day. Moreover, Allah will cause his enemies not to utter a single word against him. Any person in difficulty should repeat this Ism 1,020 times: he will soon find relief and be granted peace and contentment of heart – Insha-Allah.")
        );


        foreach ($sifatNameArray as $key => $item) {
            \App\Models\Quran\SifatName\SifatName::query()->create([
                'position' => $key+1,
                'name' => $item['name_english'],
                'ar_name' => $item['name_arabic'],
                'translated_name' => $item['name_title'],
                'meaning' => $item['name_meaning'],
                'name_benefits' => $item['name_benefits'],
            ]);
        }
    }
}
