<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="{{config('settings.application.company_name')}}">
    <meta name="keywords" content="{{config('settings.application.company_name')}}">
    <link rel="shortcut icon" href="{{ asset(config('settings.application.app_icon')) }}"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <title>{{config('settings.application.company_name')}} Support </title>
</head>
<body class="bg-light">

<div class="container mt-5 mb-5 p-4 bg-white shadow rounded">

    <!-- Company Logo -->
    <div class="text-center mb-4">
        <img src="{{asset(config('settings.application.web_logo'))}}" alt="Company Logo" class="img-fluid"
             style="max-width: 100px;">
    </div>

    <h1 class="text-center display-4 mb-4">Support Information</h1>


    <p class="lead text-center">Support Email: noreply@google.com</p>
    <p class="lead text-center">Support Phone: +96871830008</p>
    <p class="lead text-center">Support Hours: Monday - Friday, 9:00 AM - 5:00 PM (Oman (GMT+4))</p>


    <section class="mb-4">
        <ul>
            <li>
                <p>Welcome to support for Muslim - مسلم app! Our dedicated support team is here to assist you with any questions, concerns, or feedback you may have regarding the app. Below are some of the features available in our app.</p>
            </li>
            <li>
                <p>Prayer Time: Stay updated with accurate prayer times based on your location.</p>
            </li>
            <li>
                <p>Qibla Finder: Easily locate the direction of the Qibla no matter where you are.</p>
            </li>
            <li>
                <p>Hadith: Access a collection of authentic Hadith to enrich your knowledge.</p>
            </li>
            <li>
                <p>Dua & Dhikr: Find a variety of supplications and remembrances to enhance your spiritual practice.</p>
            </li>
            <li>
                <p>Quran: Read, listen, and explore the Holy Quran with translations and recitations.</p>
            </li>
            <li>
                <p>Nearby Mosques: Discover nearby mosques and their essential information.</p>
            </li>
            <li>
                <p>Names of Allah: Learn and reflect upon the beautiful names of Allah.</p>
            </li>
            <li>
                <p>
                    If you encounter any issues or have suggestions for improvement, please don't hesitate to reach out to us through the provided support channels. Our team is committed to ensuring your experience with our app is positive and fulfilling.
                </p>
            </li>
            <li>
                <p>Jazakallah khair for choosing Muslim - مسلم app!</p>
            </li>
            <li>
                <p>Feel free to adjust the content as needed to better fit your app's specific details and support resources.</p>
            </li>
        </ul>

    </section>

    <a href="{{route('login')}}">Back to Login</a>

</div>

</body>
</html>
