<?php

namespace Database\Seeders\Quran\Chapter;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ChapterDetailSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $chapterDetails = array(
            array('id' => '1', 'chapter_id' => '1','arabic_name' => 'بِسْمِ ٱللَّهِ ٱلرَّحْمَـٰنِ ٱلرَّحِيمِ','verse_number' => '1','verse_key' => '1:1','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '1','manzil_number' => '1','sajdah_number' => '0','page_number' => '1','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '2','chapter_id' => '1','arabic_name' => 'ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '2','verse_key' => '1:2','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '1','manzil_number' => '1','sajdah_number' => '0','page_number' => '1','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '3','chapter_id' => '1','arabic_name' => 'ٱلرَّحْمَـٰنِ ٱلرَّحِيمِ','verse_number' => '3','verse_key' => '1:3','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '1','manzil_number' => '1','sajdah_number' => '0','page_number' => '1','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '4','chapter_id' => '1','arabic_name' => 'مَـٰلِكِ يَوْمِ ٱلدِّينِ','verse_number' => '4','verse_key' => '1:4','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '1','manzil_number' => '1','sajdah_number' => '0','page_number' => '1','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '5','chapter_id' => '1','arabic_name' => 'إِيَّاكَ نَعْبُدُ وَإِيَّاكَ نَسْتَعِينُ','verse_number' => '5','verse_key' => '1:5','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '1','manzil_number' => '1','sajdah_number' => '0','page_number' => '1','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '6','chapter_id' => '1','arabic_name' => 'ٱهْدِنَا ٱلصِّرَٰطَ ٱلْمُسْتَقِيمَ','verse_number' => '6','verse_key' => '1:6','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '1','manzil_number' => '1','sajdah_number' => '0','page_number' => '1','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '7','chapter_id' => '1','arabic_name' => 'صِرَٰطَ ٱلَّذِينَ أَنْعَمْتَ عَلَيْهِمْ غَيْرِ ٱلْمَغْضُوبِ عَلَيْهِمْ وَلَا ٱلضَّآلِّينَ','verse_number' => '7','verse_key' => '1:7','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '1','manzil_number' => '1','sajdah_number' => '0','page_number' => '1','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '8','chapter_id' => '2','arabic_name' => 'الٓمٓ','verse_number' => '1','verse_key' => '2:1','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '2','manzil_number' => '1','sajdah_number' => '0','page_number' => '2','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '9','chapter_id' => '2','arabic_name' => 'ذَٰلِكَ ٱلْكِتَـٰبُ لَا رَيْبَ ۛ فِيهِ ۛ هُدًى لِّلْمُتَّقِينَ','verse_number' => '2','verse_key' => '2:2','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '2','manzil_number' => '1','sajdah_number' => '0','page_number' => '2','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '10','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ يُؤْمِنُونَ بِٱلْغَيْبِ وَيُقِيمُونَ ٱلصَّلَوٰةَ وَمِمَّا رَزَقْنَـٰهُمْ يُنفِقُونَ','verse_number' => '3','verse_key' => '2:3','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '2','manzil_number' => '1','sajdah_number' => '0','page_number' => '2','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '11','chapter_id' => '2','arabic_name' => 'وَٱلَّذِينَ يُؤْمِنُونَ بِمَآ أُنزِلَ إِلَيْكَ وَمَآ أُنزِلَ مِن قَبْلِكَ وَبِٱلْـَٔاخِرَةِ هُمْ يُوقِنُونَ','verse_number' => '4','verse_key' => '2:4','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '2','manzil_number' => '1','sajdah_number' => '0','page_number' => '2','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '12','chapter_id' => '2','arabic_name' => 'أُو۟لَـٰٓئِكَ عَلَىٰ هُدًى مِّن رَّبِّهِمْ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '5','verse_key' => '2:5','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '2','manzil_number' => '1','sajdah_number' => '0','page_number' => '2','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '13','chapter_id' => '2','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ سَوَآءٌ عَلَيْهِمْ ءَأَنذَرْتَهُمْ أَمْ لَمْ تُنذِرْهُمْ لَا يُؤْمِنُونَ','verse_number' => '6','verse_key' => '2:6','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '2','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '14','chapter_id' => '2','arabic_name' => 'خَتَمَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ وَعَلَىٰ سَمْعِهِمْ ۖ وَعَلَىٰٓ أَبْصَـٰرِهِمْ غِشَـٰوَةٌ ۖ وَلَهُمْ عَذَابٌ عَظِيمٌ','verse_number' => '7','verse_key' => '2:7','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '2','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '15','chapter_id' => '2','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يَقُولُ ءَامَنَّا بِٱللَّهِ وَبِٱلْيَوْمِ ٱلْـَٔاخِرِ وَمَا هُم بِمُؤْمِنِينَ','verse_number' => '8','verse_key' => '2:8','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '16','chapter_id' => '2','arabic_name' => 'يُخَـٰدِعُونَ ٱللَّهَ وَٱلَّذِينَ ءَامَنُوا۟ وَمَا يَخْدَعُونَ إِلَّآ أَنفُسَهُمْ وَمَا يَشْعُرُونَ','verse_number' => '9','verse_key' => '2:9','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '17','chapter_id' => '2','arabic_name' => 'فِى قُلُوبِهِم مَّرَضٌ فَزَادَهُمُ ٱللَّهُ مَرَضًا ۖ وَلَهُمْ عَذَابٌ أَلِيمٌۢ بِمَا كَانُوا۟ يَكْذِبُونَ','verse_number' => '10','verse_key' => '2:10','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '18','chapter_id' => '2','arabic_name' => 'وَإِذَا قِيلَ لَهُمْ لَا تُفْسِدُوا۟ فِى ٱلْأَرْضِ قَالُوٓا۟ إِنَّمَا نَحْنُ مُصْلِحُونَ','verse_number' => '11','verse_key' => '2:11','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '19','chapter_id' => '2','arabic_name' => 'أَلَآ إِنَّهُمْ هُمُ ٱلْمُفْسِدُونَ وَلَـٰكِن لَّا يَشْعُرُونَ','verse_number' => '12','verse_key' => '2:12','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '20','chapter_id' => '2','arabic_name' => 'وَإِذَا قِيلَ لَهُمْ ءَامِنُوا۟ كَمَآ ءَامَنَ ٱلنَّاسُ قَالُوٓا۟ أَنُؤْمِنُ كَمَآ ءَامَنَ ٱلسُّفَهَآءُ ۗ أَلَآ إِنَّهُمْ هُمُ ٱلسُّفَهَآءُ وَلَـٰكِن لَّا يَعْلَمُونَ','verse_number' => '13','verse_key' => '2:13','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '21','chapter_id' => '2','arabic_name' => 'وَإِذَا لَقُوا۟ ٱلَّذِينَ ءَامَنُوا۟ قَالُوٓا۟ ءَامَنَّا وَإِذَا خَلَوْا۟ إِلَىٰ شَيَـٰطِينِهِمْ قَالُوٓا۟ إِنَّا مَعَكُمْ إِنَّمَا نَحْنُ مُسْتَهْزِءُونَ','verse_number' => '14','verse_key' => '2:14','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '22','chapter_id' => '2','arabic_name' => 'ٱللَّهُ يَسْتَهْزِئُ بِهِمْ وَيَمُدُّهُمْ فِى طُغْيَـٰنِهِمْ يَعْمَهُونَ','verse_number' => '15','verse_key' => '2:15','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '23','chapter_id' => '2','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلضَّلَـٰلَةَ بِٱلْهُدَىٰ فَمَا رَبِحَت تِّجَـٰرَتُهُمْ وَمَا كَانُوا۟ مُهْتَدِينَ','verse_number' => '16','verse_key' => '2:16','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '3','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '24','chapter_id' => '2','arabic_name' => 'مَثَلُهُمْ كَمَثَلِ ٱلَّذِى ٱسْتَوْقَدَ نَارًا فَلَمَّآ أَضَآءَتْ مَا حَوْلَهُۥ ذَهَبَ ٱللَّهُ بِنُورِهِمْ وَتَرَكَهُمْ فِى ظُلُمَـٰتٍ لَّا يُبْصِرُونَ','verse_number' => '17','verse_key' => '2:17','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '25','chapter_id' => '2','arabic_name' => 'صُمٌّۢ بُكْمٌ عُمْىٌ فَهُمْ لَا يَرْجِعُونَ','verse_number' => '18','verse_key' => '2:18','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '26','chapter_id' => '2','arabic_name' => 'أَوْ كَصَيِّبٍ مِّنَ ٱلسَّمَآءِ فِيهِ ظُلُمَـٰتٌ وَرَعْدٌ وَبَرْقٌ يَجْعَلُونَ أَصَـٰبِعَهُمْ فِىٓ ءَاذَانِهِم مِّنَ ٱلصَّوَٰعِقِ حَذَرَ ٱلْمَوْتِ ۚ وَٱللَّهُ مُحِيطٌۢ بِٱلْكَـٰفِرِينَ','verse_number' => '19','verse_key' => '2:19','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '27','chapter_id' => '2','arabic_name' => 'يَكَادُ ٱلْبَرْقُ يَخْطَفُ أَبْصَـٰرَهُمْ ۖ كُلَّمَآ أَضَآءَ لَهُم مَّشَوْا۟ فِيهِ وَإِذَآ أَظْلَمَ عَلَيْهِمْ قَامُوا۟ ۚ وَلَوْ شَآءَ ٱللَّهُ لَذَهَبَ بِسَمْعِهِمْ وَأَبْصَـٰرِهِمْ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '20','verse_key' => '2:20','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '3','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '28','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ ٱعْبُدُوا۟ رَبَّكُمُ ٱلَّذِى خَلَقَكُمْ وَٱلَّذِينَ مِن قَبْلِكُمْ لَعَلَّكُمْ تَتَّقُونَ','verse_number' => '21','verse_key' => '2:21','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '29','chapter_id' => '2','arabic_name' => 'ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ فِرَٰشًا وَٱلسَّمَآءَ بِنَآءً وَأَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَأَخْرَجَ بِهِۦ مِنَ ٱلثَّمَرَٰتِ رِزْقًا لَّكُمْ ۖ فَلَا تَجْعَلُوا۟ لِلَّهِ أَندَادًا وَأَنتُمْ تَعْلَمُونَ','verse_number' => '22','verse_key' => '2:22','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '30','chapter_id' => '2','arabic_name' => 'وَإِن كُنتُمْ فِى رَيْبٍ مِّمَّا نَزَّلْنَا عَلَىٰ عَبْدِنَا فَأْتُوا۟ بِسُورَةٍ مِّن مِّثْلِهِۦ وَٱدْعُوا۟ شُهَدَآءَكُم مِّن دُونِ ٱللَّهِ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '23','verse_key' => '2:23','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '31','chapter_id' => '2','arabic_name' => 'فَإِن لَّمْ تَفْعَلُوا۟ وَلَن تَفْعَلُوا۟ فَٱتَّقُوا۟ ٱلنَّارَ ٱلَّتِى وَقُودُهَا ٱلنَّاسُ وَٱلْحِجَارَةُ ۖ أُعِدَّتْ لِلْكَـٰفِرِينَ','verse_number' => '24','verse_key' => '2:24','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '4','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '32','chapter_id' => '2','arabic_name' => 'وَبَشِّرِ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ أَنَّ لَهُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۖ كُلَّمَا رُزِقُوا۟ مِنْهَا مِن ثَمَرَةٍ رِّزْقًا ۙ قَالُوا۟ هَـٰذَا ٱلَّذِى رُزِقْنَا مِن قَبْلُ ۖ وَأُتُوا۟ بِهِۦ مُتَشَـٰبِهًا ۖ وَلَهُمْ فِيهَآ أَزْوَٰجٌ مُّطَهَّرَةٌ ۖ وَهُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '25','verse_key' => '2:25','hizb_number' => '1','rub_el_hizb_number' => '1','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '5','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '33','chapter_id' => '2','arabic_name' => '۞ إِنَّ ٱللَّهَ لَا يَسْتَحْىِۦٓ أَن يَضْرِبَ مَثَلًا مَّا بَعُوضَةً فَمَا فَوْقَهَا ۚ فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ فَيَعْلَمُونَ أَنَّهُ ٱلْحَقُّ مِن رَّبِّهِمْ ۖ وَأَمَّا ٱلَّذِينَ كَفَرُوا۟ فَيَقُولُونَ مَاذَآ أَرَادَ ٱللَّهُ بِهَـٰذَا مَثَلًا ۘ يُضِلُّ بِهِۦ كَثِيرًا وَيَهْدِى بِهِۦ كَثِيرًا ۚ وَمَا يُضِلُّ بِهِۦٓ إِلَّا ٱلْفَـٰسِقِينَ','verse_number' => '26','verse_key' => '2:26','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '5','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '34','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ يَنقُضُونَ عَهْدَ ٱللَّهِ مِنۢ بَعْدِ مِيثَـٰقِهِۦ وَيَقْطَعُونَ مَآ أَمَرَ ٱللَّهُ بِهِۦٓ أَن يُوصَلَ وَيُفْسِدُونَ فِى ٱلْأَرْضِ ۚ أُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '27','verse_key' => '2:27','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '5','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '35','chapter_id' => '2','arabic_name' => 'كَيْفَ تَكْفُرُونَ بِٱللَّهِ وَكُنتُمْ أَمْوَٰتًا فَأَحْيَـٰكُمْ ۖ ثُمَّ يُمِيتُكُمْ ثُمَّ يُحْيِيكُمْ ثُمَّ إِلَيْهِ تُرْجَعُونَ','verse_number' => '28','verse_key' => '2:28','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '5','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '36','chapter_id' => '2','arabic_name' => 'هُوَ ٱلَّذِى خَلَقَ لَكُم مَّا فِى ٱلْأَرْضِ جَمِيعًا ثُمَّ ٱسْتَوَىٰٓ إِلَى ٱلسَّمَآءِ فَسَوَّىٰهُنَّ سَبْعَ سَمَـٰوَٰتٍ ۚ وَهُوَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '29','verse_key' => '2:29','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '4','manzil_number' => '1','sajdah_number' => '0','page_number' => '5','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '37','chapter_id' => '2','arabic_name' => 'وَإِذْ قَالَ رَبُّكَ لِلْمَلَـٰٓئِكَةِ إِنِّى جَاعِلٌ فِى ٱلْأَرْضِ خَلِيفَةً ۖ قَالُوٓا۟ أَتَجْعَلُ فِيهَا مَن يُفْسِدُ فِيهَا وَيَسْفِكُ ٱلدِّمَآءَ وَنَحْنُ نُسَبِّحُ بِحَمْدِكَ وَنُقَدِّسُ لَكَ ۖ قَالَ إِنِّىٓ أَعْلَمُ مَا لَا تَعْلَمُونَ','verse_number' => '30','verse_key' => '2:30','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '38','chapter_id' => '2','arabic_name' => 'وَعَلَّمَ ءَادَمَ ٱلْأَسْمَآءَ كُلَّهَا ثُمَّ عَرَضَهُمْ عَلَى ٱلْمَلَـٰٓئِكَةِ فَقَالَ أَنۢبِـُٔونِى بِأَسْمَآءِ هَـٰٓؤُلَآءِ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '31','verse_key' => '2:31','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '39','chapter_id' => '2','arabic_name' => 'قَالُوا۟ سُبْحَـٰنَكَ لَا عِلْمَ لَنَآ إِلَّا مَا عَلَّمْتَنَآ ۖ إِنَّكَ أَنتَ ٱلْعَلِيمُ ٱلْحَكِيمُ','verse_number' => '32','verse_key' => '2:32','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '40','chapter_id' => '2','arabic_name' => 'قَالَ يَـٰٓـَٔادَمُ أَنۢبِئْهُم بِأَسْمَآئِهِمْ ۖ فَلَمَّآ أَنۢبَأَهُم بِأَسْمَآئِهِمْ قَالَ أَلَمْ أَقُل لَّكُمْ إِنِّىٓ أَعْلَمُ غَيْبَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَأَعْلَمُ مَا تُبْدُونَ وَمَا كُنتُمْ تَكْتُمُونَ','verse_number' => '33','verse_key' => '2:33','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '41','chapter_id' => '2','arabic_name' => 'وَإِذْ قُلْنَا لِلْمَلَـٰٓئِكَةِ ٱسْجُدُوا۟ لِـَٔادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ أَبَىٰ وَٱسْتَكْبَرَ وَكَانَ مِنَ ٱلْكَـٰفِرِينَ','verse_number' => '34','verse_key' => '2:34','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '42','chapter_id' => '2','arabic_name' => 'وَقُلْنَا يَـٰٓـَٔادَمُ ٱسْكُنْ أَنتَ وَزَوْجُكَ ٱلْجَنَّةَ وَكُلَا مِنْهَا رَغَدًا حَيْثُ شِئْتُمَا وَلَا تَقْرَبَا هَـٰذِهِ ٱلشَّجَرَةَ فَتَكُونَا مِنَ ٱلظَّـٰلِمِينَ','verse_number' => '35','verse_key' => '2:35','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '43','chapter_id' => '2','arabic_name' => 'فَأَزَلَّهُمَا ٱلشَّيْطَـٰنُ عَنْهَا فَأَخْرَجَهُمَا مِمَّا كَانَا فِيهِ ۖ وَقُلْنَا ٱهْبِطُوا۟ بَعْضُكُمْ لِبَعْضٍ عَدُوٌّ ۖ وَلَكُمْ فِى ٱلْأَرْضِ مُسْتَقَرٌّ وَمَتَـٰعٌ إِلَىٰ حِينٍ','verse_number' => '36','verse_key' => '2:36','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '44','chapter_id' => '2','arabic_name' => 'فَتَلَقَّىٰٓ ءَادَمُ مِن رَّبِّهِۦ كَلِمَـٰتٍ فَتَابَ عَلَيْهِ ۚ إِنَّهُۥ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ','verse_number' => '37','verse_key' => '2:37','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '6','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '45','chapter_id' => '2','arabic_name' => 'قُلْنَا ٱهْبِطُوا۟ مِنْهَا جَمِيعًا ۖ فَإِمَّا يَأْتِيَنَّكُم مِّنِّى هُدًى فَمَن تَبِعَ هُدَاىَ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '38','verse_key' => '2:38','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '46','chapter_id' => '2','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَـٰتِنَآ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '39','verse_key' => '2:39','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '5','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '47','chapter_id' => '2','arabic_name' => 'يَـٰبَنِىٓ إِسْرَٰٓءِيلَ ٱذْكُرُوا۟ نِعْمَتِىَ ٱلَّتِىٓ أَنْعَمْتُ عَلَيْكُمْ وَأَوْفُوا۟ بِعَهْدِىٓ أُوفِ بِعَهْدِكُمْ وَإِيَّـٰىَ فَٱرْهَبُونِ','verse_number' => '40','verse_key' => '2:40','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '6','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '48','chapter_id' => '2','arabic_name' => 'وَءَامِنُوا۟ بِمَآ أَنزَلْتُ مُصَدِّقًا لِّمَا مَعَكُمْ وَلَا تَكُونُوٓا۟ أَوَّلَ كَافِرٍۭ بِهِۦ ۖ وَلَا تَشْتَرُوا۟ بِـَٔايَـٰتِى ثَمَنًا قَلِيلًا وَإِيَّـٰىَ فَٱتَّقُونِ','verse_number' => '41','verse_key' => '2:41','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '6','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '49','chapter_id' => '2','arabic_name' => 'وَلَا تَلْبِسُوا۟ ٱلْحَقَّ بِٱلْبَـٰطِلِ وَتَكْتُمُوا۟ ٱلْحَقَّ وَأَنتُمْ تَعْلَمُونَ','verse_number' => '42','verse_key' => '2:42','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '6','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '50','chapter_id' => '2','arabic_name' => 'وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَٱرْكَعُوا۟ مَعَ ٱلرَّٰكِعِينَ','verse_number' => '43','verse_key' => '2:43','hizb_number' => '1','rub_el_hizb_number' => '2','ruku_number' => '6','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '51','chapter_id' => '2','arabic_name' => '۞ أَتَأْمُرُونَ ٱلنَّاسَ بِٱلْبِرِّ وَتَنسَوْنَ أَنفُسَكُمْ وَأَنتُمْ تَتْلُونَ ٱلْكِتَـٰبَ ۚ أَفَلَا تَعْقِلُونَ','verse_number' => '44','verse_key' => '2:44','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '6','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '52','chapter_id' => '2','arabic_name' => 'وَٱسْتَعِينُوا۟ بِٱلصَّبْرِ وَٱلصَّلَوٰةِ ۚ وَإِنَّهَا لَكَبِيرَةٌ إِلَّا عَلَى ٱلْخَـٰشِعِينَ','verse_number' => '45','verse_key' => '2:45','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '6','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '53','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ يَظُنُّونَ أَنَّهُم مُّلَـٰقُوا۟ رَبِّهِمْ وَأَنَّهُمْ إِلَيْهِ رَٰجِعُونَ','verse_number' => '46','verse_key' => '2:46','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '6','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '54','chapter_id' => '2','arabic_name' => 'يَـٰبَنِىٓ إِسْرَٰٓءِيلَ ٱذْكُرُوا۟ نِعْمَتِىَ ٱلَّتِىٓ أَنْعَمْتُ عَلَيْكُمْ وَأَنِّى فَضَّلْتُكُمْ عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '47','verse_key' => '2:47','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '55','chapter_id' => '2','arabic_name' => 'وَٱتَّقُوا۟ يَوْمًا لَّا تَجْزِى نَفْسٌ عَن نَّفْسٍ شَيْـًٔا وَلَا يُقْبَلُ مِنْهَا شَفَـٰعَةٌ وَلَا يُؤْخَذُ مِنْهَا عَدْلٌ وَلَا هُمْ يُنصَرُونَ','verse_number' => '48','verse_key' => '2:48','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '7','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '56','chapter_id' => '2','arabic_name' => 'وَإِذْ نَجَّيْنَـٰكُم مِّنْ ءَالِ فِرْعَوْنَ يَسُومُونَكُمْ سُوٓءَ ٱلْعَذَابِ يُذَبِّحُونَ أَبْنَآءَكُمْ وَيَسْتَحْيُونَ نِسَآءَكُمْ ۚ وَفِى ذَٰلِكُم بَلَآءٌ مِّن رَّبِّكُمْ عَظِيمٌ','verse_number' => '49','verse_key' => '2:49','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '57','chapter_id' => '2','arabic_name' => 'وَإِذْ فَرَقْنَا بِكُمُ ٱلْبَحْرَ فَأَنجَيْنَـٰكُمْ وَأَغْرَقْنَآ ءَالَ فِرْعَوْنَ وَأَنتُمْ تَنظُرُونَ','verse_number' => '50','verse_key' => '2:50','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '58','chapter_id' => '2','arabic_name' => 'وَإِذْ وَٰعَدْنَا مُوسَىٰٓ أَرْبَعِينَ لَيْلَةً ثُمَّ ٱتَّخَذْتُمُ ٱلْعِجْلَ مِنۢ بَعْدِهِۦ وَأَنتُمْ ظَـٰلِمُونَ','verse_number' => '51','verse_key' => '2:51','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '59','chapter_id' => '2','arabic_name' => 'ثُمَّ عَفَوْنَا عَنكُم مِّنۢ بَعْدِ ذَٰلِكَ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '52','verse_key' => '2:52','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '60','chapter_id' => '2','arabic_name' => 'وَإِذْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ وَٱلْفُرْقَانَ لَعَلَّكُمْ تَهْتَدُونَ','verse_number' => '53','verse_key' => '2:53','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '61','chapter_id' => '2','arabic_name' => 'وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦ يَـٰقَوْمِ إِنَّكُمْ ظَلَمْتُمْ أَنفُسَكُم بِٱتِّخَاذِكُمُ ٱلْعِجْلَ فَتُوبُوٓا۟ إِلَىٰ بَارِئِكُمْ فَٱقْتُلُوٓا۟ أَنفُسَكُمْ ذَٰلِكُمْ خَيْرٌ لَّكُمْ عِندَ بَارِئِكُمْ فَتَابَ عَلَيْكُمْ ۚ إِنَّهُۥ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ','verse_number' => '54','verse_key' => '2:54','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '62','chapter_id' => '2','arabic_name' => 'وَإِذْ قُلْتُمْ يَـٰمُوسَىٰ لَن نُّؤْمِنَ لَكَ حَتَّىٰ نَرَى ٱللَّهَ جَهْرَةً فَأَخَذَتْكُمُ ٱلصَّـٰعِقَةُ وَأَنتُمْ تَنظُرُونَ','verse_number' => '55','verse_key' => '2:55','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '63','chapter_id' => '2','arabic_name' => 'ثُمَّ بَعَثْنَـٰكُم مِّنۢ بَعْدِ مَوْتِكُمْ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '56','verse_key' => '2:56','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '64','chapter_id' => '2','arabic_name' => 'وَظَلَّلْنَا عَلَيْكُمُ ٱلْغَمَامَ وَأَنزَلْنَا عَلَيْكُمُ ٱلْمَنَّ وَٱلسَّلْوَىٰ ۖ كُلُوا۟ مِن طَيِّبَـٰتِ مَا رَزَقْنَـٰكُمْ ۖ وَمَا ظَلَمُونَا وَلَـٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '57','verse_key' => '2:57','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '8','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '65','chapter_id' => '2','arabic_name' => 'وَإِذْ قُلْنَا ٱدْخُلُوا۟ هَـٰذِهِ ٱلْقَرْيَةَ فَكُلُوا۟ مِنْهَا حَيْثُ شِئْتُمْ رَغَدًا وَٱدْخُلُوا۟ ٱلْبَابَ سُجَّدًا وَقُولُوا۟ حِطَّةٌ نَّغْفِرْ لَكُمْ خَطَـٰيَـٰكُمْ ۚ وَسَنَزِيدُ ٱلْمُحْسِنِينَ','verse_number' => '58','verse_key' => '2:58','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '9','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '66','chapter_id' => '2','arabic_name' => 'فَبَدَّلَ ٱلَّذِينَ ظَلَمُوا۟ قَوْلًا غَيْرَ ٱلَّذِى قِيلَ لَهُمْ فَأَنزَلْنَا عَلَى ٱلَّذِينَ ظَلَمُوا۟ رِجْزًا مِّنَ ٱلسَّمَآءِ بِمَا كَانُوا۟ يَفْسُقُونَ','verse_number' => '59','verse_key' => '2:59','hizb_number' => '1','rub_el_hizb_number' => '3','ruku_number' => '7','manzil_number' => '1','sajdah_number' => '0','page_number' => '9','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '67','chapter_id' => '2','arabic_name' => '۞ وَإِذِ ٱسْتَسْقَىٰ مُوسَىٰ لِقَوْمِهِۦ فَقُلْنَا ٱضْرِب بِّعَصَاكَ ٱلْحَجَرَ ۖ فَٱنفَجَرَتْ مِنْهُ ٱثْنَتَا عَشْرَةَ عَيْنًا ۖ قَدْ عَلِمَ كُلُّ أُنَاسٍ مَّشْرَبَهُمْ ۖ كُلُوا۟ وَٱشْرَبُوا۟ مِن رِّزْقِ ٱللَّهِ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ','verse_number' => '60','verse_key' => '2:60','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '8','manzil_number' => '1','sajdah_number' => '0','page_number' => '9','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '68','chapter_id' => '2','arabic_name' => 'وَإِذْ قُلْتُمْ يَـٰمُوسَىٰ لَن نَّصْبِرَ عَلَىٰ طَعَامٍ وَٰحِدٍ فَٱدْعُ لَنَا رَبَّكَ يُخْرِجْ لَنَا مِمَّا تُنۢبِتُ ٱلْأَرْضُ مِنۢ بَقْلِهَا وَقِثَّآئِهَا وَفُومِهَا وَعَدَسِهَا وَبَصَلِهَا ۖ قَالَ أَتَسْتَبْدِلُونَ ٱلَّذِى هُوَ أَدْنَىٰ بِٱلَّذِى هُوَ خَيْرٌ ۚ ٱهْبِطُوا۟ مِصْرًا فَإِنَّ لَكُم مَّا سَأَلْتُمْ ۗ وَضُرِبَتْ عَلَيْهِمُ ٱلذِّلَّةُ وَٱلْمَسْكَنَةُ وَبَآءُو بِغَضَبٍ مِّنَ ٱللَّهِ ۗ ذَٰلِكَ بِأَنَّهُمْ كَانُوا۟ يَكْفُرُونَ بِـَٔايَـٰتِ ٱللَّهِ وَيَقْتُلُونَ ٱلنَّبِيِّـۧنَ بِغَيْرِ ٱلْحَقِّ ۗ ذَٰلِكَ بِمَا عَصَوا۟ وَّكَانُوا۟ يَعْتَدُونَ','verse_number' => '61','verse_key' => '2:61','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '8','manzil_number' => '1','sajdah_number' => '0','page_number' => '9','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '69','chapter_id' => '2','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَادُوا۟ وَٱلنَّصَـٰرَىٰ وَٱلصَّـٰبِـِٔينَ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَعَمِلَ صَـٰلِحًا فَلَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '62','verse_key' => '2:62','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '70','chapter_id' => '2','arabic_name' => 'وَإِذْ أَخَذْنَا مِيثَـٰقَكُمْ وَرَفَعْنَا فَوْقَكُمُ ٱلطُّورَ خُذُوا۟ مَآ ءَاتَيْنَـٰكُم بِقُوَّةٍ وَٱذْكُرُوا۟ مَا فِيهِ لَعَلَّكُمْ تَتَّقُونَ','verse_number' => '63','verse_key' => '2:63','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '71','chapter_id' => '2','arabic_name' => 'ثُمَّ تَوَلَّيْتُم مِّنۢ بَعْدِ ذَٰلِكَ ۖ فَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ لَكُنتُم مِّنَ ٱلْخَـٰسِرِينَ','verse_number' => '64','verse_key' => '2:64','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '72','chapter_id' => '2','arabic_name' => 'وَلَقَدْ عَلِمْتُمُ ٱلَّذِينَ ٱعْتَدَوْا۟ مِنكُمْ فِى ٱلسَّبْتِ فَقُلْنَا لَهُمْ كُونُوا۟ قِرَدَةً خَـٰسِـِٔينَ','verse_number' => '65','verse_key' => '2:65','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '73','chapter_id' => '2','arabic_name' => 'فَجَعَلْنَـٰهَا نَكَـٰلًا لِّمَا بَيْنَ يَدَيْهَا وَمَا خَلْفَهَا وَمَوْعِظَةً لِّلْمُتَّقِينَ','verse_number' => '66','verse_key' => '2:66','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '74','chapter_id' => '2','arabic_name' => 'وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦٓ إِنَّ ٱللَّهَ يَأْمُرُكُمْ أَن تَذْبَحُوا۟ بَقَرَةً ۖ قَالُوٓا۟ أَتَتَّخِذُنَا هُزُوًا ۖ قَالَ أَعُوذُ بِٱللَّهِ أَنْ أَكُونَ مِنَ ٱلْجَـٰهِلِينَ','verse_number' => '67','verse_key' => '2:67','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '75','chapter_id' => '2','arabic_name' => 'قَالُوا۟ ٱدْعُ لَنَا رَبَّكَ يُبَيِّن لَّنَا مَا هِىَ ۚ قَالَ إِنَّهُۥ يَقُولُ إِنَّهَا بَقَرَةٌ لَّا فَارِضٌ وَلَا بِكْرٌ عَوَانٌۢ بَيْنَ ذَٰلِكَ ۖ فَٱفْعَلُوا۟ مَا تُؤْمَرُونَ','verse_number' => '68','verse_key' => '2:68','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '76','chapter_id' => '2','arabic_name' => 'قَالُوا۟ ٱدْعُ لَنَا رَبَّكَ يُبَيِّن لَّنَا مَا لَوْنُهَا ۚ قَالَ إِنَّهُۥ يَقُولُ إِنَّهَا بَقَرَةٌ صَفْرَآءُ فَاقِعٌ لَّوْنُهَا تَسُرُّ ٱلنَّـٰظِرِينَ','verse_number' => '69','verse_key' => '2:69','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '10','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '77','chapter_id' => '2','arabic_name' => 'قَالُوا۟ ٱدْعُ لَنَا رَبَّكَ يُبَيِّن لَّنَا مَا هِىَ إِنَّ ٱلْبَقَرَ تَشَـٰبَهَ عَلَيْنَا وَإِنَّآ إِن شَآءَ ٱللَّهُ لَمُهْتَدُونَ','verse_number' => '70','verse_key' => '2:70','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '11','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '78','chapter_id' => '2','arabic_name' => 'قَالَ إِنَّهُۥ يَقُولُ إِنَّهَا بَقَرَةٌ لَّا ذَلُولٌ تُثِيرُ ٱلْأَرْضَ وَلَا تَسْقِى ٱلْحَرْثَ مُسَلَّمَةٌ لَّا شِيَةَ فِيهَا ۚ قَالُوا۟ ٱلْـَٔـٰنَ جِئْتَ بِٱلْحَقِّ ۚ فَذَبَحُوهَا وَمَا كَادُوا۟ يَفْعَلُونَ','verse_number' => '71','verse_key' => '2:71','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '9','manzil_number' => '1','sajdah_number' => '0','page_number' => '11','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '79','chapter_id' => '2','arabic_name' => 'وَإِذْ قَتَلْتُمْ نَفْسًا فَٱدَّٰرَْٰٔتُمْ فِيهَا ۖ وَٱللَّهُ مُخْرِجٌ مَّا كُنتُمْ تَكْتُمُونَ','verse_number' => '72','verse_key' => '2:72','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '11','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '80','chapter_id' => '2','arabic_name' => 'فَقُلْنَا ٱضْرِبُوهُ بِبَعْضِهَا ۚ كَذَٰلِكَ يُحْىِ ٱللَّهُ ٱلْمَوْتَىٰ وَيُرِيكُمْ ءَايَـٰتِهِۦ لَعَلَّكُمْ تَعْقِلُونَ','verse_number' => '73','verse_key' => '2:73','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '11','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '81','chapter_id' => '2','arabic_name' => 'ثُمَّ قَسَتْ قُلُوبُكُم مِّنۢ بَعْدِ ذَٰلِكَ فَهِىَ كَٱلْحِجَارَةِ أَوْ أَشَدُّ قَسْوَةً ۚ وَإِنَّ مِنَ ٱلْحِجَارَةِ لَمَا يَتَفَجَّرُ مِنْهُ ٱلْأَنْهَـٰرُ ۚ وَإِنَّ مِنْهَا لَمَا يَشَّقَّقُ فَيَخْرُجُ مِنْهُ ٱلْمَآءُ ۚ وَإِنَّ مِنْهَا لَمَا يَهْبِطُ مِنْ خَشْيَةِ ٱللَّهِ ۗ وَمَا ٱللَّهُ بِغَـٰفِلٍ عَمَّا تَعْمَلُونَ','verse_number' => '74','verse_key' => '2:74','hizb_number' => '1','rub_el_hizb_number' => '4','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '11','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '82','chapter_id' => '2','arabic_name' => '۞ أَفَتَطْمَعُونَ أَن يُؤْمِنُوا۟ لَكُمْ وَقَدْ كَانَ فَرِيقٌ مِّنْهُمْ يَسْمَعُونَ كَلَـٰمَ ٱللَّهِ ثُمَّ يُحَرِّفُونَهُۥ مِنۢ بَعْدِ مَا عَقَلُوهُ وَهُمْ يَعْلَمُونَ','verse_number' => '75','verse_key' => '2:75','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '11','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '83','chapter_id' => '2','arabic_name' => 'وَإِذَا لَقُوا۟ ٱلَّذِينَ ءَامَنُوا۟ قَالُوٓا۟ ءَامَنَّا وَإِذَا خَلَا بَعْضُهُمْ إِلَىٰ بَعْضٍ قَالُوٓا۟ أَتُحَدِّثُونَهُم بِمَا فَتَحَ ٱللَّهُ عَلَيْكُمْ لِيُحَآجُّوكُم بِهِۦ عِندَ رَبِّكُمْ ۚ أَفَلَا تَعْقِلُونَ','verse_number' => '76','verse_key' => '2:76','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '11','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '84','chapter_id' => '2','arabic_name' => 'أَوَلَا يَعْلَمُونَ أَنَّ ٱللَّهَ يَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ','verse_number' => '77','verse_key' => '2:77','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '12','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '85','chapter_id' => '2','arabic_name' => 'وَمِنْهُمْ أُمِّيُّونَ لَا يَعْلَمُونَ ٱلْكِتَـٰبَ إِلَّآ أَمَانِىَّ وَإِنْ هُمْ إِلَّا يَظُنُّونَ','verse_number' => '78','verse_key' => '2:78','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '12','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '86','chapter_id' => '2','arabic_name' => 'فَوَيْلٌ لِّلَّذِينَ يَكْتُبُونَ ٱلْكِتَـٰبَ بِأَيْدِيهِمْ ثُمَّ يَقُولُونَ هَـٰذَا مِنْ عِندِ ٱللَّهِ لِيَشْتَرُوا۟ بِهِۦ ثَمَنًا قَلِيلًا ۖ فَوَيْلٌ لَّهُم مِّمَّا كَتَبَتْ أَيْدِيهِمْ وَوَيْلٌ لَّهُم مِّمَّا يَكْسِبُونَ','verse_number' => '79','verse_key' => '2:79','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '12','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '87','chapter_id' => '2','arabic_name' => 'وَقَالُوا۟ لَن تَمَسَّنَا ٱلنَّارُ إِلَّآ أَيَّامًا مَّعْدُودَةً ۚ قُلْ أَتَّخَذْتُمْ عِندَ ٱللَّهِ عَهْدًا فَلَن يُخْلِفَ ٱللَّهُ عَهْدَهُۥٓ ۖ أَمْ تَقُولُونَ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '80','verse_key' => '2:80','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '12','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '88','chapter_id' => '2','arabic_name' => 'بَلَىٰ مَن كَسَبَ سَيِّئَةً وَأَحَـٰطَتْ بِهِۦ خَطِيٓـَٔتُهُۥ فَأُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '81','verse_key' => '2:81','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '12','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '89','chapter_id' => '2','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '82','verse_key' => '2:82','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '10','manzil_number' => '1','sajdah_number' => '0','page_number' => '12','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '90','chapter_id' => '2','arabic_name' => 'وَإِذْ أَخَذْنَا مِيثَـٰقَ بَنِىٓ إِسْرَٰٓءِيلَ لَا تَعْبُدُونَ إِلَّا ٱللَّهَ وَبِٱلْوَٰلِدَيْنِ إِحْسَانًا وَذِى ٱلْقُرْبَىٰ وَٱلْيَتَـٰمَىٰ وَٱلْمَسَـٰكِينِ وَقُولُوا۟ لِلنَّاسِ حُسْنًا وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ ثُمَّ تَوَلَّيْتُمْ إِلَّا قَلِيلًا مِّنكُمْ وَأَنتُم مُّعْرِضُونَ','verse_number' => '83','verse_key' => '2:83','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '11','manzil_number' => '1','sajdah_number' => '0','page_number' => '12','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '91','chapter_id' => '2','arabic_name' => 'وَإِذْ أَخَذْنَا مِيثَـٰقَكُمْ لَا تَسْفِكُونَ دِمَآءَكُمْ وَلَا تُخْرِجُونَ أَنفُسَكُم مِّن دِيَـٰرِكُمْ ثُمَّ أَقْرَرْتُمْ وَأَنتُمْ تَشْهَدُونَ','verse_number' => '84','verse_key' => '2:84','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '11','manzil_number' => '1','sajdah_number' => '0','page_number' => '13','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '92','chapter_id' => '2','arabic_name' => 'ثُمَّ أَنتُمْ هَـٰٓؤُلَآءِ تَقْتُلُونَ أَنفُسَكُمْ وَتُخْرِجُونَ فَرِيقًا مِّنكُم مِّن دِيَـٰرِهِمْ تَظَـٰهَرُونَ عَلَيْهِم بِٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَإِن يَأْتُوكُمْ أُسَـٰرَىٰ تُفَـٰدُوهُمْ وَهُوَ مُحَرَّمٌ عَلَيْكُمْ إِخْرَاجُهُمْ ۚ أَفَتُؤْمِنُونَ بِبَعْضِ ٱلْكِتَـٰبِ وَتَكْفُرُونَ بِبَعْضٍ ۚ فَمَا جَزَآءُ مَن يَفْعَلُ ذَٰلِكَ مِنكُمْ إِلَّا خِزْىٌ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَيَوْمَ ٱلْقِيَـٰمَةِ يُرَدُّونَ إِلَىٰٓ أَشَدِّ ٱلْعَذَابِ ۗ وَمَا ٱللَّهُ بِغَـٰفِلٍ عَمَّا تَعْمَلُونَ','verse_number' => '85','verse_key' => '2:85','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '11','manzil_number' => '1','sajdah_number' => '0','page_number' => '13','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '93','chapter_id' => '2','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلْحَيَوٰةَ ٱلدُّنْيَا بِٱلْـَٔاخِرَةِ ۖ فَلَا يُخَفَّفُ عَنْهُمُ ٱلْعَذَابُ وَلَا هُمْ يُنصَرُونَ','verse_number' => '86','verse_key' => '2:86','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '11','manzil_number' => '1','sajdah_number' => '0','page_number' => '13','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '94','chapter_id' => '2','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ وَقَفَّيْنَا مِنۢ بَعْدِهِۦ بِٱلرُّسُلِ ۖ وَءَاتَيْنَا عِيسَى ٱبْنَ مَرْيَمَ ٱلْبَيِّنَـٰتِ وَأَيَّدْنَـٰهُ بِرُوحِ ٱلْقُدُسِ ۗ أَفَكُلَّمَا جَآءَكُمْ رَسُولٌۢ بِمَا لَا تَهْوَىٰٓ أَنفُسُكُمُ ٱسْتَكْبَرْتُمْ فَفَرِيقًا كَذَّبْتُمْ وَفَرِيقًا تَقْتُلُونَ','verse_number' => '87','verse_key' => '2:87','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '13','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '95','chapter_id' => '2','arabic_name' => 'وَقَالُوا۟ قُلُوبُنَا غُلْفٌۢ ۚ بَل لَّعَنَهُمُ ٱللَّهُ بِكُفْرِهِمْ فَقَلِيلًا مَّا يُؤْمِنُونَ','verse_number' => '88','verse_key' => '2:88','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '13','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '96','chapter_id' => '2','arabic_name' => 'وَلَمَّا جَآءَهُمْ كِتَـٰبٌ مِّنْ عِندِ ٱللَّهِ مُصَدِّقٌ لِّمَا مَعَهُمْ وَكَانُوا۟ مِن قَبْلُ يَسْتَفْتِحُونَ عَلَى ٱلَّذِينَ كَفَرُوا۟ فَلَمَّا جَآءَهُم مَّا عَرَفُوا۟ كَفَرُوا۟ بِهِۦ ۚ فَلَعْنَةُ ٱللَّهِ عَلَى ٱلْكَـٰفِرِينَ','verse_number' => '89','verse_key' => '2:89','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '14','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '97','chapter_id' => '2','arabic_name' => 'بِئْسَمَا ٱشْتَرَوْا۟ بِهِۦٓ أَنفُسَهُمْ أَن يَكْفُرُوا۟ بِمَآ أَنزَلَ ٱللَّهُ بَغْيًا أَن يُنَزِّلَ ٱللَّهُ مِن فَضْلِهِۦ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۖ فَبَآءُو بِغَضَبٍ عَلَىٰ غَضَبٍ ۚ وَلِلْكَـٰفِرِينَ عَذَابٌ مُّهِينٌ','verse_number' => '90','verse_key' => '2:90','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '14','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '98','chapter_id' => '2','arabic_name' => 'وَإِذَا قِيلَ لَهُمْ ءَامِنُوا۟ بِمَآ أَنزَلَ ٱللَّهُ قَالُوا۟ نُؤْمِنُ بِمَآ أُنزِلَ عَلَيْنَا وَيَكْفُرُونَ بِمَا وَرَآءَهُۥ وَهُوَ ٱلْحَقُّ مُصَدِّقًا لِّمَا مَعَهُمْ ۗ قُلْ فَلِمَ تَقْتُلُونَ أَنۢبِيَآءَ ٱللَّهِ مِن قَبْلُ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '91','verse_key' => '2:91','hizb_number' => '2','rub_el_hizb_number' => '5','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '14','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '99','chapter_id' => '2','arabic_name' => '۞ وَلَقَدْ جَآءَكُم مُّوسَىٰ بِٱلْبَيِّنَـٰتِ ثُمَّ ٱتَّخَذْتُمُ ٱلْعِجْلَ مِنۢ بَعْدِهِۦ وَأَنتُمْ ظَـٰلِمُونَ','verse_number' => '92','verse_key' => '2:92','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '14','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '100','chapter_id' => '2','arabic_name' => 'وَإِذْ أَخَذْنَا مِيثَـٰقَكُمْ وَرَفَعْنَا فَوْقَكُمُ ٱلطُّورَ خُذُوا۟ مَآ ءَاتَيْنَـٰكُم بِقُوَّةٍ وَٱسْمَعُوا۟ ۖ قَالُوا۟ سَمِعْنَا وَعَصَيْنَا وَأُشْرِبُوا۟ فِى قُلُوبِهِمُ ٱلْعِجْلَ بِكُفْرِهِمْ ۚ قُلْ بِئْسَمَا يَأْمُرُكُم بِهِۦٓ إِيمَـٰنُكُمْ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '93','verse_key' => '2:93','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '14','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '101','chapter_id' => '2','arabic_name' => 'قُلْ إِن كَانَتْ لَكُمُ ٱلدَّارُ ٱلْـَٔاخِرَةُ عِندَ ٱللَّهِ خَالِصَةً مِّن دُونِ ٱلنَّاسِ فَتَمَنَّوُا۟ ٱلْمَوْتَ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '94','verse_key' => '2:94','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '102','chapter_id' => '2','arabic_name' => 'وَلَن يَتَمَنَّوْهُ أَبَدًۢا بِمَا قَدَّمَتْ أَيْدِيهِمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّـٰلِمِينَ','verse_number' => '95','verse_key' => '2:95','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '103','chapter_id' => '2','arabic_name' => 'وَلَتَجِدَنَّهُمْ أَحْرَصَ ٱلنَّاسِ عَلَىٰ حَيَوٰةٍ وَمِنَ ٱلَّذِينَ أَشْرَكُوا۟ ۚ يَوَدُّ أَحَدُهُمْ لَوْ يُعَمَّرُ أَلْفَ سَنَةٍ وَمَا هُوَ بِمُزَحْزِحِهِۦ مِنَ ٱلْعَذَابِ أَن يُعَمَّرَ ۗ وَٱللَّهُ بَصِيرٌۢ بِمَا يَعْمَلُونَ','verse_number' => '96','verse_key' => '2:96','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '12','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '104','chapter_id' => '2','arabic_name' => 'قُلْ مَن كَانَ عَدُوًّا لِّجِبْرِيلَ فَإِنَّهُۥ نَزَّلَهُۥ عَلَىٰ قَلْبِكَ بِإِذْنِ ٱللَّهِ مُصَدِّقًا لِّمَا بَيْنَ يَدَيْهِ وَهُدًى وَبُشْرَىٰ لِلْمُؤْمِنِينَ','verse_number' => '97','verse_key' => '2:97','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '13','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '105','chapter_id' => '2','arabic_name' => 'مَن كَانَ عَدُوًّا لِّلَّهِ وَمَلَـٰٓئِكَتِهِۦ وَرُسُلِهِۦ وَجِبْرِيلَ وَمِيكَىٰلَ فَإِنَّ ٱللَّهَ عَدُوٌّ لِّلْكَـٰفِرِينَ','verse_number' => '98','verse_key' => '2:98','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '13','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '106','chapter_id' => '2','arabic_name' => 'وَلَقَدْ أَنزَلْنَآ إِلَيْكَ ءَايَـٰتٍۭ بَيِّنَـٰتٍ ۖ وَمَا يَكْفُرُ بِهَآ إِلَّا ٱلْفَـٰسِقُونَ','verse_number' => '99','verse_key' => '2:99','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '13','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '107','chapter_id' => '2','arabic_name' => 'أَوَكُلَّمَا عَـٰهَدُوا۟ عَهْدًا نَّبَذَهُۥ فَرِيقٌ مِّنْهُم ۚ بَلْ أَكْثَرُهُمْ لَا يُؤْمِنُونَ','verse_number' => '100','verse_key' => '2:100','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '13','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '108','chapter_id' => '2','arabic_name' => 'وَلَمَّا جَآءَهُمْ رَسُولٌ مِّنْ عِندِ ٱللَّهِ مُصَدِّقٌ لِّمَا مَعَهُمْ نَبَذَ فَرِيقٌ مِّنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ كِتَـٰبَ ٱللَّهِ وَرَآءَ ظُهُورِهِمْ كَأَنَّهُمْ لَا يَعْلَمُونَ','verse_number' => '101','verse_key' => '2:101','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '13','manzil_number' => '1','sajdah_number' => '0','page_number' => '15','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '109','chapter_id' => '2','arabic_name' => 'وَٱتَّبَعُوا۟ مَا تَتْلُوا۟ ٱلشَّيَـٰطِينُ عَلَىٰ مُلْكِ سُلَيْمَـٰنَ ۖ وَمَا كَفَرَ سُلَيْمَـٰنُ وَلَـٰكِنَّ ٱلشَّيَـٰطِينَ كَفَرُوا۟ يُعَلِّمُونَ ٱلنَّاسَ ٱلسِّحْرَ وَمَآ أُنزِلَ عَلَى ٱلْمَلَكَيْنِ بِبَابِلَ هَـٰرُوتَ وَمَـٰرُوتَ ۚ وَمَا يُعَلِّمَانِ مِنْ أَحَدٍ حَتَّىٰ يَقُولَآ إِنَّمَا نَحْنُ فِتْنَةٌ فَلَا تَكْفُرْ ۖ فَيَتَعَلَّمُونَ مِنْهُمَا مَا يُفَرِّقُونَ بِهِۦ بَيْنَ ٱلْمَرْءِ وَزَوْجِهِۦ ۚ وَمَا هُم بِضَآرِّينَ بِهِۦ مِنْ أَحَدٍ إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَيَتَعَلَّمُونَ مَا يَضُرُّهُمْ وَلَا يَنفَعُهُمْ ۚ وَلَقَدْ عَلِمُوا۟ لَمَنِ ٱشْتَرَىٰهُ مَا لَهُۥ فِى ٱلْـَٔاخِرَةِ مِنْ خَلَـٰقٍ ۚ وَلَبِئْسَ مَا شَرَوْا۟ بِهِۦٓ أَنفُسَهُمْ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ','verse_number' => '102','verse_key' => '2:102','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '13','manzil_number' => '1','sajdah_number' => '0','page_number' => '16','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '110','chapter_id' => '2','arabic_name' => 'وَلَوْ أَنَّهُمْ ءَامَنُوا۟ وَٱتَّقَوْا۟ لَمَثُوبَةٌ مِّنْ عِندِ ٱللَّهِ خَيْرٌ ۖ لَّوْ كَانُوا۟ يَعْلَمُونَ','verse_number' => '103','verse_key' => '2:103','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '13','manzil_number' => '1','sajdah_number' => '0','page_number' => '16','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '111','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَقُولُوا۟ رَٰعِنَا وَقُولُوا۟ ٱنظُرْنَا وَٱسْمَعُوا۟ ۗ وَلِلْكَـٰفِرِينَ عَذَابٌ أَلِيمٌ','verse_number' => '104','verse_key' => '2:104','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '16','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '112','chapter_id' => '2','arabic_name' => 'مَّا يَوَدُّ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَـٰبِ وَلَا ٱلْمُشْرِكِينَ أَن يُنَزَّلَ عَلَيْكُم مِّنْ خَيْرٍ مِّن رَّبِّكُمْ ۗ وَٱللَّهُ يَخْتَصُّ بِرَحْمَتِهِۦ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ','verse_number' => '105','verse_key' => '2:105','hizb_number' => '2','rub_el_hizb_number' => '6','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '16','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '113','chapter_id' => '2','arabic_name' => '۞ مَا نَنسَخْ مِنْ ءَايَةٍ أَوْ نُنسِهَا نَأْتِ بِخَيْرٍ مِّنْهَآ أَوْ مِثْلِهَآ ۗ أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '106','verse_key' => '2:106','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '17','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '114','chapter_id' => '2','arabic_name' => 'أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۗ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّ وَلَا نَصِيرٍ','verse_number' => '107','verse_key' => '2:107','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '17','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '115','chapter_id' => '2','arabic_name' => 'أَمْ تُرِيدُونَ أَن تَسْـَٔلُوا۟ رَسُولَكُمْ كَمَا سُئِلَ مُوسَىٰ مِن قَبْلُ ۗ وَمَن يَتَبَدَّلِ ٱلْكُفْرَ بِٱلْإِيمَـٰنِ فَقَدْ ضَلَّ سَوَآءَ ٱلسَّبِيلِ','verse_number' => '108','verse_key' => '2:108','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '17','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '116','chapter_id' => '2','arabic_name' => 'وَدَّ كَثِيرٌ مِّنْ أَهْلِ ٱلْكِتَـٰبِ لَوْ يَرُدُّونَكُم مِّنۢ بَعْدِ إِيمَـٰنِكُمْ كُفَّارًا حَسَدًا مِّنْ عِندِ أَنفُسِهِم مِّنۢ بَعْدِ مَا تَبَيَّنَ لَهُمُ ٱلْحَقُّ ۖ فَٱعْفُوا۟ وَٱصْفَحُوا۟ حَتَّىٰ يَأْتِىَ ٱللَّهُ بِأَمْرِهِۦٓ ۗ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '109','verse_key' => '2:109','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '17','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '117','chapter_id' => '2','arabic_name' => 'وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ ۚ وَمَا تُقَدِّمُوا۟ لِأَنفُسِكُم مِّنْ خَيْرٍ تَجِدُوهُ عِندَ ٱللَّهِ ۗ إِنَّ ٱللَّهَ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '110','verse_key' => '2:110','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '17','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '118','chapter_id' => '2','arabic_name' => 'وَقَالُوا۟ لَن يَدْخُلَ ٱلْجَنَّةَ إِلَّا مَن كَانَ هُودًا أَوْ نَصَـٰرَىٰ ۗ تِلْكَ أَمَانِيُّهُمْ ۗ قُلْ هَاتُوا۟ بُرْهَـٰنَكُمْ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '111','verse_key' => '2:111','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '17','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '119','chapter_id' => '2','arabic_name' => 'بَلَىٰ مَنْ أَسْلَمَ وَجْهَهُۥ لِلَّهِ وَهُوَ مُحْسِنٌ فَلَهُۥٓ أَجْرُهُۥ عِندَ رَبِّهِۦ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '112','verse_key' => '2:112','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '14','manzil_number' => '1','sajdah_number' => '0','page_number' => '17','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '120','chapter_id' => '2','arabic_name' => 'وَقَالَتِ ٱلْيَهُودُ لَيْسَتِ ٱلنَّصَـٰرَىٰ عَلَىٰ شَىْءٍ وَقَالَتِ ٱلنَّصَـٰرَىٰ لَيْسَتِ ٱلْيَهُودُ عَلَىٰ شَىْءٍ وَهُمْ يَتْلُونَ ٱلْكِتَـٰبَ ۗ كَذَٰلِكَ قَالَ ٱلَّذِينَ لَا يَعْلَمُونَ مِثْلَ قَوْلِهِمْ ۚ فَٱللَّهُ يَحْكُمُ بَيْنَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ','verse_number' => '113','verse_key' => '2:113','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '18','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '121','chapter_id' => '2','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّن مَّنَعَ مَسَـٰجِدَ ٱللَّهِ أَن يُذْكَرَ فِيهَا ٱسْمُهُۥ وَسَعَىٰ فِى خَرَابِهَآ ۚ أُو۟لَـٰٓئِكَ مَا كَانَ لَهُمْ أَن يَدْخُلُوهَآ إِلَّا خَآئِفِينَ ۚ لَهُمْ فِى ٱلدُّنْيَا خِزْىٌ وَلَهُمْ فِى ٱلْـَٔاخِرَةِ عَذَابٌ عَظِيمٌ','verse_number' => '114','verse_key' => '2:114','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '18','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '122','chapter_id' => '2','arabic_name' => 'وَلِلَّهِ ٱلْمَشْرِقُ وَٱلْمَغْرِبُ ۚ فَأَيْنَمَا تُوَلُّوا۟ فَثَمَّ وَجْهُ ٱللَّهِ ۚ إِنَّ ٱللَّهَ وَٰسِعٌ عَلِيمٌ','verse_number' => '115','verse_key' => '2:115','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '18','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '123','chapter_id' => '2','arabic_name' => 'وَقَالُوا۟ ٱتَّخَذَ ٱللَّهُ وَلَدًا ۗ سُبْحَـٰنَهُۥ ۖ بَل لَّهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ كُلٌّ لَّهُۥ قَـٰنِتُونَ','verse_number' => '116','verse_key' => '2:116','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '18','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '124','chapter_id' => '2','arabic_name' => 'بَدِيعُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ وَإِذَا قَضَىٰٓ أَمْرًا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ','verse_number' => '117','verse_key' => '2:117','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '18','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '125','chapter_id' => '2','arabic_name' => 'وَقَالَ ٱلَّذِينَ لَا يَعْلَمُونَ لَوْلَا يُكَلِّمُنَا ٱللَّهُ أَوْ تَأْتِينَآ ءَايَةٌ ۗ كَذَٰلِكَ قَالَ ٱلَّذِينَ مِن قَبْلِهِم مِّثْلَ قَوْلِهِمْ ۘ تَشَـٰبَهَتْ قُلُوبُهُمْ ۗ قَدْ بَيَّنَّا ٱلْـَٔايَـٰتِ لِقَوْمٍ يُوقِنُونَ','verse_number' => '118','verse_key' => '2:118','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '18','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '126','chapter_id' => '2','arabic_name' => 'إِنَّآ أَرْسَلْنَـٰكَ بِٱلْحَقِّ بَشِيرًا وَنَذِيرًا ۖ وَلَا تُسْـَٔلُ عَنْ أَصْحَـٰبِ ٱلْجَحِيمِ','verse_number' => '119','verse_key' => '2:119','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '18','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '127','chapter_id' => '2','arabic_name' => 'وَلَن تَرْضَىٰ عَنكَ ٱلْيَهُودُ وَلَا ٱلنَّصَـٰرَىٰ حَتَّىٰ تَتَّبِعَ مِلَّتَهُمْ ۗ قُلْ إِنَّ هُدَى ٱللَّهِ هُوَ ٱلْهُدَىٰ ۗ وَلَئِنِ ٱتَّبَعْتَ أَهْوَآءَهُم بَعْدَ ٱلَّذِى جَآءَكَ مِنَ ٱلْعِلْمِ ۙ مَا لَكَ مِنَ ٱللَّهِ مِن وَلِىٍّ وَلَا نَصِيرٍ','verse_number' => '120','verse_key' => '2:120','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '19','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '128','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ يَتْلُونَهُۥ حَقَّ تِلَاوَتِهِۦٓ أُو۟لَـٰٓئِكَ يُؤْمِنُونَ بِهِۦ ۗ وَمَن يَكْفُرْ بِهِۦ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '121','verse_key' => '2:121','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '15','manzil_number' => '1','sajdah_number' => '0','page_number' => '19','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '129','chapter_id' => '2','arabic_name' => 'يَـٰبَنِىٓ إِسْرَٰٓءِيلَ ٱذْكُرُوا۟ نِعْمَتِىَ ٱلَّتِىٓ أَنْعَمْتُ عَلَيْكُمْ وَأَنِّى فَضَّلْتُكُمْ عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '122','verse_key' => '2:122','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '19','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '130','chapter_id' => '2','arabic_name' => 'وَٱتَّقُوا۟ يَوْمًا لَّا تَجْزِى نَفْسٌ عَن نَّفْسٍ شَيْـًٔا وَلَا يُقْبَلُ مِنْهَا عَدْلٌ وَلَا تَنفَعُهَا شَفَـٰعَةٌ وَلَا هُمْ يُنصَرُونَ','verse_number' => '123','verse_key' => '2:123','hizb_number' => '2','rub_el_hizb_number' => '7','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '19','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '131','chapter_id' => '2','arabic_name' => '۞ وَإِذِ ٱبْتَلَىٰٓ إِبْرَٰهِـۧمَ رَبُّهُۥ بِكَلِمَـٰتٍ فَأَتَمَّهُنَّ ۖ قَالَ إِنِّى جَاعِلُكَ لِلنَّاسِ إِمَامًا ۖ قَالَ وَمِن ذُرِّيَّتِى ۖ قَالَ لَا يَنَالُ عَهْدِى ٱلظَّـٰلِمِينَ','verse_number' => '124','verse_key' => '2:124','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '19','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '132','chapter_id' => '2','arabic_name' => 'وَإِذْ جَعَلْنَا ٱلْبَيْتَ مَثَابَةً لِّلنَّاسِ وَأَمْنًا وَٱتَّخِذُوا۟ مِن مَّقَامِ إِبْرَٰهِـۧمَ مُصَلًّى ۖ وَعَهِدْنَآ إِلَىٰٓ إِبْرَٰهِـۧمَ وَإِسْمَـٰعِيلَ أَن طَهِّرَا بَيْتِىَ لِلطَّآئِفِينَ وَٱلْعَـٰكِفِينَ وَٱلرُّكَّعِ ٱلسُّجُودِ','verse_number' => '125','verse_key' => '2:125','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '19','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '133','chapter_id' => '2','arabic_name' => 'وَإِذْ قَالَ إِبْرَٰهِـۧمُ رَبِّ ٱجْعَلْ هَـٰذَا بَلَدًا ءَامِنًا وَٱرْزُقْ أَهْلَهُۥ مِنَ ٱلثَّمَرَٰتِ مَنْ ءَامَنَ مِنْهُم بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ ۖ قَالَ وَمَن كَفَرَ فَأُمَتِّعُهُۥ قَلِيلًا ثُمَّ أَضْطَرُّهُۥٓ إِلَىٰ عَذَابِ ٱلنَّارِ ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '126','verse_key' => '2:126','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '19','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '134','chapter_id' => '2','arabic_name' => 'وَإِذْ يَرْفَعُ إِبْرَٰهِـۧمُ ٱلْقَوَاعِدَ مِنَ ٱلْبَيْتِ وَإِسْمَـٰعِيلُ رَبَّنَا تَقَبَّلْ مِنَّآ ۖ إِنَّكَ أَنتَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '127','verse_key' => '2:127','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '135','chapter_id' => '2','arabic_name' => 'رَبَّنَا وَٱجْعَلْنَا مُسْلِمَيْنِ لَكَ وَمِن ذُرِّيَّتِنَآ أُمَّةً مُّسْلِمَةً لَّكَ وَأَرِنَا مَنَاسِكَنَا وَتُبْ عَلَيْنَآ ۖ إِنَّكَ أَنتَ ٱلتَّوَّابُ ٱلرَّحِيمُ','verse_number' => '128','verse_key' => '2:128','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '136','chapter_id' => '2','arabic_name' => 'رَبَّنَا وَٱبْعَثْ فِيهِمْ رَسُولًا مِّنْهُمْ يَتْلُوا۟ عَلَيْهِمْ ءَايَـٰتِكَ وَيُعَلِّمُهُمُ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَيُزَكِّيهِمْ ۚ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '129','verse_key' => '2:129','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '16','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '137','chapter_id' => '2','arabic_name' => 'وَمَن يَرْغَبُ عَن مِّلَّةِ إِبْرَٰهِـۧمَ إِلَّا مَن سَفِهَ نَفْسَهُۥ ۚ وَلَقَدِ ٱصْطَفَيْنَـٰهُ فِى ٱلدُّنْيَا ۖ وَإِنَّهُۥ فِى ٱلْـَٔاخِرَةِ لَمِنَ ٱلصَّـٰلِحِينَ','verse_number' => '130','verse_key' => '2:130','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '138','chapter_id' => '2','arabic_name' => 'إِذْ قَالَ لَهُۥ رَبُّهُۥٓ أَسْلِمْ ۖ قَالَ أَسْلَمْتُ لِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '131','verse_key' => '2:131','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '139','chapter_id' => '2','arabic_name' => 'وَوَصَّىٰ بِهَآ إِبْرَٰهِـۧمُ بَنِيهِ وَيَعْقُوبُ يَـٰبَنِىَّ إِنَّ ٱللَّهَ ٱصْطَفَىٰ لَكُمُ ٱلدِّينَ فَلَا تَمُوتُنَّ إِلَّا وَأَنتُم مُّسْلِمُونَ','verse_number' => '132','verse_key' => '2:132','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '140','chapter_id' => '2','arabic_name' => 'أَمْ كُنتُمْ شُهَدَآءَ إِذْ حَضَرَ يَعْقُوبَ ٱلْمَوْتُ إِذْ قَالَ لِبَنِيهِ مَا تَعْبُدُونَ مِنۢ بَعْدِى قَالُوا۟ نَعْبُدُ إِلَـٰهَكَ وَإِلَـٰهَ ءَابَآئِكَ إِبْرَٰهِـۧمَ وَإِسْمَـٰعِيلَ وَإِسْحَـٰقَ إِلَـٰهًا وَٰحِدًا وَنَحْنُ لَهُۥ مُسْلِمُونَ','verse_number' => '133','verse_key' => '2:133','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '141','chapter_id' => '2','arabic_name' => 'تِلْكَ أُمَّةٌ قَدْ خَلَتْ ۖ لَهَا مَا كَسَبَتْ وَلَكُم مَّا كَسَبْتُمْ ۖ وَلَا تُسْـَٔلُونَ عَمَّا كَانُوا۟ يَعْمَلُونَ','verse_number' => '134','verse_key' => '2:134','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '20','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '142','chapter_id' => '2','arabic_name' => 'وَقَالُوا۟ كُونُوا۟ هُودًا أَوْ نَصَـٰرَىٰ تَهْتَدُوا۟ ۗ قُلْ بَلْ مِلَّةَ إِبْرَٰهِـۧمَ حَنِيفًا ۖ وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '135','verse_key' => '2:135','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '21','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '143','chapter_id' => '2','arabic_name' => 'قُولُوٓا۟ ءَامَنَّا بِٱللَّهِ وَمَآ أُنزِلَ إِلَيْنَا وَمَآ أُنزِلَ إِلَىٰٓ إِبْرَٰهِـۧمَ وَإِسْمَـٰعِيلَ وَإِسْحَـٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطِ وَمَآ أُوتِىَ مُوسَىٰ وَعِيسَىٰ وَمَآ أُوتِىَ ٱلنَّبِيُّونَ مِن رَّبِّهِمْ لَا نُفَرِّقُ بَيْنَ أَحَدٍ مِّنْهُمْ وَنَحْنُ لَهُۥ مُسْلِمُونَ','verse_number' => '136','verse_key' => '2:136','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '21','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '144','chapter_id' => '2','arabic_name' => 'فَإِنْ ءَامَنُوا۟ بِمِثْلِ مَآ ءَامَنتُم بِهِۦ فَقَدِ ٱهْتَدَوا۟ ۖ وَّإِن تَوَلَّوْا۟ فَإِنَّمَا هُمْ فِى شِقَاقٍ ۖ فَسَيَكْفِيكَهُمُ ٱللَّهُ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '137','verse_key' => '2:137','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '21','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '145','chapter_id' => '2','arabic_name' => 'صِبْغَةَ ٱللَّهِ ۖ وَمَنْ أَحْسَنُ مِنَ ٱللَّهِ صِبْغَةً ۖ وَنَحْنُ لَهُۥ عَـٰبِدُونَ','verse_number' => '138','verse_key' => '2:138','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '21','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '146','chapter_id' => '2','arabic_name' => 'قُلْ أَتُحَآجُّونَنَا فِى ٱللَّهِ وَهُوَ رَبُّنَا وَرَبُّكُمْ وَلَنَآ أَعْمَـٰلُنَا وَلَكُمْ أَعْمَـٰلُكُمْ وَنَحْنُ لَهُۥ مُخْلِصُونَ','verse_number' => '139','verse_key' => '2:139','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '21','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '147','chapter_id' => '2','arabic_name' => 'أَمْ تَقُولُونَ إِنَّ إِبْرَٰهِـۧمَ وَإِسْمَـٰعِيلَ وَإِسْحَـٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطَ كَانُوا۟ هُودًا أَوْ نَصَـٰرَىٰ ۗ قُلْ ءَأَنتُمْ أَعْلَمُ أَمِ ٱللَّهُ ۗ وَمَنْ أَظْلَمُ مِمَّن كَتَمَ شَهَـٰدَةً عِندَهُۥ مِنَ ٱللَّهِ ۗ وَمَا ٱللَّهُ بِغَـٰفِلٍ عَمَّا تَعْمَلُونَ','verse_number' => '140','verse_key' => '2:140','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '21','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '148','chapter_id' => '2','arabic_name' => 'تِلْكَ أُمَّةٌ قَدْ خَلَتْ ۖ لَهَا مَا كَسَبَتْ وَلَكُم مَّا كَسَبْتُمْ ۖ وَلَا تُسْـَٔلُونَ عَمَّا كَانُوا۟ يَعْمَلُونَ','verse_number' => '141','verse_key' => '2:141','hizb_number' => '2','rub_el_hizb_number' => '8','ruku_number' => '17','manzil_number' => '1','sajdah_number' => '0','page_number' => '21','juz_number' => '1','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '149','chapter_id' => '2','arabic_name' => '۞ سَيَقُولُ ٱلسُّفَهَآءُ مِنَ ٱلنَّاسِ مَا وَلَّىٰهُمْ عَن قِبْلَتِهِمُ ٱلَّتِى كَانُوا۟ عَلَيْهَا ۚ قُل لِّلَّهِ ٱلْمَشْرِقُ وَٱلْمَغْرِبُ ۚ يَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '142','verse_key' => '2:142','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '18','manzil_number' => '1','sajdah_number' => '0','page_number' => '22','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '150','chapter_id' => '2','arabic_name' => 'وَكَذَٰلِكَ جَعَلْنَـٰكُمْ أُمَّةً وَسَطًا لِّتَكُونُوا۟ شُهَدَآءَ عَلَى ٱلنَّاسِ وَيَكُونَ ٱلرَّسُولُ عَلَيْكُمْ شَهِيدًا ۗ وَمَا جَعَلْنَا ٱلْقِبْلَةَ ٱلَّتِى كُنتَ عَلَيْهَآ إِلَّا لِنَعْلَمَ مَن يَتَّبِعُ ٱلرَّسُولَ مِمَّن يَنقَلِبُ عَلَىٰ عَقِبَيْهِ ۚ وَإِن كَانَتْ لَكَبِيرَةً إِلَّا عَلَى ٱلَّذِينَ هَدَى ٱللَّهُ ۗ وَمَا كَانَ ٱللَّهُ لِيُضِيعَ إِيمَـٰنَكُمْ ۚ إِنَّ ٱللَّهَ بِٱلنَّاسِ لَرَءُوفٌ رَّحِيمٌ','verse_number' => '143','verse_key' => '2:143','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '18','manzil_number' => '1','sajdah_number' => '0','page_number' => '22','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '151','chapter_id' => '2','arabic_name' => 'قَدْ نَرَىٰ تَقَلُّبَ وَجْهِكَ فِى ٱلسَّمَآءِ ۖ فَلَنُوَلِّيَنَّكَ قِبْلَةً تَرْضَىٰهَا ۚ فَوَلِّ وَجْهَكَ شَطْرَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۚ وَحَيْثُ مَا كُنتُمْ فَوَلُّوا۟ وُجُوهَكُمْ شَطْرَهُۥ ۗ وَإِنَّ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ لَيَعْلَمُونَ أَنَّهُ ٱلْحَقُّ مِن رَّبِّهِمْ ۗ وَمَا ٱللَّهُ بِغَـٰفِلٍ عَمَّا يَعْمَلُونَ','verse_number' => '144','verse_key' => '2:144','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '18','manzil_number' => '1','sajdah_number' => '0','page_number' => '22','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '152','chapter_id' => '2','arabic_name' => 'وَلَئِنْ أَتَيْتَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ بِكُلِّ ءَايَةٍ مَّا تَبِعُوا۟ قِبْلَتَكَ ۚ وَمَآ أَنتَ بِتَابِعٍ قِبْلَتَهُمْ ۚ وَمَا بَعْضُهُم بِتَابِعٍ قِبْلَةَ بَعْضٍ ۚ وَلَئِنِ ٱتَّبَعْتَ أَهْوَآءَهُم مِّنۢ بَعْدِ مَا جَآءَكَ مِنَ ٱلْعِلْمِ ۙ إِنَّكَ إِذًا لَّمِنَ ٱلظَّـٰلِمِينَ','verse_number' => '145','verse_key' => '2:145','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '18','manzil_number' => '1','sajdah_number' => '0','page_number' => '22','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '153','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ يَعْرِفُونَهُۥ كَمَا يَعْرِفُونَ أَبْنَآءَهُمْ ۖ وَإِنَّ فَرِيقًا مِّنْهُمْ لَيَكْتُمُونَ ٱلْحَقَّ وَهُمْ يَعْلَمُونَ','verse_number' => '146','verse_key' => '2:146','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '18','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '154','chapter_id' => '2','arabic_name' => 'ٱلْحَقُّ مِن رَّبِّكَ ۖ فَلَا تَكُونَنَّ مِنَ ٱلْمُمْتَرِينَ','verse_number' => '147','verse_key' => '2:147','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '18','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '155','chapter_id' => '2','arabic_name' => 'وَلِكُلٍّ وِجْهَةٌ هُوَ مُوَلِّيهَا ۖ فَٱسْتَبِقُوا۟ ٱلْخَيْرَٰتِ ۚ أَيْنَ مَا تَكُونُوا۟ يَأْتِ بِكُمُ ٱللَّهُ جَمِيعًا ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '148','verse_key' => '2:148','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '19','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '156','chapter_id' => '2','arabic_name' => 'وَمِنْ حَيْثُ خَرَجْتَ فَوَلِّ وَجْهَكَ شَطْرَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۖ وَإِنَّهُۥ لَلْحَقُّ مِن رَّبِّكَ ۗ وَمَا ٱللَّهُ بِغَـٰفِلٍ عَمَّا تَعْمَلُونَ','verse_number' => '149','verse_key' => '2:149','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '19','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '157','chapter_id' => '2','arabic_name' => 'وَمِنْ حَيْثُ خَرَجْتَ فَوَلِّ وَجْهَكَ شَطْرَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۚ وَحَيْثُ مَا كُنتُمْ فَوَلُّوا۟ وُجُوهَكُمْ شَطْرَهُۥ لِئَلَّا يَكُونَ لِلنَّاسِ عَلَيْكُمْ حُجَّةٌ إِلَّا ٱلَّذِينَ ظَلَمُوا۟ مِنْهُمْ فَلَا تَخْشَوْهُمْ وَٱخْشَوْنِى وَلِأُتِمَّ نِعْمَتِى عَلَيْكُمْ وَلَعَلَّكُمْ تَهْتَدُونَ','verse_number' => '150','verse_key' => '2:150','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '19','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '158','chapter_id' => '2','arabic_name' => 'كَمَآ أَرْسَلْنَا فِيكُمْ رَسُولًا مِّنكُمْ يَتْلُوا۟ عَلَيْكُمْ ءَايَـٰتِنَا وَيُزَكِّيكُمْ وَيُعَلِّمُكُمُ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَيُعَلِّمُكُم مَّا لَمْ تَكُونُوا۟ تَعْلَمُونَ','verse_number' => '151','verse_key' => '2:151','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '19','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '159','chapter_id' => '2','arabic_name' => 'فَٱذْكُرُونِىٓ أَذْكُرْكُمْ وَٱشْكُرُوا۟ لِى وَلَا تَكْفُرُونِ','verse_number' => '152','verse_key' => '2:152','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '19','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '160','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱسْتَعِينُوا۟ بِٱلصَّبْرِ وَٱلصَّلَوٰةِ ۚ إِنَّ ٱللَّهَ مَعَ ٱلصَّـٰبِرِينَ','verse_number' => '153','verse_key' => '2:153','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '23','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '161','chapter_id' => '2','arabic_name' => 'وَلَا تَقُولُوا۟ لِمَن يُقْتَلُ فِى سَبِيلِ ٱللَّهِ أَمْوَٰتٌۢ ۚ بَلْ أَحْيَآءٌ وَلَـٰكِن لَّا تَشْعُرُونَ','verse_number' => '154','verse_key' => '2:154','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '162','chapter_id' => '2','arabic_name' => 'وَلَنَبْلُوَنَّكُم بِشَىْءٍ مِّنَ ٱلْخَوْفِ وَٱلْجُوعِ وَنَقْصٍ مِّنَ ٱلْأَمْوَٰلِ وَٱلْأَنفُسِ وَٱلثَّمَرَٰتِ ۗ وَبَشِّرِ ٱلصَّـٰبِرِينَ','verse_number' => '155','verse_key' => '2:155','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '163','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ إِذَآ أَصَـٰبَتْهُم مُّصِيبَةٌ قَالُوٓا۟ إِنَّا لِلَّهِ وَإِنَّآ إِلَيْهِ رَٰجِعُونَ','verse_number' => '156','verse_key' => '2:156','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '164','chapter_id' => '2','arabic_name' => 'أُو۟لَـٰٓئِكَ عَلَيْهِمْ صَلَوَٰتٌ مِّن رَّبِّهِمْ وَرَحْمَةٌ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُهْتَدُونَ','verse_number' => '157','verse_key' => '2:157','hizb_number' => '3','rub_el_hizb_number' => '9','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '165','chapter_id' => '2','arabic_name' => '۞ إِنَّ ٱلصَّفَا وَٱلْمَرْوَةَ مِن شَعَآئِرِ ٱللَّهِ ۖ فَمَنْ حَجَّ ٱلْبَيْتَ أَوِ ٱعْتَمَرَ فَلَا جُنَاحَ عَلَيْهِ أَن يَطَّوَّفَ بِهِمَا ۚ وَمَن تَطَوَّعَ خَيْرًا فَإِنَّ ٱللَّهَ شَاكِرٌ عَلِيمٌ','verse_number' => '158','verse_key' => '2:158','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '166','chapter_id' => '2','arabic_name' => 'إِنَّ ٱلَّذِينَ يَكْتُمُونَ مَآ أَنزَلْنَا مِنَ ٱلْبَيِّنَـٰتِ وَٱلْهُدَىٰ مِنۢ بَعْدِ مَا بَيَّنَّـٰهُ لِلنَّاسِ فِى ٱلْكِتَـٰبِ ۙ أُو۟لَـٰٓئِكَ يَلْعَنُهُمُ ٱللَّهُ وَيَلْعَنُهُمُ ٱللَّـٰعِنُونَ','verse_number' => '159','verse_key' => '2:159','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '167','chapter_id' => '2','arabic_name' => 'إِلَّا ٱلَّذِينَ تَابُوا۟ وَأَصْلَحُوا۟ وَبَيَّنُوا۟ فَأُو۟لَـٰٓئِكَ أَتُوبُ عَلَيْهِمْ ۚ وَأَنَا ٱلتَّوَّابُ ٱلرَّحِيمُ','verse_number' => '160','verse_key' => '2:160','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '168','chapter_id' => '2','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَمَاتُوا۟ وَهُمْ كُفَّارٌ أُو۟لَـٰٓئِكَ عَلَيْهِمْ لَعْنَةُ ٱللَّهِ وَٱلْمَلَـٰٓئِكَةِ وَٱلنَّاسِ أَجْمَعِينَ','verse_number' => '161','verse_key' => '2:161','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '169','chapter_id' => '2','arabic_name' => 'خَـٰلِدِينَ فِيهَا ۖ لَا يُخَفَّفُ عَنْهُمُ ٱلْعَذَابُ وَلَا هُمْ يُنظَرُونَ','verse_number' => '162','verse_key' => '2:162','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '170','chapter_id' => '2','arabic_name' => 'وَإِلَـٰهُكُمْ إِلَـٰهٌ وَٰحِدٌ ۖ لَّآ إِلَـٰهَ إِلَّا هُوَ ٱلرَّحْمَـٰنُ ٱلرَّحِيمُ','verse_number' => '163','verse_key' => '2:163','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '20','manzil_number' => '1','sajdah_number' => '0','page_number' => '24','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '171','chapter_id' => '2','arabic_name' => 'إِنَّ فِى خَلْقِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَٱخْتِلَـٰفِ ٱلَّيْلِ وَٱلنَّهَارِ وَٱلْفُلْكِ ٱلَّتِى تَجْرِى فِى ٱلْبَحْرِ بِمَا يَنفَعُ ٱلنَّاسَ وَمَآ أَنزَلَ ٱللَّهُ مِنَ ٱلسَّمَآءِ مِن مَّآءٍ فَأَحْيَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا وَبَثَّ فِيهَا مِن كُلِّ دَآبَّةٍ وَتَصْرِيفِ ٱلرِّيَـٰحِ وَٱلسَّحَابِ ٱلْمُسَخَّرِ بَيْنَ ٱلسَّمَآءِ وَٱلْأَرْضِ لَـَٔايَـٰتٍ لِّقَوْمٍ يَعْقِلُونَ','verse_number' => '164','verse_key' => '2:164','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '21','manzil_number' => '1','sajdah_number' => '0','page_number' => '25','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '172','chapter_id' => '2','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يَتَّخِذُ مِن دُونِ ٱللَّهِ أَندَادًا يُحِبُّونَهُمْ كَحُبِّ ٱللَّهِ ۖ وَٱلَّذِينَ ءَامَنُوٓا۟ أَشَدُّ حُبًّا لِّلَّهِ ۗ وَلَوْ يَرَى ٱلَّذِينَ ظَلَمُوٓا۟ إِذْ يَرَوْنَ ٱلْعَذَابَ أَنَّ ٱلْقُوَّةَ لِلَّهِ جَمِيعًا وَأَنَّ ٱللَّهَ شَدِيدُ ٱلْعَذَابِ','verse_number' => '165','verse_key' => '2:165','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '21','manzil_number' => '1','sajdah_number' => '0','page_number' => '25','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '173','chapter_id' => '2','arabic_name' => 'إِذْ تَبَرَّأَ ٱلَّذِينَ ٱتُّبِعُوا۟ مِنَ ٱلَّذِينَ ٱتَّبَعُوا۟ وَرَأَوُا۟ ٱلْعَذَابَ وَتَقَطَّعَتْ بِهِمُ ٱلْأَسْبَابُ','verse_number' => '166','verse_key' => '2:166','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '21','manzil_number' => '1','sajdah_number' => '0','page_number' => '25','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '174','chapter_id' => '2','arabic_name' => 'وَقَالَ ٱلَّذِينَ ٱتَّبَعُوا۟ لَوْ أَنَّ لَنَا كَرَّةً فَنَتَبَرَّأَ مِنْهُمْ كَمَا تَبَرَّءُوا۟ مِنَّا ۗ كَذَٰلِكَ يُرِيهِمُ ٱللَّهُ أَعْمَـٰلَهُمْ حَسَرَٰتٍ عَلَيْهِمْ ۖ وَمَا هُم بِخَـٰرِجِينَ مِنَ ٱلنَّارِ','verse_number' => '167','verse_key' => '2:167','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '21','manzil_number' => '1','sajdah_number' => '0','page_number' => '25','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '175','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ كُلُوا۟ مِمَّا فِى ٱلْأَرْضِ حَلَـٰلًا طَيِّبًا وَلَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَـٰنِ ۚ إِنَّهُۥ لَكُمْ عَدُوٌّ مُّبِينٌ','verse_number' => '168','verse_key' => '2:168','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '25','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '176','chapter_id' => '2','arabic_name' => 'إِنَّمَا يَأْمُرُكُم بِٱلسُّوٓءِ وَٱلْفَحْشَآءِ وَأَن تَقُولُوا۟ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '169','verse_key' => '2:169','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '25','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '177','chapter_id' => '2','arabic_name' => 'وَإِذَا قِيلَ لَهُمُ ٱتَّبِعُوا۟ مَآ أَنزَلَ ٱللَّهُ قَالُوا۟ بَلْ نَتَّبِعُ مَآ أَلْفَيْنَا عَلَيْهِ ءَابَآءَنَآ ۗ أَوَلَوْ كَانَ ءَابَآؤُهُمْ لَا يَعْقِلُونَ شَيْـًٔا وَلَا يَهْتَدُونَ','verse_number' => '170','verse_key' => '2:170','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '26','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '178','chapter_id' => '2','arabic_name' => 'وَمَثَلُ ٱلَّذِينَ كَفَرُوا۟ كَمَثَلِ ٱلَّذِى يَنْعِقُ بِمَا لَا يَسْمَعُ إِلَّا دُعَآءً وَنِدَآءً ۚ صُمٌّۢ بُكْمٌ عُمْىٌ فَهُمْ لَا يَعْقِلُونَ','verse_number' => '171','verse_key' => '2:171','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '26','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '179','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُلُوا۟ مِن طَيِّبَـٰتِ مَا رَزَقْنَـٰكُمْ وَٱشْكُرُوا۟ لِلَّهِ إِن كُنتُمْ إِيَّاهُ تَعْبُدُونَ','verse_number' => '172','verse_key' => '2:172','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '26','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '180','chapter_id' => '2','arabic_name' => 'إِنَّمَا حَرَّمَ عَلَيْكُمُ ٱلْمَيْتَةَ وَٱلدَّمَ وَلَحْمَ ٱلْخِنزِيرِ وَمَآ أُهِلَّ بِهِۦ لِغَيْرِ ٱللَّهِ ۖ فَمَنِ ٱضْطُرَّ غَيْرَ بَاغٍ وَلَا عَادٍ فَلَآ إِثْمَ عَلَيْهِ ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '173','verse_key' => '2:173','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '26','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '181','chapter_id' => '2','arabic_name' => 'إِنَّ ٱلَّذِينَ يَكْتُمُونَ مَآ أَنزَلَ ٱللَّهُ مِنَ ٱلْكِتَـٰبِ وَيَشْتَرُونَ بِهِۦ ثَمَنًا قَلِيلًا ۙ أُو۟لَـٰٓئِكَ مَا يَأْكُلُونَ فِى بُطُونِهِمْ إِلَّا ٱلنَّارَ وَلَا يُكَلِّمُهُمُ ٱللَّهُ يَوْمَ ٱلْقِيَـٰمَةِ وَلَا يُزَكِّيهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '174','verse_key' => '2:174','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '26','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '182','chapter_id' => '2','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلضَّلَـٰلَةَ بِٱلْهُدَىٰ وَٱلْعَذَابَ بِٱلْمَغْفِرَةِ ۚ فَمَآ أَصْبَرَهُمْ عَلَى ٱلنَّارِ','verse_number' => '175','verse_key' => '2:175','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '26','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '183','chapter_id' => '2','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱللَّهَ نَزَّلَ ٱلْكِتَـٰبَ بِٱلْحَقِّ ۗ وَإِنَّ ٱلَّذِينَ ٱخْتَلَفُوا۟ فِى ٱلْكِتَـٰبِ لَفِى شِقَاقٍۭ بَعِيدٍ','verse_number' => '176','verse_key' => '2:176','hizb_number' => '3','rub_el_hizb_number' => '10','ruku_number' => '22','manzil_number' => '1','sajdah_number' => '0','page_number' => '26','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '184','chapter_id' => '2','arabic_name' => '۞ لَّيْسَ ٱلْبِرَّ أَن تُوَلُّوا۟ وُجُوهَكُمْ قِبَلَ ٱلْمَشْرِقِ وَٱلْمَغْرِبِ وَلَـٰكِنَّ ٱلْبِرَّ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَٱلْمَلَـٰٓئِكَةِ وَٱلْكِتَـٰبِ وَٱلنَّبِيِّـۧنَ وَءَاتَى ٱلْمَالَ عَلَىٰ حُبِّهِۦ ذَوِى ٱلْقُرْبَىٰ وَٱلْيَتَـٰمَىٰ وَٱلْمَسَـٰكِينَ وَٱبْنَ ٱلسَّبِيلِ وَٱلسَّآئِلِينَ وَفِى ٱلرِّقَابِ وَأَقَامَ ٱلصَّلَوٰةَ وَءَاتَى ٱلزَّكَوٰةَ وَٱلْمُوفُونَ بِعَهْدِهِمْ إِذَا عَـٰهَدُوا۟ ۖ وَٱلصَّـٰبِرِينَ فِى ٱلْبَأْسَآءِ وَٱلضَّرَّآءِ وَحِينَ ٱلْبَأْسِ ۗ أُو۟لَـٰٓئِكَ ٱلَّذِينَ صَدَقُوا۟ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُتَّقُونَ','verse_number' => '177','verse_key' => '2:177','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '23','manzil_number' => '1','sajdah_number' => '0','page_number' => '27','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '185','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُتِبَ عَلَيْكُمُ ٱلْقِصَاصُ فِى ٱلْقَتْلَى ۖ ٱلْحُرُّ بِٱلْحُرِّ وَٱلْعَبْدُ بِٱلْعَبْدِ وَٱلْأُنثَىٰ بِٱلْأُنثَىٰ ۚ فَمَنْ عُفِىَ لَهُۥ مِنْ أَخِيهِ شَىْءٌ فَٱتِّبَاعٌۢ بِٱلْمَعْرُوفِ وَأَدَآءٌ إِلَيْهِ بِإِحْسَـٰنٍ ۗ ذَٰلِكَ تَخْفِيفٌ مِّن رَّبِّكُمْ وَرَحْمَةٌ ۗ فَمَنِ ٱعْتَدَىٰ بَعْدَ ذَٰلِكَ فَلَهُۥ عَذَابٌ أَلِيمٌ','verse_number' => '178','verse_key' => '2:178','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '23','manzil_number' => '1','sajdah_number' => '0','page_number' => '27','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '186','chapter_id' => '2','arabic_name' => 'وَلَكُمْ فِى ٱلْقِصَاصِ حَيَوٰةٌ يَـٰٓأُو۟لِى ٱلْأَلْبَـٰبِ لَعَلَّكُمْ تَتَّقُونَ','verse_number' => '179','verse_key' => '2:179','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '23','manzil_number' => '1','sajdah_number' => '0','page_number' => '27','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '187','chapter_id' => '2','arabic_name' => 'كُتِبَ عَلَيْكُمْ إِذَا حَضَرَ أَحَدَكُمُ ٱلْمَوْتُ إِن تَرَكَ خَيْرًا ٱلْوَصِيَّةُ لِلْوَٰلِدَيْنِ وَٱلْأَقْرَبِينَ بِٱلْمَعْرُوفِ ۖ حَقًّا عَلَى ٱلْمُتَّقِينَ','verse_number' => '180','verse_key' => '2:180','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '23','manzil_number' => '1','sajdah_number' => '0','page_number' => '27','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '188','chapter_id' => '2','arabic_name' => 'فَمَنۢ بَدَّلَهُۥ بَعْدَ مَا سَمِعَهُۥ فَإِنَّمَآ إِثْمُهُۥ عَلَى ٱلَّذِينَ يُبَدِّلُونَهُۥٓ ۚ إِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌ','verse_number' => '181','verse_key' => '2:181','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '23','manzil_number' => '1','sajdah_number' => '0','page_number' => '27','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '189','chapter_id' => '2','arabic_name' => 'فَمَنْ خَافَ مِن مُّوصٍ جَنَفًا أَوْ إِثْمًا فَأَصْلَحَ بَيْنَهُمْ فَلَآ إِثْمَ عَلَيْهِ ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '182','verse_key' => '2:182','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '23','manzil_number' => '1','sajdah_number' => '0','page_number' => '28','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '190','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُتِبَ عَلَيْكُمُ ٱلصِّيَامُ كَمَا كُتِبَ عَلَى ٱلَّذِينَ مِن قَبْلِكُمْ لَعَلَّكُمْ تَتَّقُونَ','verse_number' => '183','verse_key' => '2:183','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '24','manzil_number' => '1','sajdah_number' => '0','page_number' => '28','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '191','chapter_id' => '2','arabic_name' => 'أَيَّامًا مَّعْدُودَٰتٍ ۚ فَمَن كَانَ مِنكُم مَّرِيضًا أَوْ عَلَىٰ سَفَرٍ فَعِدَّةٌ مِّنْ أَيَّامٍ أُخَرَ ۚ وَعَلَى ٱلَّذِينَ يُطِيقُونَهُۥ فِدْيَةٌ طَعَامُ مِسْكِينٍ ۖ فَمَن تَطَوَّعَ خَيْرًا فَهُوَ خَيْرٌ لَّهُۥ ۚ وَأَن تَصُومُوا۟ خَيْرٌ لَّكُمْ ۖ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '184','verse_key' => '2:184','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '24','manzil_number' => '1','sajdah_number' => '0','page_number' => '28','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '192','chapter_id' => '2','arabic_name' => 'شَهْرُ رَمَضَانَ ٱلَّذِىٓ أُنزِلَ فِيهِ ٱلْقُرْءَانُ هُدًى لِّلنَّاسِ وَبَيِّنَـٰتٍ مِّنَ ٱلْهُدَىٰ وَٱلْفُرْقَانِ ۚ فَمَن شَهِدَ مِنكُمُ ٱلشَّهْرَ فَلْيَصُمْهُ ۖ وَمَن كَانَ مَرِيضًا أَوْ عَلَىٰ سَفَرٍ فَعِدَّةٌ مِّنْ أَيَّامٍ أُخَرَ ۗ يُرِيدُ ٱللَّهُ بِكُمُ ٱلْيُسْرَ وَلَا يُرِيدُ بِكُمُ ٱلْعُسْرَ وَلِتُكْمِلُوا۟ ٱلْعِدَّةَ وَلِتُكَبِّرُوا۟ ٱللَّهَ عَلَىٰ مَا هَدَىٰكُمْ وَلَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '185','verse_key' => '2:185','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '24','manzil_number' => '1','sajdah_number' => '0','page_number' => '28','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '193','chapter_id' => '2','arabic_name' => 'وَإِذَا سَأَلَكَ عِبَادِى عَنِّى فَإِنِّى قَرِيبٌ ۖ أُجِيبُ دَعْوَةَ ٱلدَّاعِ إِذَا دَعَانِ ۖ فَلْيَسْتَجِيبُوا۟ لِى وَلْيُؤْمِنُوا۟ بِى لَعَلَّهُمْ يَرْشُدُونَ','verse_number' => '186','verse_key' => '2:186','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '24','manzil_number' => '1','sajdah_number' => '0','page_number' => '28','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '194','chapter_id' => '2','arabic_name' => 'أُحِلَّ لَكُمْ لَيْلَةَ ٱلصِّيَامِ ٱلرَّفَثُ إِلَىٰ نِسَآئِكُمْ ۚ هُنَّ لِبَاسٌ لَّكُمْ وَأَنتُمْ لِبَاسٌ لَّهُنَّ ۗ عَلِمَ ٱللَّهُ أَنَّكُمْ كُنتُمْ تَخْتَانُونَ أَنفُسَكُمْ فَتَابَ عَلَيْكُمْ وَعَفَا عَنكُمْ ۖ فَٱلْـَٔـٰنَ بَـٰشِرُوهُنَّ وَٱبْتَغُوا۟ مَا كَتَبَ ٱللَّهُ لَكُمْ ۚ وَكُلُوا۟ وَٱشْرَبُوا۟ حَتَّىٰ يَتَبَيَّنَ لَكُمُ ٱلْخَيْطُ ٱلْأَبْيَضُ مِنَ ٱلْخَيْطِ ٱلْأَسْوَدِ مِنَ ٱلْفَجْرِ ۖ ثُمَّ أَتِمُّوا۟ ٱلصِّيَامَ إِلَى ٱلَّيْلِ ۚ وَلَا تُبَـٰشِرُوهُنَّ وَأَنتُمْ عَـٰكِفُونَ فِى ٱلْمَسَـٰجِدِ ۗ تِلْكَ حُدُودُ ٱللَّهِ فَلَا تَقْرَبُوهَا ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ ءَايَـٰتِهِۦ لِلنَّاسِ لَعَلَّهُمْ يَتَّقُونَ','verse_number' => '187','verse_key' => '2:187','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '24','manzil_number' => '1','sajdah_number' => '0','page_number' => '29','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '195','chapter_id' => '2','arabic_name' => 'وَلَا تَأْكُلُوٓا۟ أَمْوَٰلَكُم بَيْنَكُم بِٱلْبَـٰطِلِ وَتُدْلُوا۟ بِهَآ إِلَى ٱلْحُكَّامِ لِتَأْكُلُوا۟ فَرِيقًا مِّنْ أَمْوَٰلِ ٱلنَّاسِ بِٱلْإِثْمِ وَأَنتُمْ تَعْلَمُونَ','verse_number' => '188','verse_key' => '2:188','hizb_number' => '3','rub_el_hizb_number' => '11','ruku_number' => '24','manzil_number' => '1','sajdah_number' => '0','page_number' => '29','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '196','chapter_id' => '2','arabic_name' => '۞ يَسْـَٔلُونَكَ عَنِ ٱلْأَهِلَّةِ ۖ قُلْ هِىَ مَوَٰقِيتُ لِلنَّاسِ وَٱلْحَجِّ ۗ وَلَيْسَ ٱلْبِرُّ بِأَن تَأْتُوا۟ ٱلْبُيُوتَ مِن ظُهُورِهَا وَلَـٰكِنَّ ٱلْبِرَّ مَنِ ٱتَّقَىٰ ۗ وَأْتُوا۟ ٱلْبُيُوتَ مِنْ أَبْوَٰبِهَا ۚ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '189','verse_key' => '2:189','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '29','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '197','chapter_id' => '2','arabic_name' => 'وَقَـٰتِلُوا۟ فِى سَبِيلِ ٱللَّهِ ٱلَّذِينَ يُقَـٰتِلُونَكُمْ وَلَا تَعْتَدُوٓا۟ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْمُعْتَدِينَ','verse_number' => '190','verse_key' => '2:190','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '29','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '198','chapter_id' => '2','arabic_name' => 'وَٱقْتُلُوهُمْ حَيْثُ ثَقِفْتُمُوهُمْ وَأَخْرِجُوهُم مِّنْ حَيْثُ أَخْرَجُوكُمْ ۚ وَٱلْفِتْنَةُ أَشَدُّ مِنَ ٱلْقَتْلِ ۚ وَلَا تُقَـٰتِلُوهُمْ عِندَ ٱلْمَسْجِدِ ٱلْحَرَامِ حَتَّىٰ يُقَـٰتِلُوكُمْ فِيهِ ۖ فَإِن قَـٰتَلُوكُمْ فَٱقْتُلُوهُمْ ۗ كَذَٰلِكَ جَزَآءُ ٱلْكَـٰفِرِينَ','verse_number' => '191','verse_key' => '2:191','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '30','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '199','chapter_id' => '2','arabic_name' => 'فَإِنِ ٱنتَهَوْا۟ فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '192','verse_key' => '2:192','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '30','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '200','chapter_id' => '2','arabic_name' => 'وَقَـٰتِلُوهُمْ حَتَّىٰ لَا تَكُونَ فِتْنَةٌ وَيَكُونَ ٱلدِّينُ لِلَّهِ ۖ فَإِنِ ٱنتَهَوْا۟ فَلَا عُدْوَٰنَ إِلَّا عَلَى ٱلظَّـٰلِمِينَ','verse_number' => '193','verse_key' => '2:193','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '30','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '201','chapter_id' => '2','arabic_name' => 'ٱلشَّهْرُ ٱلْحَرَامُ بِٱلشَّهْرِ ٱلْحَرَامِ وَٱلْحُرُمَـٰتُ قِصَاصٌ ۚ فَمَنِ ٱعْتَدَىٰ عَلَيْكُمْ فَٱعْتَدُوا۟ عَلَيْهِ بِمِثْلِ مَا ٱعْتَدَىٰ عَلَيْكُمْ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَعَ ٱلْمُتَّقِينَ','verse_number' => '194','verse_key' => '2:194','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '30','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '202','chapter_id' => '2','arabic_name' => 'وَأَنفِقُوا۟ فِى سَبِيلِ ٱللَّهِ وَلَا تُلْقُوا۟ بِأَيْدِيكُمْ إِلَى ٱلتَّهْلُكَةِ ۛ وَأَحْسِنُوٓا۟ ۛ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُحْسِنِينَ','verse_number' => '195','verse_key' => '2:195','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '30','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '203','chapter_id' => '2','arabic_name' => 'وَأَتِمُّوا۟ ٱلْحَجَّ وَٱلْعُمْرَةَ لِلَّهِ ۚ فَإِنْ أُحْصِرْتُمْ فَمَا ٱسْتَيْسَرَ مِنَ ٱلْهَدْىِ ۖ وَلَا تَحْلِقُوا۟ رُءُوسَكُمْ حَتَّىٰ يَبْلُغَ ٱلْهَدْىُ مَحِلَّهُۥ ۚ فَمَن كَانَ مِنكُم مَّرِيضًا أَوْ بِهِۦٓ أَذًى مِّن رَّأْسِهِۦ فَفِدْيَةٌ مِّن صِيَامٍ أَوْ صَدَقَةٍ أَوْ نُسُكٍ ۚ فَإِذَآ أَمِنتُمْ فَمَن تَمَتَّعَ بِٱلْعُمْرَةِ إِلَى ٱلْحَجِّ فَمَا ٱسْتَيْسَرَ مِنَ ٱلْهَدْىِ ۚ فَمَن لَّمْ يَجِدْ فَصِيَامُ ثَلَـٰثَةِ أَيَّامٍ فِى ٱلْحَجِّ وَسَبْعَةٍ إِذَا رَجَعْتُمْ ۗ تِلْكَ عَشَرَةٌ كَامِلَةٌ ۗ ذَٰلِكَ لِمَن لَّمْ يَكُنْ أَهْلُهُۥ حَاضِرِى ٱلْمَسْجِدِ ٱلْحَرَامِ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ','verse_number' => '196','verse_key' => '2:196','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '25','manzil_number' => '1','sajdah_number' => '0','page_number' => '30','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '204','chapter_id' => '2','arabic_name' => 'ٱلْحَجُّ أَشْهُرٌ مَّعْلُومَـٰتٌ ۚ فَمَن فَرَضَ فِيهِنَّ ٱلْحَجَّ فَلَا رَفَثَ وَلَا فُسُوقَ وَلَا جِدَالَ فِى ٱلْحَجِّ ۗ وَمَا تَفْعَلُوا۟ مِنْ خَيْرٍ يَعْلَمْهُ ٱللَّهُ ۗ وَتَزَوَّدُوا۟ فَإِنَّ خَيْرَ ٱلزَّادِ ٱلتَّقْوَىٰ ۚ وَٱتَّقُونِ يَـٰٓأُو۟لِى ٱلْأَلْبَـٰبِ','verse_number' => '197','verse_key' => '2:197','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '31','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '205','chapter_id' => '2','arabic_name' => 'لَيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَبْتَغُوا۟ فَضْلًا مِّن رَّبِّكُمْ ۚ فَإِذَآ أَفَضْتُم مِّنْ عَرَفَـٰتٍ فَٱذْكُرُوا۟ ٱللَّهَ عِندَ ٱلْمَشْعَرِ ٱلْحَرَامِ ۖ وَٱذْكُرُوهُ كَمَا هَدَىٰكُمْ وَإِن كُنتُم مِّن قَبْلِهِۦ لَمِنَ ٱلضَّآلِّينَ','verse_number' => '198','verse_key' => '2:198','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '31','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '206','chapter_id' => '2','arabic_name' => 'ثُمَّ أَفِيضُوا۟ مِنْ حَيْثُ أَفَاضَ ٱلنَّاسُ وَٱسْتَغْفِرُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '199','verse_key' => '2:199','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '31','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '207','chapter_id' => '2','arabic_name' => 'فَإِذَا قَضَيْتُم مَّنَـٰسِكَكُمْ فَٱذْكُرُوا۟ ٱللَّهَ كَذِكْرِكُمْ ءَابَآءَكُمْ أَوْ أَشَدَّ ذِكْرًا ۗ فَمِنَ ٱلنَّاسِ مَن يَقُولُ رَبَّنَآ ءَاتِنَا فِى ٱلدُّنْيَا وَمَا لَهُۥ فِى ٱلْـَٔاخِرَةِ مِنْ خَلَـٰقٍ','verse_number' => '200','verse_key' => '2:200','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '31','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '208','chapter_id' => '2','arabic_name' => 'وَمِنْهُم مَّن يَقُولُ رَبَّنَآ ءَاتِنَا فِى ٱلدُّنْيَا حَسَنَةً وَفِى ٱلْـَٔاخِرَةِ حَسَنَةً وَقِنَا عَذَابَ ٱلنَّارِ','verse_number' => '201','verse_key' => '2:201','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '31','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '209','chapter_id' => '2','arabic_name' => 'أُو۟لَـٰٓئِكَ لَهُمْ نَصِيبٌ مِّمَّا كَسَبُوا۟ ۚ وَٱللَّهُ سَرِيعُ ٱلْحِسَابِ','verse_number' => '202','verse_key' => '2:202','hizb_number' => '3','rub_el_hizb_number' => '12','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '31','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '210','chapter_id' => '2','arabic_name' => '۞ وَٱذْكُرُوا۟ ٱللَّهَ فِىٓ أَيَّامٍ مَّعْدُودَٰتٍ ۚ فَمَن تَعَجَّلَ فِى يَوْمَيْنِ فَلَآ إِثْمَ عَلَيْهِ وَمَن تَأَخَّرَ فَلَآ إِثْمَ عَلَيْهِ ۚ لِمَنِ ٱتَّقَىٰ ۗ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّكُمْ إِلَيْهِ تُحْشَرُونَ','verse_number' => '203','verse_key' => '2:203','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '211','chapter_id' => '2','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يُعْجِبُكَ قَوْلُهُۥ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَيُشْهِدُ ٱللَّهَ عَلَىٰ مَا فِى قَلْبِهِۦ وَهُوَ أَلَدُّ ٱلْخِصَامِ','verse_number' => '204','verse_key' => '2:204','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '212','chapter_id' => '2','arabic_name' => 'وَإِذَا تَوَلَّىٰ سَعَىٰ فِى ٱلْأَرْضِ لِيُفْسِدَ فِيهَا وَيُهْلِكَ ٱلْحَرْثَ وَٱلنَّسْلَ ۗ وَٱللَّهُ لَا يُحِبُّ ٱلْفَسَادَ','verse_number' => '205','verse_key' => '2:205','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '213','chapter_id' => '2','arabic_name' => 'وَإِذَا قِيلَ لَهُ ٱتَّقِ ٱللَّهَ أَخَذَتْهُ ٱلْعِزَّةُ بِٱلْإِثْمِ ۚ فَحَسْبُهُۥ جَهَنَّمُ ۚ وَلَبِئْسَ ٱلْمِهَادُ','verse_number' => '206','verse_key' => '2:206','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '214','chapter_id' => '2','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يَشْرِى نَفْسَهُ ٱبْتِغَآءَ مَرْضَاتِ ٱللَّهِ ۗ وَٱللَّهُ رَءُوفٌۢ بِٱلْعِبَادِ','verse_number' => '207','verse_key' => '2:207','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '215','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱدْخُلُوا۟ فِى ٱلسِّلْمِ كَآفَّةً وَلَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَـٰنِ ۚ إِنَّهُۥ لَكُمْ عَدُوٌّ مُّبِينٌ','verse_number' => '208','verse_key' => '2:208','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '216','chapter_id' => '2','arabic_name' => 'فَإِن زَلَلْتُم مِّنۢ بَعْدِ مَا جَآءَتْكُمُ ٱلْبَيِّنَـٰتُ فَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ','verse_number' => '209','verse_key' => '2:209','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '217','chapter_id' => '2','arabic_name' => 'هَلْ يَنظُرُونَ إِلَّآ أَن يَأْتِيَهُمُ ٱللَّهُ فِى ظُلَلٍ مِّنَ ٱلْغَمَامِ وَٱلْمَلَـٰٓئِكَةُ وَقُضِىَ ٱلْأَمْرُ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ','verse_number' => '210','verse_key' => '2:210','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '26','manzil_number' => '1','sajdah_number' => '0','page_number' => '32','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '218','chapter_id' => '2','arabic_name' => 'سَلْ بَنِىٓ إِسْرَٰٓءِيلَ كَمْ ءَاتَيْنَـٰهُم مِّنْ ءَايَةٍۭ بَيِّنَةٍ ۗ وَمَن يُبَدِّلْ نِعْمَةَ ٱللَّهِ مِنۢ بَعْدِ مَا جَآءَتْهُ فَإِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ','verse_number' => '211','verse_key' => '2:211','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '27','manzil_number' => '1','sajdah_number' => '0','page_number' => '33','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '219','chapter_id' => '2','arabic_name' => 'زُيِّنَ لِلَّذِينَ كَفَرُوا۟ ٱلْحَيَوٰةُ ٱلدُّنْيَا وَيَسْخَرُونَ مِنَ ٱلَّذِينَ ءَامَنُوا۟ ۘ وَٱلَّذِينَ ٱتَّقَوْا۟ فَوْقَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ ۗ وَٱللَّهُ يَرْزُقُ مَن يَشَآءُ بِغَيْرِ حِسَابٍ','verse_number' => '212','verse_key' => '2:212','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '27','manzil_number' => '1','sajdah_number' => '0','page_number' => '33','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '220','chapter_id' => '2','arabic_name' => 'كَانَ ٱلنَّاسُ أُمَّةً وَٰحِدَةً فَبَعَثَ ٱللَّهُ ٱلنَّبِيِّـۧنَ مُبَشِّرِينَ وَمُنذِرِينَ وَأَنزَلَ مَعَهُمُ ٱلْكِتَـٰبَ بِٱلْحَقِّ لِيَحْكُمَ بَيْنَ ٱلنَّاسِ فِيمَا ٱخْتَلَفُوا۟ فِيهِ ۚ وَمَا ٱخْتَلَفَ فِيهِ إِلَّا ٱلَّذِينَ أُوتُوهُ مِنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَـٰتُ بَغْيًۢا بَيْنَهُمْ ۖ فَهَدَى ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ لِمَا ٱخْتَلَفُوا۟ فِيهِ مِنَ ٱلْحَقِّ بِإِذْنِهِۦ ۗ وَٱللَّهُ يَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '213','verse_key' => '2:213','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '27','manzil_number' => '1','sajdah_number' => '0','page_number' => '33','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '221','chapter_id' => '2','arabic_name' => 'أَمْ حَسِبْتُمْ أَن تَدْخُلُوا۟ ٱلْجَنَّةَ وَلَمَّا يَأْتِكُم مَّثَلُ ٱلَّذِينَ خَلَوْا۟ مِن قَبْلِكُم ۖ مَّسَّتْهُمُ ٱلْبَأْسَآءُ وَٱلضَّرَّآءُ وَزُلْزِلُوا۟ حَتَّىٰ يَقُولَ ٱلرَّسُولُ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ مَتَىٰ نَصْرُ ٱللَّهِ ۗ أَلَآ إِنَّ نَصْرَ ٱللَّهِ قَرِيبٌ','verse_number' => '214','verse_key' => '2:214','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '27','manzil_number' => '1','sajdah_number' => '0','page_number' => '33','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '222','chapter_id' => '2','arabic_name' => 'يَسْـَٔلُونَكَ مَاذَا يُنفِقُونَ ۖ قُلْ مَآ أَنفَقْتُم مِّنْ خَيْرٍ فَلِلْوَٰلِدَيْنِ وَٱلْأَقْرَبِينَ وَٱلْيَتَـٰمَىٰ وَٱلْمَسَـٰكِينِ وَٱبْنِ ٱلسَّبِيلِ ۗ وَمَا تَفْعَلُوا۟ مِنْ خَيْرٍ فَإِنَّ ٱللَّهَ بِهِۦ عَلِيمٌ','verse_number' => '215','verse_key' => '2:215','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '27','manzil_number' => '1','sajdah_number' => '0','page_number' => '33','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '223','chapter_id' => '2','arabic_name' => 'كُتِبَ عَلَيْكُمُ ٱلْقِتَالُ وَهُوَ كُرْهٌ لَّكُمْ ۖ وَعَسَىٰٓ أَن تَكْرَهُوا۟ شَيْـًٔا وَهُوَ خَيْرٌ لَّكُمْ ۖ وَعَسَىٰٓ أَن تُحِبُّوا۟ شَيْـًٔا وَهُوَ شَرٌّ لَّكُمْ ۗ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ','verse_number' => '216','verse_key' => '2:216','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '27','manzil_number' => '1','sajdah_number' => '0','page_number' => '34','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '224','chapter_id' => '2','arabic_name' => 'يَسْـَٔلُونَكَ عَنِ ٱلشَّهْرِ ٱلْحَرَامِ قِتَالٍ فِيهِ ۖ قُلْ قِتَالٌ فِيهِ كَبِيرٌ ۖ وَصَدٌّ عَن سَبِيلِ ٱللَّهِ وَكُفْرٌۢ بِهِۦ وَٱلْمَسْجِدِ ٱلْحَرَامِ وَإِخْرَاجُ أَهْلِهِۦ مِنْهُ أَكْبَرُ عِندَ ٱللَّهِ ۚ وَٱلْفِتْنَةُ أَكْبَرُ مِنَ ٱلْقَتْلِ ۗ وَلَا يَزَالُونَ يُقَـٰتِلُونَكُمْ حَتَّىٰ يَرُدُّوكُمْ عَن دِينِكُمْ إِنِ ٱسْتَطَـٰعُوا۟ ۚ وَمَن يَرْتَدِدْ مِنكُمْ عَن دِينِهِۦ فَيَمُتْ وَهُوَ كَافِرٌ فَأُو۟لَـٰٓئِكَ حَبِطَتْ أَعْمَـٰلُهُمْ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ ۖ وَأُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '217','verse_key' => '2:217','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '28','manzil_number' => '1','sajdah_number' => '0','page_number' => '34','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '225','chapter_id' => '2','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَاجَرُوا۟ وَجَـٰهَدُوا۟ فِى سَبِيلِ ٱللَّهِ أُو۟لَـٰٓئِكَ يَرْجُونَ رَحْمَتَ ٱللَّهِ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '218','verse_key' => '2:218','hizb_number' => '4','rub_el_hizb_number' => '13','ruku_number' => '28','manzil_number' => '1','sajdah_number' => '0','page_number' => '34','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '226','chapter_id' => '2','arabic_name' => '۞ يَسْـَٔلُونَكَ عَنِ ٱلْخَمْرِ وَٱلْمَيْسِرِ ۖ قُلْ فِيهِمَآ إِثْمٌ كَبِيرٌ وَمَنَـٰفِعُ لِلنَّاسِ وَإِثْمُهُمَآ أَكْبَرُ مِن نَّفْعِهِمَا ۗ وَيَسْـَٔلُونَكَ مَاذَا يُنفِقُونَ قُلِ ٱلْعَفْوَ ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْـَٔايَـٰتِ لَعَلَّكُمْ تَتَفَكَّرُونَ','verse_number' => '219','verse_key' => '2:219','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '28','manzil_number' => '1','sajdah_number' => '0','page_number' => '34','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '227','chapter_id' => '2','arabic_name' => 'فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ ۗ وَيَسْـَٔلُونَكَ عَنِ ٱلْيَتَـٰمَىٰ ۖ قُلْ إِصْلَاحٌ لَّهُمْ خَيْرٌ ۖ وَإِن تُخَالِطُوهُمْ فَإِخْوَٰنُكُمْ ۚ وَٱللَّهُ يَعْلَمُ ٱلْمُفْسِدَ مِنَ ٱلْمُصْلِحِ ۚ وَلَوْ شَآءَ ٱللَّهُ لَأَعْنَتَكُمْ ۚ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ','verse_number' => '220','verse_key' => '2:220','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '28','manzil_number' => '1','sajdah_number' => '0','page_number' => '35','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '228','chapter_id' => '2','arabic_name' => 'وَلَا تَنكِحُوا۟ ٱلْمُشْرِكَـٰتِ حَتَّىٰ يُؤْمِنَّ ۚ وَلَأَمَةٌ مُّؤْمِنَةٌ خَيْرٌ مِّن مُّشْرِكَةٍ وَلَوْ أَعْجَبَتْكُمْ ۗ وَلَا تُنكِحُوا۟ ٱلْمُشْرِكِينَ حَتَّىٰ يُؤْمِنُوا۟ ۚ وَلَعَبْدٌ مُّؤْمِنٌ خَيْرٌ مِّن مُّشْرِكٍ وَلَوْ أَعْجَبَكُمْ ۗ أُو۟لَـٰٓئِكَ يَدْعُونَ إِلَى ٱلنَّارِ ۖ وَٱللَّهُ يَدْعُوٓا۟ إِلَى ٱلْجَنَّةِ وَٱلْمَغْفِرَةِ بِإِذْنِهِۦ ۖ وَيُبَيِّنُ ءَايَـٰتِهِۦ لِلنَّاسِ لَعَلَّهُمْ يَتَذَكَّرُونَ','verse_number' => '221','verse_key' => '2:221','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '28','manzil_number' => '1','sajdah_number' => '0','page_number' => '35','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '229','chapter_id' => '2','arabic_name' => 'وَيَسْـَٔلُونَكَ عَنِ ٱلْمَحِيضِ ۖ قُلْ هُوَ أَذًى فَٱعْتَزِلُوا۟ ٱلنِّسَآءَ فِى ٱلْمَحِيضِ ۖ وَلَا تَقْرَبُوهُنَّ حَتَّىٰ يَطْهُرْنَ ۖ فَإِذَا تَطَهَّرْنَ فَأْتُوهُنَّ مِنْ حَيْثُ أَمَرَكُمُ ٱللَّهُ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلتَّوَّٰبِينَ وَيُحِبُّ ٱلْمُتَطَهِّرِينَ','verse_number' => '222','verse_key' => '2:222','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '29','manzil_number' => '1','sajdah_number' => '0','page_number' => '35','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '230','chapter_id' => '2','arabic_name' => 'نِسَآؤُكُمْ حَرْثٌ لَّكُمْ فَأْتُوا۟ حَرْثَكُمْ أَنَّىٰ شِئْتُمْ ۖ وَقَدِّمُوا۟ لِأَنفُسِكُمْ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّكُم مُّلَـٰقُوهُ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ','verse_number' => '223','verse_key' => '2:223','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '29','manzil_number' => '1','sajdah_number' => '0','page_number' => '35','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '231','chapter_id' => '2','arabic_name' => 'وَلَا تَجْعَلُوا۟ ٱللَّهَ عُرْضَةً لِّأَيْمَـٰنِكُمْ أَن تَبَرُّوا۟ وَتَتَّقُوا۟ وَتُصْلِحُوا۟ بَيْنَ ٱلنَّاسِ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '224','verse_key' => '2:224','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '29','manzil_number' => '1','sajdah_number' => '0','page_number' => '35','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '232','chapter_id' => '2','arabic_name' => 'لَّا يُؤَاخِذُكُمُ ٱللَّهُ بِٱللَّغْوِ فِىٓ أَيْمَـٰنِكُمْ وَلَـٰكِن يُؤَاخِذُكُم بِمَا كَسَبَتْ قُلُوبُكُمْ ۗ وَٱللَّهُ غَفُورٌ حَلِيمٌ','verse_number' => '225','verse_key' => '2:225','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '29','manzil_number' => '1','sajdah_number' => '0','page_number' => '36','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '233','chapter_id' => '2','arabic_name' => 'لِّلَّذِينَ يُؤْلُونَ مِن نِّسَآئِهِمْ تَرَبُّصُ أَرْبَعَةِ أَشْهُرٍ ۖ فَإِن فَآءُو فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '226','verse_key' => '2:226','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '29','manzil_number' => '1','sajdah_number' => '0','page_number' => '36','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '234','chapter_id' => '2','arabic_name' => 'وَإِنْ عَزَمُوا۟ ٱلطَّلَـٰقَ فَإِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌ','verse_number' => '227','verse_key' => '2:227','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '29','manzil_number' => '1','sajdah_number' => '0','page_number' => '36','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '235','chapter_id' => '2','arabic_name' => 'وَٱلْمُطَلَّقَـٰتُ يَتَرَبَّصْنَ بِأَنفُسِهِنَّ ثَلَـٰثَةَ قُرُوٓءٍ ۚ وَلَا يَحِلُّ لَهُنَّ أَن يَكْتُمْنَ مَا خَلَقَ ٱللَّهُ فِىٓ أَرْحَامِهِنَّ إِن كُنَّ يُؤْمِنَّ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ ۚ وَبُعُولَتُهُنَّ أَحَقُّ بِرَدِّهِنَّ فِى ذَٰلِكَ إِنْ أَرَادُوٓا۟ إِصْلَـٰحًا ۚ وَلَهُنَّ مِثْلُ ٱلَّذِى عَلَيْهِنَّ بِٱلْمَعْرُوفِ ۚ وَلِلرِّجَالِ عَلَيْهِنَّ دَرَجَةٌ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌ','verse_number' => '228','verse_key' => '2:228','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '29','manzil_number' => '1','sajdah_number' => '0','page_number' => '36','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '236','chapter_id' => '2','arabic_name' => 'ٱلطَّلَـٰقُ مَرَّتَانِ ۖ فَإِمْسَاكٌۢ بِمَعْرُوفٍ أَوْ تَسْرِيحٌۢ بِإِحْسَـٰنٍ ۗ وَلَا يَحِلُّ لَكُمْ أَن تَأْخُذُوا۟ مِمَّآ ءَاتَيْتُمُوهُنَّ شَيْـًٔا إِلَّآ أَن يَخَافَآ أَلَّا يُقِيمَا حُدُودَ ٱللَّهِ ۖ فَإِنْ خِفْتُمْ أَلَّا يُقِيمَا حُدُودَ ٱللَّهِ فَلَا جُنَاحَ عَلَيْهِمَا فِيمَا ٱفْتَدَتْ بِهِۦ ۗ تِلْكَ حُدُودُ ٱللَّهِ فَلَا تَعْتَدُوهَا ۚ وَمَن يَتَعَدَّ حُدُودَ ٱللَّهِ فَأُو۟لَـٰٓئِكَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '229','verse_key' => '2:229','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '30','manzil_number' => '1','sajdah_number' => '0','page_number' => '36','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '237','chapter_id' => '2','arabic_name' => 'فَإِن طَلَّقَهَا فَلَا تَحِلُّ لَهُۥ مِنۢ بَعْدُ حَتَّىٰ تَنكِحَ زَوْجًا غَيْرَهُۥ ۗ فَإِن طَلَّقَهَا فَلَا جُنَاحَ عَلَيْهِمَآ أَن يَتَرَاجَعَآ إِن ظَنَّآ أَن يُقِيمَا حُدُودَ ٱللَّهِ ۗ وَتِلْكَ حُدُودُ ٱللَّهِ يُبَيِّنُهَا لِقَوْمٍ يَعْلَمُونَ','verse_number' => '230','verse_key' => '2:230','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '30','manzil_number' => '1','sajdah_number' => '0','page_number' => '36','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '238','chapter_id' => '2','arabic_name' => 'وَإِذَا طَلَّقْتُمُ ٱلنِّسَآءَ فَبَلَغْنَ أَجَلَهُنَّ فَأَمْسِكُوهُنَّ بِمَعْرُوفٍ أَوْ سَرِّحُوهُنَّ بِمَعْرُوفٍ ۚ وَلَا تُمْسِكُوهُنَّ ضِرَارًا لِّتَعْتَدُوا۟ ۚ وَمَن يَفْعَلْ ذَٰلِكَ فَقَدْ ظَلَمَ نَفْسَهُۥ ۚ وَلَا تَتَّخِذُوٓا۟ ءَايَـٰتِ ٱللَّهِ هُزُوًا ۚ وَٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ وَمَآ أَنزَلَ عَلَيْكُم مِّنَ ٱلْكِتَـٰبِ وَٱلْحِكْمَةِ يَعِظُكُم بِهِۦ ۚ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '231','verse_key' => '2:231','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '30','manzil_number' => '1','sajdah_number' => '0','page_number' => '37','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '239','chapter_id' => '2','arabic_name' => 'وَإِذَا طَلَّقْتُمُ ٱلنِّسَآءَ فَبَلَغْنَ أَجَلَهُنَّ فَلَا تَعْضُلُوهُنَّ أَن يَنكِحْنَ أَزْوَٰجَهُنَّ إِذَا تَرَٰضَوْا۟ بَيْنَهُم بِٱلْمَعْرُوفِ ۗ ذَٰلِكَ يُوعَظُ بِهِۦ مَن كَانَ مِنكُمْ يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ ۗ ذَٰلِكُمْ أَزْكَىٰ لَكُمْ وَأَطْهَرُ ۗ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ','verse_number' => '232','verse_key' => '2:232','hizb_number' => '4','rub_el_hizb_number' => '14','ruku_number' => '31','manzil_number' => '1','sajdah_number' => '0','page_number' => '37','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '240','chapter_id' => '2','arabic_name' => '۞ وَٱلْوَٰلِدَٰتُ يُرْضِعْنَ أَوْلَـٰدَهُنَّ حَوْلَيْنِ كَامِلَيْنِ ۖ لِمَنْ أَرَادَ أَن يُتِمَّ ٱلرَّضَاعَةَ ۚ وَعَلَى ٱلْمَوْلُودِ لَهُۥ رِزْقُهُنَّ وَكِسْوَتُهُنَّ بِٱلْمَعْرُوفِ ۚ لَا تُكَلَّفُ نَفْسٌ إِلَّا وُسْعَهَا ۚ لَا تُضَآرَّ وَٰلِدَةٌۢ بِوَلَدِهَا وَلَا مَوْلُودٌ لَّهُۥ بِوَلَدِهِۦ ۚ وَعَلَى ٱلْوَارِثِ مِثْلُ ذَٰلِكَ ۗ فَإِنْ أَرَادَا فِصَالًا عَن تَرَاضٍ مِّنْهُمَا وَتَشَاوُرٍ فَلَا جُنَاحَ عَلَيْهِمَا ۗ وَإِنْ أَرَدتُّمْ أَن تَسْتَرْضِعُوٓا۟ أَوْلَـٰدَكُمْ فَلَا جُنَاحَ عَلَيْكُمْ إِذَا سَلَّمْتُم مَّآ ءَاتَيْتُم بِٱلْمَعْرُوفِ ۗ وَٱتَّقُوا۟ ٱللَّهَ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '233','verse_key' => '2:233','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '31','manzil_number' => '1','sajdah_number' => '0','page_number' => '37','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '241','chapter_id' => '2','arabic_name' => 'وَٱلَّذِينَ يُتَوَفَّوْنَ مِنكُمْ وَيَذَرُونَ أَزْوَٰجًا يَتَرَبَّصْنَ بِأَنفُسِهِنَّ أَرْبَعَةَ أَشْهُرٍ وَعَشْرًا ۖ فَإِذَا بَلَغْنَ أَجَلَهُنَّ فَلَا جُنَاحَ عَلَيْكُمْ فِيمَا فَعَلْنَ فِىٓ أَنفُسِهِنَّ بِٱلْمَعْرُوفِ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '234','verse_key' => '2:234','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '31','manzil_number' => '1','sajdah_number' => '0','page_number' => '38','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '242','chapter_id' => '2','arabic_name' => 'وَلَا جُنَاحَ عَلَيْكُمْ فِيمَا عَرَّضْتُم بِهِۦ مِنْ خِطْبَةِ ٱلنِّسَآءِ أَوْ أَكْنَنتُمْ فِىٓ أَنفُسِكُمْ ۚ عَلِمَ ٱللَّهُ أَنَّكُمْ سَتَذْكُرُونَهُنَّ وَلَـٰكِن لَّا تُوَاعِدُوهُنَّ سِرًّا إِلَّآ أَن تَقُولُوا۟ قَوْلًا مَّعْرُوفًا ۚ وَلَا تَعْزِمُوا۟ عُقْدَةَ ٱلنِّكَاحِ حَتَّىٰ يَبْلُغَ ٱلْكِتَـٰبُ أَجَلَهُۥ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِىٓ أَنفُسِكُمْ فَٱحْذَرُوهُ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ غَفُورٌ حَلِيمٌ','verse_number' => '235','verse_key' => '2:235','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '31','manzil_number' => '1','sajdah_number' => '0','page_number' => '38','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '243','chapter_id' => '2','arabic_name' => 'لَّا جُنَاحَ عَلَيْكُمْ إِن طَلَّقْتُمُ ٱلنِّسَآءَ مَا لَمْ تَمَسُّوهُنَّ أَوْ تَفْرِضُوا۟ لَهُنَّ فَرِيضَةً ۚ وَمَتِّعُوهُنَّ عَلَى ٱلْمُوسِعِ قَدَرُهُۥ وَعَلَى ٱلْمُقْتِرِ قَدَرُهُۥ مَتَـٰعًۢا بِٱلْمَعْرُوفِ ۖ حَقًّا عَلَى ٱلْمُحْسِنِينَ','verse_number' => '236','verse_key' => '2:236','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '32','manzil_number' => '1','sajdah_number' => '0','page_number' => '38','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '244','chapter_id' => '2','arabic_name' => 'وَإِن طَلَّقْتُمُوهُنَّ مِن قَبْلِ أَن تَمَسُّوهُنَّ وَقَدْ فَرَضْتُمْ لَهُنَّ فَرِيضَةً فَنِصْفُ مَا فَرَضْتُمْ إِلَّآ أَن يَعْفُونَ أَوْ يَعْفُوَا۟ ٱلَّذِى بِيَدِهِۦ عُقْدَةُ ٱلنِّكَاحِ ۚ وَأَن تَعْفُوٓا۟ أَقْرَبُ لِلتَّقْوَىٰ ۚ وَلَا تَنسَوُا۟ ٱلْفَضْلَ بَيْنَكُمْ ۚ إِنَّ ٱللَّهَ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '237','verse_key' => '2:237','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '32','manzil_number' => '1','sajdah_number' => '0','page_number' => '38','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '245','chapter_id' => '2','arabic_name' => 'حَـٰفِظُوا۟ عَلَى ٱلصَّلَوَٰتِ وَٱلصَّلَوٰةِ ٱلْوُسْطَىٰ وَقُومُوا۟ لِلَّهِ قَـٰنِتِينَ','verse_number' => '238','verse_key' => '2:238','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '32','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '246','chapter_id' => '2','arabic_name' => 'فَإِنْ خِفْتُمْ فَرِجَالًا أَوْ رُكْبَانًا ۖ فَإِذَآ أَمِنتُمْ فَٱذْكُرُوا۟ ٱللَّهَ كَمَا عَلَّمَكُم مَّا لَمْ تَكُونُوا۟ تَعْلَمُونَ','verse_number' => '239','verse_key' => '2:239','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '32','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '247','chapter_id' => '2','arabic_name' => 'وَٱلَّذِينَ يُتَوَفَّوْنَ مِنكُمْ وَيَذَرُونَ أَزْوَٰجًا وَصِيَّةً لِّأَزْوَٰجِهِم مَّتَـٰعًا إِلَى ٱلْحَوْلِ غَيْرَ إِخْرَاجٍ ۚ فَإِنْ خَرَجْنَ فَلَا جُنَاحَ عَلَيْكُمْ فِى مَا فَعَلْنَ فِىٓ أَنفُسِهِنَّ مِن مَّعْرُوفٍ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌ','verse_number' => '240','verse_key' => '2:240','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '32','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '248','chapter_id' => '2','arabic_name' => 'وَلِلْمُطَلَّقَـٰتِ مَتَـٰعٌۢ بِٱلْمَعْرُوفِ ۖ حَقًّا عَلَى ٱلْمُتَّقِينَ','verse_number' => '241','verse_key' => '2:241','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '32','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '249','chapter_id' => '2','arabic_name' => 'كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَـٰتِهِۦ لَعَلَّكُمْ تَعْقِلُونَ','verse_number' => '242','verse_key' => '2:242','hizb_number' => '4','rub_el_hizb_number' => '15','ruku_number' => '32','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '250','chapter_id' => '2','arabic_name' => '۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ خَرَجُوا۟ مِن دِيَـٰرِهِمْ وَهُمْ أُلُوفٌ حَذَرَ ٱلْمَوْتِ فَقَالَ لَهُمُ ٱللَّهُ مُوتُوا۟ ثُمَّ أَحْيَـٰهُمْ ۚ إِنَّ ٱللَّهَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَشْكُرُونَ','verse_number' => '243','verse_key' => '2:243','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '33','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '251','chapter_id' => '2','arabic_name' => 'وَقَـٰتِلُوا۟ فِى سَبِيلِ ٱللَّهِ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌ','verse_number' => '244','verse_key' => '2:244','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '33','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '252','chapter_id' => '2','arabic_name' => 'مَّن ذَا ٱلَّذِى يُقْرِضُ ٱللَّهَ قَرْضًا حَسَنًا فَيُضَـٰعِفَهُۥ لَهُۥٓ أَضْعَافًا كَثِيرَةً ۚ وَٱللَّهُ يَقْبِضُ وَيَبْصُۜطُ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '245','verse_key' => '2:245','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '33','manzil_number' => '1','sajdah_number' => '0','page_number' => '39','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '253','chapter_id' => '2','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلْمَلَإِ مِنۢ بَنِىٓ إِسْرَٰٓءِيلَ مِنۢ بَعْدِ مُوسَىٰٓ إِذْ قَالُوا۟ لِنَبِىٍّ لَّهُمُ ٱبْعَثْ لَنَا مَلِكًا نُّقَـٰتِلْ فِى سَبِيلِ ٱللَّهِ ۖ قَالَ هَلْ عَسَيْتُمْ إِن كُتِبَ عَلَيْكُمُ ٱلْقِتَالُ أَلَّا تُقَـٰتِلُوا۟ ۖ قَالُوا۟ وَمَا لَنَآ أَلَّا نُقَـٰتِلَ فِى سَبِيلِ ٱللَّهِ وَقَدْ أُخْرِجْنَا مِن دِيَـٰرِنَا وَأَبْنَآئِنَا ۖ فَلَمَّا كُتِبَ عَلَيْهِمُ ٱلْقِتَالُ تَوَلَّوْا۟ إِلَّا قَلِيلًا مِّنْهُمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّـٰلِمِينَ','verse_number' => '246','verse_key' => '2:246','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '33','manzil_number' => '1','sajdah_number' => '0','page_number' => '40','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '254','chapter_id' => '2','arabic_name' => 'وَقَالَ لَهُمْ نَبِيُّهُمْ إِنَّ ٱللَّهَ قَدْ بَعَثَ لَكُمْ طَالُوتَ مَلِكًا ۚ قَالُوٓا۟ أَنَّىٰ يَكُونُ لَهُ ٱلْمُلْكُ عَلَيْنَا وَنَحْنُ أَحَقُّ بِٱلْمُلْكِ مِنْهُ وَلَمْ يُؤْتَ سَعَةً مِّنَ ٱلْمَالِ ۚ قَالَ إِنَّ ٱللَّهَ ٱصْطَفَىٰهُ عَلَيْكُمْ وَزَادَهُۥ بَسْطَةً فِى ٱلْعِلْمِ وَٱلْجِسْمِ ۖ وَٱللَّهُ يُؤْتِى مُلْكَهُۥ مَن يَشَآءُ ۚ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ','verse_number' => '247','verse_key' => '2:247','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '33','manzil_number' => '1','sajdah_number' => '0','page_number' => '40','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '255','chapter_id' => '2','arabic_name' => 'وَقَالَ لَهُمْ نَبِيُّهُمْ إِنَّ ءَايَةَ مُلْكِهِۦٓ أَن يَأْتِيَكُمُ ٱلتَّابُوتُ فِيهِ سَكِينَةٌ مِّن رَّبِّكُمْ وَبَقِيَّةٌ مِّمَّا تَرَكَ ءَالُ مُوسَىٰ وَءَالُ هَـٰرُونَ تَحْمِلُهُ ٱلْمَلَـٰٓئِكَةُ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '248','verse_key' => '2:248','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '33','manzil_number' => '1','sajdah_number' => '0','page_number' => '40','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '256','chapter_id' => '2','arabic_name' => 'فَلَمَّا فَصَلَ طَالُوتُ بِٱلْجُنُودِ قَالَ إِنَّ ٱللَّهَ مُبْتَلِيكُم بِنَهَرٍ فَمَن شَرِبَ مِنْهُ فَلَيْسَ مِنِّى وَمَن لَّمْ يَطْعَمْهُ فَإِنَّهُۥ مِنِّىٓ إِلَّا مَنِ ٱغْتَرَفَ غُرْفَةًۢ بِيَدِهِۦ ۚ فَشَرِبُوا۟ مِنْهُ إِلَّا قَلِيلًا مِّنْهُمْ ۚ فَلَمَّا جَاوَزَهُۥ هُوَ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ قَالُوا۟ لَا طَاقَةَ لَنَا ٱلْيَوْمَ بِجَالُوتَ وَجُنُودِهِۦ ۚ قَالَ ٱلَّذِينَ يَظُنُّونَ أَنَّهُم مُّلَـٰقُوا۟ ٱللَّهِ كَم مِّن فِئَةٍ قَلِيلَةٍ غَلَبَتْ فِئَةً كَثِيرَةًۢ بِإِذْنِ ٱللَّهِ ۗ وَٱللَّهُ مَعَ ٱلصَّـٰبِرِينَ','verse_number' => '249','verse_key' => '2:249','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '34','manzil_number' => '1','sajdah_number' => '0','page_number' => '41','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '257','chapter_id' => '2','arabic_name' => 'وَلَمَّا بَرَزُوا۟ لِجَالُوتَ وَجُنُودِهِۦ قَالُوا۟ رَبَّنَآ أَفْرِغْ عَلَيْنَا صَبْرًا وَثَبِّتْ أَقْدَامَنَا وَٱنصُرْنَا عَلَى ٱلْقَوْمِ ٱلْكَـٰفِرِينَ','verse_number' => '250','verse_key' => '2:250','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '34','manzil_number' => '1','sajdah_number' => '0','page_number' => '41','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '258','chapter_id' => '2','arabic_name' => 'فَهَزَمُوهُم بِإِذْنِ ٱللَّهِ وَقَتَلَ دَاوُۥدُ جَالُوتَ وَءَاتَىٰهُ ٱللَّهُ ٱلْمُلْكَ وَٱلْحِكْمَةَ وَعَلَّمَهُۥ مِمَّا يَشَآءُ ۗ وَلَوْلَا دَفْعُ ٱللَّهِ ٱلنَّاسَ بَعْضَهُم بِبَعْضٍ لَّفَسَدَتِ ٱلْأَرْضُ وَلَـٰكِنَّ ٱللَّهَ ذُو فَضْلٍ عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '251','verse_key' => '2:251','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '34','manzil_number' => '1','sajdah_number' => '0','page_number' => '41','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '259','chapter_id' => '2','arabic_name' => 'تِلْكَ ءَايَـٰتُ ٱللَّهِ نَتْلُوهَا عَلَيْكَ بِٱلْحَقِّ ۚ وَإِنَّكَ لَمِنَ ٱلْمُرْسَلِينَ','verse_number' => '252','verse_key' => '2:252','hizb_number' => '4','rub_el_hizb_number' => '16','ruku_number' => '34','manzil_number' => '1','sajdah_number' => '0','page_number' => '41','juz_number' => '2','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '260','chapter_id' => '2','arabic_name' => '۞ تِلْكَ ٱلرُّسُلُ فَضَّلْنَا بَعْضَهُمْ عَلَىٰ بَعْضٍ ۘ مِّنْهُم مَّن كَلَّمَ ٱللَّهُ ۖ وَرَفَعَ بَعْضَهُمْ دَرَجَـٰتٍ ۚ وَءَاتَيْنَا عِيسَى ٱبْنَ مَرْيَمَ ٱلْبَيِّنَـٰتِ وَأَيَّدْنَـٰهُ بِرُوحِ ٱلْقُدُسِ ۗ وَلَوْ شَآءَ ٱللَّهُ مَا ٱقْتَتَلَ ٱلَّذِينَ مِنۢ بَعْدِهِم مِّنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَـٰتُ وَلَـٰكِنِ ٱخْتَلَفُوا۟ فَمِنْهُم مَّنْ ءَامَنَ وَمِنْهُم مَّن كَفَرَ ۚ وَلَوْ شَآءَ ٱللَّهُ مَا ٱقْتَتَلُوا۟ وَلَـٰكِنَّ ٱللَّهَ يَفْعَلُ مَا يُرِيدُ','verse_number' => '253','verse_key' => '2:253','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '34','manzil_number' => '1','sajdah_number' => '0','page_number' => '42','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '261','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَنفِقُوا۟ مِمَّا رَزَقْنَـٰكُم مِّن قَبْلِ أَن يَأْتِىَ يَوْمٌ لَّا بَيْعٌ فِيهِ وَلَا خُلَّةٌ وَلَا شَفَـٰعَةٌ ۗ وَٱلْكَـٰفِرُونَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '254','verse_key' => '2:254','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '35','manzil_number' => '1','sajdah_number' => '0','page_number' => '42','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '262','chapter_id' => '2','arabic_name' => 'ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ ٱلْحَىُّ ٱلْقَيُّومُ ۚ لَا تَأْخُذُهُۥ سِنَةٌ وَلَا نَوْمٌ ۚ لَّهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ مَن ذَا ٱلَّذِى يَشْفَعُ عِندَهُۥٓ إِلَّا بِإِذْنِهِۦ ۚ يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ ۖ وَلَا يُحِيطُونَ بِشَىْءٍ مِّنْ عِلْمِهِۦٓ إِلَّا بِمَا شَآءَ ۚ وَسِعَ كُرْسِيُّهُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ ۖ وَلَا يَـُٔودُهُۥ حِفْظُهُمَا ۚ وَهُوَ ٱلْعَلِىُّ ٱلْعَظِيمُ','verse_number' => '255','verse_key' => '2:255','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '35','manzil_number' => '1','sajdah_number' => '0','page_number' => '42','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '263','chapter_id' => '2','arabic_name' => 'لَآ إِكْرَاهَ فِى ٱلدِّينِ ۖ قَد تَّبَيَّنَ ٱلرُّشْدُ مِنَ ٱلْغَىِّ ۚ فَمَن يَكْفُرْ بِٱلطَّـٰغُوتِ وَيُؤْمِنۢ بِٱللَّهِ فَقَدِ ٱسْتَمْسَكَ بِٱلْعُرْوَةِ ٱلْوُثْقَىٰ لَا ٱنفِصَامَ لَهَا ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '256','verse_key' => '2:256','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '35','manzil_number' => '1','sajdah_number' => '0','page_number' => '42','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '264','chapter_id' => '2','arabic_name' => 'ٱللَّهُ وَلِىُّ ٱلَّذِينَ ءَامَنُوا۟ يُخْرِجُهُم مِّنَ ٱلظُّلُمَـٰتِ إِلَى ٱلنُّورِ ۖ وَٱلَّذِينَ كَفَرُوٓا۟ أَوْلِيَآؤُهُمُ ٱلطَّـٰغُوتُ يُخْرِجُونَهُم مِّنَ ٱلنُّورِ إِلَى ٱلظُّلُمَـٰتِ ۗ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '257','verse_key' => '2:257','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '35','manzil_number' => '1','sajdah_number' => '0','page_number' => '43','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '265','chapter_id' => '2','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِى حَآجَّ إِبْرَٰهِـۧمَ فِى رَبِّهِۦٓ أَنْ ءَاتَىٰهُ ٱللَّهُ ٱلْمُلْكَ إِذْ قَالَ إِبْرَٰهِـۧمُ رَبِّىَ ٱلَّذِى يُحْىِۦ وَيُمِيتُ قَالَ أَنَا۠ أُحْىِۦ وَأُمِيتُ ۖ قَالَ إِبْرَٰهِـۧمُ فَإِنَّ ٱللَّهَ يَأْتِى بِٱلشَّمْسِ مِنَ ٱلْمَشْرِقِ فَأْتِ بِهَا مِنَ ٱلْمَغْرِبِ فَبُهِتَ ٱلَّذِى كَفَرَ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '258','verse_key' => '2:258','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '36','manzil_number' => '1','sajdah_number' => '0','page_number' => '43','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '266','chapter_id' => '2','arabic_name' => 'أَوْ كَٱلَّذِى مَرَّ عَلَىٰ قَرْيَةٍ وَهِىَ خَاوِيَةٌ عَلَىٰ عُرُوشِهَا قَالَ أَنَّىٰ يُحْىِۦ هَـٰذِهِ ٱللَّهُ بَعْدَ مَوْتِهَا ۖ فَأَمَاتَهُ ٱللَّهُ مِا۟ئَةَ عَامٍ ثُمَّ بَعَثَهُۥ ۖ قَالَ كَمْ لَبِثْتَ ۖ قَالَ لَبِثْتُ يَوْمًا أَوْ بَعْضَ يَوْمٍ ۖ قَالَ بَل لَّبِثْتَ مِا۟ئَةَ عَامٍ فَٱنظُرْ إِلَىٰ طَعَامِكَ وَشَرَابِكَ لَمْ يَتَسَنَّهْ ۖ وَٱنظُرْ إِلَىٰ حِمَارِكَ وَلِنَجْعَلَكَ ءَايَةً لِّلنَّاسِ ۖ وَٱنظُرْ إِلَى ٱلْعِظَامِ كَيْفَ نُنشِزُهَا ثُمَّ نَكْسُوهَا لَحْمًا ۚ فَلَمَّا تَبَيَّنَ لَهُۥ قَالَ أَعْلَمُ أَنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '259','verse_key' => '2:259','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '36','manzil_number' => '1','sajdah_number' => '0','page_number' => '43','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '267','chapter_id' => '2','arabic_name' => 'وَإِذْ قَالَ إِبْرَٰهِـۧمُ رَبِّ أَرِنِى كَيْفَ تُحْىِ ٱلْمَوْتَىٰ ۖ قَالَ أَوَلَمْ تُؤْمِن ۖ قَالَ بَلَىٰ وَلَـٰكِن لِّيَطْمَئِنَّ قَلْبِى ۖ قَالَ فَخُذْ أَرْبَعَةً مِّنَ ٱلطَّيْرِ فَصُرْهُنَّ إِلَيْكَ ثُمَّ ٱجْعَلْ عَلَىٰ كُلِّ جَبَلٍ مِّنْهُنَّ جُزْءًا ثُمَّ ٱدْعُهُنَّ يَأْتِينَكَ سَعْيًا ۚ وَٱعْلَمْ أَنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ','verse_number' => '260','verse_key' => '2:260','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '36','manzil_number' => '1','sajdah_number' => '0','page_number' => '44','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '268','chapter_id' => '2','arabic_name' => 'مَّثَلُ ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمْ فِى سَبِيلِ ٱللَّهِ كَمَثَلِ حَبَّةٍ أَنۢبَتَتْ سَبْعَ سَنَابِلَ فِى كُلِّ سُنۢبُلَةٍ مِّا۟ئَةُ حَبَّةٍ ۗ وَٱللَّهُ يُضَـٰعِفُ لِمَن يَشَآءُ ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ','verse_number' => '261','verse_key' => '2:261','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '37','manzil_number' => '1','sajdah_number' => '0','page_number' => '44','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '269','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمْ فِى سَبِيلِ ٱللَّهِ ثُمَّ لَا يُتْبِعُونَ مَآ أَنفَقُوا۟ مَنًّا وَلَآ أَذًى ۙ لَّهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '262','verse_key' => '2:262','hizb_number' => '5','rub_el_hizb_number' => '17','ruku_number' => '37','manzil_number' => '1','sajdah_number' => '0','page_number' => '44','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '270','chapter_id' => '2','arabic_name' => '۞ قَوْلٌ مَّعْرُوفٌ وَمَغْفِرَةٌ خَيْرٌ مِّن صَدَقَةٍ يَتْبَعُهَآ أَذًى ۗ وَٱللَّهُ غَنِىٌّ حَلِيمٌ','verse_number' => '263','verse_key' => '2:263','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '37','manzil_number' => '1','sajdah_number' => '0','page_number' => '44','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '271','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُبْطِلُوا۟ صَدَقَـٰتِكُم بِٱلْمَنِّ وَٱلْأَذَىٰ كَٱلَّذِى يُنفِقُ مَالَهُۥ رِئَآءَ ٱلنَّاسِ وَلَا يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ ۖ فَمَثَلُهُۥ كَمَثَلِ صَفْوَانٍ عَلَيْهِ تُرَابٌ فَأَصَابَهُۥ وَابِلٌ فَتَرَكَهُۥ صَلْدًا ۖ لَّا يَقْدِرُونَ عَلَىٰ شَىْءٍ مِّمَّا كَسَبُوا۟ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَـٰفِرِينَ','verse_number' => '264','verse_key' => '2:264','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '37','manzil_number' => '1','sajdah_number' => '0','page_number' => '44','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '272','chapter_id' => '2','arabic_name' => 'وَمَثَلُ ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمُ ٱبْتِغَآءَ مَرْضَاتِ ٱللَّهِ وَتَثْبِيتًا مِّنْ أَنفُسِهِمْ كَمَثَلِ جَنَّةٍۭ بِرَبْوَةٍ أَصَابَهَا وَابِلٌ فَـَٔاتَتْ أُكُلَهَا ضِعْفَيْنِ فَإِن لَّمْ يُصِبْهَا وَابِلٌ فَطَلٌّ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '265','verse_key' => '2:265','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '37','manzil_number' => '1','sajdah_number' => '0','page_number' => '45','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '273','chapter_id' => '2','arabic_name' => 'أَيَوَدُّ أَحَدُكُمْ أَن تَكُونَ لَهُۥ جَنَّةٌ مِّن نَّخِيلٍ وَأَعْنَابٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ لَهُۥ فِيهَا مِن كُلِّ ٱلثَّمَرَٰتِ وَأَصَابَهُ ٱلْكِبَرُ وَلَهُۥ ذُرِّيَّةٌ ضُعَفَآءُ فَأَصَابَهَآ إِعْصَارٌ فِيهِ نَارٌ فَٱحْتَرَقَتْ ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْـَٔايَـٰتِ لَعَلَّكُمْ تَتَفَكَّرُونَ','verse_number' => '266','verse_key' => '2:266','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '37','manzil_number' => '1','sajdah_number' => '0','page_number' => '45','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '274','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَنفِقُوا۟ مِن طَيِّبَـٰتِ مَا كَسَبْتُمْ وَمِمَّآ أَخْرَجْنَا لَكُم مِّنَ ٱلْأَرْضِ ۖ وَلَا تَيَمَّمُوا۟ ٱلْخَبِيثَ مِنْهُ تُنفِقُونَ وَلَسْتُم بِـَٔاخِذِيهِ إِلَّآ أَن تُغْمِضُوا۟ فِيهِ ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ غَنِىٌّ حَمِيدٌ','verse_number' => '267','verse_key' => '2:267','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '38','manzil_number' => '1','sajdah_number' => '0','page_number' => '45','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '275','chapter_id' => '2','arabic_name' => 'ٱلشَّيْطَـٰنُ يَعِدُكُمُ ٱلْفَقْرَ وَيَأْمُرُكُم بِٱلْفَحْشَآءِ ۖ وَٱللَّهُ يَعِدُكُم مَّغْفِرَةً مِّنْهُ وَفَضْلًا ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ','verse_number' => '268','verse_key' => '2:268','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '38','manzil_number' => '1','sajdah_number' => '0','page_number' => '45','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '276','chapter_id' => '2','arabic_name' => 'يُؤْتِى ٱلْحِكْمَةَ مَن يَشَآءُ ۚ وَمَن يُؤْتَ ٱلْحِكْمَةَ فَقَدْ أُوتِىَ خَيْرًا كَثِيرًا ۗ وَمَا يَذَّكَّرُ إِلَّآ أُو۟لُوا۟ ٱلْأَلْبَـٰبِ','verse_number' => '269','verse_key' => '2:269','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '38','manzil_number' => '1','sajdah_number' => '0','page_number' => '45','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '277','chapter_id' => '2','arabic_name' => 'وَمَآ أَنفَقْتُم مِّن نَّفَقَةٍ أَوْ نَذَرْتُم مِّن نَّذْرٍ فَإِنَّ ٱللَّهَ يَعْلَمُهُۥ ۗ وَمَا لِلظَّـٰلِمِينَ مِنْ أَنصَارٍ','verse_number' => '270','verse_key' => '2:270','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '38','manzil_number' => '1','sajdah_number' => '0','page_number' => '46','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '278','chapter_id' => '2','arabic_name' => 'إِن تُبْدُوا۟ ٱلصَّدَقَـٰتِ فَنِعِمَّا هِىَ ۖ وَإِن تُخْفُوهَا وَتُؤْتُوهَا ٱلْفُقَرَآءَ فَهُوَ خَيْرٌ لَّكُمْ ۚ وَيُكَفِّرُ عَنكُم مِّن سَيِّـَٔاتِكُمْ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '271','verse_key' => '2:271','hizb_number' => '5','rub_el_hizb_number' => '18','ruku_number' => '38','manzil_number' => '1','sajdah_number' => '0','page_number' => '46','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '279','chapter_id' => '2','arabic_name' => '۞ لَّيْسَ عَلَيْكَ هُدَىٰهُمْ وَلَـٰكِنَّ ٱللَّهَ يَهْدِى مَن يَشَآءُ ۗ وَمَا تُنفِقُوا۟ مِنْ خَيْرٍ فَلِأَنفُسِكُمْ ۚ وَمَا تُنفِقُونَ إِلَّا ٱبْتِغَآءَ وَجْهِ ٱللَّهِ ۚ وَمَا تُنفِقُوا۟ مِنْ خَيْرٍ يُوَفَّ إِلَيْكُمْ وَأَنتُمْ لَا تُظْلَمُونَ','verse_number' => '272','verse_key' => '2:272','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '38','manzil_number' => '1','sajdah_number' => '0','page_number' => '46','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '280','chapter_id' => '2','arabic_name' => 'لِلْفُقَرَآءِ ٱلَّذِينَ أُحْصِرُوا۟ فِى سَبِيلِ ٱللَّهِ لَا يَسْتَطِيعُونَ ضَرْبًا فِى ٱلْأَرْضِ يَحْسَبُهُمُ ٱلْجَاهِلُ أَغْنِيَآءَ مِنَ ٱلتَّعَفُّفِ تَعْرِفُهُم بِسِيمَـٰهُمْ لَا يَسْـَٔلُونَ ٱلنَّاسَ إِلْحَافًا ۗ وَمَا تُنفِقُوا۟ مِنْ خَيْرٍ فَإِنَّ ٱللَّهَ بِهِۦ عَلِيمٌ','verse_number' => '273','verse_key' => '2:273','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '38','manzil_number' => '1','sajdah_number' => '0','page_number' => '46','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '281','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُم بِٱلَّيْلِ وَٱلنَّهَارِ سِرًّا وَعَلَانِيَةً فَلَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '274','verse_key' => '2:274','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '46','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '282','chapter_id' => '2','arabic_name' => 'ٱلَّذِينَ يَأْكُلُونَ ٱلرِّبَوٰا۟ لَا يَقُومُونَ إِلَّا كَمَا يَقُومُ ٱلَّذِى يَتَخَبَّطُهُ ٱلشَّيْطَـٰنُ مِنَ ٱلْمَسِّ ۚ ذَٰلِكَ بِأَنَّهُمْ قَالُوٓا۟ إِنَّمَا ٱلْبَيْعُ مِثْلُ ٱلرِّبَوٰا۟ ۗ وَأَحَلَّ ٱللَّهُ ٱلْبَيْعَ وَحَرَّمَ ٱلرِّبَوٰا۟ ۚ فَمَن جَآءَهُۥ مَوْعِظَةٌ مِّن رَّبِّهِۦ فَٱنتَهَىٰ فَلَهُۥ مَا سَلَفَ وَأَمْرُهُۥٓ إِلَى ٱللَّهِ ۖ وَمَنْ عَادَ فَأُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '275','verse_key' => '2:275','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '47','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '283','chapter_id' => '2','arabic_name' => 'يَمْحَقُ ٱللَّهُ ٱلرِّبَوٰا۟ وَيُرْبِى ٱلصَّدَقَـٰتِ ۗ وَٱللَّهُ لَا يُحِبُّ كُلَّ كَفَّارٍ أَثِيمٍ','verse_number' => '276','verse_key' => '2:276','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '47','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '284','chapter_id' => '2','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ لَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ وَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '277','verse_key' => '2:277','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '47','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '285','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَذَرُوا۟ مَا بَقِىَ مِنَ ٱلرِّبَوٰٓا۟ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '278','verse_key' => '2:278','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '47','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '286','chapter_id' => '2','arabic_name' => 'فَإِن لَّمْ تَفْعَلُوا۟ فَأْذَنُوا۟ بِحَرْبٍ مِّنَ ٱللَّهِ وَرَسُولِهِۦ ۖ وَإِن تُبْتُمْ فَلَكُمْ رُءُوسُ أَمْوَٰلِكُمْ لَا تَظْلِمُونَ وَلَا تُظْلَمُونَ','verse_number' => '279','verse_key' => '2:279','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '47','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '287','chapter_id' => '2','arabic_name' => 'وَإِن كَانَ ذُو عُسْرَةٍ فَنَظِرَةٌ إِلَىٰ مَيْسَرَةٍ ۚ وَأَن تَصَدَّقُوا۟ خَيْرٌ لَّكُمْ ۖ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '280','verse_key' => '2:280','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '47','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '288','chapter_id' => '2','arabic_name' => 'وَٱتَّقُوا۟ يَوْمًا تُرْجَعُونَ فِيهِ إِلَى ٱللَّهِ ۖ ثُمَّ تُوَفَّىٰ كُلُّ نَفْسٍ مَّا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '281','verse_key' => '2:281','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '39','manzil_number' => '1','sajdah_number' => '0','page_number' => '47','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '289','chapter_id' => '2','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا تَدَايَنتُم بِدَيْنٍ إِلَىٰٓ أَجَلٍ مُّسَمًّى فَٱكْتُبُوهُ ۚ وَلْيَكْتُب بَّيْنَكُمْ كَاتِبٌۢ بِٱلْعَدْلِ ۚ وَلَا يَأْبَ كَاتِبٌ أَن يَكْتُبَ كَمَا عَلَّمَهُ ٱللَّهُ ۚ فَلْيَكْتُبْ وَلْيُمْلِلِ ٱلَّذِى عَلَيْهِ ٱلْحَقُّ وَلْيَتَّقِ ٱللَّهَ رَبَّهُۥ وَلَا يَبْخَسْ مِنْهُ شَيْـًٔا ۚ فَإِن كَانَ ٱلَّذِى عَلَيْهِ ٱلْحَقُّ سَفِيهًا أَوْ ضَعِيفًا أَوْ لَا يَسْتَطِيعُ أَن يُمِلَّ هُوَ فَلْيُمْلِلْ وَلِيُّهُۥ بِٱلْعَدْلِ ۚ وَٱسْتَشْهِدُوا۟ شَهِيدَيْنِ مِن رِّجَالِكُمْ ۖ فَإِن لَّمْ يَكُونَا رَجُلَيْنِ فَرَجُلٌ وَٱمْرَأَتَانِ مِمَّن تَرْضَوْنَ مِنَ ٱلشُّهَدَآءِ أَن تَضِلَّ إِحْدَىٰهُمَا فَتُذَكِّرَ إِحْدَىٰهُمَا ٱلْأُخْرَىٰ ۚ وَلَا يَأْبَ ٱلشُّهَدَآءُ إِذَا مَا دُعُوا۟ ۚ وَلَا تَسْـَٔمُوٓا۟ أَن تَكْتُبُوهُ صَغِيرًا أَوْ كَبِيرًا إِلَىٰٓ أَجَلِهِۦ ۚ ذَٰلِكُمْ أَقْسَطُ عِندَ ٱللَّهِ وَأَقْوَمُ لِلشَّهَـٰدَةِ وَأَدْنَىٰٓ أَلَّا تَرْتَابُوٓا۟ ۖ إِلَّآ أَن تَكُونَ تِجَـٰرَةً حَاضِرَةً تُدِيرُونَهَا بَيْنَكُمْ فَلَيْسَ عَلَيْكُمْ جُنَاحٌ أَلَّا تَكْتُبُوهَا ۗ وَأَشْهِدُوٓا۟ إِذَا تَبَايَعْتُمْ ۚ وَلَا يُضَآرَّ كَاتِبٌ وَلَا شَهِيدٌ ۚ وَإِن تَفْعَلُوا۟ فَإِنَّهُۥ فُسُوقٌۢ بِكُمْ ۗ وَٱتَّقُوا۟ ٱللَّهَ ۖ وَيُعَلِّمُكُمُ ٱللَّهُ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '282','verse_key' => '2:282','hizb_number' => '5','rub_el_hizb_number' => '19','ruku_number' => '40','manzil_number' => '1','sajdah_number' => '0','page_number' => '48','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '290','chapter_id' => '2','arabic_name' => '۞ وَإِن كُنتُمْ عَلَىٰ سَفَرٍ وَلَمْ تَجِدُوا۟ كَاتِبًا فَرِهَـٰنٌ مَّقْبُوضَةٌ ۖ فَإِنْ أَمِنَ بَعْضُكُم بَعْضًا فَلْيُؤَدِّ ٱلَّذِى ٱؤْتُمِنَ أَمَـٰنَتَهُۥ وَلْيَتَّقِ ٱللَّهَ رَبَّهُۥ ۗ وَلَا تَكْتُمُوا۟ ٱلشَّهَـٰدَةَ ۚ وَمَن يَكْتُمْهَا فَإِنَّهُۥٓ ءَاثِمٌ قَلْبُهُۥ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ عَلِيمٌ','verse_number' => '283','verse_key' => '2:283','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '40','manzil_number' => '1','sajdah_number' => '0','page_number' => '49','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '291','chapter_id' => '2','arabic_name' => 'لِّلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَإِن تُبْدُوا۟ مَا فِىٓ أَنفُسِكُمْ أَوْ تُخْفُوهُ يُحَاسِبْكُم بِهِ ٱللَّهُ ۖ فَيَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '284','verse_key' => '2:284','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '41','manzil_number' => '1','sajdah_number' => '0','page_number' => '49','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '292','chapter_id' => '2','arabic_name' => 'ءَامَنَ ٱلرَّسُولُ بِمَآ أُنزِلَ إِلَيْهِ مِن رَّبِّهِۦ وَٱلْمُؤْمِنُونَ ۚ كُلٌّ ءَامَنَ بِٱللَّهِ وَمَلَـٰٓئِكَتِهِۦ وَكُتُبِهِۦ وَرُسُلِهِۦ لَا نُفَرِّقُ بَيْنَ أَحَدٍ مِّن رُّسُلِهِۦ ۚ وَقَالُوا۟ سَمِعْنَا وَأَطَعْنَا ۖ غُفْرَانَكَ رَبَّنَا وَإِلَيْكَ ٱلْمَصِيرُ','verse_number' => '285','verse_key' => '2:285','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '41','manzil_number' => '1','sajdah_number' => '0','page_number' => '49','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '293','chapter_id' => '2','arabic_name' => 'لَا يُكَلِّفُ ٱللَّهُ نَفْسًا إِلَّا وُسْعَهَا ۚ لَهَا مَا كَسَبَتْ وَعَلَيْهَا مَا ٱكْتَسَبَتْ ۗ رَبَّنَا لَا تُؤَاخِذْنَآ إِن نَّسِينَآ أَوْ أَخْطَأْنَا ۚ رَبَّنَا وَلَا تَحْمِلْ عَلَيْنَآ إِصْرًا كَمَا حَمَلْتَهُۥ عَلَى ٱلَّذِينَ مِن قَبْلِنَا ۚ رَبَّنَا وَلَا تُحَمِّلْنَا مَا لَا طَاقَةَ لَنَا بِهِۦ ۖ وَٱعْفُ عَنَّا وَٱغْفِرْ لَنَا وَٱرْحَمْنَآ ۚ أَنتَ مَوْلَىٰنَا فَٱنصُرْنَا عَلَى ٱلْقَوْمِ ٱلْكَـٰفِرِينَ','verse_number' => '286','verse_key' => '2:286','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '41','manzil_number' => '1','sajdah_number' => '0','page_number' => '49','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '294','chapter_id' => '3','arabic_name' => 'الٓمٓ','verse_number' => '1','verse_key' => '3:1','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '295','chapter_id' => '3','arabic_name' => 'ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ ٱلْحَىُّ ٱلْقَيُّومُ','verse_number' => '2','verse_key' => '3:2','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '296','chapter_id' => '3','arabic_name' => 'نَزَّلَ عَلَيْكَ ٱلْكِتَـٰبَ بِٱلْحَقِّ مُصَدِّقًا لِّمَا بَيْنَ يَدَيْهِ وَأَنزَلَ ٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ','verse_number' => '3','verse_key' => '3:3','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '297','chapter_id' => '3','arabic_name' => 'مِن قَبْلُ هُدًى لِّلنَّاسِ وَأَنزَلَ ٱلْفُرْقَانَ ۗ إِنَّ ٱلَّذِينَ كَفَرُوا۟ بِـَٔايَـٰتِ ٱللَّهِ لَهُمْ عَذَابٌ شَدِيدٌ ۗ وَٱللَّهُ عَزِيزٌ ذُو ٱنتِقَامٍ','verse_number' => '4','verse_key' => '3:4','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '298','chapter_id' => '3','arabic_name' => 'إِنَّ ٱللَّهَ لَا يَخْفَىٰ عَلَيْهِ شَىْءٌ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ','verse_number' => '5','verse_key' => '3:5','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '299','chapter_id' => '3','arabic_name' => 'هُوَ ٱلَّذِى يُصَوِّرُكُمْ فِى ٱلْأَرْحَامِ كَيْفَ يَشَآءُ ۚ لَآ إِلَـٰهَ إِلَّا هُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '6','verse_key' => '3:6','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '300','chapter_id' => '3','arabic_name' => 'هُوَ ٱلَّذِىٓ أَنزَلَ عَلَيْكَ ٱلْكِتَـٰبَ مِنْهُ ءَايَـٰتٌ مُّحْكَمَـٰتٌ هُنَّ أُمُّ ٱلْكِتَـٰبِ وَأُخَرُ مُتَشَـٰبِهَـٰتٌ ۖ فَأَمَّا ٱلَّذِينَ فِى قُلُوبِهِمْ زَيْغٌ فَيَتَّبِعُونَ مَا تَشَـٰبَهَ مِنْهُ ٱبْتِغَآءَ ٱلْفِتْنَةِ وَٱبْتِغَآءَ تَأْوِيلِهِۦ ۗ وَمَا يَعْلَمُ تَأْوِيلَهُۥٓ إِلَّا ٱللَّهُ ۗ وَٱلرَّٰسِخُونَ فِى ٱلْعِلْمِ يَقُولُونَ ءَامَنَّا بِهِۦ كُلٌّ مِّنْ عِندِ رَبِّنَا ۗ وَمَا يَذَّكَّرُ إِلَّآ أُو۟لُوا۟ ٱلْأَلْبَـٰبِ','verse_number' => '7','verse_key' => '3:7','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '301','chapter_id' => '3','arabic_name' => 'رَبَّنَا لَا تُزِغْ قُلُوبَنَا بَعْدَ إِذْ هَدَيْتَنَا وَهَبْ لَنَا مِن لَّدُنكَ رَحْمَةً ۚ إِنَّكَ أَنتَ ٱلْوَهَّابُ','verse_number' => '8','verse_key' => '3:8','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '302','chapter_id' => '3','arabic_name' => 'رَبَّنَآ إِنَّكَ جَامِعُ ٱلنَّاسِ لِيَوْمٍ لَّا رَيْبَ فِيهِ ۚ إِنَّ ٱللَّهَ لَا يُخْلِفُ ٱلْمِيعَادَ','verse_number' => '9','verse_key' => '3:9','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '42','manzil_number' => '1','sajdah_number' => '0','page_number' => '50','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '303','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ لَن تُغْنِىَ عَنْهُمْ أَمْوَٰلُهُمْ وَلَآ أَوْلَـٰدُهُم مِّنَ ٱللَّهِ شَيْـًٔا ۖ وَأُو۟لَـٰٓئِكَ هُمْ وَقُودُ ٱلنَّارِ','verse_number' => '10','verse_key' => '3:10','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '51','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '304','chapter_id' => '3','arabic_name' => 'كَدَأْبِ ءَالِ فِرْعَوْنَ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَذَّبُوا۟ بِـَٔايَـٰتِنَا فَأَخَذَهُمُ ٱللَّهُ بِذُنُوبِهِمْ ۗ وَٱللَّهُ شَدِيدُ ٱلْعِقَابِ','verse_number' => '11','verse_key' => '3:11','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '51','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '305','chapter_id' => '3','arabic_name' => 'قُل لِّلَّذِينَ كَفَرُوا۟ سَتُغْلَبُونَ وَتُحْشَرُونَ إِلَىٰ جَهَنَّمَ ۚ وَبِئْسَ ٱلْمِهَادُ','verse_number' => '12','verse_key' => '3:12','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '51','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '306','chapter_id' => '3','arabic_name' => 'قَدْ كَانَ لَكُمْ ءَايَةٌ فِى فِئَتَيْنِ ٱلْتَقَتَا ۖ فِئَةٌ تُقَـٰتِلُ فِى سَبِيلِ ٱللَّهِ وَأُخْرَىٰ كَافِرَةٌ يَرَوْنَهُم مِّثْلَيْهِمْ رَأْىَ ٱلْعَيْنِ ۚ وَٱللَّهُ يُؤَيِّدُ بِنَصْرِهِۦ مَن يَشَآءُ ۗ إِنَّ فِى ذَٰلِكَ لَعِبْرَةً لِّأُو۟لِى ٱلْأَبْصَـٰرِ','verse_number' => '13','verse_key' => '3:13','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '51','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '307','chapter_id' => '3','arabic_name' => 'زُيِّنَ لِلنَّاسِ حُبُّ ٱلشَّهَوَٰتِ مِنَ ٱلنِّسَآءِ وَٱلْبَنِينَ وَٱلْقَنَـٰطِيرِ ٱلْمُقَنطَرَةِ مِنَ ٱلذَّهَبِ وَٱلْفِضَّةِ وَٱلْخَيْلِ ٱلْمُسَوَّمَةِ وَٱلْأَنْعَـٰمِ وَٱلْحَرْثِ ۗ ذَٰلِكَ مَتَـٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَٱللَّهُ عِندَهُۥ حُسْنُ ٱلْمَـَٔابِ','verse_number' => '14','verse_key' => '3:14','hizb_number' => '5','rub_el_hizb_number' => '20','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '51','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '308','chapter_id' => '3','arabic_name' => '۞ قُلْ أَؤُنَبِّئُكُم بِخَيْرٍ مِّن ذَٰلِكُمْ ۚ لِلَّذِينَ ٱتَّقَوْا۟ عِندَ رَبِّهِمْ جَنَّـٰتٌ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا وَأَزْوَٰجٌ مُّطَهَّرَةٌ وَرِضْوَٰنٌ مِّنَ ٱللَّهِ ۗ وَٱللَّهُ بَصِيرٌۢ بِٱلْعِبَادِ','verse_number' => '15','verse_key' => '3:15','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '51','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '309','chapter_id' => '3','arabic_name' => 'ٱلَّذِينَ يَقُولُونَ رَبَّنَآ إِنَّنَآ ءَامَنَّا فَٱغْفِرْ لَنَا ذُنُوبَنَا وَقِنَا عَذَابَ ٱلنَّارِ','verse_number' => '16','verse_key' => '3:16','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '52','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '310','chapter_id' => '3','arabic_name' => 'ٱلصَّـٰبِرِينَ وَٱلصَّـٰدِقِينَ وَٱلْقَـٰنِتِينَ وَٱلْمُنفِقِينَ وَٱلْمُسْتَغْفِرِينَ بِٱلْأَسْحَارِ','verse_number' => '17','verse_key' => '3:17','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '52','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '311','chapter_id' => '3','arabic_name' => 'شَهِدَ ٱللَّهُ أَنَّهُۥ لَآ إِلَـٰهَ إِلَّا هُوَ وَٱلْمَلَـٰٓئِكَةُ وَأُو۟لُوا۟ ٱلْعِلْمِ قَآئِمًۢا بِٱلْقِسْطِ ۚ لَآ إِلَـٰهَ إِلَّا هُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '18','verse_key' => '3:18','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '52','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '312','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلدِّينَ عِندَ ٱللَّهِ ٱلْإِسْلَـٰمُ ۗ وَمَا ٱخْتَلَفَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ إِلَّا مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْعِلْمُ بَغْيًۢا بَيْنَهُمْ ۗ وَمَن يَكْفُرْ بِـَٔايَـٰتِ ٱللَّهِ فَإِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ','verse_number' => '19','verse_key' => '3:19','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '52','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '313','chapter_id' => '3','arabic_name' => 'فَإِنْ حَآجُّوكَ فَقُلْ أَسْلَمْتُ وَجْهِىَ لِلَّهِ وَمَنِ ٱتَّبَعَنِ ۗ وَقُل لِّلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ وَٱلْأُمِّيِّـۧنَ ءَأَسْلَمْتُمْ ۚ فَإِنْ أَسْلَمُوا۟ فَقَدِ ٱهْتَدَوا۟ ۖ وَّإِن تَوَلَّوْا۟ فَإِنَّمَا عَلَيْكَ ٱلْبَلَـٰغُ ۗ وَٱللَّهُ بَصِيرٌۢ بِٱلْعِبَادِ','verse_number' => '20','verse_key' => '3:20','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '43','manzil_number' => '1','sajdah_number' => '0','page_number' => '52','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '314','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ يَكْفُرُونَ بِـَٔايَـٰتِ ٱللَّهِ وَيَقْتُلُونَ ٱلنَّبِيِّـۧنَ بِغَيْرِ حَقٍّ وَيَقْتُلُونَ ٱلَّذِينَ يَأْمُرُونَ بِٱلْقِسْطِ مِنَ ٱلنَّاسِ فَبَشِّرْهُم بِعَذَابٍ أَلِيمٍ','verse_number' => '21','verse_key' => '3:21','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '52','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '315','chapter_id' => '3','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ حَبِطَتْ أَعْمَـٰلُهُمْ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ وَمَا لَهُم مِّن نَّـٰصِرِينَ','verse_number' => '22','verse_key' => '3:22','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '52','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '316','chapter_id' => '3','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ أُوتُوا۟ نَصِيبًا مِّنَ ٱلْكِتَـٰبِ يُدْعَوْنَ إِلَىٰ كِتَـٰبِ ٱللَّهِ لِيَحْكُمَ بَيْنَهُمْ ثُمَّ يَتَوَلَّىٰ فَرِيقٌ مِّنْهُمْ وَهُم مُّعْرِضُونَ','verse_number' => '23','verse_key' => '3:23','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '53','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '317','chapter_id' => '3','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمْ قَالُوا۟ لَن تَمَسَّنَا ٱلنَّارُ إِلَّآ أَيَّامًا مَّعْدُودَٰتٍ ۖ وَغَرَّهُمْ فِى دِينِهِم مَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '24','verse_key' => '3:24','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '53','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '318','chapter_id' => '3','arabic_name' => 'فَكَيْفَ إِذَا جَمَعْنَـٰهُمْ لِيَوْمٍ لَّا رَيْبَ فِيهِ وَوُفِّيَتْ كُلُّ نَفْسٍ مَّا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '25','verse_key' => '3:25','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '53','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '319','chapter_id' => '3','arabic_name' => 'قُلِ ٱللَّهُمَّ مَـٰلِكَ ٱلْمُلْكِ تُؤْتِى ٱلْمُلْكَ مَن تَشَآءُ وَتَنزِعُ ٱلْمُلْكَ مِمَّن تَشَآءُ وَتُعِزُّ مَن تَشَآءُ وَتُذِلُّ مَن تَشَآءُ ۖ بِيَدِكَ ٱلْخَيْرُ ۖ إِنَّكَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '26','verse_key' => '3:26','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '53','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '320','chapter_id' => '3','arabic_name' => 'تُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَتُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ ۖ وَتُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَتُخْرِجُ ٱلْمَيِّتَ مِنَ ٱلْحَىِّ ۖ وَتَرْزُقُ مَن تَشَآءُ بِغَيْرِ حِسَابٍ','verse_number' => '27','verse_key' => '3:27','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '53','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '321','chapter_id' => '3','arabic_name' => 'لَّا يَتَّخِذِ ٱلْمُؤْمِنُونَ ٱلْكَـٰفِرِينَ أَوْلِيَآءَ مِن دُونِ ٱلْمُؤْمِنِينَ ۖ وَمَن يَفْعَلْ ذَٰلِكَ فَلَيْسَ مِنَ ٱللَّهِ فِى شَىْءٍ إِلَّآ أَن تَتَّقُوا۟ مِنْهُمْ تُقَىٰةً ۗ وَيُحَذِّرُكُمُ ٱللَّهُ نَفْسَهُۥ ۗ وَإِلَى ٱللَّهِ ٱلْمَصِيرُ','verse_number' => '28','verse_key' => '3:28','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '53','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '322','chapter_id' => '3','arabic_name' => 'قُلْ إِن تُخْفُوا۟ مَا فِى صُدُورِكُمْ أَوْ تُبْدُوهُ يَعْلَمْهُ ٱللَّهُ ۗ وَيَعْلَمُ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '29','verse_key' => '3:29','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '53','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '323','chapter_id' => '3','arabic_name' => 'يَوْمَ تَجِدُ كُلُّ نَفْسٍ مَّا عَمِلَتْ مِنْ خَيْرٍ مُّحْضَرًا وَمَا عَمِلَتْ مِن سُوٓءٍ تَوَدُّ لَوْ أَنَّ بَيْنَهَا وَبَيْنَهُۥٓ أَمَدًۢا بَعِيدًا ۗ وَيُحَذِّرُكُمُ ٱللَّهُ نَفْسَهُۥ ۗ وَٱللَّهُ رَءُوفٌۢ بِٱلْعِبَادِ','verse_number' => '30','verse_key' => '3:30','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '44','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '324','chapter_id' => '3','arabic_name' => 'قُلْ إِن كُنتُمْ تُحِبُّونَ ٱللَّهَ فَٱتَّبِعُونِى يُحْبِبْكُمُ ٱللَّهُ وَيَغْفِرْ لَكُمْ ذُنُوبَكُمْ ۗ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '31','verse_key' => '3:31','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '325','chapter_id' => '3','arabic_name' => 'قُلْ أَطِيعُوا۟ ٱللَّهَ وَٱلرَّسُولَ ۖ فَإِن تَوَلَّوْا۟ فَإِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْكَـٰفِرِينَ','verse_number' => '32','verse_key' => '3:32','hizb_number' => '6','rub_el_hizb_number' => '21','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '326','chapter_id' => '3','arabic_name' => '۞ إِنَّ ٱللَّهَ ٱصْطَفَىٰٓ ءَادَمَ وَنُوحًا وَءَالَ إِبْرَٰهِيمَ وَءَالَ عِمْرَٰنَ عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '33','verse_key' => '3:33','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '327','chapter_id' => '3','arabic_name' => 'ذُرِّيَّةًۢ بَعْضُهَا مِنۢ بَعْضٍ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '34','verse_key' => '3:34','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '328','chapter_id' => '3','arabic_name' => 'إِذْ قَالَتِ ٱمْرَأَتُ عِمْرَٰنَ رَبِّ إِنِّى نَذَرْتُ لَكَ مَا فِى بَطْنِى مُحَرَّرًا فَتَقَبَّلْ مِنِّىٓ ۖ إِنَّكَ أَنتَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '35','verse_key' => '3:35','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '329','chapter_id' => '3','arabic_name' => 'فَلَمَّا وَضَعَتْهَا قَالَتْ رَبِّ إِنِّى وَضَعْتُهَآ أُنثَىٰ وَٱللَّهُ أَعْلَمُ بِمَا وَضَعَتْ وَلَيْسَ ٱلذَّكَرُ كَٱلْأُنثَىٰ ۖ وَإِنِّى سَمَّيْتُهَا مَرْيَمَ وَإِنِّىٓ أُعِيذُهَا بِكَ وَذُرِّيَّتَهَا مِنَ ٱلشَّيْطَـٰنِ ٱلرَّجِيمِ','verse_number' => '36','verse_key' => '3:36','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '330','chapter_id' => '3','arabic_name' => 'فَتَقَبَّلَهَا رَبُّهَا بِقَبُولٍ حَسَنٍ وَأَنۢبَتَهَا نَبَاتًا حَسَنًا وَكَفَّلَهَا زَكَرِيَّا ۖ كُلَّمَا دَخَلَ عَلَيْهَا زَكَرِيَّا ٱلْمِحْرَابَ وَجَدَ عِندَهَا رِزْقًا ۖ قَالَ يَـٰمَرْيَمُ أَنَّىٰ لَكِ هَـٰذَا ۖ قَالَتْ هُوَ مِنْ عِندِ ٱللَّهِ ۖ إِنَّ ٱللَّهَ يَرْزُقُ مَن يَشَآءُ بِغَيْرِ حِسَابٍ','verse_number' => '37','verse_key' => '3:37','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '54','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '331','chapter_id' => '3','arabic_name' => 'هُنَالِكَ دَعَا زَكَرِيَّا رَبَّهُۥ ۖ قَالَ رَبِّ هَبْ لِى مِن لَّدُنكَ ذُرِّيَّةً طَيِّبَةً ۖ إِنَّكَ سَمِيعُ ٱلدُّعَآءِ','verse_number' => '38','verse_key' => '3:38','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '332','chapter_id' => '3','arabic_name' => 'فَنَادَتْهُ ٱلْمَلَـٰٓئِكَةُ وَهُوَ قَآئِمٌ يُصَلِّى فِى ٱلْمِحْرَابِ أَنَّ ٱللَّهَ يُبَشِّرُكَ بِيَحْيَىٰ مُصَدِّقًۢا بِكَلِمَةٍ مِّنَ ٱللَّهِ وَسَيِّدًا وَحَصُورًا وَنَبِيًّا مِّنَ ٱلصَّـٰلِحِينَ','verse_number' => '39','verse_key' => '3:39','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '333','chapter_id' => '3','arabic_name' => 'قَالَ رَبِّ أَنَّىٰ يَكُونُ لِى غُلَـٰمٌ وَقَدْ بَلَغَنِىَ ٱلْكِبَرُ وَٱمْرَأَتِى عَاقِرٌ ۖ قَالَ كَذَٰلِكَ ٱللَّهُ يَفْعَلُ مَا يَشَآءُ','verse_number' => '40','verse_key' => '3:40','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '334','chapter_id' => '3','arabic_name' => 'قَالَ رَبِّ ٱجْعَل لِّىٓ ءَايَةً ۖ قَالَ ءَايَتُكَ أَلَّا تُكَلِّمَ ٱلنَّاسَ ثَلَـٰثَةَ أَيَّامٍ إِلَّا رَمْزًا ۗ وَٱذْكُر رَّبَّكَ كَثِيرًا وَسَبِّحْ بِٱلْعَشِىِّ وَٱلْإِبْكَـٰرِ','verse_number' => '41','verse_key' => '3:41','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '45','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '335','chapter_id' => '3','arabic_name' => 'وَإِذْ قَالَتِ ٱلْمَلَـٰٓئِكَةُ يَـٰمَرْيَمُ إِنَّ ٱللَّهَ ٱصْطَفَىٰكِ وَطَهَّرَكِ وَٱصْطَفَىٰكِ عَلَىٰ نِسَآءِ ٱلْعَـٰلَمِينَ','verse_number' => '42','verse_key' => '3:42','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '336','chapter_id' => '3','arabic_name' => 'يَـٰمَرْيَمُ ٱقْنُتِى لِرَبِّكِ وَٱسْجُدِى وَٱرْكَعِى مَعَ ٱلرَّٰكِعِينَ','verse_number' => '43','verse_key' => '3:43','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '337','chapter_id' => '3','arabic_name' => 'ذَٰلِكَ مِنْ أَنۢبَآءِ ٱلْغَيْبِ نُوحِيهِ إِلَيْكَ ۚ وَمَا كُنتَ لَدَيْهِمْ إِذْ يُلْقُونَ أَقْلَـٰمَهُمْ أَيُّهُمْ يَكْفُلُ مَرْيَمَ وَمَا كُنتَ لَدَيْهِمْ إِذْ يَخْتَصِمُونَ','verse_number' => '44','verse_key' => '3:44','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '338','chapter_id' => '3','arabic_name' => 'إِذْ قَالَتِ ٱلْمَلَـٰٓئِكَةُ يَـٰمَرْيَمُ إِنَّ ٱللَّهَ يُبَشِّرُكِ بِكَلِمَةٍ مِّنْهُ ٱسْمُهُ ٱلْمَسِيحُ عِيسَى ٱبْنُ مَرْيَمَ وَجِيهًا فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ وَمِنَ ٱلْمُقَرَّبِينَ','verse_number' => '45','verse_key' => '3:45','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '55','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '339','chapter_id' => '3','arabic_name' => 'وَيُكَلِّمُ ٱلنَّاسَ فِى ٱلْمَهْدِ وَكَهْلًا وَمِنَ ٱلصَّـٰلِحِينَ','verse_number' => '46','verse_key' => '3:46','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '56','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '340','chapter_id' => '3','arabic_name' => 'قَالَتْ رَبِّ أَنَّىٰ يَكُونُ لِى وَلَدٌ وَلَمْ يَمْسَسْنِى بَشَرٌ ۖ قَالَ كَذَٰلِكِ ٱللَّهُ يَخْلُقُ مَا يَشَآءُ ۚ إِذَا قَضَىٰٓ أَمْرًا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ','verse_number' => '47','verse_key' => '3:47','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '56','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '341','chapter_id' => '3','arabic_name' => 'وَيُعَلِّمُهُ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ','verse_number' => '48','verse_key' => '3:48','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '56','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '342','chapter_id' => '3','arabic_name' => 'وَرَسُولًا إِلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ أَنِّى قَدْ جِئْتُكُم بِـَٔايَةٍ مِّن رَّبِّكُمْ ۖ أَنِّىٓ أَخْلُقُ لَكُم مِّنَ ٱلطِّينِ كَهَيْـَٔةِ ٱلطَّيْرِ فَأَنفُخُ فِيهِ فَيَكُونُ طَيْرًۢا بِإِذْنِ ٱللَّهِ ۖ وَأُبْرِئُ ٱلْأَكْمَهَ وَٱلْأَبْرَصَ وَأُحْىِ ٱلْمَوْتَىٰ بِإِذْنِ ٱللَّهِ ۖ وَأُنَبِّئُكُم بِمَا تَأْكُلُونَ وَمَا تَدَّخِرُونَ فِى بُيُوتِكُمْ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '49','verse_key' => '3:49','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '56','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '343','chapter_id' => '3','arabic_name' => 'وَمُصَدِّقًا لِّمَا بَيْنَ يَدَىَّ مِنَ ٱلتَّوْرَىٰةِ وَلِأُحِلَّ لَكُم بَعْضَ ٱلَّذِى حُرِّمَ عَلَيْكُمْ ۚ وَجِئْتُكُم بِـَٔايَةٍ مِّن رَّبِّكُمْ فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '50','verse_key' => '3:50','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '56','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '344','chapter_id' => '3','arabic_name' => 'إِنَّ ٱللَّهَ رَبِّى وَرَبُّكُمْ فَٱعْبُدُوهُ ۗ هَـٰذَا صِرَٰطٌ مُّسْتَقِيمٌ','verse_number' => '51','verse_key' => '3:51','hizb_number' => '6','rub_el_hizb_number' => '22','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '56','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '345','chapter_id' => '3','arabic_name' => '۞ فَلَمَّآ أَحَسَّ عِيسَىٰ مِنْهُمُ ٱلْكُفْرَ قَالَ مَنْ أَنصَارِىٓ إِلَى ٱللَّهِ ۖ قَالَ ٱلْحَوَارِيُّونَ نَحْنُ أَنصَارُ ٱللَّهِ ءَامَنَّا بِٱللَّهِ وَٱشْهَدْ بِأَنَّا مُسْلِمُونَ','verse_number' => '52','verse_key' => '3:52','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '56','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '346','chapter_id' => '3','arabic_name' => 'رَبَّنَآ ءَامَنَّا بِمَآ أَنزَلْتَ وَٱتَّبَعْنَا ٱلرَّسُولَ فَٱكْتُبْنَا مَعَ ٱلشَّـٰهِدِينَ','verse_number' => '53','verse_key' => '3:53','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '347','chapter_id' => '3','arabic_name' => 'وَمَكَرُوا۟ وَمَكَرَ ٱللَّهُ ۖ وَٱللَّهُ خَيْرُ ٱلْمَـٰكِرِينَ','verse_number' => '54','verse_key' => '3:54','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '46','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '348','chapter_id' => '3','arabic_name' => 'إِذْ قَالَ ٱللَّهُ يَـٰعِيسَىٰٓ إِنِّى مُتَوَفِّيكَ وَرَافِعُكَ إِلَىَّ وَمُطَهِّرُكَ مِنَ ٱلَّذِينَ كَفَرُوا۟ وَجَاعِلُ ٱلَّذِينَ ٱتَّبَعُوكَ فَوْقَ ٱلَّذِينَ كَفَرُوٓا۟ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ ۖ ثُمَّ إِلَىَّ مَرْجِعُكُمْ فَأَحْكُمُ بَيْنَكُمْ فِيمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ','verse_number' => '55','verse_key' => '3:55','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '349','chapter_id' => '3','arabic_name' => 'فَأَمَّا ٱلَّذِينَ كَفَرُوا۟ فَأُعَذِّبُهُمْ عَذَابًا شَدِيدًا فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ وَمَا لَهُم مِّن نَّـٰصِرِينَ','verse_number' => '56','verse_key' => '3:56','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '350','chapter_id' => '3','arabic_name' => 'وَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فَيُوَفِّيهِمْ أُجُورَهُمْ ۗ وَٱللَّهُ لَا يُحِبُّ ٱلظَّـٰلِمِينَ','verse_number' => '57','verse_key' => '3:57','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '351','chapter_id' => '3','arabic_name' => 'ذَٰلِكَ نَتْلُوهُ عَلَيْكَ مِنَ ٱلْـَٔايَـٰتِ وَٱلذِّكْرِ ٱلْحَكِيمِ','verse_number' => '58','verse_key' => '3:58','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '352','chapter_id' => '3','arabic_name' => 'إِنَّ مَثَلَ عِيسَىٰ عِندَ ٱللَّهِ كَمَثَلِ ءَادَمَ ۖ خَلَقَهُۥ مِن تُرَابٍ ثُمَّ قَالَ لَهُۥ كُن فَيَكُونُ','verse_number' => '59','verse_key' => '3:59','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '353','chapter_id' => '3','arabic_name' => 'ٱلْحَقُّ مِن رَّبِّكَ فَلَا تَكُن مِّنَ ٱلْمُمْتَرِينَ','verse_number' => '60','verse_key' => '3:60','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '354','chapter_id' => '3','arabic_name' => 'فَمَنْ حَآجَّكَ فِيهِ مِنۢ بَعْدِ مَا جَآءَكَ مِنَ ٱلْعِلْمِ فَقُلْ تَعَالَوْا۟ نَدْعُ أَبْنَآءَنَا وَأَبْنَآءَكُمْ وَنِسَآءَنَا وَنِسَآءَكُمْ وَأَنفُسَنَا وَأَنفُسَكُمْ ثُمَّ نَبْتَهِلْ فَنَجْعَل لَّعْنَتَ ٱللَّهِ عَلَى ٱلْكَـٰذِبِينَ','verse_number' => '61','verse_key' => '3:61','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '57','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '355','chapter_id' => '3','arabic_name' => 'إِنَّ هَـٰذَا لَهُوَ ٱلْقَصَصُ ٱلْحَقُّ ۚ وَمَا مِنْ إِلَـٰهٍ إِلَّا ٱللَّهُ ۚ وَإِنَّ ٱللَّهَ لَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '62','verse_key' => '3:62','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '356','chapter_id' => '3','arabic_name' => 'فَإِن تَوَلَّوْا۟ فَإِنَّ ٱللَّهَ عَلِيمٌۢ بِٱلْمُفْسِدِينَ','verse_number' => '63','verse_key' => '3:63','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '47','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '357','chapter_id' => '3','arabic_name' => 'قُلْ يَـٰٓأَهْلَ ٱلْكِتَـٰبِ تَعَالَوْا۟ إِلَىٰ كَلِمَةٍ سَوَآءٍۭ بَيْنَنَا وَبَيْنَكُمْ أَلَّا نَعْبُدَ إِلَّا ٱللَّهَ وَلَا نُشْرِكَ بِهِۦ شَيْـًٔا وَلَا يَتَّخِذَ بَعْضُنَا بَعْضًا أَرْبَابًا مِّن دُونِ ٱللَّهِ ۚ فَإِن تَوَلَّوْا۟ فَقُولُوا۟ ٱشْهَدُوا۟ بِأَنَّا مُسْلِمُونَ','verse_number' => '64','verse_key' => '3:64','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '358','chapter_id' => '3','arabic_name' => 'يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لِمَ تُحَآجُّونَ فِىٓ إِبْرَٰهِيمَ وَمَآ أُنزِلَتِ ٱلتَّوْرَىٰةُ وَٱلْإِنجِيلُ إِلَّا مِنۢ بَعْدِهِۦٓ ۚ أَفَلَا تَعْقِلُونَ','verse_number' => '65','verse_key' => '3:65','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '359','chapter_id' => '3','arabic_name' => 'هَـٰٓأَنتُمْ هَـٰٓؤُلَآءِ حَـٰجَجْتُمْ فِيمَا لَكُم بِهِۦ عِلْمٌ فَلِمَ تُحَآجُّونَ فِيمَا لَيْسَ لَكُم بِهِۦ عِلْمٌ ۚ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ','verse_number' => '66','verse_key' => '3:66','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '360','chapter_id' => '3','arabic_name' => 'مَا كَانَ إِبْرَٰهِيمُ يَهُودِيًّا وَلَا نَصْرَانِيًّا وَلَـٰكِن كَانَ حَنِيفًا مُّسْلِمًا وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '67','verse_key' => '3:67','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '361','chapter_id' => '3','arabic_name' => 'إِنَّ أَوْلَى ٱلنَّاسِ بِإِبْرَٰهِيمَ لَلَّذِينَ ٱتَّبَعُوهُ وَهَـٰذَا ٱلنَّبِىُّ وَٱلَّذِينَ ءَامَنُوا۟ ۗ وَٱللَّهُ وَلِىُّ ٱلْمُؤْمِنِينَ','verse_number' => '68','verse_key' => '3:68','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '362','chapter_id' => '3','arabic_name' => 'وَدَّت طَّآئِفَةٌ مِّنْ أَهْلِ ٱلْكِتَـٰبِ لَوْ يُضِلُّونَكُمْ وَمَا يُضِلُّونَ إِلَّآ أَنفُسَهُمْ وَمَا يَشْعُرُونَ','verse_number' => '69','verse_key' => '3:69','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '363','chapter_id' => '3','arabic_name' => 'يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لِمَ تَكْفُرُونَ بِـَٔايَـٰتِ ٱللَّهِ وَأَنتُمْ تَشْهَدُونَ','verse_number' => '70','verse_key' => '3:70','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '58','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '364','chapter_id' => '3','arabic_name' => 'يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لِمَ تَلْبِسُونَ ٱلْحَقَّ بِٱلْبَـٰطِلِ وَتَكْتُمُونَ ٱلْحَقَّ وَأَنتُمْ تَعْلَمُونَ','verse_number' => '71','verse_key' => '3:71','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '48','manzil_number' => '1','sajdah_number' => '0','page_number' => '59','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '365','chapter_id' => '3','arabic_name' => 'وَقَالَت طَّآئِفَةٌ مِّنْ أَهْلِ ٱلْكِتَـٰبِ ءَامِنُوا۟ بِٱلَّذِىٓ أُنزِلَ عَلَى ٱلَّذِينَ ءَامَنُوا۟ وَجْهَ ٱلنَّهَارِ وَٱكْفُرُوٓا۟ ءَاخِرَهُۥ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '72','verse_key' => '3:72','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '59','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '366','chapter_id' => '3','arabic_name' => 'وَلَا تُؤْمِنُوٓا۟ إِلَّا لِمَن تَبِعَ دِينَكُمْ قُلْ إِنَّ ٱلْهُدَىٰ هُدَى ٱللَّهِ أَن يُؤْتَىٰٓ أَحَدٌ مِّثْلَ مَآ أُوتِيتُمْ أَوْ يُحَآجُّوكُمْ عِندَ رَبِّكُمْ ۗ قُلْ إِنَّ ٱلْفَضْلَ بِيَدِ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ','verse_number' => '73','verse_key' => '3:73','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '59','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '367','chapter_id' => '3','arabic_name' => 'يَخْتَصُّ بِرَحْمَتِهِۦ مَن يَشَآءُ ۗ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ','verse_number' => '74','verse_key' => '3:74','hizb_number' => '6','rub_el_hizb_number' => '23','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '59','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '368','chapter_id' => '3','arabic_name' => '۞ وَمِنْ أَهْلِ ٱلْكِتَـٰبِ مَنْ إِن تَأْمَنْهُ بِقِنطَارٍ يُؤَدِّهِۦٓ إِلَيْكَ وَمِنْهُم مَّنْ إِن تَأْمَنْهُ بِدِينَارٍ لَّا يُؤَدِّهِۦٓ إِلَيْكَ إِلَّا مَا دُمْتَ عَلَيْهِ قَآئِمًا ۗ ذَٰلِكَ بِأَنَّهُمْ قَالُوا۟ لَيْسَ عَلَيْنَا فِى ٱلْأُمِّيِّـۧنَ سَبِيلٌ وَيَقُولُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ وَهُمْ يَعْلَمُونَ','verse_number' => '75','verse_key' => '3:75','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '59','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '369','chapter_id' => '3','arabic_name' => 'بَلَىٰ مَنْ أَوْفَىٰ بِعَهْدِهِۦ وَٱتَّقَىٰ فَإِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَّقِينَ','verse_number' => '76','verse_key' => '3:76','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '59','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '370','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ يَشْتَرُونَ بِعَهْدِ ٱللَّهِ وَأَيْمَـٰنِهِمْ ثَمَنًا قَلِيلًا أُو۟لَـٰٓئِكَ لَا خَلَـٰقَ لَهُمْ فِى ٱلْـَٔاخِرَةِ وَلَا يُكَلِّمُهُمُ ٱللَّهُ وَلَا يَنظُرُ إِلَيْهِمْ يَوْمَ ٱلْقِيَـٰمَةِ وَلَا يُزَكِّيهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '77','verse_key' => '3:77','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '59','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '371','chapter_id' => '3','arabic_name' => 'وَإِنَّ مِنْهُمْ لَفَرِيقًا يَلْوُۥنَ أَلْسِنَتَهُم بِٱلْكِتَـٰبِ لِتَحْسَبُوهُ مِنَ ٱلْكِتَـٰبِ وَمَا هُوَ مِنَ ٱلْكِتَـٰبِ وَيَقُولُونَ هُوَ مِنْ عِندِ ٱللَّهِ وَمَا هُوَ مِنْ عِندِ ٱللَّهِ وَيَقُولُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ وَهُمْ يَعْلَمُونَ','verse_number' => '78','verse_key' => '3:78','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '60','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '372','chapter_id' => '3','arabic_name' => 'مَا كَانَ لِبَشَرٍ أَن يُؤْتِيَهُ ٱللَّهُ ٱلْكِتَـٰبَ وَٱلْحُكْمَ وَٱلنُّبُوَّةَ ثُمَّ يَقُولَ لِلنَّاسِ كُونُوا۟ عِبَادًا لِّى مِن دُونِ ٱللَّهِ وَلَـٰكِن كُونُوا۟ رَبَّـٰنِيِّـۧنَ بِمَا كُنتُمْ تُعَلِّمُونَ ٱلْكِتَـٰبَ وَبِمَا كُنتُمْ تَدْرُسُونَ','verse_number' => '79','verse_key' => '3:79','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '60','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '373','chapter_id' => '3','arabic_name' => 'وَلَا يَأْمُرَكُمْ أَن تَتَّخِذُوا۟ ٱلْمَلَـٰٓئِكَةَ وَٱلنَّبِيِّـۧنَ أَرْبَابًا ۗ أَيَأْمُرُكُم بِٱلْكُفْرِ بَعْدَ إِذْ أَنتُم مُّسْلِمُونَ','verse_number' => '80','verse_key' => '3:80','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '49','manzil_number' => '1','sajdah_number' => '0','page_number' => '60','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '374','chapter_id' => '3','arabic_name' => 'وَإِذْ أَخَذَ ٱللَّهُ مِيثَـٰقَ ٱلنَّبِيِّـۧنَ لَمَآ ءَاتَيْتُكُم مِّن كِتَـٰبٍ وَحِكْمَةٍ ثُمَّ جَآءَكُمْ رَسُولٌ مُّصَدِّقٌ لِّمَا مَعَكُمْ لَتُؤْمِنُنَّ بِهِۦ وَلَتَنصُرُنَّهُۥ ۚ قَالَ ءَأَقْرَرْتُمْ وَأَخَذْتُمْ عَلَىٰ ذَٰلِكُمْ إِصْرِى ۖ قَالُوٓا۟ أَقْرَرْنَا ۚ قَالَ فَٱشْهَدُوا۟ وَأَنَا۠ مَعَكُم مِّنَ ٱلشَّـٰهِدِينَ','verse_number' => '81','verse_key' => '3:81','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '60','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '375','chapter_id' => '3','arabic_name' => 'فَمَن تَوَلَّىٰ بَعْدَ ذَٰلِكَ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْفَـٰسِقُونَ','verse_number' => '82','verse_key' => '3:82','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '60','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '376','chapter_id' => '3','arabic_name' => 'أَفَغَيْرَ دِينِ ٱللَّهِ يَبْغُونَ وَلَهُۥٓ أَسْلَمَ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ طَوْعًا وَكَرْهًا وَإِلَيْهِ يُرْجَعُونَ','verse_number' => '83','verse_key' => '3:83','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '60','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '377','chapter_id' => '3','arabic_name' => 'قُلْ ءَامَنَّا بِٱللَّهِ وَمَآ أُنزِلَ عَلَيْنَا وَمَآ أُنزِلَ عَلَىٰٓ إِبْرَٰهِيمَ وَإِسْمَـٰعِيلَ وَإِسْحَـٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطِ وَمَآ أُوتِىَ مُوسَىٰ وَعِيسَىٰ وَٱلنَّبِيُّونَ مِن رَّبِّهِمْ لَا نُفَرِّقُ بَيْنَ أَحَدٍ مِّنْهُمْ وَنَحْنُ لَهُۥ مُسْلِمُونَ','verse_number' => '84','verse_key' => '3:84','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '378','chapter_id' => '3','arabic_name' => 'وَمَن يَبْتَغِ غَيْرَ ٱلْإِسْلَـٰمِ دِينًا فَلَن يُقْبَلَ مِنْهُ وَهُوَ فِى ٱلْـَٔاخِرَةِ مِنَ ٱلْخَـٰسِرِينَ','verse_number' => '85','verse_key' => '3:85','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '379','chapter_id' => '3','arabic_name' => 'كَيْفَ يَهْدِى ٱللَّهُ قَوْمًا كَفَرُوا۟ بَعْدَ إِيمَـٰنِهِمْ وَشَهِدُوٓا۟ أَنَّ ٱلرَّسُولَ حَقٌّ وَجَآءَهُمُ ٱلْبَيِّنَـٰتُ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '86','verse_key' => '3:86','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '380','chapter_id' => '3','arabic_name' => 'أُو۟لَـٰٓئِكَ جَزَآؤُهُمْ أَنَّ عَلَيْهِمْ لَعْنَةَ ٱللَّهِ وَٱلْمَلَـٰٓئِكَةِ وَٱلنَّاسِ أَجْمَعِينَ','verse_number' => '87','verse_key' => '3:87','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '381','chapter_id' => '3','arabic_name' => 'خَـٰلِدِينَ فِيهَا لَا يُخَفَّفُ عَنْهُمُ ٱلْعَذَابُ وَلَا هُمْ يُنظَرُونَ','verse_number' => '88','verse_key' => '3:88','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '382','chapter_id' => '3','arabic_name' => 'إِلَّا ٱلَّذِينَ تَابُوا۟ مِنۢ بَعْدِ ذَٰلِكَ وَأَصْلَحُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '89','verse_key' => '3:89','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '383','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ بَعْدَ إِيمَـٰنِهِمْ ثُمَّ ٱزْدَادُوا۟ كُفْرًا لَّن تُقْبَلَ تَوْبَتُهُمْ وَأُو۟لَـٰٓئِكَ هُمُ ٱلضَّآلُّونَ','verse_number' => '90','verse_key' => '3:90','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '384','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَمَاتُوا۟ وَهُمْ كُفَّارٌ فَلَن يُقْبَلَ مِنْ أَحَدِهِم مِّلْءُ ٱلْأَرْضِ ذَهَبًا وَلَوِ ٱفْتَدَىٰ بِهِۦٓ ۗ أُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ أَلِيمٌ وَمَا لَهُم مِّن نَّـٰصِرِينَ','verse_number' => '91','verse_key' => '3:91','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '50','manzil_number' => '1','sajdah_number' => '0','page_number' => '61','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '385','chapter_id' => '3','arabic_name' => 'لَن تَنَالُوا۟ ٱلْبِرَّ حَتَّىٰ تُنفِقُوا۟ مِمَّا تُحِبُّونَ ۚ وَمَا تُنفِقُوا۟ مِن شَىْءٍ فَإِنَّ ٱللَّهَ بِهِۦ عَلِيمٌ','verse_number' => '92','verse_key' => '3:92','hizb_number' => '6','rub_el_hizb_number' => '24','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '3','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '386','chapter_id' => '3','arabic_name' => '۞ كُلُّ ٱلطَّعَامِ كَانَ حِلًّا لِّبَنِىٓ إِسْرَٰٓءِيلَ إِلَّا مَا حَرَّمَ إِسْرَٰٓءِيلُ عَلَىٰ نَفْسِهِۦ مِن قَبْلِ أَن تُنَزَّلَ ٱلتَّوْرَىٰةُ ۗ قُلْ فَأْتُوا۟ بِٱلتَّوْرَىٰةِ فَٱتْلُوهَآ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '93','verse_key' => '3:93','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '387','chapter_id' => '3','arabic_name' => 'فَمَنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ ٱلْكَذِبَ مِنۢ بَعْدِ ذَٰلِكَ فَأُو۟لَـٰٓئِكَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '94','verse_key' => '3:94','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '388','chapter_id' => '3','arabic_name' => 'قُلْ صَدَقَ ٱللَّهُ ۗ فَٱتَّبِعُوا۟ مِلَّةَ إِبْرَٰهِيمَ حَنِيفًا وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '95','verse_key' => '3:95','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '389','chapter_id' => '3','arabic_name' => 'إِنَّ أَوَّلَ بَيْتٍ وُضِعَ لِلنَّاسِ لَلَّذِى بِبَكَّةَ مُبَارَكًا وَهُدًى لِّلْعَـٰلَمِينَ','verse_number' => '96','verse_key' => '3:96','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '390','chapter_id' => '3','arabic_name' => 'فِيهِ ءَايَـٰتٌۢ بَيِّنَـٰتٌ مَّقَامُ إِبْرَٰهِيمَ ۖ وَمَن دَخَلَهُۥ كَانَ ءَامِنًا ۗ وَلِلَّهِ عَلَى ٱلنَّاسِ حِجُّ ٱلْبَيْتِ مَنِ ٱسْتَطَاعَ إِلَيْهِ سَبِيلًا ۚ وَمَن كَفَرَ فَإِنَّ ٱللَّهَ غَنِىٌّ عَنِ ٱلْعَـٰلَمِينَ','verse_number' => '97','verse_key' => '3:97','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '391','chapter_id' => '3','arabic_name' => 'قُلْ يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لِمَ تَكْفُرُونَ بِـَٔايَـٰتِ ٱللَّهِ وَٱللَّهُ شَهِيدٌ عَلَىٰ مَا تَعْمَلُونَ','verse_number' => '98','verse_key' => '3:98','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '392','chapter_id' => '3','arabic_name' => 'قُلْ يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لِمَ تَصُدُّونَ عَن سَبِيلِ ٱللَّهِ مَنْ ءَامَنَ تَبْغُونَهَا عِوَجًا وَأَنتُمْ شُهَدَآءُ ۗ وَمَا ٱللَّهُ بِغَـٰفِلٍ عَمَّا تَعْمَلُونَ','verse_number' => '99','verse_key' => '3:99','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '393','chapter_id' => '3','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تُطِيعُوا۟ فَرِيقًا مِّنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ يَرُدُّوكُم بَعْدَ إِيمَـٰنِكُمْ كَـٰفِرِينَ','verse_number' => '100','verse_key' => '3:100','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '62','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '394','chapter_id' => '3','arabic_name' => 'وَكَيْفَ تَكْفُرُونَ وَأَنتُمْ تُتْلَىٰ عَلَيْكُمْ ءَايَـٰتُ ٱللَّهِ وَفِيكُمْ رَسُولُهُۥ ۗ وَمَن يَعْتَصِم بِٱللَّهِ فَقَدْ هُدِىَ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '101','verse_key' => '3:101','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '51','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '395','chapter_id' => '3','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ حَقَّ تُقَاتِهِۦ وَلَا تَمُوتُنَّ إِلَّا وَأَنتُم مُّسْلِمُونَ','verse_number' => '102','verse_key' => '3:102','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '396','chapter_id' => '3','arabic_name' => 'وَٱعْتَصِمُوا۟ بِحَبْلِ ٱللَّهِ جَمِيعًا وَلَا تَفَرَّقُوا۟ ۚ وَٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ إِذْ كُنتُمْ أَعْدَآءً فَأَلَّفَ بَيْنَ قُلُوبِكُمْ فَأَصْبَحْتُم بِنِعْمَتِهِۦٓ إِخْوَٰنًا وَكُنتُمْ عَلَىٰ شَفَا حُفْرَةٍ مِّنَ ٱلنَّارِ فَأَنقَذَكُم مِّنْهَا ۗ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَـٰتِهِۦ لَعَلَّكُمْ تَهْتَدُونَ','verse_number' => '103','verse_key' => '3:103','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '397','chapter_id' => '3','arabic_name' => 'وَلْتَكُن مِّنكُمْ أُمَّةٌ يَدْعُونَ إِلَى ٱلْخَيْرِ وَيَأْمُرُونَ بِٱلْمَعْرُوفِ وَيَنْهَوْنَ عَنِ ٱلْمُنكَرِ ۚ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '104','verse_key' => '3:104','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '398','chapter_id' => '3','arabic_name' => 'وَلَا تَكُونُوا۟ كَٱلَّذِينَ تَفَرَّقُوا۟ وَٱخْتَلَفُوا۟ مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْبَيِّنَـٰتُ ۚ وَأُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ عَظِيمٌ','verse_number' => '105','verse_key' => '3:105','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '399','chapter_id' => '3','arabic_name' => 'يَوْمَ تَبْيَضُّ وُجُوهٌ وَتَسْوَدُّ وُجُوهٌ ۚ فَأَمَّا ٱلَّذِينَ ٱسْوَدَّتْ وُجُوهُهُمْ أَكَفَرْتُم بَعْدَ إِيمَـٰنِكُمْ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ','verse_number' => '106','verse_key' => '3:106','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '400','chapter_id' => '3','arabic_name' => 'وَأَمَّا ٱلَّذِينَ ٱبْيَضَّتْ وُجُوهُهُمْ فَفِى رَحْمَةِ ٱللَّهِ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '107','verse_key' => '3:107','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '401','chapter_id' => '3','arabic_name' => 'تِلْكَ ءَايَـٰتُ ٱللَّهِ نَتْلُوهَا عَلَيْكَ بِٱلْحَقِّ ۗ وَمَا ٱللَّهُ يُرِيدُ ظُلْمًا لِّلْعَـٰلَمِينَ','verse_number' => '108','verse_key' => '3:108','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '63','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '402','chapter_id' => '3','arabic_name' => 'وَلِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ','verse_number' => '109','verse_key' => '3:109','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '52','manzil_number' => '1','sajdah_number' => '0','page_number' => '64','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '403','chapter_id' => '3','arabic_name' => 'كُنتُمْ خَيْرَ أُمَّةٍ أُخْرِجَتْ لِلنَّاسِ تَأْمُرُونَ بِٱلْمَعْرُوفِ وَتَنْهَوْنَ عَنِ ٱلْمُنكَرِ وَتُؤْمِنُونَ بِٱللَّهِ ۗ وَلَوْ ءَامَنَ أَهْلُ ٱلْكِتَـٰبِ لَكَانَ خَيْرًا لَّهُم ۚ مِّنْهُمُ ٱلْمُؤْمِنُونَ وَأَكْثَرُهُمُ ٱلْفَـٰسِقُونَ','verse_number' => '110','verse_key' => '3:110','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '64','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '404','chapter_id' => '3','arabic_name' => 'لَن يَضُرُّوكُمْ إِلَّآ أَذًى ۖ وَإِن يُقَـٰتِلُوكُمْ يُوَلُّوكُمُ ٱلْأَدْبَارَ ثُمَّ لَا يُنصَرُونَ','verse_number' => '111','verse_key' => '3:111','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '64','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '405','chapter_id' => '3','arabic_name' => 'ضُرِبَتْ عَلَيْهِمُ ٱلذِّلَّةُ أَيْنَ مَا ثُقِفُوٓا۟ إِلَّا بِحَبْلٍ مِّنَ ٱللَّهِ وَحَبْلٍ مِّنَ ٱلنَّاسِ وَبَآءُو بِغَضَبٍ مِّنَ ٱللَّهِ وَضُرِبَتْ عَلَيْهِمُ ٱلْمَسْكَنَةُ ۚ ذَٰلِكَ بِأَنَّهُمْ كَانُوا۟ يَكْفُرُونَ بِـَٔايَـٰتِ ٱللَّهِ وَيَقْتُلُونَ ٱلْأَنۢبِيَآءَ بِغَيْرِ حَقٍّ ۚ ذَٰلِكَ بِمَا عَصَوا۟ وَّكَانُوا۟ يَعْتَدُونَ','verse_number' => '112','verse_key' => '3:112','hizb_number' => '7','rub_el_hizb_number' => '25','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '64','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '406','chapter_id' => '3','arabic_name' => '۞ لَيْسُوا۟ سَوَآءً ۗ مِّنْ أَهْلِ ٱلْكِتَـٰبِ أُمَّةٌ قَآئِمَةٌ يَتْلُونَ ءَايَـٰتِ ٱللَّهِ ءَانَآءَ ٱلَّيْلِ وَهُمْ يَسْجُدُونَ','verse_number' => '113','verse_key' => '3:113','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '64','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '407','chapter_id' => '3','arabic_name' => 'يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَيَأْمُرُونَ بِٱلْمَعْرُوفِ وَيَنْهَوْنَ عَنِ ٱلْمُنكَرِ وَيُسَـٰرِعُونَ فِى ٱلْخَيْرَٰتِ وَأُو۟لَـٰٓئِكَ مِنَ ٱلصَّـٰلِحِينَ','verse_number' => '114','verse_key' => '3:114','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '64','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '408','chapter_id' => '3','arabic_name' => 'وَمَا يَفْعَلُوا۟ مِنْ خَيْرٍ فَلَن يُكْفَرُوهُ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلْمُتَّقِينَ','verse_number' => '115','verse_key' => '3:115','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '64','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '409','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ لَن تُغْنِىَ عَنْهُمْ أَمْوَٰلُهُمْ وَلَآ أَوْلَـٰدُهُم مِّنَ ٱللَّهِ شَيْـًٔا ۖ وَأُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۚ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '116','verse_key' => '3:116','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '65','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '410','chapter_id' => '3','arabic_name' => 'مَثَلُ مَا يُنفِقُونَ فِى هَـٰذِهِ ٱلْحَيَوٰةِ ٱلدُّنْيَا كَمَثَلِ رِيحٍ فِيهَا صِرٌّ أَصَابَتْ حَرْثَ قَوْمٍ ظَلَمُوٓا۟ أَنفُسَهُمْ فَأَهْلَكَتْهُ ۚ وَمَا ظَلَمَهُمُ ٱللَّهُ وَلَـٰكِنْ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '117','verse_key' => '3:117','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '65','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '411','chapter_id' => '3','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ بِطَانَةً مِّن دُونِكُمْ لَا يَأْلُونَكُمْ خَبَالًا وَدُّوا۟ مَا عَنِتُّمْ قَدْ بَدَتِ ٱلْبَغْضَآءُ مِنْ أَفْوَٰهِهِمْ وَمَا تُخْفِى صُدُورُهُمْ أَكْبَرُ ۚ قَدْ بَيَّنَّا لَكُمُ ٱلْـَٔايَـٰتِ ۖ إِن كُنتُمْ تَعْقِلُونَ','verse_number' => '118','verse_key' => '3:118','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '65','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '412','chapter_id' => '3','arabic_name' => 'هَـٰٓأَنتُمْ أُو۟لَآءِ تُحِبُّونَهُمْ وَلَا يُحِبُّونَكُمْ وَتُؤْمِنُونَ بِٱلْكِتَـٰبِ كُلِّهِۦ وَإِذَا لَقُوكُمْ قَالُوٓا۟ ءَامَنَّا وَإِذَا خَلَوْا۟ عَضُّوا۟ عَلَيْكُمُ ٱلْأَنَامِلَ مِنَ ٱلْغَيْظِ ۚ قُلْ مُوتُوا۟ بِغَيْظِكُمْ ۗ إِنَّ ٱللَّهَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '119','verse_key' => '3:119','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '65','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '413','chapter_id' => '3','arabic_name' => 'إِن تَمْسَسْكُمْ حَسَنَةٌ تَسُؤْهُمْ وَإِن تُصِبْكُمْ سَيِّئَةٌ يَفْرَحُوا۟ بِهَا ۖ وَإِن تَصْبِرُوا۟ وَتَتَّقُوا۟ لَا يَضُرُّكُمْ كَيْدُهُمْ شَيْـًٔا ۗ إِنَّ ٱللَّهَ بِمَا يَعْمَلُونَ مُحِيطٌ','verse_number' => '120','verse_key' => '3:120','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '53','manzil_number' => '1','sajdah_number' => '0','page_number' => '65','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '414','chapter_id' => '3','arabic_name' => 'وَإِذْ غَدَوْتَ مِنْ أَهْلِكَ تُبَوِّئُ ٱلْمُؤْمِنِينَ مَقَـٰعِدَ لِلْقِتَالِ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '121','verse_key' => '3:121','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '65','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '415','chapter_id' => '3','arabic_name' => 'إِذْ هَمَّت طَّآئِفَتَانِ مِنكُمْ أَن تَفْشَلَا وَٱللَّهُ وَلِيُّهُمَا ۗ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ','verse_number' => '122','verse_key' => '3:122','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '416','chapter_id' => '3','arabic_name' => 'وَلَقَدْ نَصَرَكُمُ ٱللَّهُ بِبَدْرٍ وَأَنتُمْ أَذِلَّةٌ ۖ فَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '123','verse_key' => '3:123','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '417','chapter_id' => '3','arabic_name' => 'إِذْ تَقُولُ لِلْمُؤْمِنِينَ أَلَن يَكْفِيَكُمْ أَن يُمِدَّكُمْ رَبُّكُم بِثَلَـٰثَةِ ءَالَـٰفٍ مِّنَ ٱلْمَلَـٰٓئِكَةِ مُنزَلِينَ','verse_number' => '124','verse_key' => '3:124','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '418','chapter_id' => '3','arabic_name' => 'بَلَىٰٓ ۚ إِن تَصْبِرُوا۟ وَتَتَّقُوا۟ وَيَأْتُوكُم مِّن فَوْرِهِمْ هَـٰذَا يُمْدِدْكُمْ رَبُّكُم بِخَمْسَةِ ءَالَـٰفٍ مِّنَ ٱلْمَلَـٰٓئِكَةِ مُسَوِّمِينَ','verse_number' => '125','verse_key' => '3:125','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '419','chapter_id' => '3','arabic_name' => 'وَمَا جَعَلَهُ ٱللَّهُ إِلَّا بُشْرَىٰ لَكُمْ وَلِتَطْمَئِنَّ قُلُوبُكُم بِهِۦ ۗ وَمَا ٱلنَّصْرُ إِلَّا مِنْ عِندِ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ','verse_number' => '126','verse_key' => '3:126','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '420','chapter_id' => '3','arabic_name' => 'لِيَقْطَعَ طَرَفًا مِّنَ ٱلَّذِينَ كَفَرُوٓا۟ أَوْ يَكْبِتَهُمْ فَيَنقَلِبُوا۟ خَآئِبِينَ','verse_number' => '127','verse_key' => '3:127','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '421','chapter_id' => '3','arabic_name' => 'لَيْسَ لَكَ مِنَ ٱلْأَمْرِ شَىْءٌ أَوْ يَتُوبَ عَلَيْهِمْ أَوْ يُعَذِّبَهُمْ فَإِنَّهُمْ ظَـٰلِمُونَ','verse_number' => '128','verse_key' => '3:128','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '422','chapter_id' => '3','arabic_name' => 'وَلِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ يَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '129','verse_key' => '3:129','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '54','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '423','chapter_id' => '3','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَأْكُلُوا۟ ٱلرِّبَوٰٓا۟ أَضْعَـٰفًا مُّضَـٰعَفَةً ۖ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '130','verse_key' => '3:130','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '424','chapter_id' => '3','arabic_name' => 'وَٱتَّقُوا۟ ٱلنَّارَ ٱلَّتِىٓ أُعِدَّتْ لِلْكَـٰفِرِينَ','verse_number' => '131','verse_key' => '3:131','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '425','chapter_id' => '3','arabic_name' => 'وَأَطِيعُوا۟ ٱللَّهَ وَٱلرَّسُولَ لَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '132','verse_key' => '3:132','hizb_number' => '7','rub_el_hizb_number' => '26','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '66','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '426','chapter_id' => '3','arabic_name' => '۞ وَسَارِعُوٓا۟ إِلَىٰ مَغْفِرَةٍ مِّن رَّبِّكُمْ وَجَنَّةٍ عَرْضُهَا ٱلسَّمَـٰوَٰتُ وَٱلْأَرْضُ أُعِدَّتْ لِلْمُتَّقِينَ','verse_number' => '133','verse_key' => '3:133','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '427','chapter_id' => '3','arabic_name' => 'ٱلَّذِينَ يُنفِقُونَ فِى ٱلسَّرَّآءِ وَٱلضَّرَّآءِ وَٱلْكَـٰظِمِينَ ٱلْغَيْظَ وَٱلْعَافِينَ عَنِ ٱلنَّاسِ ۗ وَٱللَّهُ يُحِبُّ ٱلْمُحْسِنِينَ','verse_number' => '134','verse_key' => '3:134','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '428','chapter_id' => '3','arabic_name' => 'وَٱلَّذِينَ إِذَا فَعَلُوا۟ فَـٰحِشَةً أَوْ ظَلَمُوٓا۟ أَنفُسَهُمْ ذَكَرُوا۟ ٱللَّهَ فَٱسْتَغْفَرُوا۟ لِذُنُوبِهِمْ وَمَن يَغْفِرُ ٱلذُّنُوبَ إِلَّا ٱللَّهُ وَلَمْ يُصِرُّوا۟ عَلَىٰ مَا فَعَلُوا۟ وَهُمْ يَعْلَمُونَ','verse_number' => '135','verse_key' => '3:135','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '429','chapter_id' => '3','arabic_name' => 'أُو۟لَـٰٓئِكَ جَزَآؤُهُم مَّغْفِرَةٌ مِّن رَّبِّهِمْ وَجَنَّـٰتٌ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ وَنِعْمَ أَجْرُ ٱلْعَـٰمِلِينَ','verse_number' => '136','verse_key' => '3:136','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '430','chapter_id' => '3','arabic_name' => 'قَدْ خَلَتْ مِن قَبْلِكُمْ سُنَنٌ فَسِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُكَذِّبِينَ','verse_number' => '137','verse_key' => '3:137','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '431','chapter_id' => '3','arabic_name' => 'هَـٰذَا بَيَانٌ لِّلنَّاسِ وَهُدًى وَمَوْعِظَةٌ لِّلْمُتَّقِينَ','verse_number' => '138','verse_key' => '3:138','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '432','chapter_id' => '3','arabic_name' => 'وَلَا تَهِنُوا۟ وَلَا تَحْزَنُوا۟ وَأَنتُمُ ٱلْأَعْلَوْنَ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '139','verse_key' => '3:139','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '433','chapter_id' => '3','arabic_name' => 'إِن يَمْسَسْكُمْ قَرْحٌ فَقَدْ مَسَّ ٱلْقَوْمَ قَرْحٌ مِّثْلُهُۥ ۚ وَتِلْكَ ٱلْأَيَّامُ نُدَاوِلُهَا بَيْنَ ٱلنَّاسِ وَلِيَعْلَمَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَيَتَّخِذَ مِنكُمْ شُهَدَآءَ ۗ وَٱللَّهُ لَا يُحِبُّ ٱلظَّـٰلِمِينَ','verse_number' => '140','verse_key' => '3:140','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '67','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '434','chapter_id' => '3','arabic_name' => 'وَلِيُمَحِّصَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَيَمْحَقَ ٱلْكَـٰفِرِينَ','verse_number' => '141','verse_key' => '3:141','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '435','chapter_id' => '3','arabic_name' => 'أَمْ حَسِبْتُمْ أَن تَدْخُلُوا۟ ٱلْجَنَّةَ وَلَمَّا يَعْلَمِ ٱللَّهُ ٱلَّذِينَ جَـٰهَدُوا۟ مِنكُمْ وَيَعْلَمَ ٱلصَّـٰبِرِينَ','verse_number' => '142','verse_key' => '3:142','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '436','chapter_id' => '3','arabic_name' => 'وَلَقَدْ كُنتُمْ تَمَنَّوْنَ ٱلْمَوْتَ مِن قَبْلِ أَن تَلْقَوْهُ فَقَدْ رَأَيْتُمُوهُ وَأَنتُمْ تَنظُرُونَ','verse_number' => '143','verse_key' => '3:143','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '55','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '437','chapter_id' => '3','arabic_name' => 'وَمَا مُحَمَّدٌ إِلَّا رَسُولٌ قَدْ خَلَتْ مِن قَبْلِهِ ٱلرُّسُلُ ۚ أَفَإِي۟ن مَّاتَ أَوْ قُتِلَ ٱنقَلَبْتُمْ عَلَىٰٓ أَعْقَـٰبِكُمْ ۚ وَمَن يَنقَلِبْ عَلَىٰ عَقِبَيْهِ فَلَن يَضُرَّ ٱللَّهَ شَيْـًٔا ۗ وَسَيَجْزِى ٱللَّهُ ٱلشَّـٰكِرِينَ','verse_number' => '144','verse_key' => '3:144','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '56','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '438','chapter_id' => '3','arabic_name' => 'وَمَا كَانَ لِنَفْسٍ أَن تَمُوتَ إِلَّا بِإِذْنِ ٱللَّهِ كِتَـٰبًا مُّؤَجَّلًا ۗ وَمَن يُرِدْ ثَوَابَ ٱلدُّنْيَا نُؤْتِهِۦ مِنْهَا وَمَن يُرِدْ ثَوَابَ ٱلْـَٔاخِرَةِ نُؤْتِهِۦ مِنْهَا ۚ وَسَنَجْزِى ٱلشَّـٰكِرِينَ','verse_number' => '145','verse_key' => '3:145','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '56','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '439','chapter_id' => '3','arabic_name' => 'وَكَأَيِّن مِّن نَّبِىٍّ قَـٰتَلَ مَعَهُۥ رِبِّيُّونَ كَثِيرٌ فَمَا وَهَنُوا۟ لِمَآ أَصَابَهُمْ فِى سَبِيلِ ٱللَّهِ وَمَا ضَعُفُوا۟ وَمَا ٱسْتَكَانُوا۟ ۗ وَٱللَّهُ يُحِبُّ ٱلصَّـٰبِرِينَ','verse_number' => '146','verse_key' => '3:146','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '56','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '440','chapter_id' => '3','arabic_name' => 'وَمَا كَانَ قَوْلَهُمْ إِلَّآ أَن قَالُوا۟ رَبَّنَا ٱغْفِرْ لَنَا ذُنُوبَنَا وَإِسْرَافَنَا فِىٓ أَمْرِنَا وَثَبِّتْ أَقْدَامَنَا وَٱنصُرْنَا عَلَى ٱلْقَوْمِ ٱلْكَـٰفِرِينَ','verse_number' => '147','verse_key' => '3:147','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '56','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '441','chapter_id' => '3','arabic_name' => 'فَـَٔاتَىٰهُمُ ٱللَّهُ ثَوَابَ ٱلدُّنْيَا وَحُسْنَ ثَوَابِ ٱلْـَٔاخِرَةِ ۗ وَٱللَّهُ يُحِبُّ ٱلْمُحْسِنِينَ','verse_number' => '148','verse_key' => '3:148','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '56','manzil_number' => '1','sajdah_number' => '0','page_number' => '68','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '442','chapter_id' => '3','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تُطِيعُوا۟ ٱلَّذِينَ كَفَرُوا۟ يَرُدُّوكُمْ عَلَىٰٓ أَعْقَـٰبِكُمْ فَتَنقَلِبُوا۟ خَـٰسِرِينَ','verse_number' => '149','verse_key' => '3:149','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '57','manzil_number' => '1','sajdah_number' => '0','page_number' => '69','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '443','chapter_id' => '3','arabic_name' => 'بَلِ ٱللَّهُ مَوْلَىٰكُمْ ۖ وَهُوَ خَيْرُ ٱلنَّـٰصِرِينَ','verse_number' => '150','verse_key' => '3:150','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '57','manzil_number' => '1','sajdah_number' => '0','page_number' => '69','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '444','chapter_id' => '3','arabic_name' => 'سَنُلْقِى فِى قُلُوبِ ٱلَّذِينَ كَفَرُوا۟ ٱلرُّعْبَ بِمَآ أَشْرَكُوا۟ بِٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ سُلْطَـٰنًا ۖ وَمَأْوَىٰهُمُ ٱلنَّارُ ۚ وَبِئْسَ مَثْوَى ٱلظَّـٰلِمِينَ','verse_number' => '151','verse_key' => '3:151','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '57','manzil_number' => '1','sajdah_number' => '0','page_number' => '69','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '445','chapter_id' => '3','arabic_name' => 'وَلَقَدْ صَدَقَكُمُ ٱللَّهُ وَعْدَهُۥٓ إِذْ تَحُسُّونَهُم بِإِذْنِهِۦ ۖ حَتَّىٰٓ إِذَا فَشِلْتُمْ وَتَنَـٰزَعْتُمْ فِى ٱلْأَمْرِ وَعَصَيْتُم مِّنۢ بَعْدِ مَآ أَرَىٰكُم مَّا تُحِبُّونَ ۚ مِنكُم مَّن يُرِيدُ ٱلدُّنْيَا وَمِنكُم مَّن يُرِيدُ ٱلْـَٔاخِرَةَ ۚ ثُمَّ صَرَفَكُمْ عَنْهُمْ لِيَبْتَلِيَكُمْ ۖ وَلَقَدْ عَفَا عَنكُمْ ۗ وَٱللَّهُ ذُو فَضْلٍ عَلَى ٱلْمُؤْمِنِينَ','verse_number' => '152','verse_key' => '3:152','hizb_number' => '7','rub_el_hizb_number' => '27','ruku_number' => '57','manzil_number' => '1','sajdah_number' => '0','page_number' => '69','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '446','chapter_id' => '3','arabic_name' => '۞ إِذْ تُصْعِدُونَ وَلَا تَلْوُۥنَ عَلَىٰٓ أَحَدٍ وَٱلرَّسُولُ يَدْعُوكُمْ فِىٓ أُخْرَىٰكُمْ فَأَثَـٰبَكُمْ غَمًّۢا بِغَمٍّ لِّكَيْلَا تَحْزَنُوا۟ عَلَىٰ مَا فَاتَكُمْ وَلَا مَآ أَصَـٰبَكُمْ ۗ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '153','verse_key' => '3:153','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '57','manzil_number' => '1','sajdah_number' => '0','page_number' => '69','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '447','chapter_id' => '3','arabic_name' => 'ثُمَّ أَنزَلَ عَلَيْكُم مِّنۢ بَعْدِ ٱلْغَمِّ أَمَنَةً نُّعَاسًا يَغْشَىٰ طَآئِفَةً مِّنكُمْ ۖ وَطَآئِفَةٌ قَدْ أَهَمَّتْهُمْ أَنفُسُهُمْ يَظُنُّونَ بِٱللَّهِ غَيْرَ ٱلْحَقِّ ظَنَّ ٱلْجَـٰهِلِيَّةِ ۖ يَقُولُونَ هَل لَّنَا مِنَ ٱلْأَمْرِ مِن شَىْءٍ ۗ قُلْ إِنَّ ٱلْأَمْرَ كُلَّهُۥ لِلَّهِ ۗ يُخْفُونَ فِىٓ أَنفُسِهِم مَّا لَا يُبْدُونَ لَكَ ۖ يَقُولُونَ لَوْ كَانَ لَنَا مِنَ ٱلْأَمْرِ شَىْءٌ مَّا قُتِلْنَا هَـٰهُنَا ۗ قُل لَّوْ كُنتُمْ فِى بُيُوتِكُمْ لَبَرَزَ ٱلَّذِينَ كُتِبَ عَلَيْهِمُ ٱلْقَتْلُ إِلَىٰ مَضَاجِعِهِمْ ۖ وَلِيَبْتَلِىَ ٱللَّهُ مَا فِى صُدُورِكُمْ وَلِيُمَحِّصَ مَا فِى قُلُوبِكُمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '154','verse_key' => '3:154','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '57','manzil_number' => '1','sajdah_number' => '0','page_number' => '70','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '448','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ تَوَلَّوْا۟ مِنكُمْ يَوْمَ ٱلْتَقَى ٱلْجَمْعَانِ إِنَّمَا ٱسْتَزَلَّهُمُ ٱلشَّيْطَـٰنُ بِبَعْضِ مَا كَسَبُوا۟ ۖ وَلَقَدْ عَفَا ٱللَّهُ عَنْهُمْ ۗ إِنَّ ٱللَّهَ غَفُورٌ حَلِيمٌ','verse_number' => '155','verse_key' => '3:155','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '57','manzil_number' => '1','sajdah_number' => '0','page_number' => '70','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '449','chapter_id' => '3','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَكُونُوا۟ كَٱلَّذِينَ كَفَرُوا۟ وَقَالُوا۟ لِإِخْوَٰنِهِمْ إِذَا ضَرَبُوا۟ فِى ٱلْأَرْضِ أَوْ كَانُوا۟ غُزًّى لَّوْ كَانُوا۟ عِندَنَا مَا مَاتُوا۟ وَمَا قُتِلُوا۟ لِيَجْعَلَ ٱللَّهُ ذَٰلِكَ حَسْرَةً فِى قُلُوبِهِمْ ۗ وَٱللَّهُ يُحْىِۦ وَيُمِيتُ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '156','verse_key' => '3:156','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '70','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '450','chapter_id' => '3','arabic_name' => 'وَلَئِن قُتِلْتُمْ فِى سَبِيلِ ٱللَّهِ أَوْ مُتُّمْ لَمَغْفِرَةٌ مِّنَ ٱللَّهِ وَرَحْمَةٌ خَيْرٌ مِّمَّا يَجْمَعُونَ','verse_number' => '157','verse_key' => '3:157','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '70','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '451','chapter_id' => '3','arabic_name' => 'وَلَئِن مُّتُّمْ أَوْ قُتِلْتُمْ لَإِلَى ٱللَّهِ تُحْشَرُونَ','verse_number' => '158','verse_key' => '3:158','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '452','chapter_id' => '3','arabic_name' => 'فَبِمَا رَحْمَةٍ مِّنَ ٱللَّهِ لِنتَ لَهُمْ ۖ وَلَوْ كُنتَ فَظًّا غَلِيظَ ٱلْقَلْبِ لَٱنفَضُّوا۟ مِنْ حَوْلِكَ ۖ فَٱعْفُ عَنْهُمْ وَٱسْتَغْفِرْ لَهُمْ وَشَاوِرْهُمْ فِى ٱلْأَمْرِ ۖ فَإِذَا عَزَمْتَ فَتَوَكَّلْ عَلَى ٱللَّهِ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَوَكِّلِينَ','verse_number' => '159','verse_key' => '3:159','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '453','chapter_id' => '3','arabic_name' => 'إِن يَنصُرْكُمُ ٱللَّهُ فَلَا غَالِبَ لَكُمْ ۖ وَإِن يَخْذُلْكُمْ فَمَن ذَا ٱلَّذِى يَنصُرُكُم مِّنۢ بَعْدِهِۦ ۗ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ','verse_number' => '160','verse_key' => '3:160','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '454','chapter_id' => '3','arabic_name' => 'وَمَا كَانَ لِنَبِىٍّ أَن يَغُلَّ ۚ وَمَن يَغْلُلْ يَأْتِ بِمَا غَلَّ يَوْمَ ٱلْقِيَـٰمَةِ ۚ ثُمَّ تُوَفَّىٰ كُلُّ نَفْسٍ مَّا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '161','verse_key' => '3:161','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '455','chapter_id' => '3','arabic_name' => 'أَفَمَنِ ٱتَّبَعَ رِضْوَٰنَ ٱللَّهِ كَمَنۢ بَآءَ بِسَخَطٍ مِّنَ ٱللَّهِ وَمَأْوَىٰهُ جَهَنَّمُ ۚ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '162','verse_key' => '3:162','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '456','chapter_id' => '3','arabic_name' => 'هُمْ دَرَجَـٰتٌ عِندَ ٱللَّهِ ۗ وَٱللَّهُ بَصِيرٌۢ بِمَا يَعْمَلُونَ','verse_number' => '163','verse_key' => '3:163','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '457','chapter_id' => '3','arabic_name' => 'لَقَدْ مَنَّ ٱللَّهُ عَلَى ٱلْمُؤْمِنِينَ إِذْ بَعَثَ فِيهِمْ رَسُولًا مِّنْ أَنفُسِهِمْ يَتْلُوا۟ عَلَيْهِمْ ءَايَـٰتِهِۦ وَيُزَكِّيهِمْ وَيُعَلِّمُهُمُ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَإِن كَانُوا۟ مِن قَبْلُ لَفِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '164','verse_key' => '3:164','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '458','chapter_id' => '3','arabic_name' => 'أَوَلَمَّآ أَصَـٰبَتْكُم مُّصِيبَةٌ قَدْ أَصَبْتُم مِّثْلَيْهَا قُلْتُمْ أَنَّىٰ هَـٰذَا ۖ قُلْ هُوَ مِنْ عِندِ أَنفُسِكُمْ ۗ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '165','verse_key' => '3:165','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '71','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '459','chapter_id' => '3','arabic_name' => 'وَمَآ أَصَـٰبَكُمْ يَوْمَ ٱلْتَقَى ٱلْجَمْعَانِ فَبِإِذْنِ ٱللَّهِ وَلِيَعْلَمَ ٱلْمُؤْمِنِينَ','verse_number' => '166','verse_key' => '3:166','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '460','chapter_id' => '3','arabic_name' => 'وَلِيَعْلَمَ ٱلَّذِينَ نَافَقُوا۟ ۚ وَقِيلَ لَهُمْ تَعَالَوْا۟ قَـٰتِلُوا۟ فِى سَبِيلِ ٱللَّهِ أَوِ ٱدْفَعُوا۟ ۖ قَالُوا۟ لَوْ نَعْلَمُ قِتَالًا لَّٱتَّبَعْنَـٰكُمْ ۗ هُمْ لِلْكُفْرِ يَوْمَئِذٍ أَقْرَبُ مِنْهُمْ لِلْإِيمَـٰنِ ۚ يَقُولُونَ بِأَفْوَٰهِهِم مَّا لَيْسَ فِى قُلُوبِهِمْ ۗ وَٱللَّهُ أَعْلَمُ بِمَا يَكْتُمُونَ','verse_number' => '167','verse_key' => '3:167','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '461','chapter_id' => '3','arabic_name' => 'ٱلَّذِينَ قَالُوا۟ لِإِخْوَٰنِهِمْ وَقَعَدُوا۟ لَوْ أَطَاعُونَا مَا قُتِلُوا۟ ۗ قُلْ فَٱدْرَءُوا۟ عَنْ أَنفُسِكُمُ ٱلْمَوْتَ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '168','verse_key' => '3:168','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '462','chapter_id' => '3','arabic_name' => 'وَلَا تَحْسَبَنَّ ٱلَّذِينَ قُتِلُوا۟ فِى سَبِيلِ ٱللَّهِ أَمْوَٰتًۢا ۚ بَلْ أَحْيَآءٌ عِندَ رَبِّهِمْ يُرْزَقُونَ','verse_number' => '169','verse_key' => '3:169','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '463','chapter_id' => '3','arabic_name' => 'فَرِحِينَ بِمَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ وَيَسْتَبْشِرُونَ بِٱلَّذِينَ لَمْ يَلْحَقُوا۟ بِهِم مِّنْ خَلْفِهِمْ أَلَّا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '170','verse_key' => '3:170','hizb_number' => '7','rub_el_hizb_number' => '28','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '464','chapter_id' => '3','arabic_name' => '۞ يَسْتَبْشِرُونَ بِنِعْمَةٍ مِّنَ ٱللَّهِ وَفَضْلٍ وَأَنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُؤْمِنِينَ','verse_number' => '171','verse_key' => '3:171','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '58','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '465','chapter_id' => '3','arabic_name' => 'ٱلَّذِينَ ٱسْتَجَابُوا۟ لِلَّهِ وَٱلرَّسُولِ مِنۢ بَعْدِ مَآ أَصَابَهُمُ ٱلْقَرْحُ ۚ لِلَّذِينَ أَحْسَنُوا۟ مِنْهُمْ وَٱتَّقَوْا۟ أَجْرٌ عَظِيمٌ','verse_number' => '172','verse_key' => '3:172','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '466','chapter_id' => '3','arabic_name' => 'ٱلَّذِينَ قَالَ لَهُمُ ٱلنَّاسُ إِنَّ ٱلنَّاسَ قَدْ جَمَعُوا۟ لَكُمْ فَٱخْشَوْهُمْ فَزَادَهُمْ إِيمَـٰنًا وَقَالُوا۟ حَسْبُنَا ٱللَّهُ وَنِعْمَ ٱلْوَكِيلُ','verse_number' => '173','verse_key' => '3:173','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '72','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '467','chapter_id' => '3','arabic_name' => 'فَٱنقَلَبُوا۟ بِنِعْمَةٍ مِّنَ ٱللَّهِ وَفَضْلٍ لَّمْ يَمْسَسْهُمْ سُوٓءٌ وَٱتَّبَعُوا۟ رِضْوَٰنَ ٱللَّهِ ۗ وَٱللَّهُ ذُو فَضْلٍ عَظِيمٍ','verse_number' => '174','verse_key' => '3:174','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '73','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '468','chapter_id' => '3','arabic_name' => 'إِنَّمَا ذَٰلِكُمُ ٱلشَّيْطَـٰنُ يُخَوِّفُ أَوْلِيَآءَهُۥ فَلَا تَخَافُوهُمْ وَخَافُونِ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '175','verse_key' => '3:175','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '73','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '469','chapter_id' => '3','arabic_name' => 'وَلَا يَحْزُنكَ ٱلَّذِينَ يُسَـٰرِعُونَ فِى ٱلْكُفْرِ ۚ إِنَّهُمْ لَن يَضُرُّوا۟ ٱللَّهَ شَيْـًٔا ۗ يُرِيدُ ٱللَّهُ أَلَّا يَجْعَلَ لَهُمْ حَظًّا فِى ٱلْـَٔاخِرَةِ ۖ وَلَهُمْ عَذَابٌ عَظِيمٌ','verse_number' => '176','verse_key' => '3:176','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '73','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '470','chapter_id' => '3','arabic_name' => 'إِنَّ ٱلَّذِينَ ٱشْتَرَوُا۟ ٱلْكُفْرَ بِٱلْإِيمَـٰنِ لَن يَضُرُّوا۟ ٱللَّهَ شَيْـًٔا وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '177','verse_key' => '3:177','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '73','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '471','chapter_id' => '3','arabic_name' => 'وَلَا يَحْسَبَنَّ ٱلَّذِينَ كَفَرُوٓا۟ أَنَّمَا نُمْلِى لَهُمْ خَيْرٌ لِّأَنفُسِهِمْ ۚ إِنَّمَا نُمْلِى لَهُمْ لِيَزْدَادُوٓا۟ إِثْمًا ۚ وَلَهُمْ عَذَابٌ مُّهِينٌ','verse_number' => '178','verse_key' => '3:178','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '73','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '472','chapter_id' => '3','arabic_name' => 'مَّا كَانَ ٱللَّهُ لِيَذَرَ ٱلْمُؤْمِنِينَ عَلَىٰ مَآ أَنتُمْ عَلَيْهِ حَتَّىٰ يَمِيزَ ٱلْخَبِيثَ مِنَ ٱلطَّيِّبِ ۗ وَمَا كَانَ ٱللَّهُ لِيُطْلِعَكُمْ عَلَى ٱلْغَيْبِ وَلَـٰكِنَّ ٱللَّهَ يَجْتَبِى مِن رُّسُلِهِۦ مَن يَشَآءُ ۖ فَـَٔامِنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ ۚ وَإِن تُؤْمِنُوا۟ وَتَتَّقُوا۟ فَلَكُمْ أَجْرٌ عَظِيمٌ','verse_number' => '179','verse_key' => '3:179','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '73','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '473','chapter_id' => '3','arabic_name' => 'وَلَا يَحْسَبَنَّ ٱلَّذِينَ يَبْخَلُونَ بِمَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ هُوَ خَيْرًا لَّهُم ۖ بَلْ هُوَ شَرٌّ لَّهُمْ ۖ سَيُطَوَّقُونَ مَا بَخِلُوا۟ بِهِۦ يَوْمَ ٱلْقِيَـٰمَةِ ۗ وَلِلَّهِ مِيرَٰثُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '180','verse_key' => '3:180','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '59','manzil_number' => '1','sajdah_number' => '0','page_number' => '73','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '474','chapter_id' => '3','arabic_name' => 'لَّقَدْ سَمِعَ ٱللَّهُ قَوْلَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ فَقِيرٌ وَنَحْنُ أَغْنِيَآءُ ۘ سَنَكْتُبُ مَا قَالُوا۟ وَقَتْلَهُمُ ٱلْأَنۢبِيَآءَ بِغَيْرِ حَقٍّ وَنَقُولُ ذُوقُوا۟ عَذَابَ ٱلْحَرِيقِ','verse_number' => '181','verse_key' => '3:181','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '74','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '475','chapter_id' => '3','arabic_name' => 'ذَٰلِكَ بِمَا قَدَّمَتْ أَيْدِيكُمْ وَأَنَّ ٱللَّهَ لَيْسَ بِظَلَّامٍ لِّلْعَبِيدِ','verse_number' => '182','verse_key' => '3:182','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '74','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '476','chapter_id' => '3','arabic_name' => 'ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ عَهِدَ إِلَيْنَآ أَلَّا نُؤْمِنَ لِرَسُولٍ حَتَّىٰ يَأْتِيَنَا بِقُرْبَانٍ تَأْكُلُهُ ٱلنَّارُ ۗ قُلْ قَدْ جَآءَكُمْ رُسُلٌ مِّن قَبْلِى بِٱلْبَيِّنَـٰتِ وَبِٱلَّذِى قُلْتُمْ فَلِمَ قَتَلْتُمُوهُمْ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '183','verse_key' => '3:183','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '74','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '477','chapter_id' => '3','arabic_name' => 'فَإِن كَذَّبُوكَ فَقَدْ كُذِّبَ رُسُلٌ مِّن قَبْلِكَ جَآءُو بِٱلْبَيِّنَـٰتِ وَٱلزُّبُرِ وَٱلْكِتَـٰبِ ٱلْمُنِيرِ','verse_number' => '184','verse_key' => '3:184','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '74','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '478','chapter_id' => '3','arabic_name' => 'كُلُّ نَفْسٍ ذَآئِقَةُ ٱلْمَوْتِ ۗ وَإِنَّمَا تُوَفَّوْنَ أُجُورَكُمْ يَوْمَ ٱلْقِيَـٰمَةِ ۖ فَمَن زُحْزِحَ عَنِ ٱلنَّارِ وَأُدْخِلَ ٱلْجَنَّةَ فَقَدْ فَازَ ۗ وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا مَتَـٰعُ ٱلْغُرُورِ','verse_number' => '185','verse_key' => '3:185','hizb_number' => '8','rub_el_hizb_number' => '29','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '74','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '479','chapter_id' => '3','arabic_name' => '۞ لَتُبْلَوُنَّ فِىٓ أَمْوَٰلِكُمْ وَأَنفُسِكُمْ وَلَتَسْمَعُنَّ مِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ مِن قَبْلِكُمْ وَمِنَ ٱلَّذِينَ أَشْرَكُوٓا۟ أَذًى كَثِيرًا ۚ وَإِن تَصْبِرُوا۟ وَتَتَّقُوا۟ فَإِنَّ ذَٰلِكَ مِنْ عَزْمِ ٱلْأُمُورِ','verse_number' => '186','verse_key' => '3:186','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '74','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '480','chapter_id' => '3','arabic_name' => 'وَإِذْ أَخَذَ ٱللَّهُ مِيثَـٰقَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ لَتُبَيِّنُنَّهُۥ لِلنَّاسِ وَلَا تَكْتُمُونَهُۥ فَنَبَذُوهُ وَرَآءَ ظُهُورِهِمْ وَٱشْتَرَوْا۟ بِهِۦ ثَمَنًا قَلِيلًا ۖ فَبِئْسَ مَا يَشْتَرُونَ','verse_number' => '187','verse_key' => '3:187','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '481','chapter_id' => '3','arabic_name' => 'لَا تَحْسَبَنَّ ٱلَّذِينَ يَفْرَحُونَ بِمَآ أَتَوا۟ وَّيُحِبُّونَ أَن يُحْمَدُوا۟ بِمَا لَمْ يَفْعَلُوا۟ فَلَا تَحْسَبَنَّهُم بِمَفَازَةٍ مِّنَ ٱلْعَذَابِ ۖ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '188','verse_key' => '3:188','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '482','chapter_id' => '3','arabic_name' => 'وَلِلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '189','verse_key' => '3:189','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '60','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '483','chapter_id' => '3','arabic_name' => 'إِنَّ فِى خَلْقِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَٱخْتِلَـٰفِ ٱلَّيْلِ وَٱلنَّهَارِ لَـَٔايَـٰتٍ لِّأُو۟لِى ٱلْأَلْبَـٰبِ','verse_number' => '190','verse_key' => '3:190','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '484','chapter_id' => '3','arabic_name' => 'ٱلَّذِينَ يَذْكُرُونَ ٱللَّهَ قِيَـٰمًا وَقُعُودًا وَعَلَىٰ جُنُوبِهِمْ وَيَتَفَكَّرُونَ فِى خَلْقِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ رَبَّنَا مَا خَلَقْتَ هَـٰذَا بَـٰطِلًا سُبْحَـٰنَكَ فَقِنَا عَذَابَ ٱلنَّارِ','verse_number' => '191','verse_key' => '3:191','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '485','chapter_id' => '3','arabic_name' => 'رَبَّنَآ إِنَّكَ مَن تُدْخِلِ ٱلنَّارَ فَقَدْ أَخْزَيْتَهُۥ ۖ وَمَا لِلظَّـٰلِمِينَ مِنْ أَنصَارٍ','verse_number' => '192','verse_key' => '3:192','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '486','chapter_id' => '3','arabic_name' => 'رَّبَّنَآ إِنَّنَا سَمِعْنَا مُنَادِيًا يُنَادِى لِلْإِيمَـٰنِ أَنْ ءَامِنُوا۟ بِرَبِّكُمْ فَـَٔامَنَّا ۚ رَبَّنَا فَٱغْفِرْ لَنَا ذُنُوبَنَا وَكَفِّرْ عَنَّا سَيِّـَٔاتِنَا وَتَوَفَّنَا مَعَ ٱلْأَبْرَارِ','verse_number' => '193','verse_key' => '3:193','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '487','chapter_id' => '3','arabic_name' => 'رَبَّنَا وَءَاتِنَا مَا وَعَدتَّنَا عَلَىٰ رُسُلِكَ وَلَا تُخْزِنَا يَوْمَ ٱلْقِيَـٰمَةِ ۗ إِنَّكَ لَا تُخْلِفُ ٱلْمِيعَادَ','verse_number' => '194','verse_key' => '3:194','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '75','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '488','chapter_id' => '3','arabic_name' => 'فَٱسْتَجَابَ لَهُمْ رَبُّهُمْ أَنِّى لَآ أُضِيعُ عَمَلَ عَـٰمِلٍ مِّنكُم مِّن ذَكَرٍ أَوْ أُنثَىٰ ۖ بَعْضُكُم مِّنۢ بَعْضٍ ۖ فَٱلَّذِينَ هَاجَرُوا۟ وَأُخْرِجُوا۟ مِن دِيَـٰرِهِمْ وَأُوذُوا۟ فِى سَبِيلِى وَقَـٰتَلُوا۟ وَقُتِلُوا۟ لَأُكَفِّرَنَّ عَنْهُمْ سَيِّـَٔاتِهِمْ وَلَأُدْخِلَنَّهُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ثَوَابًا مِّنْ عِندِ ٱللَّهِ ۗ وَٱللَّهُ عِندَهُۥ حُسْنُ ٱلثَّوَابِ','verse_number' => '195','verse_key' => '3:195','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '76','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '489','chapter_id' => '3','arabic_name' => 'لَا يَغُرَّنَّكَ تَقَلُّبُ ٱلَّذِينَ كَفَرُوا۟ فِى ٱلْبِلَـٰدِ','verse_number' => '196','verse_key' => '3:196','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '76','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '490','chapter_id' => '3','arabic_name' => 'مَتَـٰعٌ قَلِيلٌ ثُمَّ مَأْوَىٰهُمْ جَهَنَّمُ ۚ وَبِئْسَ ٱلْمِهَادُ','verse_number' => '197','verse_key' => '3:197','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '76','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '491','chapter_id' => '3','arabic_name' => 'لَـٰكِنِ ٱلَّذِينَ ٱتَّقَوْا۟ رَبَّهُمْ لَهُمْ جَنَّـٰتٌ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا نُزُلًا مِّنْ عِندِ ٱللَّهِ ۗ وَمَا عِندَ ٱللَّهِ خَيْرٌ لِّلْأَبْرَارِ','verse_number' => '198','verse_key' => '3:198','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '76','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '492','chapter_id' => '3','arabic_name' => 'وَإِنَّ مِنْ أَهْلِ ٱلْكِتَـٰبِ لَمَن يُؤْمِنُ بِٱللَّهِ وَمَآ أُنزِلَ إِلَيْكُمْ وَمَآ أُنزِلَ إِلَيْهِمْ خَـٰشِعِينَ لِلَّهِ لَا يَشْتَرُونَ بِـَٔايَـٰتِ ٱللَّهِ ثَمَنًا قَلِيلًا ۗ أُو۟لَـٰٓئِكَ لَهُمْ أَجْرُهُمْ عِندَ رَبِّهِمْ ۗ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ','verse_number' => '199','verse_key' => '3:199','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '76','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '493','chapter_id' => '3','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱصْبِرُوا۟ وَصَابِرُوا۟ وَرَابِطُوا۟ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '200','verse_key' => '3:200','hizb_number' => '8','rub_el_hizb_number' => '30','ruku_number' => '61','manzil_number' => '1','sajdah_number' => '0','page_number' => '76','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '494','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ ٱتَّقُوا۟ رَبَّكُمُ ٱلَّذِى خَلَقَكُم مِّن نَّفْسٍ وَٰحِدَةٍ وَخَلَقَ مِنْهَا زَوْجَهَا وَبَثَّ مِنْهُمَا رِجَالًا كَثِيرًا وَنِسَآءً ۚ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِى تَسَآءَلُونَ بِهِۦ وَٱلْأَرْحَامَ ۚ إِنَّ ٱللَّهَ كَانَ عَلَيْكُمْ رَقِيبًا','verse_number' => '1','verse_key' => '4:1','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '77','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '495','chapter_id' => '4','arabic_name' => 'وَءَاتُوا۟ ٱلْيَتَـٰمَىٰٓ أَمْوَٰلَهُمْ ۖ وَلَا تَتَبَدَّلُوا۟ ٱلْخَبِيثَ بِٱلطَّيِّبِ ۖ وَلَا تَأْكُلُوٓا۟ أَمْوَٰلَهُمْ إِلَىٰٓ أَمْوَٰلِكُمْ ۚ إِنَّهُۥ كَانَ حُوبًا كَبِيرًا','verse_number' => '2','verse_key' => '4:2','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '77','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '496','chapter_id' => '4','arabic_name' => 'وَإِنْ خِفْتُمْ أَلَّا تُقْسِطُوا۟ فِى ٱلْيَتَـٰمَىٰ فَٱنكِحُوا۟ مَا طَابَ لَكُم مِّنَ ٱلنِّسَآءِ مَثْنَىٰ وَثُلَـٰثَ وَرُبَـٰعَ ۖ فَإِنْ خِفْتُمْ أَلَّا تَعْدِلُوا۟ فَوَٰحِدَةً أَوْ مَا مَلَكَتْ أَيْمَـٰنُكُمْ ۚ ذَٰلِكَ أَدْنَىٰٓ أَلَّا تَعُولُوا۟','verse_number' => '3','verse_key' => '4:3','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '77','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '497','chapter_id' => '4','arabic_name' => 'وَءَاتُوا۟ ٱلنِّسَآءَ صَدُقَـٰتِهِنَّ نِحْلَةً ۚ فَإِن طِبْنَ لَكُمْ عَن شَىْءٍ مِّنْهُ نَفْسًا فَكُلُوهُ هَنِيٓـًٔا مَّرِيٓـًٔا','verse_number' => '4','verse_key' => '4:4','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '77','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '498','chapter_id' => '4','arabic_name' => 'وَلَا تُؤْتُوا۟ ٱلسُّفَهَآءَ أَمْوَٰلَكُمُ ٱلَّتِى جَعَلَ ٱللَّهُ لَكُمْ قِيَـٰمًا وَٱرْزُقُوهُمْ فِيهَا وَٱكْسُوهُمْ وَقُولُوا۟ لَهُمْ قَوْلًا مَّعْرُوفًا','verse_number' => '5','verse_key' => '4:5','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '77','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '499','chapter_id' => '4','arabic_name' => 'وَٱبْتَلُوا۟ ٱلْيَتَـٰمَىٰ حَتَّىٰٓ إِذَا بَلَغُوا۟ ٱلنِّكَاحَ فَإِنْ ءَانَسْتُم مِّنْهُمْ رُشْدًا فَٱدْفَعُوٓا۟ إِلَيْهِمْ أَمْوَٰلَهُمْ ۖ وَلَا تَأْكُلُوهَآ إِسْرَافًا وَبِدَارًا أَن يَكْبَرُوا۟ ۚ وَمَن كَانَ غَنِيًّا فَلْيَسْتَعْفِفْ ۖ وَمَن كَانَ فَقِيرًا فَلْيَأْكُلْ بِٱلْمَعْرُوفِ ۚ فَإِذَا دَفَعْتُمْ إِلَيْهِمْ أَمْوَٰلَهُمْ فَأَشْهِدُوا۟ عَلَيْهِمْ ۚ وَكَفَىٰ بِٱللَّهِ حَسِيبًا','verse_number' => '6','verse_key' => '4:6','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '77','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '500','chapter_id' => '4','arabic_name' => 'لِّلرِّجَالِ نَصِيبٌ مِّمَّا تَرَكَ ٱلْوَٰلِدَانِ وَٱلْأَقْرَبُونَ وَلِلنِّسَآءِ نَصِيبٌ مِّمَّا تَرَكَ ٱلْوَٰلِدَانِ وَٱلْأَقْرَبُونَ مِمَّا قَلَّ مِنْهُ أَوْ كَثُرَ ۚ نَصِيبًا مَّفْرُوضًا','verse_number' => '7','verse_key' => '4:7','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '78','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '501','chapter_id' => '4','arabic_name' => 'وَإِذَا حَضَرَ ٱلْقِسْمَةَ أُو۟لُوا۟ ٱلْقُرْبَىٰ وَٱلْيَتَـٰمَىٰ وَٱلْمَسَـٰكِينُ فَٱرْزُقُوهُم مِّنْهُ وَقُولُوا۟ لَهُمْ قَوْلًا مَّعْرُوفًا','verse_number' => '8','verse_key' => '4:8','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '78','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '502','chapter_id' => '4','arabic_name' => 'وَلْيَخْشَ ٱلَّذِينَ لَوْ تَرَكُوا۟ مِنْ خَلْفِهِمْ ذُرِّيَّةً ضِعَـٰفًا خَافُوا۟ عَلَيْهِمْ فَلْيَتَّقُوا۟ ٱللَّهَ وَلْيَقُولُوا۟ قَوْلًا سَدِيدًا','verse_number' => '9','verse_key' => '4:9','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '78','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '503','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلَّذِينَ يَأْكُلُونَ أَمْوَٰلَ ٱلْيَتَـٰمَىٰ ظُلْمًا إِنَّمَا يَأْكُلُونَ فِى بُطُونِهِمْ نَارًا ۖ وَسَيَصْلَوْنَ سَعِيرًا','verse_number' => '10','verse_key' => '4:10','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '62','manzil_number' => '1','sajdah_number' => '0','page_number' => '78','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '504','chapter_id' => '4','arabic_name' => 'يُوصِيكُمُ ٱللَّهُ فِىٓ أَوْلَـٰدِكُمْ ۖ لِلذَّكَرِ مِثْلُ حَظِّ ٱلْأُنثَيَيْنِ ۚ فَإِن كُنَّ نِسَآءً فَوْقَ ٱثْنَتَيْنِ فَلَهُنَّ ثُلُثَا مَا تَرَكَ ۖ وَإِن كَانَتْ وَٰحِدَةً فَلَهَا ٱلنِّصْفُ ۚ وَلِأَبَوَيْهِ لِكُلِّ وَٰحِدٍ مِّنْهُمَا ٱلسُّدُسُ مِمَّا تَرَكَ إِن كَانَ لَهُۥ وَلَدٌ ۚ فَإِن لَّمْ يَكُن لَّهُۥ وَلَدٌ وَوَرِثَهُۥٓ أَبَوَاهُ فَلِأُمِّهِ ٱلثُّلُثُ ۚ فَإِن كَانَ لَهُۥٓ إِخْوَةٌ فَلِأُمِّهِ ٱلسُّدُسُ ۚ مِنۢ بَعْدِ وَصِيَّةٍ يُوصِى بِهَآ أَوْ دَيْنٍ ۗ ءَابَآؤُكُمْ وَأَبْنَآؤُكُمْ لَا تَدْرُونَ أَيُّهُمْ أَقْرَبُ لَكُمْ نَفْعًا ۚ فَرِيضَةً مِّنَ ٱللَّهِ ۗ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًا','verse_number' => '11','verse_key' => '4:11','hizb_number' => '8','rub_el_hizb_number' => '31','ruku_number' => '63','manzil_number' => '1','sajdah_number' => '0','page_number' => '78','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '505','chapter_id' => '4','arabic_name' => '۞ وَلَكُمْ نِصْفُ مَا تَرَكَ أَزْوَٰجُكُمْ إِن لَّمْ يَكُن لَّهُنَّ وَلَدٌ ۚ فَإِن كَانَ لَهُنَّ وَلَدٌ فَلَكُمُ ٱلرُّبُعُ مِمَّا تَرَكْنَ ۚ مِنۢ بَعْدِ وَصِيَّةٍ يُوصِينَ بِهَآ أَوْ دَيْنٍ ۚ وَلَهُنَّ ٱلرُّبُعُ مِمَّا تَرَكْتُمْ إِن لَّمْ يَكُن لَّكُمْ وَلَدٌ ۚ فَإِن كَانَ لَكُمْ وَلَدٌ فَلَهُنَّ ٱلثُّمُنُ مِمَّا تَرَكْتُم ۚ مِّنۢ بَعْدِ وَصِيَّةٍ تُوصُونَ بِهَآ أَوْ دَيْنٍ ۗ وَإِن كَانَ رَجُلٌ يُورَثُ كَلَـٰلَةً أَوِ ٱمْرَأَةٌ وَلَهُۥٓ أَخٌ أَوْ أُخْتٌ فَلِكُلِّ وَٰحِدٍ مِّنْهُمَا ٱلسُّدُسُ ۚ فَإِن كَانُوٓا۟ أَكْثَرَ مِن ذَٰلِكَ فَهُمْ شُرَكَآءُ فِى ٱلثُّلُثِ ۚ مِنۢ بَعْدِ وَصِيَّةٍ يُوصَىٰ بِهَآ أَوْ دَيْنٍ غَيْرَ مُضَآرٍّ ۚ وَصِيَّةً مِّنَ ٱللَّهِ ۗ وَٱللَّهُ عَلِيمٌ حَلِيمٌ','verse_number' => '12','verse_key' => '4:12','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '63','manzil_number' => '1','sajdah_number' => '0','page_number' => '79','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '506','chapter_id' => '4','arabic_name' => 'تِلْكَ حُدُودُ ٱللَّهِ ۚ وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ يُدْخِلْهُ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ وَذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '13','verse_key' => '4:13','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '63','manzil_number' => '1','sajdah_number' => '0','page_number' => '79','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '507','chapter_id' => '4','arabic_name' => 'وَمَن يَعْصِ ٱللَّهَ وَرَسُولَهُۥ وَيَتَعَدَّ حُدُودَهُۥ يُدْخِلْهُ نَارًا خَـٰلِدًا فِيهَا وَلَهُۥ عَذَابٌ مُّهِينٌ','verse_number' => '14','verse_key' => '4:14','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '63','manzil_number' => '1','sajdah_number' => '0','page_number' => '79','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '508','chapter_id' => '4','arabic_name' => 'وَٱلَّـٰتِى يَأْتِينَ ٱلْفَـٰحِشَةَ مِن نِّسَآئِكُمْ فَٱسْتَشْهِدُوا۟ عَلَيْهِنَّ أَرْبَعَةً مِّنكُمْ ۖ فَإِن شَهِدُوا۟ فَأَمْسِكُوهُنَّ فِى ٱلْبُيُوتِ حَتَّىٰ يَتَوَفَّىٰهُنَّ ٱلْمَوْتُ أَوْ يَجْعَلَ ٱللَّهُ لَهُنَّ سَبِيلًا','verse_number' => '15','verse_key' => '4:15','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '80','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '509','chapter_id' => '4','arabic_name' => 'وَٱلَّذَانِ يَأْتِيَـٰنِهَا مِنكُمْ فَـَٔاذُوهُمَا ۖ فَإِن تَابَا وَأَصْلَحَا فَأَعْرِضُوا۟ عَنْهُمَآ ۗ إِنَّ ٱللَّهَ كَانَ تَوَّابًا رَّحِيمًا','verse_number' => '16','verse_key' => '4:16','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '80','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '510','chapter_id' => '4','arabic_name' => 'إِنَّمَا ٱلتَّوْبَةُ عَلَى ٱللَّهِ لِلَّذِينَ يَعْمَلُونَ ٱلسُّوٓءَ بِجَهَـٰلَةٍ ثُمَّ يَتُوبُونَ مِن قَرِيبٍ فَأُو۟لَـٰٓئِكَ يَتُوبُ ٱللَّهُ عَلَيْهِمْ ۗ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًا','verse_number' => '17','verse_key' => '4:17','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '80','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '511','chapter_id' => '4','arabic_name' => 'وَلَيْسَتِ ٱلتَّوْبَةُ لِلَّذِينَ يَعْمَلُونَ ٱلسَّيِّـَٔاتِ حَتَّىٰٓ إِذَا حَضَرَ أَحَدَهُمُ ٱلْمَوْتُ قَالَ إِنِّى تُبْتُ ٱلْـَٔـٰنَ وَلَا ٱلَّذِينَ يَمُوتُونَ وَهُمْ كُفَّارٌ ۚ أُو۟لَـٰٓئِكَ أَعْتَدْنَا لَهُمْ عَذَابًا أَلِيمًا','verse_number' => '18','verse_key' => '4:18','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '80','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '512','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا يَحِلُّ لَكُمْ أَن تَرِثُوا۟ ٱلنِّسَآءَ كَرْهًا ۖ وَلَا تَعْضُلُوهُنَّ لِتَذْهَبُوا۟ بِبَعْضِ مَآ ءَاتَيْتُمُوهُنَّ إِلَّآ أَن يَأْتِينَ بِفَـٰحِشَةٍ مُّبَيِّنَةٍ ۚ وَعَاشِرُوهُنَّ بِٱلْمَعْرُوفِ ۚ فَإِن كَرِهْتُمُوهُنَّ فَعَسَىٰٓ أَن تَكْرَهُوا۟ شَيْـًٔا وَيَجْعَلَ ٱللَّهُ فِيهِ خَيْرًا كَثِيرًا','verse_number' => '19','verse_key' => '4:19','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '80','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '513','chapter_id' => '4','arabic_name' => 'وَإِنْ أَرَدتُّمُ ٱسْتِبْدَالَ زَوْجٍ مَّكَانَ زَوْجٍ وَءَاتَيْتُمْ إِحْدَىٰهُنَّ قِنطَارًا فَلَا تَأْخُذُوا۟ مِنْهُ شَيْـًٔا ۚ أَتَأْخُذُونَهُۥ بُهْتَـٰنًا وَإِثْمًا مُّبِينًا','verse_number' => '20','verse_key' => '4:20','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '81','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '514','chapter_id' => '4','arabic_name' => 'وَكَيْفَ تَأْخُذُونَهُۥ وَقَدْ أَفْضَىٰ بَعْضُكُمْ إِلَىٰ بَعْضٍ وَأَخَذْنَ مِنكُم مِّيثَـٰقًا غَلِيظًا','verse_number' => '21','verse_key' => '4:21','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '81','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '515','chapter_id' => '4','arabic_name' => 'وَلَا تَنكِحُوا۟ مَا نَكَحَ ءَابَآؤُكُم مِّنَ ٱلنِّسَآءِ إِلَّا مَا قَدْ سَلَفَ ۚ إِنَّهُۥ كَانَ فَـٰحِشَةً وَمَقْتًا وَسَآءَ سَبِيلًا','verse_number' => '22','verse_key' => '4:22','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '64','manzil_number' => '1','sajdah_number' => '0','page_number' => '81','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '516','chapter_id' => '4','arabic_name' => 'حُرِّمَتْ عَلَيْكُمْ أُمَّهَـٰتُكُمْ وَبَنَاتُكُمْ وَأَخَوَٰتُكُمْ وَعَمَّـٰتُكُمْ وَخَـٰلَـٰتُكُمْ وَبَنَاتُ ٱلْأَخِ وَبَنَاتُ ٱلْأُخْتِ وَأُمَّهَـٰتُكُمُ ٱلَّـٰتِىٓ أَرْضَعْنَكُمْ وَأَخَوَٰتُكُم مِّنَ ٱلرَّضَـٰعَةِ وَأُمَّهَـٰتُ نِسَآئِكُمْ وَرَبَـٰٓئِبُكُمُ ٱلَّـٰتِى فِى حُجُورِكُم مِّن نِّسَآئِكُمُ ٱلَّـٰتِى دَخَلْتُم بِهِنَّ فَإِن لَّمْ تَكُونُوا۟ دَخَلْتُم بِهِنَّ فَلَا جُنَاحَ عَلَيْكُمْ وَحَلَـٰٓئِلُ أَبْنَآئِكُمُ ٱلَّذِينَ مِنْ أَصْلَـٰبِكُمْ وَأَن تَجْمَعُوا۟ بَيْنَ ٱلْأُخْتَيْنِ إِلَّا مَا قَدْ سَلَفَ ۗ إِنَّ ٱللَّهَ كَانَ غَفُورًا رَّحِيمًا','verse_number' => '23','verse_key' => '4:23','hizb_number' => '8','rub_el_hizb_number' => '32','ruku_number' => '65','manzil_number' => '1','sajdah_number' => '0','page_number' => '81','juz_number' => '4','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '517','chapter_id' => '4','arabic_name' => '۞ وَٱلْمُحْصَنَـٰتُ مِنَ ٱلنِّسَآءِ إِلَّا مَا مَلَكَتْ أَيْمَـٰنُكُمْ ۖ كِتَـٰبَ ٱللَّهِ عَلَيْكُمْ ۚ وَأُحِلَّ لَكُم مَّا وَرَآءَ ذَٰلِكُمْ أَن تَبْتَغُوا۟ بِأَمْوَٰلِكُم مُّحْصِنِينَ غَيْرَ مُسَـٰفِحِينَ ۚ فَمَا ٱسْتَمْتَعْتُم بِهِۦ مِنْهُنَّ فَـَٔاتُوهُنَّ أُجُورَهُنَّ فَرِيضَةً ۚ وَلَا جُنَاحَ عَلَيْكُمْ فِيمَا تَرَٰضَيْتُم بِهِۦ مِنۢ بَعْدِ ٱلْفَرِيضَةِ ۚ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًا','verse_number' => '24','verse_key' => '4:24','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '65','manzil_number' => '1','sajdah_number' => '0','page_number' => '82','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '518','chapter_id' => '4','arabic_name' => 'وَمَن لَّمْ يَسْتَطِعْ مِنكُمْ طَوْلًا أَن يَنكِحَ ٱلْمُحْصَنَـٰتِ ٱلْمُؤْمِنَـٰتِ فَمِن مَّا مَلَكَتْ أَيْمَـٰنُكُم مِّن فَتَيَـٰتِكُمُ ٱلْمُؤْمِنَـٰتِ ۚ وَٱللَّهُ أَعْلَمُ بِإِيمَـٰنِكُم ۚ بَعْضُكُم مِّنۢ بَعْضٍ ۚ فَٱنكِحُوهُنَّ بِإِذْنِ أَهْلِهِنَّ وَءَاتُوهُنَّ أُجُورَهُنَّ بِٱلْمَعْرُوفِ مُحْصَنَـٰتٍ غَيْرَ مُسَـٰفِحَـٰتٍ وَلَا مُتَّخِذَٰتِ أَخْدَانٍ ۚ فَإِذَآ أُحْصِنَّ فَإِنْ أَتَيْنَ بِفَـٰحِشَةٍ فَعَلَيْهِنَّ نِصْفُ مَا عَلَى ٱلْمُحْصَنَـٰتِ مِنَ ٱلْعَذَابِ ۚ ذَٰلِكَ لِمَنْ خَشِىَ ٱلْعَنَتَ مِنكُمْ ۚ وَأَن تَصْبِرُوا۟ خَيْرٌ لَّكُمْ ۗ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '25','verse_key' => '4:25','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '65','manzil_number' => '1','sajdah_number' => '0','page_number' => '82','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '519','chapter_id' => '4','arabic_name' => 'يُرِيدُ ٱللَّهُ لِيُبَيِّنَ لَكُمْ وَيَهْدِيَكُمْ سُنَنَ ٱلَّذِينَ مِن قَبْلِكُمْ وَيَتُوبَ عَلَيْكُمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '26','verse_key' => '4:26','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '82','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '520','chapter_id' => '4','arabic_name' => 'وَٱللَّهُ يُرِيدُ أَن يَتُوبَ عَلَيْكُمْ وَيُرِيدُ ٱلَّذِينَ يَتَّبِعُونَ ٱلشَّهَوَٰتِ أَن تَمِيلُوا۟ مَيْلًا عَظِيمًا','verse_number' => '27','verse_key' => '4:27','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '83','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '521','chapter_id' => '4','arabic_name' => 'يُرِيدُ ٱللَّهُ أَن يُخَفِّفَ عَنكُمْ ۚ وَخُلِقَ ٱلْإِنسَـٰنُ ضَعِيفًا','verse_number' => '28','verse_key' => '4:28','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '83','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '522','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَأْكُلُوٓا۟ أَمْوَٰلَكُم بَيْنَكُم بِٱلْبَـٰطِلِ إِلَّآ أَن تَكُونَ تِجَـٰرَةً عَن تَرَاضٍ مِّنكُمْ ۚ وَلَا تَقْتُلُوٓا۟ أَنفُسَكُمْ ۚ إِنَّ ٱللَّهَ كَانَ بِكُمْ رَحِيمًا','verse_number' => '29','verse_key' => '4:29','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '83','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '523','chapter_id' => '4','arabic_name' => 'وَمَن يَفْعَلْ ذَٰلِكَ عُدْوَٰنًا وَظُلْمًا فَسَوْفَ نُصْلِيهِ نَارًا ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًا','verse_number' => '30','verse_key' => '4:30','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '83','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '524','chapter_id' => '4','arabic_name' => 'إِن تَجْتَنِبُوا۟ كَبَآئِرَ مَا تُنْهَوْنَ عَنْهُ نُكَفِّرْ عَنكُمْ سَيِّـَٔاتِكُمْ وَنُدْخِلْكُم مُّدْخَلًا كَرِيمًا','verse_number' => '31','verse_key' => '4:31','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '83','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '525','chapter_id' => '4','arabic_name' => 'وَلَا تَتَمَنَّوْا۟ مَا فَضَّلَ ٱللَّهُ بِهِۦ بَعْضَكُمْ عَلَىٰ بَعْضٍ ۚ لِّلرِّجَالِ نَصِيبٌ مِّمَّا ٱكْتَسَبُوا۟ ۖ وَلِلنِّسَآءِ نَصِيبٌ مِّمَّا ٱكْتَسَبْنَ ۚ وَسْـَٔلُوا۟ ٱللَّهَ مِن فَضْلِهِۦٓ ۗ إِنَّ ٱللَّهَ كَانَ بِكُلِّ شَىْءٍ عَلِيمًا','verse_number' => '32','verse_key' => '4:32','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '83','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '526','chapter_id' => '4','arabic_name' => 'وَلِكُلٍّ جَعَلْنَا مَوَٰلِىَ مِمَّا تَرَكَ ٱلْوَٰلِدَانِ وَٱلْأَقْرَبُونَ ۚ وَٱلَّذِينَ عَقَدَتْ أَيْمَـٰنُكُمْ فَـَٔاتُوهُمْ نَصِيبَهُمْ ۚ إِنَّ ٱللَّهَ كَانَ عَلَىٰ كُلِّ شَىْءٍ شَهِيدًا','verse_number' => '33','verse_key' => '4:33','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '66','manzil_number' => '1','sajdah_number' => '0','page_number' => '83','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '527','chapter_id' => '4','arabic_name' => 'ٱلرِّجَالُ قَوَّٰمُونَ عَلَى ٱلنِّسَآءِ بِمَا فَضَّلَ ٱللَّهُ بَعْضَهُمْ عَلَىٰ بَعْضٍ وَبِمَآ أَنفَقُوا۟ مِنْ أَمْوَٰلِهِمْ ۚ فَٱلصَّـٰلِحَـٰتُ قَـٰنِتَـٰتٌ حَـٰفِظَـٰتٌ لِّلْغَيْبِ بِمَا حَفِظَ ٱللَّهُ ۚ وَٱلَّـٰتِى تَخَافُونَ نُشُوزَهُنَّ فَعِظُوهُنَّ وَٱهْجُرُوهُنَّ فِى ٱلْمَضَاجِعِ وَٱضْرِبُوهُنَّ ۖ فَإِنْ أَطَعْنَكُمْ فَلَا تَبْغُوا۟ عَلَيْهِنَّ سَبِيلًا ۗ إِنَّ ٱللَّهَ كَانَ عَلِيًّا كَبِيرًا','verse_number' => '34','verse_key' => '4:34','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '84','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '528','chapter_id' => '4','arabic_name' => 'وَإِنْ خِفْتُمْ شِقَاقَ بَيْنِهِمَا فَٱبْعَثُوا۟ حَكَمًا مِّنْ أَهْلِهِۦ وَحَكَمًا مِّنْ أَهْلِهَآ إِن يُرِيدَآ إِصْلَـٰحًا يُوَفِّقِ ٱللَّهُ بَيْنَهُمَآ ۗ إِنَّ ٱللَّهَ كَانَ عَلِيمًا خَبِيرًا','verse_number' => '35','verse_key' => '4:35','hizb_number' => '9','rub_el_hizb_number' => '33','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '84','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '529','chapter_id' => '4','arabic_name' => '۞ وَٱعْبُدُوا۟ ٱللَّهَ وَلَا تُشْرِكُوا۟ بِهِۦ شَيْـًٔا ۖ وَبِٱلْوَٰلِدَيْنِ إِحْسَـٰنًا وَبِذِى ٱلْقُرْبَىٰ وَٱلْيَتَـٰمَىٰ وَٱلْمَسَـٰكِينِ وَٱلْجَارِ ذِى ٱلْقُرْبَىٰ وَٱلْجَارِ ٱلْجُنُبِ وَٱلصَّاحِبِ بِٱلْجَنۢبِ وَٱبْنِ ٱلسَّبِيلِ وَمَا مَلَكَتْ أَيْمَـٰنُكُمْ ۗ إِنَّ ٱللَّهَ لَا يُحِبُّ مَن كَانَ مُخْتَالًا فَخُورًا','verse_number' => '36','verse_key' => '4:36','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '84','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '530','chapter_id' => '4','arabic_name' => 'ٱلَّذِينَ يَبْخَلُونَ وَيَأْمُرُونَ ٱلنَّاسَ بِٱلْبُخْلِ وَيَكْتُمُونَ مَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ ۗ وَأَعْتَدْنَا لِلْكَـٰفِرِينَ عَذَابًا مُّهِينًا','verse_number' => '37','verse_key' => '4:37','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '84','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '531','chapter_id' => '4','arabic_name' => 'وَٱلَّذِينَ يُنفِقُونَ أَمْوَٰلَهُمْ رِئَآءَ ٱلنَّاسِ وَلَا يُؤْمِنُونَ بِٱللَّهِ وَلَا بِٱلْيَوْمِ ٱلْـَٔاخِرِ ۗ وَمَن يَكُنِ ٱلشَّيْطَـٰنُ لَهُۥ قَرِينًا فَسَآءَ قَرِينًا','verse_number' => '38','verse_key' => '4:38','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '85','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '532','chapter_id' => '4','arabic_name' => 'وَمَاذَا عَلَيْهِمْ لَوْ ءَامَنُوا۟ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَأَنفَقُوا۟ مِمَّا رَزَقَهُمُ ٱللَّهُ ۚ وَكَانَ ٱللَّهُ بِهِمْ عَلِيمًا','verse_number' => '39','verse_key' => '4:39','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '85','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '533','chapter_id' => '4','arabic_name' => 'إِنَّ ٱللَّهَ لَا يَظْلِمُ مِثْقَالَ ذَرَّةٍ ۖ وَإِن تَكُ حَسَنَةً يُضَـٰعِفْهَا وَيُؤْتِ مِن لَّدُنْهُ أَجْرًا عَظِيمًا','verse_number' => '40','verse_key' => '4:40','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '85','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '534','chapter_id' => '4','arabic_name' => 'فَكَيْفَ إِذَا جِئْنَا مِن كُلِّ أُمَّةٍۭ بِشَهِيدٍ وَجِئْنَا بِكَ عَلَىٰ هَـٰٓؤُلَآءِ شَهِيدًا','verse_number' => '41','verse_key' => '4:41','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '85','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '535','chapter_id' => '4','arabic_name' => 'يَوْمَئِذٍ يَوَدُّ ٱلَّذِينَ كَفَرُوا۟ وَعَصَوُا۟ ٱلرَّسُولَ لَوْ تُسَوَّىٰ بِهِمُ ٱلْأَرْضُ وَلَا يَكْتُمُونَ ٱللَّهَ حَدِيثًا','verse_number' => '42','verse_key' => '4:42','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '67','manzil_number' => '1','sajdah_number' => '0','page_number' => '85','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '536','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَقْرَبُوا۟ ٱلصَّلَوٰةَ وَأَنتُمْ سُكَـٰرَىٰ حَتَّىٰ تَعْلَمُوا۟ مَا تَقُولُونَ وَلَا جُنُبًا إِلَّا عَابِرِى سَبِيلٍ حَتَّىٰ تَغْتَسِلُوا۟ ۚ وَإِن كُنتُم مَّرْضَىٰٓ أَوْ عَلَىٰ سَفَرٍ أَوْ جَآءَ أَحَدٌ مِّنكُم مِّنَ ٱلْغَآئِطِ أَوْ لَـٰمَسْتُمُ ٱلنِّسَآءَ فَلَمْ تَجِدُوا۟ مَآءً فَتَيَمَّمُوا۟ صَعِيدًا طَيِّبًا فَٱمْسَحُوا۟ بِوُجُوهِكُمْ وَأَيْدِيكُمْ ۗ إِنَّ ٱللَّهَ كَانَ عَفُوًّا غَفُورًا','verse_number' => '43','verse_key' => '4:43','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '85','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '537','chapter_id' => '4','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ أُوتُوا۟ نَصِيبًا مِّنَ ٱلْكِتَـٰبِ يَشْتَرُونَ ٱلضَّلَـٰلَةَ وَيُرِيدُونَ أَن تَضِلُّوا۟ ٱلسَّبِيلَ','verse_number' => '44','verse_key' => '4:44','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '85','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '538','chapter_id' => '4','arabic_name' => 'وَٱللَّهُ أَعْلَمُ بِأَعْدَآئِكُمْ ۚ وَكَفَىٰ بِٱللَّهِ وَلِيًّا وَكَفَىٰ بِٱللَّهِ نَصِيرًا','verse_number' => '45','verse_key' => '4:45','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '86','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '539','chapter_id' => '4','arabic_name' => 'مِّنَ ٱلَّذِينَ هَادُوا۟ يُحَرِّفُونَ ٱلْكَلِمَ عَن مَّوَاضِعِهِۦ وَيَقُولُونَ سَمِعْنَا وَعَصَيْنَا وَٱسْمَعْ غَيْرَ مُسْمَعٍ وَرَٰعِنَا لَيًّۢا بِأَلْسِنَتِهِمْ وَطَعْنًا فِى ٱلدِّينِ ۚ وَلَوْ أَنَّهُمْ قَالُوا۟ سَمِعْنَا وَأَطَعْنَا وَٱسْمَعْ وَٱنظُرْنَا لَكَانَ خَيْرًا لَّهُمْ وَأَقْوَمَ وَلَـٰكِن لَّعَنَهُمُ ٱللَّهُ بِكُفْرِهِمْ فَلَا يُؤْمِنُونَ إِلَّا قَلِيلًا','verse_number' => '46','verse_key' => '4:46','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '86','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '540','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ ءَامِنُوا۟ بِمَا نَزَّلْنَا مُصَدِّقًا لِّمَا مَعَكُم مِّن قَبْلِ أَن نَّطْمِسَ وُجُوهًا فَنَرُدَّهَا عَلَىٰٓ أَدْبَارِهَآ أَوْ نَلْعَنَهُمْ كَمَا لَعَنَّآ أَصْحَـٰبَ ٱلسَّبْتِ ۚ وَكَانَ أَمْرُ ٱللَّهِ مَفْعُولًا','verse_number' => '47','verse_key' => '4:47','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '86','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '541','chapter_id' => '4','arabic_name' => 'إِنَّ ٱللَّهَ لَا يَغْفِرُ أَن يُشْرَكَ بِهِۦ وَيَغْفِرُ مَا دُونَ ذَٰلِكَ لِمَن يَشَآءُ ۚ وَمَن يُشْرِكْ بِٱللَّهِ فَقَدِ ٱفْتَرَىٰٓ إِثْمًا عَظِيمًا','verse_number' => '48','verse_key' => '4:48','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '86','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '542','chapter_id' => '4','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ يُزَكُّونَ أَنفُسَهُم ۚ بَلِ ٱللَّهُ يُزَكِّى مَن يَشَآءُ وَلَا يُظْلَمُونَ فَتِيلًا','verse_number' => '49','verse_key' => '4:49','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '86','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '543','chapter_id' => '4','arabic_name' => 'ٱنظُرْ كَيْفَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ ۖ وَكَفَىٰ بِهِۦٓ إِثْمًا مُّبِينًا','verse_number' => '50','verse_key' => '4:50','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '68','manzil_number' => '1','sajdah_number' => '0','page_number' => '86','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '544','chapter_id' => '4','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ أُوتُوا۟ نَصِيبًا مِّنَ ٱلْكِتَـٰبِ يُؤْمِنُونَ بِٱلْجِبْتِ وَٱلطَّـٰغُوتِ وَيَقُولُونَ لِلَّذِينَ كَفَرُوا۟ هَـٰٓؤُلَآءِ أَهْدَىٰ مِنَ ٱلَّذِينَ ءَامَنُوا۟ سَبِيلًا','verse_number' => '51','verse_key' => '4:51','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '86','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '545','chapter_id' => '4','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ لَعَنَهُمُ ٱللَّهُ ۖ وَمَن يَلْعَنِ ٱللَّهُ فَلَن تَجِدَ لَهُۥ نَصِيرًا','verse_number' => '52','verse_key' => '4:52','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '546','chapter_id' => '4','arabic_name' => 'أَمْ لَهُمْ نَصِيبٌ مِّنَ ٱلْمُلْكِ فَإِذًا لَّا يُؤْتُونَ ٱلنَّاسَ نَقِيرًا','verse_number' => '53','verse_key' => '4:53','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '547','chapter_id' => '4','arabic_name' => 'أَمْ يَحْسُدُونَ ٱلنَّاسَ عَلَىٰ مَآ ءَاتَىٰهُمُ ٱللَّهُ مِن فَضْلِهِۦ ۖ فَقَدْ ءَاتَيْنَآ ءَالَ إِبْرَٰهِيمَ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَءَاتَيْنَـٰهُم مُّلْكًا عَظِيمًا','verse_number' => '54','verse_key' => '4:54','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '548','chapter_id' => '4','arabic_name' => 'فَمِنْهُم مَّنْ ءَامَنَ بِهِۦ وَمِنْهُم مَّن صَدَّ عَنْهُ ۚ وَكَفَىٰ بِجَهَنَّمَ سَعِيرًا','verse_number' => '55','verse_key' => '4:55','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '549','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ بِـَٔايَـٰتِنَا سَوْفَ نُصْلِيهِمْ نَارًا كُلَّمَا نَضِجَتْ جُلُودُهُم بَدَّلْنَـٰهُمْ جُلُودًا غَيْرَهَا لِيَذُوقُوا۟ ٱلْعَذَابَ ۗ إِنَّ ٱللَّهَ كَانَ عَزِيزًا حَكِيمًا','verse_number' => '56','verse_key' => '4:56','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '550','chapter_id' => '4','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ سَنُدْخِلُهُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَآ أَبَدًا ۖ لَّهُمْ فِيهَآ أَزْوَٰجٌ مُّطَهَّرَةٌ ۖ وَنُدْخِلُهُمْ ظِلًّا ظَلِيلًا','verse_number' => '57','verse_key' => '4:57','hizb_number' => '9','rub_el_hizb_number' => '34','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '551','chapter_id' => '4','arabic_name' => '۞ إِنَّ ٱللَّهَ يَأْمُرُكُمْ أَن تُؤَدُّوا۟ ٱلْأَمَـٰنَـٰتِ إِلَىٰٓ أَهْلِهَا وَإِذَا حَكَمْتُم بَيْنَ ٱلنَّاسِ أَن تَحْكُمُوا۟ بِٱلْعَدْلِ ۚ إِنَّ ٱللَّهَ نِعِمَّا يَعِظُكُم بِهِۦٓ ۗ إِنَّ ٱللَّهَ كَانَ سَمِيعًۢا بَصِيرًا','verse_number' => '58','verse_key' => '4:58','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '552','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ وَأُو۟لِى ٱلْأَمْرِ مِنكُمْ ۖ فَإِن تَنَـٰزَعْتُمْ فِى شَىْءٍ فَرُدُّوهُ إِلَى ٱللَّهِ وَٱلرَّسُولِ إِن كُنتُمْ تُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ ۚ ذَٰلِكَ خَيْرٌ وَأَحْسَنُ تَأْوِيلًا','verse_number' => '59','verse_key' => '4:59','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '69','manzil_number' => '1','sajdah_number' => '0','page_number' => '87','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '553','chapter_id' => '4','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ يَزْعُمُونَ أَنَّهُمْ ءَامَنُوا۟ بِمَآ أُنزِلَ إِلَيْكَ وَمَآ أُنزِلَ مِن قَبْلِكَ يُرِيدُونَ أَن يَتَحَاكَمُوٓا۟ إِلَى ٱلطَّـٰغُوتِ وَقَدْ أُمِرُوٓا۟ أَن يَكْفُرُوا۟ بِهِۦ وَيُرِيدُ ٱلشَّيْطَـٰنُ أَن يُضِلَّهُمْ ضَلَـٰلًۢا بَعِيدًا','verse_number' => '60','verse_key' => '4:60','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '88','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '554','chapter_id' => '4','arabic_name' => 'وَإِذَا قِيلَ لَهُمْ تَعَالَوْا۟ إِلَىٰ مَآ أَنزَلَ ٱللَّهُ وَإِلَى ٱلرَّسُولِ رَأَيْتَ ٱلْمُنَـٰفِقِينَ يَصُدُّونَ عَنكَ صُدُودًا','verse_number' => '61','verse_key' => '4:61','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '88','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '555','chapter_id' => '4','arabic_name' => 'فَكَيْفَ إِذَآ أَصَـٰبَتْهُم مُّصِيبَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ ثُمَّ جَآءُوكَ يَحْلِفُونَ بِٱللَّهِ إِنْ أَرَدْنَآ إِلَّآ إِحْسَـٰنًا وَتَوْفِيقًا','verse_number' => '62','verse_key' => '4:62','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '88','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '556','chapter_id' => '4','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ يَعْلَمُ ٱللَّهُ مَا فِى قُلُوبِهِمْ فَأَعْرِضْ عَنْهُمْ وَعِظْهُمْ وَقُل لَّهُمْ فِىٓ أَنفُسِهِمْ قَوْلًۢا بَلِيغًا','verse_number' => '63','verse_key' => '4:63','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '88','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '557','chapter_id' => '4','arabic_name' => 'وَمَآ أَرْسَلْنَا مِن رَّسُولٍ إِلَّا لِيُطَاعَ بِإِذْنِ ٱللَّهِ ۚ وَلَوْ أَنَّهُمْ إِذ ظَّلَمُوٓا۟ أَنفُسَهُمْ جَآءُوكَ فَٱسْتَغْفَرُوا۟ ٱللَّهَ وَٱسْتَغْفَرَ لَهُمُ ٱلرَّسُولُ لَوَجَدُوا۟ ٱللَّهَ تَوَّابًا رَّحِيمًا','verse_number' => '64','verse_key' => '4:64','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '88','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '558','chapter_id' => '4','arabic_name' => 'فَلَا وَرَبِّكَ لَا يُؤْمِنُونَ حَتَّىٰ يُحَكِّمُوكَ فِيمَا شَجَرَ بَيْنَهُمْ ثُمَّ لَا يَجِدُوا۟ فِىٓ أَنفُسِهِمْ حَرَجًا مِّمَّا قَضَيْتَ وَيُسَلِّمُوا۟ تَسْلِيمًا','verse_number' => '65','verse_key' => '4:65','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '88','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '559','chapter_id' => '4','arabic_name' => 'وَلَوْ أَنَّا كَتَبْنَا عَلَيْهِمْ أَنِ ٱقْتُلُوٓا۟ أَنفُسَكُمْ أَوِ ٱخْرُجُوا۟ مِن دِيَـٰرِكُم مَّا فَعَلُوهُ إِلَّا قَلِيلٌ مِّنْهُمْ ۖ وَلَوْ أَنَّهُمْ فَعَلُوا۟ مَا يُوعَظُونَ بِهِۦ لَكَانَ خَيْرًا لَّهُمْ وَأَشَدَّ تَثْبِيتًا','verse_number' => '66','verse_key' => '4:66','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '560','chapter_id' => '4','arabic_name' => 'وَإِذًا لَّـَٔاتَيْنَـٰهُم مِّن لَّدُنَّآ أَجْرًا عَظِيمًا','verse_number' => '67','verse_key' => '4:67','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '561','chapter_id' => '4','arabic_name' => 'وَلَهَدَيْنَـٰهُمْ صِرَٰطًا مُّسْتَقِيمًا','verse_number' => '68','verse_key' => '4:68','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '562','chapter_id' => '4','arabic_name' => 'وَمَن يُطِعِ ٱللَّهَ وَٱلرَّسُولَ فَأُو۟لَـٰٓئِكَ مَعَ ٱلَّذِينَ أَنْعَمَ ٱللَّهُ عَلَيْهِم مِّنَ ٱلنَّبِيِّـۧنَ وَٱلصِّدِّيقِينَ وَٱلشُّهَدَآءِ وَٱلصَّـٰلِحِينَ ۚ وَحَسُنَ أُو۟لَـٰٓئِكَ رَفِيقًا','verse_number' => '69','verse_key' => '4:69','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '563','chapter_id' => '4','arabic_name' => 'ذَٰلِكَ ٱلْفَضْلُ مِنَ ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ عَلِيمًا','verse_number' => '70','verse_key' => '4:70','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '70','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '564','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ خُذُوا۟ حِذْرَكُمْ فَٱنفِرُوا۟ ثُبَاتٍ أَوِ ٱنفِرُوا۟ جَمِيعًا','verse_number' => '71','verse_key' => '4:71','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '71','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '565','chapter_id' => '4','arabic_name' => 'وَإِنَّ مِنكُمْ لَمَن لَّيُبَطِّئَنَّ فَإِنْ أَصَـٰبَتْكُم مُّصِيبَةٌ قَالَ قَدْ أَنْعَمَ ٱللَّهُ عَلَىَّ إِذْ لَمْ أَكُن مَّعَهُمْ شَهِيدًا','verse_number' => '72','verse_key' => '4:72','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '71','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '566','chapter_id' => '4','arabic_name' => 'وَلَئِنْ أَصَـٰبَكُمْ فَضْلٌ مِّنَ ٱللَّهِ لَيَقُولَنَّ كَأَن لَّمْ تَكُنۢ بَيْنَكُمْ وَبَيْنَهُۥ مَوَدَّةٌ يَـٰلَيْتَنِى كُنتُ مَعَهُمْ فَأَفُوزَ فَوْزًا عَظِيمًا','verse_number' => '73','verse_key' => '4:73','hizb_number' => '9','rub_el_hizb_number' => '35','ruku_number' => '71','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '567','chapter_id' => '4','arabic_name' => '۞ فَلْيُقَـٰتِلْ فِى سَبِيلِ ٱللَّهِ ٱلَّذِينَ يَشْرُونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا بِٱلْـَٔاخِرَةِ ۚ وَمَن يُقَـٰتِلْ فِى سَبِيلِ ٱللَّهِ فَيُقْتَلْ أَوْ يَغْلِبْ فَسَوْفَ نُؤْتِيهِ أَجْرًا عَظِيمًا','verse_number' => '74','verse_key' => '4:74','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '71','manzil_number' => '1','sajdah_number' => '0','page_number' => '89','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '568','chapter_id' => '4','arabic_name' => 'وَمَا لَكُمْ لَا تُقَـٰتِلُونَ فِى سَبِيلِ ٱللَّهِ وَٱلْمُسْتَضْعَفِينَ مِنَ ٱلرِّجَالِ وَٱلنِّسَآءِ وَٱلْوِلْدَٰنِ ٱلَّذِينَ يَقُولُونَ رَبَّنَآ أَخْرِجْنَا مِنْ هَـٰذِهِ ٱلْقَرْيَةِ ٱلظَّالِمِ أَهْلُهَا وَٱجْعَل لَّنَا مِن لَّدُنكَ وَلِيًّا وَٱجْعَل لَّنَا مِن لَّدُنكَ نَصِيرًا','verse_number' => '75','verse_key' => '4:75','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '71','manzil_number' => '1','sajdah_number' => '0','page_number' => '90','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '569','chapter_id' => '4','arabic_name' => 'ٱلَّذِينَ ءَامَنُوا۟ يُقَـٰتِلُونَ فِى سَبِيلِ ٱللَّهِ ۖ وَٱلَّذِينَ كَفَرُوا۟ يُقَـٰتِلُونَ فِى سَبِيلِ ٱلطَّـٰغُوتِ فَقَـٰتِلُوٓا۟ أَوْلِيَآءَ ٱلشَّيْطَـٰنِ ۖ إِنَّ كَيْدَ ٱلشَّيْطَـٰنِ كَانَ ضَعِيفًا','verse_number' => '76','verse_key' => '4:76','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '71','manzil_number' => '1','sajdah_number' => '0','page_number' => '90','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '570','chapter_id' => '4','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ قِيلَ لَهُمْ كُفُّوٓا۟ أَيْدِيَكُمْ وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ فَلَمَّا كُتِبَ عَلَيْهِمُ ٱلْقِتَالُ إِذَا فَرِيقٌ مِّنْهُمْ يَخْشَوْنَ ٱلنَّاسَ كَخَشْيَةِ ٱللَّهِ أَوْ أَشَدَّ خَشْيَةً ۚ وَقَالُوا۟ رَبَّنَا لِمَ كَتَبْتَ عَلَيْنَا ٱلْقِتَالَ لَوْلَآ أَخَّرْتَنَآ إِلَىٰٓ أَجَلٍ قَرِيبٍ ۗ قُلْ مَتَـٰعُ ٱلدُّنْيَا قَلِيلٌ وَٱلْـَٔاخِرَةُ خَيْرٌ لِّمَنِ ٱتَّقَىٰ وَلَا تُظْلَمُونَ فَتِيلًا','verse_number' => '77','verse_key' => '4:77','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '90','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '571','chapter_id' => '4','arabic_name' => 'أَيْنَمَا تَكُونُوا۟ يُدْرِككُّمُ ٱلْمَوْتُ وَلَوْ كُنتُمْ فِى بُرُوجٍ مُّشَيَّدَةٍ ۗ وَإِن تُصِبْهُمْ حَسَنَةٌ يَقُولُوا۟ هَـٰذِهِۦ مِنْ عِندِ ٱللَّهِ ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌ يَقُولُوا۟ هَـٰذِهِۦ مِنْ عِندِكَ ۚ قُلْ كُلٌّ مِّنْ عِندِ ٱللَّهِ ۖ فَمَالِ هَـٰٓؤُلَآءِ ٱلْقَوْمِ لَا يَكَادُونَ يَفْقَهُونَ حَدِيثًا','verse_number' => '78','verse_key' => '4:78','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '90','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '572','chapter_id' => '4','arabic_name' => 'مَّآ أَصَابَكَ مِنْ حَسَنَةٍ فَمِنَ ٱللَّهِ ۖ وَمَآ أَصَابَكَ مِن سَيِّئَةٍ فَمِن نَّفْسِكَ ۚ وَأَرْسَلْنَـٰكَ لِلنَّاسِ رَسُولًا ۚ وَكَفَىٰ بِٱللَّهِ شَهِيدًا','verse_number' => '79','verse_key' => '4:79','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '90','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '573','chapter_id' => '4','arabic_name' => 'مَّن يُطِعِ ٱلرَّسُولَ فَقَدْ أَطَاعَ ٱللَّهَ ۖ وَمَن تَوَلَّىٰ فَمَآ أَرْسَلْنَـٰكَ عَلَيْهِمْ حَفِيظًا','verse_number' => '80','verse_key' => '4:80','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '91','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '574','chapter_id' => '4','arabic_name' => 'وَيَقُولُونَ طَاعَةٌ فَإِذَا بَرَزُوا۟ مِنْ عِندِكَ بَيَّتَ طَآئِفَةٌ مِّنْهُمْ غَيْرَ ٱلَّذِى تَقُولُ ۖ وَٱللَّهُ يَكْتُبُ مَا يُبَيِّتُونَ ۖ فَأَعْرِضْ عَنْهُمْ وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًا','verse_number' => '81','verse_key' => '4:81','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '91','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '575','chapter_id' => '4','arabic_name' => 'أَفَلَا يَتَدَبَّرُونَ ٱلْقُرْءَانَ ۚ وَلَوْ كَانَ مِنْ عِندِ غَيْرِ ٱللَّهِ لَوَجَدُوا۟ فِيهِ ٱخْتِلَـٰفًا كَثِيرًا','verse_number' => '82','verse_key' => '4:82','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '91','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '576','chapter_id' => '4','arabic_name' => 'وَإِذَا جَآءَهُمْ أَمْرٌ مِّنَ ٱلْأَمْنِ أَوِ ٱلْخَوْفِ أَذَاعُوا۟ بِهِۦ ۖ وَلَوْ رَدُّوهُ إِلَى ٱلرَّسُولِ وَإِلَىٰٓ أُو۟لِى ٱلْأَمْرِ مِنْهُمْ لَعَلِمَهُ ٱلَّذِينَ يَسْتَنۢبِطُونَهُۥ مِنْهُمْ ۗ وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ لَٱتَّبَعْتُمُ ٱلشَّيْطَـٰنَ إِلَّا قَلِيلًا','verse_number' => '83','verse_key' => '4:83','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '91','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '577','chapter_id' => '4','arabic_name' => 'فَقَـٰتِلْ فِى سَبِيلِ ٱللَّهِ لَا تُكَلَّفُ إِلَّا نَفْسَكَ ۚ وَحَرِّضِ ٱلْمُؤْمِنِينَ ۖ عَسَى ٱللَّهُ أَن يَكُفَّ بَأْسَ ٱلَّذِينَ كَفَرُوا۟ ۚ وَٱللَّهُ أَشَدُّ بَأْسًا وَأَشَدُّ تَنكِيلًا','verse_number' => '84','verse_key' => '4:84','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '91','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '578','chapter_id' => '4','arabic_name' => 'مَّن يَشْفَعْ شَفَـٰعَةً حَسَنَةً يَكُن لَّهُۥ نَصِيبٌ مِّنْهَا ۖ وَمَن يَشْفَعْ شَفَـٰعَةً سَيِّئَةً يَكُن لَّهُۥ كِفْلٌ مِّنْهَا ۗ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ مُّقِيتًا','verse_number' => '85','verse_key' => '4:85','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '91','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '579','chapter_id' => '4','arabic_name' => 'وَإِذَا حُيِّيتُم بِتَحِيَّةٍ فَحَيُّوا۟ بِأَحْسَنَ مِنْهَآ أَوْ رُدُّوهَآ ۗ إِنَّ ٱللَّهَ كَانَ عَلَىٰ كُلِّ شَىْءٍ حَسِيبًا','verse_number' => '86','verse_key' => '4:86','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '91','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '580','chapter_id' => '4','arabic_name' => 'ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ ۚ لَيَجْمَعَنَّكُمْ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ لَا رَيْبَ فِيهِ ۗ وَمَنْ أَصْدَقُ مِنَ ٱللَّهِ حَدِيثًا','verse_number' => '87','verse_key' => '4:87','hizb_number' => '9','rub_el_hizb_number' => '36','ruku_number' => '72','manzil_number' => '1','sajdah_number' => '0','page_number' => '92','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '581','chapter_id' => '4','arabic_name' => '۞ فَمَا لَكُمْ فِى ٱلْمُنَـٰفِقِينَ فِئَتَيْنِ وَٱللَّهُ أَرْكَسَهُم بِمَا كَسَبُوٓا۟ ۚ أَتُرِيدُونَ أَن تَهْدُوا۟ مَنْ أَضَلَّ ٱللَّهُ ۖ وَمَن يُضْلِلِ ٱللَّهُ فَلَن تَجِدَ لَهُۥ سَبِيلًا','verse_number' => '88','verse_key' => '4:88','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '73','manzil_number' => '1','sajdah_number' => '0','page_number' => '92','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '582','chapter_id' => '4','arabic_name' => 'وَدُّوا۟ لَوْ تَكْفُرُونَ كَمَا كَفَرُوا۟ فَتَكُونُونَ سَوَآءً ۖ فَلَا تَتَّخِذُوا۟ مِنْهُمْ أَوْلِيَآءَ حَتَّىٰ يُهَاجِرُوا۟ فِى سَبِيلِ ٱللَّهِ ۚ فَإِن تَوَلَّوْا۟ فَخُذُوهُمْ وَٱقْتُلُوهُمْ حَيْثُ وَجَدتُّمُوهُمْ ۖ وَلَا تَتَّخِذُوا۟ مِنْهُمْ وَلِيًّا وَلَا نَصِيرًا','verse_number' => '89','verse_key' => '4:89','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '73','manzil_number' => '1','sajdah_number' => '0','page_number' => '92','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '583','chapter_id' => '4','arabic_name' => 'إِلَّا ٱلَّذِينَ يَصِلُونَ إِلَىٰ قَوْمٍۭ بَيْنَكُمْ وَبَيْنَهُم مِّيثَـٰقٌ أَوْ جَآءُوكُمْ حَصِرَتْ صُدُورُهُمْ أَن يُقَـٰتِلُوكُمْ أَوْ يُقَـٰتِلُوا۟ قَوْمَهُمْ ۚ وَلَوْ شَآءَ ٱللَّهُ لَسَلَّطَهُمْ عَلَيْكُمْ فَلَقَـٰتَلُوكُمْ ۚ فَإِنِ ٱعْتَزَلُوكُمْ فَلَمْ يُقَـٰتِلُوكُمْ وَأَلْقَوْا۟ إِلَيْكُمُ ٱلسَّلَمَ فَمَا جَعَلَ ٱللَّهُ لَكُمْ عَلَيْهِمْ سَبِيلًا','verse_number' => '90','verse_key' => '4:90','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '73','manzil_number' => '1','sajdah_number' => '0','page_number' => '92','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '584','chapter_id' => '4','arabic_name' => 'سَتَجِدُونَ ءَاخَرِينَ يُرِيدُونَ أَن يَأْمَنُوكُمْ وَيَأْمَنُوا۟ قَوْمَهُمْ كُلَّ مَا رُدُّوٓا۟ إِلَى ٱلْفِتْنَةِ أُرْكِسُوا۟ فِيهَا ۚ فَإِن لَّمْ يَعْتَزِلُوكُمْ وَيُلْقُوٓا۟ إِلَيْكُمُ ٱلسَّلَمَ وَيَكُفُّوٓا۟ أَيْدِيَهُمْ فَخُذُوهُمْ وَٱقْتُلُوهُمْ حَيْثُ ثَقِفْتُمُوهُمْ ۚ وَأُو۟لَـٰٓئِكُمْ جَعَلْنَا لَكُمْ عَلَيْهِمْ سُلْطَـٰنًا مُّبِينًا','verse_number' => '91','verse_key' => '4:91','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '73','manzil_number' => '1','sajdah_number' => '0','page_number' => '92','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '585','chapter_id' => '4','arabic_name' => 'وَمَا كَانَ لِمُؤْمِنٍ أَن يَقْتُلَ مُؤْمِنًا إِلَّا خَطَـًٔا ۚ وَمَن قَتَلَ مُؤْمِنًا خَطَـًٔا فَتَحْرِيرُ رَقَبَةٍ مُّؤْمِنَةٍ وَدِيَةٌ مُّسَلَّمَةٌ إِلَىٰٓ أَهْلِهِۦٓ إِلَّآ أَن يَصَّدَّقُوا۟ ۚ فَإِن كَانَ مِن قَوْمٍ عَدُوٍّ لَّكُمْ وَهُوَ مُؤْمِنٌ فَتَحْرِيرُ رَقَبَةٍ مُّؤْمِنَةٍ ۖ وَإِن كَانَ مِن قَوْمٍۭ بَيْنَكُمْ وَبَيْنَهُم مِّيثَـٰقٌ فَدِيَةٌ مُّسَلَّمَةٌ إِلَىٰٓ أَهْلِهِۦ وَتَحْرِيرُ رَقَبَةٍ مُّؤْمِنَةٍ ۖ فَمَن لَّمْ يَجِدْ فَصِيَامُ شَهْرَيْنِ مُتَتَابِعَيْنِ تَوْبَةً مِّنَ ٱللَّهِ ۗ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًا','verse_number' => '92','verse_key' => '4:92','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '74','manzil_number' => '1','sajdah_number' => '0','page_number' => '93','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '586','chapter_id' => '4','arabic_name' => 'وَمَن يَقْتُلْ مُؤْمِنًا مُّتَعَمِّدًا فَجَزَآؤُهُۥ جَهَنَّمُ خَـٰلِدًا فِيهَا وَغَضِبَ ٱللَّهُ عَلَيْهِ وَلَعَنَهُۥ وَأَعَدَّ لَهُۥ عَذَابًا عَظِيمًا','verse_number' => '93','verse_key' => '4:93','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '74','manzil_number' => '1','sajdah_number' => '0','page_number' => '93','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '587','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا ضَرَبْتُمْ فِى سَبِيلِ ٱللَّهِ فَتَبَيَّنُوا۟ وَلَا تَقُولُوا۟ لِمَنْ أَلْقَىٰٓ إِلَيْكُمُ ٱلسَّلَـٰمَ لَسْتَ مُؤْمِنًا تَبْتَغُونَ عَرَضَ ٱلْحَيَوٰةِ ٱلدُّنْيَا فَعِندَ ٱللَّهِ مَغَانِمُ كَثِيرَةٌ ۚ كَذَٰلِكَ كُنتُم مِّن قَبْلُ فَمَنَّ ٱللَّهُ عَلَيْكُمْ فَتَبَيَّنُوٓا۟ ۚ إِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًا','verse_number' => '94','verse_key' => '4:94','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '74','manzil_number' => '1','sajdah_number' => '0','page_number' => '93','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '588','chapter_id' => '4','arabic_name' => 'لَّا يَسْتَوِى ٱلْقَـٰعِدُونَ مِنَ ٱلْمُؤْمِنِينَ غَيْرُ أُو۟لِى ٱلضَّرَرِ وَٱلْمُجَـٰهِدُونَ فِى سَبِيلِ ٱللَّهِ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ ۚ فَضَّلَ ٱللَّهُ ٱلْمُجَـٰهِدِينَ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ عَلَى ٱلْقَـٰعِدِينَ دَرَجَةً ۚ وَكُلًّا وَعَدَ ٱللَّهُ ٱلْحُسْنَىٰ ۚ وَفَضَّلَ ٱللَّهُ ٱلْمُجَـٰهِدِينَ عَلَى ٱلْقَـٰعِدِينَ أَجْرًا عَظِيمًا','verse_number' => '95','verse_key' => '4:95','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '74','manzil_number' => '1','sajdah_number' => '0','page_number' => '94','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '589','chapter_id' => '4','arabic_name' => 'دَرَجَـٰتٍ مِّنْهُ وَمَغْفِرَةً وَرَحْمَةً ۚ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '96','verse_key' => '4:96','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '74','manzil_number' => '1','sajdah_number' => '0','page_number' => '94','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '590','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلَّذِينَ تَوَفَّىٰهُمُ ٱلْمَلَـٰٓئِكَةُ ظَالِمِىٓ أَنفُسِهِمْ قَالُوا۟ فِيمَ كُنتُمْ ۖ قَالُوا۟ كُنَّا مُسْتَضْعَفِينَ فِى ٱلْأَرْضِ ۚ قَالُوٓا۟ أَلَمْ تَكُنْ أَرْضُ ٱللَّهِ وَٰسِعَةً فَتُهَاجِرُوا۟ فِيهَا ۚ فَأُو۟لَـٰٓئِكَ مَأْوَىٰهُمْ جَهَنَّمُ ۖ وَسَآءَتْ مَصِيرًا','verse_number' => '97','verse_key' => '4:97','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '75','manzil_number' => '1','sajdah_number' => '0','page_number' => '94','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '591','chapter_id' => '4','arabic_name' => 'إِلَّا ٱلْمُسْتَضْعَفِينَ مِنَ ٱلرِّجَالِ وَٱلنِّسَآءِ وَٱلْوِلْدَٰنِ لَا يَسْتَطِيعُونَ حِيلَةً وَلَا يَهْتَدُونَ سَبِيلًا','verse_number' => '98','verse_key' => '4:98','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '75','manzil_number' => '1','sajdah_number' => '0','page_number' => '94','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '592','chapter_id' => '4','arabic_name' => 'فَأُو۟لَـٰٓئِكَ عَسَى ٱللَّهُ أَن يَعْفُوَ عَنْهُمْ ۚ وَكَانَ ٱللَّهُ عَفُوًّا غَفُورًا','verse_number' => '99','verse_key' => '4:99','hizb_number' => '10','rub_el_hizb_number' => '37','ruku_number' => '75','manzil_number' => '1','sajdah_number' => '0','page_number' => '94','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '593','chapter_id' => '4','arabic_name' => '۞ وَمَن يُهَاجِرْ فِى سَبِيلِ ٱللَّهِ يَجِدْ فِى ٱلْأَرْضِ مُرَٰغَمًا كَثِيرًا وَسَعَةً ۚ وَمَن يَخْرُجْ مِنۢ بَيْتِهِۦ مُهَاجِرًا إِلَى ٱللَّهِ وَرَسُولِهِۦ ثُمَّ يُدْرِكْهُ ٱلْمَوْتُ فَقَدْ وَقَعَ أَجْرُهُۥ عَلَى ٱللَّهِ ۗ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '100','verse_key' => '4:100','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '75','manzil_number' => '1','sajdah_number' => '0','page_number' => '94','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '594','chapter_id' => '4','arabic_name' => 'وَإِذَا ضَرَبْتُمْ فِى ٱلْأَرْضِ فَلَيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَقْصُرُوا۟ مِنَ ٱلصَّلَوٰةِ إِنْ خِفْتُمْ أَن يَفْتِنَكُمُ ٱلَّذِينَ كَفَرُوٓا۟ ۚ إِنَّ ٱلْكَـٰفِرِينَ كَانُوا۟ لَكُمْ عَدُوًّا مُّبِينًا','verse_number' => '101','verse_key' => '4:101','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '76','manzil_number' => '1','sajdah_number' => '0','page_number' => '94','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '595','chapter_id' => '4','arabic_name' => 'وَإِذَا كُنتَ فِيهِمْ فَأَقَمْتَ لَهُمُ ٱلصَّلَوٰةَ فَلْتَقُمْ طَآئِفَةٌ مِّنْهُم مَّعَكَ وَلْيَأْخُذُوٓا۟ أَسْلِحَتَهُمْ فَإِذَا سَجَدُوا۟ فَلْيَكُونُوا۟ مِن وَرَآئِكُمْ وَلْتَأْتِ طَآئِفَةٌ أُخْرَىٰ لَمْ يُصَلُّوا۟ فَلْيُصَلُّوا۟ مَعَكَ وَلْيَأْخُذُوا۟ حِذْرَهُمْ وَأَسْلِحَتَهُمْ ۗ وَدَّ ٱلَّذِينَ كَفَرُوا۟ لَوْ تَغْفُلُونَ عَنْ أَسْلِحَتِكُمْ وَأَمْتِعَتِكُمْ فَيَمِيلُونَ عَلَيْكُم مَّيْلَةً وَٰحِدَةً ۚ وَلَا جُنَاحَ عَلَيْكُمْ إِن كَانَ بِكُمْ أَذًى مِّن مَّطَرٍ أَوْ كُنتُم مَّرْضَىٰٓ أَن تَضَعُوٓا۟ أَسْلِحَتَكُمْ ۖ وَخُذُوا۟ حِذْرَكُمْ ۗ إِنَّ ٱللَّهَ أَعَدَّ لِلْكَـٰفِرِينَ عَذَابًا مُّهِينًا','verse_number' => '102','verse_key' => '4:102','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '76','manzil_number' => '1','sajdah_number' => '0','page_number' => '95','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '596','chapter_id' => '4','arabic_name' => 'فَإِذَا قَضَيْتُمُ ٱلصَّلَوٰةَ فَٱذْكُرُوا۟ ٱللَّهَ قِيَـٰمًا وَقُعُودًا وَعَلَىٰ جُنُوبِكُمْ ۚ فَإِذَا ٱطْمَأْنَنتُمْ فَأَقِيمُوا۟ ٱلصَّلَوٰةَ ۚ إِنَّ ٱلصَّلَوٰةَ كَانَتْ عَلَى ٱلْمُؤْمِنِينَ كِتَـٰبًا مَّوْقُوتًا','verse_number' => '103','verse_key' => '4:103','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '76','manzil_number' => '1','sajdah_number' => '0','page_number' => '95','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '597','chapter_id' => '4','arabic_name' => 'وَلَا تَهِنُوا۟ فِى ٱبْتِغَآءِ ٱلْقَوْمِ ۖ إِن تَكُونُوا۟ تَأْلَمُونَ فَإِنَّهُمْ يَأْلَمُونَ كَمَا تَأْلَمُونَ ۖ وَتَرْجُونَ مِنَ ٱللَّهِ مَا لَا يَرْجُونَ ۗ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًا','verse_number' => '104','verse_key' => '4:104','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '76','manzil_number' => '1','sajdah_number' => '0','page_number' => '95','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '598','chapter_id' => '4','arabic_name' => 'إِنَّآ أَنزَلْنَآ إِلَيْكَ ٱلْكِتَـٰبَ بِٱلْحَقِّ لِتَحْكُمَ بَيْنَ ٱلنَّاسِ بِمَآ أَرَىٰكَ ٱللَّهُ ۚ وَلَا تَكُن لِّلْخَآئِنِينَ خَصِيمًا','verse_number' => '105','verse_key' => '4:105','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '95','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '599','chapter_id' => '4','arabic_name' => 'وَٱسْتَغْفِرِ ٱللَّهَ ۖ إِنَّ ٱللَّهَ كَانَ غَفُورًا رَّحِيمًا','verse_number' => '106','verse_key' => '4:106','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '600','chapter_id' => '4','arabic_name' => 'وَلَا تُجَـٰدِلْ عَنِ ٱلَّذِينَ يَخْتَانُونَ أَنفُسَهُمْ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ مَن كَانَ خَوَّانًا أَثِيمًا','verse_number' => '107','verse_key' => '4:107','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '601','chapter_id' => '4','arabic_name' => 'يَسْتَخْفُونَ مِنَ ٱلنَّاسِ وَلَا يَسْتَخْفُونَ مِنَ ٱللَّهِ وَهُوَ مَعَهُمْ إِذْ يُبَيِّتُونَ مَا لَا يَرْضَىٰ مِنَ ٱلْقَوْلِ ۚ وَكَانَ ٱللَّهُ بِمَا يَعْمَلُونَ مُحِيطًا','verse_number' => '108','verse_key' => '4:108','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '602','chapter_id' => '4','arabic_name' => 'هَـٰٓأَنتُمْ هَـٰٓؤُلَآءِ جَـٰدَلْتُمْ عَنْهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا فَمَن يُجَـٰدِلُ ٱللَّهَ عَنْهُمْ يَوْمَ ٱلْقِيَـٰمَةِ أَم مَّن يَكُونُ عَلَيْهِمْ وَكِيلًا','verse_number' => '109','verse_key' => '4:109','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '603','chapter_id' => '4','arabic_name' => 'وَمَن يَعْمَلْ سُوٓءًا أَوْ يَظْلِمْ نَفْسَهُۥ ثُمَّ يَسْتَغْفِرِ ٱللَّهَ يَجِدِ ٱللَّهَ غَفُورًا رَّحِيمًا','verse_number' => '110','verse_key' => '4:110','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '604','chapter_id' => '4','arabic_name' => 'وَمَن يَكْسِبْ إِثْمًا فَإِنَّمَا يَكْسِبُهُۥ عَلَىٰ نَفْسِهِۦ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًا','verse_number' => '111','verse_key' => '4:111','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '605','chapter_id' => '4','arabic_name' => 'وَمَن يَكْسِبْ خَطِيٓـَٔةً أَوْ إِثْمًا ثُمَّ يَرْمِ بِهِۦ بَرِيٓـًٔا فَقَدِ ٱحْتَمَلَ بُهْتَـٰنًا وَإِثْمًا مُّبِينًا','verse_number' => '112','verse_key' => '4:112','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '77','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '606','chapter_id' => '4','arabic_name' => 'وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكَ وَرَحْمَتُهُۥ لَهَمَّت طَّآئِفَةٌ مِّنْهُمْ أَن يُضِلُّوكَ وَمَا يُضِلُّونَ إِلَّآ أَنفُسَهُمْ ۖ وَمَا يَضُرُّونَكَ مِن شَىْءٍ ۚ وَأَنزَلَ ٱللَّهُ عَلَيْكَ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَعَلَّمَكَ مَا لَمْ تَكُن تَعْلَمُ ۚ وَكَانَ فَضْلُ ٱللَّهِ عَلَيْكَ عَظِيمًا','verse_number' => '113','verse_key' => '4:113','hizb_number' => '10','rub_el_hizb_number' => '38','ruku_number' => '78','manzil_number' => '1','sajdah_number' => '0','page_number' => '96','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '607','chapter_id' => '4','arabic_name' => '۞ لَّا خَيْرَ فِى كَثِيرٍ مِّن نَّجْوَىٰهُمْ إِلَّا مَنْ أَمَرَ بِصَدَقَةٍ أَوْ مَعْرُوفٍ أَوْ إِصْلَـٰحٍۭ بَيْنَ ٱلنَّاسِ ۚ وَمَن يَفْعَلْ ذَٰلِكَ ٱبْتِغَآءَ مَرْضَاتِ ٱللَّهِ فَسَوْفَ نُؤْتِيهِ أَجْرًا عَظِيمًا','verse_number' => '114','verse_key' => '4:114','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '78','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '608','chapter_id' => '4','arabic_name' => 'وَمَن يُشَاقِقِ ٱلرَّسُولَ مِنۢ بَعْدِ مَا تَبَيَّنَ لَهُ ٱلْهُدَىٰ وَيَتَّبِعْ غَيْرَ سَبِيلِ ٱلْمُؤْمِنِينَ نُوَلِّهِۦ مَا تَوَلَّىٰ وَنُصْلِهِۦ جَهَنَّمَ ۖ وَسَآءَتْ مَصِيرًا','verse_number' => '115','verse_key' => '4:115','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '78','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '609','chapter_id' => '4','arabic_name' => 'إِنَّ ٱللَّهَ لَا يَغْفِرُ أَن يُشْرَكَ بِهِۦ وَيَغْفِرُ مَا دُونَ ذَٰلِكَ لِمَن يَشَآءُ ۚ وَمَن يُشْرِكْ بِٱللَّهِ فَقَدْ ضَلَّ ضَلَـٰلًۢا بَعِيدًا','verse_number' => '116','verse_key' => '4:116','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '610','chapter_id' => '4','arabic_name' => 'إِن يَدْعُونَ مِن دُونِهِۦٓ إِلَّآ إِنَـٰثًا وَإِن يَدْعُونَ إِلَّا شَيْطَـٰنًا مَّرِيدًا','verse_number' => '117','verse_key' => '4:117','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '611','chapter_id' => '4','arabic_name' => 'لَّعَنَهُ ٱللَّهُ ۘ وَقَالَ لَأَتَّخِذَنَّ مِنْ عِبَادِكَ نَصِيبًا مَّفْرُوضًا','verse_number' => '118','verse_key' => '4:118','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '612','chapter_id' => '4','arabic_name' => 'وَلَأُضِلَّنَّهُمْ وَلَأُمَنِّيَنَّهُمْ وَلَـَٔامُرَنَّهُمْ فَلَيُبَتِّكُنَّ ءَاذَانَ ٱلْأَنْعَـٰمِ وَلَـَٔامُرَنَّهُمْ فَلَيُغَيِّرُنَّ خَلْقَ ٱللَّهِ ۚ وَمَن يَتَّخِذِ ٱلشَّيْطَـٰنَ وَلِيًّا مِّن دُونِ ٱللَّهِ فَقَدْ خَسِرَ خُسْرَانًا مُّبِينًا','verse_number' => '119','verse_key' => '4:119','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '613','chapter_id' => '4','arabic_name' => 'يَعِدُهُمْ وَيُمَنِّيهِمْ ۖ وَمَا يَعِدُهُمُ ٱلشَّيْطَـٰنُ إِلَّا غُرُورًا','verse_number' => '120','verse_key' => '4:120','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '614','chapter_id' => '4','arabic_name' => 'أُو۟لَـٰٓئِكَ مَأْوَىٰهُمْ جَهَنَّمُ وَلَا يَجِدُونَ عَنْهَا مَحِيصًا','verse_number' => '121','verse_key' => '4:121','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '97','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '615','chapter_id' => '4','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ سَنُدْخِلُهُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَآ أَبَدًا ۖ وَعْدَ ٱللَّهِ حَقًّا ۚ وَمَنْ أَصْدَقُ مِنَ ٱللَّهِ قِيلًا','verse_number' => '122','verse_key' => '4:122','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '98','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '616','chapter_id' => '4','arabic_name' => 'لَّيْسَ بِأَمَانِيِّكُمْ وَلَآ أَمَانِىِّ أَهْلِ ٱلْكِتَـٰبِ ۗ مَن يَعْمَلْ سُوٓءًا يُجْزَ بِهِۦ وَلَا يَجِدْ لَهُۥ مِن دُونِ ٱللَّهِ وَلِيًّا وَلَا نَصِيرًا','verse_number' => '123','verse_key' => '4:123','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '98','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '617','chapter_id' => '4','arabic_name' => 'وَمَن يَعْمَلْ مِنَ ٱلصَّـٰلِحَـٰتِ مِن ذَكَرٍ أَوْ أُنثَىٰ وَهُوَ مُؤْمِنٌ فَأُو۟لَـٰٓئِكَ يَدْخُلُونَ ٱلْجَنَّةَ وَلَا يُظْلَمُونَ نَقِيرًا','verse_number' => '124','verse_key' => '4:124','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '98','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '618','chapter_id' => '4','arabic_name' => 'وَمَنْ أَحْسَنُ دِينًا مِّمَّنْ أَسْلَمَ وَجْهَهُۥ لِلَّهِ وَهُوَ مُحْسِنٌ وَٱتَّبَعَ مِلَّةَ إِبْرَٰهِيمَ حَنِيفًا ۗ وَٱتَّخَذَ ٱللَّهُ إِبْرَٰهِيمَ خَلِيلًا','verse_number' => '125','verse_key' => '4:125','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '98','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '619','chapter_id' => '4','arabic_name' => 'وَلِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ بِكُلِّ شَىْءٍ مُّحِيطًا','verse_number' => '126','verse_key' => '4:126','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '79','manzil_number' => '1','sajdah_number' => '0','page_number' => '98','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '620','chapter_id' => '4','arabic_name' => 'وَيَسْتَفْتُونَكَ فِى ٱلنِّسَآءِ ۖ قُلِ ٱللَّهُ يُفْتِيكُمْ فِيهِنَّ وَمَا يُتْلَىٰ عَلَيْكُمْ فِى ٱلْكِتَـٰبِ فِى يَتَـٰمَى ٱلنِّسَآءِ ٱلَّـٰتِى لَا تُؤْتُونَهُنَّ مَا كُتِبَ لَهُنَّ وَتَرْغَبُونَ أَن تَنكِحُوهُنَّ وَٱلْمُسْتَضْعَفِينَ مِنَ ٱلْوِلْدَٰنِ وَأَن تَقُومُوا۟ لِلْيَتَـٰمَىٰ بِٱلْقِسْطِ ۚ وَمَا تَفْعَلُوا۟ مِنْ خَيْرٍ فَإِنَّ ٱللَّهَ كَانَ بِهِۦ عَلِيمًا','verse_number' => '127','verse_key' => '4:127','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '98','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '621','chapter_id' => '4','arabic_name' => 'وَإِنِ ٱمْرَأَةٌ خَافَتْ مِنۢ بَعْلِهَا نُشُوزًا أَوْ إِعْرَاضًا فَلَا جُنَاحَ عَلَيْهِمَآ أَن يُصْلِحَا بَيْنَهُمَا صُلْحًا ۚ وَٱلصُّلْحُ خَيْرٌ ۗ وَأُحْضِرَتِ ٱلْأَنفُسُ ٱلشُّحَّ ۚ وَإِن تُحْسِنُوا۟ وَتَتَّقُوا۟ فَإِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًا','verse_number' => '128','verse_key' => '4:128','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '99','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '622','chapter_id' => '4','arabic_name' => 'وَلَن تَسْتَطِيعُوٓا۟ أَن تَعْدِلُوا۟ بَيْنَ ٱلنِّسَآءِ وَلَوْ حَرَصْتُمْ ۖ فَلَا تَمِيلُوا۟ كُلَّ ٱلْمَيْلِ فَتَذَرُوهَا كَٱلْمُعَلَّقَةِ ۚ وَإِن تُصْلِحُوا۟ وَتَتَّقُوا۟ فَإِنَّ ٱللَّهَ كَانَ غَفُورًا رَّحِيمًا','verse_number' => '129','verse_key' => '4:129','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '99','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '623','chapter_id' => '4','arabic_name' => 'وَإِن يَتَفَرَّقَا يُغْنِ ٱللَّهُ كُلًّا مِّن سَعَتِهِۦ ۚ وَكَانَ ٱللَّهُ وَٰسِعًا حَكِيمًا','verse_number' => '130','verse_key' => '4:130','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '99','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '624','chapter_id' => '4','arabic_name' => 'وَلِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَلَقَدْ وَصَّيْنَا ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ مِن قَبْلِكُمْ وَإِيَّاكُمْ أَنِ ٱتَّقُوا۟ ٱللَّهَ ۚ وَإِن تَكْفُرُوا۟ فَإِنَّ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ غَنِيًّا حَمِيدًا','verse_number' => '131','verse_key' => '4:131','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '99','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '625','chapter_id' => '4','arabic_name' => 'وَلِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًا','verse_number' => '132','verse_key' => '4:132','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '99','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '626','chapter_id' => '4','arabic_name' => 'إِن يَشَأْ يُذْهِبْكُمْ أَيُّهَا ٱلنَّاسُ وَيَأْتِ بِـَٔاخَرِينَ ۚ وَكَانَ ٱللَّهُ عَلَىٰ ذَٰلِكَ قَدِيرًا','verse_number' => '133','verse_key' => '4:133','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '99','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '627','chapter_id' => '4','arabic_name' => 'مَّن كَانَ يُرِيدُ ثَوَابَ ٱلدُّنْيَا فَعِندَ ٱللَّهِ ثَوَابُ ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ ۚ وَكَانَ ٱللَّهُ سَمِيعًۢا بَصِيرًا','verse_number' => '134','verse_key' => '4:134','hizb_number' => '10','rub_el_hizb_number' => '39','ruku_number' => '80','manzil_number' => '1','sajdah_number' => '0','page_number' => '99','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '628','chapter_id' => '4','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُونُوا۟ قَوَّٰمِينَ بِٱلْقِسْطِ شُهَدَآءَ لِلَّهِ وَلَوْ عَلَىٰٓ أَنفُسِكُمْ أَوِ ٱلْوَٰلِدَيْنِ وَٱلْأَقْرَبِينَ ۚ إِن يَكُنْ غَنِيًّا أَوْ فَقِيرًا فَٱللَّهُ أَوْلَىٰ بِهِمَا ۖ فَلَا تَتَّبِعُوا۟ ٱلْهَوَىٰٓ أَن تَعْدِلُوا۟ ۚ وَإِن تَلْوُۥٓا۟ أَوْ تُعْرِضُوا۟ فَإِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًا','verse_number' => '135','verse_key' => '4:135','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '81','manzil_number' => '1','sajdah_number' => '0','page_number' => '100','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '629','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ ءَامِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَٱلْكِتَـٰبِ ٱلَّذِى نَزَّلَ عَلَىٰ رَسُولِهِۦ وَٱلْكِتَـٰبِ ٱلَّذِىٓ أَنزَلَ مِن قَبْلُ ۚ وَمَن يَكْفُرْ بِٱللَّهِ وَمَلَـٰٓئِكَتِهِۦ وَكُتُبِهِۦ وَرُسُلِهِۦ وَٱلْيَوْمِ ٱلْـَٔاخِرِ فَقَدْ ضَلَّ ضَلَـٰلًۢا بَعِيدًا','verse_number' => '136','verse_key' => '4:136','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '81','manzil_number' => '1','sajdah_number' => '0','page_number' => '100','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '630','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ ثُمَّ كَفَرُوا۟ ثُمَّ ءَامَنُوا۟ ثُمَّ كَفَرُوا۟ ثُمَّ ٱزْدَادُوا۟ كُفْرًا لَّمْ يَكُنِ ٱللَّهُ لِيَغْفِرَ لَهُمْ وَلَا لِيَهْدِيَهُمْ سَبِيلًۢا','verse_number' => '137','verse_key' => '4:137','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '81','manzil_number' => '1','sajdah_number' => '0','page_number' => '100','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '631','chapter_id' => '4','arabic_name' => 'بَشِّرِ ٱلْمُنَـٰفِقِينَ بِأَنَّ لَهُمْ عَذَابًا أَلِيمًا','verse_number' => '138','verse_key' => '4:138','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '81','manzil_number' => '1','sajdah_number' => '0','page_number' => '100','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '632','chapter_id' => '4','arabic_name' => 'ٱلَّذِينَ يَتَّخِذُونَ ٱلْكَـٰفِرِينَ أَوْلِيَآءَ مِن دُونِ ٱلْمُؤْمِنِينَ ۚ أَيَبْتَغُونَ عِندَهُمُ ٱلْعِزَّةَ فَإِنَّ ٱلْعِزَّةَ لِلَّهِ جَمِيعًا','verse_number' => '139','verse_key' => '4:139','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '81','manzil_number' => '1','sajdah_number' => '0','page_number' => '100','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '633','chapter_id' => '4','arabic_name' => 'وَقَدْ نَزَّلَ عَلَيْكُمْ فِى ٱلْكِتَـٰبِ أَنْ إِذَا سَمِعْتُمْ ءَايَـٰتِ ٱللَّهِ يُكْفَرُ بِهَا وَيُسْتَهْزَأُ بِهَا فَلَا تَقْعُدُوا۟ مَعَهُمْ حَتَّىٰ يَخُوضُوا۟ فِى حَدِيثٍ غَيْرِهِۦٓ ۚ إِنَّكُمْ إِذًا مِّثْلُهُمْ ۗ إِنَّ ٱللَّهَ جَامِعُ ٱلْمُنَـٰفِقِينَ وَٱلْكَـٰفِرِينَ فِى جَهَنَّمَ جَمِيعًا','verse_number' => '140','verse_key' => '4:140','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '81','manzil_number' => '1','sajdah_number' => '0','page_number' => '100','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '634','chapter_id' => '4','arabic_name' => 'ٱلَّذِينَ يَتَرَبَّصُونَ بِكُمْ فَإِن كَانَ لَكُمْ فَتْحٌ مِّنَ ٱللَّهِ قَالُوٓا۟ أَلَمْ نَكُن مَّعَكُمْ وَإِن كَانَ لِلْكَـٰفِرِينَ نَصِيبٌ قَالُوٓا۟ أَلَمْ نَسْتَحْوِذْ عَلَيْكُمْ وَنَمْنَعْكُم مِّنَ ٱلْمُؤْمِنِينَ ۚ فَٱللَّهُ يَحْكُمُ بَيْنَكُمْ يَوْمَ ٱلْقِيَـٰمَةِ ۗ وَلَن يَجْعَلَ ٱللَّهُ لِلْكَـٰفِرِينَ عَلَى ٱلْمُؤْمِنِينَ سَبِيلًا','verse_number' => '141','verse_key' => '4:141','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '81','manzil_number' => '1','sajdah_number' => '0','page_number' => '101','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '635','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلْمُنَـٰفِقِينَ يُخَـٰدِعُونَ ٱللَّهَ وَهُوَ خَـٰدِعُهُمْ وَإِذَا قَامُوٓا۟ إِلَى ٱلصَّلَوٰةِ قَامُوا۟ كُسَالَىٰ يُرَآءُونَ ٱلنَّاسَ وَلَا يَذْكُرُونَ ٱللَّهَ إِلَّا قَلِيلًا','verse_number' => '142','verse_key' => '4:142','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '101','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '636','chapter_id' => '4','arabic_name' => 'مُّذَبْذَبِينَ بَيْنَ ذَٰلِكَ لَآ إِلَىٰ هَـٰٓؤُلَآءِ وَلَآ إِلَىٰ هَـٰٓؤُلَآءِ ۚ وَمَن يُضْلِلِ ٱللَّهُ فَلَن تَجِدَ لَهُۥ سَبِيلًا','verse_number' => '143','verse_key' => '4:143','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '101','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '637','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ ٱلْكَـٰفِرِينَ أَوْلِيَآءَ مِن دُونِ ٱلْمُؤْمِنِينَ ۚ أَتُرِيدُونَ أَن تَجْعَلُوا۟ لِلَّهِ عَلَيْكُمْ سُلْطَـٰنًا مُّبِينًا','verse_number' => '144','verse_key' => '4:144','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '101','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '638','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلْمُنَـٰفِقِينَ فِى ٱلدَّرْكِ ٱلْأَسْفَلِ مِنَ ٱلنَّارِ وَلَن تَجِدَ لَهُمْ نَصِيرًا','verse_number' => '145','verse_key' => '4:145','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '101','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '639','chapter_id' => '4','arabic_name' => 'إِلَّا ٱلَّذِينَ تَابُوا۟ وَأَصْلَحُوا۟ وَٱعْتَصَمُوا۟ بِٱللَّهِ وَأَخْلَصُوا۟ دِينَهُمْ لِلَّهِ فَأُو۟لَـٰٓئِكَ مَعَ ٱلْمُؤْمِنِينَ ۖ وَسَوْفَ يُؤْتِ ٱللَّهُ ٱلْمُؤْمِنِينَ أَجْرًا عَظِيمًا','verse_number' => '146','verse_key' => '4:146','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '101','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '640','chapter_id' => '4','arabic_name' => 'مَّا يَفْعَلُ ٱللَّهُ بِعَذَابِكُمْ إِن شَكَرْتُمْ وَءَامَنتُمْ ۚ وَكَانَ ٱللَّهُ شَاكِرًا عَلِيمًا','verse_number' => '147','verse_key' => '4:147','hizb_number' => '10','rub_el_hizb_number' => '40','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '101','juz_number' => '5','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '641','chapter_id' => '4','arabic_name' => '۞ لَّا يُحِبُّ ٱللَّهُ ٱلْجَهْرَ بِٱلسُّوٓءِ مِنَ ٱلْقَوْلِ إِلَّا مَن ظُلِمَ ۚ وَكَانَ ٱللَّهُ سَمِيعًا عَلِيمًا','verse_number' => '148','verse_key' => '4:148','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '102','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '642','chapter_id' => '4','arabic_name' => 'إِن تُبْدُوا۟ خَيْرًا أَوْ تُخْفُوهُ أَوْ تَعْفُوا۟ عَن سُوٓءٍ فَإِنَّ ٱللَّهَ كَانَ عَفُوًّا قَدِيرًا','verse_number' => '149','verse_key' => '4:149','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '102','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '643','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلَّذِينَ يَكْفُرُونَ بِٱللَّهِ وَرُسُلِهِۦ وَيُرِيدُونَ أَن يُفَرِّقُوا۟ بَيْنَ ٱللَّهِ وَرُسُلِهِۦ وَيَقُولُونَ نُؤْمِنُ بِبَعْضٍ وَنَكْفُرُ بِبَعْضٍ وَيُرِيدُونَ أَن يَتَّخِذُوا۟ بَيْنَ ذَٰلِكَ سَبِيلًا','verse_number' => '150','verse_key' => '4:150','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '102','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '644','chapter_id' => '4','arabic_name' => 'أُو۟لَـٰٓئِكَ هُمُ ٱلْكَـٰفِرُونَ حَقًّا ۚ وَأَعْتَدْنَا لِلْكَـٰفِرِينَ عَذَابًا مُّهِينًا','verse_number' => '151','verse_key' => '4:151','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '102','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '645','chapter_id' => '4','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ وَلَمْ يُفَرِّقُوا۟ بَيْنَ أَحَدٍ مِّنْهُمْ أُو۟لَـٰٓئِكَ سَوْفَ يُؤْتِيهِمْ أُجُورَهُمْ ۗ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '152','verse_key' => '4:152','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '82','manzil_number' => '1','sajdah_number' => '0','page_number' => '102','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '646','chapter_id' => '4','arabic_name' => 'يَسْـَٔلُكَ أَهْلُ ٱلْكِتَـٰبِ أَن تُنَزِّلَ عَلَيْهِمْ كِتَـٰبًا مِّنَ ٱلسَّمَآءِ ۚ فَقَدْ سَأَلُوا۟ مُوسَىٰٓ أَكْبَرَ مِن ذَٰلِكَ فَقَالُوٓا۟ أَرِنَا ٱللَّهَ جَهْرَةً فَأَخَذَتْهُمُ ٱلصَّـٰعِقَةُ بِظُلْمِهِمْ ۚ ثُمَّ ٱتَّخَذُوا۟ ٱلْعِجْلَ مِنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَـٰتُ فَعَفَوْنَا عَن ذَٰلِكَ ۚ وَءَاتَيْنَا مُوسَىٰ سُلْطَـٰنًا مُّبِينًا','verse_number' => '153','verse_key' => '4:153','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '102','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '647','chapter_id' => '4','arabic_name' => 'وَرَفَعْنَا فَوْقَهُمُ ٱلطُّورَ بِمِيثَـٰقِهِمْ وَقُلْنَا لَهُمُ ٱدْخُلُوا۟ ٱلْبَابَ سُجَّدًا وَقُلْنَا لَهُمْ لَا تَعْدُوا۟ فِى ٱلسَّبْتِ وَأَخَذْنَا مِنْهُم مِّيثَـٰقًا غَلِيظًا','verse_number' => '154','verse_key' => '4:154','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '102','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '648','chapter_id' => '4','arabic_name' => 'فَبِمَا نَقْضِهِم مِّيثَـٰقَهُمْ وَكُفْرِهِم بِـَٔايَـٰتِ ٱللَّهِ وَقَتْلِهِمُ ٱلْأَنۢبِيَآءَ بِغَيْرِ حَقٍّ وَقَوْلِهِمْ قُلُوبُنَا غُلْفٌۢ ۚ بَلْ طَبَعَ ٱللَّهُ عَلَيْهَا بِكُفْرِهِمْ فَلَا يُؤْمِنُونَ إِلَّا قَلِيلًا','verse_number' => '155','verse_key' => '4:155','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '649','chapter_id' => '4','arabic_name' => 'وَبِكُفْرِهِمْ وَقَوْلِهِمْ عَلَىٰ مَرْيَمَ بُهْتَـٰنًا عَظِيمًا','verse_number' => '156','verse_key' => '4:156','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '650','chapter_id' => '4','arabic_name' => 'وَقَوْلِهِمْ إِنَّا قَتَلْنَا ٱلْمَسِيحَ عِيسَى ٱبْنَ مَرْيَمَ رَسُولَ ٱللَّهِ وَمَا قَتَلُوهُ وَمَا صَلَبُوهُ وَلَـٰكِن شُبِّهَ لَهُمْ ۚ وَإِنَّ ٱلَّذِينَ ٱخْتَلَفُوا۟ فِيهِ لَفِى شَكٍّ مِّنْهُ ۚ مَا لَهُم بِهِۦ مِنْ عِلْمٍ إِلَّا ٱتِّبَاعَ ٱلظَّنِّ ۚ وَمَا قَتَلُوهُ يَقِينًۢا','verse_number' => '157','verse_key' => '4:157','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '651','chapter_id' => '4','arabic_name' => 'بَل رَّفَعَهُ ٱللَّهُ إِلَيْهِ ۚ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًا','verse_number' => '158','verse_key' => '4:158','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '652','chapter_id' => '4','arabic_name' => 'وَإِن مِّنْ أَهْلِ ٱلْكِتَـٰبِ إِلَّا لَيُؤْمِنَنَّ بِهِۦ قَبْلَ مَوْتِهِۦ ۖ وَيَوْمَ ٱلْقِيَـٰمَةِ يَكُونُ عَلَيْهِمْ شَهِيدًا','verse_number' => '159','verse_key' => '4:159','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '653','chapter_id' => '4','arabic_name' => 'فَبِظُلْمٍ مِّنَ ٱلَّذِينَ هَادُوا۟ حَرَّمْنَا عَلَيْهِمْ طَيِّبَـٰتٍ أُحِلَّتْ لَهُمْ وَبِصَدِّهِمْ عَن سَبِيلِ ٱللَّهِ كَثِيرًا','verse_number' => '160','verse_key' => '4:160','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '654','chapter_id' => '4','arabic_name' => 'وَأَخْذِهِمُ ٱلرِّبَوٰا۟ وَقَدْ نُهُوا۟ عَنْهُ وَأَكْلِهِمْ أَمْوَٰلَ ٱلنَّاسِ بِٱلْبَـٰطِلِ ۚ وَأَعْتَدْنَا لِلْكَـٰفِرِينَ مِنْهُمْ عَذَابًا أَلِيمًا','verse_number' => '161','verse_key' => '4:161','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '655','chapter_id' => '4','arabic_name' => 'لَّـٰكِنِ ٱلرَّٰسِخُونَ فِى ٱلْعِلْمِ مِنْهُمْ وَٱلْمُؤْمِنُونَ يُؤْمِنُونَ بِمَآ أُنزِلَ إِلَيْكَ وَمَآ أُنزِلَ مِن قَبْلِكَ ۚ وَٱلْمُقِيمِينَ ٱلصَّلَوٰةَ ۚ وَٱلْمُؤْتُونَ ٱلزَّكَوٰةَ وَٱلْمُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ أُو۟لَـٰٓئِكَ سَنُؤْتِيهِمْ أَجْرًا عَظِيمًا','verse_number' => '162','verse_key' => '4:162','hizb_number' => '11','rub_el_hizb_number' => '41','ruku_number' => '83','manzil_number' => '1','sajdah_number' => '0','page_number' => '103','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '656','chapter_id' => '4','arabic_name' => '۞ إِنَّآ أَوْحَيْنَآ إِلَيْكَ كَمَآ أَوْحَيْنَآ إِلَىٰ نُوحٍ وَٱلنَّبِيِّـۧنَ مِنۢ بَعْدِهِۦ ۚ وَأَوْحَيْنَآ إِلَىٰٓ إِبْرَٰهِيمَ وَإِسْمَـٰعِيلَ وَإِسْحَـٰقَ وَيَعْقُوبَ وَٱلْأَسْبَاطِ وَعِيسَىٰ وَأَيُّوبَ وَيُونُسَ وَهَـٰرُونَ وَسُلَيْمَـٰنَ ۚ وَءَاتَيْنَا دَاوُۥدَ زَبُورًا','verse_number' => '163','verse_key' => '4:163','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '657','chapter_id' => '4','arabic_name' => 'وَرُسُلًا قَدْ قَصَصْنَـٰهُمْ عَلَيْكَ مِن قَبْلُ وَرُسُلًا لَّمْ نَقْصُصْهُمْ عَلَيْكَ ۚ وَكَلَّمَ ٱللَّهُ مُوسَىٰ تَكْلِيمًا','verse_number' => '164','verse_key' => '4:164','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '658','chapter_id' => '4','arabic_name' => 'رُّسُلًا مُّبَشِّرِينَ وَمُنذِرِينَ لِئَلَّا يَكُونَ لِلنَّاسِ عَلَى ٱللَّهِ حُجَّةٌۢ بَعْدَ ٱلرُّسُلِ ۚ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًا','verse_number' => '165','verse_key' => '4:165','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '659','chapter_id' => '4','arabic_name' => 'لَّـٰكِنِ ٱللَّهُ يَشْهَدُ بِمَآ أَنزَلَ إِلَيْكَ ۖ أَنزَلَهُۥ بِعِلْمِهِۦ ۖ وَٱلْمَلَـٰٓئِكَةُ يَشْهَدُونَ ۚ وَكَفَىٰ بِٱللَّهِ شَهِيدًا','verse_number' => '166','verse_key' => '4:166','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '660','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ قَدْ ضَلُّوا۟ ضَلَـٰلًۢا بَعِيدًا','verse_number' => '167','verse_key' => '4:167','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '661','chapter_id' => '4','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَظَلَمُوا۟ لَمْ يَكُنِ ٱللَّهُ لِيَغْفِرَ لَهُمْ وَلَا لِيَهْدِيَهُمْ طَرِيقًا','verse_number' => '168','verse_key' => '4:168','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '662','chapter_id' => '4','arabic_name' => 'إِلَّا طَرِيقَ جَهَنَّمَ خَـٰلِدِينَ فِيهَآ أَبَدًا ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًا','verse_number' => '169','verse_key' => '4:169','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '663','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَكُمُ ٱلرَّسُولُ بِٱلْحَقِّ مِن رَّبِّكُمْ فَـَٔامِنُوا۟ خَيْرًا لَّكُمْ ۚ وَإِن تَكْفُرُوا۟ فَإِنَّ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًا','verse_number' => '170','verse_key' => '4:170','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '104','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '664','chapter_id' => '4','arabic_name' => 'يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لَا تَغْلُوا۟ فِى دِينِكُمْ وَلَا تَقُولُوا۟ عَلَى ٱللَّهِ إِلَّا ٱلْحَقَّ ۚ إِنَّمَا ٱلْمَسِيحُ عِيسَى ٱبْنُ مَرْيَمَ رَسُولُ ٱللَّهِ وَكَلِمَتُهُۥٓ أَلْقَىٰهَآ إِلَىٰ مَرْيَمَ وَرُوحٌ مِّنْهُ ۖ فَـَٔامِنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ ۖ وَلَا تَقُولُوا۟ ثَلَـٰثَةٌ ۚ ٱنتَهُوا۟ خَيْرًا لَّكُمْ ۚ إِنَّمَا ٱللَّهُ إِلَـٰهٌ وَٰحِدٌ ۖ سُبْحَـٰنَهُۥٓ أَن يَكُونَ لَهُۥ وَلَدٌ ۘ لَّهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَكَفَىٰ بِٱللَّهِ وَكِيلًا','verse_number' => '171','verse_key' => '4:171','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '84','manzil_number' => '1','sajdah_number' => '0','page_number' => '105','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '665','chapter_id' => '4','arabic_name' => 'لَّن يَسْتَنكِفَ ٱلْمَسِيحُ أَن يَكُونَ عَبْدًا لِّلَّهِ وَلَا ٱلْمَلَـٰٓئِكَةُ ٱلْمُقَرَّبُونَ ۚ وَمَن يَسْتَنكِفْ عَنْ عِبَادَتِهِۦ وَيَسْتَكْبِرْ فَسَيَحْشُرُهُمْ إِلَيْهِ جَمِيعًا','verse_number' => '172','verse_key' => '4:172','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '85','manzil_number' => '1','sajdah_number' => '0','page_number' => '105','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '666','chapter_id' => '4','arabic_name' => 'فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فَيُوَفِّيهِمْ أُجُورَهُمْ وَيَزِيدُهُم مِّن فَضْلِهِۦ ۖ وَأَمَّا ٱلَّذِينَ ٱسْتَنكَفُوا۟ وَٱسْتَكْبَرُوا۟ فَيُعَذِّبُهُمْ عَذَابًا أَلِيمًا وَلَا يَجِدُونَ لَهُم مِّن دُونِ ٱللَّهِ وَلِيًّا وَلَا نَصِيرًا','verse_number' => '173','verse_key' => '4:173','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '85','manzil_number' => '1','sajdah_number' => '0','page_number' => '105','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '667','chapter_id' => '4','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَكُم بُرْهَـٰنٌ مِّن رَّبِّكُمْ وَأَنزَلْنَآ إِلَيْكُمْ نُورًا مُّبِينًا','verse_number' => '174','verse_key' => '4:174','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '85','manzil_number' => '1','sajdah_number' => '0','page_number' => '105','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '668','chapter_id' => '4','arabic_name' => 'فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَٱعْتَصَمُوا۟ بِهِۦ فَسَيُدْخِلُهُمْ فِى رَحْمَةٍ مِّنْهُ وَفَضْلٍ وَيَهْدِيهِمْ إِلَيْهِ صِرَٰطًا مُّسْتَقِيمًا','verse_number' => '175','verse_key' => '4:175','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '85','manzil_number' => '1','sajdah_number' => '0','page_number' => '105','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '669','chapter_id' => '4','arabic_name' => 'يَسْتَفْتُونَكَ قُلِ ٱللَّهُ يُفْتِيكُمْ فِى ٱلْكَلَـٰلَةِ ۚ إِنِ ٱمْرُؤٌا۟ هَلَكَ لَيْسَ لَهُۥ وَلَدٌ وَلَهُۥٓ أُخْتٌ فَلَهَا نِصْفُ مَا تَرَكَ ۚ وَهُوَ يَرِثُهَآ إِن لَّمْ يَكُن لَّهَا وَلَدٌ ۚ فَإِن كَانَتَا ٱثْنَتَيْنِ فَلَهُمَا ٱلثُّلُثَانِ مِمَّا تَرَكَ ۚ وَإِن كَانُوٓا۟ إِخْوَةً رِّجَالًا وَنِسَآءً فَلِلذَّكَرِ مِثْلُ حَظِّ ٱلْأُنثَيَيْنِ ۗ يُبَيِّنُ ٱللَّهُ لَكُمْ أَن تَضِلُّوا۟ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۢ','verse_number' => '176','verse_key' => '4:176','hizb_number' => '11','rub_el_hizb_number' => '42','ruku_number' => '85','manzil_number' => '1','sajdah_number' => '0','page_number' => '106','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '670','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَوْفُوا۟ بِٱلْعُقُودِ ۚ أُحِلَّتْ لَكُم بَهِيمَةُ ٱلْأَنْعَـٰمِ إِلَّا مَا يُتْلَىٰ عَلَيْكُمْ غَيْرَ مُحِلِّى ٱلصَّيْدِ وَأَنتُمْ حُرُمٌ ۗ إِنَّ ٱللَّهَ يَحْكُمُ مَا يُرِيدُ','verse_number' => '1','verse_key' => '5:1','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '86','manzil_number' => '2','sajdah_number' => '0','page_number' => '106','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '671','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُحِلُّوا۟ شَعَـٰٓئِرَ ٱللَّهِ وَلَا ٱلشَّهْرَ ٱلْحَرَامَ وَلَا ٱلْهَدْىَ وَلَا ٱلْقَلَـٰٓئِدَ وَلَآ ءَآمِّينَ ٱلْبَيْتَ ٱلْحَرَامَ يَبْتَغُونَ فَضْلًا مِّن رَّبِّهِمْ وَرِضْوَٰنًا ۚ وَإِذَا حَلَلْتُمْ فَٱصْطَادُوا۟ ۚ وَلَا يَجْرِمَنَّكُمْ شَنَـَٔانُ قَوْمٍ أَن صَدُّوكُمْ عَنِ ٱلْمَسْجِدِ ٱلْحَرَامِ أَن تَعْتَدُوا۟ ۘ وَتَعَاوَنُوا۟ عَلَى ٱلْبِرِّ وَٱلتَّقْوَىٰ ۖ وَلَا تَعَاوَنُوا۟ عَلَى ٱلْإِثْمِ وَٱلْعُدْوَٰنِ ۚ وَٱتَّقُوا۟ ٱللَّهَ ۖ إِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ','verse_number' => '2','verse_key' => '5:2','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '86','manzil_number' => '2','sajdah_number' => '0','page_number' => '106','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '672','chapter_id' => '5','arabic_name' => 'حُرِّمَتْ عَلَيْكُمُ ٱلْمَيْتَةُ وَٱلدَّمُ وَلَحْمُ ٱلْخِنزِيرِ وَمَآ أُهِلَّ لِغَيْرِ ٱللَّهِ بِهِۦ وَٱلْمُنْخَنِقَةُ وَٱلْمَوْقُوذَةُ وَٱلْمُتَرَدِّيَةُ وَٱلنَّطِيحَةُ وَمَآ أَكَلَ ٱلسَّبُعُ إِلَّا مَا ذَكَّيْتُمْ وَمَا ذُبِحَ عَلَى ٱلنُّصُبِ وَأَن تَسْتَقْسِمُوا۟ بِٱلْأَزْلَـٰمِ ۚ ذَٰلِكُمْ فِسْقٌ ۗ ٱلْيَوْمَ يَئِسَ ٱلَّذِينَ كَفَرُوا۟ مِن دِينِكُمْ فَلَا تَخْشَوْهُمْ وَٱخْشَوْنِ ۚ ٱلْيَوْمَ أَكْمَلْتُ لَكُمْ دِينَكُمْ وَأَتْمَمْتُ عَلَيْكُمْ نِعْمَتِى وَرَضِيتُ لَكُمُ ٱلْإِسْلَـٰمَ دِينًا ۚ فَمَنِ ٱضْطُرَّ فِى مَخْمَصَةٍ غَيْرَ مُتَجَانِفٍ لِّإِثْمٍ ۙ فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '3','verse_key' => '5:3','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '86','manzil_number' => '2','sajdah_number' => '0','page_number' => '107','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '673','chapter_id' => '5','arabic_name' => 'يَسْـَٔلُونَكَ مَاذَآ أُحِلَّ لَهُمْ ۖ قُلْ أُحِلَّ لَكُمُ ٱلطَّيِّبَـٰتُ ۙ وَمَا عَلَّمْتُم مِّنَ ٱلْجَوَارِحِ مُكَلِّبِينَ تُعَلِّمُونَهُنَّ مِمَّا عَلَّمَكُمُ ٱللَّهُ ۖ فَكُلُوا۟ مِمَّآ أَمْسَكْنَ عَلَيْكُمْ وَٱذْكُرُوا۟ ٱسْمَ ٱللَّهِ عَلَيْهِ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ','verse_number' => '4','verse_key' => '5:4','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '86','manzil_number' => '2','sajdah_number' => '0','page_number' => '107','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '674','chapter_id' => '5','arabic_name' => 'ٱلْيَوْمَ أُحِلَّ لَكُمُ ٱلطَّيِّبَـٰتُ ۖ وَطَعَامُ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ حِلٌّ لَّكُمْ وَطَعَامُكُمْ حِلٌّ لَّهُمْ ۖ وَٱلْمُحْصَنَـٰتُ مِنَ ٱلْمُؤْمِنَـٰتِ وَٱلْمُحْصَنَـٰتُ مِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ مِن قَبْلِكُمْ إِذَآ ءَاتَيْتُمُوهُنَّ أُجُورَهُنَّ مُحْصِنِينَ غَيْرَ مُسَـٰفِحِينَ وَلَا مُتَّخِذِىٓ أَخْدَانٍ ۗ وَمَن يَكْفُرْ بِٱلْإِيمَـٰنِ فَقَدْ حَبِطَ عَمَلُهُۥ وَهُوَ فِى ٱلْـَٔاخِرَةِ مِنَ ٱلْخَـٰسِرِينَ','verse_number' => '5','verse_key' => '5:5','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '86','manzil_number' => '2','sajdah_number' => '0','page_number' => '107','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '675','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا قُمْتُمْ إِلَى ٱلصَّلَوٰةِ فَٱغْسِلُوا۟ وُجُوهَكُمْ وَأَيْدِيَكُمْ إِلَى ٱلْمَرَافِقِ وَٱمْسَحُوا۟ بِرُءُوسِكُمْ وَأَرْجُلَكُمْ إِلَى ٱلْكَعْبَيْنِ ۚ وَإِن كُنتُمْ جُنُبًا فَٱطَّهَّرُوا۟ ۚ وَإِن كُنتُم مَّرْضَىٰٓ أَوْ عَلَىٰ سَفَرٍ أَوْ جَآءَ أَحَدٌ مِّنكُم مِّنَ ٱلْغَآئِطِ أَوْ لَـٰمَسْتُمُ ٱلنِّسَآءَ فَلَمْ تَجِدُوا۟ مَآءً فَتَيَمَّمُوا۟ صَعِيدًا طَيِّبًا فَٱمْسَحُوا۟ بِوُجُوهِكُمْ وَأَيْدِيكُم مِّنْهُ ۚ مَا يُرِيدُ ٱللَّهُ لِيَجْعَلَ عَلَيْكُم مِّنْ حَرَجٍ وَلَـٰكِن يُرِيدُ لِيُطَهِّرَكُمْ وَلِيُتِمَّ نِعْمَتَهُۥ عَلَيْكُمْ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '6','verse_key' => '5:6','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '87','manzil_number' => '2','sajdah_number' => '0','page_number' => '108','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '676','chapter_id' => '5','arabic_name' => 'وَٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ وَمِيثَـٰقَهُ ٱلَّذِى وَاثَقَكُم بِهِۦٓ إِذْ قُلْتُمْ سَمِعْنَا وَأَطَعْنَا ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '7','verse_key' => '5:7','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '87','manzil_number' => '2','sajdah_number' => '0','page_number' => '108','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '677','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُونُوا۟ قَوَّٰمِينَ لِلَّهِ شُهَدَآءَ بِٱلْقِسْطِ ۖ وَلَا يَجْرِمَنَّكُمْ شَنَـَٔانُ قَوْمٍ عَلَىٰٓ أَلَّا تَعْدِلُوا۟ ۚ ٱعْدِلُوا۟ هُوَ أَقْرَبُ لِلتَّقْوَىٰ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '8','verse_key' => '5:8','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '87','manzil_number' => '2','sajdah_number' => '0','page_number' => '108','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '678','chapter_id' => '5','arabic_name' => 'وَعَدَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ ۙ لَهُم مَّغْفِرَةٌ وَأَجْرٌ عَظِيمٌ','verse_number' => '9','verse_key' => '5:9','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '87','manzil_number' => '2','sajdah_number' => '0','page_number' => '108','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '679','chapter_id' => '5','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَـٰتِنَآ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَحِيمِ','verse_number' => '10','verse_key' => '5:10','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '87','manzil_number' => '2','sajdah_number' => '0','page_number' => '109','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '680','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ إِذْ هَمَّ قَوْمٌ أَن يَبْسُطُوٓا۟ إِلَيْكُمْ أَيْدِيَهُمْ فَكَفَّ أَيْدِيَهُمْ عَنكُمْ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ','verse_number' => '11','verse_key' => '5:11','hizb_number' => '11','rub_el_hizb_number' => '43','ruku_number' => '87','manzil_number' => '2','sajdah_number' => '0','page_number' => '109','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '681','chapter_id' => '5','arabic_name' => '۞ وَلَقَدْ أَخَذَ ٱللَّهُ مِيثَـٰقَ بَنِىٓ إِسْرَٰٓءِيلَ وَبَعَثْنَا مِنْهُمُ ٱثْنَىْ عَشَرَ نَقِيبًا ۖ وَقَالَ ٱللَّهُ إِنِّى مَعَكُمْ ۖ لَئِنْ أَقَمْتُمُ ٱلصَّلَوٰةَ وَءَاتَيْتُمُ ٱلزَّكَوٰةَ وَءَامَنتُم بِرُسُلِى وَعَزَّرْتُمُوهُمْ وَأَقْرَضْتُمُ ٱللَّهَ قَرْضًا حَسَنًا لَّأُكَفِّرَنَّ عَنكُمْ سَيِّـَٔاتِكُمْ وَلَأُدْخِلَنَّكُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۚ فَمَن كَفَرَ بَعْدَ ذَٰلِكَ مِنكُمْ فَقَدْ ضَلَّ سَوَآءَ ٱلسَّبِيلِ','verse_number' => '12','verse_key' => '5:12','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '109','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '682','chapter_id' => '5','arabic_name' => 'فَبِمَا نَقْضِهِم مِّيثَـٰقَهُمْ لَعَنَّـٰهُمْ وَجَعَلْنَا قُلُوبَهُمْ قَـٰسِيَةً ۖ يُحَرِّفُونَ ٱلْكَلِمَ عَن مَّوَاضِعِهِۦ ۙ وَنَسُوا۟ حَظًّا مِّمَّا ذُكِّرُوا۟ بِهِۦ ۚ وَلَا تَزَالُ تَطَّلِعُ عَلَىٰ خَآئِنَةٍ مِّنْهُمْ إِلَّا قَلِيلًا مِّنْهُمْ ۖ فَٱعْفُ عَنْهُمْ وَٱصْفَحْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُحْسِنِينَ','verse_number' => '13','verse_key' => '5:13','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '109','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '683','chapter_id' => '5','arabic_name' => 'وَمِنَ ٱلَّذِينَ قَالُوٓا۟ إِنَّا نَصَـٰرَىٰٓ أَخَذْنَا مِيثَـٰقَهُمْ فَنَسُوا۟ حَظًّا مِّمَّا ذُكِّرُوا۟ بِهِۦ فَأَغْرَيْنَا بَيْنَهُمُ ٱلْعَدَاوَةَ وَٱلْبَغْضَآءَ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ ۚ وَسَوْفَ يُنَبِّئُهُمُ ٱللَّهُ بِمَا كَانُوا۟ يَصْنَعُونَ','verse_number' => '14','verse_key' => '5:14','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '110','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '684','chapter_id' => '5','arabic_name' => 'يَـٰٓأَهْلَ ٱلْكِتَـٰبِ قَدْ جَآءَكُمْ رَسُولُنَا يُبَيِّنُ لَكُمْ كَثِيرًا مِّمَّا كُنتُمْ تُخْفُونَ مِنَ ٱلْكِتَـٰبِ وَيَعْفُوا۟ عَن كَثِيرٍ ۚ قَدْ جَآءَكُم مِّنَ ٱللَّهِ نُورٌ وَكِتَـٰبٌ مُّبِينٌ','verse_number' => '15','verse_key' => '5:15','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '110','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '685','chapter_id' => '5','arabic_name' => 'يَهْدِى بِهِ ٱللَّهُ مَنِ ٱتَّبَعَ رِضْوَٰنَهُۥ سُبُلَ ٱلسَّلَـٰمِ وَيُخْرِجُهُم مِّنَ ٱلظُّلُمَـٰتِ إِلَى ٱلنُّورِ بِإِذْنِهِۦ وَيَهْدِيهِمْ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '16','verse_key' => '5:16','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '110','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '686','chapter_id' => '5','arabic_name' => 'لَّقَدْ كَفَرَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ هُوَ ٱلْمَسِيحُ ٱبْنُ مَرْيَمَ ۚ قُلْ فَمَن يَمْلِكُ مِنَ ٱللَّهِ شَيْـًٔا إِنْ أَرَادَ أَن يُهْلِكَ ٱلْمَسِيحَ ٱبْنَ مَرْيَمَ وَأُمَّهُۥ وَمَن فِى ٱلْأَرْضِ جَمِيعًا ۗ وَلِلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ۚ يَخْلُقُ مَا يَشَآءُ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '17','verse_key' => '5:17','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '110','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '687','chapter_id' => '5','arabic_name' => 'وَقَالَتِ ٱلْيَهُودُ وَٱلنَّصَـٰرَىٰ نَحْنُ أَبْنَـٰٓؤُا۟ ٱللَّهِ وَأَحِبَّـٰٓؤُهُۥ ۚ قُلْ فَلِمَ يُعَذِّبُكُم بِذُنُوبِكُم ۖ بَلْ أَنتُم بَشَرٌ مِّمَّنْ خَلَقَ ۚ يَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۚ وَلِلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ۖ وَإِلَيْهِ ٱلْمَصِيرُ','verse_number' => '18','verse_key' => '5:18','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '111','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '688','chapter_id' => '5','arabic_name' => 'يَـٰٓأَهْلَ ٱلْكِتَـٰبِ قَدْ جَآءَكُمْ رَسُولُنَا يُبَيِّنُ لَكُمْ عَلَىٰ فَتْرَةٍ مِّنَ ٱلرُّسُلِ أَن تَقُولُوا۟ مَا جَآءَنَا مِنۢ بَشِيرٍ وَلَا نَذِيرٍ ۖ فَقَدْ جَآءَكُم بَشِيرٌ وَنَذِيرٌ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '19','verse_key' => '5:19','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '88','manzil_number' => '2','sajdah_number' => '0','page_number' => '111','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '689','chapter_id' => '5','arabic_name' => 'وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦ يَـٰقَوْمِ ٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ إِذْ جَعَلَ فِيكُمْ أَنۢبِيَآءَ وَجَعَلَكُم مُّلُوكًا وَءَاتَىٰكُم مَّا لَمْ يُؤْتِ أَحَدًا مِّنَ ٱلْعَـٰلَمِينَ','verse_number' => '20','verse_key' => '5:20','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '89','manzil_number' => '2','sajdah_number' => '0','page_number' => '111','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '690','chapter_id' => '5','arabic_name' => 'يَـٰقَوْمِ ٱدْخُلُوا۟ ٱلْأَرْضَ ٱلْمُقَدَّسَةَ ٱلَّتِى كَتَبَ ٱللَّهُ لَكُمْ وَلَا تَرْتَدُّوا۟ عَلَىٰٓ أَدْبَارِكُمْ فَتَنقَلِبُوا۟ خَـٰسِرِينَ','verse_number' => '21','verse_key' => '5:21','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '89','manzil_number' => '2','sajdah_number' => '0','page_number' => '111','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '691','chapter_id' => '5','arabic_name' => 'قَالُوا۟ يَـٰمُوسَىٰٓ إِنَّ فِيهَا قَوْمًا جَبَّارِينَ وَإِنَّا لَن نَّدْخُلَهَا حَتَّىٰ يَخْرُجُوا۟ مِنْهَا فَإِن يَخْرُجُوا۟ مِنْهَا فَإِنَّا دَٰخِلُونَ','verse_number' => '22','verse_key' => '5:22','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '89','manzil_number' => '2','sajdah_number' => '0','page_number' => '111','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '692','chapter_id' => '5','arabic_name' => 'قَالَ رَجُلَانِ مِنَ ٱلَّذِينَ يَخَافُونَ أَنْعَمَ ٱللَّهُ عَلَيْهِمَا ٱدْخُلُوا۟ عَلَيْهِمُ ٱلْبَابَ فَإِذَا دَخَلْتُمُوهُ فَإِنَّكُمْ غَـٰلِبُونَ ۚ وَعَلَى ٱللَّهِ فَتَوَكَّلُوٓا۟ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '23','verse_key' => '5:23','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '89','manzil_number' => '2','sajdah_number' => '0','page_number' => '111','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '693','chapter_id' => '5','arabic_name' => 'قَالُوا۟ يَـٰمُوسَىٰٓ إِنَّا لَن نَّدْخُلَهَآ أَبَدًا مَّا دَامُوا۟ فِيهَا ۖ فَٱذْهَبْ أَنتَ وَرَبُّكَ فَقَـٰتِلَآ إِنَّا هَـٰهُنَا قَـٰعِدُونَ','verse_number' => '24','verse_key' => '5:24','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '89','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '694','chapter_id' => '5','arabic_name' => 'قَالَ رَبِّ إِنِّى لَآ أَمْلِكُ إِلَّا نَفْسِى وَأَخِى ۖ فَٱفْرُقْ بَيْنَنَا وَبَيْنَ ٱلْقَوْمِ ٱلْفَـٰسِقِينَ','verse_number' => '25','verse_key' => '5:25','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '89','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '695','chapter_id' => '5','arabic_name' => 'قَالَ فَإِنَّهَا مُحَرَّمَةٌ عَلَيْهِمْ ۛ أَرْبَعِينَ سَنَةً ۛ يَتِيهُونَ فِى ٱلْأَرْضِ ۚ فَلَا تَأْسَ عَلَى ٱلْقَوْمِ ٱلْفَـٰسِقِينَ','verse_number' => '26','verse_key' => '5:26','hizb_number' => '11','rub_el_hizb_number' => '44','ruku_number' => '89','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '696','chapter_id' => '5','arabic_name' => '۞ وَٱتْلُ عَلَيْهِمْ نَبَأَ ٱبْنَىْ ءَادَمَ بِٱلْحَقِّ إِذْ قَرَّبَا قُرْبَانًا فَتُقُبِّلَ مِنْ أَحَدِهِمَا وَلَمْ يُتَقَبَّلْ مِنَ ٱلْـَٔاخَرِ قَالَ لَأَقْتُلَنَّكَ ۖ قَالَ إِنَّمَا يَتَقَبَّلُ ٱللَّهُ مِنَ ٱلْمُتَّقِينَ','verse_number' => '27','verse_key' => '5:27','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '697','chapter_id' => '5','arabic_name' => 'لَئِنۢ بَسَطتَ إِلَىَّ يَدَكَ لِتَقْتُلَنِى مَآ أَنَا۠ بِبَاسِطٍ يَدِىَ إِلَيْكَ لِأَقْتُلَكَ ۖ إِنِّىٓ أَخَافُ ٱللَّهَ رَبَّ ٱلْعَـٰلَمِينَ','verse_number' => '28','verse_key' => '5:28','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '698','chapter_id' => '5','arabic_name' => 'إِنِّىٓ أُرِيدُ أَن تَبُوٓأَ بِإِثْمِى وَإِثْمِكَ فَتَكُونَ مِنْ أَصْحَـٰبِ ٱلنَّارِ ۚ وَذَٰلِكَ جَزَٰٓؤُا۟ ٱلظَّـٰلِمِينَ','verse_number' => '29','verse_key' => '5:29','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '699','chapter_id' => '5','arabic_name' => 'فَطَوَّعَتْ لَهُۥ نَفْسُهُۥ قَتْلَ أَخِيهِ فَقَتَلَهُۥ فَأَصْبَحَ مِنَ ٱلْخَـٰسِرِينَ','verse_number' => '30','verse_key' => '5:30','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '700','chapter_id' => '5','arabic_name' => 'فَبَعَثَ ٱللَّهُ غُرَابًا يَبْحَثُ فِى ٱلْأَرْضِ لِيُرِيَهُۥ كَيْفَ يُوَٰرِى سَوْءَةَ أَخِيهِ ۚ قَالَ يَـٰوَيْلَتَىٰٓ أَعَجَزْتُ أَنْ أَكُونَ مِثْلَ هَـٰذَا ٱلْغُرَابِ فَأُوَٰرِىَ سَوْءَةَ أَخِى ۖ فَأَصْبَحَ مِنَ ٱلنَّـٰدِمِينَ','verse_number' => '31','verse_key' => '5:31','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '112','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '701','chapter_id' => '5','arabic_name' => 'مِنْ أَجْلِ ذَٰلِكَ كَتَبْنَا عَلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ أَنَّهُۥ مَن قَتَلَ نَفْسًۢا بِغَيْرِ نَفْسٍ أَوْ فَسَادٍ فِى ٱلْأَرْضِ فَكَأَنَّمَا قَتَلَ ٱلنَّاسَ جَمِيعًا وَمَنْ أَحْيَاهَا فَكَأَنَّمَآ أَحْيَا ٱلنَّاسَ جَمِيعًا ۚ وَلَقَدْ جَآءَتْهُمْ رُسُلُنَا بِٱلْبَيِّنَـٰتِ ثُمَّ إِنَّ كَثِيرًا مِّنْهُم بَعْدَ ذَٰلِكَ فِى ٱلْأَرْضِ لَمُسْرِفُونَ','verse_number' => '32','verse_key' => '5:32','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '113','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '702','chapter_id' => '5','arabic_name' => 'إِنَّمَا جَزَٰٓؤُا۟ ٱلَّذِينَ يُحَارِبُونَ ٱللَّهَ وَرَسُولَهُۥ وَيَسْعَوْنَ فِى ٱلْأَرْضِ فَسَادًا أَن يُقَتَّلُوٓا۟ أَوْ يُصَلَّبُوٓا۟ أَوْ تُقَطَّعَ أَيْدِيهِمْ وَأَرْجُلُهُم مِّنْ خِلَـٰفٍ أَوْ يُنفَوْا۟ مِنَ ٱلْأَرْضِ ۚ ذَٰلِكَ لَهُمْ خِزْىٌ فِى ٱلدُّنْيَا ۖ وَلَهُمْ فِى ٱلْـَٔاخِرَةِ عَذَابٌ عَظِيمٌ','verse_number' => '33','verse_key' => '5:33','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '113','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '703','chapter_id' => '5','arabic_name' => 'إِلَّا ٱلَّذِينَ تَابُوا۟ مِن قَبْلِ أَن تَقْدِرُوا۟ عَلَيْهِمْ ۖ فَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '34','verse_key' => '5:34','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '90','manzil_number' => '2','sajdah_number' => '0','page_number' => '113','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '704','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَٱبْتَغُوٓا۟ إِلَيْهِ ٱلْوَسِيلَةَ وَجَـٰهِدُوا۟ فِى سَبِيلِهِۦ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '35','verse_key' => '5:35','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '113','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '705','chapter_id' => '5','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ لَوْ أَنَّ لَهُم مَّا فِى ٱلْأَرْضِ جَمِيعًا وَمِثْلَهُۥ مَعَهُۥ لِيَفْتَدُوا۟ بِهِۦ مِنْ عَذَابِ يَوْمِ ٱلْقِيَـٰمَةِ مَا تُقُبِّلَ مِنْهُمْ ۖ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '36','verse_key' => '5:36','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '113','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '706','chapter_id' => '5','arabic_name' => 'يُرِيدُونَ أَن يَخْرُجُوا۟ مِنَ ٱلنَّارِ وَمَا هُم بِخَـٰرِجِينَ مِنْهَا ۖ وَلَهُمْ عَذَابٌ مُّقِيمٌ','verse_number' => '37','verse_key' => '5:37','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '114','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '707','chapter_id' => '5','arabic_name' => 'وَٱلسَّارِقُ وَٱلسَّارِقَةُ فَٱقْطَعُوٓا۟ أَيْدِيَهُمَا جَزَآءًۢ بِمَا كَسَبَا نَكَـٰلًا مِّنَ ٱللَّهِ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌ','verse_number' => '38','verse_key' => '5:38','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '114','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '708','chapter_id' => '5','arabic_name' => 'فَمَن تَابَ مِنۢ بَعْدِ ظُلْمِهِۦ وَأَصْلَحَ فَإِنَّ ٱللَّهَ يَتُوبُ عَلَيْهِ ۗ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '39','verse_key' => '5:39','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '114','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '709','chapter_id' => '5','arabic_name' => 'أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ يُعَذِّبُ مَن يَشَآءُ وَيَغْفِرُ لِمَن يَشَآءُ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '40','verse_key' => '5:40','hizb_number' => '12','rub_el_hizb_number' => '45','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '114','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '710','chapter_id' => '5','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلرَّسُولُ لَا يَحْزُنكَ ٱلَّذِينَ يُسَـٰرِعُونَ فِى ٱلْكُفْرِ مِنَ ٱلَّذِينَ قَالُوٓا۟ ءَامَنَّا بِأَفْوَٰهِهِمْ وَلَمْ تُؤْمِن قُلُوبُهُمْ ۛ وَمِنَ ٱلَّذِينَ هَادُوا۟ ۛ سَمَّـٰعُونَ لِلْكَذِبِ سَمَّـٰعُونَ لِقَوْمٍ ءَاخَرِينَ لَمْ يَأْتُوكَ ۖ يُحَرِّفُونَ ٱلْكَلِمَ مِنۢ بَعْدِ مَوَاضِعِهِۦ ۖ يَقُولُونَ إِنْ أُوتِيتُمْ هَـٰذَا فَخُذُوهُ وَإِن لَّمْ تُؤْتَوْهُ فَٱحْذَرُوا۟ ۚ وَمَن يُرِدِ ٱللَّهُ فِتْنَتَهُۥ فَلَن تَمْلِكَ لَهُۥ مِنَ ٱللَّهِ شَيْـًٔا ۚ أُو۟لَـٰٓئِكَ ٱلَّذِينَ لَمْ يُرِدِ ٱللَّهُ أَن يُطَهِّرَ قُلُوبَهُمْ ۚ لَهُمْ فِى ٱلدُّنْيَا خِزْىٌ ۖ وَلَهُمْ فِى ٱلْـَٔاخِرَةِ عَذَابٌ عَظِيمٌ','verse_number' => '41','verse_key' => '5:41','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '114','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '711','chapter_id' => '5','arabic_name' => 'سَمَّـٰعُونَ لِلْكَذِبِ أَكَّـٰلُونَ لِلسُّحْتِ ۚ فَإِن جَآءُوكَ فَٱحْكُم بَيْنَهُمْ أَوْ أَعْرِضْ عَنْهُمْ ۖ وَإِن تُعْرِضْ عَنْهُمْ فَلَن يَضُرُّوكَ شَيْـًٔا ۖ وَإِنْ حَكَمْتَ فَٱحْكُم بَيْنَهُم بِٱلْقِسْطِ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُقْسِطِينَ','verse_number' => '42','verse_key' => '5:42','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '115','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '712','chapter_id' => '5','arabic_name' => 'وَكَيْفَ يُحَكِّمُونَكَ وَعِندَهُمُ ٱلتَّوْرَىٰةُ فِيهَا حُكْمُ ٱللَّهِ ثُمَّ يَتَوَلَّوْنَ مِنۢ بَعْدِ ذَٰلِكَ ۚ وَمَآ أُو۟لَـٰٓئِكَ بِٱلْمُؤْمِنِينَ','verse_number' => '43','verse_key' => '5:43','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '91','manzil_number' => '2','sajdah_number' => '0','page_number' => '115','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '713','chapter_id' => '5','arabic_name' => 'إِنَّآ أَنزَلْنَا ٱلتَّوْرَىٰةَ فِيهَا هُدًى وَنُورٌ ۚ يَحْكُمُ بِهَا ٱلنَّبِيُّونَ ٱلَّذِينَ أَسْلَمُوا۟ لِلَّذِينَ هَادُوا۟ وَٱلرَّبَّـٰنِيُّونَ وَٱلْأَحْبَارُ بِمَا ٱسْتُحْفِظُوا۟ مِن كِتَـٰبِ ٱللَّهِ وَكَانُوا۟ عَلَيْهِ شُهَدَآءَ ۚ فَلَا تَخْشَوُا۟ ٱلنَّاسَ وَٱخْشَوْنِ وَلَا تَشْتَرُوا۟ بِـَٔايَـٰتِى ثَمَنًا قَلِيلًا ۚ وَمَن لَّمْ يَحْكُم بِمَآ أَنزَلَ ٱللَّهُ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْكَـٰفِرُونَ','verse_number' => '44','verse_key' => '5:44','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '92','manzil_number' => '2','sajdah_number' => '0','page_number' => '115','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '714','chapter_id' => '5','arabic_name' => 'وَكَتَبْنَا عَلَيْهِمْ فِيهَآ أَنَّ ٱلنَّفْسَ بِٱلنَّفْسِ وَٱلْعَيْنَ بِٱلْعَيْنِ وَٱلْأَنفَ بِٱلْأَنفِ وَٱلْأُذُنَ بِٱلْأُذُنِ وَٱلسِّنَّ بِٱلسِّنِّ وَٱلْجُرُوحَ قِصَاصٌ ۚ فَمَن تَصَدَّقَ بِهِۦ فَهُوَ كَفَّارَةٌ لَّهُۥ ۚ وَمَن لَّمْ يَحْكُم بِمَآ أَنزَلَ ٱللَّهُ فَأُو۟لَـٰٓئِكَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '45','verse_key' => '5:45','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '92','manzil_number' => '2','sajdah_number' => '0','page_number' => '115','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '715','chapter_id' => '5','arabic_name' => 'وَقَفَّيْنَا عَلَىٰٓ ءَاثَـٰرِهِم بِعِيسَى ٱبْنِ مَرْيَمَ مُصَدِّقًا لِّمَا بَيْنَ يَدَيْهِ مِنَ ٱلتَّوْرَىٰةِ ۖ وَءَاتَيْنَـٰهُ ٱلْإِنجِيلَ فِيهِ هُدًى وَنُورٌ وَمُصَدِّقًا لِّمَا بَيْنَ يَدَيْهِ مِنَ ٱلتَّوْرَىٰةِ وَهُدًى وَمَوْعِظَةً لِّلْمُتَّقِينَ','verse_number' => '46','verse_key' => '5:46','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '92','manzil_number' => '2','sajdah_number' => '0','page_number' => '116','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '716','chapter_id' => '5','arabic_name' => 'وَلْيَحْكُمْ أَهْلُ ٱلْإِنجِيلِ بِمَآ أَنزَلَ ٱللَّهُ فِيهِ ۚ وَمَن لَّمْ يَحْكُم بِمَآ أَنزَلَ ٱللَّهُ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْفَـٰسِقُونَ','verse_number' => '47','verse_key' => '5:47','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '92','manzil_number' => '2','sajdah_number' => '0','page_number' => '116','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '717','chapter_id' => '5','arabic_name' => 'وَأَنزَلْنَآ إِلَيْكَ ٱلْكِتَـٰبَ بِٱلْحَقِّ مُصَدِّقًا لِّمَا بَيْنَ يَدَيْهِ مِنَ ٱلْكِتَـٰبِ وَمُهَيْمِنًا عَلَيْهِ ۖ فَٱحْكُم بَيْنَهُم بِمَآ أَنزَلَ ٱللَّهُ ۖ وَلَا تَتَّبِعْ أَهْوَآءَهُمْ عَمَّا جَآءَكَ مِنَ ٱلْحَقِّ ۚ لِكُلٍّ جَعَلْنَا مِنكُمْ شِرْعَةً وَمِنْهَاجًا ۚ وَلَوْ شَآءَ ٱللَّهُ لَجَعَلَكُمْ أُمَّةً وَٰحِدَةً وَلَـٰكِن لِّيَبْلُوَكُمْ فِى مَآ ءَاتَىٰكُمْ ۖ فَٱسْتَبِقُوا۟ ٱلْخَيْرَٰتِ ۚ إِلَى ٱللَّهِ مَرْجِعُكُمْ جَمِيعًا فَيُنَبِّئُكُم بِمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ','verse_number' => '48','verse_key' => '5:48','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '92','manzil_number' => '2','sajdah_number' => '0','page_number' => '116','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '718','chapter_id' => '5','arabic_name' => 'وَأَنِ ٱحْكُم بَيْنَهُم بِمَآ أَنزَلَ ٱللَّهُ وَلَا تَتَّبِعْ أَهْوَآءَهُمْ وَٱحْذَرْهُمْ أَن يَفْتِنُوكَ عَنۢ بَعْضِ مَآ أَنزَلَ ٱللَّهُ إِلَيْكَ ۖ فَإِن تَوَلَّوْا۟ فَٱعْلَمْ أَنَّمَا يُرِيدُ ٱللَّهُ أَن يُصِيبَهُم بِبَعْضِ ذُنُوبِهِمْ ۗ وَإِنَّ كَثِيرًا مِّنَ ٱلنَّاسِ لَفَـٰسِقُونَ','verse_number' => '49','verse_key' => '5:49','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '92','manzil_number' => '2','sajdah_number' => '0','page_number' => '116','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '719','chapter_id' => '5','arabic_name' => 'أَفَحُكْمَ ٱلْجَـٰهِلِيَّةِ يَبْغُونَ ۚ وَمَنْ أَحْسَنُ مِنَ ٱللَّهِ حُكْمًا لِّقَوْمٍ يُوقِنُونَ','verse_number' => '50','verse_key' => '5:50','hizb_number' => '12','rub_el_hizb_number' => '46','ruku_number' => '92','manzil_number' => '2','sajdah_number' => '0','page_number' => '116','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '720','chapter_id' => '5','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ ٱلْيَهُودَ وَٱلنَّصَـٰرَىٰٓ أَوْلِيَآءَ ۘ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍ ۚ وَمَن يَتَوَلَّهُم مِّنكُمْ فَإِنَّهُۥ مِنْهُمْ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '51','verse_key' => '5:51','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '93','manzil_number' => '2','sajdah_number' => '0','page_number' => '117','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '721','chapter_id' => '5','arabic_name' => 'فَتَرَى ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ يُسَـٰرِعُونَ فِيهِمْ يَقُولُونَ نَخْشَىٰٓ أَن تُصِيبَنَا دَآئِرَةٌ ۚ فَعَسَى ٱللَّهُ أَن يَأْتِىَ بِٱلْفَتْحِ أَوْ أَمْرٍ مِّنْ عِندِهِۦ فَيُصْبِحُوا۟ عَلَىٰ مَآ أَسَرُّوا۟ فِىٓ أَنفُسِهِمْ نَـٰدِمِينَ','verse_number' => '52','verse_key' => '5:52','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '93','manzil_number' => '2','sajdah_number' => '0','page_number' => '117','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '722','chapter_id' => '5','arabic_name' => 'وَيَقُولُ ٱلَّذِينَ ءَامَنُوٓا۟ أَهَـٰٓؤُلَآءِ ٱلَّذِينَ أَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَـٰنِهِمْ ۙ إِنَّهُمْ لَمَعَكُمْ ۚ حَبِطَتْ أَعْمَـٰلُهُمْ فَأَصْبَحُوا۟ خَـٰسِرِينَ','verse_number' => '53','verse_key' => '5:53','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '93','manzil_number' => '2','sajdah_number' => '0','page_number' => '117','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '723','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ مَن يَرْتَدَّ مِنكُمْ عَن دِينِهِۦ فَسَوْفَ يَأْتِى ٱللَّهُ بِقَوْمٍ يُحِبُّهُمْ وَيُحِبُّونَهُۥٓ أَذِلَّةٍ عَلَى ٱلْمُؤْمِنِينَ أَعِزَّةٍ عَلَى ٱلْكَـٰفِرِينَ يُجَـٰهِدُونَ فِى سَبِيلِ ٱللَّهِ وَلَا يَخَافُونَ لَوْمَةَ لَآئِمٍ ۚ ذَٰلِكَ فَضْلُ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ','verse_number' => '54','verse_key' => '5:54','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '93','manzil_number' => '2','sajdah_number' => '0','page_number' => '117','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '724','chapter_id' => '5','arabic_name' => 'إِنَّمَا وَلِيُّكُمُ ٱللَّهُ وَرَسُولُهُۥ وَٱلَّذِينَ ءَامَنُوا۟ ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَهُمْ رَٰكِعُونَ','verse_number' => '55','verse_key' => '5:55','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '93','manzil_number' => '2','sajdah_number' => '0','page_number' => '117','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '725','chapter_id' => '5','arabic_name' => 'وَمَن يَتَوَلَّ ٱللَّهَ وَرَسُولَهُۥ وَٱلَّذِينَ ءَامَنُوا۟ فَإِنَّ حِزْبَ ٱللَّهِ هُمُ ٱلْغَـٰلِبُونَ','verse_number' => '56','verse_key' => '5:56','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '93','manzil_number' => '2','sajdah_number' => '0','page_number' => '117','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '726','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ ٱلَّذِينَ ٱتَّخَذُوا۟ دِينَكُمْ هُزُوًا وَلَعِبًا مِّنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ مِن قَبْلِكُمْ وَٱلْكُفَّارَ أَوْلِيَآءَ ۚ وَٱتَّقُوا۟ ٱللَّهَ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '57','verse_key' => '5:57','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '117','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '727','chapter_id' => '5','arabic_name' => 'وَإِذَا نَادَيْتُمْ إِلَى ٱلصَّلَوٰةِ ٱتَّخَذُوهَا هُزُوًا وَلَعِبًا ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌ لَّا يَعْقِلُونَ','verse_number' => '58','verse_key' => '5:58','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '118','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '728','chapter_id' => '5','arabic_name' => 'قُلْ يَـٰٓأَهْلَ ٱلْكِتَـٰبِ هَلْ تَنقِمُونَ مِنَّآ إِلَّآ أَنْ ءَامَنَّا بِٱللَّهِ وَمَآ أُنزِلَ إِلَيْنَا وَمَآ أُنزِلَ مِن قَبْلُ وَأَنَّ أَكْثَرَكُمْ فَـٰسِقُونَ','verse_number' => '59','verse_key' => '5:59','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '118','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '729','chapter_id' => '5','arabic_name' => 'قُلْ هَلْ أُنَبِّئُكُم بِشَرٍّ مِّن ذَٰلِكَ مَثُوبَةً عِندَ ٱللَّهِ ۚ مَن لَّعَنَهُ ٱللَّهُ وَغَضِبَ عَلَيْهِ وَجَعَلَ مِنْهُمُ ٱلْقِرَدَةَ وَٱلْخَنَازِيرَ وَعَبَدَ ٱلطَّـٰغُوتَ ۚ أُو۟لَـٰٓئِكَ شَرٌّ مَّكَانًا وَأَضَلُّ عَن سَوَآءِ ٱلسَّبِيلِ','verse_number' => '60','verse_key' => '5:60','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '118','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '730','chapter_id' => '5','arabic_name' => 'وَإِذَا جَآءُوكُمْ قَالُوٓا۟ ءَامَنَّا وَقَد دَّخَلُوا۟ بِٱلْكُفْرِ وَهُمْ قَدْ خَرَجُوا۟ بِهِۦ ۚ وَٱللَّهُ أَعْلَمُ بِمَا كَانُوا۟ يَكْتُمُونَ','verse_number' => '61','verse_key' => '5:61','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '118','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '731','chapter_id' => '5','arabic_name' => 'وَتَرَىٰ كَثِيرًا مِّنْهُمْ يُسَـٰرِعُونَ فِى ٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَأَكْلِهِمُ ٱلسُّحْتَ ۚ لَبِئْسَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '62','verse_key' => '5:62','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '118','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '732','chapter_id' => '5','arabic_name' => 'لَوْلَا يَنْهَىٰهُمُ ٱلرَّبَّـٰنِيُّونَ وَٱلْأَحْبَارُ عَن قَوْلِهِمُ ٱلْإِثْمَ وَأَكْلِهِمُ ٱلسُّحْتَ ۚ لَبِئْسَ مَا كَانُوا۟ يَصْنَعُونَ','verse_number' => '63','verse_key' => '5:63','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '118','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '733','chapter_id' => '5','arabic_name' => 'وَقَالَتِ ٱلْيَهُودُ يَدُ ٱللَّهِ مَغْلُولَةٌ ۚ غُلَّتْ أَيْدِيهِمْ وَلُعِنُوا۟ بِمَا قَالُوا۟ ۘ بَلْ يَدَاهُ مَبْسُوطَتَانِ يُنفِقُ كَيْفَ يَشَآءُ ۚ وَلَيَزِيدَنَّ كَثِيرًا مِّنْهُم مَّآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ طُغْيَـٰنًا وَكُفْرًا ۚ وَأَلْقَيْنَا بَيْنَهُمُ ٱلْعَدَٰوَةَ وَٱلْبَغْضَآءَ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ ۚ كُلَّمَآ أَوْقَدُوا۟ نَارًا لِّلْحَرْبِ أَطْفَأَهَا ٱللَّهُ ۚ وَيَسْعَوْنَ فِى ٱلْأَرْضِ فَسَادًا ۚ وَٱللَّهُ لَا يُحِبُّ ٱلْمُفْسِدِينَ','verse_number' => '64','verse_key' => '5:64','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '118','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '734','chapter_id' => '5','arabic_name' => 'وَلَوْ أَنَّ أَهْلَ ٱلْكِتَـٰبِ ءَامَنُوا۟ وَٱتَّقَوْا۟ لَكَفَّرْنَا عَنْهُمْ سَيِّـَٔاتِهِمْ وَلَأَدْخَلْنَـٰهُمْ جَنَّـٰتِ ٱلنَّعِيمِ','verse_number' => '65','verse_key' => '5:65','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '119','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '735','chapter_id' => '5','arabic_name' => 'وَلَوْ أَنَّهُمْ أَقَامُوا۟ ٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ وَمَآ أُنزِلَ إِلَيْهِم مِّن رَّبِّهِمْ لَأَكَلُوا۟ مِن فَوْقِهِمْ وَمِن تَحْتِ أَرْجُلِهِم ۚ مِّنْهُمْ أُمَّةٌ مُّقْتَصِدَةٌ ۖ وَكَثِيرٌ مِّنْهُمْ سَآءَ مَا يَعْمَلُونَ','verse_number' => '66','verse_key' => '5:66','hizb_number' => '12','rub_el_hizb_number' => '47','ruku_number' => '94','manzil_number' => '2','sajdah_number' => '0','page_number' => '119','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '736','chapter_id' => '5','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلرَّسُولُ بَلِّغْ مَآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ ۖ وَإِن لَّمْ تَفْعَلْ فَمَا بَلَّغْتَ رِسَالَتَهُۥ ۚ وَٱللَّهُ يَعْصِمُكَ مِنَ ٱلنَّاسِ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَـٰفِرِينَ','verse_number' => '67','verse_key' => '5:67','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '119','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '737','chapter_id' => '5','arabic_name' => 'قُلْ يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لَسْتُمْ عَلَىٰ شَىْءٍ حَتَّىٰ تُقِيمُوا۟ ٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ وَمَآ أُنزِلَ إِلَيْكُم مِّن رَّبِّكُمْ ۗ وَلَيَزِيدَنَّ كَثِيرًا مِّنْهُم مَّآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ طُغْيَـٰنًا وَكُفْرًا ۖ فَلَا تَأْسَ عَلَى ٱلْقَوْمِ ٱلْكَـٰفِرِينَ','verse_number' => '68','verse_key' => '5:68','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '119','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '738','chapter_id' => '5','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَادُوا۟ وَٱلصَّـٰبِـُٔونَ وَٱلنَّصَـٰرَىٰ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَعَمِلَ صَـٰلِحًا فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '69','verse_key' => '5:69','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '119','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '739','chapter_id' => '5','arabic_name' => 'لَقَدْ أَخَذْنَا مِيثَـٰقَ بَنِىٓ إِسْرَٰٓءِيلَ وَأَرْسَلْنَآ إِلَيْهِمْ رُسُلًا ۖ كُلَّمَا جَآءَهُمْ رَسُولٌۢ بِمَا لَا تَهْوَىٰٓ أَنفُسُهُمْ فَرِيقًا كَذَّبُوا۟ وَفَرِيقًا يَقْتُلُونَ','verse_number' => '70','verse_key' => '5:70','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '119','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '740','chapter_id' => '5','arabic_name' => 'وَحَسِبُوٓا۟ أَلَّا تَكُونَ فِتْنَةٌ فَعَمُوا۟ وَصَمُّوا۟ ثُمَّ تَابَ ٱللَّهُ عَلَيْهِمْ ثُمَّ عَمُوا۟ وَصَمُّوا۟ كَثِيرٌ مِّنْهُمْ ۚ وَٱللَّهُ بَصِيرٌۢ بِمَا يَعْمَلُونَ','verse_number' => '71','verse_key' => '5:71','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '120','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '741','chapter_id' => '5','arabic_name' => 'لَقَدْ كَفَرَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ هُوَ ٱلْمَسِيحُ ٱبْنُ مَرْيَمَ ۖ وَقَالَ ٱلْمَسِيحُ يَـٰبَنِىٓ إِسْرَٰٓءِيلَ ٱعْبُدُوا۟ ٱللَّهَ رَبِّى وَرَبَّكُمْ ۖ إِنَّهُۥ مَن يُشْرِكْ بِٱللَّهِ فَقَدْ حَرَّمَ ٱللَّهُ عَلَيْهِ ٱلْجَنَّةَ وَمَأْوَىٰهُ ٱلنَّارُ ۖ وَمَا لِلظَّـٰلِمِينَ مِنْ أَنصَارٍ','verse_number' => '72','verse_key' => '5:72','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '120','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '742','chapter_id' => '5','arabic_name' => 'لَّقَدْ كَفَرَ ٱلَّذِينَ قَالُوٓا۟ إِنَّ ٱللَّهَ ثَالِثُ ثَلَـٰثَةٍ ۘ وَمَا مِنْ إِلَـٰهٍ إِلَّآ إِلَـٰهٌ وَٰحِدٌ ۚ وَإِن لَّمْ يَنتَهُوا۟ عَمَّا يَقُولُونَ لَيَمَسَّنَّ ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '73','verse_key' => '5:73','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '120','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '743','chapter_id' => '5','arabic_name' => 'أَفَلَا يَتُوبُونَ إِلَى ٱللَّهِ وَيَسْتَغْفِرُونَهُۥ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '74','verse_key' => '5:74','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '120','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '744','chapter_id' => '5','arabic_name' => 'مَّا ٱلْمَسِيحُ ٱبْنُ مَرْيَمَ إِلَّا رَسُولٌ قَدْ خَلَتْ مِن قَبْلِهِ ٱلرُّسُلُ وَأُمُّهُۥ صِدِّيقَةٌ ۖ كَانَا يَأْكُلَانِ ٱلطَّعَامَ ۗ ٱنظُرْ كَيْفَ نُبَيِّنُ لَهُمُ ٱلْـَٔايَـٰتِ ثُمَّ ٱنظُرْ أَنَّىٰ يُؤْفَكُونَ','verse_number' => '75','verse_key' => '5:75','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '120','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '745','chapter_id' => '5','arabic_name' => 'قُلْ أَتَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَمْلِكُ لَكُمْ ضَرًّا وَلَا نَفْعًا ۚ وَٱللَّهُ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '76','verse_key' => '5:76','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '120','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '746','chapter_id' => '5','arabic_name' => 'قُلْ يَـٰٓأَهْلَ ٱلْكِتَـٰبِ لَا تَغْلُوا۟ فِى دِينِكُمْ غَيْرَ ٱلْحَقِّ وَلَا تَتَّبِعُوٓا۟ أَهْوَآءَ قَوْمٍ قَدْ ضَلُّوا۟ مِن قَبْلُ وَأَضَلُّوا۟ كَثِيرًا وَضَلُّوا۟ عَن سَوَآءِ ٱلسَّبِيلِ','verse_number' => '77','verse_key' => '5:77','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '95','manzil_number' => '2','sajdah_number' => '0','page_number' => '121','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '747','chapter_id' => '5','arabic_name' => 'لُعِنَ ٱلَّذِينَ كَفَرُوا۟ مِنۢ بَنِىٓ إِسْرَٰٓءِيلَ عَلَىٰ لِسَانِ دَاوُۥدَ وَعِيسَى ٱبْنِ مَرْيَمَ ۚ ذَٰلِكَ بِمَا عَصَوا۟ وَّكَانُوا۟ يَعْتَدُونَ','verse_number' => '78','verse_key' => '5:78','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '121','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '748','chapter_id' => '5','arabic_name' => 'كَانُوا۟ لَا يَتَنَاهَوْنَ عَن مُّنكَرٍ فَعَلُوهُ ۚ لَبِئْسَ مَا كَانُوا۟ يَفْعَلُونَ','verse_number' => '79','verse_key' => '5:79','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '121','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '749','chapter_id' => '5','arabic_name' => 'تَرَىٰ كَثِيرًا مِّنْهُمْ يَتَوَلَّوْنَ ٱلَّذِينَ كَفَرُوا۟ ۚ لَبِئْسَ مَا قَدَّمَتْ لَهُمْ أَنفُسُهُمْ أَن سَخِطَ ٱللَّهُ عَلَيْهِمْ وَفِى ٱلْعَذَابِ هُمْ خَـٰلِدُونَ','verse_number' => '80','verse_key' => '5:80','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '121','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '750','chapter_id' => '5','arabic_name' => 'وَلَوْ كَانُوا۟ يُؤْمِنُونَ بِٱللَّهِ وَٱلنَّبِىِّ وَمَآ أُنزِلَ إِلَيْهِ مَا ٱتَّخَذُوهُمْ أَوْلِيَآءَ وَلَـٰكِنَّ كَثِيرًا مِّنْهُمْ فَـٰسِقُونَ','verse_number' => '81','verse_key' => '5:81','hizb_number' => '12','rub_el_hizb_number' => '48','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '121','juz_number' => '6','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '751','chapter_id' => '5','arabic_name' => '۞ لَتَجِدَنَّ أَشَدَّ ٱلنَّاسِ عَدَٰوَةً لِّلَّذِينَ ءَامَنُوا۟ ٱلْيَهُودَ وَٱلَّذِينَ أَشْرَكُوا۟ ۖ وَلَتَجِدَنَّ أَقْرَبَهُم مَّوَدَّةً لِّلَّذِينَ ءَامَنُوا۟ ٱلَّذِينَ قَالُوٓا۟ إِنَّا نَصَـٰرَىٰ ۚ ذَٰلِكَ بِأَنَّ مِنْهُمْ قِسِّيسِينَ وَرُهْبَانًا وَأَنَّهُمْ لَا يَسْتَكْبِرُونَ','verse_number' => '82','verse_key' => '5:82','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '121','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '752','chapter_id' => '5','arabic_name' => 'وَإِذَا سَمِعُوا۟ مَآ أُنزِلَ إِلَى ٱلرَّسُولِ تَرَىٰٓ أَعْيُنَهُمْ تَفِيضُ مِنَ ٱلدَّمْعِ مِمَّا عَرَفُوا۟ مِنَ ٱلْحَقِّ ۖ يَقُولُونَ رَبَّنَآ ءَامَنَّا فَٱكْتُبْنَا مَعَ ٱلشَّـٰهِدِينَ','verse_number' => '83','verse_key' => '5:83','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '122','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '753','chapter_id' => '5','arabic_name' => 'وَمَا لَنَا لَا نُؤْمِنُ بِٱللَّهِ وَمَا جَآءَنَا مِنَ ٱلْحَقِّ وَنَطْمَعُ أَن يُدْخِلَنَا رَبُّنَا مَعَ ٱلْقَوْمِ ٱلصَّـٰلِحِينَ','verse_number' => '84','verse_key' => '5:84','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '122','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '754','chapter_id' => '5','arabic_name' => 'فَأَثَـٰبَهُمُ ٱللَّهُ بِمَا قَالُوا۟ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ وَذَٰلِكَ جَزَآءُ ٱلْمُحْسِنِينَ','verse_number' => '85','verse_key' => '5:85','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '122','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '755','chapter_id' => '5','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَـٰتِنَآ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَحِيمِ','verse_number' => '86','verse_key' => '5:86','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '96','manzil_number' => '2','sajdah_number' => '0','page_number' => '122','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '756','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُحَرِّمُوا۟ طَيِّبَـٰتِ مَآ أَحَلَّ ٱللَّهُ لَكُمْ وَلَا تَعْتَدُوٓا۟ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْمُعْتَدِينَ','verse_number' => '87','verse_key' => '5:87','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '97','manzil_number' => '2','sajdah_number' => '0','page_number' => '122','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '757','chapter_id' => '5','arabic_name' => 'وَكُلُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ حَلَـٰلًا طَيِّبًا ۚ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ أَنتُم بِهِۦ مُؤْمِنُونَ','verse_number' => '88','verse_key' => '5:88','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '97','manzil_number' => '2','sajdah_number' => '0','page_number' => '122','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '758','chapter_id' => '5','arabic_name' => 'لَا يُؤَاخِذُكُمُ ٱللَّهُ بِٱللَّغْوِ فِىٓ أَيْمَـٰنِكُمْ وَلَـٰكِن يُؤَاخِذُكُم بِمَا عَقَّدتُّمُ ٱلْأَيْمَـٰنَ ۖ فَكَفَّـٰرَتُهُۥٓ إِطْعَامُ عَشَرَةِ مَسَـٰكِينَ مِنْ أَوْسَطِ مَا تُطْعِمُونَ أَهْلِيكُمْ أَوْ كِسْوَتُهُمْ أَوْ تَحْرِيرُ رَقَبَةٍ ۖ فَمَن لَّمْ يَجِدْ فَصِيَامُ ثَلَـٰثَةِ أَيَّامٍ ۚ ذَٰلِكَ كَفَّـٰرَةُ أَيْمَـٰنِكُمْ إِذَا حَلَفْتُمْ ۚ وَٱحْفَظُوٓا۟ أَيْمَـٰنَكُمْ ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَـٰتِهِۦ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '89','verse_key' => '5:89','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '97','manzil_number' => '2','sajdah_number' => '0','page_number' => '122','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '759','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّمَا ٱلْخَمْرُ وَٱلْمَيْسِرُ وَٱلْأَنصَابُ وَٱلْأَزْلَـٰمُ رِجْسٌ مِّنْ عَمَلِ ٱلشَّيْطَـٰنِ فَٱجْتَنِبُوهُ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '90','verse_key' => '5:90','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '97','manzil_number' => '2','sajdah_number' => '0','page_number' => '123','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '760','chapter_id' => '5','arabic_name' => 'إِنَّمَا يُرِيدُ ٱلشَّيْطَـٰنُ أَن يُوقِعَ بَيْنَكُمُ ٱلْعَدَٰوَةَ وَٱلْبَغْضَآءَ فِى ٱلْخَمْرِ وَٱلْمَيْسِرِ وَيَصُدَّكُمْ عَن ذِكْرِ ٱللَّهِ وَعَنِ ٱلصَّلَوٰةِ ۖ فَهَلْ أَنتُم مُّنتَهُونَ','verse_number' => '91','verse_key' => '5:91','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '97','manzil_number' => '2','sajdah_number' => '0','page_number' => '123','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '761','chapter_id' => '5','arabic_name' => 'وَأَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ وَٱحْذَرُوا۟ ۚ فَإِن تَوَلَّيْتُمْ فَٱعْلَمُوٓا۟ أَنَّمَا عَلَىٰ رَسُولِنَا ٱلْبَلَـٰغُ ٱلْمُبِينُ','verse_number' => '92','verse_key' => '5:92','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '97','manzil_number' => '2','sajdah_number' => '0','page_number' => '123','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '762','chapter_id' => '5','arabic_name' => 'لَيْسَ عَلَى ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ جُنَاحٌ فِيمَا طَعِمُوٓا۟ إِذَا مَا ٱتَّقَوا۟ وَّءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ ثُمَّ ٱتَّقَوا۟ وَّءَامَنُوا۟ ثُمَّ ٱتَّقَوا۟ وَّأَحْسَنُوا۟ ۗ وَٱللَّهُ يُحِبُّ ٱلْمُحْسِنِينَ','verse_number' => '93','verse_key' => '5:93','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '97','manzil_number' => '2','sajdah_number' => '0','page_number' => '123','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '763','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَيَبْلُوَنَّكُمُ ٱللَّهُ بِشَىْءٍ مِّنَ ٱلصَّيْدِ تَنَالُهُۥٓ أَيْدِيكُمْ وَرِمَاحُكُمْ لِيَعْلَمَ ٱللَّهُ مَن يَخَافُهُۥ بِٱلْغَيْبِ ۚ فَمَنِ ٱعْتَدَىٰ بَعْدَ ذَٰلِكَ فَلَهُۥ عَذَابٌ أَلِيمٌ','verse_number' => '94','verse_key' => '5:94','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '98','manzil_number' => '2','sajdah_number' => '0','page_number' => '123','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '764','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَقْتُلُوا۟ ٱلصَّيْدَ وَأَنتُمْ حُرُمٌ ۚ وَمَن قَتَلَهُۥ مِنكُم مُّتَعَمِّدًا فَجَزَآءٌ مِّثْلُ مَا قَتَلَ مِنَ ٱلنَّعَمِ يَحْكُمُ بِهِۦ ذَوَا عَدْلٍ مِّنكُمْ هَدْيًۢا بَـٰلِغَ ٱلْكَعْبَةِ أَوْ كَفَّـٰرَةٌ طَعَامُ مَسَـٰكِينَ أَوْ عَدْلُ ذَٰلِكَ صِيَامًا لِّيَذُوقَ وَبَالَ أَمْرِهِۦ ۗ عَفَا ٱللَّهُ عَمَّا سَلَفَ ۚ وَمَنْ عَادَ فَيَنتَقِمُ ٱللَّهُ مِنْهُ ۗ وَٱللَّهُ عَزِيزٌ ذُو ٱنتِقَامٍ','verse_number' => '95','verse_key' => '5:95','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '98','manzil_number' => '2','sajdah_number' => '0','page_number' => '123','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '765','chapter_id' => '5','arabic_name' => 'أُحِلَّ لَكُمْ صَيْدُ ٱلْبَحْرِ وَطَعَامُهُۥ مَتَـٰعًا لَّكُمْ وَلِلسَّيَّارَةِ ۖ وَحُرِّمَ عَلَيْكُمْ صَيْدُ ٱلْبَرِّ مَا دُمْتُمْ حُرُمًا ۗ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ إِلَيْهِ تُحْشَرُونَ','verse_number' => '96','verse_key' => '5:96','hizb_number' => '13','rub_el_hizb_number' => '49','ruku_number' => '98','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '766','chapter_id' => '5','arabic_name' => '۞ جَعَلَ ٱللَّهُ ٱلْكَعْبَةَ ٱلْبَيْتَ ٱلْحَرَامَ قِيَـٰمًا لِّلنَّاسِ وَٱلشَّهْرَ ٱلْحَرَامَ وَٱلْهَدْىَ وَٱلْقَلَـٰٓئِدَ ۚ ذَٰلِكَ لِتَعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَأَنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '97','verse_key' => '5:97','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '98','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '767','chapter_id' => '5','arabic_name' => 'ٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ وَأَنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '98','verse_key' => '5:98','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '98','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '768','chapter_id' => '5','arabic_name' => 'مَّا عَلَى ٱلرَّسُولِ إِلَّا ٱلْبَلَـٰغُ ۗ وَٱللَّهُ يَعْلَمُ مَا تُبْدُونَ وَمَا تَكْتُمُونَ','verse_number' => '99','verse_key' => '5:99','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '98','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '769','chapter_id' => '5','arabic_name' => 'قُل لَّا يَسْتَوِى ٱلْخَبِيثُ وَٱلطَّيِّبُ وَلَوْ أَعْجَبَكَ كَثْرَةُ ٱلْخَبِيثِ ۚ فَٱتَّقُوا۟ ٱللَّهَ يَـٰٓأُو۟لِى ٱلْأَلْبَـٰبِ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '100','verse_key' => '5:100','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '98','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '770','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَسْـَٔلُوا۟ عَنْ أَشْيَآءَ إِن تُبْدَ لَكُمْ تَسُؤْكُمْ وَإِن تَسْـَٔلُوا۟ عَنْهَا حِينَ يُنَزَّلُ ٱلْقُرْءَانُ تُبْدَ لَكُمْ عَفَا ٱللَّهُ عَنْهَا ۗ وَٱللَّهُ غَفُورٌ حَلِيمٌ','verse_number' => '101','verse_key' => '5:101','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '771','chapter_id' => '5','arabic_name' => 'قَدْ سَأَلَهَا قَوْمٌ مِّن قَبْلِكُمْ ثُمَّ أَصْبَحُوا۟ بِهَا كَـٰفِرِينَ','verse_number' => '102','verse_key' => '5:102','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '772','chapter_id' => '5','arabic_name' => 'مَا جَعَلَ ٱللَّهُ مِنۢ بَحِيرَةٍ وَلَا سَآئِبَةٍ وَلَا وَصِيلَةٍ وَلَا حَامٍ ۙ وَلَـٰكِنَّ ٱلَّذِينَ كَفَرُوا۟ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ ۖ وَأَكْثَرُهُمْ لَا يَعْقِلُونَ','verse_number' => '103','verse_key' => '5:103','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '124','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '773','chapter_id' => '5','arabic_name' => 'وَإِذَا قِيلَ لَهُمْ تَعَالَوْا۟ إِلَىٰ مَآ أَنزَلَ ٱللَّهُ وَإِلَى ٱلرَّسُولِ قَالُوا۟ حَسْبُنَا مَا وَجَدْنَا عَلَيْهِ ءَابَآءَنَآ ۚ أَوَلَوْ كَانَ ءَابَآؤُهُمْ لَا يَعْلَمُونَ شَيْـًٔا وَلَا يَهْتَدُونَ','verse_number' => '104','verse_key' => '5:104','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '125','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '774','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ عَلَيْكُمْ أَنفُسَكُمْ ۖ لَا يَضُرُّكُم مَّن ضَلَّ إِذَا ٱهْتَدَيْتُمْ ۚ إِلَى ٱللَّهِ مَرْجِعُكُمْ جَمِيعًا فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '105','verse_key' => '5:105','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '125','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '775','chapter_id' => '5','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ شَهَـٰدَةُ بَيْنِكُمْ إِذَا حَضَرَ أَحَدَكُمُ ٱلْمَوْتُ حِينَ ٱلْوَصِيَّةِ ٱثْنَانِ ذَوَا عَدْلٍ مِّنكُمْ أَوْ ءَاخَرَانِ مِنْ غَيْرِكُمْ إِنْ أَنتُمْ ضَرَبْتُمْ فِى ٱلْأَرْضِ فَأَصَـٰبَتْكُم مُّصِيبَةُ ٱلْمَوْتِ ۚ تَحْبِسُونَهُمَا مِنۢ بَعْدِ ٱلصَّلَوٰةِ فَيُقْسِمَانِ بِٱللَّهِ إِنِ ٱرْتَبْتُمْ لَا نَشْتَرِى بِهِۦ ثَمَنًا وَلَوْ كَانَ ذَا قُرْبَىٰ ۙ وَلَا نَكْتُمُ شَهَـٰدَةَ ٱللَّهِ إِنَّآ إِذًا لَّمِنَ ٱلْـَٔاثِمِينَ','verse_number' => '106','verse_key' => '5:106','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '125','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '776','chapter_id' => '5','arabic_name' => 'فَإِنْ عُثِرَ عَلَىٰٓ أَنَّهُمَا ٱسْتَحَقَّآ إِثْمًا فَـَٔاخَرَانِ يَقُومَانِ مَقَامَهُمَا مِنَ ٱلَّذِينَ ٱسْتَحَقَّ عَلَيْهِمُ ٱلْأَوْلَيَـٰنِ فَيُقْسِمَانِ بِٱللَّهِ لَشَهَـٰدَتُنَآ أَحَقُّ مِن شَهَـٰدَتِهِمَا وَمَا ٱعْتَدَيْنَآ إِنَّآ إِذًا لَّمِنَ ٱلظَّـٰلِمِينَ','verse_number' => '107','verse_key' => '5:107','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '125','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '777','chapter_id' => '5','arabic_name' => 'ذَٰلِكَ أَدْنَىٰٓ أَن يَأْتُوا۟ بِٱلشَّهَـٰدَةِ عَلَىٰ وَجْهِهَآ أَوْ يَخَافُوٓا۟ أَن تُرَدَّ أَيْمَـٰنٌۢ بَعْدَ أَيْمَـٰنِهِمْ ۗ وَٱتَّقُوا۟ ٱللَّهَ وَٱسْمَعُوا۟ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَـٰسِقِينَ','verse_number' => '108','verse_key' => '5:108','hizb_number' => '13','rub_el_hizb_number' => '50','ruku_number' => '99','manzil_number' => '2','sajdah_number' => '0','page_number' => '125','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '778','chapter_id' => '5','arabic_name' => '۞ يَوْمَ يَجْمَعُ ٱللَّهُ ٱلرُّسُلَ فَيَقُولُ مَاذَآ أُجِبْتُمْ ۖ قَالُوا۟ لَا عِلْمَ لَنَآ ۖ إِنَّكَ أَنتَ عَلَّـٰمُ ٱلْغُيُوبِ','verse_number' => '109','verse_key' => '5:109','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '100','manzil_number' => '2','sajdah_number' => '0','page_number' => '126','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '779','chapter_id' => '5','arabic_name' => 'إِذْ قَالَ ٱللَّهُ يَـٰعِيسَى ٱبْنَ مَرْيَمَ ٱذْكُرْ نِعْمَتِى عَلَيْكَ وَعَلَىٰ وَٰلِدَتِكَ إِذْ أَيَّدتُّكَ بِرُوحِ ٱلْقُدُسِ تُكَلِّمُ ٱلنَّاسَ فِى ٱلْمَهْدِ وَكَهْلًا ۖ وَإِذْ عَلَّمْتُكَ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَٱلتَّوْرَىٰةَ وَٱلْإِنجِيلَ ۖ وَإِذْ تَخْلُقُ مِنَ ٱلطِّينِ كَهَيْـَٔةِ ٱلطَّيْرِ بِإِذْنِى فَتَنفُخُ فِيهَا فَتَكُونُ طَيْرًۢا بِإِذْنِى ۖ وَتُبْرِئُ ٱلْأَكْمَهَ وَٱلْأَبْرَصَ بِإِذْنِى ۖ وَإِذْ تُخْرِجُ ٱلْمَوْتَىٰ بِإِذْنِى ۖ وَإِذْ كَفَفْتُ بَنِىٓ إِسْرَٰٓءِيلَ عَنكَ إِذْ جِئْتَهُم بِٱلْبَيِّنَـٰتِ فَقَالَ ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ إِنْ هَـٰذَآ إِلَّا سِحْرٌ مُّبِينٌ','verse_number' => '110','verse_key' => '5:110','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '100','manzil_number' => '2','sajdah_number' => '0','page_number' => '126','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '780','chapter_id' => '5','arabic_name' => 'وَإِذْ أَوْحَيْتُ إِلَى ٱلْحَوَارِيِّـۧنَ أَنْ ءَامِنُوا۟ بِى وَبِرَسُولِى قَالُوٓا۟ ءَامَنَّا وَٱشْهَدْ بِأَنَّنَا مُسْلِمُونَ','verse_number' => '111','verse_key' => '5:111','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '100','manzil_number' => '2','sajdah_number' => '0','page_number' => '126','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '781','chapter_id' => '5','arabic_name' => 'إِذْ قَالَ ٱلْحَوَارِيُّونَ يَـٰعِيسَى ٱبْنَ مَرْيَمَ هَلْ يَسْتَطِيعُ رَبُّكَ أَن يُنَزِّلَ عَلَيْنَا مَآئِدَةً مِّنَ ٱلسَّمَآءِ ۖ قَالَ ٱتَّقُوا۟ ٱللَّهَ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '112','verse_key' => '5:112','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '100','manzil_number' => '2','sajdah_number' => '0','page_number' => '126','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '782','chapter_id' => '5','arabic_name' => 'قَالُوا۟ نُرِيدُ أَن نَّأْكُلَ مِنْهَا وَتَطْمَئِنَّ قُلُوبُنَا وَنَعْلَمَ أَن قَدْ صَدَقْتَنَا وَنَكُونَ عَلَيْهَا مِنَ ٱلشَّـٰهِدِينَ','verse_number' => '113','verse_key' => '5:113','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '100','manzil_number' => '2','sajdah_number' => '0','page_number' => '126','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '783','chapter_id' => '5','arabic_name' => 'قَالَ عِيسَى ٱبْنُ مَرْيَمَ ٱللَّهُمَّ رَبَّنَآ أَنزِلْ عَلَيْنَا مَآئِدَةً مِّنَ ٱلسَّمَآءِ تَكُونُ لَنَا عِيدًا لِّأَوَّلِنَا وَءَاخِرِنَا وَءَايَةً مِّنكَ ۖ وَٱرْزُقْنَا وَأَنتَ خَيْرُ ٱلرَّٰزِقِينَ','verse_number' => '114','verse_key' => '5:114','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '100','manzil_number' => '2','sajdah_number' => '0','page_number' => '127','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '784','chapter_id' => '5','arabic_name' => 'قَالَ ٱللَّهُ إِنِّى مُنَزِّلُهَا عَلَيْكُمْ ۖ فَمَن يَكْفُرْ بَعْدُ مِنكُمْ فَإِنِّىٓ أُعَذِّبُهُۥ عَذَابًا لَّآ أُعَذِّبُهُۥٓ أَحَدًا مِّنَ ٱلْعَـٰلَمِينَ','verse_number' => '115','verse_key' => '5:115','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '100','manzil_number' => '2','sajdah_number' => '0','page_number' => '127','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '785','chapter_id' => '5','arabic_name' => 'وَإِذْ قَالَ ٱللَّهُ يَـٰعِيسَى ٱبْنَ مَرْيَمَ ءَأَنتَ قُلْتَ لِلنَّاسِ ٱتَّخِذُونِى وَأُمِّىَ إِلَـٰهَيْنِ مِن دُونِ ٱللَّهِ ۖ قَالَ سُبْحَـٰنَكَ مَا يَكُونُ لِىٓ أَنْ أَقُولَ مَا لَيْسَ لِى بِحَقٍّ ۚ إِن كُنتُ قُلْتُهُۥ فَقَدْ عَلِمْتَهُۥ ۚ تَعْلَمُ مَا فِى نَفْسِى وَلَآ أَعْلَمُ مَا فِى نَفْسِكَ ۚ إِنَّكَ أَنتَ عَلَّـٰمُ ٱلْغُيُوبِ','verse_number' => '116','verse_key' => '5:116','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '101','manzil_number' => '2','sajdah_number' => '0','page_number' => '127','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '786','chapter_id' => '5','arabic_name' => 'مَا قُلْتُ لَهُمْ إِلَّا مَآ أَمَرْتَنِى بِهِۦٓ أَنِ ٱعْبُدُوا۟ ٱللَّهَ رَبِّى وَرَبَّكُمْ ۚ وَكُنتُ عَلَيْهِمْ شَهِيدًا مَّا دُمْتُ فِيهِمْ ۖ فَلَمَّا تَوَفَّيْتَنِى كُنتَ أَنتَ ٱلرَّقِيبَ عَلَيْهِمْ ۚ وَأَنتَ عَلَىٰ كُلِّ شَىْءٍ شَهِيدٌ','verse_number' => '117','verse_key' => '5:117','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '101','manzil_number' => '2','sajdah_number' => '0','page_number' => '127','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '787','chapter_id' => '5','arabic_name' => 'إِن تُعَذِّبْهُمْ فَإِنَّهُمْ عِبَادُكَ ۖ وَإِن تَغْفِرْ لَهُمْ فَإِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '118','verse_key' => '5:118','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '101','manzil_number' => '2','sajdah_number' => '0','page_number' => '127','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '788','chapter_id' => '5','arabic_name' => 'قَالَ ٱللَّهُ هَـٰذَا يَوْمُ يَنفَعُ ٱلصَّـٰدِقِينَ صِدْقُهُمْ ۚ لَهُمْ جَنَّـٰتٌ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَآ أَبَدًا ۚ رَّضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '119','verse_key' => '5:119','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '101','manzil_number' => '2','sajdah_number' => '0','page_number' => '127','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '789','chapter_id' => '5','arabic_name' => 'لِلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا فِيهِنَّ ۚ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌۢ','verse_number' => '120','verse_key' => '5:120','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '101','manzil_number' => '2','sajdah_number' => '0','page_number' => '127','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '790','chapter_id' => '6','arabic_name' => 'ٱلْحَمْدُ لِلَّهِ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَجَعَلَ ٱلظُّلُمَـٰتِ وَٱلنُّورَ ۖ ثُمَّ ٱلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ يَعْدِلُونَ','verse_number' => '1','verse_key' => '6:1','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '791','chapter_id' => '6','arabic_name' => 'هُوَ ٱلَّذِى خَلَقَكُم مِّن طِينٍ ثُمَّ قَضَىٰٓ أَجَلًا ۖ وَأَجَلٌ مُّسَمًّى عِندَهُۥ ۖ ثُمَّ أَنتُمْ تَمْتَرُونَ','verse_number' => '2','verse_key' => '6:2','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '792','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱللَّهُ فِى ٱلسَّمَـٰوَٰتِ وَفِى ٱلْأَرْضِ ۖ يَعْلَمُ سِرَّكُمْ وَجَهْرَكُمْ وَيَعْلَمُ مَا تَكْسِبُونَ','verse_number' => '3','verse_key' => '6:3','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '793','chapter_id' => '6','arabic_name' => 'وَمَا تَأْتِيهِم مِّنْ ءَايَةٍ مِّنْ ءَايَـٰتِ رَبِّهِمْ إِلَّا كَانُوا۟ عَنْهَا مُعْرِضِينَ','verse_number' => '4','verse_key' => '6:4','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '794','chapter_id' => '6','arabic_name' => 'فَقَدْ كَذَّبُوا۟ بِٱلْحَقِّ لَمَّا جَآءَهُمْ ۖ فَسَوْفَ يَأْتِيهِمْ أَنۢبَـٰٓؤُا۟ مَا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '5','verse_key' => '6:5','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '795','chapter_id' => '6','arabic_name' => 'أَلَمْ يَرَوْا۟ كَمْ أَهْلَكْنَا مِن قَبْلِهِم مِّن قَرْنٍ مَّكَّنَّـٰهُمْ فِى ٱلْأَرْضِ مَا لَمْ نُمَكِّن لَّكُمْ وَأَرْسَلْنَا ٱلسَّمَآءَ عَلَيْهِم مِّدْرَارًا وَجَعَلْنَا ٱلْأَنْهَـٰرَ تَجْرِى مِن تَحْتِهِمْ فَأَهْلَكْنَـٰهُم بِذُنُوبِهِمْ وَأَنشَأْنَا مِنۢ بَعْدِهِمْ قَرْنًا ءَاخَرِينَ','verse_number' => '6','verse_key' => '6:6','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '796','chapter_id' => '6','arabic_name' => 'وَلَوْ نَزَّلْنَا عَلَيْكَ كِتَـٰبًا فِى قِرْطَاسٍ فَلَمَسُوهُ بِأَيْدِيهِمْ لَقَالَ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَـٰذَآ إِلَّا سِحْرٌ مُّبِينٌ','verse_number' => '7','verse_key' => '6:7','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '797','chapter_id' => '6','arabic_name' => 'وَقَالُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ مَلَكٌ ۖ وَلَوْ أَنزَلْنَا مَلَكًا لَّقُضِىَ ٱلْأَمْرُ ثُمَّ لَا يُنظَرُونَ','verse_number' => '8','verse_key' => '6:8','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '128','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '798','chapter_id' => '6','arabic_name' => 'وَلَوْ جَعَلْنَـٰهُ مَلَكًا لَّجَعَلْنَـٰهُ رَجُلًا وَلَلَبَسْنَا عَلَيْهِم مَّا يَلْبِسُونَ','verse_number' => '9','verse_key' => '6:9','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '799','chapter_id' => '6','arabic_name' => 'وَلَقَدِ ٱسْتُهْزِئَ بِرُسُلٍ مِّن قَبْلِكَ فَحَاقَ بِٱلَّذِينَ سَخِرُوا۟ مِنْهُم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '10','verse_key' => '6:10','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '102','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '800','chapter_id' => '6','arabic_name' => 'قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ ثُمَّ ٱنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُكَذِّبِينَ','verse_number' => '11','verse_key' => '6:11','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '801','chapter_id' => '6','arabic_name' => 'قُل لِّمَن مَّا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ قُل لِّلَّهِ ۚ كَتَبَ عَلَىٰ نَفْسِهِ ٱلرَّحْمَةَ ۚ لَيَجْمَعَنَّكُمْ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ لَا رَيْبَ فِيهِ ۚ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ فَهُمْ لَا يُؤْمِنُونَ','verse_number' => '12','verse_key' => '6:12','hizb_number' => '13','rub_el_hizb_number' => '51','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '802','chapter_id' => '6','arabic_name' => '۞ وَلَهُۥ مَا سَكَنَ فِى ٱلَّيْلِ وَٱلنَّهَارِ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '13','verse_key' => '6:13','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '803','chapter_id' => '6','arabic_name' => 'قُلْ أَغَيْرَ ٱللَّهِ أَتَّخِذُ وَلِيًّا فَاطِرِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَهُوَ يُطْعِمُ وَلَا يُطْعَمُ ۗ قُلْ إِنِّىٓ أُمِرْتُ أَنْ أَكُونَ أَوَّلَ مَنْ أَسْلَمَ ۖ وَلَا تَكُونَنَّ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '14','verse_key' => '6:14','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '804','chapter_id' => '6','arabic_name' => 'قُلْ إِنِّىٓ أَخَافُ إِنْ عَصَيْتُ رَبِّى عَذَابَ يَوْمٍ عَظِيمٍ','verse_number' => '15','verse_key' => '6:15','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '805','chapter_id' => '6','arabic_name' => 'مَّن يُصْرَفْ عَنْهُ يَوْمَئِذٍ فَقَدْ رَحِمَهُۥ ۚ وَذَٰلِكَ ٱلْفَوْزُ ٱلْمُبِينُ','verse_number' => '16','verse_key' => '6:16','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '806','chapter_id' => '6','arabic_name' => 'وَإِن يَمْسَسْكَ ٱللَّهُ بِضُرٍّ فَلَا كَاشِفَ لَهُۥٓ إِلَّا هُوَ ۖ وَإِن يَمْسَسْكَ بِخَيْرٍ فَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '17','verse_key' => '6:17','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '807','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلْقَاهِرُ فَوْقَ عِبَادِهِۦ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْخَبِيرُ','verse_number' => '18','verse_key' => '6:18','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '129','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '808','chapter_id' => '6','arabic_name' => 'قُلْ أَىُّ شَىْءٍ أَكْبَرُ شَهَـٰدَةً ۖ قُلِ ٱللَّهُ ۖ شَهِيدٌۢ بَيْنِى وَبَيْنَكُمْ ۚ وَأُوحِىَ إِلَىَّ هَـٰذَا ٱلْقُرْءَانُ لِأُنذِرَكُم بِهِۦ وَمَنۢ بَلَغَ ۚ أَئِنَّكُمْ لَتَشْهَدُونَ أَنَّ مَعَ ٱللَّهِ ءَالِهَةً أُخْرَىٰ ۚ قُل لَّآ أَشْهَدُ ۚ قُلْ إِنَّمَا هُوَ إِلَـٰهٌ وَٰحِدٌ وَإِنَّنِى بَرِىٓءٌ مِّمَّا تُشْرِكُونَ','verse_number' => '19','verse_key' => '6:19','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '809','chapter_id' => '6','arabic_name' => 'ٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ يَعْرِفُونَهُۥ كَمَا يَعْرِفُونَ أَبْنَآءَهُمُ ۘ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ فَهُمْ لَا يُؤْمِنُونَ','verse_number' => '20','verse_key' => '6:20','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '103','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '810','chapter_id' => '6','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِـَٔايَـٰتِهِۦٓ ۗ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّـٰلِمُونَ','verse_number' => '21','verse_key' => '6:21','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '811','chapter_id' => '6','arabic_name' => 'وَيَوْمَ نَحْشُرُهُمْ جَمِيعًا ثُمَّ نَقُولُ لِلَّذِينَ أَشْرَكُوٓا۟ أَيْنَ شُرَكَآؤُكُمُ ٱلَّذِينَ كُنتُمْ تَزْعُمُونَ','verse_number' => '22','verse_key' => '6:22','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '812','chapter_id' => '6','arabic_name' => 'ثُمَّ لَمْ تَكُن فِتْنَتُهُمْ إِلَّآ أَن قَالُوا۟ وَٱللَّهِ رَبِّنَا مَا كُنَّا مُشْرِكِينَ','verse_number' => '23','verse_key' => '6:23','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '813','chapter_id' => '6','arabic_name' => 'ٱنظُرْ كَيْفَ كَذَبُوا۟ عَلَىٰٓ أَنفُسِهِمْ ۚ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '24','verse_key' => '6:24','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '814','chapter_id' => '6','arabic_name' => 'وَمِنْهُم مَّن يَسْتَمِعُ إِلَيْكَ ۖ وَجَعَلْنَا عَلَىٰ قُلُوبِهِمْ أَكِنَّةً أَن يَفْقَهُوهُ وَفِىٓ ءَاذَانِهِمْ وَقْرًا ۚ وَإِن يَرَوْا۟ كُلَّ ءَايَةٍ لَّا يُؤْمِنُوا۟ بِهَا ۚ حَتَّىٰٓ إِذَا جَآءُوكَ يُجَـٰدِلُونَكَ يَقُولُ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَـٰذَآ إِلَّآ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '25','verse_key' => '6:25','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '815','chapter_id' => '6','arabic_name' => 'وَهُمْ يَنْهَوْنَ عَنْهُ وَيَنْـَٔوْنَ عَنْهُ ۖ وَإِن يُهْلِكُونَ إِلَّآ أَنفُسَهُمْ وَمَا يَشْعُرُونَ','verse_number' => '26','verse_key' => '6:26','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '816','chapter_id' => '6','arabic_name' => 'وَلَوْ تَرَىٰٓ إِذْ وُقِفُوا۟ عَلَى ٱلنَّارِ فَقَالُوا۟ يَـٰلَيْتَنَا نُرَدُّ وَلَا نُكَذِّبَ بِـَٔايَـٰتِ رَبِّنَا وَنَكُونَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '27','verse_key' => '6:27','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '130','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '817','chapter_id' => '6','arabic_name' => 'بَلْ بَدَا لَهُم مَّا كَانُوا۟ يُخْفُونَ مِن قَبْلُ ۖ وَلَوْ رُدُّوا۟ لَعَادُوا۟ لِمَا نُهُوا۟ عَنْهُ وَإِنَّهُمْ لَكَـٰذِبُونَ','verse_number' => '28','verse_key' => '6:28','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '818','chapter_id' => '6','arabic_name' => 'وَقَالُوٓا۟ إِنْ هِىَ إِلَّا حَيَاتُنَا ٱلدُّنْيَا وَمَا نَحْنُ بِمَبْعُوثِينَ','verse_number' => '29','verse_key' => '6:29','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '819','chapter_id' => '6','arabic_name' => 'وَلَوْ تَرَىٰٓ إِذْ وُقِفُوا۟ عَلَىٰ رَبِّهِمْ ۚ قَالَ أَلَيْسَ هَـٰذَا بِٱلْحَقِّ ۚ قَالُوا۟ بَلَىٰ وَرَبِّنَا ۚ قَالَ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ','verse_number' => '30','verse_key' => '6:30','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '104','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '820','chapter_id' => '6','arabic_name' => 'قَدْ خَسِرَ ٱلَّذِينَ كَذَّبُوا۟ بِلِقَآءِ ٱللَّهِ ۖ حَتَّىٰٓ إِذَا جَآءَتْهُمُ ٱلسَّاعَةُ بَغْتَةً قَالُوا۟ يَـٰحَسْرَتَنَا عَلَىٰ مَا فَرَّطْنَا فِيهَا وَهُمْ يَحْمِلُونَ أَوْزَارَهُمْ عَلَىٰ ظُهُورِهِمْ ۚ أَلَا سَآءَ مَا يَزِرُونَ','verse_number' => '31','verse_key' => '6:31','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '821','chapter_id' => '6','arabic_name' => 'وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا لَعِبٌ وَلَهْوٌ ۖ وَلَلدَّارُ ٱلْـَٔاخِرَةُ خَيْرٌ لِّلَّذِينَ يَتَّقُونَ ۗ أَفَلَا تَعْقِلُونَ','verse_number' => '32','verse_key' => '6:32','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:04','updated_at' => '2023-12-01 17:30:04'),
            array('id' => '822','chapter_id' => '6','arabic_name' => 'قَدْ نَعْلَمُ إِنَّهُۥ لَيَحْزُنُكَ ٱلَّذِى يَقُولُونَ ۖ فَإِنَّهُمْ لَا يُكَذِّبُونَكَ وَلَـٰكِنَّ ٱلظَّـٰلِمِينَ بِـَٔايَـٰتِ ٱللَّهِ يَجْحَدُونَ','verse_number' => '33','verse_key' => '6:33','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '823','chapter_id' => '6','arabic_name' => 'وَلَقَدْ كُذِّبَتْ رُسُلٌ مِّن قَبْلِكَ فَصَبَرُوا۟ عَلَىٰ مَا كُذِّبُوا۟ وَأُوذُوا۟ حَتَّىٰٓ أَتَىٰهُمْ نَصْرُنَا ۚ وَلَا مُبَدِّلَ لِكَلِمَـٰتِ ٱللَّهِ ۚ وَلَقَدْ جَآءَكَ مِن نَّبَإِى۟ ٱلْمُرْسَلِينَ','verse_number' => '34','verse_key' => '6:34','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '824','chapter_id' => '6','arabic_name' => 'وَإِن كَانَ كَبُرَ عَلَيْكَ إِعْرَاضُهُمْ فَإِنِ ٱسْتَطَعْتَ أَن تَبْتَغِىَ نَفَقًا فِى ٱلْأَرْضِ أَوْ سُلَّمًا فِى ٱلسَّمَآءِ فَتَأْتِيَهُم بِـَٔايَةٍ ۚ وَلَوْ شَآءَ ٱللَّهُ لَجَمَعَهُمْ عَلَى ٱلْهُدَىٰ ۚ فَلَا تَكُونَنَّ مِنَ ٱلْجَـٰهِلِينَ','verse_number' => '35','verse_key' => '6:35','hizb_number' => '13','rub_el_hizb_number' => '52','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '131','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '825','chapter_id' => '6','arabic_name' => '۞ إِنَّمَا يَسْتَجِيبُ ٱلَّذِينَ يَسْمَعُونَ ۘ وَٱلْمَوْتَىٰ يَبْعَثُهُمُ ٱللَّهُ ثُمَّ إِلَيْهِ يُرْجَعُونَ','verse_number' => '36','verse_key' => '6:36','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '826','chapter_id' => '6','arabic_name' => 'وَقَالُوا۟ لَوْلَا نُزِّلَ عَلَيْهِ ءَايَةٌ مِّن رَّبِّهِۦ ۚ قُلْ إِنَّ ٱللَّهَ قَادِرٌ عَلَىٰٓ أَن يُنَزِّلَ ءَايَةً وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '37','verse_key' => '6:37','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '827','chapter_id' => '6','arabic_name' => 'وَمَا مِن دَآبَّةٍ فِى ٱلْأَرْضِ وَلَا طَـٰٓئِرٍ يَطِيرُ بِجَنَاحَيْهِ إِلَّآ أُمَمٌ أَمْثَالُكُم ۚ مَّا فَرَّطْنَا فِى ٱلْكِتَـٰبِ مِن شَىْءٍ ۚ ثُمَّ إِلَىٰ رَبِّهِمْ يُحْشَرُونَ','verse_number' => '38','verse_key' => '6:38','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '828','chapter_id' => '6','arabic_name' => 'وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا صُمٌّ وَبُكْمٌ فِى ٱلظُّلُمَـٰتِ ۗ مَن يَشَإِ ٱللَّهُ يُضْلِلْهُ وَمَن يَشَأْ يَجْعَلْهُ عَلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '39','verse_key' => '6:39','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '829','chapter_id' => '6','arabic_name' => 'قُلْ أَرَءَيْتَكُمْ إِنْ أَتَىٰكُمْ عَذَابُ ٱللَّهِ أَوْ أَتَتْكُمُ ٱلسَّاعَةُ أَغَيْرَ ٱللَّهِ تَدْعُونَ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '40','verse_key' => '6:40','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '830','chapter_id' => '6','arabic_name' => 'بَلْ إِيَّاهُ تَدْعُونَ فَيَكْشِفُ مَا تَدْعُونَ إِلَيْهِ إِن شَآءَ وَتَنسَوْنَ مَا تُشْرِكُونَ','verse_number' => '41','verse_key' => '6:41','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '105','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '831','chapter_id' => '6','arabic_name' => 'وَلَقَدْ أَرْسَلْنَآ إِلَىٰٓ أُمَمٍ مِّن قَبْلِكَ فَأَخَذْنَـٰهُم بِٱلْبَأْسَآءِ وَٱلضَّرَّآءِ لَعَلَّهُمْ يَتَضَرَّعُونَ','verse_number' => '42','verse_key' => '6:42','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '832','chapter_id' => '6','arabic_name' => 'فَلَوْلَآ إِذْ جَآءَهُم بَأْسُنَا تَضَرَّعُوا۟ وَلَـٰكِن قَسَتْ قُلُوبُهُمْ وَزَيَّنَ لَهُمُ ٱلشَّيْطَـٰنُ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '43','verse_key' => '6:43','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '833','chapter_id' => '6','arabic_name' => 'فَلَمَّا نَسُوا۟ مَا ذُكِّرُوا۟ بِهِۦ فَتَحْنَا عَلَيْهِمْ أَبْوَٰبَ كُلِّ شَىْءٍ حَتَّىٰٓ إِذَا فَرِحُوا۟ بِمَآ أُوتُوٓا۟ أَخَذْنَـٰهُم بَغْتَةً فَإِذَا هُم مُّبْلِسُونَ','verse_number' => '44','verse_key' => '6:44','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '132','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '834','chapter_id' => '6','arabic_name' => 'فَقُطِعَ دَابِرُ ٱلْقَوْمِ ٱلَّذِينَ ظَلَمُوا۟ ۚ وَٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '45','verse_key' => '6:45','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '835','chapter_id' => '6','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِنْ أَخَذَ ٱللَّهُ سَمْعَكُمْ وَأَبْصَـٰرَكُمْ وَخَتَمَ عَلَىٰ قُلُوبِكُم مَّنْ إِلَـٰهٌ غَيْرُ ٱللَّهِ يَأْتِيكُم بِهِ ۗ ٱنظُرْ كَيْفَ نُصَرِّفُ ٱلْـَٔايَـٰتِ ثُمَّ هُمْ يَصْدِفُونَ','verse_number' => '46','verse_key' => '6:46','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '836','chapter_id' => '6','arabic_name' => 'قُلْ أَرَءَيْتَكُمْ إِنْ أَتَىٰكُمْ عَذَابُ ٱللَّهِ بَغْتَةً أَوْ جَهْرَةً هَلْ يُهْلَكُ إِلَّا ٱلْقَوْمُ ٱلظَّـٰلِمُونَ','verse_number' => '47','verse_key' => '6:47','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '837','chapter_id' => '6','arabic_name' => 'وَمَا نُرْسِلُ ٱلْمُرْسَلِينَ إِلَّا مُبَشِّرِينَ وَمُنذِرِينَ ۖ فَمَنْ ءَامَنَ وَأَصْلَحَ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '48','verse_key' => '6:48','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '838','chapter_id' => '6','arabic_name' => 'وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا يَمَسُّهُمُ ٱلْعَذَابُ بِمَا كَانُوا۟ يَفْسُقُونَ','verse_number' => '49','verse_key' => '6:49','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '839','chapter_id' => '6','arabic_name' => 'قُل لَّآ أَقُولُ لَكُمْ عِندِى خَزَآئِنُ ٱللَّهِ وَلَآ أَعْلَمُ ٱلْغَيْبَ وَلَآ أَقُولُ لَكُمْ إِنِّى مَلَكٌ ۖ إِنْ أَتَّبِعُ إِلَّا مَا يُوحَىٰٓ إِلَىَّ ۚ قُلْ هَلْ يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ ۚ أَفَلَا تَتَفَكَّرُونَ','verse_number' => '50','verse_key' => '6:50','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '106','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '840','chapter_id' => '6','arabic_name' => 'وَأَنذِرْ بِهِ ٱلَّذِينَ يَخَافُونَ أَن يُحْشَرُوٓا۟ إِلَىٰ رَبِّهِمْ ۙ لَيْسَ لَهُم مِّن دُونِهِۦ وَلِىٌّ وَلَا شَفِيعٌ لَّعَلَّهُمْ يَتَّقُونَ','verse_number' => '51','verse_key' => '6:51','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '107','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '841','chapter_id' => '6','arabic_name' => 'وَلَا تَطْرُدِ ٱلَّذِينَ يَدْعُونَ رَبَّهُم بِٱلْغَدَوٰةِ وَٱلْعَشِىِّ يُرِيدُونَ وَجْهَهُۥ ۖ مَا عَلَيْكَ مِنْ حِسَابِهِم مِّن شَىْءٍ وَمَا مِنْ حِسَابِكَ عَلَيْهِم مِّن شَىْءٍ فَتَطْرُدَهُمْ فَتَكُونَ مِنَ ٱلظَّـٰلِمِينَ','verse_number' => '52','verse_key' => '6:52','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '107','manzil_number' => '2','sajdah_number' => '0','page_number' => '133','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '842','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ فَتَنَّا بَعْضَهُم بِبَعْضٍ لِّيَقُولُوٓا۟ أَهَـٰٓؤُلَآءِ مَنَّ ٱللَّهُ عَلَيْهِم مِّنۢ بَيْنِنَآ ۗ أَلَيْسَ ٱللَّهُ بِأَعْلَمَ بِٱلشَّـٰكِرِينَ','verse_number' => '53','verse_key' => '6:53','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '107','manzil_number' => '2','sajdah_number' => '0','page_number' => '134','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '843','chapter_id' => '6','arabic_name' => 'وَإِذَا جَآءَكَ ٱلَّذِينَ يُؤْمِنُونَ بِـَٔايَـٰتِنَا فَقُلْ سَلَـٰمٌ عَلَيْكُمْ ۖ كَتَبَ رَبُّكُمْ عَلَىٰ نَفْسِهِ ٱلرَّحْمَةَ ۖ أَنَّهُۥ مَنْ عَمِلَ مِنكُمْ سُوٓءًۢا بِجَهَـٰلَةٍ ثُمَّ تَابَ مِنۢ بَعْدِهِۦ وَأَصْلَحَ فَأَنَّهُۥ غَفُورٌ رَّحِيمٌ','verse_number' => '54','verse_key' => '6:54','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '107','manzil_number' => '2','sajdah_number' => '0','page_number' => '134','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '844','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ نُفَصِّلُ ٱلْـَٔايَـٰتِ وَلِتَسْتَبِينَ سَبِيلُ ٱلْمُجْرِمِينَ','verse_number' => '55','verse_key' => '6:55','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '107','manzil_number' => '2','sajdah_number' => '0','page_number' => '134','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '845','chapter_id' => '6','arabic_name' => 'قُلْ إِنِّى نُهِيتُ أَنْ أَعْبُدَ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ ۚ قُل لَّآ أَتَّبِعُ أَهْوَآءَكُمْ ۙ قَدْ ضَلَلْتُ إِذًا وَمَآ أَنَا۠ مِنَ ٱلْمُهْتَدِينَ','verse_number' => '56','verse_key' => '6:56','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '108','manzil_number' => '2','sajdah_number' => '0','page_number' => '134','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '846','chapter_id' => '6','arabic_name' => 'قُلْ إِنِّى عَلَىٰ بَيِّنَةٍ مِّن رَّبِّى وَكَذَّبْتُم بِهِۦ ۚ مَا عِندِى مَا تَسْتَعْجِلُونَ بِهِۦٓ ۚ إِنِ ٱلْحُكْمُ إِلَّا لِلَّهِ ۖ يَقُصُّ ٱلْحَقَّ ۖ وَهُوَ خَيْرُ ٱلْفَـٰصِلِينَ','verse_number' => '57','verse_key' => '6:57','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '108','manzil_number' => '2','sajdah_number' => '0','page_number' => '134','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '847','chapter_id' => '6','arabic_name' => 'قُل لَّوْ أَنَّ عِندِى مَا تَسْتَعْجِلُونَ بِهِۦ لَقُضِىَ ٱلْأَمْرُ بَيْنِى وَبَيْنَكُمْ ۗ وَٱللَّهُ أَعْلَمُ بِٱلظَّـٰلِمِينَ','verse_number' => '58','verse_key' => '6:58','hizb_number' => '14','rub_el_hizb_number' => '53','ruku_number' => '108','manzil_number' => '2','sajdah_number' => '0','page_number' => '134','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '848','chapter_id' => '6','arabic_name' => '۞ وَعِندَهُۥ مَفَاتِحُ ٱلْغَيْبِ لَا يَعْلَمُهَآ إِلَّا هُوَ ۚ وَيَعْلَمُ مَا فِى ٱلْبَرِّ وَٱلْبَحْرِ ۚ وَمَا تَسْقُطُ مِن وَرَقَةٍ إِلَّا يَعْلَمُهَا وَلَا حَبَّةٍ فِى ظُلُمَـٰتِ ٱلْأَرْضِ وَلَا رَطْبٍ وَلَا يَابِسٍ إِلَّا فِى كِتَـٰبٍ مُّبِينٍ','verse_number' => '59','verse_key' => '6:59','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '108','manzil_number' => '2','sajdah_number' => '0','page_number' => '134','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '849','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلَّذِى يَتَوَفَّىٰكُم بِٱلَّيْلِ وَيَعْلَمُ مَا جَرَحْتُم بِٱلنَّهَارِ ثُمَّ يَبْعَثُكُمْ فِيهِ لِيُقْضَىٰٓ أَجَلٌ مُّسَمًّى ۖ ثُمَّ إِلَيْهِ مَرْجِعُكُمْ ثُمَّ يُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '60','verse_key' => '6:60','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '108','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '850','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلْقَاهِرُ فَوْقَ عِبَادِهِۦ ۖ وَيُرْسِلُ عَلَيْكُمْ حَفَظَةً حَتَّىٰٓ إِذَا جَآءَ أَحَدَكُمُ ٱلْمَوْتُ تَوَفَّتْهُ رُسُلُنَا وَهُمْ لَا يُفَرِّطُونَ','verse_number' => '61','verse_key' => '6:61','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '851','chapter_id' => '6','arabic_name' => 'ثُمَّ رُدُّوٓا۟ إِلَى ٱللَّهِ مَوْلَىٰهُمُ ٱلْحَقِّ ۚ أَلَا لَهُ ٱلْحُكْمُ وَهُوَ أَسْرَعُ ٱلْحَـٰسِبِينَ','verse_number' => '62','verse_key' => '6:62','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '852','chapter_id' => '6','arabic_name' => 'قُلْ مَن يُنَجِّيكُم مِّن ظُلُمَـٰتِ ٱلْبَرِّ وَٱلْبَحْرِ تَدْعُونَهُۥ تَضَرُّعًا وَخُفْيَةً لَّئِنْ أَنجَىٰنَا مِنْ هَـٰذِهِۦ لَنَكُونَنَّ مِنَ ٱلشَّـٰكِرِينَ','verse_number' => '63','verse_key' => '6:63','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '853','chapter_id' => '6','arabic_name' => 'قُلِ ٱللَّهُ يُنَجِّيكُم مِّنْهَا وَمِن كُلِّ كَرْبٍ ثُمَّ أَنتُمْ تُشْرِكُونَ','verse_number' => '64','verse_key' => '6:64','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '854','chapter_id' => '6','arabic_name' => 'قُلْ هُوَ ٱلْقَادِرُ عَلَىٰٓ أَن يَبْعَثَ عَلَيْكُمْ عَذَابًا مِّن فَوْقِكُمْ أَوْ مِن تَحْتِ أَرْجُلِكُمْ أَوْ يَلْبِسَكُمْ شِيَعًا وَيُذِيقَ بَعْضَكُم بَأْسَ بَعْضٍ ۗ ٱنظُرْ كَيْفَ نُصَرِّفُ ٱلْـَٔايَـٰتِ لَعَلَّهُمْ يَفْقَهُونَ','verse_number' => '65','verse_key' => '6:65','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '855','chapter_id' => '6','arabic_name' => 'وَكَذَّبَ بِهِۦ قَوْمُكَ وَهُوَ ٱلْحَقُّ ۚ قُل لَّسْتُ عَلَيْكُم بِوَكِيلٍ','verse_number' => '66','verse_key' => '6:66','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '856','chapter_id' => '6','arabic_name' => 'لِّكُلِّ نَبَإٍ مُّسْتَقَرٌّ ۚ وَسَوْفَ تَعْلَمُونَ','verse_number' => '67','verse_key' => '6:67','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '857','chapter_id' => '6','arabic_name' => 'وَإِذَا رَأَيْتَ ٱلَّذِينَ يَخُوضُونَ فِىٓ ءَايَـٰتِنَا فَأَعْرِضْ عَنْهُمْ حَتَّىٰ يَخُوضُوا۟ فِى حَدِيثٍ غَيْرِهِۦ ۚ وَإِمَّا يُنسِيَنَّكَ ٱلشَّيْطَـٰنُ فَلَا تَقْعُدْ بَعْدَ ٱلذِّكْرَىٰ مَعَ ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '68','verse_key' => '6:68','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '135','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '858','chapter_id' => '6','arabic_name' => 'وَمَا عَلَى ٱلَّذِينَ يَتَّقُونَ مِنْ حِسَابِهِم مِّن شَىْءٍ وَلَـٰكِن ذِكْرَىٰ لَعَلَّهُمْ يَتَّقُونَ','verse_number' => '69','verse_key' => '6:69','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '136','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '859','chapter_id' => '6','arabic_name' => 'وَذَرِ ٱلَّذِينَ ٱتَّخَذُوا۟ دِينَهُمْ لَعِبًا وَلَهْوًا وَغَرَّتْهُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۚ وَذَكِّرْ بِهِۦٓ أَن تُبْسَلَ نَفْسٌۢ بِمَا كَسَبَتْ لَيْسَ لَهَا مِن دُونِ ٱللَّهِ وَلِىٌّ وَلَا شَفِيعٌ وَإِن تَعْدِلْ كُلَّ عَدْلٍ لَّا يُؤْخَذْ مِنْهَآ ۗ أُو۟لَـٰٓئِكَ ٱلَّذِينَ أُبْسِلُوا۟ بِمَا كَسَبُوا۟ ۖ لَهُمْ شَرَابٌ مِّنْ حَمِيمٍ وَعَذَابٌ أَلِيمٌۢ بِمَا كَانُوا۟ يَكْفُرُونَ','verse_number' => '70','verse_key' => '6:70','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '109','manzil_number' => '2','sajdah_number' => '0','page_number' => '136','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '860','chapter_id' => '6','arabic_name' => 'قُلْ أَنَدْعُوا۟ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُنَا وَلَا يَضُرُّنَا وَنُرَدُّ عَلَىٰٓ أَعْقَابِنَا بَعْدَ إِذْ هَدَىٰنَا ٱللَّهُ كَٱلَّذِى ٱسْتَهْوَتْهُ ٱلشَّيَـٰطِينُ فِى ٱلْأَرْضِ حَيْرَانَ لَهُۥٓ أَصْحَـٰبٌ يَدْعُونَهُۥٓ إِلَى ٱلْهُدَى ٱئْتِنَا ۗ قُلْ إِنَّ هُدَى ٱللَّهِ هُوَ ٱلْهُدَىٰ ۖ وَأُمِرْنَا لِنُسْلِمَ لِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '71','verse_key' => '6:71','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '136','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '861','chapter_id' => '6','arabic_name' => 'وَأَنْ أَقِيمُوا۟ ٱلصَّلَوٰةَ وَٱتَّقُوهُ ۚ وَهُوَ ٱلَّذِىٓ إِلَيْهِ تُحْشَرُونَ','verse_number' => '72','verse_key' => '6:72','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '136','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '862','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۖ وَيَوْمَ يَقُولُ كُن فَيَكُونُ ۚ قَوْلُهُ ٱلْحَقُّ ۚ وَلَهُ ٱلْمُلْكُ يَوْمَ يُنفَخُ فِى ٱلصُّورِ ۚ عَـٰلِمُ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْخَبِيرُ','verse_number' => '73','verse_key' => '6:73','hizb_number' => '14','rub_el_hizb_number' => '54','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '136','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '863','chapter_id' => '6','arabic_name' => '۞ وَإِذْ قَالَ إِبْرَٰهِيمُ لِأَبِيهِ ءَازَرَ أَتَتَّخِذُ أَصْنَامًا ءَالِهَةً ۖ إِنِّىٓ أَرَىٰكَ وَقَوْمَكَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '74','verse_key' => '6:74','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '864','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ نُرِىٓ إِبْرَٰهِيمَ مَلَكُوتَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَلِيَكُونَ مِنَ ٱلْمُوقِنِينَ','verse_number' => '75','verse_key' => '6:75','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '865','chapter_id' => '6','arabic_name' => 'فَلَمَّا جَنَّ عَلَيْهِ ٱلَّيْلُ رَءَا كَوْكَبًا ۖ قَالَ هَـٰذَا رَبِّى ۖ فَلَمَّآ أَفَلَ قَالَ لَآ أُحِبُّ ٱلْـَٔافِلِينَ','verse_number' => '76','verse_key' => '6:76','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '866','chapter_id' => '6','arabic_name' => 'فَلَمَّا رَءَا ٱلْقَمَرَ بَازِغًا قَالَ هَـٰذَا رَبِّى ۖ فَلَمَّآ أَفَلَ قَالَ لَئِن لَّمْ يَهْدِنِى رَبِّى لَأَكُونَنَّ مِنَ ٱلْقَوْمِ ٱلضَّآلِّينَ','verse_number' => '77','verse_key' => '6:77','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '867','chapter_id' => '6','arabic_name' => 'فَلَمَّا رَءَا ٱلشَّمْسَ بَازِغَةً قَالَ هَـٰذَا رَبِّى هَـٰذَآ أَكْبَرُ ۖ فَلَمَّآ أَفَلَتْ قَالَ يَـٰقَوْمِ إِنِّى بَرِىٓءٌ مِّمَّا تُشْرِكُونَ','verse_number' => '78','verse_key' => '6:78','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '868','chapter_id' => '6','arabic_name' => 'إِنِّى وَجَّهْتُ وَجْهِىَ لِلَّذِى فَطَرَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ حَنِيفًا ۖ وَمَآ أَنَا۠ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '79','verse_key' => '6:79','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '869','chapter_id' => '6','arabic_name' => 'وَحَآجَّهُۥ قَوْمُهُۥ ۚ قَالَ أَتُحَـٰٓجُّوٓنِّى فِى ٱللَّهِ وَقَدْ هَدَىٰنِ ۚ وَلَآ أَخَافُ مَا تُشْرِكُونَ بِهِۦٓ إِلَّآ أَن يَشَآءَ رَبِّى شَيْـًٔا ۗ وَسِعَ رَبِّى كُلَّ شَىْءٍ عِلْمًا ۗ أَفَلَا تَتَذَكَّرُونَ','verse_number' => '80','verse_key' => '6:80','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '870','chapter_id' => '6','arabic_name' => 'وَكَيْفَ أَخَافُ مَآ أَشْرَكْتُمْ وَلَا تَخَافُونَ أَنَّكُمْ أَشْرَكْتُم بِٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ عَلَيْكُمْ سُلْطَـٰنًا ۚ فَأَىُّ ٱلْفَرِيقَيْنِ أَحَقُّ بِٱلْأَمْنِ ۖ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '81','verse_key' => '6:81','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '137','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '871','chapter_id' => '6','arabic_name' => 'ٱلَّذِينَ ءَامَنُوا۟ وَلَمْ يَلْبِسُوٓا۟ إِيمَـٰنَهُم بِظُلْمٍ أُو۟لَـٰٓئِكَ لَهُمُ ٱلْأَمْنُ وَهُم مُّهْتَدُونَ','verse_number' => '82','verse_key' => '6:82','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '110','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '872','chapter_id' => '6','arabic_name' => 'وَتِلْكَ حُجَّتُنَآ ءَاتَيْنَـٰهَآ إِبْرَٰهِيمَ عَلَىٰ قَوْمِهِۦ ۚ نَرْفَعُ دَرَجَـٰتٍ مَّن نَّشَآءُ ۗ إِنَّ رَبَّكَ حَكِيمٌ عَلِيمٌ','verse_number' => '83','verse_key' => '6:83','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '873','chapter_id' => '6','arabic_name' => 'وَوَهَبْنَا لَهُۥٓ إِسْحَـٰقَ وَيَعْقُوبَ ۚ كُلًّا هَدَيْنَا ۚ وَنُوحًا هَدَيْنَا مِن قَبْلُ ۖ وَمِن ذُرِّيَّتِهِۦ دَاوُۥدَ وَسُلَيْمَـٰنَ وَأَيُّوبَ وَيُوسُفَ وَمُوسَىٰ وَهَـٰرُونَ ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '84','verse_key' => '6:84','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '874','chapter_id' => '6','arabic_name' => 'وَزَكَرِيَّا وَيَحْيَىٰ وَعِيسَىٰ وَإِلْيَاسَ ۖ كُلٌّ مِّنَ ٱلصَّـٰلِحِينَ','verse_number' => '85','verse_key' => '6:85','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '875','chapter_id' => '6','arabic_name' => 'وَإِسْمَـٰعِيلَ وَٱلْيَسَعَ وَيُونُسَ وَلُوطًا ۚ وَكُلًّا فَضَّلْنَا عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '86','verse_key' => '6:86','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '876','chapter_id' => '6','arabic_name' => 'وَمِنْ ءَابَآئِهِمْ وَذُرِّيَّـٰتِهِمْ وَإِخْوَٰنِهِمْ ۖ وَٱجْتَبَيْنَـٰهُمْ وَهَدَيْنَـٰهُمْ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '87','verse_key' => '6:87','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '877','chapter_id' => '6','arabic_name' => 'ذَٰلِكَ هُدَى ٱللَّهِ يَهْدِى بِهِۦ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۚ وَلَوْ أَشْرَكُوا۟ لَحَبِطَ عَنْهُم مَّا كَانُوا۟ يَعْمَلُونَ','verse_number' => '88','verse_key' => '6:88','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '878','chapter_id' => '6','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ وَٱلْحُكْمَ وَٱلنُّبُوَّةَ ۚ فَإِن يَكْفُرْ بِهَا هَـٰٓؤُلَآءِ فَقَدْ وَكَّلْنَا بِهَا قَوْمًا لَّيْسُوا۟ بِهَا بِكَـٰفِرِينَ','verse_number' => '89','verse_key' => '6:89','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '879','chapter_id' => '6','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ هَدَى ٱللَّهُ ۖ فَبِهُدَىٰهُمُ ٱقْتَدِهْ ۗ قُل لَّآ أَسْـَٔلُكُمْ عَلَيْهِ أَجْرًا ۖ إِنْ هُوَ إِلَّا ذِكْرَىٰ لِلْعَـٰلَمِينَ','verse_number' => '90','verse_key' => '6:90','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '111','manzil_number' => '2','sajdah_number' => '0','page_number' => '138','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '880','chapter_id' => '6','arabic_name' => 'وَمَا قَدَرُوا۟ ٱللَّهَ حَقَّ قَدْرِهِۦٓ إِذْ قَالُوا۟ مَآ أَنزَلَ ٱللَّهُ عَلَىٰ بَشَرٍ مِّن شَىْءٍ ۗ قُلْ مَنْ أَنزَلَ ٱلْكِتَـٰبَ ٱلَّذِى جَآءَ بِهِۦ مُوسَىٰ نُورًا وَهُدًى لِّلنَّاسِ ۖ تَجْعَلُونَهُۥ قَرَاطِيسَ تُبْدُونَهَا وَتُخْفُونَ كَثِيرًا ۖ وَعُلِّمْتُم مَّا لَمْ تَعْلَمُوٓا۟ أَنتُمْ وَلَآ ءَابَآؤُكُمْ ۖ قُلِ ٱللَّهُ ۖ ثُمَّ ذَرْهُمْ فِى خَوْضِهِمْ يَلْعَبُونَ','verse_number' => '91','verse_key' => '6:91','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '112','manzil_number' => '2','sajdah_number' => '0','page_number' => '139','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '881','chapter_id' => '6','arabic_name' => 'وَهَـٰذَا كِتَـٰبٌ أَنزَلْنَـٰهُ مُبَارَكٌ مُّصَدِّقُ ٱلَّذِى بَيْنَ يَدَيْهِ وَلِتُنذِرَ أُمَّ ٱلْقُرَىٰ وَمَنْ حَوْلَهَا ۚ وَٱلَّذِينَ يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ يُؤْمِنُونَ بِهِۦ ۖ وَهُمْ عَلَىٰ صَلَاتِهِمْ يُحَافِظُونَ','verse_number' => '92','verse_key' => '6:92','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '112','manzil_number' => '2','sajdah_number' => '0','page_number' => '139','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '882','chapter_id' => '6','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ قَالَ أُوحِىَ إِلَىَّ وَلَمْ يُوحَ إِلَيْهِ شَىْءٌ وَمَن قَالَ سَأُنزِلُ مِثْلَ مَآ أَنزَلَ ٱللَّهُ ۗ وَلَوْ تَرَىٰٓ إِذِ ٱلظَّـٰلِمُونَ فِى غَمَرَٰتِ ٱلْمَوْتِ وَٱلْمَلَـٰٓئِكَةُ بَاسِطُوٓا۟ أَيْدِيهِمْ أَخْرِجُوٓا۟ أَنفُسَكُمُ ۖ ٱلْيَوْمَ تُجْزَوْنَ عَذَابَ ٱلْهُونِ بِمَا كُنتُمْ تَقُولُونَ عَلَى ٱللَّهِ غَيْرَ ٱلْحَقِّ وَكُنتُمْ عَنْ ءَايَـٰتِهِۦ تَسْتَكْبِرُونَ','verse_number' => '93','verse_key' => '6:93','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '112','manzil_number' => '2','sajdah_number' => '0','page_number' => '139','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '883','chapter_id' => '6','arabic_name' => 'وَلَقَدْ جِئْتُمُونَا فُرَٰدَىٰ كَمَا خَلَقْنَـٰكُمْ أَوَّلَ مَرَّةٍ وَتَرَكْتُم مَّا خَوَّلْنَـٰكُمْ وَرَآءَ ظُهُورِكُمْ ۖ وَمَا نَرَىٰ مَعَكُمْ شُفَعَآءَكُمُ ٱلَّذِينَ زَعَمْتُمْ أَنَّهُمْ فِيكُمْ شُرَكَـٰٓؤُا۟ ۚ لَقَد تَّقَطَّعَ بَيْنَكُمْ وَضَلَّ عَنكُم مَّا كُنتُمْ تَزْعُمُونَ','verse_number' => '94','verse_key' => '6:94','hizb_number' => '14','rub_el_hizb_number' => '55','ruku_number' => '112','manzil_number' => '2','sajdah_number' => '0','page_number' => '139','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '884','chapter_id' => '6','arabic_name' => '۞ إِنَّ ٱللَّهَ فَالِقُ ٱلْحَبِّ وَٱلنَّوَىٰ ۖ يُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَمُخْرِجُ ٱلْمَيِّتِ مِنَ ٱلْحَىِّ ۚ ذَٰلِكُمُ ٱللَّهُ ۖ فَأَنَّىٰ تُؤْفَكُونَ','verse_number' => '95','verse_key' => '6:95','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '113','manzil_number' => '2','sajdah_number' => '0','page_number' => '140','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '885','chapter_id' => '6','arabic_name' => 'فَالِقُ ٱلْإِصْبَاحِ وَجَعَلَ ٱلَّيْلَ سَكَنًا وَٱلشَّمْسَ وَٱلْقَمَرَ حُسْبَانًا ۚ ذَٰلِكَ تَقْدِيرُ ٱلْعَزِيزِ ٱلْعَلِيمِ','verse_number' => '96','verse_key' => '6:96','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '113','manzil_number' => '2','sajdah_number' => '0','page_number' => '140','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '886','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلنُّجُومَ لِتَهْتَدُوا۟ بِهَا فِى ظُلُمَـٰتِ ٱلْبَرِّ وَٱلْبَحْرِ ۗ قَدْ فَصَّلْنَا ٱلْـَٔايَـٰتِ لِقَوْمٍ يَعْلَمُونَ','verse_number' => '97','verse_key' => '6:97','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '113','manzil_number' => '2','sajdah_number' => '0','page_number' => '140','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '887','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلَّذِىٓ أَنشَأَكُم مِّن نَّفْسٍ وَٰحِدَةٍ فَمُسْتَقَرٌّ وَمُسْتَوْدَعٌ ۗ قَدْ فَصَّلْنَا ٱلْـَٔايَـٰتِ لِقَوْمٍ يَفْقَهُونَ','verse_number' => '98','verse_key' => '6:98','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '113','manzil_number' => '2','sajdah_number' => '0','page_number' => '140','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '888','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلَّذِىٓ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَأَخْرَجْنَا بِهِۦ نَبَاتَ كُلِّ شَىْءٍ فَأَخْرَجْنَا مِنْهُ خَضِرًا نُّخْرِجُ مِنْهُ حَبًّا مُّتَرَاكِبًا وَمِنَ ٱلنَّخْلِ مِن طَلْعِهَا قِنْوَانٌ دَانِيَةٌ وَجَنَّـٰتٍ مِّنْ أَعْنَابٍ وَٱلزَّيْتُونَ وَٱلرُّمَّانَ مُشْتَبِهًا وَغَيْرَ مُتَشَـٰبِهٍ ۗ ٱنظُرُوٓا۟ إِلَىٰ ثَمَرِهِۦٓ إِذَآ أَثْمَرَ وَيَنْعِهِۦٓ ۚ إِنَّ فِى ذَٰلِكُمْ لَـَٔايَـٰتٍ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '99','verse_key' => '6:99','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '113','manzil_number' => '2','sajdah_number' => '0','page_number' => '140','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '889','chapter_id' => '6','arabic_name' => 'وَجَعَلُوا۟ لِلَّهِ شُرَكَآءَ ٱلْجِنَّ وَخَلَقَهُمْ ۖ وَخَرَقُوا۟ لَهُۥ بَنِينَ وَبَنَـٰتٍۭ بِغَيْرِ عِلْمٍ ۚ سُبْحَـٰنَهُۥ وَتَعَـٰلَىٰ عَمَّا يَصِفُونَ','verse_number' => '100','verse_key' => '6:100','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '113','manzil_number' => '2','sajdah_number' => '0','page_number' => '140','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '890','chapter_id' => '6','arabic_name' => 'بَدِيعُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ أَنَّىٰ يَكُونُ لَهُۥ وَلَدٌ وَلَمْ تَكُن لَّهُۥ صَـٰحِبَةٌ ۖ وَخَلَقَ كُلَّ شَىْءٍ ۖ وَهُوَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '101','verse_key' => '6:101','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '140','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '891','chapter_id' => '6','arabic_name' => 'ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ ۖ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ خَـٰلِقُ كُلِّ شَىْءٍ فَٱعْبُدُوهُ ۚ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ وَكِيلٌ','verse_number' => '102','verse_key' => '6:102','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '892','chapter_id' => '6','arabic_name' => 'لَّا تُدْرِكُهُ ٱلْأَبْصَـٰرُ وَهُوَ يُدْرِكُ ٱلْأَبْصَـٰرَ ۖ وَهُوَ ٱللَّطِيفُ ٱلْخَبِيرُ','verse_number' => '103','verse_key' => '6:103','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '893','chapter_id' => '6','arabic_name' => 'قَدْ جَآءَكُم بَصَآئِرُ مِن رَّبِّكُمْ ۖ فَمَنْ أَبْصَرَ فَلِنَفْسِهِۦ ۖ وَمَنْ عَمِىَ فَعَلَيْهَا ۚ وَمَآ أَنَا۠ عَلَيْكُم بِحَفِيظٍ','verse_number' => '104','verse_key' => '6:104','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '894','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ نُصَرِّفُ ٱلْـَٔايَـٰتِ وَلِيَقُولُوا۟ دَرَسْتَ وَلِنُبَيِّنَهُۥ لِقَوْمٍ يَعْلَمُونَ','verse_number' => '105','verse_key' => '6:105','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '895','chapter_id' => '6','arabic_name' => 'ٱتَّبِعْ مَآ أُوحِىَ إِلَيْكَ مِن رَّبِّكَ ۖ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ وَأَعْرِضْ عَنِ ٱلْمُشْرِكِينَ','verse_number' => '106','verse_key' => '6:106','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '896','chapter_id' => '6','arabic_name' => 'وَلَوْ شَآءَ ٱللَّهُ مَآ أَشْرَكُوا۟ ۗ وَمَا جَعَلْنَـٰكَ عَلَيْهِمْ حَفِيظًا ۖ وَمَآ أَنتَ عَلَيْهِم بِوَكِيلٍ','verse_number' => '107','verse_key' => '6:107','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '897','chapter_id' => '6','arabic_name' => 'وَلَا تَسُبُّوا۟ ٱلَّذِينَ يَدْعُونَ مِن دُونِ ٱللَّهِ فَيَسُبُّوا۟ ٱللَّهَ عَدْوًۢا بِغَيْرِ عِلْمٍ ۗ كَذَٰلِكَ زَيَّنَّا لِكُلِّ أُمَّةٍ عَمَلَهُمْ ثُمَّ إِلَىٰ رَبِّهِم مَّرْجِعُهُمْ فَيُنَبِّئُهُم بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '108','verse_key' => '6:108','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '898','chapter_id' => '6','arabic_name' => 'وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَـٰنِهِمْ لَئِن جَآءَتْهُمْ ءَايَةٌ لَّيُؤْمِنُنَّ بِهَا ۚ قُلْ إِنَّمَا ٱلْـَٔايَـٰتُ عِندَ ٱللَّهِ ۖ وَمَا يُشْعِرُكُمْ أَنَّهَآ إِذَا جَآءَتْ لَا يُؤْمِنُونَ','verse_number' => '109','verse_key' => '6:109','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '899','chapter_id' => '6','arabic_name' => 'وَنُقَلِّبُ أَفْـِٔدَتَهُمْ وَأَبْصَـٰرَهُمْ كَمَا لَمْ يُؤْمِنُوا۟ بِهِۦٓ أَوَّلَ مَرَّةٍ وَنَذَرُهُمْ فِى طُغْيَـٰنِهِمْ يَعْمَهُونَ','verse_number' => '110','verse_key' => '6:110','hizb_number' => '14','rub_el_hizb_number' => '56','ruku_number' => '114','manzil_number' => '2','sajdah_number' => '0','page_number' => '141','juz_number' => '7','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '900','chapter_id' => '6','arabic_name' => '۞ وَلَوْ أَنَّنَا نَزَّلْنَآ إِلَيْهِمُ ٱلْمَلَـٰٓئِكَةَ وَكَلَّمَهُمُ ٱلْمَوْتَىٰ وَحَشَرْنَا عَلَيْهِمْ كُلَّ شَىْءٍ قُبُلًا مَّا كَانُوا۟ لِيُؤْمِنُوٓا۟ إِلَّآ أَن يَشَآءَ ٱللَّهُ وَلَـٰكِنَّ أَكْثَرَهُمْ يَجْهَلُونَ','verse_number' => '111','verse_key' => '6:111','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '901','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ جَعَلْنَا لِكُلِّ نَبِىٍّ عَدُوًّا شَيَـٰطِينَ ٱلْإِنسِ وَٱلْجِنِّ يُوحِى بَعْضُهُمْ إِلَىٰ بَعْضٍ زُخْرُفَ ٱلْقَوْلِ غُرُورًا ۚ وَلَوْ شَآءَ رَبُّكَ مَا فَعَلُوهُ ۖ فَذَرْهُمْ وَمَا يَفْتَرُونَ','verse_number' => '112','verse_key' => '6:112','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '902','chapter_id' => '6','arabic_name' => 'وَلِتَصْغَىٰٓ إِلَيْهِ أَفْـِٔدَةُ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ وَلِيَرْضَوْهُ وَلِيَقْتَرِفُوا۟ مَا هُم مُّقْتَرِفُونَ','verse_number' => '113','verse_key' => '6:113','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '903','chapter_id' => '6','arabic_name' => 'أَفَغَيْرَ ٱللَّهِ أَبْتَغِى حَكَمًا وَهُوَ ٱلَّذِىٓ أَنزَلَ إِلَيْكُمُ ٱلْكِتَـٰبَ مُفَصَّلًا ۚ وَٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ يَعْلَمُونَ أَنَّهُۥ مُنَزَّلٌ مِّن رَّبِّكَ بِٱلْحَقِّ ۖ فَلَا تَكُونَنَّ مِنَ ٱلْمُمْتَرِينَ','verse_number' => '114','verse_key' => '6:114','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '904','chapter_id' => '6','arabic_name' => 'وَتَمَّتْ كَلِمَتُ رَبِّكَ صِدْقًا وَعَدْلًا ۚ لَّا مُبَدِّلَ لِكَلِمَـٰتِهِۦ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '115','verse_key' => '6:115','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '905','chapter_id' => '6','arabic_name' => 'وَإِن تُطِعْ أَكْثَرَ مَن فِى ٱلْأَرْضِ يُضِلُّوكَ عَن سَبِيلِ ٱللَّهِ ۚ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَإِنْ هُمْ إِلَّا يَخْرُصُونَ','verse_number' => '116','verse_key' => '6:116','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '906','chapter_id' => '6','arabic_name' => 'إِنَّ رَبَّكَ هُوَ أَعْلَمُ مَن يَضِلُّ عَن سَبِيلِهِۦ ۖ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ','verse_number' => '117','verse_key' => '6:117','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '907','chapter_id' => '6','arabic_name' => 'فَكُلُوا۟ مِمَّا ذُكِرَ ٱسْمُ ٱللَّهِ عَلَيْهِ إِن كُنتُم بِـَٔايَـٰتِهِۦ مُؤْمِنِينَ','verse_number' => '118','verse_key' => '6:118','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '142','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '908','chapter_id' => '6','arabic_name' => 'وَمَا لَكُمْ أَلَّا تَأْكُلُوا۟ مِمَّا ذُكِرَ ٱسْمُ ٱللَّهِ عَلَيْهِ وَقَدْ فَصَّلَ لَكُم مَّا حَرَّمَ عَلَيْكُمْ إِلَّا مَا ٱضْطُرِرْتُمْ إِلَيْهِ ۗ وَإِنَّ كَثِيرًا لَّيُضِلُّونَ بِأَهْوَآئِهِم بِغَيْرِ عِلْمٍ ۗ إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِٱلْمُعْتَدِينَ','verse_number' => '119','verse_key' => '6:119','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '143','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '909','chapter_id' => '6','arabic_name' => 'وَذَرُوا۟ ظَـٰهِرَ ٱلْإِثْمِ وَبَاطِنَهُۥٓ ۚ إِنَّ ٱلَّذِينَ يَكْسِبُونَ ٱلْإِثْمَ سَيُجْزَوْنَ بِمَا كَانُوا۟ يَقْتَرِفُونَ','verse_number' => '120','verse_key' => '6:120','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '143','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '910','chapter_id' => '6','arabic_name' => 'وَلَا تَأْكُلُوا۟ مِمَّا لَمْ يُذْكَرِ ٱسْمُ ٱللَّهِ عَلَيْهِ وَإِنَّهُۥ لَفِسْقٌ ۗ وَإِنَّ ٱلشَّيَـٰطِينَ لَيُوحُونَ إِلَىٰٓ أَوْلِيَآئِهِمْ لِيُجَـٰدِلُوكُمْ ۖ وَإِنْ أَطَعْتُمُوهُمْ إِنَّكُمْ لَمُشْرِكُونَ','verse_number' => '121','verse_key' => '6:121','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '115','manzil_number' => '2','sajdah_number' => '0','page_number' => '143','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '911','chapter_id' => '6','arabic_name' => 'أَوَمَن كَانَ مَيْتًا فَأَحْيَيْنَـٰهُ وَجَعَلْنَا لَهُۥ نُورًا يَمْشِى بِهِۦ فِى ٱلنَّاسِ كَمَن مَّثَلُهُۥ فِى ٱلظُّلُمَـٰتِ لَيْسَ بِخَارِجٍ مِّنْهَا ۚ كَذَٰلِكَ زُيِّنَ لِلْكَـٰفِرِينَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '122','verse_key' => '6:122','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '143','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '912','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ جَعَلْنَا فِى كُلِّ قَرْيَةٍ أَكَـٰبِرَ مُجْرِمِيهَا لِيَمْكُرُوا۟ فِيهَا ۖ وَمَا يَمْكُرُونَ إِلَّا بِأَنفُسِهِمْ وَمَا يَشْعُرُونَ','verse_number' => '123','verse_key' => '6:123','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '143','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '913','chapter_id' => '6','arabic_name' => 'وَإِذَا جَآءَتْهُمْ ءَايَةٌ قَالُوا۟ لَن نُّؤْمِنَ حَتَّىٰ نُؤْتَىٰ مِثْلَ مَآ أُوتِىَ رُسُلُ ٱللَّهِ ۘ ٱللَّهُ أَعْلَمُ حَيْثُ يَجْعَلُ رِسَالَتَهُۥ ۗ سَيُصِيبُ ٱلَّذِينَ أَجْرَمُوا۟ صَغَارٌ عِندَ ٱللَّهِ وَعَذَابٌ شَدِيدٌۢ بِمَا كَانُوا۟ يَمْكُرُونَ','verse_number' => '124','verse_key' => '6:124','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '143','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '914','chapter_id' => '6','arabic_name' => 'فَمَن يُرِدِ ٱللَّهُ أَن يَهْدِيَهُۥ يَشْرَحْ صَدْرَهُۥ لِلْإِسْلَـٰمِ ۖ وَمَن يُرِدْ أَن يُضِلَّهُۥ يَجْعَلْ صَدْرَهُۥ ضَيِّقًا حَرَجًا كَأَنَّمَا يَصَّعَّدُ فِى ٱلسَّمَآءِ ۚ كَذَٰلِكَ يَجْعَلُ ٱللَّهُ ٱلرِّجْسَ عَلَى ٱلَّذِينَ لَا يُؤْمِنُونَ','verse_number' => '125','verse_key' => '6:125','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '144','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '915','chapter_id' => '6','arabic_name' => 'وَهَـٰذَا صِرَٰطُ رَبِّكَ مُسْتَقِيمًا ۗ قَدْ فَصَّلْنَا ٱلْـَٔايَـٰتِ لِقَوْمٍ يَذَّكَّرُونَ','verse_number' => '126','verse_key' => '6:126','hizb_number' => '15','rub_el_hizb_number' => '57','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '144','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '916','chapter_id' => '6','arabic_name' => '۞ لَهُمْ دَارُ ٱلسَّلَـٰمِ عِندَ رَبِّهِمْ ۖ وَهُوَ وَلِيُّهُم بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '127','verse_key' => '6:127','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '144','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '917','chapter_id' => '6','arabic_name' => 'وَيَوْمَ يَحْشُرُهُمْ جَمِيعًا يَـٰمَعْشَرَ ٱلْجِنِّ قَدِ ٱسْتَكْثَرْتُم مِّنَ ٱلْإِنسِ ۖ وَقَالَ أَوْلِيَآؤُهُم مِّنَ ٱلْإِنسِ رَبَّنَا ٱسْتَمْتَعَ بَعْضُنَا بِبَعْضٍ وَبَلَغْنَآ أَجَلَنَا ٱلَّذِىٓ أَجَّلْتَ لَنَا ۚ قَالَ ٱلنَّارُ مَثْوَىٰكُمْ خَـٰلِدِينَ فِيهَآ إِلَّا مَا شَآءَ ٱللَّهُ ۗ إِنَّ رَبَّكَ حَكِيمٌ عَلِيمٌ','verse_number' => '128','verse_key' => '6:128','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '144','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '918','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ نُوَلِّى بَعْضَ ٱلظَّـٰلِمِينَ بَعْضًۢا بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '129','verse_key' => '6:129','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '116','manzil_number' => '2','sajdah_number' => '0','page_number' => '144','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '919','chapter_id' => '6','arabic_name' => 'يَـٰمَعْشَرَ ٱلْجِنِّ وَٱلْإِنسِ أَلَمْ يَأْتِكُمْ رُسُلٌ مِّنكُمْ يَقُصُّونَ عَلَيْكُمْ ءَايَـٰتِى وَيُنذِرُونَكُمْ لِقَآءَ يَوْمِكُمْ هَـٰذَا ۚ قَالُوا۟ شَهِدْنَا عَلَىٰٓ أَنفُسِنَا ۖ وَغَرَّتْهُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا وَشَهِدُوا۟ عَلَىٰٓ أَنفُسِهِمْ أَنَّهُمْ كَانُوا۟ كَـٰفِرِينَ','verse_number' => '130','verse_key' => '6:130','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '144','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '920','chapter_id' => '6','arabic_name' => 'ذَٰلِكَ أَن لَّمْ يَكُن رَّبُّكَ مُهْلِكَ ٱلْقُرَىٰ بِظُلْمٍ وَأَهْلُهَا غَـٰفِلُونَ','verse_number' => '131','verse_key' => '6:131','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '144','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '921','chapter_id' => '6','arabic_name' => 'وَلِكُلٍّ دَرَجَـٰتٌ مِّمَّا عَمِلُوا۟ ۚ وَمَا رَبُّكَ بِغَـٰفِلٍ عَمَّا يَعْمَلُونَ','verse_number' => '132','verse_key' => '6:132','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '145','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '922','chapter_id' => '6','arabic_name' => 'وَرَبُّكَ ٱلْغَنِىُّ ذُو ٱلرَّحْمَةِ ۚ إِن يَشَأْ يُذْهِبْكُمْ وَيَسْتَخْلِفْ مِنۢ بَعْدِكُم مَّا يَشَآءُ كَمَآ أَنشَأَكُم مِّن ذُرِّيَّةِ قَوْمٍ ءَاخَرِينَ','verse_number' => '133','verse_key' => '6:133','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '145','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '923','chapter_id' => '6','arabic_name' => 'إِنَّ مَا تُوعَدُونَ لَـَٔاتٍ ۖ وَمَآ أَنتُم بِمُعْجِزِينَ','verse_number' => '134','verse_key' => '6:134','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '145','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '924','chapter_id' => '6','arabic_name' => 'قُلْ يَـٰقَوْمِ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنِّى عَامِلٌ ۖ فَسَوْفَ تَعْلَمُونَ مَن تَكُونُ لَهُۥ عَـٰقِبَةُ ٱلدَّارِ ۗ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّـٰلِمُونَ','verse_number' => '135','verse_key' => '6:135','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '145','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '925','chapter_id' => '6','arabic_name' => 'وَجَعَلُوا۟ لِلَّهِ مِمَّا ذَرَأَ مِنَ ٱلْحَرْثِ وَٱلْأَنْعَـٰمِ نَصِيبًا فَقَالُوا۟ هَـٰذَا لِلَّهِ بِزَعْمِهِمْ وَهَـٰذَا لِشُرَكَآئِنَا ۖ فَمَا كَانَ لِشُرَكَآئِهِمْ فَلَا يَصِلُ إِلَى ٱللَّهِ ۖ وَمَا كَانَ لِلَّهِ فَهُوَ يَصِلُ إِلَىٰ شُرَكَآئِهِمْ ۗ سَآءَ مَا يَحْكُمُونَ','verse_number' => '136','verse_key' => '6:136','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '145','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '926','chapter_id' => '6','arabic_name' => 'وَكَذَٰلِكَ زَيَّنَ لِكَثِيرٍ مِّنَ ٱلْمُشْرِكِينَ قَتْلَ أَوْلَـٰدِهِمْ شُرَكَآؤُهُمْ لِيُرْدُوهُمْ وَلِيَلْبِسُوا۟ عَلَيْهِمْ دِينَهُمْ ۖ وَلَوْ شَآءَ ٱللَّهُ مَا فَعَلُوهُ ۖ فَذَرْهُمْ وَمَا يَفْتَرُونَ','verse_number' => '137','verse_key' => '6:137','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '145','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '927','chapter_id' => '6','arabic_name' => 'وَقَالُوا۟ هَـٰذِهِۦٓ أَنْعَـٰمٌ وَحَرْثٌ حِجْرٌ لَّا يَطْعَمُهَآ إِلَّا مَن نَّشَآءُ بِزَعْمِهِمْ وَأَنْعَـٰمٌ حُرِّمَتْ ظُهُورُهَا وَأَنْعَـٰمٌ لَّا يَذْكُرُونَ ٱسْمَ ٱللَّهِ عَلَيْهَا ٱفْتِرَآءً عَلَيْهِ ۚ سَيَجْزِيهِم بِمَا كَانُوا۟ يَفْتَرُونَ','verse_number' => '138','verse_key' => '6:138','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '146','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '928','chapter_id' => '6','arabic_name' => 'وَقَالُوا۟ مَا فِى بُطُونِ هَـٰذِهِ ٱلْأَنْعَـٰمِ خَالِصَةٌ لِّذُكُورِنَا وَمُحَرَّمٌ عَلَىٰٓ أَزْوَٰجِنَا ۖ وَإِن يَكُن مَّيْتَةً فَهُمْ فِيهِ شُرَكَآءُ ۚ سَيَجْزِيهِمْ وَصْفَهُمْ ۚ إِنَّهُۥ حَكِيمٌ عَلِيمٌ','verse_number' => '139','verse_key' => '6:139','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '146','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '929','chapter_id' => '6','arabic_name' => 'قَدْ خَسِرَ ٱلَّذِينَ قَتَلُوٓا۟ أَوْلَـٰدَهُمْ سَفَهًۢا بِغَيْرِ عِلْمٍ وَحَرَّمُوا۟ مَا رَزَقَهُمُ ٱللَّهُ ٱفْتِرَآءً عَلَى ٱللَّهِ ۚ قَدْ ضَلُّوا۟ وَمَا كَانُوا۟ مُهْتَدِينَ','verse_number' => '140','verse_key' => '6:140','hizb_number' => '15','rub_el_hizb_number' => '58','ruku_number' => '117','manzil_number' => '2','sajdah_number' => '0','page_number' => '146','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '930','chapter_id' => '6','arabic_name' => '۞ وَهُوَ ٱلَّذِىٓ أَنشَأَ جَنَّـٰتٍ مَّعْرُوشَـٰتٍ وَغَيْرَ مَعْرُوشَـٰتٍ وَٱلنَّخْلَ وَٱلزَّرْعَ مُخْتَلِفًا أُكُلُهُۥ وَٱلزَّيْتُونَ وَٱلرُّمَّانَ مُتَشَـٰبِهًا وَغَيْرَ مُتَشَـٰبِهٍ ۚ كُلُوا۟ مِن ثَمَرِهِۦٓ إِذَآ أَثْمَرَ وَءَاتُوا۟ حَقَّهُۥ يَوْمَ حَصَادِهِۦ ۖ وَلَا تُسْرِفُوٓا۟ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُسْرِفِينَ','verse_number' => '141','verse_key' => '6:141','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '118','manzil_number' => '2','sajdah_number' => '0','page_number' => '146','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '931','chapter_id' => '6','arabic_name' => 'وَمِنَ ٱلْأَنْعَـٰمِ حَمُولَةً وَفَرْشًا ۚ كُلُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ وَلَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَـٰنِ ۚ إِنَّهُۥ لَكُمْ عَدُوٌّ مُّبِينٌ','verse_number' => '142','verse_key' => '6:142','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '118','manzil_number' => '2','sajdah_number' => '0','page_number' => '146','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '932','chapter_id' => '6','arabic_name' => 'ثَمَـٰنِيَةَ أَزْوَٰجٍ ۖ مِّنَ ٱلضَّأْنِ ٱثْنَيْنِ وَمِنَ ٱلْمَعْزِ ٱثْنَيْنِ ۗ قُلْ ءَآلذَّكَرَيْنِ حَرَّمَ أَمِ ٱلْأُنثَيَيْنِ أَمَّا ٱشْتَمَلَتْ عَلَيْهِ أَرْحَامُ ٱلْأُنثَيَيْنِ ۖ نَبِّـُٔونِى بِعِلْمٍ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '143','verse_key' => '6:143','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '118','manzil_number' => '2','sajdah_number' => '0','page_number' => '147','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '933','chapter_id' => '6','arabic_name' => 'وَمِنَ ٱلْإِبِلِ ٱثْنَيْنِ وَمِنَ ٱلْبَقَرِ ٱثْنَيْنِ ۗ قُلْ ءَآلذَّكَرَيْنِ حَرَّمَ أَمِ ٱلْأُنثَيَيْنِ أَمَّا ٱشْتَمَلَتْ عَلَيْهِ أَرْحَامُ ٱلْأُنثَيَيْنِ ۖ أَمْ كُنتُمْ شُهَدَآءَ إِذْ وَصَّىٰكُمُ ٱللَّهُ بِهَـٰذَا ۚ فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا لِّيُضِلَّ ٱلنَّاسَ بِغَيْرِ عِلْمٍ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '144','verse_key' => '6:144','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '118','manzil_number' => '2','sajdah_number' => '0','page_number' => '147','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '934','chapter_id' => '6','arabic_name' => 'قُل لَّآ أَجِدُ فِى مَآ أُوحِىَ إِلَىَّ مُحَرَّمًا عَلَىٰ طَاعِمٍ يَطْعَمُهُۥٓ إِلَّآ أَن يَكُونَ مَيْتَةً أَوْ دَمًا مَّسْفُوحًا أَوْ لَحْمَ خِنزِيرٍ فَإِنَّهُۥ رِجْسٌ أَوْ فِسْقًا أُهِلَّ لِغَيْرِ ٱللَّهِ بِهِۦ ۚ فَمَنِ ٱضْطُرَّ غَيْرَ بَاغٍ وَلَا عَادٍ فَإِنَّ رَبَّكَ غَفُورٌ رَّحِيمٌ','verse_number' => '145','verse_key' => '6:145','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '119','manzil_number' => '2','sajdah_number' => '0','page_number' => '147','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '935','chapter_id' => '6','arabic_name' => 'وَعَلَى ٱلَّذِينَ هَادُوا۟ حَرَّمْنَا كُلَّ ذِى ظُفُرٍ ۖ وَمِنَ ٱلْبَقَرِ وَٱلْغَنَمِ حَرَّمْنَا عَلَيْهِمْ شُحُومَهُمَآ إِلَّا مَا حَمَلَتْ ظُهُورُهُمَآ أَوِ ٱلْحَوَايَآ أَوْ مَا ٱخْتَلَطَ بِعَظْمٍ ۚ ذَٰلِكَ جَزَيْنَـٰهُم بِبَغْيِهِمْ ۖ وَإِنَّا لَصَـٰدِقُونَ','verse_number' => '146','verse_key' => '6:146','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '119','manzil_number' => '2','sajdah_number' => '0','page_number' => '147','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '936','chapter_id' => '6','arabic_name' => 'فَإِن كَذَّبُوكَ فَقُل رَّبُّكُمْ ذُو رَحْمَةٍ وَٰسِعَةٍ وَلَا يُرَدُّ بَأْسُهُۥ عَنِ ٱلْقَوْمِ ٱلْمُجْرِمِينَ','verse_number' => '147','verse_key' => '6:147','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '119','manzil_number' => '2','sajdah_number' => '0','page_number' => '148','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '937','chapter_id' => '6','arabic_name' => 'سَيَقُولُ ٱلَّذِينَ أَشْرَكُوا۟ لَوْ شَآءَ ٱللَّهُ مَآ أَشْرَكْنَا وَلَآ ءَابَآؤُنَا وَلَا حَرَّمْنَا مِن شَىْءٍ ۚ كَذَٰلِكَ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ حَتَّىٰ ذَاقُوا۟ بَأْسَنَا ۗ قُلْ هَلْ عِندَكُم مِّنْ عِلْمٍ فَتُخْرِجُوهُ لَنَآ ۖ إِن تَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَإِنْ أَنتُمْ إِلَّا تَخْرُصُونَ','verse_number' => '148','verse_key' => '6:148','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '119','manzil_number' => '2','sajdah_number' => '0','page_number' => '148','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '938','chapter_id' => '6','arabic_name' => 'قُلْ فَلِلَّهِ ٱلْحُجَّةُ ٱلْبَـٰلِغَةُ ۖ فَلَوْ شَآءَ لَهَدَىٰكُمْ أَجْمَعِينَ','verse_number' => '149','verse_key' => '6:149','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '119','manzil_number' => '2','sajdah_number' => '0','page_number' => '148','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '939','chapter_id' => '6','arabic_name' => 'قُلْ هَلُمَّ شُهَدَآءَكُمُ ٱلَّذِينَ يَشْهَدُونَ أَنَّ ٱللَّهَ حَرَّمَ هَـٰذَا ۖ فَإِن شَهِدُوا۟ فَلَا تَشْهَدْ مَعَهُمْ ۚ وَلَا تَتَّبِعْ أَهْوَآءَ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا وَٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ وَهُم بِرَبِّهِمْ يَعْدِلُونَ','verse_number' => '150','verse_key' => '6:150','hizb_number' => '15','rub_el_hizb_number' => '59','ruku_number' => '119','manzil_number' => '2','sajdah_number' => '0','page_number' => '148','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '940','chapter_id' => '6','arabic_name' => '۞ قُلْ تَعَالَوْا۟ أَتْلُ مَا حَرَّمَ رَبُّكُمْ عَلَيْكُمْ ۖ أَلَّا تُشْرِكُوا۟ بِهِۦ شَيْـًٔا ۖ وَبِٱلْوَٰلِدَيْنِ إِحْسَـٰنًا ۖ وَلَا تَقْتُلُوٓا۟ أَوْلَـٰدَكُم مِّنْ إِمْلَـٰقٍ ۖ نَّحْنُ نَرْزُقُكُمْ وَإِيَّاهُمْ ۖ وَلَا تَقْرَبُوا۟ ٱلْفَوَٰحِشَ مَا ظَهَرَ مِنْهَا وَمَا بَطَنَ ۖ وَلَا تَقْتُلُوا۟ ٱلنَّفْسَ ٱلَّتِى حَرَّمَ ٱللَّهُ إِلَّا بِٱلْحَقِّ ۚ ذَٰلِكُمْ وَصَّىٰكُم بِهِۦ لَعَلَّكُمْ تَعْقِلُونَ','verse_number' => '151','verse_key' => '6:151','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '120','manzil_number' => '2','sajdah_number' => '0','page_number' => '148','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '941','chapter_id' => '6','arabic_name' => 'وَلَا تَقْرَبُوا۟ مَالَ ٱلْيَتِيمِ إِلَّا بِٱلَّتِى هِىَ أَحْسَنُ حَتَّىٰ يَبْلُغَ أَشُدَّهُۥ ۖ وَأَوْفُوا۟ ٱلْكَيْلَ وَٱلْمِيزَانَ بِٱلْقِسْطِ ۖ لَا نُكَلِّفُ نَفْسًا إِلَّا وُسْعَهَا ۖ وَإِذَا قُلْتُمْ فَٱعْدِلُوا۟ وَلَوْ كَانَ ذَا قُرْبَىٰ ۖ وَبِعَهْدِ ٱللَّهِ أَوْفُوا۟ ۚ ذَٰلِكُمْ وَصَّىٰكُم بِهِۦ لَعَلَّكُمْ تَذَكَّرُونَ','verse_number' => '152','verse_key' => '6:152','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '120','manzil_number' => '2','sajdah_number' => '0','page_number' => '149','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '942','chapter_id' => '6','arabic_name' => 'وَأَنَّ هَـٰذَا صِرَٰطِى مُسْتَقِيمًا فَٱتَّبِعُوهُ ۖ وَلَا تَتَّبِعُوا۟ ٱلسُّبُلَ فَتَفَرَّقَ بِكُمْ عَن سَبِيلِهِۦ ۚ ذَٰلِكُمْ وَصَّىٰكُم بِهِۦ لَعَلَّكُمْ تَتَّقُونَ','verse_number' => '153','verse_key' => '6:153','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '120','manzil_number' => '2','sajdah_number' => '0','page_number' => '149','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '943','chapter_id' => '6','arabic_name' => 'ثُمَّ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ تَمَامًا عَلَى ٱلَّذِىٓ أَحْسَنَ وَتَفْصِيلًا لِّكُلِّ شَىْءٍ وَهُدًى وَرَحْمَةً لَّعَلَّهُم بِلِقَآءِ رَبِّهِمْ يُؤْمِنُونَ','verse_number' => '154','verse_key' => '6:154','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '120','manzil_number' => '2','sajdah_number' => '0','page_number' => '149','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '944','chapter_id' => '6','arabic_name' => 'وَهَـٰذَا كِتَـٰبٌ أَنزَلْنَـٰهُ مُبَارَكٌ فَٱتَّبِعُوهُ وَٱتَّقُوا۟ لَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '155','verse_key' => '6:155','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '149','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '945','chapter_id' => '6','arabic_name' => 'أَن تَقُولُوٓا۟ إِنَّمَآ أُنزِلَ ٱلْكِتَـٰبُ عَلَىٰ طَآئِفَتَيْنِ مِن قَبْلِنَا وَإِن كُنَّا عَن دِرَاسَتِهِمْ لَغَـٰفِلِينَ','verse_number' => '156','verse_key' => '6:156','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '149','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '946','chapter_id' => '6','arabic_name' => 'أَوْ تَقُولُوا۟ لَوْ أَنَّآ أُنزِلَ عَلَيْنَا ٱلْكِتَـٰبُ لَكُنَّآ أَهْدَىٰ مِنْهُمْ ۚ فَقَدْ جَآءَكُم بَيِّنَةٌ مِّن رَّبِّكُمْ وَهُدًى وَرَحْمَةٌ ۚ فَمَنْ أَظْلَمُ مِمَّن كَذَّبَ بِـَٔايَـٰتِ ٱللَّهِ وَصَدَفَ عَنْهَا ۗ سَنَجْزِى ٱلَّذِينَ يَصْدِفُونَ عَنْ ءَايَـٰتِنَا سُوٓءَ ٱلْعَذَابِ بِمَا كَانُوا۟ يَصْدِفُونَ','verse_number' => '157','verse_key' => '6:157','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '149','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '947','chapter_id' => '6','arabic_name' => 'هَلْ يَنظُرُونَ إِلَّآ أَن تَأْتِيَهُمُ ٱلْمَلَـٰٓئِكَةُ أَوْ يَأْتِىَ رَبُّكَ أَوْ يَأْتِىَ بَعْضُ ءَايَـٰتِ رَبِّكَ ۗ يَوْمَ يَأْتِى بَعْضُ ءَايَـٰتِ رَبِّكَ لَا يَنفَعُ نَفْسًا إِيمَـٰنُهَا لَمْ تَكُنْ ءَامَنَتْ مِن قَبْلُ أَوْ كَسَبَتْ فِىٓ إِيمَـٰنِهَا خَيْرًا ۗ قُلِ ٱنتَظِرُوٓا۟ إِنَّا مُنتَظِرُونَ','verse_number' => '158','verse_key' => '6:158','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '948','chapter_id' => '6','arabic_name' => 'إِنَّ ٱلَّذِينَ فَرَّقُوا۟ دِينَهُمْ وَكَانُوا۟ شِيَعًا لَّسْتَ مِنْهُمْ فِى شَىْءٍ ۚ إِنَّمَآ أَمْرُهُمْ إِلَى ٱللَّهِ ثُمَّ يُنَبِّئُهُم بِمَا كَانُوا۟ يَفْعَلُونَ','verse_number' => '159','verse_key' => '6:159','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '949','chapter_id' => '6','arabic_name' => 'مَن جَآءَ بِٱلْحَسَنَةِ فَلَهُۥ عَشْرُ أَمْثَالِهَا ۖ وَمَن جَآءَ بِٱلسَّيِّئَةِ فَلَا يُجْزَىٰٓ إِلَّا مِثْلَهَا وَهُمْ لَا يُظْلَمُونَ','verse_number' => '160','verse_key' => '6:160','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '950','chapter_id' => '6','arabic_name' => 'قُلْ إِنَّنِى هَدَىٰنِى رَبِّىٓ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ دِينًا قِيَمًا مِّلَّةَ إِبْرَٰهِيمَ حَنِيفًا ۚ وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '161','verse_key' => '6:161','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '951','chapter_id' => '6','arabic_name' => 'قُلْ إِنَّ صَلَاتِى وَنُسُكِى وَمَحْيَاىَ وَمَمَاتِى لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '162','verse_key' => '6:162','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '952','chapter_id' => '6','arabic_name' => 'لَا شَرِيكَ لَهُۥ ۖ وَبِذَٰلِكَ أُمِرْتُ وَأَنَا۠ أَوَّلُ ٱلْمُسْلِمِينَ','verse_number' => '163','verse_key' => '6:163','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '953','chapter_id' => '6','arabic_name' => 'قُلْ أَغَيْرَ ٱللَّهِ أَبْغِى رَبًّا وَهُوَ رَبُّ كُلِّ شَىْءٍ ۚ وَلَا تَكْسِبُ كُلُّ نَفْسٍ إِلَّا عَلَيْهَا ۚ وَلَا تَزِرُ وَازِرَةٌ وِزْرَ أُخْرَىٰ ۚ ثُمَّ إِلَىٰ رَبِّكُم مَّرْجِعُكُمْ فَيُنَبِّئُكُم بِمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ','verse_number' => '164','verse_key' => '6:164','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '954','chapter_id' => '6','arabic_name' => 'وَهُوَ ٱلَّذِى جَعَلَكُمْ خَلَـٰٓئِفَ ٱلْأَرْضِ وَرَفَعَ بَعْضَكُمْ فَوْقَ بَعْضٍ دَرَجَـٰتٍ لِّيَبْلُوَكُمْ فِى مَآ ءَاتَىٰكُمْ ۗ إِنَّ رَبَّكَ سَرِيعُ ٱلْعِقَابِ وَإِنَّهُۥ لَغَفُورٌ رَّحِيمٌۢ','verse_number' => '165','verse_key' => '6:165','hizb_number' => '15','rub_el_hizb_number' => '60','ruku_number' => '121','manzil_number' => '2','sajdah_number' => '0','page_number' => '150','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '955','chapter_id' => '7','arabic_name' => 'الٓمٓصٓ','verse_number' => '1','verse_key' => '7:1','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '956','chapter_id' => '7','arabic_name' => 'كِتَـٰبٌ أُنزِلَ إِلَيْكَ فَلَا يَكُن فِى صَدْرِكَ حَرَجٌ مِّنْهُ لِتُنذِرَ بِهِۦ وَذِكْرَىٰ لِلْمُؤْمِنِينَ','verse_number' => '2','verse_key' => '7:2','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '957','chapter_id' => '7','arabic_name' => 'ٱتَّبِعُوا۟ مَآ أُنزِلَ إِلَيْكُم مِّن رَّبِّكُمْ وَلَا تَتَّبِعُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ ۗ قَلِيلًا مَّا تَذَكَّرُونَ','verse_number' => '3','verse_key' => '7:3','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '958','chapter_id' => '7','arabic_name' => 'وَكَم مِّن قَرْيَةٍ أَهْلَكْنَـٰهَا فَجَآءَهَا بَأْسُنَا بَيَـٰتًا أَوْ هُمْ قَآئِلُونَ','verse_number' => '4','verse_key' => '7:4','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '959','chapter_id' => '7','arabic_name' => 'فَمَا كَانَ دَعْوَىٰهُمْ إِذْ جَآءَهُم بَأْسُنَآ إِلَّآ أَن قَالُوٓا۟ إِنَّا كُنَّا ظَـٰلِمِينَ','verse_number' => '5','verse_key' => '7:5','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '960','chapter_id' => '7','arabic_name' => 'فَلَنَسْـَٔلَنَّ ٱلَّذِينَ أُرْسِلَ إِلَيْهِمْ وَلَنَسْـَٔلَنَّ ٱلْمُرْسَلِينَ','verse_number' => '6','verse_key' => '7:6','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '961','chapter_id' => '7','arabic_name' => 'فَلَنَقُصَّنَّ عَلَيْهِم بِعِلْمٍ ۖ وَمَا كُنَّا غَآئِبِينَ','verse_number' => '7','verse_key' => '7:7','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '962','chapter_id' => '7','arabic_name' => 'وَٱلْوَزْنُ يَوْمَئِذٍ ٱلْحَقُّ ۚ فَمَن ثَقُلَتْ مَوَٰزِينُهُۥ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '8','verse_key' => '7:8','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '963','chapter_id' => '7','arabic_name' => 'وَمَنْ خَفَّتْ مَوَٰزِينُهُۥ فَأُو۟لَـٰٓئِكَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُم بِمَا كَانُوا۟ بِـَٔايَـٰتِنَا يَظْلِمُونَ','verse_number' => '9','verse_key' => '7:9','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '964','chapter_id' => '7','arabic_name' => 'وَلَقَدْ مَكَّنَّـٰكُمْ فِى ٱلْأَرْضِ وَجَعَلْنَا لَكُمْ فِيهَا مَعَـٰيِشَ ۗ قَلِيلًا مَّا تَشْكُرُونَ','verse_number' => '10','verse_key' => '7:10','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '122','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '965','chapter_id' => '7','arabic_name' => 'وَلَقَدْ خَلَقْنَـٰكُمْ ثُمَّ صَوَّرْنَـٰكُمْ ثُمَّ قُلْنَا لِلْمَلَـٰٓئِكَةِ ٱسْجُدُوا۟ لِـَٔادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ لَمْ يَكُن مِّنَ ٱلسَّـٰجِدِينَ','verse_number' => '11','verse_key' => '7:11','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '151','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '966','chapter_id' => '7','arabic_name' => 'قَالَ مَا مَنَعَكَ أَلَّا تَسْجُدَ إِذْ أَمَرْتُكَ ۖ قَالَ أَنَا۠ خَيْرٌ مِّنْهُ خَلَقْتَنِى مِن نَّارٍ وَخَلَقْتَهُۥ مِن طِينٍ','verse_number' => '12','verse_key' => '7:12','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '967','chapter_id' => '7','arabic_name' => 'قَالَ فَٱهْبِطْ مِنْهَا فَمَا يَكُونُ لَكَ أَن تَتَكَبَّرَ فِيهَا فَٱخْرُجْ إِنَّكَ مِنَ ٱلصَّـٰغِرِينَ','verse_number' => '13','verse_key' => '7:13','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '968','chapter_id' => '7','arabic_name' => 'قَالَ أَنظِرْنِىٓ إِلَىٰ يَوْمِ يُبْعَثُونَ','verse_number' => '14','verse_key' => '7:14','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '969','chapter_id' => '7','arabic_name' => 'قَالَ إِنَّكَ مِنَ ٱلْمُنظَرِينَ','verse_number' => '15','verse_key' => '7:15','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '970','chapter_id' => '7','arabic_name' => 'قَالَ فَبِمَآ أَغْوَيْتَنِى لَأَقْعُدَنَّ لَهُمْ صِرَٰطَكَ ٱلْمُسْتَقِيمَ','verse_number' => '16','verse_key' => '7:16','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '971','chapter_id' => '7','arabic_name' => 'ثُمَّ لَـَٔاتِيَنَّهُم مِّنۢ بَيْنِ أَيْدِيهِمْ وَمِنْ خَلْفِهِمْ وَعَنْ أَيْمَـٰنِهِمْ وَعَن شَمَآئِلِهِمْ ۖ وَلَا تَجِدُ أَكْثَرَهُمْ شَـٰكِرِينَ','verse_number' => '17','verse_key' => '7:17','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '972','chapter_id' => '7','arabic_name' => 'قَالَ ٱخْرُجْ مِنْهَا مَذْءُومًا مَّدْحُورًا ۖ لَّمَن تَبِعَكَ مِنْهُمْ لَأَمْلَأَنَّ جَهَنَّمَ مِنكُمْ أَجْمَعِينَ','verse_number' => '18','verse_key' => '7:18','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '973','chapter_id' => '7','arabic_name' => 'وَيَـٰٓـَٔادَمُ ٱسْكُنْ أَنتَ وَزَوْجُكَ ٱلْجَنَّةَ فَكُلَا مِنْ حَيْثُ شِئْتُمَا وَلَا تَقْرَبَا هَـٰذِهِ ٱلشَّجَرَةَ فَتَكُونَا مِنَ ٱلظَّـٰلِمِينَ','verse_number' => '19','verse_key' => '7:19','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '974','chapter_id' => '7','arabic_name' => 'فَوَسْوَسَ لَهُمَا ٱلشَّيْطَـٰنُ لِيُبْدِىَ لَهُمَا مَا وُۥرِىَ عَنْهُمَا مِن سَوْءَٰتِهِمَا وَقَالَ مَا نَهَىٰكُمَا رَبُّكُمَا عَنْ هَـٰذِهِ ٱلشَّجَرَةِ إِلَّآ أَن تَكُونَا مَلَكَيْنِ أَوْ تَكُونَا مِنَ ٱلْخَـٰلِدِينَ','verse_number' => '20','verse_key' => '7:20','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '975','chapter_id' => '7','arabic_name' => 'وَقَاسَمَهُمَآ إِنِّى لَكُمَا لَمِنَ ٱلنَّـٰصِحِينَ','verse_number' => '21','verse_key' => '7:21','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '976','chapter_id' => '7','arabic_name' => 'فَدَلَّىٰهُمَا بِغُرُورٍ ۚ فَلَمَّا ذَاقَا ٱلشَّجَرَةَ بَدَتْ لَهُمَا سَوْءَٰتُهُمَا وَطَفِقَا يَخْصِفَانِ عَلَيْهِمَا مِن وَرَقِ ٱلْجَنَّةِ ۖ وَنَادَىٰهُمَا رَبُّهُمَآ أَلَمْ أَنْهَكُمَا عَن تِلْكُمَا ٱلشَّجَرَةِ وَأَقُل لَّكُمَآ إِنَّ ٱلشَّيْطَـٰنَ لَكُمَا عَدُوٌّ مُّبِينٌ','verse_number' => '22','verse_key' => '7:22','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '152','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '977','chapter_id' => '7','arabic_name' => 'قَالَا رَبَّنَا ظَلَمْنَآ أَنفُسَنَا وَإِن لَّمْ تَغْفِرْ لَنَا وَتَرْحَمْنَا لَنَكُونَنَّ مِنَ ٱلْخَـٰسِرِينَ','verse_number' => '23','verse_key' => '7:23','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '978','chapter_id' => '7','arabic_name' => 'قَالَ ٱهْبِطُوا۟ بَعْضُكُمْ لِبَعْضٍ عَدُوٌّ ۖ وَلَكُمْ فِى ٱلْأَرْضِ مُسْتَقَرٌّ وَمَتَـٰعٌ إِلَىٰ حِينٍ','verse_number' => '24','verse_key' => '7:24','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '979','chapter_id' => '7','arabic_name' => 'قَالَ فِيهَا تَحْيَوْنَ وَفِيهَا تَمُوتُونَ وَمِنْهَا تُخْرَجُونَ','verse_number' => '25','verse_key' => '7:25','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '123','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '980','chapter_id' => '7','arabic_name' => 'يَـٰبَنِىٓ ءَادَمَ قَدْ أَنزَلْنَا عَلَيْكُمْ لِبَاسًا يُوَٰرِى سَوْءَٰتِكُمْ وَرِيشًا ۖ وَلِبَاسُ ٱلتَّقْوَىٰ ذَٰلِكَ خَيْرٌ ۚ ذَٰلِكَ مِنْ ءَايَـٰتِ ٱللَّهِ لَعَلَّهُمْ يَذَّكَّرُونَ','verse_number' => '26','verse_key' => '7:26','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '124','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '981','chapter_id' => '7','arabic_name' => 'يَـٰبَنِىٓ ءَادَمَ لَا يَفْتِنَنَّكُمُ ٱلشَّيْطَـٰنُ كَمَآ أَخْرَجَ أَبَوَيْكُم مِّنَ ٱلْجَنَّةِ يَنزِعُ عَنْهُمَا لِبَاسَهُمَا لِيُرِيَهُمَا سَوْءَٰتِهِمَآ ۗ إِنَّهُۥ يَرَىٰكُمْ هُوَ وَقَبِيلُهُۥ مِنْ حَيْثُ لَا تَرَوْنَهُمْ ۗ إِنَّا جَعَلْنَا ٱلشَّيَـٰطِينَ أَوْلِيَآءَ لِلَّذِينَ لَا يُؤْمِنُونَ','verse_number' => '27','verse_key' => '7:27','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '124','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '982','chapter_id' => '7','arabic_name' => 'وَإِذَا فَعَلُوا۟ فَـٰحِشَةً قَالُوا۟ وَجَدْنَا عَلَيْهَآ ءَابَآءَنَا وَٱللَّهُ أَمَرَنَا بِهَا ۗ قُلْ إِنَّ ٱللَّهَ لَا يَأْمُرُ بِٱلْفَحْشَآءِ ۖ أَتَقُولُونَ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '28','verse_key' => '7:28','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '124','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '983','chapter_id' => '7','arabic_name' => 'قُلْ أَمَرَ رَبِّى بِٱلْقِسْطِ ۖ وَأَقِيمُوا۟ وُجُوهَكُمْ عِندَ كُلِّ مَسْجِدٍ وَٱدْعُوهُ مُخْلِصِينَ لَهُ ٱلدِّينَ ۚ كَمَا بَدَأَكُمْ تَعُودُونَ','verse_number' => '29','verse_key' => '7:29','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '124','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '984','chapter_id' => '7','arabic_name' => 'فَرِيقًا هَدَىٰ وَفَرِيقًا حَقَّ عَلَيْهِمُ ٱلضَّلَـٰلَةُ ۗ إِنَّهُمُ ٱتَّخَذُوا۟ ٱلشَّيَـٰطِينَ أَوْلِيَآءَ مِن دُونِ ٱللَّهِ وَيَحْسَبُونَ أَنَّهُم مُّهْتَدُونَ','verse_number' => '30','verse_key' => '7:30','hizb_number' => '16','rub_el_hizb_number' => '61','ruku_number' => '124','manzil_number' => '2','sajdah_number' => '0','page_number' => '153','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '985','chapter_id' => '7','arabic_name' => '۞ يَـٰبَنِىٓ ءَادَمَ خُذُوا۟ زِينَتَكُمْ عِندَ كُلِّ مَسْجِدٍ وَكُلُوا۟ وَٱشْرَبُوا۟ وَلَا تُسْرِفُوٓا۟ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُسْرِفِينَ','verse_number' => '31','verse_key' => '7:31','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '124','manzil_number' => '2','sajdah_number' => '0','page_number' => '154','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '986','chapter_id' => '7','arabic_name' => 'قُلْ مَنْ حَرَّمَ زِينَةَ ٱللَّهِ ٱلَّتِىٓ أَخْرَجَ لِعِبَادِهِۦ وَٱلطَّيِّبَـٰتِ مِنَ ٱلرِّزْقِ ۚ قُلْ هِىَ لِلَّذِينَ ءَامَنُوا۟ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا خَالِصَةً يَوْمَ ٱلْقِيَـٰمَةِ ۗ كَذَٰلِكَ نُفَصِّلُ ٱلْـَٔايَـٰتِ لِقَوْمٍ يَعْلَمُونَ','verse_number' => '32','verse_key' => '7:32','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '154','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '987','chapter_id' => '7','arabic_name' => 'قُلْ إِنَّمَا حَرَّمَ رَبِّىَ ٱلْفَوَٰحِشَ مَا ظَهَرَ مِنْهَا وَمَا بَطَنَ وَٱلْإِثْمَ وَٱلْبَغْىَ بِغَيْرِ ٱلْحَقِّ وَأَن تُشْرِكُوا۟ بِٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ سُلْطَـٰنًا وَأَن تَقُولُوا۟ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '33','verse_key' => '7:33','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '154','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '988','chapter_id' => '7','arabic_name' => 'وَلِكُلِّ أُمَّةٍ أَجَلٌ ۖ فَإِذَا جَآءَ أَجَلُهُمْ لَا يَسْتَأْخِرُونَ سَاعَةً ۖ وَلَا يَسْتَقْدِمُونَ','verse_number' => '34','verse_key' => '7:34','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '154','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '989','chapter_id' => '7','arabic_name' => 'يَـٰبَنِىٓ ءَادَمَ إِمَّا يَأْتِيَنَّكُمْ رُسُلٌ مِّنكُمْ يَقُصُّونَ عَلَيْكُمْ ءَايَـٰتِى ۙ فَمَنِ ٱتَّقَىٰ وَأَصْلَحَ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '35','verse_key' => '7:35','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '154','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '990','chapter_id' => '7','arabic_name' => 'وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا وَٱسْتَكْبَرُوا۟ عَنْهَآ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '36','verse_key' => '7:36','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '154','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '991','chapter_id' => '7','arabic_name' => 'فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِـَٔايَـٰتِهِۦٓ ۚ أُو۟لَـٰٓئِكَ يَنَالُهُمْ نَصِيبُهُم مِّنَ ٱلْكِتَـٰبِ ۖ حَتَّىٰٓ إِذَا جَآءَتْهُمْ رُسُلُنَا يَتَوَفَّوْنَهُمْ قَالُوٓا۟ أَيْنَ مَا كُنتُمْ تَدْعُونَ مِن دُونِ ٱللَّهِ ۖ قَالُوا۟ ضَلُّوا۟ عَنَّا وَشَهِدُوا۟ عَلَىٰٓ أَنفُسِهِمْ أَنَّهُمْ كَانُوا۟ كَـٰفِرِينَ','verse_number' => '37','verse_key' => '7:37','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '154','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '992','chapter_id' => '7','arabic_name' => 'قَالَ ٱدْخُلُوا۟ فِىٓ أُمَمٍ قَدْ خَلَتْ مِن قَبْلِكُم مِّنَ ٱلْجِنِّ وَٱلْإِنسِ فِى ٱلنَّارِ ۖ كُلَّمَا دَخَلَتْ أُمَّةٌ لَّعَنَتْ أُخْتَهَا ۖ حَتَّىٰٓ إِذَا ٱدَّارَكُوا۟ فِيهَا جَمِيعًا قَالَتْ أُخْرَىٰهُمْ لِأُولَىٰهُمْ رَبَّنَا هَـٰٓؤُلَآءِ أَضَلُّونَا فَـَٔاتِهِمْ عَذَابًا ضِعْفًا مِّنَ ٱلنَّارِ ۖ قَالَ لِكُلٍّ ضِعْفٌ وَلَـٰكِن لَّا تَعْلَمُونَ','verse_number' => '38','verse_key' => '7:38','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '155','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '993','chapter_id' => '7','arabic_name' => 'وَقَالَتْ أُولَىٰهُمْ لِأُخْرَىٰهُمْ فَمَا كَانَ لَكُمْ عَلَيْنَا مِن فَضْلٍ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْسِبُونَ','verse_number' => '39','verse_key' => '7:39','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '125','manzil_number' => '2','sajdah_number' => '0','page_number' => '155','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '994','chapter_id' => '7','arabic_name' => 'إِنَّ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا وَٱسْتَكْبَرُوا۟ عَنْهَا لَا تُفَتَّحُ لَهُمْ أَبْوَٰبُ ٱلسَّمَآءِ وَلَا يَدْخُلُونَ ٱلْجَنَّةَ حَتَّىٰ يَلِجَ ٱلْجَمَلُ فِى سَمِّ ٱلْخِيَاطِ ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُجْرِمِينَ','verse_number' => '40','verse_key' => '7:40','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '155','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '995','chapter_id' => '7','arabic_name' => 'لَهُم مِّن جَهَنَّمَ مِهَادٌ وَمِن فَوْقِهِمْ غَوَاشٍ ۚ وَكَذَٰلِكَ نَجْزِى ٱلظَّـٰلِمِينَ','verse_number' => '41','verse_key' => '7:41','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '155','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '996','chapter_id' => '7','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَا نُكَلِّفُ نَفْسًا إِلَّا وُسْعَهَآ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '42','verse_key' => '7:42','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '155','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '997','chapter_id' => '7','arabic_name' => 'وَنَزَعْنَا مَا فِى صُدُورِهِم مِّنْ غِلٍّ تَجْرِى مِن تَحْتِهِمُ ٱلْأَنْهَـٰرُ ۖ وَقَالُوا۟ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى هَدَىٰنَا لِهَـٰذَا وَمَا كُنَّا لِنَهْتَدِىَ لَوْلَآ أَنْ هَدَىٰنَا ٱللَّهُ ۖ لَقَدْ جَآءَتْ رُسُلُ رَبِّنَا بِٱلْحَقِّ ۖ وَنُودُوٓا۟ أَن تِلْكُمُ ٱلْجَنَّةُ أُورِثْتُمُوهَا بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '43','verse_key' => '7:43','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '155','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '998','chapter_id' => '7','arabic_name' => 'وَنَادَىٰٓ أَصْحَـٰبُ ٱلْجَنَّةِ أَصْحَـٰبَ ٱلنَّارِ أَن قَدْ وَجَدْنَا مَا وَعَدَنَا رَبُّنَا حَقًّا فَهَلْ وَجَدتُّم مَّا وَعَدَ رَبُّكُمْ حَقًّا ۖ قَالُوا۟ نَعَمْ ۚ فَأَذَّنَ مُؤَذِّنٌۢ بَيْنَهُمْ أَن لَّعْنَةُ ٱللَّهِ عَلَى ٱلظَّـٰلِمِينَ','verse_number' => '44','verse_key' => '7:44','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '999','chapter_id' => '7','arabic_name' => 'ٱلَّذِينَ يَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَيَبْغُونَهَا عِوَجًا وَهُم بِٱلْـَٔاخِرَةِ كَـٰفِرُونَ','verse_number' => '45','verse_key' => '7:45','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1000','chapter_id' => '7','arabic_name' => 'وَبَيْنَهُمَا حِجَابٌ ۚ وَعَلَى ٱلْأَعْرَافِ رِجَالٌ يَعْرِفُونَ كُلًّۢا بِسِيمَىٰهُمْ ۚ وَنَادَوْا۟ أَصْحَـٰبَ ٱلْجَنَّةِ أَن سَلَـٰمٌ عَلَيْكُمْ ۚ لَمْ يَدْخُلُوهَا وَهُمْ يَطْمَعُونَ','verse_number' => '46','verse_key' => '7:46','hizb_number' => '16','rub_el_hizb_number' => '62','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),

        );
        DB::table('chapter_details')->insert($chapterDetails);
    }
}
