<?php

namespace Database\Seeders\Quran\Chapter;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ChapterDetailSeeder2 extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = array(
            array('id' => '1001','chapter_id' => '7','arabic_name' => '۞ وَإِذَا صُرِفَتْ أَبْصَـٰرُهُمْ تِلْقَآءَ أَصْحَـٰبِ ٱلنَّارِ قَالُوا۟ رَبَّنَا لَا تَجْعَلْنَا مَعَ ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '47','verse_key' => '7:47','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '126','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1002','chapter_id' => '7','arabic_name' => 'وَنَادَىٰٓ أَصْحَـٰبُ ٱلْأَعْرَافِ رِجَالًا يَعْرِفُونَهُم بِسِيمَىٰهُمْ قَالُوا۟ مَآ أَغْنَىٰ عَنكُمْ جَمْعُكُمْ وَمَا كُنتُمْ تَسْتَكْبِرُونَ','verse_number' => '48','verse_key' => '7:48','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '127','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1003','chapter_id' => '7','arabic_name' => 'أَهَـٰٓؤُلَآءِ ٱلَّذِينَ أَقْسَمْتُمْ لَا يَنَالُهُمُ ٱللَّهُ بِرَحْمَةٍ ۚ ٱدْخُلُوا۟ ٱلْجَنَّةَ لَا خَوْفٌ عَلَيْكُمْ وَلَآ أَنتُمْ تَحْزَنُونَ','verse_number' => '49','verse_key' => '7:49','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '127','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1004','chapter_id' => '7','arabic_name' => 'وَنَادَىٰٓ أَصْحَـٰبُ ٱلنَّارِ أَصْحَـٰبَ ٱلْجَنَّةِ أَنْ أَفِيضُوا۟ عَلَيْنَا مِنَ ٱلْمَآءِ أَوْ مِمَّا رَزَقَكُمُ ٱللَّهُ ۚ قَالُوٓا۟ إِنَّ ٱللَّهَ حَرَّمَهُمَا عَلَى ٱلْكَـٰفِرِينَ','verse_number' => '50','verse_key' => '7:50','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '127','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1005','chapter_id' => '7','arabic_name' => 'ٱلَّذِينَ ٱتَّخَذُوا۟ دِينَهُمْ لَهْوًا وَلَعِبًا وَغَرَّتْهُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۚ فَٱلْيَوْمَ نَنسَىٰهُمْ كَمَا نَسُوا۟ لِقَآءَ يَوْمِهِمْ هَـٰذَا وَمَا كَانُوا۟ بِـَٔايَـٰتِنَا يَجْحَدُونَ','verse_number' => '51','verse_key' => '7:51','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '127','manzil_number' => '2','sajdah_number' => '0','page_number' => '156','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1006','chapter_id' => '7','arabic_name' => 'وَلَقَدْ جِئْنَـٰهُم بِكِتَـٰبٍ فَصَّلْنَـٰهُ عَلَىٰ عِلْمٍ هُدًى وَرَحْمَةً لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '52','verse_key' => '7:52','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '127','manzil_number' => '2','sajdah_number' => '0','page_number' => '157','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1007','chapter_id' => '7','arabic_name' => 'هَلْ يَنظُرُونَ إِلَّا تَأْوِيلَهُۥ ۚ يَوْمَ يَأْتِى تَأْوِيلُهُۥ يَقُولُ ٱلَّذِينَ نَسُوهُ مِن قَبْلُ قَدْ جَآءَتْ رُسُلُ رَبِّنَا بِٱلْحَقِّ فَهَل لَّنَا مِن شُفَعَآءَ فَيَشْفَعُوا۟ لَنَآ أَوْ نُرَدُّ فَنَعْمَلَ غَيْرَ ٱلَّذِى كُنَّا نَعْمَلُ ۚ قَدْ خَسِرُوٓا۟ أَنفُسَهُمْ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '53','verse_key' => '7:53','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '127','manzil_number' => '2','sajdah_number' => '0','page_number' => '157','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1008','chapter_id' => '7','arabic_name' => 'إِنَّ رَبَّكُمُ ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ يُغْشِى ٱلَّيْلَ ٱلنَّهَارَ يَطْلُبُهُۥ حَثِيثًا وَٱلشَّمْسَ وَٱلْقَمَرَ وَٱلنُّجُومَ مُسَخَّرَٰتٍۭ بِأَمْرِهِۦٓ ۗ أَلَا لَهُ ٱلْخَلْقُ وَٱلْأَمْرُ ۗ تَبَارَكَ ٱللَّهُ رَبُّ ٱلْعَـٰلَمِينَ','verse_number' => '54','verse_key' => '7:54','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '128','manzil_number' => '2','sajdah_number' => '0','page_number' => '157','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1009','chapter_id' => '7','arabic_name' => 'ٱدْعُوا۟ رَبَّكُمْ تَضَرُّعًا وَخُفْيَةً ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُعْتَدِينَ','verse_number' => '55','verse_key' => '7:55','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '128','manzil_number' => '2','sajdah_number' => '0','page_number' => '157','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1010','chapter_id' => '7','arabic_name' => 'وَلَا تُفْسِدُوا۟ فِى ٱلْأَرْضِ بَعْدَ إِصْلَـٰحِهَا وَٱدْعُوهُ خَوْفًا وَطَمَعًا ۚ إِنَّ رَحْمَتَ ٱللَّهِ قَرِيبٌ مِّنَ ٱلْمُحْسِنِينَ','verse_number' => '56','verse_key' => '7:56','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '128','manzil_number' => '2','sajdah_number' => '0','page_number' => '157','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1011','chapter_id' => '7','arabic_name' => 'وَهُوَ ٱلَّذِى يُرْسِلُ ٱلرِّيَـٰحَ بُشْرًۢا بَيْنَ يَدَىْ رَحْمَتِهِۦ ۖ حَتَّىٰٓ إِذَآ أَقَلَّتْ سَحَابًا ثِقَالًا سُقْنَـٰهُ لِبَلَدٍ مَّيِّتٍ فَأَنزَلْنَا بِهِ ٱلْمَآءَ فَأَخْرَجْنَا بِهِۦ مِن كُلِّ ٱلثَّمَرَٰتِ ۚ كَذَٰلِكَ نُخْرِجُ ٱلْمَوْتَىٰ لَعَلَّكُمْ تَذَكَّرُونَ','verse_number' => '57','verse_key' => '7:57','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '128','manzil_number' => '2','sajdah_number' => '0','page_number' => '157','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1012','chapter_id' => '7','arabic_name' => 'وَٱلْبَلَدُ ٱلطَّيِّبُ يَخْرُجُ نَبَاتُهُۥ بِإِذْنِ رَبِّهِۦ ۖ وَٱلَّذِى خَبُثَ لَا يَخْرُجُ إِلَّا نَكِدًا ۚ كَذَٰلِكَ نُصَرِّفُ ٱلْـَٔايَـٰتِ لِقَوْمٍ يَشْكُرُونَ','verse_number' => '58','verse_key' => '7:58','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '128','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1013','chapter_id' => '7','arabic_name' => 'لَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦ فَقَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥٓ إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ عَظِيمٍ','verse_number' => '59','verse_key' => '7:59','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '129','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1014','chapter_id' => '7','arabic_name' => 'قَالَ ٱلْمَلَأُ مِن قَوْمِهِۦٓ إِنَّا لَنَرَىٰكَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '60','verse_key' => '7:60','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '129','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1015','chapter_id' => '7','arabic_name' => 'قَالَ يَـٰقَوْمِ لَيْسَ بِى ضَلَـٰلَةٌ وَلَـٰكِنِّى رَسُولٌ مِّن رَّبِّ ٱلْعَـٰلَمِينَ','verse_number' => '61','verse_key' => '7:61','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '129','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1016','chapter_id' => '7','arabic_name' => 'أُبَلِّغُكُمْ رِسَـٰلَـٰتِ رَبِّى وَأَنصَحُ لَكُمْ وَأَعْلَمُ مِنَ ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '62','verse_key' => '7:62','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '129','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1017','chapter_id' => '7','arabic_name' => 'أَوَعَجِبْتُمْ أَن جَآءَكُمْ ذِكْرٌ مِّن رَّبِّكُمْ عَلَىٰ رَجُلٍ مِّنكُمْ لِيُنذِرَكُمْ وَلِتَتَّقُوا۟ وَلَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '63','verse_key' => '7:63','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '129','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1018','chapter_id' => '7','arabic_name' => 'فَكَذَّبُوهُ فَأَنجَيْنَـٰهُ وَٱلَّذِينَ مَعَهُۥ فِى ٱلْفُلْكِ وَأَغْرَقْنَا ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَآ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًا عَمِينَ','verse_number' => '64','verse_key' => '7:64','hizb_number' => '16','rub_el_hizb_number' => '63','ruku_number' => '129','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1019','chapter_id' => '7','arabic_name' => '۞ وَإِلَىٰ عَادٍ أَخَاهُمْ هُودًا ۗ قَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥٓ ۚ أَفَلَا تَتَّقُونَ','verse_number' => '65','verse_key' => '7:65','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1020','chapter_id' => '7','arabic_name' => 'قَالَ ٱلْمَلَأُ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦٓ إِنَّا لَنَرَىٰكَ فِى سَفَاهَةٍ وَإِنَّا لَنَظُنُّكَ مِنَ ٱلْكَـٰذِبِينَ','verse_number' => '66','verse_key' => '7:66','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1021','chapter_id' => '7','arabic_name' => 'قَالَ يَـٰقَوْمِ لَيْسَ بِى سَفَاهَةٌ وَلَـٰكِنِّى رَسُولٌ مِّن رَّبِّ ٱلْعَـٰلَمِينَ','verse_number' => '67','verse_key' => '7:67','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '158','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1022','chapter_id' => '7','arabic_name' => 'أُبَلِّغُكُمْ رِسَـٰلَـٰتِ رَبِّى وَأَنَا۠ لَكُمْ نَاصِحٌ أَمِينٌ','verse_number' => '68','verse_key' => '7:68','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '159','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1023','chapter_id' => '7','arabic_name' => 'أَوَعَجِبْتُمْ أَن جَآءَكُمْ ذِكْرٌ مِّن رَّبِّكُمْ عَلَىٰ رَجُلٍ مِّنكُمْ لِيُنذِرَكُمْ ۚ وَٱذْكُرُوٓا۟ إِذْ جَعَلَكُمْ خُلَفَآءَ مِنۢ بَعْدِ قَوْمِ نُوحٍ وَزَادَكُمْ فِى ٱلْخَلْقِ بَصْۜطَةً ۖ فَٱذْكُرُوٓا۟ ءَالَآءَ ٱللَّهِ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '69','verse_key' => '7:69','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '159','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1024','chapter_id' => '7','arabic_name' => 'قَالُوٓا۟ أَجِئْتَنَا لِنَعْبُدَ ٱللَّهَ وَحْدَهُۥ وَنَذَرَ مَا كَانَ يَعْبُدُ ءَابَآؤُنَا ۖ فَأْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '70','verse_key' => '7:70','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '159','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1025','chapter_id' => '7','arabic_name' => 'قَالَ قَدْ وَقَعَ عَلَيْكُم مِّن رَّبِّكُمْ رِجْسٌ وَغَضَبٌ ۖ أَتُجَـٰدِلُونَنِى فِىٓ أَسْمَآءٍ سَمَّيْتُمُوهَآ أَنتُمْ وَءَابَآؤُكُم مَّا نَزَّلَ ٱللَّهُ بِهَا مِن سُلْطَـٰنٍ ۚ فَٱنتَظِرُوٓا۟ إِنِّى مَعَكُم مِّنَ ٱلْمُنتَظِرِينَ','verse_number' => '71','verse_key' => '7:71','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '159','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1026','chapter_id' => '7','arabic_name' => 'فَأَنجَيْنَـٰهُ وَٱلَّذِينَ مَعَهُۥ بِرَحْمَةٍ مِّنَّا وَقَطَعْنَا دَابِرَ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا ۖ وَمَا كَانُوا۟ مُؤْمِنِينَ','verse_number' => '72','verse_key' => '7:72','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '130','manzil_number' => '2','sajdah_number' => '0','page_number' => '159','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1027','chapter_id' => '7','arabic_name' => 'وَإِلَىٰ ثَمُودَ أَخَاهُمْ صَـٰلِحًا ۗ قَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥ ۖ قَدْ جَآءَتْكُم بَيِّنَةٌ مِّن رَّبِّكُمْ ۖ هَـٰذِهِۦ نَاقَةُ ٱللَّهِ لَكُمْ ءَايَةً ۖ فَذَرُوهَا تَأْكُلْ فِىٓ أَرْضِ ٱللَّهِ ۖ وَلَا تَمَسُّوهَا بِسُوٓءٍ فَيَأْخُذَكُمْ عَذَابٌ أَلِيمٌ','verse_number' => '73','verse_key' => '7:73','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '159','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1028','chapter_id' => '7','arabic_name' => 'وَٱذْكُرُوٓا۟ إِذْ جَعَلَكُمْ خُلَفَآءَ مِنۢ بَعْدِ عَادٍ وَبَوَّأَكُمْ فِى ٱلْأَرْضِ تَتَّخِذُونَ مِن سُهُولِهَا قُصُورًا وَتَنْحِتُونَ ٱلْجِبَالَ بُيُوتًا ۖ فَٱذْكُرُوٓا۟ ءَالَآءَ ٱللَّهِ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ','verse_number' => '74','verse_key' => '7:74','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1029','chapter_id' => '7','arabic_name' => 'قَالَ ٱلْمَلَأُ ٱلَّذِينَ ٱسْتَكْبَرُوا۟ مِن قَوْمِهِۦ لِلَّذِينَ ٱسْتُضْعِفُوا۟ لِمَنْ ءَامَنَ مِنْهُمْ أَتَعْلَمُونَ أَنَّ صَـٰلِحًا مُّرْسَلٌ مِّن رَّبِّهِۦ ۚ قَالُوٓا۟ إِنَّا بِمَآ أُرْسِلَ بِهِۦ مُؤْمِنُونَ','verse_number' => '75','verse_key' => '7:75','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1030','chapter_id' => '7','arabic_name' => 'قَالَ ٱلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا بِٱلَّذِىٓ ءَامَنتُم بِهِۦ كَـٰفِرُونَ','verse_number' => '76','verse_key' => '7:76','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1031','chapter_id' => '7','arabic_name' => 'فَعَقَرُوا۟ ٱلنَّاقَةَ وَعَتَوْا۟ عَنْ أَمْرِ رَبِّهِمْ وَقَالُوا۟ يَـٰصَـٰلِحُ ٱئْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلْمُرْسَلِينَ','verse_number' => '77','verse_key' => '7:77','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1032','chapter_id' => '7','arabic_name' => 'فَأَخَذَتْهُمُ ٱلرَّجْفَةُ فَأَصْبَحُوا۟ فِى دَارِهِمْ جَـٰثِمِينَ','verse_number' => '78','verse_key' => '7:78','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1033','chapter_id' => '7','arabic_name' => 'فَتَوَلَّىٰ عَنْهُمْ وَقَالَ يَـٰقَوْمِ لَقَدْ أَبْلَغْتُكُمْ رِسَالَةَ رَبِّى وَنَصَحْتُ لَكُمْ وَلَـٰكِن لَّا تُحِبُّونَ ٱلنَّـٰصِحِينَ','verse_number' => '79','verse_key' => '7:79','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1034','chapter_id' => '7','arabic_name' => 'وَلُوطًا إِذْ قَالَ لِقَوْمِهِۦٓ أَتَأْتُونَ ٱلْفَـٰحِشَةَ مَا سَبَقَكُم بِهَا مِنْ أَحَدٍ مِّنَ ٱلْعَـٰلَمِينَ','verse_number' => '80','verse_key' => '7:80','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1035','chapter_id' => '7','arabic_name' => 'إِنَّكُمْ لَتَأْتُونَ ٱلرِّجَالَ شَهْوَةً مِّن دُونِ ٱلنِّسَآءِ ۚ بَلْ أَنتُمْ قَوْمٌ مُّسْرِفُونَ','verse_number' => '81','verse_key' => '7:81','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '160','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1036','chapter_id' => '7','arabic_name' => 'وَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوٓا۟ أَخْرِجُوهُم مِّن قَرْيَتِكُمْ ۖ إِنَّهُمْ أُنَاسٌ يَتَطَهَّرُونَ','verse_number' => '82','verse_key' => '7:82','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '161','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1037','chapter_id' => '7','arabic_name' => 'فَأَنجَيْنَـٰهُ وَأَهْلَهُۥٓ إِلَّا ٱمْرَأَتَهُۥ كَانَتْ مِنَ ٱلْغَـٰبِرِينَ','verse_number' => '83','verse_key' => '7:83','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '161','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1038','chapter_id' => '7','arabic_name' => 'وَأَمْطَرْنَا عَلَيْهِم مَّطَرًا ۖ فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُجْرِمِينَ','verse_number' => '84','verse_key' => '7:84','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '131','manzil_number' => '2','sajdah_number' => '0','page_number' => '161','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1039','chapter_id' => '7','arabic_name' => 'وَإِلَىٰ مَدْيَنَ أَخَاهُمْ شُعَيْبًا ۗ قَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥ ۖ قَدْ جَآءَتْكُم بَيِّنَةٌ مِّن رَّبِّكُمْ ۖ فَأَوْفُوا۟ ٱلْكَيْلَ وَٱلْمِيزَانَ وَلَا تَبْخَسُوا۟ ٱلنَّاسَ أَشْيَآءَهُمْ وَلَا تُفْسِدُوا۟ فِى ٱلْأَرْضِ بَعْدَ إِصْلَـٰحِهَا ۚ ذَٰلِكُمْ خَيْرٌ لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '85','verse_key' => '7:85','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '161','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1040','chapter_id' => '7','arabic_name' => 'وَلَا تَقْعُدُوا۟ بِكُلِّ صِرَٰطٍ تُوعِدُونَ وَتَصُدُّونَ عَن سَبِيلِ ٱللَّهِ مَنْ ءَامَنَ بِهِۦ وَتَبْغُونَهَا عِوَجًا ۚ وَٱذْكُرُوٓا۟ إِذْ كُنتُمْ قَلِيلًا فَكَثَّرَكُمْ ۖ وَٱنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُفْسِدِينَ','verse_number' => '86','verse_key' => '7:86','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '161','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1041','chapter_id' => '7','arabic_name' => 'وَإِن كَانَ طَآئِفَةٌ مِّنكُمْ ءَامَنُوا۟ بِٱلَّذِىٓ أُرْسِلْتُ بِهِۦ وَطَآئِفَةٌ لَّمْ يُؤْمِنُوا۟ فَٱصْبِرُوا۟ حَتَّىٰ يَحْكُمَ ٱللَّهُ بَيْنَنَا ۚ وَهُوَ خَيْرُ ٱلْحَـٰكِمِينَ','verse_number' => '87','verse_key' => '7:87','hizb_number' => '16','rub_el_hizb_number' => '64','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '161','juz_number' => '8','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1042','chapter_id' => '7','arabic_name' => '۞ قَالَ ٱلْمَلَأُ ٱلَّذِينَ ٱسْتَكْبَرُوا۟ مِن قَوْمِهِۦ لَنُخْرِجَنَّكَ يَـٰشُعَيْبُ وَٱلَّذِينَ ءَامَنُوا۟ مَعَكَ مِن قَرْيَتِنَآ أَوْ لَتَعُودُنَّ فِى مِلَّتِنَا ۚ قَالَ أَوَلَوْ كُنَّا كَـٰرِهِينَ','verse_number' => '88','verse_key' => '7:88','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1043','chapter_id' => '7','arabic_name' => 'قَدِ ٱفْتَرَيْنَا عَلَى ٱللَّهِ كَذِبًا إِنْ عُدْنَا فِى مِلَّتِكُم بَعْدَ إِذْ نَجَّىٰنَا ٱللَّهُ مِنْهَا ۚ وَمَا يَكُونُ لَنَآ أَن نَّعُودَ فِيهَآ إِلَّآ أَن يَشَآءَ ٱللَّهُ رَبُّنَا ۚ وَسِعَ رَبُّنَا كُلَّ شَىْءٍ عِلْمًا ۚ عَلَى ٱللَّهِ تَوَكَّلْنَا ۚ رَبَّنَا ٱفْتَحْ بَيْنَنَا وَبَيْنَ قَوْمِنَا بِٱلْحَقِّ وَأَنتَ خَيْرُ ٱلْفَـٰتِحِينَ','verse_number' => '89','verse_key' => '7:89','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1044','chapter_id' => '7','arabic_name' => 'وَقَالَ ٱلْمَلَأُ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦ لَئِنِ ٱتَّبَعْتُمْ شُعَيْبًا إِنَّكُمْ إِذًا لَّخَـٰسِرُونَ','verse_number' => '90','verse_key' => '7:90','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1045','chapter_id' => '7','arabic_name' => 'فَأَخَذَتْهُمُ ٱلرَّجْفَةُ فَأَصْبَحُوا۟ فِى دَارِهِمْ جَـٰثِمِينَ','verse_number' => '91','verse_key' => '7:91','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1046','chapter_id' => '7','arabic_name' => 'ٱلَّذِينَ كَذَّبُوا۟ شُعَيْبًا كَأَن لَّمْ يَغْنَوْا۟ فِيهَا ۚ ٱلَّذِينَ كَذَّبُوا۟ شُعَيْبًا كَانُوا۟ هُمُ ٱلْخَـٰسِرِينَ','verse_number' => '92','verse_key' => '7:92','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1047','chapter_id' => '7','arabic_name' => 'فَتَوَلَّىٰ عَنْهُمْ وَقَالَ يَـٰقَوْمِ لَقَدْ أَبْلَغْتُكُمْ رِسَـٰلَـٰتِ رَبِّى وَنَصَحْتُ لَكُمْ ۖ فَكَيْفَ ءَاسَىٰ عَلَىٰ قَوْمٍ كَـٰفِرِينَ','verse_number' => '93','verse_key' => '7:93','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '132','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1048','chapter_id' => '7','arabic_name' => 'وَمَآ أَرْسَلْنَا فِى قَرْيَةٍ مِّن نَّبِىٍّ إِلَّآ أَخَذْنَآ أَهْلَهَا بِٱلْبَأْسَآءِ وَٱلضَّرَّآءِ لَعَلَّهُمْ يَضَّرَّعُونَ','verse_number' => '94','verse_key' => '7:94','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '133','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1049','chapter_id' => '7','arabic_name' => 'ثُمَّ بَدَّلْنَا مَكَانَ ٱلسَّيِّئَةِ ٱلْحَسَنَةَ حَتَّىٰ عَفَوا۟ وَّقَالُوا۟ قَدْ مَسَّ ءَابَآءَنَا ٱلضَّرَّآءُ وَٱلسَّرَّآءُ فَأَخَذْنَـٰهُم بَغْتَةً وَهُمْ لَا يَشْعُرُونَ','verse_number' => '95','verse_key' => '7:95','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '133','manzil_number' => '2','sajdah_number' => '0','page_number' => '162','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1050','chapter_id' => '7','arabic_name' => 'وَلَوْ أَنَّ أَهْلَ ٱلْقُرَىٰٓ ءَامَنُوا۟ وَٱتَّقَوْا۟ لَفَتَحْنَا عَلَيْهِم بَرَكَـٰتٍ مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ وَلَـٰكِن كَذَّبُوا۟ فَأَخَذْنَـٰهُم بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '96','verse_key' => '7:96','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '133','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1051','chapter_id' => '7','arabic_name' => 'أَفَأَمِنَ أَهْلُ ٱلْقُرَىٰٓ أَن يَأْتِيَهُم بَأْسُنَا بَيَـٰتًا وَهُمْ نَآئِمُونَ','verse_number' => '97','verse_key' => '7:97','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '133','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1052','chapter_id' => '7','arabic_name' => 'أَوَأَمِنَ أَهْلُ ٱلْقُرَىٰٓ أَن يَأْتِيَهُم بَأْسُنَا ضُحًى وَهُمْ يَلْعَبُونَ','verse_number' => '98','verse_key' => '7:98','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '133','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1053','chapter_id' => '7','arabic_name' => 'أَفَأَمِنُوا۟ مَكْرَ ٱللَّهِ ۚ فَلَا يَأْمَنُ مَكْرَ ٱللَّهِ إِلَّا ٱلْقَوْمُ ٱلْخَـٰسِرُونَ','verse_number' => '99','verse_key' => '7:99','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '133','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1054','chapter_id' => '7','arabic_name' => 'أَوَلَمْ يَهْدِ لِلَّذِينَ يَرِثُونَ ٱلْأَرْضَ مِنۢ بَعْدِ أَهْلِهَآ أَن لَّوْ نَشَآءُ أَصَبْنَـٰهُم بِذُنُوبِهِمْ ۚ وَنَطْبَعُ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَسْمَعُونَ','verse_number' => '100','verse_key' => '7:100','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1055','chapter_id' => '7','arabic_name' => 'تِلْكَ ٱلْقُرَىٰ نَقُصُّ عَلَيْكَ مِنْ أَنۢبَآئِهَا ۚ وَلَقَدْ جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ فَمَا كَانُوا۟ لِيُؤْمِنُوا۟ بِمَا كَذَّبُوا۟ مِن قَبْلُ ۚ كَذَٰلِكَ يَطْبَعُ ٱللَّهُ عَلَىٰ قُلُوبِ ٱلْكَـٰفِرِينَ','verse_number' => '101','verse_key' => '7:101','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1056','chapter_id' => '7','arabic_name' => 'وَمَا وَجَدْنَا لِأَكْثَرِهِم مِّنْ عَهْدٍ ۖ وَإِن وَجَدْنَآ أَكْثَرَهُمْ لَفَـٰسِقِينَ','verse_number' => '102','verse_key' => '7:102','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1057','chapter_id' => '7','arabic_name' => 'ثُمَّ بَعَثْنَا مِنۢ بَعْدِهِم مُّوسَىٰ بِـَٔايَـٰتِنَآ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَظَلَمُوا۟ بِهَا ۖ فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُفْسِدِينَ','verse_number' => '103','verse_key' => '7:103','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1058','chapter_id' => '7','arabic_name' => 'وَقَالَ مُوسَىٰ يَـٰفِرْعَوْنُ إِنِّى رَسُولٌ مِّن رَّبِّ ٱلْعَـٰلَمِينَ','verse_number' => '104','verse_key' => '7:104','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '163','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1059','chapter_id' => '7','arabic_name' => 'حَقِيقٌ عَلَىٰٓ أَن لَّآ أَقُولَ عَلَى ٱللَّهِ إِلَّا ٱلْحَقَّ ۚ قَدْ جِئْتُكُم بِبَيِّنَةٍ مِّن رَّبِّكُمْ فَأَرْسِلْ مَعِىَ بَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '105','verse_key' => '7:105','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1060','chapter_id' => '7','arabic_name' => 'قَالَ إِن كُنتَ جِئْتَ بِـَٔايَةٍ فَأْتِ بِهَآ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '106','verse_key' => '7:106','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1061','chapter_id' => '7','arabic_name' => 'فَأَلْقَىٰ عَصَاهُ فَإِذَا هِىَ ثُعْبَانٌ مُّبِينٌ','verse_number' => '107','verse_key' => '7:107','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1062','chapter_id' => '7','arabic_name' => 'وَنَزَعَ يَدَهُۥ فَإِذَا هِىَ بَيْضَآءُ لِلنَّـٰظِرِينَ','verse_number' => '108','verse_key' => '7:108','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '134','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1063','chapter_id' => '7','arabic_name' => 'قَالَ ٱلْمَلَأُ مِن قَوْمِ فِرْعَوْنَ إِنَّ هَـٰذَا لَسَـٰحِرٌ عَلِيمٌ','verse_number' => '109','verse_key' => '7:109','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1064','chapter_id' => '7','arabic_name' => 'يُرِيدُ أَن يُخْرِجَكُم مِّنْ أَرْضِكُمْ ۖ فَمَاذَا تَأْمُرُونَ','verse_number' => '110','verse_key' => '7:110','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1065','chapter_id' => '7','arabic_name' => 'قَالُوٓا۟ أَرْجِهْ وَأَخَاهُ وَأَرْسِلْ فِى ٱلْمَدَآئِنِ حَـٰشِرِينَ','verse_number' => '111','verse_key' => '7:111','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1066','chapter_id' => '7','arabic_name' => 'يَأْتُوكَ بِكُلِّ سَـٰحِرٍ عَلِيمٍ','verse_number' => '112','verse_key' => '7:112','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1067','chapter_id' => '7','arabic_name' => 'وَجَآءَ ٱلسَّحَرَةُ فِرْعَوْنَ قَالُوٓا۟ إِنَّ لَنَا لَأَجْرًا إِن كُنَّا نَحْنُ ٱلْغَـٰلِبِينَ','verse_number' => '113','verse_key' => '7:113','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1068','chapter_id' => '7','arabic_name' => 'قَالَ نَعَمْ وَإِنَّكُمْ لَمِنَ ٱلْمُقَرَّبِينَ','verse_number' => '114','verse_key' => '7:114','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1069','chapter_id' => '7','arabic_name' => 'قَالُوا۟ يَـٰمُوسَىٰٓ إِمَّآ أَن تُلْقِىَ وَإِمَّآ أَن نَّكُونَ نَحْنُ ٱلْمُلْقِينَ','verse_number' => '115','verse_key' => '7:115','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1070','chapter_id' => '7','arabic_name' => 'قَالَ أَلْقُوا۟ ۖ فَلَمَّآ أَلْقَوْا۟ سَحَرُوٓا۟ أَعْيُنَ ٱلنَّاسِ وَٱسْتَرْهَبُوهُمْ وَجَآءُو بِسِحْرٍ عَظِيمٍ','verse_number' => '116','verse_key' => '7:116','hizb_number' => '17','rub_el_hizb_number' => '65','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1071','chapter_id' => '7','arabic_name' => '۞ وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنْ أَلْقِ عَصَاكَ ۖ فَإِذَا هِىَ تَلْقَفُ مَا يَأْفِكُونَ','verse_number' => '117','verse_key' => '7:117','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1072','chapter_id' => '7','arabic_name' => 'فَوَقَعَ ٱلْحَقُّ وَبَطَلَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '118','verse_key' => '7:118','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1073','chapter_id' => '7','arabic_name' => 'فَغُلِبُوا۟ هُنَالِكَ وَٱنقَلَبُوا۟ صَـٰغِرِينَ','verse_number' => '119','verse_key' => '7:119','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1074','chapter_id' => '7','arabic_name' => 'وَأُلْقِىَ ٱلسَّحَرَةُ سَـٰجِدِينَ','verse_number' => '120','verse_key' => '7:120','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '164','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1075','chapter_id' => '7','arabic_name' => 'قَالُوٓا۟ ءَامَنَّا بِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '121','verse_key' => '7:121','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1076','chapter_id' => '7','arabic_name' => 'رَبِّ مُوسَىٰ وَهَـٰرُونَ','verse_number' => '122','verse_key' => '7:122','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1077','chapter_id' => '7','arabic_name' => 'قَالَ فِرْعَوْنُ ءَامَنتُم بِهِۦ قَبْلَ أَنْ ءَاذَنَ لَكُمْ ۖ إِنَّ هَـٰذَا لَمَكْرٌ مَّكَرْتُمُوهُ فِى ٱلْمَدِينَةِ لِتُخْرِجُوا۟ مِنْهَآ أَهْلَهَا ۖ فَسَوْفَ تَعْلَمُونَ','verse_number' => '123','verse_key' => '7:123','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1078','chapter_id' => '7','arabic_name' => 'لَأُقَطِّعَنَّ أَيْدِيَكُمْ وَأَرْجُلَكُم مِّنْ خِلَـٰفٍ ثُمَّ لَأُصَلِّبَنَّكُمْ أَجْمَعِينَ','verse_number' => '124','verse_key' => '7:124','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1079','chapter_id' => '7','arabic_name' => 'قَالُوٓا۟ إِنَّآ إِلَىٰ رَبِّنَا مُنقَلِبُونَ','verse_number' => '125','verse_key' => '7:125','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1080','chapter_id' => '7','arabic_name' => 'وَمَا تَنقِمُ مِنَّآ إِلَّآ أَنْ ءَامَنَّا بِـَٔايَـٰتِ رَبِّنَا لَمَّا جَآءَتْنَا ۚ رَبَّنَآ أَفْرِغْ عَلَيْنَا صَبْرًا وَتَوَفَّنَا مُسْلِمِينَ','verse_number' => '126','verse_key' => '7:126','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '135','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1081','chapter_id' => '7','arabic_name' => 'وَقَالَ ٱلْمَلَأُ مِن قَوْمِ فِرْعَوْنَ أَتَذَرُ مُوسَىٰ وَقَوْمَهُۥ لِيُفْسِدُوا۟ فِى ٱلْأَرْضِ وَيَذَرَكَ وَءَالِهَتَكَ ۚ قَالَ سَنُقَتِّلُ أَبْنَآءَهُمْ وَنَسْتَحْىِۦ نِسَآءَهُمْ وَإِنَّا فَوْقَهُمْ قَـٰهِرُونَ','verse_number' => '127','verse_key' => '7:127','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '136','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1082','chapter_id' => '7','arabic_name' => 'قَالَ مُوسَىٰ لِقَوْمِهِ ٱسْتَعِينُوا۟ بِٱللَّهِ وَٱصْبِرُوٓا۟ ۖ إِنَّ ٱلْأَرْضَ لِلَّهِ يُورِثُهَا مَن يَشَآءُ مِنْ عِبَادِهِۦ ۖ وَٱلْعَـٰقِبَةُ لِلْمُتَّقِينَ','verse_number' => '128','verse_key' => '7:128','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '136','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1083','chapter_id' => '7','arabic_name' => 'قَالُوٓا۟ أُوذِينَا مِن قَبْلِ أَن تَأْتِيَنَا وَمِنۢ بَعْدِ مَا جِئْتَنَا ۚ قَالَ عَسَىٰ رَبُّكُمْ أَن يُهْلِكَ عَدُوَّكُمْ وَيَسْتَخْلِفَكُمْ فِى ٱلْأَرْضِ فَيَنظُرَ كَيْفَ تَعْمَلُونَ','verse_number' => '129','verse_key' => '7:129','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '136','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1084','chapter_id' => '7','arabic_name' => 'وَلَقَدْ أَخَذْنَآ ءَالَ فِرْعَوْنَ بِٱلسِّنِينَ وَنَقْصٍ مِّنَ ٱلثَّمَرَٰتِ لَعَلَّهُمْ يَذَّكَّرُونَ','verse_number' => '130','verse_key' => '7:130','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '165','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1085','chapter_id' => '7','arabic_name' => 'فَإِذَا جَآءَتْهُمُ ٱلْحَسَنَةُ قَالُوا۟ لَنَا هَـٰذِهِۦ ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌ يَطَّيَّرُوا۟ بِمُوسَىٰ وَمَن مَّعَهُۥٓ ۗ أَلَآ إِنَّمَا طَـٰٓئِرُهُمْ عِندَ ٱللَّهِ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '131','verse_key' => '7:131','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '166','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1086','chapter_id' => '7','arabic_name' => 'وَقَالُوا۟ مَهْمَا تَأْتِنَا بِهِۦ مِنْ ءَايَةٍ لِّتَسْحَرَنَا بِهَا فَمَا نَحْنُ لَكَ بِمُؤْمِنِينَ','verse_number' => '132','verse_key' => '7:132','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '166','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1087','chapter_id' => '7','arabic_name' => 'فَأَرْسَلْنَا عَلَيْهِمُ ٱلطُّوفَانَ وَٱلْجَرَادَ وَٱلْقُمَّلَ وَٱلضَّفَادِعَ وَٱلدَّمَ ءَايَـٰتٍ مُّفَصَّلَـٰتٍ فَٱسْتَكْبَرُوا۟ وَكَانُوا۟ قَوْمًا مُّجْرِمِينَ','verse_number' => '133','verse_key' => '7:133','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '166','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1088','chapter_id' => '7','arabic_name' => 'وَلَمَّا وَقَعَ عَلَيْهِمُ ٱلرِّجْزُ قَالُوا۟ يَـٰمُوسَى ٱدْعُ لَنَا رَبَّكَ بِمَا عَهِدَ عِندَكَ ۖ لَئِن كَشَفْتَ عَنَّا ٱلرِّجْزَ لَنُؤْمِنَنَّ لَكَ وَلَنُرْسِلَنَّ مَعَكَ بَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '134','verse_key' => '7:134','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '166','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1089','chapter_id' => '7','arabic_name' => 'فَلَمَّا كَشَفْنَا عَنْهُمُ ٱلرِّجْزَ إِلَىٰٓ أَجَلٍ هُم بَـٰلِغُوهُ إِذَا هُمْ يَنكُثُونَ','verse_number' => '135','verse_key' => '7:135','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '166','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1090','chapter_id' => '7','arabic_name' => 'فَٱنتَقَمْنَا مِنْهُمْ فَأَغْرَقْنَـٰهُمْ فِى ٱلْيَمِّ بِأَنَّهُمْ كَذَّبُوا۟ بِـَٔايَـٰتِنَا وَكَانُوا۟ عَنْهَا غَـٰفِلِينَ','verse_number' => '136','verse_key' => '7:136','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '166','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1091','chapter_id' => '7','arabic_name' => 'وَأَوْرَثْنَا ٱلْقَوْمَ ٱلَّذِينَ كَانُوا۟ يُسْتَضْعَفُونَ مَشَـٰرِقَ ٱلْأَرْضِ وَمَغَـٰرِبَهَا ٱلَّتِى بَـٰرَكْنَا فِيهَا ۖ وَتَمَّتْ كَلِمَتُ رَبِّكَ ٱلْحُسْنَىٰ عَلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ بِمَا صَبَرُوا۟ ۖ وَدَمَّرْنَا مَا كَانَ يَصْنَعُ فِرْعَوْنُ وَقَوْمُهُۥ وَمَا كَانُوا۟ يَعْرِشُونَ','verse_number' => '137','verse_key' => '7:137','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '166','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1092','chapter_id' => '7','arabic_name' => 'وَجَـٰوَزْنَا بِبَنِىٓ إِسْرَٰٓءِيلَ ٱلْبَحْرَ فَأَتَوْا۟ عَلَىٰ قَوْمٍ يَعْكُفُونَ عَلَىٰٓ أَصْنَامٍ لَّهُمْ ۚ قَالُوا۟ يَـٰمُوسَى ٱجْعَل لَّنَآ إِلَـٰهًا كَمَا لَهُمْ ءَالِهَةٌ ۚ قَالَ إِنَّكُمْ قَوْمٌ تَجْهَلُونَ','verse_number' => '138','verse_key' => '7:138','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '167','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1093','chapter_id' => '7','arabic_name' => 'إِنَّ هَـٰٓؤُلَآءِ مُتَبَّرٌ مَّا هُمْ فِيهِ وَبَـٰطِلٌ مَّا كَانُوا۟ يَعْمَلُونَ','verse_number' => '139','verse_key' => '7:139','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '167','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1094','chapter_id' => '7','arabic_name' => 'قَالَ أَغَيْرَ ٱللَّهِ أَبْغِيكُمْ إِلَـٰهًا وَهُوَ فَضَّلَكُمْ عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '140','verse_key' => '7:140','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '167','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1095','chapter_id' => '7','arabic_name' => 'وَإِذْ أَنجَيْنَـٰكُم مِّنْ ءَالِ فِرْعَوْنَ يَسُومُونَكُمْ سُوٓءَ ٱلْعَذَابِ ۖ يُقَتِّلُونَ أَبْنَآءَكُمْ وَيَسْتَحْيُونَ نِسَآءَكُمْ ۚ وَفِى ذَٰلِكُم بَلَآءٌ مِّن رَّبِّكُمْ عَظِيمٌ','verse_number' => '141','verse_key' => '7:141','hizb_number' => '17','rub_el_hizb_number' => '66','ruku_number' => '137','manzil_number' => '2','sajdah_number' => '0','page_number' => '167','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1096','chapter_id' => '7','arabic_name' => '۞ وَوَٰعَدْنَا مُوسَىٰ ثَلَـٰثِينَ لَيْلَةً وَأَتْمَمْنَـٰهَا بِعَشْرٍ فَتَمَّ مِيقَـٰتُ رَبِّهِۦٓ أَرْبَعِينَ لَيْلَةً ۚ وَقَالَ مُوسَىٰ لِأَخِيهِ هَـٰرُونَ ٱخْلُفْنِى فِى قَوْمِى وَأَصْلِحْ وَلَا تَتَّبِعْ سَبِيلَ ٱلْمُفْسِدِينَ','verse_number' => '142','verse_key' => '7:142','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '138','manzil_number' => '2','sajdah_number' => '0','page_number' => '167','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1097','chapter_id' => '7','arabic_name' => 'وَلَمَّا جَآءَ مُوسَىٰ لِمِيقَـٰتِنَا وَكَلَّمَهُۥ رَبُّهُۥ قَالَ رَبِّ أَرِنِىٓ أَنظُرْ إِلَيْكَ ۚ قَالَ لَن تَرَىٰنِى وَلَـٰكِنِ ٱنظُرْ إِلَى ٱلْجَبَلِ فَإِنِ ٱسْتَقَرَّ مَكَانَهُۥ فَسَوْفَ تَرَىٰنِى ۚ فَلَمَّا تَجَلَّىٰ رَبُّهُۥ لِلْجَبَلِ جَعَلَهُۥ دَكًّا وَخَرَّ مُوسَىٰ صَعِقًا ۚ فَلَمَّآ أَفَاقَ قَالَ سُبْحَـٰنَكَ تُبْتُ إِلَيْكَ وَأَنَا۠ أَوَّلُ ٱلْمُؤْمِنِينَ','verse_number' => '143','verse_key' => '7:143','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '138','manzil_number' => '2','sajdah_number' => '0','page_number' => '167','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1098','chapter_id' => '7','arabic_name' => 'قَالَ يَـٰمُوسَىٰٓ إِنِّى ٱصْطَفَيْتُكَ عَلَى ٱلنَّاسِ بِرِسَـٰلَـٰتِى وَبِكَلَـٰمِى فَخُذْ مَآ ءَاتَيْتُكَ وَكُن مِّنَ ٱلشَّـٰكِرِينَ','verse_number' => '144','verse_key' => '7:144','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '138','manzil_number' => '2','sajdah_number' => '0','page_number' => '168','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1099','chapter_id' => '7','arabic_name' => 'وَكَتَبْنَا لَهُۥ فِى ٱلْأَلْوَاحِ مِن كُلِّ شَىْءٍ مَّوْعِظَةً وَتَفْصِيلًا لِّكُلِّ شَىْءٍ فَخُذْهَا بِقُوَّةٍ وَأْمُرْ قَوْمَكَ يَأْخُذُوا۟ بِأَحْسَنِهَا ۚ سَأُو۟رِيكُمْ دَارَ ٱلْفَـٰسِقِينَ','verse_number' => '145','verse_key' => '7:145','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '138','manzil_number' => '2','sajdah_number' => '0','page_number' => '168','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1100','chapter_id' => '7','arabic_name' => 'سَأَصْرِفُ عَنْ ءَايَـٰتِىَ ٱلَّذِينَ يَتَكَبَّرُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَإِن يَرَوْا۟ كُلَّ ءَايَةٍ لَّا يُؤْمِنُوا۟ بِهَا وَإِن يَرَوْا۟ سَبِيلَ ٱلرُّشْدِ لَا يَتَّخِذُوهُ سَبِيلًا وَإِن يَرَوْا۟ سَبِيلَ ٱلْغَىِّ يَتَّخِذُوهُ سَبِيلًا ۚ ذَٰلِكَ بِأَنَّهُمْ كَذَّبُوا۟ بِـَٔايَـٰتِنَا وَكَانُوا۟ عَنْهَا غَـٰفِلِينَ','verse_number' => '146','verse_key' => '7:146','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '138','manzil_number' => '2','sajdah_number' => '0','page_number' => '168','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1101','chapter_id' => '7','arabic_name' => 'وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا وَلِقَآءِ ٱلْـَٔاخِرَةِ حَبِطَتْ أَعْمَـٰلُهُمْ ۚ هَلْ يُجْزَوْنَ إِلَّا مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '147','verse_key' => '7:147','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '138','manzil_number' => '2','sajdah_number' => '0','page_number' => '168','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1102','chapter_id' => '7','arabic_name' => 'وَٱتَّخَذَ قَوْمُ مُوسَىٰ مِنۢ بَعْدِهِۦ مِنْ حُلِيِّهِمْ عِجْلًا جَسَدًا لَّهُۥ خُوَارٌ ۚ أَلَمْ يَرَوْا۟ أَنَّهُۥ لَا يُكَلِّمُهُمْ وَلَا يَهْدِيهِمْ سَبِيلًا ۘ ٱتَّخَذُوهُ وَكَانُوا۟ ظَـٰلِمِينَ','verse_number' => '148','verse_key' => '7:148','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '139','manzil_number' => '2','sajdah_number' => '0','page_number' => '168','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1103','chapter_id' => '7','arabic_name' => 'وَلَمَّا سُقِطَ فِىٓ أَيْدِيهِمْ وَرَأَوْا۟ أَنَّهُمْ قَدْ ضَلُّوا۟ قَالُوا۟ لَئِن لَّمْ يَرْحَمْنَا رَبُّنَا وَيَغْفِرْ لَنَا لَنَكُونَنَّ مِنَ ٱلْخَـٰسِرِينَ','verse_number' => '149','verse_key' => '7:149','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '139','manzil_number' => '2','sajdah_number' => '0','page_number' => '168','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1104','chapter_id' => '7','arabic_name' => 'وَلَمَّا رَجَعَ مُوسَىٰٓ إِلَىٰ قَوْمِهِۦ غَضْبَـٰنَ أَسِفًا قَالَ بِئْسَمَا خَلَفْتُمُونِى مِنۢ بَعْدِىٓ ۖ أَعَجِلْتُمْ أَمْرَ رَبِّكُمْ ۖ وَأَلْقَى ٱلْأَلْوَاحَ وَأَخَذَ بِرَأْسِ أَخِيهِ يَجُرُّهُۥٓ إِلَيْهِ ۚ قَالَ ٱبْنَ أُمَّ إِنَّ ٱلْقَوْمَ ٱسْتَضْعَفُونِى وَكَادُوا۟ يَقْتُلُونَنِى فَلَا تُشْمِتْ بِىَ ٱلْأَعْدَآءَ وَلَا تَجْعَلْنِى مَعَ ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '150','verse_key' => '7:150','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '139','manzil_number' => '2','sajdah_number' => '0','page_number' => '169','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1105','chapter_id' => '7','arabic_name' => 'قَالَ رَبِّ ٱغْفِرْ لِى وَلِأَخِى وَأَدْخِلْنَا فِى رَحْمَتِكَ ۖ وَأَنتَ أَرْحَمُ ٱلرَّٰحِمِينَ','verse_number' => '151','verse_key' => '7:151','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '139','manzil_number' => '2','sajdah_number' => '0','page_number' => '169','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1106','chapter_id' => '7','arabic_name' => 'إِنَّ ٱلَّذِينَ ٱتَّخَذُوا۟ ٱلْعِجْلَ سَيَنَالُهُمْ غَضَبٌ مِّن رَّبِّهِمْ وَذِلَّةٌ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُفْتَرِينَ','verse_number' => '152','verse_key' => '7:152','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '140','manzil_number' => '2','sajdah_number' => '0','page_number' => '169','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1107','chapter_id' => '7','arabic_name' => 'وَٱلَّذِينَ عَمِلُوا۟ ٱلسَّيِّـَٔاتِ ثُمَّ تَابُوا۟ مِنۢ بَعْدِهَا وَءَامَنُوٓا۟ إِنَّ رَبَّكَ مِنۢ بَعْدِهَا لَغَفُورٌ رَّحِيمٌ','verse_number' => '153','verse_key' => '7:153','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '140','manzil_number' => '2','sajdah_number' => '0','page_number' => '169','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1108','chapter_id' => '7','arabic_name' => 'وَلَمَّا سَكَتَ عَن مُّوسَى ٱلْغَضَبُ أَخَذَ ٱلْأَلْوَاحَ ۖ وَفِى نُسْخَتِهَا هُدًى وَرَحْمَةٌ لِّلَّذِينَ هُمْ لِرَبِّهِمْ يَرْهَبُونَ','verse_number' => '154','verse_key' => '7:154','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '140','manzil_number' => '2','sajdah_number' => '0','page_number' => '169','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1109','chapter_id' => '7','arabic_name' => 'وَٱخْتَارَ مُوسَىٰ قَوْمَهُۥ سَبْعِينَ رَجُلًا لِّمِيقَـٰتِنَا ۖ فَلَمَّآ أَخَذَتْهُمُ ٱلرَّجْفَةُ قَالَ رَبِّ لَوْ شِئْتَ أَهْلَكْتَهُم مِّن قَبْلُ وَإِيَّـٰىَ ۖ أَتُهْلِكُنَا بِمَا فَعَلَ ٱلسُّفَهَآءُ مِنَّآ ۖ إِنْ هِىَ إِلَّا فِتْنَتُكَ تُضِلُّ بِهَا مَن تَشَآءُ وَتَهْدِى مَن تَشَآءُ ۖ أَنتَ وَلِيُّنَا فَٱغْفِرْ لَنَا وَٱرْحَمْنَا ۖ وَأَنتَ خَيْرُ ٱلْغَـٰفِرِينَ','verse_number' => '155','verse_key' => '7:155','hizb_number' => '17','rub_el_hizb_number' => '67','ruku_number' => '140','manzil_number' => '2','sajdah_number' => '0','page_number' => '169','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1110','chapter_id' => '7','arabic_name' => '۞ وَٱكْتُبْ لَنَا فِى هَـٰذِهِ ٱلدُّنْيَا حَسَنَةً وَفِى ٱلْـَٔاخِرَةِ إِنَّا هُدْنَآ إِلَيْكَ ۚ قَالَ عَذَابِىٓ أُصِيبُ بِهِۦ مَنْ أَشَآءُ ۖ وَرَحْمَتِى وَسِعَتْ كُلَّ شَىْءٍ ۚ فَسَأَكْتُبُهَا لِلَّذِينَ يَتَّقُونَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَٱلَّذِينَ هُم بِـَٔايَـٰتِنَا يُؤْمِنُونَ','verse_number' => '156','verse_key' => '7:156','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '140','manzil_number' => '2','sajdah_number' => '0','page_number' => '170','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1111','chapter_id' => '7','arabic_name' => 'ٱلَّذِينَ يَتَّبِعُونَ ٱلرَّسُولَ ٱلنَّبِىَّ ٱلْأُمِّىَّ ٱلَّذِى يَجِدُونَهُۥ مَكْتُوبًا عِندَهُمْ فِى ٱلتَّوْرَىٰةِ وَٱلْإِنجِيلِ يَأْمُرُهُم بِٱلْمَعْرُوفِ وَيَنْهَىٰهُمْ عَنِ ٱلْمُنكَرِ وَيُحِلُّ لَهُمُ ٱلطَّيِّبَـٰتِ وَيُحَرِّمُ عَلَيْهِمُ ٱلْخَبَـٰٓئِثَ وَيَضَعُ عَنْهُمْ إِصْرَهُمْ وَٱلْأَغْلَـٰلَ ٱلَّتِى كَانَتْ عَلَيْهِمْ ۚ فَٱلَّذِينَ ءَامَنُوا۟ بِهِۦ وَعَزَّرُوهُ وَنَصَرُوهُ وَٱتَّبَعُوا۟ ٱلنُّورَ ٱلَّذِىٓ أُنزِلَ مَعَهُۥٓ ۙ أُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '157','verse_key' => '7:157','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '140','manzil_number' => '2','sajdah_number' => '0','page_number' => '170','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1112','chapter_id' => '7','arabic_name' => 'قُلْ يَـٰٓأَيُّهَا ٱلنَّاسُ إِنِّى رَسُولُ ٱللَّهِ إِلَيْكُمْ جَمِيعًا ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ لَآ إِلَـٰهَ إِلَّا هُوَ يُحْىِۦ وَيُمِيتُ ۖ فَـَٔامِنُوا۟ بِٱللَّهِ وَرَسُولِهِ ٱلنَّبِىِّ ٱلْأُمِّىِّ ٱلَّذِى يُؤْمِنُ بِٱللَّهِ وَكَلِمَـٰتِهِۦ وَٱتَّبِعُوهُ لَعَلَّكُمْ تَهْتَدُونَ','verse_number' => '158','verse_key' => '7:158','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '141','manzil_number' => '2','sajdah_number' => '0','page_number' => '170','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1113','chapter_id' => '7','arabic_name' => 'وَمِن قَوْمِ مُوسَىٰٓ أُمَّةٌ يَهْدُونَ بِٱلْحَقِّ وَبِهِۦ يَعْدِلُونَ','verse_number' => '159','verse_key' => '7:159','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '141','manzil_number' => '2','sajdah_number' => '0','page_number' => '170','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1114','chapter_id' => '7','arabic_name' => 'وَقَطَّعْنَـٰهُمُ ٱثْنَتَىْ عَشْرَةَ أَسْبَاطًا أُمَمًا ۚ وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ إِذِ ٱسْتَسْقَىٰهُ قَوْمُهُۥٓ أَنِ ٱضْرِب بِّعَصَاكَ ٱلْحَجَرَ ۖ فَٱنۢبَجَسَتْ مِنْهُ ٱثْنَتَا عَشْرَةَ عَيْنًا ۖ قَدْ عَلِمَ كُلُّ أُنَاسٍ مَّشْرَبَهُمْ ۚ وَظَلَّلْنَا عَلَيْهِمُ ٱلْغَمَـٰمَ وَأَنزَلْنَا عَلَيْهِمُ ٱلْمَنَّ وَٱلسَّلْوَىٰ ۖ كُلُوا۟ مِن طَيِّبَـٰتِ مَا رَزَقْنَـٰكُمْ ۚ وَمَا ظَلَمُونَا وَلَـٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '160','verse_key' => '7:160','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '141','manzil_number' => '2','sajdah_number' => '0','page_number' => '171','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1115','chapter_id' => '7','arabic_name' => 'وَإِذْ قِيلَ لَهُمُ ٱسْكُنُوا۟ هَـٰذِهِ ٱلْقَرْيَةَ وَكُلُوا۟ مِنْهَا حَيْثُ شِئْتُمْ وَقُولُوا۟ حِطَّةٌ وَٱدْخُلُوا۟ ٱلْبَابَ سُجَّدًا نَّغْفِرْ لَكُمْ خَطِيٓـَٔـٰتِكُمْ ۚ سَنَزِيدُ ٱلْمُحْسِنِينَ','verse_number' => '161','verse_key' => '7:161','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '141','manzil_number' => '2','sajdah_number' => '0','page_number' => '171','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1116','chapter_id' => '7','arabic_name' => 'فَبَدَّلَ ٱلَّذِينَ ظَلَمُوا۟ مِنْهُمْ قَوْلًا غَيْرَ ٱلَّذِى قِيلَ لَهُمْ فَأَرْسَلْنَا عَلَيْهِمْ رِجْزًا مِّنَ ٱلسَّمَآءِ بِمَا كَانُوا۟ يَظْلِمُونَ','verse_number' => '162','verse_key' => '7:162','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '141','manzil_number' => '2','sajdah_number' => '0','page_number' => '171','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1117','chapter_id' => '7','arabic_name' => 'وَسْـَٔلْهُمْ عَنِ ٱلْقَرْيَةِ ٱلَّتِى كَانَتْ حَاضِرَةَ ٱلْبَحْرِ إِذْ يَعْدُونَ فِى ٱلسَّبْتِ إِذْ تَأْتِيهِمْ حِيتَانُهُمْ يَوْمَ سَبْتِهِمْ شُرَّعًا وَيَوْمَ لَا يَسْبِتُونَ ۙ لَا تَأْتِيهِمْ ۚ كَذَٰلِكَ نَبْلُوهُم بِمَا كَانُوا۟ يَفْسُقُونَ','verse_number' => '163','verse_key' => '7:163','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '171','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1118','chapter_id' => '7','arabic_name' => 'وَإِذْ قَالَتْ أُمَّةٌ مِّنْهُمْ لِمَ تَعِظُونَ قَوْمًا ۙ ٱللَّهُ مُهْلِكُهُمْ أَوْ مُعَذِّبُهُمْ عَذَابًا شَدِيدًا ۖ قَالُوا۟ مَعْذِرَةً إِلَىٰ رَبِّكُمْ وَلَعَلَّهُمْ يَتَّقُونَ','verse_number' => '164','verse_key' => '7:164','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '172','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1119','chapter_id' => '7','arabic_name' => 'فَلَمَّا نَسُوا۟ مَا ذُكِّرُوا۟ بِهِۦٓ أَنجَيْنَا ٱلَّذِينَ يَنْهَوْنَ عَنِ ٱلسُّوٓءِ وَأَخَذْنَا ٱلَّذِينَ ظَلَمُوا۟ بِعَذَابٍۭ بَـِٔيسٍۭ بِمَا كَانُوا۟ يَفْسُقُونَ','verse_number' => '165','verse_key' => '7:165','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '172','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1120','chapter_id' => '7','arabic_name' => 'فَلَمَّا عَتَوْا۟ عَن مَّا نُهُوا۟ عَنْهُ قُلْنَا لَهُمْ كُونُوا۟ قِرَدَةً خَـٰسِـِٔينَ','verse_number' => '166','verse_key' => '7:166','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '172','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1121','chapter_id' => '7','arabic_name' => 'وَإِذْ تَأَذَّنَ رَبُّكَ لَيَبْعَثَنَّ عَلَيْهِمْ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ مَن يَسُومُهُمْ سُوٓءَ ٱلْعَذَابِ ۗ إِنَّ رَبَّكَ لَسَرِيعُ ٱلْعِقَابِ ۖ وَإِنَّهُۥ لَغَفُورٌ رَّحِيمٌ','verse_number' => '167','verse_key' => '7:167','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '172','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1122','chapter_id' => '7','arabic_name' => 'وَقَطَّعْنَـٰهُمْ فِى ٱلْأَرْضِ أُمَمًا ۖ مِّنْهُمُ ٱلصَّـٰلِحُونَ وَمِنْهُمْ دُونَ ذَٰلِكَ ۖ وَبَلَوْنَـٰهُم بِٱلْحَسَنَـٰتِ وَٱلسَّيِّـَٔاتِ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '168','verse_key' => '7:168','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '172','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1123','chapter_id' => '7','arabic_name' => 'فَخَلَفَ مِنۢ بَعْدِهِمْ خَلْفٌ وَرِثُوا۟ ٱلْكِتَـٰبَ يَأْخُذُونَ عَرَضَ هَـٰذَا ٱلْأَدْنَىٰ وَيَقُولُونَ سَيُغْفَرُ لَنَا وَإِن يَأْتِهِمْ عَرَضٌ مِّثْلُهُۥ يَأْخُذُوهُ ۚ أَلَمْ يُؤْخَذْ عَلَيْهِم مِّيثَـٰقُ ٱلْكِتَـٰبِ أَن لَّا يَقُولُوا۟ عَلَى ٱللَّهِ إِلَّا ٱلْحَقَّ وَدَرَسُوا۟ مَا فِيهِ ۗ وَٱلدَّارُ ٱلْـَٔاخِرَةُ خَيْرٌ لِّلَّذِينَ يَتَّقُونَ ۗ أَفَلَا تَعْقِلُونَ','verse_number' => '169','verse_key' => '7:169','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '172','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1124','chapter_id' => '7','arabic_name' => 'وَٱلَّذِينَ يُمَسِّكُونَ بِٱلْكِتَـٰبِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ إِنَّا لَا نُضِيعُ أَجْرَ ٱلْمُصْلِحِينَ','verse_number' => '170','verse_key' => '7:170','hizb_number' => '17','rub_el_hizb_number' => '68','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '172','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1125','chapter_id' => '7','arabic_name' => '۞ وَإِذْ نَتَقْنَا ٱلْجَبَلَ فَوْقَهُمْ كَأَنَّهُۥ ظُلَّةٌ وَظَنُّوٓا۟ أَنَّهُۥ وَاقِعٌۢ بِهِمْ خُذُوا۟ مَآ ءَاتَيْنَـٰكُم بِقُوَّةٍ وَٱذْكُرُوا۟ مَا فِيهِ لَعَلَّكُمْ تَتَّقُونَ','verse_number' => '171','verse_key' => '7:171','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '142','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1126','chapter_id' => '7','arabic_name' => 'وَإِذْ أَخَذَ رَبُّكَ مِنۢ بَنِىٓ ءَادَمَ مِن ظُهُورِهِمْ ذُرِّيَّتَهُمْ وَأَشْهَدَهُمْ عَلَىٰٓ أَنفُسِهِمْ أَلَسْتُ بِرَبِّكُمْ ۖ قَالُوا۟ بَلَىٰ ۛ شَهِدْنَآ ۛ أَن تَقُولُوا۟ يَوْمَ ٱلْقِيَـٰمَةِ إِنَّا كُنَّا عَنْ هَـٰذَا غَـٰفِلِينَ','verse_number' => '172','verse_key' => '7:172','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1127','chapter_id' => '7','arabic_name' => 'أَوْ تَقُولُوٓا۟ إِنَّمَآ أَشْرَكَ ءَابَآؤُنَا مِن قَبْلُ وَكُنَّا ذُرِّيَّةً مِّنۢ بَعْدِهِمْ ۖ أَفَتُهْلِكُنَا بِمَا فَعَلَ ٱلْمُبْطِلُونَ','verse_number' => '173','verse_key' => '7:173','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1128','chapter_id' => '7','arabic_name' => 'وَكَذَٰلِكَ نُفَصِّلُ ٱلْـَٔايَـٰتِ وَلَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '174','verse_key' => '7:174','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1129','chapter_id' => '7','arabic_name' => 'وَٱتْلُ عَلَيْهِمْ نَبَأَ ٱلَّذِىٓ ءَاتَيْنَـٰهُ ءَايَـٰتِنَا فَٱنسَلَخَ مِنْهَا فَأَتْبَعَهُ ٱلشَّيْطَـٰنُ فَكَانَ مِنَ ٱلْغَاوِينَ','verse_number' => '175','verse_key' => '7:175','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1130','chapter_id' => '7','arabic_name' => 'وَلَوْ شِئْنَا لَرَفَعْنَـٰهُ بِهَا وَلَـٰكِنَّهُۥٓ أَخْلَدَ إِلَى ٱلْأَرْضِ وَٱتَّبَعَ هَوَىٰهُ ۚ فَمَثَلُهُۥ كَمَثَلِ ٱلْكَلْبِ إِن تَحْمِلْ عَلَيْهِ يَلْهَثْ أَوْ تَتْرُكْهُ يَلْهَث ۚ ذَّٰلِكَ مَثَلُ ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا ۚ فَٱقْصُصِ ٱلْقَصَصَ لَعَلَّهُمْ يَتَفَكَّرُونَ','verse_number' => '176','verse_key' => '7:176','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1131','chapter_id' => '7','arabic_name' => 'سَآءَ مَثَلًا ٱلْقَوْمُ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا وَأَنفُسَهُمْ كَانُوا۟ يَظْلِمُونَ','verse_number' => '177','verse_key' => '7:177','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1132','chapter_id' => '7','arabic_name' => 'مَن يَهْدِ ٱللَّهُ فَهُوَ ٱلْمُهْتَدِى ۖ وَمَن يُضْلِلْ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '178','verse_key' => '7:178','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '173','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1133','chapter_id' => '7','arabic_name' => 'وَلَقَدْ ذَرَأْنَا لِجَهَنَّمَ كَثِيرًا مِّنَ ٱلْجِنِّ وَٱلْإِنسِ ۖ لَهُمْ قُلُوبٌ لَّا يَفْقَهُونَ بِهَا وَلَهُمْ أَعْيُنٌ لَّا يُبْصِرُونَ بِهَا وَلَهُمْ ءَاذَانٌ لَّا يَسْمَعُونَ بِهَآ ۚ أُو۟لَـٰٓئِكَ كَٱلْأَنْعَـٰمِ بَلْ هُمْ أَضَلُّ ۚ أُو۟لَـٰٓئِكَ هُمُ ٱلْغَـٰفِلُونَ','verse_number' => '179','verse_key' => '7:179','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1134','chapter_id' => '7','arabic_name' => 'وَلِلَّهِ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ فَٱدْعُوهُ بِهَا ۖ وَذَرُوا۟ ٱلَّذِينَ يُلْحِدُونَ فِىٓ أَسْمَـٰٓئِهِۦ ۚ سَيُجْزَوْنَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '180','verse_key' => '7:180','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1135','chapter_id' => '7','arabic_name' => 'وَمِمَّنْ خَلَقْنَآ أُمَّةٌ يَهْدُونَ بِٱلْحَقِّ وَبِهِۦ يَعْدِلُونَ','verse_number' => '181','verse_key' => '7:181','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '143','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1136','chapter_id' => '7','arabic_name' => 'وَٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا سَنَسْتَدْرِجُهُم مِّنْ حَيْثُ لَا يَعْلَمُونَ','verse_number' => '182','verse_key' => '7:182','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '144','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1137','chapter_id' => '7','arabic_name' => 'وَأُمْلِى لَهُمْ ۚ إِنَّ كَيْدِى مَتِينٌ','verse_number' => '183','verse_key' => '7:183','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '144','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1138','chapter_id' => '7','arabic_name' => 'أَوَلَمْ يَتَفَكَّرُوا۟ ۗ مَا بِصَاحِبِهِم مِّن جِنَّةٍ ۚ إِنْ هُوَ إِلَّا نَذِيرٌ مُّبِينٌ','verse_number' => '184','verse_key' => '7:184','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '144','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1139','chapter_id' => '7','arabic_name' => 'أَوَلَمْ يَنظُرُوا۟ فِى مَلَكُوتِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا خَلَقَ ٱللَّهُ مِن شَىْءٍ وَأَنْ عَسَىٰٓ أَن يَكُونَ قَدِ ٱقْتَرَبَ أَجَلُهُمْ ۖ فَبِأَىِّ حَدِيثٍۭ بَعْدَهُۥ يُؤْمِنُونَ','verse_number' => '185','verse_key' => '7:185','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '144','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1140','chapter_id' => '7','arabic_name' => 'مَن يُضْلِلِ ٱللَّهُ فَلَا هَادِىَ لَهُۥ ۚ وَيَذَرُهُمْ فِى طُغْيَـٰنِهِمْ يَعْمَهُونَ','verse_number' => '186','verse_key' => '7:186','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '144','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1141','chapter_id' => '7','arabic_name' => 'يَسْـَٔلُونَكَ عَنِ ٱلسَّاعَةِ أَيَّانَ مُرْسَىٰهَا ۖ قُلْ إِنَّمَا عِلْمُهَا عِندَ رَبِّى ۖ لَا يُجَلِّيهَا لِوَقْتِهَآ إِلَّا هُوَ ۚ ثَقُلَتْ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ لَا تَأْتِيكُمْ إِلَّا بَغْتَةً ۗ يَسْـَٔلُونَكَ كَأَنَّكَ حَفِىٌّ عَنْهَا ۖ قُلْ إِنَّمَا عِلْمُهَا عِندَ ٱللَّهِ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '187','verse_key' => '7:187','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '144','manzil_number' => '2','sajdah_number' => '0','page_number' => '174','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1142','chapter_id' => '7','arabic_name' => 'قُل لَّآ أَمْلِكُ لِنَفْسِى نَفْعًا وَلَا ضَرًّا إِلَّا مَا شَآءَ ٱللَّهُ ۚ وَلَوْ كُنتُ أَعْلَمُ ٱلْغَيْبَ لَٱسْتَكْثَرْتُ مِنَ ٱلْخَيْرِ وَمَا مَسَّنِىَ ٱلسُّوٓءُ ۚ إِنْ أَنَا۠ إِلَّا نَذِيرٌ وَبَشِيرٌ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '188','verse_key' => '7:188','hizb_number' => '18','rub_el_hizb_number' => '69','ruku_number' => '144','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1143','chapter_id' => '7','arabic_name' => '۞ هُوَ ٱلَّذِى خَلَقَكُم مِّن نَّفْسٍ وَٰحِدَةٍ وَجَعَلَ مِنْهَا زَوْجَهَا لِيَسْكُنَ إِلَيْهَا ۖ فَلَمَّا تَغَشَّىٰهَا حَمَلَتْ حَمْلًا خَفِيفًا فَمَرَّتْ بِهِۦ ۖ فَلَمَّآ أَثْقَلَت دَّعَوَا ٱللَّهَ رَبَّهُمَا لَئِنْ ءَاتَيْتَنَا صَـٰلِحًا لَّنَكُونَنَّ مِنَ ٱلشَّـٰكِرِينَ','verse_number' => '189','verse_key' => '7:189','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1144','chapter_id' => '7','arabic_name' => 'فَلَمَّآ ءَاتَىٰهُمَا صَـٰلِحًا جَعَلَا لَهُۥ شُرَكَآءَ فِيمَآ ءَاتَىٰهُمَا ۚ فَتَعَـٰلَى ٱللَّهُ عَمَّا يُشْرِكُونَ','verse_number' => '190','verse_key' => '7:190','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1145','chapter_id' => '7','arabic_name' => 'أَيُشْرِكُونَ مَا لَا يَخْلُقُ شَيْـًٔا وَهُمْ يُخْلَقُونَ','verse_number' => '191','verse_key' => '7:191','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1146','chapter_id' => '7','arabic_name' => 'وَلَا يَسْتَطِيعُونَ لَهُمْ نَصْرًا وَلَآ أَنفُسَهُمْ يَنصُرُونَ','verse_number' => '192','verse_key' => '7:192','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1147','chapter_id' => '7','arabic_name' => 'وَإِن تَدْعُوهُمْ إِلَى ٱلْهُدَىٰ لَا يَتَّبِعُوكُمْ ۚ سَوَآءٌ عَلَيْكُمْ أَدَعَوْتُمُوهُمْ أَمْ أَنتُمْ صَـٰمِتُونَ','verse_number' => '193','verse_key' => '7:193','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1148','chapter_id' => '7','arabic_name' => 'إِنَّ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ عِبَادٌ أَمْثَالُكُمْ ۖ فَٱدْعُوهُمْ فَلْيَسْتَجِيبُوا۟ لَكُمْ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '194','verse_key' => '7:194','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1149','chapter_id' => '7','arabic_name' => 'أَلَهُمْ أَرْجُلٌ يَمْشُونَ بِهَآ ۖ أَمْ لَهُمْ أَيْدٍ يَبْطِشُونَ بِهَآ ۖ أَمْ لَهُمْ أَعْيُنٌ يُبْصِرُونَ بِهَآ ۖ أَمْ لَهُمْ ءَاذَانٌ يَسْمَعُونَ بِهَا ۗ قُلِ ٱدْعُوا۟ شُرَكَآءَكُمْ ثُمَّ كِيدُونِ فَلَا تُنظِرُونِ','verse_number' => '195','verse_key' => '7:195','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '175','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1150','chapter_id' => '7','arabic_name' => 'إِنَّ وَلِـِّۧىَ ٱللَّهُ ٱلَّذِى نَزَّلَ ٱلْكِتَـٰبَ ۖ وَهُوَ يَتَوَلَّى ٱلصَّـٰلِحِينَ','verse_number' => '196','verse_key' => '7:196','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1151','chapter_id' => '7','arabic_name' => 'وَٱلَّذِينَ تَدْعُونَ مِن دُونِهِۦ لَا يَسْتَطِيعُونَ نَصْرَكُمْ وَلَآ أَنفُسَهُمْ يَنصُرُونَ','verse_number' => '197','verse_key' => '7:197','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1152','chapter_id' => '7','arabic_name' => 'وَإِن تَدْعُوهُمْ إِلَى ٱلْهُدَىٰ لَا يَسْمَعُوا۟ ۖ وَتَرَىٰهُمْ يَنظُرُونَ إِلَيْكَ وَهُمْ لَا يُبْصِرُونَ','verse_number' => '198','verse_key' => '7:198','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1153','chapter_id' => '7','arabic_name' => 'خُذِ ٱلْعَفْوَ وَأْمُرْ بِٱلْعُرْفِ وَأَعْرِضْ عَنِ ٱلْجَـٰهِلِينَ','verse_number' => '199','verse_key' => '7:199','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1154','chapter_id' => '7','arabic_name' => 'وَإِمَّا يَنزَغَنَّكَ مِنَ ٱلشَّيْطَـٰنِ نَزْغٌ فَٱسْتَعِذْ بِٱللَّهِ ۚ إِنَّهُۥ سَمِيعٌ عَلِيمٌ','verse_number' => '200','verse_key' => '7:200','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1155','chapter_id' => '7','arabic_name' => 'إِنَّ ٱلَّذِينَ ٱتَّقَوْا۟ إِذَا مَسَّهُمْ طَـٰٓئِفٌ مِّنَ ٱلشَّيْطَـٰنِ تَذَكَّرُوا۟ فَإِذَا هُم مُّبْصِرُونَ','verse_number' => '201','verse_key' => '7:201','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1156','chapter_id' => '7','arabic_name' => 'وَإِخْوَٰنُهُمْ يَمُدُّونَهُمْ فِى ٱلْغَىِّ ثُمَّ لَا يُقْصِرُونَ','verse_number' => '202','verse_key' => '7:202','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1157','chapter_id' => '7','arabic_name' => 'وَإِذَا لَمْ تَأْتِهِم بِـَٔايَةٍ قَالُوا۟ لَوْلَا ٱجْتَبَيْتَهَا ۚ قُلْ إِنَّمَآ أَتَّبِعُ مَا يُوحَىٰٓ إِلَىَّ مِن رَّبِّى ۚ هَـٰذَا بَصَآئِرُ مِن رَّبِّكُمْ وَهُدًى وَرَحْمَةٌ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '203','verse_key' => '7:203','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1158','chapter_id' => '7','arabic_name' => 'وَإِذَا قُرِئَ ٱلْقُرْءَانُ فَٱسْتَمِعُوا۟ لَهُۥ وَأَنصِتُوا۟ لَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '204','verse_key' => '7:204','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1159','chapter_id' => '7','arabic_name' => 'وَٱذْكُر رَّبَّكَ فِى نَفْسِكَ تَضَرُّعًا وَخِيفَةً وَدُونَ ٱلْجَهْرِ مِنَ ٱلْقَوْلِ بِٱلْغُدُوِّ وَٱلْـَٔاصَالِ وَلَا تَكُن مِّنَ ٱلْغَـٰفِلِينَ','verse_number' => '205','verse_key' => '7:205','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '0','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1160','chapter_id' => '7','arabic_name' => 'إِنَّ ٱلَّذِينَ عِندَ رَبِّكَ لَا يَسْتَكْبِرُونَ عَنْ عِبَادَتِهِۦ وَيُسَبِّحُونَهُۥ وَلَهُۥ يَسْجُدُونَ ۩','verse_number' => '206','verse_key' => '7:206','hizb_number' => '18','rub_el_hizb_number' => '70','ruku_number' => '145','manzil_number' => '2','sajdah_number' => '1','page_number' => '176','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1161','chapter_id' => '8','arabic_name' => 'يَسْـَٔلُونَكَ عَنِ ٱلْأَنفَالِ ۖ قُلِ ٱلْأَنفَالُ لِلَّهِ وَٱلرَّسُولِ ۖ فَٱتَّقُوا۟ ٱللَّهَ وَأَصْلِحُوا۟ ذَاتَ بَيْنِكُمْ ۖ وَأَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥٓ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '1','verse_key' => '8:1','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1162','chapter_id' => '8','arabic_name' => 'إِنَّمَا ٱلْمُؤْمِنُونَ ٱلَّذِينَ إِذَا ذُكِرَ ٱللَّهُ وَجِلَتْ قُلُوبُهُمْ وَإِذَا تُلِيَتْ عَلَيْهِمْ ءَايَـٰتُهُۥ زَادَتْهُمْ إِيمَـٰنًا وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ','verse_number' => '2','verse_key' => '8:2','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1163','chapter_id' => '8','arabic_name' => 'ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَمِمَّا رَزَقْنَـٰهُمْ يُنفِقُونَ','verse_number' => '3','verse_key' => '8:3','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1164','chapter_id' => '8','arabic_name' => 'أُو۟لَـٰٓئِكَ هُمُ ٱلْمُؤْمِنُونَ حَقًّا ۚ لَّهُمْ دَرَجَـٰتٌ عِندَ رَبِّهِمْ وَمَغْفِرَةٌ وَرِزْقٌ كَرِيمٌ','verse_number' => '4','verse_key' => '8:4','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1165','chapter_id' => '8','arabic_name' => 'كَمَآ أَخْرَجَكَ رَبُّكَ مِنۢ بَيْتِكَ بِٱلْحَقِّ وَإِنَّ فَرِيقًا مِّنَ ٱلْمُؤْمِنِينَ لَكَـٰرِهُونَ','verse_number' => '5','verse_key' => '8:5','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1166','chapter_id' => '8','arabic_name' => 'يُجَـٰدِلُونَكَ فِى ٱلْحَقِّ بَعْدَ مَا تَبَيَّنَ كَأَنَّمَا يُسَاقُونَ إِلَى ٱلْمَوْتِ وَهُمْ يَنظُرُونَ','verse_number' => '6','verse_key' => '8:6','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1167','chapter_id' => '8','arabic_name' => 'وَإِذْ يَعِدُكُمُ ٱللَّهُ إِحْدَى ٱلطَّآئِفَتَيْنِ أَنَّهَا لَكُمْ وَتَوَدُّونَ أَنَّ غَيْرَ ذَاتِ ٱلشَّوْكَةِ تَكُونُ لَكُمْ وَيُرِيدُ ٱللَّهُ أَن يُحِقَّ ٱلْحَقَّ بِكَلِمَـٰتِهِۦ وَيَقْطَعَ دَابِرَ ٱلْكَـٰفِرِينَ','verse_number' => '7','verse_key' => '8:7','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1168','chapter_id' => '8','arabic_name' => 'لِيُحِقَّ ٱلْحَقَّ وَيُبْطِلَ ٱلْبَـٰطِلَ وَلَوْ كَرِهَ ٱلْمُجْرِمُونَ','verse_number' => '8','verse_key' => '8:8','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '177','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1169','chapter_id' => '8','arabic_name' => 'إِذْ تَسْتَغِيثُونَ رَبَّكُمْ فَٱسْتَجَابَ لَكُمْ أَنِّى مُمِدُّكُم بِأَلْفٍ مِّنَ ٱلْمَلَـٰٓئِكَةِ مُرْدِفِينَ','verse_number' => '9','verse_key' => '8:9','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1170','chapter_id' => '8','arabic_name' => 'وَمَا جَعَلَهُ ٱللَّهُ إِلَّا بُشْرَىٰ وَلِتَطْمَئِنَّ بِهِۦ قُلُوبُكُمْ ۚ وَمَا ٱلنَّصْرُ إِلَّا مِنْ عِندِ ٱللَّهِ ۚ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ','verse_number' => '10','verse_key' => '8:10','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '146','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1171','chapter_id' => '8','arabic_name' => 'إِذْ يُغَشِّيكُمُ ٱلنُّعَاسَ أَمَنَةً مِّنْهُ وَيُنَزِّلُ عَلَيْكُم مِّنَ ٱلسَّمَآءِ مَآءً لِّيُطَهِّرَكُم بِهِۦ وَيُذْهِبَ عَنكُمْ رِجْزَ ٱلشَّيْطَـٰنِ وَلِيَرْبِطَ عَلَىٰ قُلُوبِكُمْ وَيُثَبِّتَ بِهِ ٱلْأَقْدَامَ','verse_number' => '11','verse_key' => '8:11','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1172','chapter_id' => '8','arabic_name' => 'إِذْ يُوحِى رَبُّكَ إِلَى ٱلْمَلَـٰٓئِكَةِ أَنِّى مَعَكُمْ فَثَبِّتُوا۟ ٱلَّذِينَ ءَامَنُوا۟ ۚ سَأُلْقِى فِى قُلُوبِ ٱلَّذِينَ كَفَرُوا۟ ٱلرُّعْبَ فَٱضْرِبُوا۟ فَوْقَ ٱلْأَعْنَاقِ وَٱضْرِبُوا۟ مِنْهُمْ كُلَّ بَنَانٍ','verse_number' => '12','verse_key' => '8:12','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1173','chapter_id' => '8','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمْ شَآقُّوا۟ ٱللَّهَ وَرَسُولَهُۥ ۚ وَمَن يُشَاقِقِ ٱللَّهَ وَرَسُولَهُۥ فَإِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ','verse_number' => '13','verse_key' => '8:13','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1174','chapter_id' => '8','arabic_name' => 'ذَٰلِكُمْ فَذُوقُوهُ وَأَنَّ لِلْكَـٰفِرِينَ عَذَابَ ٱلنَّارِ','verse_number' => '14','verse_key' => '8:14','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1175','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا لَقِيتُمُ ٱلَّذِينَ كَفَرُوا۟ زَحْفًا فَلَا تُوَلُّوهُمُ ٱلْأَدْبَارَ','verse_number' => '15','verse_key' => '8:15','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1176','chapter_id' => '8','arabic_name' => 'وَمَن يُوَلِّهِمْ يَوْمَئِذٍ دُبُرَهُۥٓ إِلَّا مُتَحَرِّفًا لِّقِتَالٍ أَوْ مُتَحَيِّزًا إِلَىٰ فِئَةٍ فَقَدْ بَآءَ بِغَضَبٍ مِّنَ ٱللَّهِ وَمَأْوَىٰهُ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '16','verse_key' => '8:16','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '178','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1177','chapter_id' => '8','arabic_name' => 'فَلَمْ تَقْتُلُوهُمْ وَلَـٰكِنَّ ٱللَّهَ قَتَلَهُمْ ۚ وَمَا رَمَيْتَ إِذْ رَمَيْتَ وَلَـٰكِنَّ ٱللَّهَ رَمَىٰ ۚ وَلِيُبْلِىَ ٱلْمُؤْمِنِينَ مِنْهُ بَلَآءً حَسَنًا ۚ إِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌ','verse_number' => '17','verse_key' => '8:17','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1178','chapter_id' => '8','arabic_name' => 'ذَٰلِكُمْ وَأَنَّ ٱللَّهَ مُوهِنُ كَيْدِ ٱلْكَـٰفِرِينَ','verse_number' => '18','verse_key' => '8:18','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1179','chapter_id' => '8','arabic_name' => 'إِن تَسْتَفْتِحُوا۟ فَقَدْ جَآءَكُمُ ٱلْفَتْحُ ۖ وَإِن تَنتَهُوا۟ فَهُوَ خَيْرٌ لَّكُمْ ۖ وَإِن تَعُودُوا۟ نَعُدْ وَلَن تُغْنِىَ عَنكُمْ فِئَتُكُمْ شَيْـًٔا وَلَوْ كَثُرَتْ وَأَنَّ ٱللَّهَ مَعَ ٱلْمُؤْمِنِينَ','verse_number' => '19','verse_key' => '8:19','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '147','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1180','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ وَلَا تَوَلَّوْا۟ عَنْهُ وَأَنتُمْ تَسْمَعُونَ','verse_number' => '20','verse_key' => '8:20','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1181','chapter_id' => '8','arabic_name' => 'وَلَا تَكُونُوا۟ كَٱلَّذِينَ قَالُوا۟ سَمِعْنَا وَهُمْ لَا يَسْمَعُونَ','verse_number' => '21','verse_key' => '8:21','hizb_number' => '18','rub_el_hizb_number' => '71','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1182','chapter_id' => '8','arabic_name' => '۞ إِنَّ شَرَّ ٱلدَّوَآبِّ عِندَ ٱللَّهِ ٱلصُّمُّ ٱلْبُكْمُ ٱلَّذِينَ لَا يَعْقِلُونَ','verse_number' => '22','verse_key' => '8:22','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1183','chapter_id' => '8','arabic_name' => 'وَلَوْ عَلِمَ ٱللَّهُ فِيهِمْ خَيْرًا لَّأَسْمَعَهُمْ ۖ وَلَوْ أَسْمَعَهُمْ لَتَوَلَّوا۟ وَّهُم مُّعْرِضُونَ','verse_number' => '23','verse_key' => '8:23','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1184','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱسْتَجِيبُوا۟ لِلَّهِ وَلِلرَّسُولِ إِذَا دَعَاكُمْ لِمَا يُحْيِيكُمْ ۖ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَحُولُ بَيْنَ ٱلْمَرْءِ وَقَلْبِهِۦ وَأَنَّهُۥٓ إِلَيْهِ تُحْشَرُونَ','verse_number' => '24','verse_key' => '8:24','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1185','chapter_id' => '8','arabic_name' => 'وَٱتَّقُوا۟ فِتْنَةً لَّا تُصِيبَنَّ ٱلَّذِينَ ظَلَمُوا۟ مِنكُمْ خَآصَّةً ۖ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ','verse_number' => '25','verse_key' => '8:25','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '179','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1186','chapter_id' => '8','arabic_name' => 'وَٱذْكُرُوٓا۟ إِذْ أَنتُمْ قَلِيلٌ مُّسْتَضْعَفُونَ فِى ٱلْأَرْضِ تَخَافُونَ أَن يَتَخَطَّفَكُمُ ٱلنَّاسُ فَـَٔاوَىٰكُمْ وَأَيَّدَكُم بِنَصْرِهِۦ وَرَزَقَكُم مِّنَ ٱلطَّيِّبَـٰتِ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '26','verse_key' => '8:26','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1187','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَخُونُوا۟ ٱللَّهَ وَٱلرَّسُولَ وَتَخُونُوٓا۟ أَمَـٰنَـٰتِكُمْ وَأَنتُمْ تَعْلَمُونَ','verse_number' => '27','verse_key' => '8:27','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1188','chapter_id' => '8','arabic_name' => 'وَٱعْلَمُوٓا۟ أَنَّمَآ أَمْوَٰلُكُمْ وَأَوْلَـٰدُكُمْ فِتْنَةٌ وَأَنَّ ٱللَّهَ عِندَهُۥٓ أَجْرٌ عَظِيمٌ','verse_number' => '28','verse_key' => '8:28','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '148','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1189','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تَتَّقُوا۟ ٱللَّهَ يَجْعَل لَّكُمْ فُرْقَانًا وَيُكَفِّرْ عَنكُمْ سَيِّـَٔاتِكُمْ وَيَغْفِرْ لَكُمْ ۗ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ','verse_number' => '29','verse_key' => '8:29','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1190','chapter_id' => '8','arabic_name' => 'وَإِذْ يَمْكُرُ بِكَ ٱلَّذِينَ كَفَرُوا۟ لِيُثْبِتُوكَ أَوْ يَقْتُلُوكَ أَوْ يُخْرِجُوكَ ۚ وَيَمْكُرُونَ وَيَمْكُرُ ٱللَّهُ ۖ وَٱللَّهُ خَيْرُ ٱلْمَـٰكِرِينَ','verse_number' => '30','verse_key' => '8:30','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1191','chapter_id' => '8','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَـٰتُنَا قَالُوا۟ قَدْ سَمِعْنَا لَوْ نَشَآءُ لَقُلْنَا مِثْلَ هَـٰذَآ ۙ إِنْ هَـٰذَآ إِلَّآ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '31','verse_key' => '8:31','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1192','chapter_id' => '8','arabic_name' => 'وَإِذْ قَالُوا۟ ٱللَّهُمَّ إِن كَانَ هَـٰذَا هُوَ ٱلْحَقَّ مِنْ عِندِكَ فَأَمْطِرْ عَلَيْنَا حِجَارَةً مِّنَ ٱلسَّمَآءِ أَوِ ٱئْتِنَا بِعَذَابٍ أَلِيمٍ','verse_number' => '32','verse_key' => '8:32','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1193','chapter_id' => '8','arabic_name' => 'وَمَا كَانَ ٱللَّهُ لِيُعَذِّبَهُمْ وَأَنتَ فِيهِمْ ۚ وَمَا كَانَ ٱللَّهُ مُعَذِّبَهُمْ وَهُمْ يَسْتَغْفِرُونَ','verse_number' => '33','verse_key' => '8:33','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '180','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1194','chapter_id' => '8','arabic_name' => 'وَمَا لَهُمْ أَلَّا يُعَذِّبَهُمُ ٱللَّهُ وَهُمْ يَصُدُّونَ عَنِ ٱلْمَسْجِدِ ٱلْحَرَامِ وَمَا كَانُوٓا۟ أَوْلِيَآءَهُۥٓ ۚ إِنْ أَوْلِيَآؤُهُۥٓ إِلَّا ٱلْمُتَّقُونَ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '34','verse_key' => '8:34','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '181','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1195','chapter_id' => '8','arabic_name' => 'وَمَا كَانَ صَلَاتُهُمْ عِندَ ٱلْبَيْتِ إِلَّا مُكَآءً وَتَصْدِيَةً ۚ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ','verse_number' => '35','verse_key' => '8:35','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '181','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1196','chapter_id' => '8','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ يُنفِقُونَ أَمْوَٰلَهُمْ لِيَصُدُّوا۟ عَن سَبِيلِ ٱللَّهِ ۚ فَسَيُنفِقُونَهَا ثُمَّ تَكُونُ عَلَيْهِمْ حَسْرَةً ثُمَّ يُغْلَبُونَ ۗ وَٱلَّذِينَ كَفَرُوٓا۟ إِلَىٰ جَهَنَّمَ يُحْشَرُونَ','verse_number' => '36','verse_key' => '8:36','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '181','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1197','chapter_id' => '8','arabic_name' => 'لِيَمِيزَ ٱللَّهُ ٱلْخَبِيثَ مِنَ ٱلطَّيِّبِ وَيَجْعَلَ ٱلْخَبِيثَ بَعْضَهُۥ عَلَىٰ بَعْضٍ فَيَرْكُمَهُۥ جَمِيعًا فَيَجْعَلَهُۥ فِى جَهَنَّمَ ۚ أُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '37','verse_key' => '8:37','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '149','manzil_number' => '2','sajdah_number' => '0','page_number' => '181','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1198','chapter_id' => '8','arabic_name' => 'قُل لِّلَّذِينَ كَفَرُوٓا۟ إِن يَنتَهُوا۟ يُغْفَرْ لَهُم مَّا قَدْ سَلَفَ وَإِن يَعُودُوا۟ فَقَدْ مَضَتْ سُنَّتُ ٱلْأَوَّلِينَ','verse_number' => '38','verse_key' => '8:38','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '150','manzil_number' => '2','sajdah_number' => '0','page_number' => '181','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1199','chapter_id' => '8','arabic_name' => 'وَقَـٰتِلُوهُمْ حَتَّىٰ لَا تَكُونَ فِتْنَةٌ وَيَكُونَ ٱلدِّينُ كُلُّهُۥ لِلَّهِ ۚ فَإِنِ ٱنتَهَوْا۟ فَإِنَّ ٱللَّهَ بِمَا يَعْمَلُونَ بَصِيرٌ','verse_number' => '39','verse_key' => '8:39','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '150','manzil_number' => '2','sajdah_number' => '0','page_number' => '181','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1200','chapter_id' => '8','arabic_name' => 'وَإِن تَوَلَّوْا۟ فَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَوْلَىٰكُمْ ۚ نِعْمَ ٱلْمَوْلَىٰ وَنِعْمَ ٱلنَّصِيرُ','verse_number' => '40','verse_key' => '8:40','hizb_number' => '18','rub_el_hizb_number' => '72','ruku_number' => '150','manzil_number' => '2','sajdah_number' => '0','page_number' => '181','juz_number' => '9','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1201','chapter_id' => '8','arabic_name' => '۞ وَٱعْلَمُوٓا۟ أَنَّمَا غَنِمْتُم مِّن شَىْءٍ فَأَنَّ لِلَّهِ خُمُسَهُۥ وَلِلرَّسُولِ وَلِذِى ٱلْقُرْبَىٰ وَٱلْيَتَـٰمَىٰ وَٱلْمَسَـٰكِينِ وَٱبْنِ ٱلسَّبِيلِ إِن كُنتُمْ ءَامَنتُم بِٱللَّهِ وَمَآ أَنزَلْنَا عَلَىٰ عَبْدِنَا يَوْمَ ٱلْفُرْقَانِ يَوْمَ ٱلْتَقَى ٱلْجَمْعَانِ ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '41','verse_key' => '8:41','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '150','manzil_number' => '2','sajdah_number' => '0','page_number' => '182','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1202','chapter_id' => '8','arabic_name' => 'إِذْ أَنتُم بِٱلْعُدْوَةِ ٱلدُّنْيَا وَهُم بِٱلْعُدْوَةِ ٱلْقُصْوَىٰ وَٱلرَّكْبُ أَسْفَلَ مِنكُمْ ۚ وَلَوْ تَوَاعَدتُّمْ لَٱخْتَلَفْتُمْ فِى ٱلْمِيعَـٰدِ ۙ وَلَـٰكِن لِّيَقْضِىَ ٱللَّهُ أَمْرًا كَانَ مَفْعُولًا لِّيَهْلِكَ مَنْ هَلَكَ عَنۢ بَيِّنَةٍ وَيَحْيَىٰ مَنْ حَىَّ عَنۢ بَيِّنَةٍ ۗ وَإِنَّ ٱللَّهَ لَسَمِيعٌ عَلِيمٌ','verse_number' => '42','verse_key' => '8:42','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '150','manzil_number' => '2','sajdah_number' => '0','page_number' => '182','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1203','chapter_id' => '8','arabic_name' => 'إِذْ يُرِيكَهُمُ ٱللَّهُ فِى مَنَامِكَ قَلِيلًا ۖ وَلَوْ أَرَىٰكَهُمْ كَثِيرًا لَّفَشِلْتُمْ وَلَتَنَـٰزَعْتُمْ فِى ٱلْأَمْرِ وَلَـٰكِنَّ ٱللَّهَ سَلَّمَ ۗ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '43','verse_key' => '8:43','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '150','manzil_number' => '2','sajdah_number' => '0','page_number' => '182','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1204','chapter_id' => '8','arabic_name' => 'وَإِذْ يُرِيكُمُوهُمْ إِذِ ٱلْتَقَيْتُمْ فِىٓ أَعْيُنِكُمْ قَلِيلًا وَيُقَلِّلُكُمْ فِىٓ أَعْيُنِهِمْ لِيَقْضِىَ ٱللَّهُ أَمْرًا كَانَ مَفْعُولًا ۗ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ','verse_number' => '44','verse_key' => '8:44','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '150','manzil_number' => '2','sajdah_number' => '0','page_number' => '182','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1205','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا لَقِيتُمْ فِئَةً فَٱثْبُتُوا۟ وَٱذْكُرُوا۟ ٱللَّهَ كَثِيرًا لَّعَلَّكُمْ تُفْلِحُونَ','verse_number' => '45','verse_key' => '8:45','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '151','manzil_number' => '2','sajdah_number' => '0','page_number' => '182','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1206','chapter_id' => '8','arabic_name' => 'وَأَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ وَلَا تَنَـٰزَعُوا۟ فَتَفْشَلُوا۟ وَتَذْهَبَ رِيحُكُمْ ۖ وَٱصْبِرُوٓا۟ ۚ إِنَّ ٱللَّهَ مَعَ ٱلصَّـٰبِرِينَ','verse_number' => '46','verse_key' => '8:46','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '151','manzil_number' => '2','sajdah_number' => '0','page_number' => '183','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1207','chapter_id' => '8','arabic_name' => 'وَلَا تَكُونُوا۟ كَٱلَّذِينَ خَرَجُوا۟ مِن دِيَـٰرِهِم بَطَرًا وَرِئَآءَ ٱلنَّاسِ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ ۚ وَٱللَّهُ بِمَا يَعْمَلُونَ مُحِيطٌ','verse_number' => '47','verse_key' => '8:47','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '151','manzil_number' => '2','sajdah_number' => '0','page_number' => '183','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1208','chapter_id' => '8','arabic_name' => 'وَإِذْ زَيَّنَ لَهُمُ ٱلشَّيْطَـٰنُ أَعْمَـٰلَهُمْ وَقَالَ لَا غَالِبَ لَكُمُ ٱلْيَوْمَ مِنَ ٱلنَّاسِ وَإِنِّى جَارٌ لَّكُمْ ۖ فَلَمَّا تَرَآءَتِ ٱلْفِئَتَانِ نَكَصَ عَلَىٰ عَقِبَيْهِ وَقَالَ إِنِّى بَرِىٓءٌ مِّنكُمْ إِنِّىٓ أَرَىٰ مَا لَا تَرَوْنَ إِنِّىٓ أَخَافُ ٱللَّهَ ۚ وَٱللَّهُ شَدِيدُ ٱلْعِقَابِ','verse_number' => '48','verse_key' => '8:48','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '151','manzil_number' => '2','sajdah_number' => '0','page_number' => '183','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1209','chapter_id' => '8','arabic_name' => 'إِذْ يَقُولُ ٱلْمُنَـٰفِقُونَ وَٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ غَرَّ هَـٰٓؤُلَآءِ دِينُهُمْ ۗ وَمَن يَتَوَكَّلْ عَلَى ٱللَّهِ فَإِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ','verse_number' => '49','verse_key' => '8:49','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '183','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1210','chapter_id' => '8','arabic_name' => 'وَلَوْ تَرَىٰٓ إِذْ يَتَوَفَّى ٱلَّذِينَ كَفَرُوا۟ ۙ ٱلْمَلَـٰٓئِكَةُ يَضْرِبُونَ وُجُوهَهُمْ وَأَدْبَـٰرَهُمْ وَذُوقُوا۟ عَذَابَ ٱلْحَرِيقِ','verse_number' => '50','verse_key' => '8:50','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '183','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1211','chapter_id' => '8','arabic_name' => 'ذَٰلِكَ بِمَا قَدَّمَتْ أَيْدِيكُمْ وَأَنَّ ٱللَّهَ لَيْسَ بِظَلَّـٰمٍ لِّلْعَبِيدِ','verse_number' => '51','verse_key' => '8:51','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '183','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1212','chapter_id' => '8','arabic_name' => 'كَدَأْبِ ءَالِ فِرْعَوْنَ ۙ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَفَرُوا۟ بِـَٔايَـٰتِ ٱللَّهِ فَأَخَذَهُمُ ٱللَّهُ بِذُنُوبِهِمْ ۗ إِنَّ ٱللَّهَ قَوِىٌّ شَدِيدُ ٱلْعِقَابِ','verse_number' => '52','verse_key' => '8:52','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '183','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1213','chapter_id' => '8','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱللَّهَ لَمْ يَكُ مُغَيِّرًا نِّعْمَةً أَنْعَمَهَا عَلَىٰ قَوْمٍ حَتَّىٰ يُغَيِّرُوا۟ مَا بِأَنفُسِهِمْ ۙ وَأَنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌ','verse_number' => '53','verse_key' => '8:53','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1214','chapter_id' => '8','arabic_name' => 'كَدَأْبِ ءَالِ فِرْعَوْنَ ۙ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَذَّبُوا۟ بِـَٔايَـٰتِ رَبِّهِمْ فَأَهْلَكْنَـٰهُم بِذُنُوبِهِمْ وَأَغْرَقْنَآ ءَالَ فِرْعَوْنَ ۚ وَكُلٌّ كَانُوا۟ ظَـٰلِمِينَ','verse_number' => '54','verse_key' => '8:54','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1215','chapter_id' => '8','arabic_name' => 'إِنَّ شَرَّ ٱلدَّوَآبِّ عِندَ ٱللَّهِ ٱلَّذِينَ كَفَرُوا۟ فَهُمْ لَا يُؤْمِنُونَ','verse_number' => '55','verse_key' => '8:55','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1216','chapter_id' => '8','arabic_name' => 'ٱلَّذِينَ عَـٰهَدتَّ مِنْهُمْ ثُمَّ يَنقُضُونَ عَهْدَهُمْ فِى كُلِّ مَرَّةٍ وَهُمْ لَا يَتَّقُونَ','verse_number' => '56','verse_key' => '8:56','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1217','chapter_id' => '8','arabic_name' => 'فَإِمَّا تَثْقَفَنَّهُمْ فِى ٱلْحَرْبِ فَشَرِّدْ بِهِم مَّنْ خَلْفَهُمْ لَعَلَّهُمْ يَذَّكَّرُونَ','verse_number' => '57','verse_key' => '8:57','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1218','chapter_id' => '8','arabic_name' => 'وَإِمَّا تَخَافَنَّ مِن قَوْمٍ خِيَانَةً فَٱنۢبِذْ إِلَيْهِمْ عَلَىٰ سَوَآءٍ ۚ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْخَآئِنِينَ','verse_number' => '58','verse_key' => '8:58','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '152','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1219','chapter_id' => '8','arabic_name' => 'وَلَا يَحْسَبَنَّ ٱلَّذِينَ كَفَرُوا۟ سَبَقُوٓا۟ ۚ إِنَّهُمْ لَا يُعْجِزُونَ','verse_number' => '59','verse_key' => '8:59','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '153','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1220','chapter_id' => '8','arabic_name' => 'وَأَعِدُّوا۟ لَهُم مَّا ٱسْتَطَعْتُم مِّن قُوَّةٍ وَمِن رِّبَاطِ ٱلْخَيْلِ تُرْهِبُونَ بِهِۦ عَدُوَّ ٱللَّهِ وَعَدُوَّكُمْ وَءَاخَرِينَ مِن دُونِهِمْ لَا تَعْلَمُونَهُمُ ٱللَّهُ يَعْلَمُهُمْ ۚ وَمَا تُنفِقُوا۟ مِن شَىْءٍ فِى سَبِيلِ ٱللَّهِ يُوَفَّ إِلَيْكُمْ وَأَنتُمْ لَا تُظْلَمُونَ','verse_number' => '60','verse_key' => '8:60','hizb_number' => '19','rub_el_hizb_number' => '73','ruku_number' => '153','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1221','chapter_id' => '8','arabic_name' => '۞ وَإِن جَنَحُوا۟ لِلسَّلْمِ فَٱجْنَحْ لَهَا وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '61','verse_key' => '8:61','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '153','manzil_number' => '2','sajdah_number' => '0','page_number' => '184','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1222','chapter_id' => '8','arabic_name' => 'وَإِن يُرِيدُوٓا۟ أَن يَخْدَعُوكَ فَإِنَّ حَسْبَكَ ٱللَّهُ ۚ هُوَ ٱلَّذِىٓ أَيَّدَكَ بِنَصْرِهِۦ وَبِٱلْمُؤْمِنِينَ','verse_number' => '62','verse_key' => '8:62','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '153','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1223','chapter_id' => '8','arabic_name' => 'وَأَلَّفَ بَيْنَ قُلُوبِهِمْ ۚ لَوْ أَنفَقْتَ مَا فِى ٱلْأَرْضِ جَمِيعًا مَّآ أَلَّفْتَ بَيْنَ قُلُوبِهِمْ وَلَـٰكِنَّ ٱللَّهَ أَلَّفَ بَيْنَهُمْ ۚ إِنَّهُۥ عَزِيزٌ حَكِيمٌ','verse_number' => '63','verse_key' => '8:63','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '153','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1224','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ حَسْبُكَ ٱللَّهُ وَمَنِ ٱتَّبَعَكَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '64','verse_key' => '8:64','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '153','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1225','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ حَرِّضِ ٱلْمُؤْمِنِينَ عَلَى ٱلْقِتَالِ ۚ إِن يَكُن مِّنكُمْ عِشْرُونَ صَـٰبِرُونَ يَغْلِبُوا۟ مِا۟ئَتَيْنِ ۚ وَإِن يَكُن مِّنكُم مِّا۟ئَةٌ يَغْلِبُوٓا۟ أَلْفًا مِّنَ ٱلَّذِينَ كَفَرُوا۟ بِأَنَّهُمْ قَوْمٌ لَّا يَفْقَهُونَ','verse_number' => '65','verse_key' => '8:65','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '154','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1226','chapter_id' => '8','arabic_name' => 'ٱلْـَٔـٰنَ خَفَّفَ ٱللَّهُ عَنكُمْ وَعَلِمَ أَنَّ فِيكُمْ ضَعْفًا ۚ فَإِن يَكُن مِّنكُم مِّا۟ئَةٌ صَابِرَةٌ يَغْلِبُوا۟ مِا۟ئَتَيْنِ ۚ وَإِن يَكُن مِّنكُمْ أَلْفٌ يَغْلِبُوٓا۟ أَلْفَيْنِ بِإِذْنِ ٱللَّهِ ۗ وَٱللَّهُ مَعَ ٱلصَّـٰبِرِينَ','verse_number' => '66','verse_key' => '8:66','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '154','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1227','chapter_id' => '8','arabic_name' => 'مَا كَانَ لِنَبِىٍّ أَن يَكُونَ لَهُۥٓ أَسْرَىٰ حَتَّىٰ يُثْخِنَ فِى ٱلْأَرْضِ ۚ تُرِيدُونَ عَرَضَ ٱلدُّنْيَا وَٱللَّهُ يُرِيدُ ٱلْـَٔاخِرَةَ ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌ','verse_number' => '67','verse_key' => '8:67','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '154','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1228','chapter_id' => '8','arabic_name' => 'لَّوْلَا كِتَـٰبٌ مِّنَ ٱللَّهِ سَبَقَ لَمَسَّكُمْ فِيمَآ أَخَذْتُمْ عَذَابٌ عَظِيمٌ','verse_number' => '68','verse_key' => '8:68','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '154','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1229','chapter_id' => '8','arabic_name' => 'فَكُلُوا۟ مِمَّا غَنِمْتُمْ حَلَـٰلًا طَيِّبًا ۚ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '69','verse_key' => '8:69','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '154','manzil_number' => '2','sajdah_number' => '0','page_number' => '185','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1230','chapter_id' => '8','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ قُل لِّمَن فِىٓ أَيْدِيكُم مِّنَ ٱلْأَسْرَىٰٓ إِن يَعْلَمِ ٱللَّهُ فِى قُلُوبِكُمْ خَيْرًا يُؤْتِكُمْ خَيْرًا مِّمَّآ أُخِذَ مِنكُمْ وَيَغْفِرْ لَكُمْ ۗ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '70','verse_key' => '8:70','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '155','manzil_number' => '2','sajdah_number' => '0','page_number' => '186','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1231','chapter_id' => '8','arabic_name' => 'وَإِن يُرِيدُوا۟ خِيَانَتَكَ فَقَدْ خَانُوا۟ ٱللَّهَ مِن قَبْلُ فَأَمْكَنَ مِنْهُمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '71','verse_key' => '8:71','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '155','manzil_number' => '2','sajdah_number' => '0','page_number' => '186','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1232','chapter_id' => '8','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَهَاجَرُوا۟ وَجَـٰهَدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ فِى سَبِيلِ ٱللَّهِ وَٱلَّذِينَ ءَاوَوا۟ وَّنَصَرُوٓا۟ أُو۟لَـٰٓئِكَ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍ ۚ وَٱلَّذِينَ ءَامَنُوا۟ وَلَمْ يُهَاجِرُوا۟ مَا لَكُم مِّن وَلَـٰيَتِهِم مِّن شَىْءٍ حَتَّىٰ يُهَاجِرُوا۟ ۚ وَإِنِ ٱسْتَنصَرُوكُمْ فِى ٱلدِّينِ فَعَلَيْكُمُ ٱلنَّصْرُ إِلَّا عَلَىٰ قَوْمٍۭ بَيْنَكُمْ وَبَيْنَهُم مِّيثَـٰقٌ ۗ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '72','verse_key' => '8:72','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '155','manzil_number' => '2','sajdah_number' => '0','page_number' => '186','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1233','chapter_id' => '8','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍ ۚ إِلَّا تَفْعَلُوهُ تَكُن فِتْنَةٌ فِى ٱلْأَرْضِ وَفَسَادٌ كَبِيرٌ','verse_number' => '73','verse_key' => '8:73','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '155','manzil_number' => '2','sajdah_number' => '0','page_number' => '186','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1234','chapter_id' => '8','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَهَاجَرُوا۟ وَجَـٰهَدُوا۟ فِى سَبِيلِ ٱللَّهِ وَٱلَّذِينَ ءَاوَوا۟ وَّنَصَرُوٓا۟ أُو۟لَـٰٓئِكَ هُمُ ٱلْمُؤْمِنُونَ حَقًّا ۚ لَّهُم مَّغْفِرَةٌ وَرِزْقٌ كَرِيمٌ','verse_number' => '74','verse_key' => '8:74','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '155','manzil_number' => '2','sajdah_number' => '0','page_number' => '186','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1235','chapter_id' => '8','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ مِنۢ بَعْدُ وَهَاجَرُوا۟ وَجَـٰهَدُوا۟ مَعَكُمْ فَأُو۟لَـٰٓئِكَ مِنكُمْ ۚ وَأُو۟لُوا۟ ٱلْأَرْحَامِ بَعْضُهُمْ أَوْلَىٰ بِبَعْضٍ فِى كِتَـٰبِ ٱللَّهِ ۗ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌۢ','verse_number' => '75','verse_key' => '8:75','hizb_number' => '19','rub_el_hizb_number' => '74','ruku_number' => '155','manzil_number' => '2','sajdah_number' => '0','page_number' => '186','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1236','chapter_id' => '9','arabic_name' => 'بَرَآءَةٌ مِّنَ ٱللَّهِ وَرَسُولِهِۦٓ إِلَى ٱلَّذِينَ عَـٰهَدتُّم مِّنَ ٱلْمُشْرِكِينَ','verse_number' => '1','verse_key' => '9:1','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '156','manzil_number' => '2','sajdah_number' => '0','page_number' => '187','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1237','chapter_id' => '9','arabic_name' => 'فَسِيحُوا۟ فِى ٱلْأَرْضِ أَرْبَعَةَ أَشْهُرٍ وَٱعْلَمُوٓا۟ أَنَّكُمْ غَيْرُ مُعْجِزِى ٱللَّهِ ۙ وَأَنَّ ٱللَّهَ مُخْزِى ٱلْكَـٰفِرِينَ','verse_number' => '2','verse_key' => '9:2','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '156','manzil_number' => '2','sajdah_number' => '0','page_number' => '187','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1238','chapter_id' => '9','arabic_name' => 'وَأَذَٰنٌ مِّنَ ٱللَّهِ وَرَسُولِهِۦٓ إِلَى ٱلنَّاسِ يَوْمَ ٱلْحَجِّ ٱلْأَكْبَرِ أَنَّ ٱللَّهَ بَرِىٓءٌ مِّنَ ٱلْمُشْرِكِينَ ۙ وَرَسُولُهُۥ ۚ فَإِن تُبْتُمْ فَهُوَ خَيْرٌ لَّكُمْ ۖ وَإِن تَوَلَّيْتُمْ فَٱعْلَمُوٓا۟ أَنَّكُمْ غَيْرُ مُعْجِزِى ٱللَّهِ ۗ وَبَشِّرِ ٱلَّذِينَ كَفَرُوا۟ بِعَذَابٍ أَلِيمٍ','verse_number' => '3','verse_key' => '9:3','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '156','manzil_number' => '2','sajdah_number' => '0','page_number' => '187','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1239','chapter_id' => '9','arabic_name' => 'إِلَّا ٱلَّذِينَ عَـٰهَدتُّم مِّنَ ٱلْمُشْرِكِينَ ثُمَّ لَمْ يَنقُصُوكُمْ شَيْـًٔا وَلَمْ يُظَـٰهِرُوا۟ عَلَيْكُمْ أَحَدًا فَأَتِمُّوٓا۟ إِلَيْهِمْ عَهْدَهُمْ إِلَىٰ مُدَّتِهِمْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَّقِينَ','verse_number' => '4','verse_key' => '9:4','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '156','manzil_number' => '2','sajdah_number' => '0','page_number' => '187','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1240','chapter_id' => '9','arabic_name' => 'فَإِذَا ٱنسَلَخَ ٱلْأَشْهُرُ ٱلْحُرُمُ فَٱقْتُلُوا۟ ٱلْمُشْرِكِينَ حَيْثُ وَجَدتُّمُوهُمْ وَخُذُوهُمْ وَٱحْصُرُوهُمْ وَٱقْعُدُوا۟ لَهُمْ كُلَّ مَرْصَدٍ ۚ فَإِن تَابُوا۟ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ فَخَلُّوا۟ سَبِيلَهُمْ ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '5','verse_key' => '9:5','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '156','manzil_number' => '2','sajdah_number' => '0','page_number' => '187','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1241','chapter_id' => '9','arabic_name' => 'وَإِنْ أَحَدٌ مِّنَ ٱلْمُشْرِكِينَ ٱسْتَجَارَكَ فَأَجِرْهُ حَتَّىٰ يَسْمَعَ كَلَـٰمَ ٱللَّهِ ثُمَّ أَبْلِغْهُ مَأْمَنَهُۥ ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌ لَّا يَعْلَمُونَ','verse_number' => '6','verse_key' => '9:6','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '156','manzil_number' => '2','sajdah_number' => '0','page_number' => '187','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1242','chapter_id' => '9','arabic_name' => 'كَيْفَ يَكُونُ لِلْمُشْرِكِينَ عَهْدٌ عِندَ ٱللَّهِ وَعِندَ رَسُولِهِۦٓ إِلَّا ٱلَّذِينَ عَـٰهَدتُّمْ عِندَ ٱلْمَسْجِدِ ٱلْحَرَامِ ۖ فَمَا ٱسْتَقَـٰمُوا۟ لَكُمْ فَٱسْتَقِيمُوا۟ لَهُمْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُتَّقِينَ','verse_number' => '7','verse_key' => '9:7','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '188','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1243','chapter_id' => '9','arabic_name' => 'كَيْفَ وَإِن يَظْهَرُوا۟ عَلَيْكُمْ لَا يَرْقُبُوا۟ فِيكُمْ إِلًّا وَلَا ذِمَّةً ۚ يُرْضُونَكُم بِأَفْوَٰهِهِمْ وَتَأْبَىٰ قُلُوبُهُمْ وَأَكْثَرُهُمْ فَـٰسِقُونَ','verse_number' => '8','verse_key' => '9:8','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '188','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1244','chapter_id' => '9','arabic_name' => 'ٱشْتَرَوْا۟ بِـَٔايَـٰتِ ٱللَّهِ ثَمَنًا قَلِيلًا فَصَدُّوا۟ عَن سَبِيلِهِۦٓ ۚ إِنَّهُمْ سَآءَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '9','verse_key' => '9:9','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '188','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1245','chapter_id' => '9','arabic_name' => 'لَا يَرْقُبُونَ فِى مُؤْمِنٍ إِلًّا وَلَا ذِمَّةً ۚ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُعْتَدُونَ','verse_number' => '10','verse_key' => '9:10','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '188','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1246','chapter_id' => '9','arabic_name' => 'فَإِن تَابُوا۟ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ فَإِخْوَٰنُكُمْ فِى ٱلدِّينِ ۗ وَنُفَصِّلُ ٱلْـَٔايَـٰتِ لِقَوْمٍ يَعْلَمُونَ','verse_number' => '11','verse_key' => '9:11','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '188','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1247','chapter_id' => '9','arabic_name' => 'وَإِن نَّكَثُوٓا۟ أَيْمَـٰنَهُم مِّنۢ بَعْدِ عَهْدِهِمْ وَطَعَنُوا۟ فِى دِينِكُمْ فَقَـٰتِلُوٓا۟ أَئِمَّةَ ٱلْكُفْرِ ۙ إِنَّهُمْ لَآ أَيْمَـٰنَ لَهُمْ لَعَلَّهُمْ يَنتَهُونَ','verse_number' => '12','verse_key' => '9:12','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '188','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1248','chapter_id' => '9','arabic_name' => 'أَلَا تُقَـٰتِلُونَ قَوْمًا نَّكَثُوٓا۟ أَيْمَـٰنَهُمْ وَهَمُّوا۟ بِإِخْرَاجِ ٱلرَّسُولِ وَهُم بَدَءُوكُمْ أَوَّلَ مَرَّةٍ ۚ أَتَخْشَوْنَهُمْ ۚ فَٱللَّهُ أَحَقُّ أَن تَخْشَوْهُ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '13','verse_key' => '9:13','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '188','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1249','chapter_id' => '9','arabic_name' => 'قَـٰتِلُوهُمْ يُعَذِّبْهُمُ ٱللَّهُ بِأَيْدِيكُمْ وَيُخْزِهِمْ وَيَنصُرْكُمْ عَلَيْهِمْ وَيَشْفِ صُدُورَ قَوْمٍ مُّؤْمِنِينَ','verse_number' => '14','verse_key' => '9:14','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '189','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1250','chapter_id' => '9','arabic_name' => 'وَيُذْهِبْ غَيْظَ قُلُوبِهِمْ ۗ وَيَتُوبُ ٱللَّهُ عَلَىٰ مَن يَشَآءُ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '15','verse_key' => '9:15','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '189','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1251','chapter_id' => '9','arabic_name' => 'أَمْ حَسِبْتُمْ أَن تُتْرَكُوا۟ وَلَمَّا يَعْلَمِ ٱللَّهُ ٱلَّذِينَ جَـٰهَدُوا۟ مِنكُمْ وَلَمْ يَتَّخِذُوا۟ مِن دُونِ ٱللَّهِ وَلَا رَسُولِهِۦ وَلَا ٱلْمُؤْمِنِينَ وَلِيجَةً ۚ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '16','verse_key' => '9:16','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '157','manzil_number' => '2','sajdah_number' => '0','page_number' => '189','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1252','chapter_id' => '9','arabic_name' => 'مَا كَانَ لِلْمُشْرِكِينَ أَن يَعْمُرُوا۟ مَسَـٰجِدَ ٱللَّهِ شَـٰهِدِينَ عَلَىٰٓ أَنفُسِهِم بِٱلْكُفْرِ ۚ أُو۟لَـٰٓئِكَ حَبِطَتْ أَعْمَـٰلُهُمْ وَفِى ٱلنَّارِ هُمْ خَـٰلِدُونَ','verse_number' => '17','verse_key' => '9:17','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '189','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1253','chapter_id' => '9','arabic_name' => 'إِنَّمَا يَعْمُرُ مَسَـٰجِدَ ٱللَّهِ مَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَأَقَامَ ٱلصَّلَوٰةَ وَءَاتَى ٱلزَّكَوٰةَ وَلَمْ يَخْشَ إِلَّا ٱللَّهَ ۖ فَعَسَىٰٓ أُو۟لَـٰٓئِكَ أَن يَكُونُوا۟ مِنَ ٱلْمُهْتَدِينَ','verse_number' => '18','verse_key' => '9:18','hizb_number' => '19','rub_el_hizb_number' => '75','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '189','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1254','chapter_id' => '9','arabic_name' => '۞ أَجَعَلْتُمْ سِقَايَةَ ٱلْحَآجِّ وَعِمَارَةَ ٱلْمَسْجِدِ ٱلْحَرَامِ كَمَنْ ءَامَنَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَجَـٰهَدَ فِى سَبِيلِ ٱللَّهِ ۚ لَا يَسْتَوُۥنَ عِندَ ٱللَّهِ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '19','verse_key' => '9:19','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '189','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1255','chapter_id' => '9','arabic_name' => 'ٱلَّذِينَ ءَامَنُوا۟ وَهَاجَرُوا۟ وَجَـٰهَدُوا۟ فِى سَبِيلِ ٱللَّهِ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ أَعْظَمُ دَرَجَةً عِندَ ٱللَّهِ ۚ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْفَآئِزُونَ','verse_number' => '20','verse_key' => '9:20','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '189','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1256','chapter_id' => '9','arabic_name' => 'يُبَشِّرُهُمْ رَبُّهُم بِرَحْمَةٍ مِّنْهُ وَرِضْوَٰنٍ وَجَنَّـٰتٍ لَّهُمْ فِيهَا نَعِيمٌ مُّقِيمٌ','verse_number' => '21','verse_key' => '9:21','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '190','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1257','chapter_id' => '9','arabic_name' => 'خَـٰلِدِينَ فِيهَآ أَبَدًا ۚ إِنَّ ٱللَّهَ عِندَهُۥٓ أَجْرٌ عَظِيمٌ','verse_number' => '22','verse_key' => '9:22','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '190','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1258','chapter_id' => '9','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوٓا۟ ءَابَآءَكُمْ وَإِخْوَٰنَكُمْ أَوْلِيَآءَ إِنِ ٱسْتَحَبُّوا۟ ٱلْكُفْرَ عَلَى ٱلْإِيمَـٰنِ ۚ وَمَن يَتَوَلَّهُم مِّنكُمْ فَأُو۟لَـٰٓئِكَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '23','verse_key' => '9:23','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '190','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1259','chapter_id' => '9','arabic_name' => 'قُلْ إِن كَانَ ءَابَآؤُكُمْ وَأَبْنَآؤُكُمْ وَإِخْوَٰنُكُمْ وَأَزْوَٰجُكُمْ وَعَشِيرَتُكُمْ وَأَمْوَٰلٌ ٱقْتَرَفْتُمُوهَا وَتِجَـٰرَةٌ تَخْشَوْنَ كَسَادَهَا وَمَسَـٰكِنُ تَرْضَوْنَهَآ أَحَبَّ إِلَيْكُم مِّنَ ٱللَّهِ وَرَسُولِهِۦ وَجِهَادٍ فِى سَبِيلِهِۦ فَتَرَبَّصُوا۟ حَتَّىٰ يَأْتِىَ ٱللَّهُ بِأَمْرِهِۦ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَـٰسِقِينَ','verse_number' => '24','verse_key' => '9:24','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '158','manzil_number' => '2','sajdah_number' => '0','page_number' => '190','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1260','chapter_id' => '9','arabic_name' => 'لَقَدْ نَصَرَكُمُ ٱللَّهُ فِى مَوَاطِنَ كَثِيرَةٍ ۙ وَيَوْمَ حُنَيْنٍ ۙ إِذْ أَعْجَبَتْكُمْ كَثْرَتُكُمْ فَلَمْ تُغْنِ عَنكُمْ شَيْـًٔا وَضَاقَتْ عَلَيْكُمُ ٱلْأَرْضُ بِمَا رَحُبَتْ ثُمَّ وَلَّيْتُم مُّدْبِرِينَ','verse_number' => '25','verse_key' => '9:25','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '159','manzil_number' => '2','sajdah_number' => '0','page_number' => '190','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1261','chapter_id' => '9','arabic_name' => 'ثُمَّ أَنزَلَ ٱللَّهُ سَكِينَتَهُۥ عَلَىٰ رَسُولِهِۦ وَعَلَى ٱلْمُؤْمِنِينَ وَأَنزَلَ جُنُودًا لَّمْ تَرَوْهَا وَعَذَّبَ ٱلَّذِينَ كَفَرُوا۟ ۚ وَذَٰلِكَ جَزَآءُ ٱلْكَـٰفِرِينَ','verse_number' => '26','verse_key' => '9:26','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '159','manzil_number' => '2','sajdah_number' => '0','page_number' => '190','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1262','chapter_id' => '9','arabic_name' => 'ثُمَّ يَتُوبُ ٱللَّهُ مِنۢ بَعْدِ ذَٰلِكَ عَلَىٰ مَن يَشَآءُ ۗ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '27','verse_key' => '9:27','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '159','manzil_number' => '2','sajdah_number' => '0','page_number' => '191','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1263','chapter_id' => '9','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّمَا ٱلْمُشْرِكُونَ نَجَسٌ فَلَا يَقْرَبُوا۟ ٱلْمَسْجِدَ ٱلْحَرَامَ بَعْدَ عَامِهِمْ هَـٰذَا ۚ وَإِنْ خِفْتُمْ عَيْلَةً فَسَوْفَ يُغْنِيكُمُ ٱللَّهُ مِن فَضْلِهِۦٓ إِن شَآءَ ۚ إِنَّ ٱللَّهَ عَلِيمٌ حَكِيمٌ','verse_number' => '28','verse_key' => '9:28','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '159','manzil_number' => '2','sajdah_number' => '0','page_number' => '191','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1264','chapter_id' => '9','arabic_name' => 'قَـٰتِلُوا۟ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱللَّهِ وَلَا بِٱلْيَوْمِ ٱلْـَٔاخِرِ وَلَا يُحَرِّمُونَ مَا حَرَّمَ ٱللَّهُ وَرَسُولُهُۥ وَلَا يَدِينُونَ دِينَ ٱلْحَقِّ مِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ حَتَّىٰ يُعْطُوا۟ ٱلْجِزْيَةَ عَن يَدٍ وَهُمْ صَـٰغِرُونَ','verse_number' => '29','verse_key' => '9:29','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '159','manzil_number' => '2','sajdah_number' => '0','page_number' => '191','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1265','chapter_id' => '9','arabic_name' => 'وَقَالَتِ ٱلْيَهُودُ عُزَيْرٌ ٱبْنُ ٱللَّهِ وَقَالَتِ ٱلنَّصَـٰرَى ٱلْمَسِيحُ ٱبْنُ ٱللَّهِ ۖ ذَٰلِكَ قَوْلُهُم بِأَفْوَٰهِهِمْ ۖ يُضَـٰهِـُٔونَ قَوْلَ ٱلَّذِينَ كَفَرُوا۟ مِن قَبْلُ ۚ قَـٰتَلَهُمُ ٱللَّهُ ۚ أَنَّىٰ يُؤْفَكُونَ','verse_number' => '30','verse_key' => '9:30','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '191','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1266','chapter_id' => '9','arabic_name' => 'ٱتَّخَذُوٓا۟ أَحْبَارَهُمْ وَرُهْبَـٰنَهُمْ أَرْبَابًا مِّن دُونِ ٱللَّهِ وَٱلْمَسِيحَ ٱبْنَ مَرْيَمَ وَمَآ أُمِرُوٓا۟ إِلَّا لِيَعْبُدُوٓا۟ إِلَـٰهًا وَٰحِدًا ۖ لَّآ إِلَـٰهَ إِلَّا هُوَ ۚ سُبْحَـٰنَهُۥ عَمَّا يُشْرِكُونَ','verse_number' => '31','verse_key' => '9:31','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '191','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1267','chapter_id' => '9','arabic_name' => 'يُرِيدُونَ أَن يُطْفِـُٔوا۟ نُورَ ٱللَّهِ بِأَفْوَٰهِهِمْ وَيَأْبَى ٱللَّهُ إِلَّآ أَن يُتِمَّ نُورَهُۥ وَلَوْ كَرِهَ ٱلْكَـٰفِرُونَ','verse_number' => '32','verse_key' => '9:32','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '192','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1268','chapter_id' => '9','arabic_name' => 'هُوَ ٱلَّذِىٓ أَرْسَلَ رَسُولَهُۥ بِٱلْهُدَىٰ وَدِينِ ٱلْحَقِّ لِيُظْهِرَهُۥ عَلَى ٱلدِّينِ كُلِّهِۦ وَلَوْ كَرِهَ ٱلْمُشْرِكُونَ','verse_number' => '33','verse_key' => '9:33','hizb_number' => '19','rub_el_hizb_number' => '76','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '192','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1269','chapter_id' => '9','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ كَثِيرًا مِّنَ ٱلْأَحْبَارِ وَٱلرُّهْبَانِ لَيَأْكُلُونَ أَمْوَٰلَ ٱلنَّاسِ بِٱلْبَـٰطِلِ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ ۗ وَٱلَّذِينَ يَكْنِزُونَ ٱلذَّهَبَ وَٱلْفِضَّةَ وَلَا يُنفِقُونَهَا فِى سَبِيلِ ٱللَّهِ فَبَشِّرْهُم بِعَذَابٍ أَلِيمٍ','verse_number' => '34','verse_key' => '9:34','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '192','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1270','chapter_id' => '9','arabic_name' => 'يَوْمَ يُحْمَىٰ عَلَيْهَا فِى نَارِ جَهَنَّمَ فَتُكْوَىٰ بِهَا جِبَاهُهُمْ وَجُنُوبُهُمْ وَظُهُورُهُمْ ۖ هَـٰذَا مَا كَنَزْتُمْ لِأَنفُسِكُمْ فَذُوقُوا۟ مَا كُنتُمْ تَكْنِزُونَ','verse_number' => '35','verse_key' => '9:35','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '192','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1271','chapter_id' => '9','arabic_name' => 'إِنَّ عِدَّةَ ٱلشُّهُورِ عِندَ ٱللَّهِ ٱثْنَا عَشَرَ شَهْرًا فِى كِتَـٰبِ ٱللَّهِ يَوْمَ خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ مِنْهَآ أَرْبَعَةٌ حُرُمٌ ۚ ذَٰلِكَ ٱلدِّينُ ٱلْقَيِّمُ ۚ فَلَا تَظْلِمُوا۟ فِيهِنَّ أَنفُسَكُمْ ۚ وَقَـٰتِلُوا۟ ٱلْمُشْرِكِينَ كَآفَّةً كَمَا يُقَـٰتِلُونَكُمْ كَآفَّةً ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَعَ ٱلْمُتَّقِينَ','verse_number' => '36','verse_key' => '9:36','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '192','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1272','chapter_id' => '9','arabic_name' => 'إِنَّمَا ٱلنَّسِىٓءُ زِيَادَةٌ فِى ٱلْكُفْرِ ۖ يُضَلُّ بِهِ ٱلَّذِينَ كَفَرُوا۟ يُحِلُّونَهُۥ عَامًا وَيُحَرِّمُونَهُۥ عَامًا لِّيُوَاطِـُٔوا۟ عِدَّةَ مَا حَرَّمَ ٱللَّهُ فَيُحِلُّوا۟ مَا حَرَّمَ ٱللَّهُ ۚ زُيِّنَ لَهُمْ سُوٓءُ أَعْمَـٰلِهِمْ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَـٰفِرِينَ','verse_number' => '37','verse_key' => '9:37','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '160','manzil_number' => '2','sajdah_number' => '0','page_number' => '193','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1273','chapter_id' => '9','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ مَا لَكُمْ إِذَا قِيلَ لَكُمُ ٱنفِرُوا۟ فِى سَبِيلِ ٱللَّهِ ٱثَّاقَلْتُمْ إِلَى ٱلْأَرْضِ ۚ أَرَضِيتُم بِٱلْحَيَوٰةِ ٱلدُّنْيَا مِنَ ٱلْـَٔاخِرَةِ ۚ فَمَا مَتَـٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا فِى ٱلْـَٔاخِرَةِ إِلَّا قَلِيلٌ','verse_number' => '38','verse_key' => '9:38','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '161','manzil_number' => '2','sajdah_number' => '0','page_number' => '193','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1274','chapter_id' => '9','arabic_name' => 'إِلَّا تَنفِرُوا۟ يُعَذِّبْكُمْ عَذَابًا أَلِيمًا وَيَسْتَبْدِلْ قَوْمًا غَيْرَكُمْ وَلَا تَضُرُّوهُ شَيْـًٔا ۗ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '39','verse_key' => '9:39','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '161','manzil_number' => '2','sajdah_number' => '0','page_number' => '193','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1275','chapter_id' => '9','arabic_name' => 'إِلَّا تَنصُرُوهُ فَقَدْ نَصَرَهُ ٱللَّهُ إِذْ أَخْرَجَهُ ٱلَّذِينَ كَفَرُوا۟ ثَانِىَ ٱثْنَيْنِ إِذْ هُمَا فِى ٱلْغَارِ إِذْ يَقُولُ لِصَـٰحِبِهِۦ لَا تَحْزَنْ إِنَّ ٱللَّهَ مَعَنَا ۖ فَأَنزَلَ ٱللَّهُ سَكِينَتَهُۥ عَلَيْهِ وَأَيَّدَهُۥ بِجُنُودٍ لَّمْ تَرَوْهَا وَجَعَلَ كَلِمَةَ ٱلَّذِينَ كَفَرُوا۟ ٱلسُّفْلَىٰ ۗ وَكَلِمَةُ ٱللَّهِ هِىَ ٱلْعُلْيَا ۗ وَٱللَّهُ عَزِيزٌ حَكِيمٌ','verse_number' => '40','verse_key' => '9:40','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '161','manzil_number' => '2','sajdah_number' => '0','page_number' => '193','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1276','chapter_id' => '9','arabic_name' => 'ٱنفِرُوا۟ خِفَافًا وَثِقَالًا وَجَـٰهِدُوا۟ بِأَمْوَٰلِكُمْ وَأَنفُسِكُمْ فِى سَبِيلِ ٱللَّهِ ۚ ذَٰلِكُمْ خَيْرٌ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '41','verse_key' => '9:41','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '161','manzil_number' => '2','sajdah_number' => '0','page_number' => '194','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1277','chapter_id' => '9','arabic_name' => 'لَوْ كَانَ عَرَضًا قَرِيبًا وَسَفَرًا قَاصِدًا لَّٱتَّبَعُوكَ وَلَـٰكِنۢ بَعُدَتْ عَلَيْهِمُ ٱلشُّقَّةُ ۚ وَسَيَحْلِفُونَ بِٱللَّهِ لَوِ ٱسْتَطَعْنَا لَخَرَجْنَا مَعَكُمْ يُهْلِكُونَ أَنفُسَهُمْ وَٱللَّهُ يَعْلَمُ إِنَّهُمْ لَكَـٰذِبُونَ','verse_number' => '42','verse_key' => '9:42','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '161','manzil_number' => '2','sajdah_number' => '0','page_number' => '194','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1278','chapter_id' => '9','arabic_name' => 'عَفَا ٱللَّهُ عَنكَ لِمَ أَذِنتَ لَهُمْ حَتَّىٰ يَتَبَيَّنَ لَكَ ٱلَّذِينَ صَدَقُوا۟ وَتَعْلَمَ ٱلْكَـٰذِبِينَ','verse_number' => '43','verse_key' => '9:43','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '194','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1279','chapter_id' => '9','arabic_name' => 'لَا يَسْتَـْٔذِنُكَ ٱلَّذِينَ يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ أَن يُجَـٰهِدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلْمُتَّقِينَ','verse_number' => '44','verse_key' => '9:44','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '194','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1280','chapter_id' => '9','arabic_name' => 'إِنَّمَا يَسْتَـْٔذِنُكَ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَٱرْتَابَتْ قُلُوبُهُمْ فَهُمْ فِى رَيْبِهِمْ يَتَرَدَّدُونَ','verse_number' => '45','verse_key' => '9:45','hizb_number' => '20','rub_el_hizb_number' => '77','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '194','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1281','chapter_id' => '9','arabic_name' => '۞ وَلَوْ أَرَادُوا۟ ٱلْخُرُوجَ لَأَعَدُّوا۟ لَهُۥ عُدَّةً وَلَـٰكِن كَرِهَ ٱللَّهُ ٱنۢبِعَاثَهُمْ فَثَبَّطَهُمْ وَقِيلَ ٱقْعُدُوا۟ مَعَ ٱلْقَـٰعِدِينَ','verse_number' => '46','verse_key' => '9:46','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '194','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1282','chapter_id' => '9','arabic_name' => 'لَوْ خَرَجُوا۟ فِيكُم مَّا زَادُوكُمْ إِلَّا خَبَالًا وَلَأَوْضَعُوا۟ خِلَـٰلَكُمْ يَبْغُونَكُمُ ٱلْفِتْنَةَ وَفِيكُمْ سَمَّـٰعُونَ لَهُمْ ۗ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّـٰلِمِينَ','verse_number' => '47','verse_key' => '9:47','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '194','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1283','chapter_id' => '9','arabic_name' => 'لَقَدِ ٱبْتَغَوُا۟ ٱلْفِتْنَةَ مِن قَبْلُ وَقَلَّبُوا۟ لَكَ ٱلْأُمُورَ حَتَّىٰ جَآءَ ٱلْحَقُّ وَظَهَرَ أَمْرُ ٱللَّهِ وَهُمْ كَـٰرِهُونَ','verse_number' => '48','verse_key' => '9:48','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '195','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1284','chapter_id' => '9','arabic_name' => 'وَمِنْهُم مَّن يَقُولُ ٱئْذَن لِّى وَلَا تَفْتِنِّىٓ ۚ أَلَا فِى ٱلْفِتْنَةِ سَقَطُوا۟ ۗ وَإِنَّ جَهَنَّمَ لَمُحِيطَةٌۢ بِٱلْكَـٰفِرِينَ','verse_number' => '49','verse_key' => '9:49','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '195','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1285','chapter_id' => '9','arabic_name' => 'إِن تُصِبْكَ حَسَنَةٌ تَسُؤْهُمْ ۖ وَإِن تُصِبْكَ مُصِيبَةٌ يَقُولُوا۟ قَدْ أَخَذْنَآ أَمْرَنَا مِن قَبْلُ وَيَتَوَلَّوا۟ وَّهُمْ فَرِحُونَ','verse_number' => '50','verse_key' => '9:50','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '195','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1286','chapter_id' => '9','arabic_name' => 'قُل لَّن يُصِيبَنَآ إِلَّا مَا كَتَبَ ٱللَّهُ لَنَا هُوَ مَوْلَىٰنَا ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ','verse_number' => '51','verse_key' => '9:51','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '195','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1287','chapter_id' => '9','arabic_name' => 'قُلْ هَلْ تَرَبَّصُونَ بِنَآ إِلَّآ إِحْدَى ٱلْحُسْنَيَيْنِ ۖ وَنَحْنُ نَتَرَبَّصُ بِكُمْ أَن يُصِيبَكُمُ ٱللَّهُ بِعَذَابٍ مِّنْ عِندِهِۦٓ أَوْ بِأَيْدِينَا ۖ فَتَرَبَّصُوٓا۟ إِنَّا مَعَكُم مُّتَرَبِّصُونَ','verse_number' => '52','verse_key' => '9:52','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '195','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1288','chapter_id' => '9','arabic_name' => 'قُلْ أَنفِقُوا۟ طَوْعًا أَوْ كَرْهًا لَّن يُتَقَبَّلَ مِنكُمْ ۖ إِنَّكُمْ كُنتُمْ قَوْمًا فَـٰسِقِينَ','verse_number' => '53','verse_key' => '9:53','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '195','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1289','chapter_id' => '9','arabic_name' => 'وَمَا مَنَعَهُمْ أَن تُقْبَلَ مِنْهُمْ نَفَقَـٰتُهُمْ إِلَّآ أَنَّهُمْ كَفَرُوا۟ بِٱللَّهِ وَبِرَسُولِهِۦ وَلَا يَأْتُونَ ٱلصَّلَوٰةَ إِلَّا وَهُمْ كُسَالَىٰ وَلَا يُنفِقُونَ إِلَّا وَهُمْ كَـٰرِهُونَ','verse_number' => '54','verse_key' => '9:54','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '195','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1290','chapter_id' => '9','arabic_name' => 'فَلَا تُعْجِبْكَ أَمْوَٰلُهُمْ وَلَآ أَوْلَـٰدُهُمْ ۚ إِنَّمَا يُرِيدُ ٱللَّهُ لِيُعَذِّبَهُم بِهَا فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَتَزْهَقَ أَنفُسُهُمْ وَهُمْ كَـٰفِرُونَ','verse_number' => '55','verse_key' => '9:55','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '196','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1291','chapter_id' => '9','arabic_name' => 'وَيَحْلِفُونَ بِٱللَّهِ إِنَّهُمْ لَمِنكُمْ وَمَا هُم مِّنكُمْ وَلَـٰكِنَّهُمْ قَوْمٌ يَفْرَقُونَ','verse_number' => '56','verse_key' => '9:56','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '196','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1292','chapter_id' => '9','arabic_name' => 'لَوْ يَجِدُونَ مَلْجَـًٔا أَوْ مَغَـٰرَٰتٍ أَوْ مُدَّخَلًا لَّوَلَّوْا۟ إِلَيْهِ وَهُمْ يَجْمَحُونَ','verse_number' => '57','verse_key' => '9:57','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '196','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1293','chapter_id' => '9','arabic_name' => 'وَمِنْهُم مَّن يَلْمِزُكَ فِى ٱلصَّدَقَـٰتِ فَإِنْ أُعْطُوا۟ مِنْهَا رَضُوا۟ وَإِن لَّمْ يُعْطَوْا۟ مِنْهَآ إِذَا هُمْ يَسْخَطُونَ','verse_number' => '58','verse_key' => '9:58','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '196','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1294','chapter_id' => '9','arabic_name' => 'وَلَوْ أَنَّهُمْ رَضُوا۟ مَآ ءَاتَىٰهُمُ ٱللَّهُ وَرَسُولُهُۥ وَقَالُوا۟ حَسْبُنَا ٱللَّهُ سَيُؤْتِينَا ٱللَّهُ مِن فَضْلِهِۦ وَرَسُولُهُۥٓ إِنَّآ إِلَى ٱللَّهِ رَٰغِبُونَ','verse_number' => '59','verse_key' => '9:59','hizb_number' => '20','rub_el_hizb_number' => '78','ruku_number' => '162','manzil_number' => '2','sajdah_number' => '0','page_number' => '196','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1295','chapter_id' => '9','arabic_name' => '۞ إِنَّمَا ٱلصَّدَقَـٰتُ لِلْفُقَرَآءِ وَٱلْمَسَـٰكِينِ وَٱلْعَـٰمِلِينَ عَلَيْهَا وَٱلْمُؤَلَّفَةِ قُلُوبُهُمْ وَفِى ٱلرِّقَابِ وَٱلْغَـٰرِمِينَ وَفِى سَبِيلِ ٱللَّهِ وَٱبْنِ ٱلسَّبِيلِ ۖ فَرِيضَةً مِّنَ ٱللَّهِ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '60','verse_key' => '9:60','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '163','manzil_number' => '2','sajdah_number' => '0','page_number' => '196','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1296','chapter_id' => '9','arabic_name' => 'وَمِنْهُمُ ٱلَّذِينَ يُؤْذُونَ ٱلنَّبِىَّ وَيَقُولُونَ هُوَ أُذُنٌ ۚ قُلْ أُذُنُ خَيْرٍ لَّكُمْ يُؤْمِنُ بِٱللَّهِ وَيُؤْمِنُ لِلْمُؤْمِنِينَ وَرَحْمَةٌ لِّلَّذِينَ ءَامَنُوا۟ مِنكُمْ ۚ وَٱلَّذِينَ يُؤْذُونَ رَسُولَ ٱللَّهِ لَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '61','verse_key' => '9:61','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '163','manzil_number' => '2','sajdah_number' => '0','page_number' => '196','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1297','chapter_id' => '9','arabic_name' => 'يَحْلِفُونَ بِٱللَّهِ لَكُمْ لِيُرْضُوكُمْ وَٱللَّهُ وَرَسُولُهُۥٓ أَحَقُّ أَن يُرْضُوهُ إِن كَانُوا۟ مُؤْمِنِينَ','verse_number' => '62','verse_key' => '9:62','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '163','manzil_number' => '2','sajdah_number' => '0','page_number' => '197','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1298','chapter_id' => '9','arabic_name' => 'أَلَمْ يَعْلَمُوٓا۟ أَنَّهُۥ مَن يُحَادِدِ ٱللَّهَ وَرَسُولَهُۥ فَأَنَّ لَهُۥ نَارَ جَهَنَّمَ خَـٰلِدًا فِيهَا ۚ ذَٰلِكَ ٱلْخِزْىُ ٱلْعَظِيمُ','verse_number' => '63','verse_key' => '9:63','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '163','manzil_number' => '2','sajdah_number' => '0','page_number' => '197','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1299','chapter_id' => '9','arabic_name' => 'يَحْذَرُ ٱلْمُنَـٰفِقُونَ أَن تُنَزَّلَ عَلَيْهِمْ سُورَةٌ تُنَبِّئُهُم بِمَا فِى قُلُوبِهِمْ ۚ قُلِ ٱسْتَهْزِءُوٓا۟ إِنَّ ٱللَّهَ مُخْرِجٌ مَّا تَحْذَرُونَ','verse_number' => '64','verse_key' => '9:64','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '163','manzil_number' => '2','sajdah_number' => '0','page_number' => '197','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1300','chapter_id' => '9','arabic_name' => 'وَلَئِن سَأَلْتَهُمْ لَيَقُولُنَّ إِنَّمَا كُنَّا نَخُوضُ وَنَلْعَبُ ۚ قُلْ أَبِٱللَّهِ وَءَايَـٰتِهِۦ وَرَسُولِهِۦ كُنتُمْ تَسْتَهْزِءُونَ','verse_number' => '65','verse_key' => '9:65','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '163','manzil_number' => '2','sajdah_number' => '0','page_number' => '197','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1301','chapter_id' => '9','arabic_name' => 'لَا تَعْتَذِرُوا۟ قَدْ كَفَرْتُم بَعْدَ إِيمَـٰنِكُمْ ۚ إِن نَّعْفُ عَن طَآئِفَةٍ مِّنكُمْ نُعَذِّبْ طَآئِفَةًۢ بِأَنَّهُمْ كَانُوا۟ مُجْرِمِينَ','verse_number' => '66','verse_key' => '9:66','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '163','manzil_number' => '2','sajdah_number' => '0','page_number' => '197','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1302','chapter_id' => '9','arabic_name' => 'ٱلْمُنَـٰفِقُونَ وَٱلْمُنَـٰفِقَـٰتُ بَعْضُهُم مِّنۢ بَعْضٍ ۚ يَأْمُرُونَ بِٱلْمُنكَرِ وَيَنْهَوْنَ عَنِ ٱلْمَعْرُوفِ وَيَقْبِضُونَ أَيْدِيَهُمْ ۚ نَسُوا۟ ٱللَّهَ فَنَسِيَهُمْ ۗ إِنَّ ٱلْمُنَـٰفِقِينَ هُمُ ٱلْفَـٰسِقُونَ','verse_number' => '67','verse_key' => '9:67','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '164','manzil_number' => '2','sajdah_number' => '0','page_number' => '197','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1303','chapter_id' => '9','arabic_name' => 'وَعَدَ ٱللَّهُ ٱلْمُنَـٰفِقِينَ وَٱلْمُنَـٰفِقَـٰتِ وَٱلْكُفَّارَ نَارَ جَهَنَّمَ خَـٰلِدِينَ فِيهَا ۚ هِىَ حَسْبُهُمْ ۚ وَلَعَنَهُمُ ٱللَّهُ ۖ وَلَهُمْ عَذَابٌ مُّقِيمٌ','verse_number' => '68','verse_key' => '9:68','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '164','manzil_number' => '2','sajdah_number' => '0','page_number' => '197','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1304','chapter_id' => '9','arabic_name' => 'كَٱلَّذِينَ مِن قَبْلِكُمْ كَانُوٓا۟ أَشَدَّ مِنكُمْ قُوَّةً وَأَكْثَرَ أَمْوَٰلًا وَأَوْلَـٰدًا فَٱسْتَمْتَعُوا۟ بِخَلَـٰقِهِمْ فَٱسْتَمْتَعْتُم بِخَلَـٰقِكُمْ كَمَا ٱسْتَمْتَعَ ٱلَّذِينَ مِن قَبْلِكُم بِخَلَـٰقِهِمْ وَخُضْتُمْ كَٱلَّذِى خَاضُوٓا۟ ۚ أُو۟لَـٰٓئِكَ حَبِطَتْ أَعْمَـٰلُهُمْ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '69','verse_key' => '9:69','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '164','manzil_number' => '2','sajdah_number' => '0','page_number' => '198','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1305','chapter_id' => '9','arabic_name' => 'أَلَمْ يَأْتِهِمْ نَبَأُ ٱلَّذِينَ مِن قَبْلِهِمْ قَوْمِ نُوحٍ وَعَادٍ وَثَمُودَ وَقَوْمِ إِبْرَٰهِيمَ وَأَصْحَـٰبِ مَدْيَنَ وَٱلْمُؤْتَفِكَـٰتِ ۚ أَتَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ ۖ فَمَا كَانَ ٱللَّهُ لِيَظْلِمَهُمْ وَلَـٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '70','verse_key' => '9:70','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '164','manzil_number' => '2','sajdah_number' => '0','page_number' => '198','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1306','chapter_id' => '9','arabic_name' => 'وَٱلْمُؤْمِنُونَ وَٱلْمُؤْمِنَـٰتُ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍ ۚ يَأْمُرُونَ بِٱلْمَعْرُوفِ وَيَنْهَوْنَ عَنِ ٱلْمُنكَرِ وَيُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَيُطِيعُونَ ٱللَّهَ وَرَسُولَهُۥٓ ۚ أُو۟لَـٰٓئِكَ سَيَرْحَمُهُمُ ٱللَّهُ ۗ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ','verse_number' => '71','verse_key' => '9:71','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '164','manzil_number' => '2','sajdah_number' => '0','page_number' => '198','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1307','chapter_id' => '9','arabic_name' => 'وَعَدَ ٱللَّهُ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا وَمَسَـٰكِنَ طَيِّبَةً فِى جَنَّـٰتِ عَدْنٍ ۚ وَرِضْوَٰنٌ مِّنَ ٱللَّهِ أَكْبَرُ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '72','verse_key' => '9:72','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '164','manzil_number' => '2','sajdah_number' => '0','page_number' => '198','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1308','chapter_id' => '9','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ جَـٰهِدِ ٱلْكُفَّارَ وَٱلْمُنَـٰفِقِينَ وَٱغْلُظْ عَلَيْهِمْ ۚ وَمَأْوَىٰهُمْ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '73','verse_key' => '9:73','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '199','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1309','chapter_id' => '9','arabic_name' => 'يَحْلِفُونَ بِٱللَّهِ مَا قَالُوا۟ وَلَقَدْ قَالُوا۟ كَلِمَةَ ٱلْكُفْرِ وَكَفَرُوا۟ بَعْدَ إِسْلَـٰمِهِمْ وَهَمُّوا۟ بِمَا لَمْ يَنَالُوا۟ ۚ وَمَا نَقَمُوٓا۟ إِلَّآ أَنْ أَغْنَىٰهُمُ ٱللَّهُ وَرَسُولُهُۥ مِن فَضْلِهِۦ ۚ فَإِن يَتُوبُوا۟ يَكُ خَيْرًا لَّهُمْ ۖ وَإِن يَتَوَلَّوْا۟ يُعَذِّبْهُمُ ٱللَّهُ عَذَابًا أَلِيمًا فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ ۚ وَمَا لَهُمْ فِى ٱلْأَرْضِ مِن وَلِىٍّ وَلَا نَصِيرٍ','verse_number' => '74','verse_key' => '9:74','hizb_number' => '20','rub_el_hizb_number' => '79','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '199','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1310','chapter_id' => '9','arabic_name' => '۞ وَمِنْهُم مَّنْ عَـٰهَدَ ٱللَّهَ لَئِنْ ءَاتَىٰنَا مِن فَضْلِهِۦ لَنَصَّدَّقَنَّ وَلَنَكُونَنَّ مِنَ ٱلصَّـٰلِحِينَ','verse_number' => '75','verse_key' => '9:75','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '199','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1311','chapter_id' => '9','arabic_name' => 'فَلَمَّآ ءَاتَىٰهُم مِّن فَضْلِهِۦ بَخِلُوا۟ بِهِۦ وَتَوَلَّوا۟ وَّهُم مُّعْرِضُونَ','verse_number' => '76','verse_key' => '9:76','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '199','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1312','chapter_id' => '9','arabic_name' => 'فَأَعْقَبَهُمْ نِفَاقًا فِى قُلُوبِهِمْ إِلَىٰ يَوْمِ يَلْقَوْنَهُۥ بِمَآ أَخْلَفُوا۟ ٱللَّهَ مَا وَعَدُوهُ وَبِمَا كَانُوا۟ يَكْذِبُونَ','verse_number' => '77','verse_key' => '9:77','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '199','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1313','chapter_id' => '9','arabic_name' => 'أَلَمْ يَعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَعْلَمُ سِرَّهُمْ وَنَجْوَىٰهُمْ وَأَنَّ ٱللَّهَ عَلَّـٰمُ ٱلْغُيُوبِ','verse_number' => '78','verse_key' => '9:78','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '199','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1314','chapter_id' => '9','arabic_name' => 'ٱلَّذِينَ يَلْمِزُونَ ٱلْمُطَّوِّعِينَ مِنَ ٱلْمُؤْمِنِينَ فِى ٱلصَّدَقَـٰتِ وَٱلَّذِينَ لَا يَجِدُونَ إِلَّا جُهْدَهُمْ فَيَسْخَرُونَ مِنْهُمْ ۙ سَخِرَ ٱللَّهُ مِنْهُمْ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '79','verse_key' => '9:79','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '199','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1315','chapter_id' => '9','arabic_name' => 'ٱسْتَغْفِرْ لَهُمْ أَوْ لَا تَسْتَغْفِرْ لَهُمْ إِن تَسْتَغْفِرْ لَهُمْ سَبْعِينَ مَرَّةً فَلَن يَغْفِرَ ٱللَّهُ لَهُمْ ۚ ذَٰلِكَ بِأَنَّهُمْ كَفَرُوا۟ بِٱللَّهِ وَرَسُولِهِۦ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَـٰسِقِينَ','verse_number' => '80','verse_key' => '9:80','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '165','manzil_number' => '2','sajdah_number' => '0','page_number' => '200','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1316','chapter_id' => '9','arabic_name' => 'فَرِحَ ٱلْمُخَلَّفُونَ بِمَقْعَدِهِمْ خِلَـٰفَ رَسُولِ ٱللَّهِ وَكَرِهُوٓا۟ أَن يُجَـٰهِدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ فِى سَبِيلِ ٱللَّهِ وَقَالُوا۟ لَا تَنفِرُوا۟ فِى ٱلْحَرِّ ۗ قُلْ نَارُ جَهَنَّمَ أَشَدُّ حَرًّا ۚ لَّوْ كَانُوا۟ يَفْقَهُونَ','verse_number' => '81','verse_key' => '9:81','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '200','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1317','chapter_id' => '9','arabic_name' => 'فَلْيَضْحَكُوا۟ قَلِيلًا وَلْيَبْكُوا۟ كَثِيرًا جَزَآءًۢ بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '82','verse_key' => '9:82','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '200','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1318','chapter_id' => '9','arabic_name' => 'فَإِن رَّجَعَكَ ٱللَّهُ إِلَىٰ طَآئِفَةٍ مِّنْهُمْ فَٱسْتَـْٔذَنُوكَ لِلْخُرُوجِ فَقُل لَّن تَخْرُجُوا۟ مَعِىَ أَبَدًا وَلَن تُقَـٰتِلُوا۟ مَعِىَ عَدُوًّا ۖ إِنَّكُمْ رَضِيتُم بِٱلْقُعُودِ أَوَّلَ مَرَّةٍ فَٱقْعُدُوا۟ مَعَ ٱلْخَـٰلِفِينَ','verse_number' => '83','verse_key' => '9:83','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '200','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1319','chapter_id' => '9','arabic_name' => 'وَلَا تُصَلِّ عَلَىٰٓ أَحَدٍ مِّنْهُم مَّاتَ أَبَدًا وَلَا تَقُمْ عَلَىٰ قَبْرِهِۦٓ ۖ إِنَّهُمْ كَفَرُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَمَاتُوا۟ وَهُمْ فَـٰسِقُونَ','verse_number' => '84','verse_key' => '9:84','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '200','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1320','chapter_id' => '9','arabic_name' => 'وَلَا تُعْجِبْكَ أَمْوَٰلُهُمْ وَأَوْلَـٰدُهُمْ ۚ إِنَّمَا يُرِيدُ ٱللَّهُ أَن يُعَذِّبَهُم بِهَا فِى ٱلدُّنْيَا وَتَزْهَقَ أَنفُسُهُمْ وَهُمْ كَـٰفِرُونَ','verse_number' => '85','verse_key' => '9:85','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '200','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1321','chapter_id' => '9','arabic_name' => 'وَإِذَآ أُنزِلَتْ سُورَةٌ أَنْ ءَامِنُوا۟ بِٱللَّهِ وَجَـٰهِدُوا۟ مَعَ رَسُولِهِ ٱسْتَـْٔذَنَكَ أُو۟لُوا۟ ٱلطَّوْلِ مِنْهُمْ وَقَالُوا۟ ذَرْنَا نَكُن مَّعَ ٱلْقَـٰعِدِينَ','verse_number' => '86','verse_key' => '9:86','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '200','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1322','chapter_id' => '9','arabic_name' => 'رَضُوا۟ بِأَن يَكُونُوا۟ مَعَ ٱلْخَوَالِفِ وَطُبِعَ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَفْقَهُونَ','verse_number' => '87','verse_key' => '9:87','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '201','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1323','chapter_id' => '9','arabic_name' => 'لَـٰكِنِ ٱلرَّسُولُ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ جَـٰهَدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ ۚ وَأُو۟لَـٰٓئِكَ لَهُمُ ٱلْخَيْرَٰتُ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '88','verse_key' => '9:88','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '201','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1324','chapter_id' => '9','arabic_name' => 'أَعَدَّ ٱللَّهُ لَهُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '89','verse_key' => '9:89','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '166','manzil_number' => '2','sajdah_number' => '0','page_number' => '201','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1325','chapter_id' => '9','arabic_name' => 'وَجَآءَ ٱلْمُعَذِّرُونَ مِنَ ٱلْأَعْرَابِ لِيُؤْذَنَ لَهُمْ وَقَعَدَ ٱلَّذِينَ كَذَبُوا۟ ٱللَّهَ وَرَسُولَهُۥ ۚ سَيُصِيبُ ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '90','verse_key' => '9:90','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '201','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1326','chapter_id' => '9','arabic_name' => 'لَّيْسَ عَلَى ٱلضُّعَفَآءِ وَلَا عَلَى ٱلْمَرْضَىٰ وَلَا عَلَى ٱلَّذِينَ لَا يَجِدُونَ مَا يُنفِقُونَ حَرَجٌ إِذَا نَصَحُوا۟ لِلَّهِ وَرَسُولِهِۦ ۚ مَا عَلَى ٱلْمُحْسِنِينَ مِن سَبِيلٍ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '91','verse_key' => '9:91','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '201','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1327','chapter_id' => '9','arabic_name' => 'وَلَا عَلَى ٱلَّذِينَ إِذَا مَآ أَتَوْكَ لِتَحْمِلَهُمْ قُلْتَ لَآ أَجِدُ مَآ أَحْمِلُكُمْ عَلَيْهِ تَوَلَّوا۟ وَّأَعْيُنُهُمْ تَفِيضُ مِنَ ٱلدَّمْعِ حَزَنًا أَلَّا يَجِدُوا۟ مَا يُنفِقُونَ','verse_number' => '92','verse_key' => '9:92','hizb_number' => '20','rub_el_hizb_number' => '80','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '201','juz_number' => '10','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1328','chapter_id' => '9','arabic_name' => '۞ إِنَّمَا ٱلسَّبِيلُ عَلَى ٱلَّذِينَ يَسْتَـْٔذِنُونَكَ وَهُمْ أَغْنِيَآءُ ۚ رَضُوا۟ بِأَن يَكُونُوا۟ مَعَ ٱلْخَوَالِفِ وَطَبَعَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَعْلَمُونَ','verse_number' => '93','verse_key' => '9:93','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '201','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1329','chapter_id' => '9','arabic_name' => 'يَعْتَذِرُونَ إِلَيْكُمْ إِذَا رَجَعْتُمْ إِلَيْهِمْ ۚ قُل لَّا تَعْتَذِرُوا۟ لَن نُّؤْمِنَ لَكُمْ قَدْ نَبَّأَنَا ٱللَّهُ مِنْ أَخْبَارِكُمْ ۚ وَسَيَرَى ٱللَّهُ عَمَلَكُمْ وَرَسُولُهُۥ ثُمَّ تُرَدُّونَ إِلَىٰ عَـٰلِمِ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '94','verse_key' => '9:94','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '202','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1330','chapter_id' => '9','arabic_name' => 'سَيَحْلِفُونَ بِٱللَّهِ لَكُمْ إِذَا ٱنقَلَبْتُمْ إِلَيْهِمْ لِتُعْرِضُوا۟ عَنْهُمْ ۖ فَأَعْرِضُوا۟ عَنْهُمْ ۖ إِنَّهُمْ رِجْسٌ ۖ وَمَأْوَىٰهُمْ جَهَنَّمُ جَزَآءًۢ بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '95','verse_key' => '9:95','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '202','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1331','chapter_id' => '9','arabic_name' => 'يَحْلِفُونَ لَكُمْ لِتَرْضَوْا۟ عَنْهُمْ ۖ فَإِن تَرْضَوْا۟ عَنْهُمْ فَإِنَّ ٱللَّهَ لَا يَرْضَىٰ عَنِ ٱلْقَوْمِ ٱلْفَـٰسِقِينَ','verse_number' => '96','verse_key' => '9:96','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '202','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1332','chapter_id' => '9','arabic_name' => 'ٱلْأَعْرَابُ أَشَدُّ كُفْرًا وَنِفَاقًا وَأَجْدَرُ أَلَّا يَعْلَمُوا۟ حُدُودَ مَآ أَنزَلَ ٱللَّهُ عَلَىٰ رَسُولِهِۦ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '97','verse_key' => '9:97','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '202','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1333','chapter_id' => '9','arabic_name' => 'وَمِنَ ٱلْأَعْرَابِ مَن يَتَّخِذُ مَا يُنفِقُ مَغْرَمًا وَيَتَرَبَّصُ بِكُمُ ٱلدَّوَآئِرَ ۚ عَلَيْهِمْ دَآئِرَةُ ٱلسَّوْءِ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '98','verse_key' => '9:98','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '202','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1334','chapter_id' => '9','arabic_name' => 'وَمِنَ ٱلْأَعْرَابِ مَن يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ وَيَتَّخِذُ مَا يُنفِقُ قُرُبَـٰتٍ عِندَ ٱللَّهِ وَصَلَوَٰتِ ٱلرَّسُولِ ۚ أَلَآ إِنَّهَا قُرْبَةٌ لَّهُمْ ۚ سَيُدْخِلُهُمُ ٱللَّهُ فِى رَحْمَتِهِۦٓ ۗ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '99','verse_key' => '9:99','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '167','manzil_number' => '2','sajdah_number' => '0','page_number' => '202','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1335','chapter_id' => '9','arabic_name' => 'وَٱلسَّـٰبِقُونَ ٱلْأَوَّلُونَ مِنَ ٱلْمُهَـٰجِرِينَ وَٱلْأَنصَارِ وَٱلَّذِينَ ٱتَّبَعُوهُم بِإِحْسَـٰنٍ رَّضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ وَأَعَدَّ لَهُمْ جَنَّـٰتٍ تَجْرِى تَحْتَهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَآ أَبَدًا ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '100','verse_key' => '9:100','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '203','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1336','chapter_id' => '9','arabic_name' => 'وَمِمَّنْ حَوْلَكُم مِّنَ ٱلْأَعْرَابِ مُنَـٰفِقُونَ ۖ وَمِنْ أَهْلِ ٱلْمَدِينَةِ ۖ مَرَدُوا۟ عَلَى ٱلنِّفَاقِ لَا تَعْلَمُهُمْ ۖ نَحْنُ نَعْلَمُهُمْ ۚ سَنُعَذِّبُهُم مَّرَّتَيْنِ ثُمَّ يُرَدُّونَ إِلَىٰ عَذَابٍ عَظِيمٍ','verse_number' => '101','verse_key' => '9:101','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '203','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1337','chapter_id' => '9','arabic_name' => 'وَءَاخَرُونَ ٱعْتَرَفُوا۟ بِذُنُوبِهِمْ خَلَطُوا۟ عَمَلًا صَـٰلِحًا وَءَاخَرَ سَيِّئًا عَسَى ٱللَّهُ أَن يَتُوبَ عَلَيْهِمْ ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '102','verse_key' => '9:102','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '203','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1338','chapter_id' => '9','arabic_name' => 'خُذْ مِنْ أَمْوَٰلِهِمْ صَدَقَةً تُطَهِّرُهُمْ وَتُزَكِّيهِم بِهَا وَصَلِّ عَلَيْهِمْ ۖ إِنَّ صَلَوٰتَكَ سَكَنٌ لَّهُمْ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '103','verse_key' => '9:103','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '203','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1339','chapter_id' => '9','arabic_name' => 'أَلَمْ يَعْلَمُوٓا۟ أَنَّ ٱللَّهَ هُوَ يَقْبَلُ ٱلتَّوْبَةَ عَنْ عِبَادِهِۦ وَيَأْخُذُ ٱلصَّدَقَـٰتِ وَأَنَّ ٱللَّهَ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ','verse_number' => '104','verse_key' => '9:104','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '203','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1340','chapter_id' => '9','arabic_name' => 'وَقُلِ ٱعْمَلُوا۟ فَسَيَرَى ٱللَّهُ عَمَلَكُمْ وَرَسُولُهُۥ وَٱلْمُؤْمِنُونَ ۖ وَسَتُرَدُّونَ إِلَىٰ عَـٰلِمِ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '105','verse_key' => '9:105','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '203','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1341','chapter_id' => '9','arabic_name' => 'وَءَاخَرُونَ مُرْجَوْنَ لِأَمْرِ ٱللَّهِ إِمَّا يُعَذِّبُهُمْ وَإِمَّا يَتُوبُ عَلَيْهِمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '106','verse_key' => '9:106','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '203','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1342','chapter_id' => '9','arabic_name' => 'وَٱلَّذِينَ ٱتَّخَذُوا۟ مَسْجِدًا ضِرَارًا وَكُفْرًا وَتَفْرِيقًۢا بَيْنَ ٱلْمُؤْمِنِينَ وَإِرْصَادًا لِّمَنْ حَارَبَ ٱللَّهَ وَرَسُولَهُۥ مِن قَبْلُ ۚ وَلَيَحْلِفُنَّ إِنْ أَرَدْنَآ إِلَّا ٱلْحُسْنَىٰ ۖ وَٱللَّهُ يَشْهَدُ إِنَّهُمْ لَكَـٰذِبُونَ','verse_number' => '107','verse_key' => '9:107','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '204','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1343','chapter_id' => '9','arabic_name' => 'لَا تَقُمْ فِيهِ أَبَدًا ۚ لَّمَسْجِدٌ أُسِّسَ عَلَى ٱلتَّقْوَىٰ مِنْ أَوَّلِ يَوْمٍ أَحَقُّ أَن تَقُومَ فِيهِ ۚ فِيهِ رِجَالٌ يُحِبُّونَ أَن يَتَطَهَّرُوا۟ ۚ وَٱللَّهُ يُحِبُّ ٱلْمُطَّهِّرِينَ','verse_number' => '108','verse_key' => '9:108','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '204','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1344','chapter_id' => '9','arabic_name' => 'أَفَمَنْ أَسَّسَ بُنْيَـٰنَهُۥ عَلَىٰ تَقْوَىٰ مِنَ ٱللَّهِ وَرِضْوَٰنٍ خَيْرٌ أَم مَّنْ أَسَّسَ بُنْيَـٰنَهُۥ عَلَىٰ شَفَا جُرُفٍ هَارٍ فَٱنْهَارَ بِهِۦ فِى نَارِ جَهَنَّمَ ۗ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '109','verse_key' => '9:109','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '204','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1345','chapter_id' => '9','arabic_name' => 'لَا يَزَالُ بُنْيَـٰنُهُمُ ٱلَّذِى بَنَوْا۟ رِيبَةً فِى قُلُوبِهِمْ إِلَّآ أَن تَقَطَّعَ قُلُوبُهُمْ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '110','verse_key' => '9:110','hizb_number' => '21','rub_el_hizb_number' => '81','ruku_number' => '168','manzil_number' => '2','sajdah_number' => '0','page_number' => '204','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1346','chapter_id' => '9','arabic_name' => '۞ إِنَّ ٱللَّهَ ٱشْتَرَىٰ مِنَ ٱلْمُؤْمِنِينَ أَنفُسَهُمْ وَأَمْوَٰلَهُم بِأَنَّ لَهُمُ ٱلْجَنَّةَ ۚ يُقَـٰتِلُونَ فِى سَبِيلِ ٱللَّهِ فَيَقْتُلُونَ وَيُقْتَلُونَ ۖ وَعْدًا عَلَيْهِ حَقًّا فِى ٱلتَّوْرَىٰةِ وَٱلْإِنجِيلِ وَٱلْقُرْءَانِ ۚ وَمَنْ أَوْفَىٰ بِعَهْدِهِۦ مِنَ ٱللَّهِ ۚ فَٱسْتَبْشِرُوا۟ بِبَيْعِكُمُ ٱلَّذِى بَايَعْتُم بِهِۦ ۚ وَذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '111','verse_key' => '9:111','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '204','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1347','chapter_id' => '9','arabic_name' => 'ٱلتَّـٰٓئِبُونَ ٱلْعَـٰبِدُونَ ٱلْحَـٰمِدُونَ ٱلسَّـٰٓئِحُونَ ٱلرَّٰكِعُونَ ٱلسَّـٰجِدُونَ ٱلْـَٔامِرُونَ بِٱلْمَعْرُوفِ وَٱلنَّاهُونَ عَنِ ٱلْمُنكَرِ وَٱلْحَـٰفِظُونَ لِحُدُودِ ٱللَّهِ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ','verse_number' => '112','verse_key' => '9:112','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '205','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1348','chapter_id' => '9','arabic_name' => 'مَا كَانَ لِلنَّبِىِّ وَٱلَّذِينَ ءَامَنُوٓا۟ أَن يَسْتَغْفِرُوا۟ لِلْمُشْرِكِينَ وَلَوْ كَانُوٓا۟ أُو۟لِى قُرْبَىٰ مِنۢ بَعْدِ مَا تَبَيَّنَ لَهُمْ أَنَّهُمْ أَصْحَـٰبُ ٱلْجَحِيمِ','verse_number' => '113','verse_key' => '9:113','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '205','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1349','chapter_id' => '9','arabic_name' => 'وَمَا كَانَ ٱسْتِغْفَارُ إِبْرَٰهِيمَ لِأَبِيهِ إِلَّا عَن مَّوْعِدَةٍ وَعَدَهَآ إِيَّاهُ فَلَمَّا تَبَيَّنَ لَهُۥٓ أَنَّهُۥ عَدُوٌّ لِّلَّهِ تَبَرَّأَ مِنْهُ ۚ إِنَّ إِبْرَٰهِيمَ لَأَوَّٰهٌ حَلِيمٌ','verse_number' => '114','verse_key' => '9:114','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '205','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1350','chapter_id' => '9','arabic_name' => 'وَمَا كَانَ ٱللَّهُ لِيُضِلَّ قَوْمًۢا بَعْدَ إِذْ هَدَىٰهُمْ حَتَّىٰ يُبَيِّنَ لَهُم مَّا يَتَّقُونَ ۚ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '115','verse_key' => '9:115','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '205','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1351','chapter_id' => '9','arabic_name' => 'إِنَّ ٱللَّهَ لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ يُحْىِۦ وَيُمِيتُ ۚ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّ وَلَا نَصِيرٍ','verse_number' => '116','verse_key' => '9:116','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '205','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1352','chapter_id' => '9','arabic_name' => 'لَّقَد تَّابَ ٱللَّهُ عَلَى ٱلنَّبِىِّ وَٱلْمُهَـٰجِرِينَ وَٱلْأَنصَارِ ٱلَّذِينَ ٱتَّبَعُوهُ فِى سَاعَةِ ٱلْعُسْرَةِ مِنۢ بَعْدِ مَا كَادَ يَزِيغُ قُلُوبُ فَرِيقٍ مِّنْهُمْ ثُمَّ تَابَ عَلَيْهِمْ ۚ إِنَّهُۥ بِهِمْ رَءُوفٌ رَّحِيمٌ','verse_number' => '117','verse_key' => '9:117','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '205','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1353','chapter_id' => '9','arabic_name' => 'وَعَلَى ٱلثَّلَـٰثَةِ ٱلَّذِينَ خُلِّفُوا۟ حَتَّىٰٓ إِذَا ضَاقَتْ عَلَيْهِمُ ٱلْأَرْضُ بِمَا رَحُبَتْ وَضَاقَتْ عَلَيْهِمْ أَنفُسُهُمْ وَظَنُّوٓا۟ أَن لَّا مَلْجَأَ مِنَ ٱللَّهِ إِلَّآ إِلَيْهِ ثُمَّ تَابَ عَلَيْهِمْ لِيَتُوبُوٓا۟ ۚ إِنَّ ٱللَّهَ هُوَ ٱلتَّوَّابُ ٱلرَّحِيمُ','verse_number' => '118','verse_key' => '9:118','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '169','manzil_number' => '2','sajdah_number' => '0','page_number' => '206','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1354','chapter_id' => '9','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَكُونُوا۟ مَعَ ٱلصَّـٰدِقِينَ','verse_number' => '119','verse_key' => '9:119','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '170','manzil_number' => '2','sajdah_number' => '0','page_number' => '206','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1355','chapter_id' => '9','arabic_name' => 'مَا كَانَ لِأَهْلِ ٱلْمَدِينَةِ وَمَنْ حَوْلَهُم مِّنَ ٱلْأَعْرَابِ أَن يَتَخَلَّفُوا۟ عَن رَّسُولِ ٱللَّهِ وَلَا يَرْغَبُوا۟ بِأَنفُسِهِمْ عَن نَّفْسِهِۦ ۚ ذَٰلِكَ بِأَنَّهُمْ لَا يُصِيبُهُمْ ظَمَأٌ وَلَا نَصَبٌ وَلَا مَخْمَصَةٌ فِى سَبِيلِ ٱللَّهِ وَلَا يَطَـُٔونَ مَوْطِئًا يَغِيظُ ٱلْكُفَّارَ وَلَا يَنَالُونَ مِنْ عَدُوٍّ نَّيْلًا إِلَّا كُتِبَ لَهُم بِهِۦ عَمَلٌ صَـٰلِحٌ ۚ إِنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ','verse_number' => '120','verse_key' => '9:120','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '170','manzil_number' => '2','sajdah_number' => '0','page_number' => '206','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1356','chapter_id' => '9','arabic_name' => 'وَلَا يُنفِقُونَ نَفَقَةً صَغِيرَةً وَلَا كَبِيرَةً وَلَا يَقْطَعُونَ وَادِيًا إِلَّا كُتِبَ لَهُمْ لِيَجْزِيَهُمُ ٱللَّهُ أَحْسَنَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '121','verse_key' => '9:121','hizb_number' => '21','rub_el_hizb_number' => '82','ruku_number' => '170','manzil_number' => '2','sajdah_number' => '0','page_number' => '206','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1357','chapter_id' => '9','arabic_name' => '۞ وَمَا كَانَ ٱلْمُؤْمِنُونَ لِيَنفِرُوا۟ كَآفَّةً ۚ فَلَوْلَا نَفَرَ مِن كُلِّ فِرْقَةٍ مِّنْهُمْ طَآئِفَةٌ لِّيَتَفَقَّهُوا۟ فِى ٱلدِّينِ وَلِيُنذِرُوا۟ قَوْمَهُمْ إِذَا رَجَعُوٓا۟ إِلَيْهِمْ لَعَلَّهُمْ يَحْذَرُونَ','verse_number' => '122','verse_key' => '9:122','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '170','manzil_number' => '2','sajdah_number' => '0','page_number' => '206','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1358','chapter_id' => '9','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ قَـٰتِلُوا۟ ٱلَّذِينَ يَلُونَكُم مِّنَ ٱلْكُفَّارِ وَلْيَجِدُوا۟ فِيكُمْ غِلْظَةً ۚ وَٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ مَعَ ٱلْمُتَّقِينَ','verse_number' => '123','verse_key' => '9:123','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '171','manzil_number' => '2','sajdah_number' => '0','page_number' => '207','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1359','chapter_id' => '9','arabic_name' => 'وَإِذَا مَآ أُنزِلَتْ سُورَةٌ فَمِنْهُم مَّن يَقُولُ أَيُّكُمْ زَادَتْهُ هَـٰذِهِۦٓ إِيمَـٰنًا ۚ فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ فَزَادَتْهُمْ إِيمَـٰنًا وَهُمْ يَسْتَبْشِرُونَ','verse_number' => '124','verse_key' => '9:124','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '171','manzil_number' => '2','sajdah_number' => '0','page_number' => '207','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1360','chapter_id' => '9','arabic_name' => 'وَأَمَّا ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ فَزَادَتْهُمْ رِجْسًا إِلَىٰ رِجْسِهِمْ وَمَاتُوا۟ وَهُمْ كَـٰفِرُونَ','verse_number' => '125','verse_key' => '9:125','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '171','manzil_number' => '2','sajdah_number' => '0','page_number' => '207','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1361','chapter_id' => '9','arabic_name' => 'أَوَلَا يَرَوْنَ أَنَّهُمْ يُفْتَنُونَ فِى كُلِّ عَامٍ مَّرَّةً أَوْ مَرَّتَيْنِ ثُمَّ لَا يَتُوبُونَ وَلَا هُمْ يَذَّكَّرُونَ','verse_number' => '126','verse_key' => '9:126','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '171','manzil_number' => '2','sajdah_number' => '0','page_number' => '207','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1362','chapter_id' => '9','arabic_name' => 'وَإِذَا مَآ أُنزِلَتْ سُورَةٌ نَّظَرَ بَعْضُهُمْ إِلَىٰ بَعْضٍ هَلْ يَرَىٰكُم مِّنْ أَحَدٍ ثُمَّ ٱنصَرَفُوا۟ ۚ صَرَفَ ٱللَّهُ قُلُوبَهُم بِأَنَّهُمْ قَوْمٌ لَّا يَفْقَهُونَ','verse_number' => '127','verse_key' => '9:127','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '171','manzil_number' => '2','sajdah_number' => '0','page_number' => '207','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1363','chapter_id' => '9','arabic_name' => 'لَقَدْ جَآءَكُمْ رَسُولٌ مِّنْ أَنفُسِكُمْ عَزِيزٌ عَلَيْهِ مَا عَنِتُّمْ حَرِيصٌ عَلَيْكُم بِٱلْمُؤْمِنِينَ رَءُوفٌ رَّحِيمٌ','verse_number' => '128','verse_key' => '9:128','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '171','manzil_number' => '2','sajdah_number' => '0','page_number' => '207','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1364','chapter_id' => '9','arabic_name' => 'فَإِن تَوَلَّوْا۟ فَقُلْ حَسْبِىَ ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ عَلَيْهِ تَوَكَّلْتُ ۖ وَهُوَ رَبُّ ٱلْعَرْشِ ٱلْعَظِيمِ','verse_number' => '129','verse_key' => '9:129','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '171','manzil_number' => '2','sajdah_number' => '0','page_number' => '207','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1365','chapter_id' => '10','arabic_name' => 'الٓر ۚ تِلْكَ ءَايَـٰتُ ٱلْكِتَـٰبِ ٱلْحَكِيمِ','verse_number' => '1','verse_key' => '10:1','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '208','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1366','chapter_id' => '10','arabic_name' => 'أَكَانَ لِلنَّاسِ عَجَبًا أَنْ أَوْحَيْنَآ إِلَىٰ رَجُلٍ مِّنْهُمْ أَنْ أَنذِرِ ٱلنَّاسَ وَبَشِّرِ ٱلَّذِينَ ءَامَنُوٓا۟ أَنَّ لَهُمْ قَدَمَ صِدْقٍ عِندَ رَبِّهِمْ ۗ قَالَ ٱلْكَـٰفِرُونَ إِنَّ هَـٰذَا لَسَـٰحِرٌ مُّبِينٌ','verse_number' => '2','verse_key' => '10:2','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '208','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1367','chapter_id' => '10','arabic_name' => 'إِنَّ رَبَّكُمُ ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۖ يُدَبِّرُ ٱلْأَمْرَ ۖ مَا مِن شَفِيعٍ إِلَّا مِنۢ بَعْدِ إِذْنِهِۦ ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ فَٱعْبُدُوهُ ۚ أَفَلَا تَذَكَّرُونَ','verse_number' => '3','verse_key' => '10:3','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '208','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1368','chapter_id' => '10','arabic_name' => 'إِلَيْهِ مَرْجِعُكُمْ جَمِيعًا ۖ وَعْدَ ٱللَّهِ حَقًّا ۚ إِنَّهُۥ يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ لِيَجْزِىَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ بِٱلْقِسْطِ ۚ وَٱلَّذِينَ كَفَرُوا۟ لَهُمْ شَرَابٌ مِّنْ حَمِيمٍ وَعَذَابٌ أَلِيمٌۢ بِمَا كَانُوا۟ يَكْفُرُونَ','verse_number' => '4','verse_key' => '10:4','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '208','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1369','chapter_id' => '10','arabic_name' => 'هُوَ ٱلَّذِى جَعَلَ ٱلشَّمْسَ ضِيَآءً وَٱلْقَمَرَ نُورًا وَقَدَّرَهُۥ مَنَازِلَ لِتَعْلَمُوا۟ عَدَدَ ٱلسِّنِينَ وَٱلْحِسَابَ ۚ مَا خَلَقَ ٱللَّهُ ذَٰلِكَ إِلَّا بِٱلْحَقِّ ۚ يُفَصِّلُ ٱلْـَٔايَـٰتِ لِقَوْمٍ يَعْلَمُونَ','verse_number' => '5','verse_key' => '10:5','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '208','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1370','chapter_id' => '10','arabic_name' => 'إِنَّ فِى ٱخْتِلَـٰفِ ٱلَّيْلِ وَٱلنَّهَارِ وَمَا خَلَقَ ٱللَّهُ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ لَـَٔايَـٰتٍ لِّقَوْمٍ يَتَّقُونَ','verse_number' => '6','verse_key' => '10:6','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '208','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1371','chapter_id' => '10','arabic_name' => 'إِنَّ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا وَرَضُوا۟ بِٱلْحَيَوٰةِ ٱلدُّنْيَا وَٱطْمَأَنُّوا۟ بِهَا وَٱلَّذِينَ هُمْ عَنْ ءَايَـٰتِنَا غَـٰفِلُونَ','verse_number' => '7','verse_key' => '10:7','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1372','chapter_id' => '10','arabic_name' => 'أُو۟لَـٰٓئِكَ مَأْوَىٰهُمُ ٱلنَّارُ بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '8','verse_key' => '10:8','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1373','chapter_id' => '10','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ يَهْدِيهِمْ رَبُّهُم بِإِيمَـٰنِهِمْ ۖ تَجْرِى مِن تَحْتِهِمُ ٱلْأَنْهَـٰرُ فِى جَنَّـٰتِ ٱلنَّعِيمِ','verse_number' => '9','verse_key' => '10:9','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1374','chapter_id' => '10','arabic_name' => 'دَعْوَىٰهُمْ فِيهَا سُبْحَـٰنَكَ ٱللَّهُمَّ وَتَحِيَّتُهُمْ فِيهَا سَلَـٰمٌ ۚ وَءَاخِرُ دَعْوَىٰهُمْ أَنِ ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '10','verse_key' => '10:10','hizb_number' => '21','rub_el_hizb_number' => '83','ruku_number' => '172','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1375','chapter_id' => '10','arabic_name' => '۞ وَلَوْ يُعَجِّلُ ٱللَّهُ لِلنَّاسِ ٱلشَّرَّ ٱسْتِعْجَالَهُم بِٱلْخَيْرِ لَقُضِىَ إِلَيْهِمْ أَجَلُهُمْ ۖ فَنَذَرُ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا فِى طُغْيَـٰنِهِمْ يَعْمَهُونَ','verse_number' => '11','verse_key' => '10:11','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1376','chapter_id' => '10','arabic_name' => 'وَإِذَا مَسَّ ٱلْإِنسَـٰنَ ٱلضُّرُّ دَعَانَا لِجَنۢبِهِۦٓ أَوْ قَاعِدًا أَوْ قَآئِمًا فَلَمَّا كَشَفْنَا عَنْهُ ضُرَّهُۥ مَرَّ كَأَن لَّمْ يَدْعُنَآ إِلَىٰ ضُرٍّ مَّسَّهُۥ ۚ كَذَٰلِكَ زُيِّنَ لِلْمُسْرِفِينَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '12','verse_key' => '10:12','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1377','chapter_id' => '10','arabic_name' => 'وَلَقَدْ أَهْلَكْنَا ٱلْقُرُونَ مِن قَبْلِكُمْ لَمَّا ظَلَمُوا۟ ۙ وَجَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ وَمَا كَانُوا۟ لِيُؤْمِنُوا۟ ۚ كَذَٰلِكَ نَجْزِى ٱلْقَوْمَ ٱلْمُجْرِمِينَ','verse_number' => '13','verse_key' => '10:13','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1378','chapter_id' => '10','arabic_name' => 'ثُمَّ جَعَلْنَـٰكُمْ خَلَـٰٓئِفَ فِى ٱلْأَرْضِ مِنۢ بَعْدِهِمْ لِنَنظُرَ كَيْفَ تَعْمَلُونَ','verse_number' => '14','verse_key' => '10:14','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '209','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1379','chapter_id' => '10','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَاتُنَا بَيِّنَـٰتٍ ۙ قَالَ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا ٱئْتِ بِقُرْءَانٍ غَيْرِ هَـٰذَآ أَوْ بَدِّلْهُ ۚ قُلْ مَا يَكُونُ لِىٓ أَنْ أُبَدِّلَهُۥ مِن تِلْقَآئِ نَفْسِىٓ ۖ إِنْ أَتَّبِعُ إِلَّا مَا يُوحَىٰٓ إِلَىَّ ۖ إِنِّىٓ أَخَافُ إِنْ عَصَيْتُ رَبِّى عَذَابَ يَوْمٍ عَظِيمٍ','verse_number' => '15','verse_key' => '10:15','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '210','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1380','chapter_id' => '10','arabic_name' => 'قُل لَّوْ شَآءَ ٱللَّهُ مَا تَلَوْتُهُۥ عَلَيْكُمْ وَلَآ أَدْرَىٰكُم بِهِۦ ۖ فَقَدْ لَبِثْتُ فِيكُمْ عُمُرًا مِّن قَبْلِهِۦٓ ۚ أَفَلَا تَعْقِلُونَ','verse_number' => '16','verse_key' => '10:16','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '210','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1381','chapter_id' => '10','arabic_name' => 'فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِـَٔايَـٰتِهِۦٓ ۚ إِنَّهُۥ لَا يُفْلِحُ ٱلْمُجْرِمُونَ','verse_number' => '17','verse_key' => '10:17','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '210','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1382','chapter_id' => '10','arabic_name' => 'وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَضُرُّهُمْ وَلَا يَنفَعُهُمْ وَيَقُولُونَ هَـٰٓؤُلَآءِ شُفَعَـٰٓؤُنَا عِندَ ٱللَّهِ ۚ قُلْ أَتُنَبِّـُٔونَ ٱللَّهَ بِمَا لَا يَعْلَمُ فِى ٱلسَّمَـٰوَٰتِ وَلَا فِى ٱلْأَرْضِ ۚ سُبْحَـٰنَهُۥ وَتَعَـٰلَىٰ عَمَّا يُشْرِكُونَ','verse_number' => '18','verse_key' => '10:18','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '210','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1383','chapter_id' => '10','arabic_name' => 'وَمَا كَانَ ٱلنَّاسُ إِلَّآ أُمَّةً وَٰحِدَةً فَٱخْتَلَفُوا۟ ۚ وَلَوْلَا كَلِمَةٌ سَبَقَتْ مِن رَّبِّكَ لَقُضِىَ بَيْنَهُمْ فِيمَا فِيهِ يَخْتَلِفُونَ','verse_number' => '19','verse_key' => '10:19','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '210','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1384','chapter_id' => '10','arabic_name' => 'وَيَقُولُونَ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَةٌ مِّن رَّبِّهِۦ ۖ فَقُلْ إِنَّمَا ٱلْغَيْبُ لِلَّهِ فَٱنتَظِرُوٓا۟ إِنِّى مَعَكُم مِّنَ ٱلْمُنتَظِرِينَ','verse_number' => '20','verse_key' => '10:20','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '173','manzil_number' => '3','sajdah_number' => '0','page_number' => '210','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1385','chapter_id' => '10','arabic_name' => 'وَإِذَآ أَذَقْنَا ٱلنَّاسَ رَحْمَةً مِّنۢ بَعْدِ ضَرَّآءَ مَسَّتْهُمْ إِذَا لَهُم مَّكْرٌ فِىٓ ءَايَاتِنَا ۚ قُلِ ٱللَّهُ أَسْرَعُ مَكْرًا ۚ إِنَّ رُسُلَنَا يَكْتُبُونَ مَا تَمْكُرُونَ','verse_number' => '21','verse_key' => '10:21','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '211','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1386','chapter_id' => '10','arabic_name' => 'هُوَ ٱلَّذِى يُسَيِّرُكُمْ فِى ٱلْبَرِّ وَٱلْبَحْرِ ۖ حَتَّىٰٓ إِذَا كُنتُمْ فِى ٱلْفُلْكِ وَجَرَيْنَ بِهِم بِرِيحٍ طَيِّبَةٍ وَفَرِحُوا۟ بِهَا جَآءَتْهَا رِيحٌ عَاصِفٌ وَجَآءَهُمُ ٱلْمَوْجُ مِن كُلِّ مَكَانٍ وَظَنُّوٓا۟ أَنَّهُمْ أُحِيطَ بِهِمْ ۙ دَعَوُا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ لَئِنْ أَنجَيْتَنَا مِنْ هَـٰذِهِۦ لَنَكُونَنَّ مِنَ ٱلشَّـٰكِرِينَ','verse_number' => '22','verse_key' => '10:22','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '211','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1387','chapter_id' => '10','arabic_name' => 'فَلَمَّآ أَنجَىٰهُمْ إِذَا هُمْ يَبْغُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ ۗ يَـٰٓأَيُّهَا ٱلنَّاسُ إِنَّمَا بَغْيُكُمْ عَلَىٰٓ أَنفُسِكُم ۖ مَّتَـٰعَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ ثُمَّ إِلَيْنَا مَرْجِعُكُمْ فَنُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '23','verse_key' => '10:23','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '211','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1388','chapter_id' => '10','arabic_name' => 'إِنَّمَا مَثَلُ ٱلْحَيَوٰةِ ٱلدُّنْيَا كَمَآءٍ أَنزَلْنَـٰهُ مِنَ ٱلسَّمَآءِ فَٱخْتَلَطَ بِهِۦ نَبَاتُ ٱلْأَرْضِ مِمَّا يَأْكُلُ ٱلنَّاسُ وَٱلْأَنْعَـٰمُ حَتَّىٰٓ إِذَآ أَخَذَتِ ٱلْأَرْضُ زُخْرُفَهَا وَٱزَّيَّنَتْ وَظَنَّ أَهْلُهَآ أَنَّهُمْ قَـٰدِرُونَ عَلَيْهَآ أَتَىٰهَآ أَمْرُنَا لَيْلًا أَوْ نَهَارًا فَجَعَلْنَـٰهَا حَصِيدًا كَأَن لَّمْ تَغْنَ بِٱلْأَمْسِ ۚ كَذَٰلِكَ نُفَصِّلُ ٱلْـَٔايَـٰتِ لِقَوْمٍ يَتَفَكَّرُونَ','verse_number' => '24','verse_key' => '10:24','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '211','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1389','chapter_id' => '10','arabic_name' => 'وَٱللَّهُ يَدْعُوٓا۟ إِلَىٰ دَارِ ٱلسَّلَـٰمِ وَيَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '25','verse_key' => '10:25','hizb_number' => '21','rub_el_hizb_number' => '84','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '211','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1390','chapter_id' => '10','arabic_name' => '۞ لِّلَّذِينَ أَحْسَنُوا۟ ٱلْحُسْنَىٰ وَزِيَادَةٌ ۖ وَلَا يَرْهَقُ وُجُوهَهُمْ قَتَرٌ وَلَا ذِلَّةٌ ۚ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '26','verse_key' => '10:26','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1391','chapter_id' => '10','arabic_name' => 'وَٱلَّذِينَ كَسَبُوا۟ ٱلسَّيِّـَٔاتِ جَزَآءُ سَيِّئَةٍۭ بِمِثْلِهَا وَتَرْهَقُهُمْ ذِلَّةٌ ۖ مَّا لَهُم مِّنَ ٱللَّهِ مِنْ عَاصِمٍ ۖ كَأَنَّمَآ أُغْشِيَتْ وُجُوهُهُمْ قِطَعًا مِّنَ ٱلَّيْلِ مُظْلِمًا ۚ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '27','verse_key' => '10:27','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1392','chapter_id' => '10','arabic_name' => 'وَيَوْمَ نَحْشُرُهُمْ جَمِيعًا ثُمَّ نَقُولُ لِلَّذِينَ أَشْرَكُوا۟ مَكَانَكُمْ أَنتُمْ وَشُرَكَآؤُكُمْ ۚ فَزَيَّلْنَا بَيْنَهُمْ ۖ وَقَالَ شُرَكَآؤُهُم مَّا كُنتُمْ إِيَّانَا تَعْبُدُونَ','verse_number' => '28','verse_key' => '10:28','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1393','chapter_id' => '10','arabic_name' => 'فَكَفَىٰ بِٱللَّهِ شَهِيدًۢا بَيْنَنَا وَبَيْنَكُمْ إِن كُنَّا عَنْ عِبَادَتِكُمْ لَغَـٰفِلِينَ','verse_number' => '29','verse_key' => '10:29','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1394','chapter_id' => '10','arabic_name' => 'هُنَالِكَ تَبْلُوا۟ كُلُّ نَفْسٍ مَّآ أَسْلَفَتْ ۚ وَرُدُّوٓا۟ إِلَى ٱللَّهِ مَوْلَىٰهُمُ ٱلْحَقِّ ۖ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '30','verse_key' => '10:30','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '174','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1395','chapter_id' => '10','arabic_name' => 'قُلْ مَن يَرْزُقُكُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ أَمَّن يَمْلِكُ ٱلسَّمْعَ وَٱلْأَبْصَـٰرَ وَمَن يُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَيُخْرِجُ ٱلْمَيِّتَ مِنَ ٱلْحَىِّ وَمَن يُدَبِّرُ ٱلْأَمْرَ ۚ فَسَيَقُولُونَ ٱللَّهُ ۚ فَقُلْ أَفَلَا تَتَّقُونَ','verse_number' => '31','verse_key' => '10:31','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1396','chapter_id' => '10','arabic_name' => 'فَذَٰلِكُمُ ٱللَّهُ رَبُّكُمُ ٱلْحَقُّ ۖ فَمَاذَا بَعْدَ ٱلْحَقِّ إِلَّا ٱلضَّلَـٰلُ ۖ فَأَنَّىٰ تُصْرَفُونَ','verse_number' => '32','verse_key' => '10:32','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1397','chapter_id' => '10','arabic_name' => 'كَذَٰلِكَ حَقَّتْ كَلِمَتُ رَبِّكَ عَلَى ٱلَّذِينَ فَسَقُوٓا۟ أَنَّهُمْ لَا يُؤْمِنُونَ','verse_number' => '33','verse_key' => '10:33','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '212','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1398','chapter_id' => '10','arabic_name' => 'قُلْ هَلْ مِن شُرَكَآئِكُم مَّن يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ ۚ قُلِ ٱللَّهُ يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ ۖ فَأَنَّىٰ تُؤْفَكُونَ','verse_number' => '34','verse_key' => '10:34','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1399','chapter_id' => '10','arabic_name' => 'قُلْ هَلْ مِن شُرَكَآئِكُم مَّن يَهْدِىٓ إِلَى ٱلْحَقِّ ۚ قُلِ ٱللَّهُ يَهْدِى لِلْحَقِّ ۗ أَفَمَن يَهْدِىٓ إِلَى ٱلْحَقِّ أَحَقُّ أَن يُتَّبَعَ أَمَّن لَّا يَهِدِّىٓ إِلَّآ أَن يُهْدَىٰ ۖ فَمَا لَكُمْ كَيْفَ تَحْكُمُونَ','verse_number' => '35','verse_key' => '10:35','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1400','chapter_id' => '10','arabic_name' => 'وَمَا يَتَّبِعُ أَكْثَرُهُمْ إِلَّا ظَنًّا ۚ إِنَّ ٱلظَّنَّ لَا يُغْنِى مِنَ ٱلْحَقِّ شَيْـًٔا ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِمَا يَفْعَلُونَ','verse_number' => '36','verse_key' => '10:36','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1401','chapter_id' => '10','arabic_name' => 'وَمَا كَانَ هَـٰذَا ٱلْقُرْءَانُ أَن يُفْتَرَىٰ مِن دُونِ ٱللَّهِ وَلَـٰكِن تَصْدِيقَ ٱلَّذِى بَيْنَ يَدَيْهِ وَتَفْصِيلَ ٱلْكِتَـٰبِ لَا رَيْبَ فِيهِ مِن رَّبِّ ٱلْعَـٰلَمِينَ','verse_number' => '37','verse_key' => '10:37','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1402','chapter_id' => '10','arabic_name' => 'أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ فَأْتُوا۟ بِسُورَةٍ مِّثْلِهِۦ وَٱدْعُوا۟ مَنِ ٱسْتَطَعْتُم مِّن دُونِ ٱللَّهِ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '38','verse_key' => '10:38','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1403','chapter_id' => '10','arabic_name' => 'بَلْ كَذَّبُوا۟ بِمَا لَمْ يُحِيطُوا۟ بِعِلْمِهِۦ وَلَمَّا يَأْتِهِمْ تَأْوِيلُهُۥ ۚ كَذَٰلِكَ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ ۖ فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلظَّـٰلِمِينَ','verse_number' => '39','verse_key' => '10:39','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1404','chapter_id' => '10','arabic_name' => 'وَمِنْهُم مَّن يُؤْمِنُ بِهِۦ وَمِنْهُم مَّن لَّا يُؤْمِنُ بِهِۦ ۚ وَرَبُّكَ أَعْلَمُ بِٱلْمُفْسِدِينَ','verse_number' => '40','verse_key' => '10:40','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '175','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1405','chapter_id' => '10','arabic_name' => 'وَإِن كَذَّبُوكَ فَقُل لِّى عَمَلِى وَلَكُمْ عَمَلُكُمْ ۖ أَنتُم بَرِيٓـُٔونَ مِمَّآ أَعْمَلُ وَأَنَا۠ بَرِىٓءٌ مِّمَّا تَعْمَلُونَ','verse_number' => '41','verse_key' => '10:41','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1406','chapter_id' => '10','arabic_name' => 'وَمِنْهُم مَّن يَسْتَمِعُونَ إِلَيْكَ ۚ أَفَأَنتَ تُسْمِعُ ٱلصُّمَّ وَلَوْ كَانُوا۟ لَا يَعْقِلُونَ','verse_number' => '42','verse_key' => '10:42','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '213','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1407','chapter_id' => '10','arabic_name' => 'وَمِنْهُم مَّن يَنظُرُ إِلَيْكَ ۚ أَفَأَنتَ تَهْدِى ٱلْعُمْىَ وَلَوْ كَانُوا۟ لَا يُبْصِرُونَ','verse_number' => '43','verse_key' => '10:43','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1408','chapter_id' => '10','arabic_name' => 'إِنَّ ٱللَّهَ لَا يَظْلِمُ ٱلنَّاسَ شَيْـًٔا وَلَـٰكِنَّ ٱلنَّاسَ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '44','verse_key' => '10:44','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1409','chapter_id' => '10','arabic_name' => 'وَيَوْمَ يَحْشُرُهُمْ كَأَن لَّمْ يَلْبَثُوٓا۟ إِلَّا سَاعَةً مِّنَ ٱلنَّهَارِ يَتَعَارَفُونَ بَيْنَهُمْ ۚ قَدْ خَسِرَ ٱلَّذِينَ كَذَّبُوا۟ بِلِقَآءِ ٱللَّهِ وَمَا كَانُوا۟ مُهْتَدِينَ','verse_number' => '45','verse_key' => '10:45','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1410','chapter_id' => '10','arabic_name' => 'وَإِمَّا نُرِيَنَّكَ بَعْضَ ٱلَّذِى نَعِدُهُمْ أَوْ نَتَوَفَّيَنَّكَ فَإِلَيْنَا مَرْجِعُهُمْ ثُمَّ ٱللَّهُ شَهِيدٌ عَلَىٰ مَا يَفْعَلُونَ','verse_number' => '46','verse_key' => '10:46','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1411','chapter_id' => '10','arabic_name' => 'وَلِكُلِّ أُمَّةٍ رَّسُولٌ ۖ فَإِذَا جَآءَ رَسُولُهُمْ قُضِىَ بَيْنَهُم بِٱلْقِسْطِ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '47','verse_key' => '10:47','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1412','chapter_id' => '10','arabic_name' => 'وَيَقُولُونَ مَتَىٰ هَـٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '48','verse_key' => '10:48','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1413','chapter_id' => '10','arabic_name' => 'قُل لَّآ أَمْلِكُ لِنَفْسِى ضَرًّا وَلَا نَفْعًا إِلَّا مَا شَآءَ ٱللَّهُ ۗ لِكُلِّ أُمَّةٍ أَجَلٌ ۚ إِذَا جَآءَ أَجَلُهُمْ فَلَا يَسْتَـْٔخِرُونَ سَاعَةً ۖ وَلَا يَسْتَقْدِمُونَ','verse_number' => '49','verse_key' => '10:49','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1414','chapter_id' => '10','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِنْ أَتَىٰكُمْ عَذَابُهُۥ بَيَـٰتًا أَوْ نَهَارًا مَّاذَا يَسْتَعْجِلُ مِنْهُ ٱلْمُجْرِمُونَ','verse_number' => '50','verse_key' => '10:50','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1415','chapter_id' => '10','arabic_name' => 'أَثُمَّ إِذَا مَا وَقَعَ ءَامَنتُم بِهِۦٓ ۚ ءَآلْـَٔـٰنَ وَقَدْ كُنتُم بِهِۦ تَسْتَعْجِلُونَ','verse_number' => '51','verse_key' => '10:51','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1416','chapter_id' => '10','arabic_name' => 'ثُمَّ قِيلَ لِلَّذِينَ ظَلَمُوا۟ ذُوقُوا۟ عَذَابَ ٱلْخُلْدِ هَلْ تُجْزَوْنَ إِلَّا بِمَا كُنتُمْ تَكْسِبُونَ','verse_number' => '52','verse_key' => '10:52','hizb_number' => '22','rub_el_hizb_number' => '85','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1417','chapter_id' => '10','arabic_name' => '۞ وَيَسْتَنۢبِـُٔونَكَ أَحَقٌّ هُوَ ۖ قُلْ إِى وَرَبِّىٓ إِنَّهُۥ لَحَقٌّ ۖ وَمَآ أَنتُم بِمُعْجِزِينَ','verse_number' => '53','verse_key' => '10:53','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '176','manzil_number' => '3','sajdah_number' => '0','page_number' => '214','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1418','chapter_id' => '10','arabic_name' => 'وَلَوْ أَنَّ لِكُلِّ نَفْسٍ ظَلَمَتْ مَا فِى ٱلْأَرْضِ لَٱفْتَدَتْ بِهِۦ ۗ وَأَسَرُّوا۟ ٱلنَّدَامَةَ لَمَّا رَأَوُا۟ ٱلْعَذَابَ ۖ وَقُضِىَ بَيْنَهُم بِٱلْقِسْطِ ۚ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '54','verse_key' => '10:54','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '177','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1419','chapter_id' => '10','arabic_name' => 'أَلَآ إِنَّ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۗ أَلَآ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '55','verse_key' => '10:55','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '177','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1420','chapter_id' => '10','arabic_name' => 'هُوَ يُحْىِۦ وَيُمِيتُ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '56','verse_key' => '10:56','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '177','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1421','chapter_id' => '10','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَتْكُم مَّوْعِظَةٌ مِّن رَّبِّكُمْ وَشِفَآءٌ لِّمَا فِى ٱلصُّدُورِ وَهُدًى وَرَحْمَةٌ لِّلْمُؤْمِنِينَ','verse_number' => '57','verse_key' => '10:57','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '177','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1422','chapter_id' => '10','arabic_name' => 'قُلْ بِفَضْلِ ٱللَّهِ وَبِرَحْمَتِهِۦ فَبِذَٰلِكَ فَلْيَفْرَحُوا۟ هُوَ خَيْرٌ مِّمَّا يَجْمَعُونَ','verse_number' => '58','verse_key' => '10:58','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '177','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1423','chapter_id' => '10','arabic_name' => 'قُلْ أَرَءَيْتُم مَّآ أَنزَلَ ٱللَّهُ لَكُم مِّن رِّزْقٍ فَجَعَلْتُم مِّنْهُ حَرَامًا وَحَلَـٰلًا قُلْ ءَآللَّهُ أَذِنَ لَكُمْ ۖ أَمْ عَلَى ٱللَّهِ تَفْتَرُونَ','verse_number' => '59','verse_key' => '10:59','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '177','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1424','chapter_id' => '10','arabic_name' => 'وَمَا ظَنُّ ٱلَّذِينَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ يَوْمَ ٱلْقِيَـٰمَةِ ۗ إِنَّ ٱللَّهَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَشْكُرُونَ','verse_number' => '60','verse_key' => '10:60','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '177','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1425','chapter_id' => '10','arabic_name' => 'وَمَا تَكُونُ فِى شَأْنٍ وَمَا تَتْلُوا۟ مِنْهُ مِن قُرْءَانٍ وَلَا تَعْمَلُونَ مِنْ عَمَلٍ إِلَّا كُنَّا عَلَيْكُمْ شُهُودًا إِذْ تُفِيضُونَ فِيهِ ۚ وَمَا يَعْزُبُ عَن رَّبِّكَ مِن مِّثْقَالِ ذَرَّةٍ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ وَلَآ أَصْغَرَ مِن ذَٰلِكَ وَلَآ أَكْبَرَ إِلَّا فِى كِتَـٰبٍ مُّبِينٍ','verse_number' => '61','verse_key' => '10:61','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '215','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1426','chapter_id' => '10','arabic_name' => 'أَلَآ إِنَّ أَوْلِيَآءَ ٱللَّهِ لَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '62','verse_key' => '10:62','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1427','chapter_id' => '10','arabic_name' => 'ٱلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ','verse_number' => '63','verse_key' => '10:63','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1428','chapter_id' => '10','arabic_name' => 'لَهُمُ ٱلْبُشْرَىٰ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَفِى ٱلْـَٔاخِرَةِ ۚ لَا تَبْدِيلَ لِكَلِمَـٰتِ ٱللَّهِ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '64','verse_key' => '10:64','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1429','chapter_id' => '10','arabic_name' => 'وَلَا يَحْزُنكَ قَوْلُهُمْ ۘ إِنَّ ٱلْعِزَّةَ لِلَّهِ جَمِيعًا ۚ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '65','verse_key' => '10:65','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1430','chapter_id' => '10','arabic_name' => 'أَلَآ إِنَّ لِلَّهِ مَن فِى ٱلسَّمَـٰوَٰتِ وَمَن فِى ٱلْأَرْضِ ۗ وَمَا يَتَّبِعُ ٱلَّذِينَ يَدْعُونَ مِن دُونِ ٱللَّهِ شُرَكَآءَ ۚ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَإِنْ هُمْ إِلَّا يَخْرُصُونَ','verse_number' => '66','verse_key' => '10:66','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1431','chapter_id' => '10','arabic_name' => 'هُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلَّيْلَ لِتَسْكُنُوا۟ فِيهِ وَٱلنَّهَارَ مُبْصِرًا ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَسْمَعُونَ','verse_number' => '67','verse_key' => '10:67','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1432','chapter_id' => '10','arabic_name' => 'قَالُوا۟ ٱتَّخَذَ ٱللَّهُ وَلَدًا ۗ سُبْحَـٰنَهُۥ ۖ هُوَ ٱلْغَنِىُّ ۖ لَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ إِنْ عِندَكُم مِّن سُلْطَـٰنٍۭ بِهَـٰذَآ ۚ أَتَقُولُونَ عَلَى ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '68','verse_key' => '10:68','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1433','chapter_id' => '10','arabic_name' => 'قُلْ إِنَّ ٱلَّذِينَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ لَا يُفْلِحُونَ','verse_number' => '69','verse_key' => '10:69','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1434','chapter_id' => '10','arabic_name' => 'مَتَـٰعٌ فِى ٱلدُّنْيَا ثُمَّ إِلَيْنَا مَرْجِعُهُمْ ثُمَّ نُذِيقُهُمُ ٱلْعَذَابَ ٱلشَّدِيدَ بِمَا كَانُوا۟ يَكْفُرُونَ','verse_number' => '70','verse_key' => '10:70','hizb_number' => '22','rub_el_hizb_number' => '86','ruku_number' => '178','manzil_number' => '3','sajdah_number' => '0','page_number' => '216','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1435','chapter_id' => '10','arabic_name' => '۞ وَٱتْلُ عَلَيْهِمْ نَبَأَ نُوحٍ إِذْ قَالَ لِقَوْمِهِۦ يَـٰقَوْمِ إِن كَانَ كَبُرَ عَلَيْكُم مَّقَامِى وَتَذْكِيرِى بِـَٔايَـٰتِ ٱللَّهِ فَعَلَى ٱللَّهِ تَوَكَّلْتُ فَأَجْمِعُوٓا۟ أَمْرَكُمْ وَشُرَكَآءَكُمْ ثُمَّ لَا يَكُنْ أَمْرُكُمْ عَلَيْكُمْ غُمَّةً ثُمَّ ٱقْضُوٓا۟ إِلَىَّ وَلَا تُنظِرُونِ','verse_number' => '71','verse_key' => '10:71','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1436','chapter_id' => '10','arabic_name' => 'فَإِن تَوَلَّيْتُمْ فَمَا سَأَلْتُكُم مِّنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱللَّهِ ۖ وَأُمِرْتُ أَنْ أَكُونَ مِنَ ٱلْمُسْلِمِينَ','verse_number' => '72','verse_key' => '10:72','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1437','chapter_id' => '10','arabic_name' => 'فَكَذَّبُوهُ فَنَجَّيْنَـٰهُ وَمَن مَّعَهُۥ فِى ٱلْفُلْكِ وَجَعَلْنَـٰهُمْ خَلَـٰٓئِفَ وَأَغْرَقْنَا ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا ۖ فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُنذَرِينَ','verse_number' => '73','verse_key' => '10:73','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1438','chapter_id' => '10','arabic_name' => 'ثُمَّ بَعَثْنَا مِنۢ بَعْدِهِۦ رُسُلًا إِلَىٰ قَوْمِهِمْ فَجَآءُوهُم بِٱلْبَيِّنَـٰتِ فَمَا كَانُوا۟ لِيُؤْمِنُوا۟ بِمَا كَذَّبُوا۟ بِهِۦ مِن قَبْلُ ۚ كَذَٰلِكَ نَطْبَعُ عَلَىٰ قُلُوبِ ٱلْمُعْتَدِينَ','verse_number' => '74','verse_key' => '10:74','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1439','chapter_id' => '10','arabic_name' => 'ثُمَّ بَعَثْنَا مِنۢ بَعْدِهِم مُّوسَىٰ وَهَـٰرُونَ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ بِـَٔايَـٰتِنَا فَٱسْتَكْبَرُوا۟ وَكَانُوا۟ قَوْمًا مُّجْرِمِينَ','verse_number' => '75','verse_key' => '10:75','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1440','chapter_id' => '10','arabic_name' => 'فَلَمَّا جَآءَهُمُ ٱلْحَقُّ مِنْ عِندِنَا قَالُوٓا۟ إِنَّ هَـٰذَا لَسِحْرٌ مُّبِينٌ','verse_number' => '76','verse_key' => '10:76','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1441','chapter_id' => '10','arabic_name' => 'قَالَ مُوسَىٰٓ أَتَقُولُونَ لِلْحَقِّ لَمَّا جَآءَكُمْ ۖ أَسِحْرٌ هَـٰذَا وَلَا يُفْلِحُ ٱلسَّـٰحِرُونَ','verse_number' => '77','verse_key' => '10:77','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1442','chapter_id' => '10','arabic_name' => 'قَالُوٓا۟ أَجِئْتَنَا لِتَلْفِتَنَا عَمَّا وَجَدْنَا عَلَيْهِ ءَابَآءَنَا وَتَكُونَ لَكُمَا ٱلْكِبْرِيَآءُ فِى ٱلْأَرْضِ وَمَا نَحْنُ لَكُمَا بِمُؤْمِنِينَ','verse_number' => '78','verse_key' => '10:78','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '217','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1443','chapter_id' => '10','arabic_name' => 'وَقَالَ فِرْعَوْنُ ٱئْتُونِى بِكُلِّ سَـٰحِرٍ عَلِيمٍ','verse_number' => '79','verse_key' => '10:79','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1444','chapter_id' => '10','arabic_name' => 'فَلَمَّا جَآءَ ٱلسَّحَرَةُ قَالَ لَهُم مُّوسَىٰٓ أَلْقُوا۟ مَآ أَنتُم مُّلْقُونَ','verse_number' => '80','verse_key' => '10:80','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1445','chapter_id' => '10','arabic_name' => 'فَلَمَّآ أَلْقَوْا۟ قَالَ مُوسَىٰ مَا جِئْتُم بِهِ ٱلسِّحْرُ ۖ إِنَّ ٱللَّهَ سَيُبْطِلُهُۥٓ ۖ إِنَّ ٱللَّهَ لَا يُصْلِحُ عَمَلَ ٱلْمُفْسِدِينَ','verse_number' => '81','verse_key' => '10:81','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1446','chapter_id' => '10','arabic_name' => 'وَيُحِقُّ ٱللَّهُ ٱلْحَقَّ بِكَلِمَـٰتِهِۦ وَلَوْ كَرِهَ ٱلْمُجْرِمُونَ','verse_number' => '82','verse_key' => '10:82','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '179','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1447','chapter_id' => '10','arabic_name' => 'فَمَآ ءَامَنَ لِمُوسَىٰٓ إِلَّا ذُرِّيَّةٌ مِّن قَوْمِهِۦ عَلَىٰ خَوْفٍ مِّن فِرْعَوْنَ وَمَلَإِي۟هِمْ أَن يَفْتِنَهُمْ ۚ وَإِنَّ فِرْعَوْنَ لَعَالٍ فِى ٱلْأَرْضِ وَإِنَّهُۥ لَمِنَ ٱلْمُسْرِفِينَ','verse_number' => '83','verse_key' => '10:83','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1448','chapter_id' => '10','arabic_name' => 'وَقَالَ مُوسَىٰ يَـٰقَوْمِ إِن كُنتُمْ ءَامَنتُم بِٱللَّهِ فَعَلَيْهِ تَوَكَّلُوٓا۟ إِن كُنتُم مُّسْلِمِينَ','verse_number' => '84','verse_key' => '10:84','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1449','chapter_id' => '10','arabic_name' => 'فَقَالُوا۟ عَلَى ٱللَّهِ تَوَكَّلْنَا رَبَّنَا لَا تَجْعَلْنَا فِتْنَةً لِّلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '85','verse_key' => '10:85','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1450','chapter_id' => '10','arabic_name' => 'وَنَجِّنَا بِرَحْمَتِكَ مِنَ ٱلْقَوْمِ ٱلْكَـٰفِرِينَ','verse_number' => '86','verse_key' => '10:86','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1451','chapter_id' => '10','arabic_name' => 'وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰ وَأَخِيهِ أَن تَبَوَّءَا لِقَوْمِكُمَا بِمِصْرَ بُيُوتًا وَٱجْعَلُوا۟ بُيُوتَكُمْ قِبْلَةً وَأَقِيمُوا۟ ٱلصَّلَوٰةَ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ','verse_number' => '87','verse_key' => '10:87','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1452','chapter_id' => '10','arabic_name' => 'وَقَالَ مُوسَىٰ رَبَّنَآ إِنَّكَ ءَاتَيْتَ فِرْعَوْنَ وَمَلَأَهُۥ زِينَةً وَأَمْوَٰلًا فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا رَبَّنَا لِيُضِلُّوا۟ عَن سَبِيلِكَ ۖ رَبَّنَا ٱطْمِسْ عَلَىٰٓ أَمْوَٰلِهِمْ وَٱشْدُدْ عَلَىٰ قُلُوبِهِمْ فَلَا يُؤْمِنُوا۟ حَتَّىٰ يَرَوُا۟ ٱلْعَذَابَ ٱلْأَلِيمَ','verse_number' => '88','verse_key' => '10:88','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '218','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1453','chapter_id' => '10','arabic_name' => 'قَالَ قَدْ أُجِيبَت دَّعْوَتُكُمَا فَٱسْتَقِيمَا وَلَا تَتَّبِعَآنِّ سَبِيلَ ٱلَّذِينَ لَا يَعْلَمُونَ','verse_number' => '89','verse_key' => '10:89','hizb_number' => '22','rub_el_hizb_number' => '87','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1454','chapter_id' => '10','arabic_name' => '۞ وَجَـٰوَزْنَا بِبَنِىٓ إِسْرَٰٓءِيلَ ٱلْبَحْرَ فَأَتْبَعَهُمْ فِرْعَوْنُ وَجُنُودُهُۥ بَغْيًا وَعَدْوًا ۖ حَتَّىٰٓ إِذَآ أَدْرَكَهُ ٱلْغَرَقُ قَالَ ءَامَنتُ أَنَّهُۥ لَآ إِلَـٰهَ إِلَّا ٱلَّذِىٓ ءَامَنَتْ بِهِۦ بَنُوٓا۟ إِسْرَٰٓءِيلَ وَأَنَا۠ مِنَ ٱلْمُسْلِمِينَ','verse_number' => '90','verse_key' => '10:90','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1455','chapter_id' => '10','arabic_name' => 'ءَآلْـَٔـٰنَ وَقَدْ عَصَيْتَ قَبْلُ وَكُنتَ مِنَ ٱلْمُفْسِدِينَ','verse_number' => '91','verse_key' => '10:91','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1456','chapter_id' => '10','arabic_name' => 'فَٱلْيَوْمَ نُنَجِّيكَ بِبَدَنِكَ لِتَكُونَ لِمَنْ خَلْفَكَ ءَايَةً ۚ وَإِنَّ كَثِيرًا مِّنَ ٱلنَّاسِ عَنْ ءَايَـٰتِنَا لَغَـٰفِلُونَ','verse_number' => '92','verse_key' => '10:92','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '180','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1457','chapter_id' => '10','arabic_name' => 'وَلَقَدْ بَوَّأْنَا بَنِىٓ إِسْرَٰٓءِيلَ مُبَوَّأَ صِدْقٍ وَرَزَقْنَـٰهُم مِّنَ ٱلطَّيِّبَـٰتِ فَمَا ٱخْتَلَفُوا۟ حَتَّىٰ جَآءَهُمُ ٱلْعِلْمُ ۚ إِنَّ رَبَّكَ يَقْضِى بَيْنَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ','verse_number' => '93','verse_key' => '10:93','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1458','chapter_id' => '10','arabic_name' => 'فَإِن كُنتَ فِى شَكٍّ مِّمَّآ أَنزَلْنَآ إِلَيْكَ فَسْـَٔلِ ٱلَّذِينَ يَقْرَءُونَ ٱلْكِتَـٰبَ مِن قَبْلِكَ ۚ لَقَدْ جَآءَكَ ٱلْحَقُّ مِن رَّبِّكَ فَلَا تَكُونَنَّ مِنَ ٱلْمُمْتَرِينَ','verse_number' => '94','verse_key' => '10:94','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1459','chapter_id' => '10','arabic_name' => 'وَلَا تَكُونَنَّ مِنَ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِ ٱللَّهِ فَتَكُونَ مِنَ ٱلْخَـٰسِرِينَ','verse_number' => '95','verse_key' => '10:95','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1460','chapter_id' => '10','arabic_name' => 'إِنَّ ٱلَّذِينَ حَقَّتْ عَلَيْهِمْ كَلِمَتُ رَبِّكَ لَا يُؤْمِنُونَ','verse_number' => '96','verse_key' => '10:96','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1461','chapter_id' => '10','arabic_name' => 'وَلَوْ جَآءَتْهُمْ كُلُّ ءَايَةٍ حَتَّىٰ يَرَوُا۟ ٱلْعَذَابَ ٱلْأَلِيمَ','verse_number' => '97','verse_key' => '10:97','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '219','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1462','chapter_id' => '10','arabic_name' => 'فَلَوْلَا كَانَتْ قَرْيَةٌ ءَامَنَتْ فَنَفَعَهَآ إِيمَـٰنُهَآ إِلَّا قَوْمَ يُونُسَ لَمَّآ ءَامَنُوا۟ كَشَفْنَا عَنْهُمْ عَذَابَ ٱلْخِزْىِ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَمَتَّعْنَـٰهُمْ إِلَىٰ حِينٍ','verse_number' => '98','verse_key' => '10:98','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1463','chapter_id' => '10','arabic_name' => 'وَلَوْ شَآءَ رَبُّكَ لَـَٔامَنَ مَن فِى ٱلْأَرْضِ كُلُّهُمْ جَمِيعًا ۚ أَفَأَنتَ تُكْرِهُ ٱلنَّاسَ حَتَّىٰ يَكُونُوا۟ مُؤْمِنِينَ','verse_number' => '99','verse_key' => '10:99','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1464','chapter_id' => '10','arabic_name' => 'وَمَا كَانَ لِنَفْسٍ أَن تُؤْمِنَ إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَيَجْعَلُ ٱلرِّجْسَ عَلَى ٱلَّذِينَ لَا يَعْقِلُونَ','verse_number' => '100','verse_key' => '10:100','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1465','chapter_id' => '10','arabic_name' => 'قُلِ ٱنظُرُوا۟ مَاذَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَمَا تُغْنِى ٱلْـَٔايَـٰتُ وَٱلنُّذُرُ عَن قَوْمٍ لَّا يُؤْمِنُونَ','verse_number' => '101','verse_key' => '10:101','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1466','chapter_id' => '10','arabic_name' => 'فَهَلْ يَنتَظِرُونَ إِلَّا مِثْلَ أَيَّامِ ٱلَّذِينَ خَلَوْا۟ مِن قَبْلِهِمْ ۚ قُلْ فَٱنتَظِرُوٓا۟ إِنِّى مَعَكُم مِّنَ ٱلْمُنتَظِرِينَ','verse_number' => '102','verse_key' => '10:102','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1467','chapter_id' => '10','arabic_name' => 'ثُمَّ نُنَجِّى رُسُلَنَا وَٱلَّذِينَ ءَامَنُوا۟ ۚ كَذَٰلِكَ حَقًّا عَلَيْنَا نُنجِ ٱلْمُؤْمِنِينَ','verse_number' => '103','verse_key' => '10:103','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '181','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1468','chapter_id' => '10','arabic_name' => 'قُلْ يَـٰٓأَيُّهَا ٱلنَّاسُ إِن كُنتُمْ فِى شَكٍّ مِّن دِينِى فَلَآ أَعْبُدُ ٱلَّذِينَ تَعْبُدُونَ مِن دُونِ ٱللَّهِ وَلَـٰكِنْ أَعْبُدُ ٱللَّهَ ٱلَّذِى يَتَوَفَّىٰكُمْ ۖ وَأُمِرْتُ أَنْ أَكُونَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '104','verse_key' => '10:104','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '182','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1469','chapter_id' => '10','arabic_name' => 'وَأَنْ أَقِمْ وَجْهَكَ لِلدِّينِ حَنِيفًا وَلَا تَكُونَنَّ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '105','verse_key' => '10:105','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '182','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1470','chapter_id' => '10','arabic_name' => 'وَلَا تَدْعُ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُكَ وَلَا يَضُرُّكَ ۖ فَإِن فَعَلْتَ فَإِنَّكَ إِذًا مِّنَ ٱلظَّـٰلِمِينَ','verse_number' => '106','verse_key' => '10:106','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '182','manzil_number' => '3','sajdah_number' => '0','page_number' => '220','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1471','chapter_id' => '10','arabic_name' => 'وَإِن يَمْسَسْكَ ٱللَّهُ بِضُرٍّ فَلَا كَاشِفَ لَهُۥٓ إِلَّا هُوَ ۖ وَإِن يُرِدْكَ بِخَيْرٍ فَلَا رَآدَّ لِفَضْلِهِۦ ۚ يُصِيبُ بِهِۦ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۚ وَهُوَ ٱلْغَفُورُ ٱلرَّحِيمُ','verse_number' => '107','verse_key' => '10:107','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '182','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1472','chapter_id' => '10','arabic_name' => 'قُلْ يَـٰٓأَيُّهَا ٱلنَّاسُ قَدْ جَآءَكُمُ ٱلْحَقُّ مِن رَّبِّكُمْ ۖ فَمَنِ ٱهْتَدَىٰ فَإِنَّمَا يَهْتَدِى لِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَإِنَّمَا يَضِلُّ عَلَيْهَا ۖ وَمَآ أَنَا۠ عَلَيْكُم بِوَكِيلٍ','verse_number' => '108','verse_key' => '10:108','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '182','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1473','chapter_id' => '10','arabic_name' => 'وَٱتَّبِعْ مَا يُوحَىٰٓ إِلَيْكَ وَٱصْبِرْ حَتَّىٰ يَحْكُمَ ٱللَّهُ ۚ وَهُوَ خَيْرُ ٱلْحَـٰكِمِينَ','verse_number' => '109','verse_key' => '10:109','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '182','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1474','chapter_id' => '11','arabic_name' => 'الٓر ۚ كِتَـٰبٌ أُحْكِمَتْ ءَايَـٰتُهُۥ ثُمَّ فُصِّلَتْ مِن لَّدُنْ حَكِيمٍ خَبِيرٍ','verse_number' => '1','verse_key' => '11:1','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1475','chapter_id' => '11','arabic_name' => 'أَلَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ ۚ إِنَّنِى لَكُم مِّنْهُ نَذِيرٌ وَبَشِيرٌ','verse_number' => '2','verse_key' => '11:2','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1476','chapter_id' => '11','arabic_name' => 'وَأَنِ ٱسْتَغْفِرُوا۟ رَبَّكُمْ ثُمَّ تُوبُوٓا۟ إِلَيْهِ يُمَتِّعْكُم مَّتَـٰعًا حَسَنًا إِلَىٰٓ أَجَلٍ مُّسَمًّى وَيُؤْتِ كُلَّ ذِى فَضْلٍ فَضْلَهُۥ ۖ وَإِن تَوَلَّوْا۟ فَإِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ كَبِيرٍ','verse_number' => '3','verse_key' => '11:3','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1477','chapter_id' => '11','arabic_name' => 'إِلَى ٱللَّهِ مَرْجِعُكُمْ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '4','verse_key' => '11:4','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1478','chapter_id' => '11','arabic_name' => 'أَلَآ إِنَّهُمْ يَثْنُونَ صُدُورَهُمْ لِيَسْتَخْفُوا۟ مِنْهُ ۚ أَلَا حِينَ يَسْتَغْشُونَ ثِيَابَهُمْ يَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '5','verse_key' => '11:5','hizb_number' => '22','rub_el_hizb_number' => '88','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '221','juz_number' => '11','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1479','chapter_id' => '11','arabic_name' => '۞ وَمَا مِن دَآبَّةٍ فِى ٱلْأَرْضِ إِلَّا عَلَى ٱللَّهِ رِزْقُهَا وَيَعْلَمُ مُسْتَقَرَّهَا وَمُسْتَوْدَعَهَا ۚ كُلٌّ فِى كِتَـٰبٍ مُّبِينٍ','verse_number' => '6','verse_key' => '11:6','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '222','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1480','chapter_id' => '11','arabic_name' => 'وَهُوَ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍ وَكَانَ عَرْشُهُۥ عَلَى ٱلْمَآءِ لِيَبْلُوَكُمْ أَيُّكُمْ أَحْسَنُ عَمَلًا ۗ وَلَئِن قُلْتَ إِنَّكُم مَّبْعُوثُونَ مِنۢ بَعْدِ ٱلْمَوْتِ لَيَقُولَنَّ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَـٰذَآ إِلَّا سِحْرٌ مُّبِينٌ','verse_number' => '7','verse_key' => '11:7','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '222','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1481','chapter_id' => '11','arabic_name' => 'وَلَئِنْ أَخَّرْنَا عَنْهُمُ ٱلْعَذَابَ إِلَىٰٓ أُمَّةٍ مَّعْدُودَةٍ لَّيَقُولُنَّ مَا يَحْبِسُهُۥٓ ۗ أَلَا يَوْمَ يَأْتِيهِمْ لَيْسَ مَصْرُوفًا عَنْهُمْ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '8','verse_key' => '11:8','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '183','manzil_number' => '3','sajdah_number' => '0','page_number' => '222','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1482','chapter_id' => '11','arabic_name' => 'وَلَئِنْ أَذَقْنَا ٱلْإِنسَـٰنَ مِنَّا رَحْمَةً ثُمَّ نَزَعْنَـٰهَا مِنْهُ إِنَّهُۥ لَيَـُٔوسٌ كَفُورٌ','verse_number' => '9','verse_key' => '11:9','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '222','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1483','chapter_id' => '11','arabic_name' => 'وَلَئِنْ أَذَقْنَـٰهُ نَعْمَآءَ بَعْدَ ضَرَّآءَ مَسَّتْهُ لَيَقُولَنَّ ذَهَبَ ٱلسَّيِّـَٔاتُ عَنِّىٓ ۚ إِنَّهُۥ لَفَرِحٌ فَخُورٌ','verse_number' => '10','verse_key' => '11:10','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '222','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1484','chapter_id' => '11','arabic_name' => 'إِلَّا ٱلَّذِينَ صَبَرُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ أُو۟لَـٰٓئِكَ لَهُم مَّغْفِرَةٌ وَأَجْرٌ كَبِيرٌ','verse_number' => '11','verse_key' => '11:11','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '222','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1485','chapter_id' => '11','arabic_name' => 'فَلَعَلَّكَ تَارِكٌۢ بَعْضَ مَا يُوحَىٰٓ إِلَيْكَ وَضَآئِقٌۢ بِهِۦ صَدْرُكَ أَن يَقُولُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ كَنزٌ أَوْ جَآءَ مَعَهُۥ مَلَكٌ ۚ إِنَّمَآ أَنتَ نَذِيرٌ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ وَكِيلٌ','verse_number' => '12','verse_key' => '11:12','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '222','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1486','chapter_id' => '11','arabic_name' => 'أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ فَأْتُوا۟ بِعَشْرِ سُوَرٍ مِّثْلِهِۦ مُفْتَرَيَـٰتٍ وَٱدْعُوا۟ مَنِ ٱسْتَطَعْتُم مِّن دُونِ ٱللَّهِ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '13','verse_key' => '11:13','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '223','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1487','chapter_id' => '11','arabic_name' => 'فَإِلَّمْ يَسْتَجِيبُوا۟ لَكُمْ فَٱعْلَمُوٓا۟ أَنَّمَآ أُنزِلَ بِعِلْمِ ٱللَّهِ وَأَن لَّآ إِلَـٰهَ إِلَّا هُوَ ۖ فَهَلْ أَنتُم مُّسْلِمُونَ','verse_number' => '14','verse_key' => '11:14','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '223','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1488','chapter_id' => '11','arabic_name' => 'مَن كَانَ يُرِيدُ ٱلْحَيَوٰةَ ٱلدُّنْيَا وَزِينَتَهَا نُوَفِّ إِلَيْهِمْ أَعْمَـٰلَهُمْ فِيهَا وَهُمْ فِيهَا لَا يُبْخَسُونَ','verse_number' => '15','verse_key' => '11:15','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '223','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1489','chapter_id' => '11','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ لَيْسَ لَهُمْ فِى ٱلْـَٔاخِرَةِ إِلَّا ٱلنَّارُ ۖ وَحَبِطَ مَا صَنَعُوا۟ فِيهَا وَبَـٰطِلٌ مَّا كَانُوا۟ يَعْمَلُونَ','verse_number' => '16','verse_key' => '11:16','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '223','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1490','chapter_id' => '11','arabic_name' => 'أَفَمَن كَانَ عَلَىٰ بَيِّنَةٍ مِّن رَّبِّهِۦ وَيَتْلُوهُ شَاهِدٌ مِّنْهُ وَمِن قَبْلِهِۦ كِتَـٰبُ مُوسَىٰٓ إِمَامًا وَرَحْمَةً ۚ أُو۟لَـٰٓئِكَ يُؤْمِنُونَ بِهِۦ ۚ وَمَن يَكْفُرْ بِهِۦ مِنَ ٱلْأَحْزَابِ فَٱلنَّارُ مَوْعِدُهُۥ ۚ فَلَا تَكُ فِى مِرْيَةٍ مِّنْهُ ۚ إِنَّهُ ٱلْحَقُّ مِن رَّبِّكَ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يُؤْمِنُونَ','verse_number' => '17','verse_key' => '11:17','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '223','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1491','chapter_id' => '11','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا ۚ أُو۟لَـٰٓئِكَ يُعْرَضُونَ عَلَىٰ رَبِّهِمْ وَيَقُولُ ٱلْأَشْهَـٰدُ هَـٰٓؤُلَآءِ ٱلَّذِينَ كَذَبُوا۟ عَلَىٰ رَبِّهِمْ ۚ أَلَا لَعْنَةُ ٱللَّهِ عَلَى ٱلظَّـٰلِمِينَ','verse_number' => '18','verse_key' => '11:18','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '223','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1492','chapter_id' => '11','arabic_name' => 'ٱلَّذِينَ يَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَيَبْغُونَهَا عِوَجًا وَهُم بِٱلْـَٔاخِرَةِ هُمْ كَـٰفِرُونَ','verse_number' => '19','verse_key' => '11:19','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '223','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1493','chapter_id' => '11','arabic_name' => 'أُو۟لَـٰٓئِكَ لَمْ يَكُونُوا۟ مُعْجِزِينَ فِى ٱلْأَرْضِ وَمَا كَانَ لَهُم مِّن دُونِ ٱللَّهِ مِنْ أَوْلِيَآءَ ۘ يُضَـٰعَفُ لَهُمُ ٱلْعَذَابُ ۚ مَا كَانُوا۟ يَسْتَطِيعُونَ ٱلسَّمْعَ وَمَا كَانُوا۟ يُبْصِرُونَ','verse_number' => '20','verse_key' => '11:20','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1494','chapter_id' => '11','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '21','verse_key' => '11:21','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1495','chapter_id' => '11','arabic_name' => 'لَا جَرَمَ أَنَّهُمْ فِى ٱلْـَٔاخِرَةِ هُمُ ٱلْأَخْسَرُونَ','verse_number' => '22','verse_key' => '11:22','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1496','chapter_id' => '11','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَأَخْبَتُوٓا۟ إِلَىٰ رَبِّهِمْ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَنَّةِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '23','verse_key' => '11:23','hizb_number' => '23','rub_el_hizb_number' => '89','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1497','chapter_id' => '11','arabic_name' => '۞ مَثَلُ ٱلْفَرِيقَيْنِ كَٱلْأَعْمَىٰ وَٱلْأَصَمِّ وَٱلْبَصِيرِ وَٱلسَّمِيعِ ۚ هَلْ يَسْتَوِيَانِ مَثَلًا ۚ أَفَلَا تَذَكَّرُونَ','verse_number' => '24','verse_key' => '11:24','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '184','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1498','chapter_id' => '11','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦٓ إِنِّى لَكُمْ نَذِيرٌ مُّبِينٌ','verse_number' => '25','verse_key' => '11:25','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1499','chapter_id' => '11','arabic_name' => 'أَن لَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ ۖ إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ أَلِيمٍ','verse_number' => '26','verse_key' => '11:26','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1500','chapter_id' => '11','arabic_name' => 'فَقَالَ ٱلْمَلَأُ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦ مَا نَرَىٰكَ إِلَّا بَشَرًا مِّثْلَنَا وَمَا نَرَىٰكَ ٱتَّبَعَكَ إِلَّا ٱلَّذِينَ هُمْ أَرَاذِلُنَا بَادِىَ ٱلرَّأْىِ وَمَا نَرَىٰ لَكُمْ عَلَيْنَا مِن فَضْلٍۭ بَلْ نَظُنُّكُمْ كَـٰذِبِينَ','verse_number' => '27','verse_key' => '11:27','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1501','chapter_id' => '11','arabic_name' => 'قَالَ يَـٰقَوْمِ أَرَءَيْتُمْ إِن كُنتُ عَلَىٰ بَيِّنَةٍ مِّن رَّبِّى وَءَاتَىٰنِى رَحْمَةً مِّنْ عِندِهِۦ فَعُمِّيَتْ عَلَيْكُمْ أَنُلْزِمُكُمُوهَا وَأَنتُمْ لَهَا كَـٰرِهُونَ','verse_number' => '28','verse_key' => '11:28','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '224','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1502','chapter_id' => '11','arabic_name' => 'وَيَـٰقَوْمِ لَآ أَسْـَٔلُكُمْ عَلَيْهِ مَالًا ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱللَّهِ ۚ وَمَآ أَنَا۠ بِطَارِدِ ٱلَّذِينَ ءَامَنُوٓا۟ ۚ إِنَّهُم مُّلَـٰقُوا۟ رَبِّهِمْ وَلَـٰكِنِّىٓ أَرَىٰكُمْ قَوْمًا تَجْهَلُونَ','verse_number' => '29','verse_key' => '11:29','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1503','chapter_id' => '11','arabic_name' => 'وَيَـٰقَوْمِ مَن يَنصُرُنِى مِنَ ٱللَّهِ إِن طَرَدتُّهُمْ ۚ أَفَلَا تَذَكَّرُونَ','verse_number' => '30','verse_key' => '11:30','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1504','chapter_id' => '11','arabic_name' => 'وَلَآ أَقُولُ لَكُمْ عِندِى خَزَآئِنُ ٱللَّهِ وَلَآ أَعْلَمُ ٱلْغَيْبَ وَلَآ أَقُولُ إِنِّى مَلَكٌ وَلَآ أَقُولُ لِلَّذِينَ تَزْدَرِىٓ أَعْيُنُكُمْ لَن يُؤْتِيَهُمُ ٱللَّهُ خَيْرًا ۖ ٱللَّهُ أَعْلَمُ بِمَا فِىٓ أَنفُسِهِمْ ۖ إِنِّىٓ إِذًا لَّمِنَ ٱلظَّـٰلِمِينَ','verse_number' => '31','verse_key' => '11:31','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1505','chapter_id' => '11','arabic_name' => 'قَالُوا۟ يَـٰنُوحُ قَدْ جَـٰدَلْتَنَا فَأَكْثَرْتَ جِدَٰلَنَا فَأْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '32','verse_key' => '11:32','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1506','chapter_id' => '11','arabic_name' => 'قَالَ إِنَّمَا يَأْتِيكُم بِهِ ٱللَّهُ إِن شَآءَ وَمَآ أَنتُم بِمُعْجِزِينَ','verse_number' => '33','verse_key' => '11:33','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1507','chapter_id' => '11','arabic_name' => 'وَلَا يَنفَعُكُمْ نُصْحِىٓ إِنْ أَرَدتُّ أَنْ أَنصَحَ لَكُمْ إِن كَانَ ٱللَّهُ يُرِيدُ أَن يُغْوِيَكُمْ ۚ هُوَ رَبُّكُمْ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '34','verse_key' => '11:34','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1508','chapter_id' => '11','arabic_name' => 'أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ إِنِ ٱفْتَرَيْتُهُۥ فَعَلَىَّ إِجْرَامِى وَأَنَا۠ بَرِىٓءٌ مِّمَّا تُجْرِمُونَ','verse_number' => '35','verse_key' => '11:35','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '185','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1509','chapter_id' => '11','arabic_name' => 'وَأُوحِىَ إِلَىٰ نُوحٍ أَنَّهُۥ لَن يُؤْمِنَ مِن قَوْمِكَ إِلَّا مَن قَدْ ءَامَنَ فَلَا تَبْتَئِسْ بِمَا كَانُوا۟ يَفْعَلُونَ','verse_number' => '36','verse_key' => '11:36','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1510','chapter_id' => '11','arabic_name' => 'وَٱصْنَعِ ٱلْفُلْكَ بِأَعْيُنِنَا وَوَحْيِنَا وَلَا تُخَـٰطِبْنِى فِى ٱلَّذِينَ ظَلَمُوٓا۟ ۚ إِنَّهُم مُّغْرَقُونَ','verse_number' => '37','verse_key' => '11:37','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '225','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1511','chapter_id' => '11','arabic_name' => 'وَيَصْنَعُ ٱلْفُلْكَ وَكُلَّمَا مَرَّ عَلَيْهِ مَلَأٌ مِّن قَوْمِهِۦ سَخِرُوا۟ مِنْهُ ۚ قَالَ إِن تَسْخَرُوا۟ مِنَّا فَإِنَّا نَسْخَرُ مِنكُمْ كَمَا تَسْخَرُونَ','verse_number' => '38','verse_key' => '11:38','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1512','chapter_id' => '11','arabic_name' => 'فَسَوْفَ تَعْلَمُونَ مَن يَأْتِيهِ عَذَابٌ يُخْزِيهِ وَيَحِلُّ عَلَيْهِ عَذَابٌ مُّقِيمٌ','verse_number' => '39','verse_key' => '11:39','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1513','chapter_id' => '11','arabic_name' => 'حَتَّىٰٓ إِذَا جَآءَ أَمْرُنَا وَفَارَ ٱلتَّنُّورُ قُلْنَا ٱحْمِلْ فِيهَا مِن كُلٍّ زَوْجَيْنِ ٱثْنَيْنِ وَأَهْلَكَ إِلَّا مَن سَبَقَ عَلَيْهِ ٱلْقَوْلُ وَمَنْ ءَامَنَ ۚ وَمَآ ءَامَنَ مَعَهُۥٓ إِلَّا قَلِيلٌ','verse_number' => '40','verse_key' => '11:40','hizb_number' => '23','rub_el_hizb_number' => '90','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1514','chapter_id' => '11','arabic_name' => '۞ وَقَالَ ٱرْكَبُوا۟ فِيهَا بِسْمِ ٱللَّهِ مَجْر۪ىٰهَا وَمُرْسَىٰهَآ ۚ إِنَّ رَبِّى لَغَفُورٌ رَّحِيمٌ','verse_number' => '41','verse_key' => '11:41','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1515','chapter_id' => '11','arabic_name' => 'وَهِىَ تَجْرِى بِهِمْ فِى مَوْجٍ كَٱلْجِبَالِ وَنَادَىٰ نُوحٌ ٱبْنَهُۥ وَكَانَ فِى مَعْزِلٍ يَـٰبُنَىَّ ٱرْكَب مَّعَنَا وَلَا تَكُن مَّعَ ٱلْكَـٰفِرِينَ','verse_number' => '42','verse_key' => '11:42','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1516','chapter_id' => '11','arabic_name' => 'قَالَ سَـَٔاوِىٓ إِلَىٰ جَبَلٍ يَعْصِمُنِى مِنَ ٱلْمَآءِ ۚ قَالَ لَا عَاصِمَ ٱلْيَوْمَ مِنْ أَمْرِ ٱللَّهِ إِلَّا مَن رَّحِمَ ۚ وَحَالَ بَيْنَهُمَا ٱلْمَوْجُ فَكَانَ مِنَ ٱلْمُغْرَقِينَ','verse_number' => '43','verse_key' => '11:43','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1517','chapter_id' => '11','arabic_name' => 'وَقِيلَ يَـٰٓأَرْضُ ٱبْلَعِى مَآءَكِ وَيَـٰسَمَآءُ أَقْلِعِى وَغِيضَ ٱلْمَآءُ وَقُضِىَ ٱلْأَمْرُ وَٱسْتَوَتْ عَلَى ٱلْجُودِىِّ ۖ وَقِيلَ بُعْدًا لِّلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '44','verse_key' => '11:44','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1518','chapter_id' => '11','arabic_name' => 'وَنَادَىٰ نُوحٌ رَّبَّهُۥ فَقَالَ رَبِّ إِنَّ ٱبْنِى مِنْ أَهْلِى وَإِنَّ وَعْدَكَ ٱلْحَقُّ وَأَنتَ أَحْكَمُ ٱلْحَـٰكِمِينَ','verse_number' => '45','verse_key' => '11:45','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '226','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1519','chapter_id' => '11','arabic_name' => 'قَالَ يَـٰنُوحُ إِنَّهُۥ لَيْسَ مِنْ أَهْلِكَ ۖ إِنَّهُۥ عَمَلٌ غَيْرُ صَـٰلِحٍ ۖ فَلَا تَسْـَٔلْنِ مَا لَيْسَ لَكَ بِهِۦ عِلْمٌ ۖ إِنِّىٓ أَعِظُكَ أَن تَكُونَ مِنَ ٱلْجَـٰهِلِينَ','verse_number' => '46','verse_key' => '11:46','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1520','chapter_id' => '11','arabic_name' => 'قَالَ رَبِّ إِنِّىٓ أَعُوذُ بِكَ أَنْ أَسْـَٔلَكَ مَا لَيْسَ لِى بِهِۦ عِلْمٌ ۖ وَإِلَّا تَغْفِرْ لِى وَتَرْحَمْنِىٓ أَكُن مِّنَ ٱلْخَـٰسِرِينَ','verse_number' => '47','verse_key' => '11:47','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1521','chapter_id' => '11','arabic_name' => 'قِيلَ يَـٰنُوحُ ٱهْبِطْ بِسَلَـٰمٍ مِّنَّا وَبَرَكَـٰتٍ عَلَيْكَ وَعَلَىٰٓ أُمَمٍ مِّمَّن مَّعَكَ ۚ وَأُمَمٌ سَنُمَتِّعُهُمْ ثُمَّ يَمَسُّهُم مِّنَّا عَذَابٌ أَلِيمٌ','verse_number' => '48','verse_key' => '11:48','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1522','chapter_id' => '11','arabic_name' => 'تِلْكَ مِنْ أَنۢبَآءِ ٱلْغَيْبِ نُوحِيهَآ إِلَيْكَ ۖ مَا كُنتَ تَعْلَمُهَآ أَنتَ وَلَا قَوْمُكَ مِن قَبْلِ هَـٰذَا ۖ فَٱصْبِرْ ۖ إِنَّ ٱلْعَـٰقِبَةَ لِلْمُتَّقِينَ','verse_number' => '49','verse_key' => '11:49','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '186','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1523','chapter_id' => '11','arabic_name' => 'وَإِلَىٰ عَادٍ أَخَاهُمْ هُودًا ۚ قَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥٓ ۖ إِنْ أَنتُمْ إِلَّا مُفْتَرُونَ','verse_number' => '50','verse_key' => '11:50','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1524','chapter_id' => '11','arabic_name' => 'يَـٰقَوْمِ لَآ أَسْـَٔلُكُمْ عَلَيْهِ أَجْرًا ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱلَّذِى فَطَرَنِىٓ ۚ أَفَلَا تَعْقِلُونَ','verse_number' => '51','verse_key' => '11:51','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1525','chapter_id' => '11','arabic_name' => 'وَيَـٰقَوْمِ ٱسْتَغْفِرُوا۟ رَبَّكُمْ ثُمَّ تُوبُوٓا۟ إِلَيْهِ يُرْسِلِ ٱلسَّمَآءَ عَلَيْكُم مِّدْرَارًا وَيَزِدْكُمْ قُوَّةً إِلَىٰ قُوَّتِكُمْ وَلَا تَتَوَلَّوْا۟ مُجْرِمِينَ','verse_number' => '52','verse_key' => '11:52','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1526','chapter_id' => '11','arabic_name' => 'قَالُوا۟ يَـٰهُودُ مَا جِئْتَنَا بِبَيِّنَةٍ وَمَا نَحْنُ بِتَارِكِىٓ ءَالِهَتِنَا عَن قَوْلِكَ وَمَا نَحْنُ لَكَ بِمُؤْمِنِينَ','verse_number' => '53','verse_key' => '11:53','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '227','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1527','chapter_id' => '11','arabic_name' => 'إِن نَّقُولُ إِلَّا ٱعْتَرَىٰكَ بَعْضُ ءَالِهَتِنَا بِسُوٓءٍ ۗ قَالَ إِنِّىٓ أُشْهِدُ ٱللَّهَ وَٱشْهَدُوٓا۟ أَنِّى بَرِىٓءٌ مِّمَّا تُشْرِكُونَ','verse_number' => '54','verse_key' => '11:54','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1528','chapter_id' => '11','arabic_name' => 'مِن دُونِهِۦ ۖ فَكِيدُونِى جَمِيعًا ثُمَّ لَا تُنظِرُونِ','verse_number' => '55','verse_key' => '11:55','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1529','chapter_id' => '11','arabic_name' => 'إِنِّى تَوَكَّلْتُ عَلَى ٱللَّهِ رَبِّى وَرَبِّكُم ۚ مَّا مِن دَآبَّةٍ إِلَّا هُوَ ءَاخِذٌۢ بِنَاصِيَتِهَآ ۚ إِنَّ رَبِّى عَلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '56','verse_key' => '11:56','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1530','chapter_id' => '11','arabic_name' => 'فَإِن تَوَلَّوْا۟ فَقَدْ أَبْلَغْتُكُم مَّآ أُرْسِلْتُ بِهِۦٓ إِلَيْكُمْ ۚ وَيَسْتَخْلِفُ رَبِّى قَوْمًا غَيْرَكُمْ وَلَا تَضُرُّونَهُۥ شَيْـًٔا ۚ إِنَّ رَبِّى عَلَىٰ كُلِّ شَىْءٍ حَفِيظٌ','verse_number' => '57','verse_key' => '11:57','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1531','chapter_id' => '11','arabic_name' => 'وَلَمَّا جَآءَ أَمْرُنَا نَجَّيْنَا هُودًا وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ بِرَحْمَةٍ مِّنَّا وَنَجَّيْنَـٰهُم مِّنْ عَذَابٍ غَلِيظٍ','verse_number' => '58','verse_key' => '11:58','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1532','chapter_id' => '11','arabic_name' => 'وَتِلْكَ عَادٌ ۖ جَحَدُوا۟ بِـَٔايَـٰتِ رَبِّهِمْ وَعَصَوْا۟ رُسُلَهُۥ وَٱتَّبَعُوٓا۟ أَمْرَ كُلِّ جَبَّارٍ عَنِيدٍ','verse_number' => '59','verse_key' => '11:59','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1533','chapter_id' => '11','arabic_name' => 'وَأُتْبِعُوا۟ فِى هَـٰذِهِ ٱلدُّنْيَا لَعْنَةً وَيَوْمَ ٱلْقِيَـٰمَةِ ۗ أَلَآ إِنَّ عَادًا كَفَرُوا۟ رَبَّهُمْ ۗ أَلَا بُعْدًا لِّعَادٍ قَوْمِ هُودٍ','verse_number' => '60','verse_key' => '11:60','hizb_number' => '23','rub_el_hizb_number' => '91','ruku_number' => '187','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1534','chapter_id' => '11','arabic_name' => '۞ وَإِلَىٰ ثَمُودَ أَخَاهُمْ صَـٰلِحًا ۚ قَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥ ۖ هُوَ أَنشَأَكُم مِّنَ ٱلْأَرْضِ وَٱسْتَعْمَرَكُمْ فِيهَا فَٱسْتَغْفِرُوهُ ثُمَّ تُوبُوٓا۟ إِلَيْهِ ۚ إِنَّ رَبِّى قَرِيبٌ مُّجِيبٌ','verse_number' => '61','verse_key' => '11:61','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1535','chapter_id' => '11','arabic_name' => 'قَالُوا۟ يَـٰصَـٰلِحُ قَدْ كُنتَ فِينَا مَرْجُوًّا قَبْلَ هَـٰذَآ ۖ أَتَنْهَىٰنَآ أَن نَّعْبُدَ مَا يَعْبُدُ ءَابَآؤُنَا وَإِنَّنَا لَفِى شَكٍّ مِّمَّا تَدْعُونَآ إِلَيْهِ مُرِيبٍ','verse_number' => '62','verse_key' => '11:62','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '228','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1536','chapter_id' => '11','arabic_name' => 'قَالَ يَـٰقَوْمِ أَرَءَيْتُمْ إِن كُنتُ عَلَىٰ بَيِّنَةٍ مِّن رَّبِّى وَءَاتَىٰنِى مِنْهُ رَحْمَةً فَمَن يَنصُرُنِى مِنَ ٱللَّهِ إِنْ عَصَيْتُهُۥ ۖ فَمَا تَزِيدُونَنِى غَيْرَ تَخْسِيرٍ','verse_number' => '63','verse_key' => '11:63','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1537','chapter_id' => '11','arabic_name' => 'وَيَـٰقَوْمِ هَـٰذِهِۦ نَاقَةُ ٱللَّهِ لَكُمْ ءَايَةً فَذَرُوهَا تَأْكُلْ فِىٓ أَرْضِ ٱللَّهِ وَلَا تَمَسُّوهَا بِسُوٓءٍ فَيَأْخُذَكُمْ عَذَابٌ قَرِيبٌ','verse_number' => '64','verse_key' => '11:64','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1538','chapter_id' => '11','arabic_name' => 'فَعَقَرُوهَا فَقَالَ تَمَتَّعُوا۟ فِى دَارِكُمْ ثَلَـٰثَةَ أَيَّامٍ ۖ ذَٰلِكَ وَعْدٌ غَيْرُ مَكْذُوبٍ','verse_number' => '65','verse_key' => '11:65','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1539','chapter_id' => '11','arabic_name' => 'فَلَمَّا جَآءَ أَمْرُنَا نَجَّيْنَا صَـٰلِحًا وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ بِرَحْمَةٍ مِّنَّا وَمِنْ خِزْىِ يَوْمِئِذٍ ۗ إِنَّ رَبَّكَ هُوَ ٱلْقَوِىُّ ٱلْعَزِيزُ','verse_number' => '66','verse_key' => '11:66','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1540','chapter_id' => '11','arabic_name' => 'وَأَخَذَ ٱلَّذِينَ ظَلَمُوا۟ ٱلصَّيْحَةُ فَأَصْبَحُوا۟ فِى دِيَـٰرِهِمْ جَـٰثِمِينَ','verse_number' => '67','verse_key' => '11:67','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1541','chapter_id' => '11','arabic_name' => 'كَأَن لَّمْ يَغْنَوْا۟ فِيهَآ ۗ أَلَآ إِنَّ ثَمُودَا۟ كَفَرُوا۟ رَبَّهُمْ ۗ أَلَا بُعْدًا لِّثَمُودَ','verse_number' => '68','verse_key' => '11:68','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '188','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1542','chapter_id' => '11','arabic_name' => 'وَلَقَدْ جَآءَتْ رُسُلُنَآ إِبْرَٰهِيمَ بِٱلْبُشْرَىٰ قَالُوا۟ سَلَـٰمًا ۖ قَالَ سَلَـٰمٌ ۖ فَمَا لَبِثَ أَن جَآءَ بِعِجْلٍ حَنِيذٍ','verse_number' => '69','verse_key' => '11:69','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1543','chapter_id' => '11','arabic_name' => 'فَلَمَّا رَءَآ أَيْدِيَهُمْ لَا تَصِلُ إِلَيْهِ نَكِرَهُمْ وَأَوْجَسَ مِنْهُمْ خِيفَةً ۚ قَالُوا۟ لَا تَخَفْ إِنَّآ أُرْسِلْنَآ إِلَىٰ قَوْمِ لُوطٍ','verse_number' => '70','verse_key' => '11:70','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1544','chapter_id' => '11','arabic_name' => 'وَٱمْرَأَتُهُۥ قَآئِمَةٌ فَضَحِكَتْ فَبَشَّرْنَـٰهَا بِإِسْحَـٰقَ وَمِن وَرَآءِ إِسْحَـٰقَ يَعْقُوبَ','verse_number' => '71','verse_key' => '11:71','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '229','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1545','chapter_id' => '11','arabic_name' => 'قَالَتْ يَـٰوَيْلَتَىٰٓ ءَأَلِدُ وَأَنَا۠ عَجُوزٌ وَهَـٰذَا بَعْلِى شَيْخًا ۖ إِنَّ هَـٰذَا لَشَىْءٌ عَجِيبٌ','verse_number' => '72','verse_key' => '11:72','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1546','chapter_id' => '11','arabic_name' => 'قَالُوٓا۟ أَتَعْجَبِينَ مِنْ أَمْرِ ٱللَّهِ ۖ رَحْمَتُ ٱللَّهِ وَبَرَكَـٰتُهُۥ عَلَيْكُمْ أَهْلَ ٱلْبَيْتِ ۚ إِنَّهُۥ حَمِيدٌ مَّجِيدٌ','verse_number' => '73','verse_key' => '11:73','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1547','chapter_id' => '11','arabic_name' => 'فَلَمَّا ذَهَبَ عَنْ إِبْرَٰهِيمَ ٱلرَّوْعُ وَجَآءَتْهُ ٱلْبُشْرَىٰ يُجَـٰدِلُنَا فِى قَوْمِ لُوطٍ','verse_number' => '74','verse_key' => '11:74','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1548','chapter_id' => '11','arabic_name' => 'إِنَّ إِبْرَٰهِيمَ لَحَلِيمٌ أَوَّٰهٌ مُّنِيبٌ','verse_number' => '75','verse_key' => '11:75','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1549','chapter_id' => '11','arabic_name' => 'يَـٰٓإِبْرَٰهِيمُ أَعْرِضْ عَنْ هَـٰذَآ ۖ إِنَّهُۥ قَدْ جَآءَ أَمْرُ رَبِّكَ ۖ وَإِنَّهُمْ ءَاتِيهِمْ عَذَابٌ غَيْرُ مَرْدُودٍ','verse_number' => '76','verse_key' => '11:76','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1550','chapter_id' => '11','arabic_name' => 'وَلَمَّا جَآءَتْ رُسُلُنَا لُوطًا سِىٓءَ بِهِمْ وَضَاقَ بِهِمْ ذَرْعًا وَقَالَ هَـٰذَا يَوْمٌ عَصِيبٌ','verse_number' => '77','verse_key' => '11:77','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1551','chapter_id' => '11','arabic_name' => 'وَجَآءَهُۥ قَوْمُهُۥ يُهْرَعُونَ إِلَيْهِ وَمِن قَبْلُ كَانُوا۟ يَعْمَلُونَ ٱلسَّيِّـَٔاتِ ۚ قَالَ يَـٰقَوْمِ هَـٰٓؤُلَآءِ بَنَاتِى هُنَّ أَطْهَرُ لَكُمْ ۖ فَٱتَّقُوا۟ ٱللَّهَ وَلَا تُخْزُونِ فِى ضَيْفِىٓ ۖ أَلَيْسَ مِنكُمْ رَجُلٌ رَّشِيدٌ','verse_number' => '78','verse_key' => '11:78','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1552','chapter_id' => '11','arabic_name' => 'قَالُوا۟ لَقَدْ عَلِمْتَ مَا لَنَا فِى بَنَاتِكَ مِنْ حَقٍّ وَإِنَّكَ لَتَعْلَمُ مَا نُرِيدُ','verse_number' => '79','verse_key' => '11:79','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1553','chapter_id' => '11','arabic_name' => 'قَالَ لَوْ أَنَّ لِى بِكُمْ قُوَّةً أَوْ ءَاوِىٓ إِلَىٰ رُكْنٍ شَدِيدٍ','verse_number' => '80','verse_key' => '11:80','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1554','chapter_id' => '11','arabic_name' => 'قَالُوا۟ يَـٰلُوطُ إِنَّا رُسُلُ رَبِّكَ لَن يَصِلُوٓا۟ إِلَيْكَ ۖ فَأَسْرِ بِأَهْلِكَ بِقِطْعٍ مِّنَ ٱلَّيْلِ وَلَا يَلْتَفِتْ مِنكُمْ أَحَدٌ إِلَّا ٱمْرَأَتَكَ ۖ إِنَّهُۥ مُصِيبُهَا مَآ أَصَابَهُمْ ۚ إِنَّ مَوْعِدَهُمُ ٱلصُّبْحُ ۚ أَلَيْسَ ٱلصُّبْحُ بِقَرِيبٍ','verse_number' => '81','verse_key' => '11:81','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '230','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1555','chapter_id' => '11','arabic_name' => 'فَلَمَّا جَآءَ أَمْرُنَا جَعَلْنَا عَـٰلِيَهَا سَافِلَهَا وَأَمْطَرْنَا عَلَيْهَا حِجَارَةً مِّن سِجِّيلٍ مَّنضُودٍ','verse_number' => '82','verse_key' => '11:82','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '231','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1556','chapter_id' => '11','arabic_name' => 'مُّسَوَّمَةً عِندَ رَبِّكَ ۖ وَمَا هِىَ مِنَ ٱلظَّـٰلِمِينَ بِبَعِيدٍ','verse_number' => '83','verse_key' => '11:83','hizb_number' => '23','rub_el_hizb_number' => '92','ruku_number' => '189','manzil_number' => '3','sajdah_number' => '0','page_number' => '231','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1557','chapter_id' => '11','arabic_name' => '۞ وَإِلَىٰ مَدْيَنَ أَخَاهُمْ شُعَيْبًا ۚ قَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥ ۖ وَلَا تَنقُصُوا۟ ٱلْمِكْيَالَ وَٱلْمِيزَانَ ۚ إِنِّىٓ أَرَىٰكُم بِخَيْرٍ وَإِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ مُّحِيطٍ','verse_number' => '84','verse_key' => '11:84','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '231','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1558','chapter_id' => '11','arabic_name' => 'وَيَـٰقَوْمِ أَوْفُوا۟ ٱلْمِكْيَالَ وَٱلْمِيزَانَ بِٱلْقِسْطِ ۖ وَلَا تَبْخَسُوا۟ ٱلنَّاسَ أَشْيَآءَهُمْ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ','verse_number' => '85','verse_key' => '11:85','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '231','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1559','chapter_id' => '11','arabic_name' => 'بَقِيَّتُ ٱللَّهِ خَيْرٌ لَّكُمْ إِن كُنتُم مُّؤْمِنِينَ ۚ وَمَآ أَنَا۠ عَلَيْكُم بِحَفِيظٍ','verse_number' => '86','verse_key' => '11:86','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '231','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1560','chapter_id' => '11','arabic_name' => 'قَالُوا۟ يَـٰشُعَيْبُ أَصَلَوٰتُكَ تَأْمُرُكَ أَن نَّتْرُكَ مَا يَعْبُدُ ءَابَآؤُنَآ أَوْ أَن نَّفْعَلَ فِىٓ أَمْوَٰلِنَا مَا نَشَـٰٓؤُا۟ ۖ إِنَّكَ لَأَنتَ ٱلْحَلِيمُ ٱلرَّشِيدُ','verse_number' => '87','verse_key' => '11:87','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '231','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1561','chapter_id' => '11','arabic_name' => 'قَالَ يَـٰقَوْمِ أَرَءَيْتُمْ إِن كُنتُ عَلَىٰ بَيِّنَةٍ مِّن رَّبِّى وَرَزَقَنِى مِنْهُ رِزْقًا حَسَنًا ۚ وَمَآ أُرِيدُ أَنْ أُخَالِفَكُمْ إِلَىٰ مَآ أَنْهَىٰكُمْ عَنْهُ ۚ إِنْ أُرِيدُ إِلَّا ٱلْإِصْلَـٰحَ مَا ٱسْتَطَعْتُ ۚ وَمَا تَوْفِيقِىٓ إِلَّا بِٱللَّهِ ۚ عَلَيْهِ تَوَكَّلْتُ وَإِلَيْهِ أُنِيبُ','verse_number' => '88','verse_key' => '11:88','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '231','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1562','chapter_id' => '11','arabic_name' => 'وَيَـٰقَوْمِ لَا يَجْرِمَنَّكُمْ شِقَاقِىٓ أَن يُصِيبَكُم مِّثْلُ مَآ أَصَابَ قَوْمَ نُوحٍ أَوْ قَوْمَ هُودٍ أَوْ قَوْمَ صَـٰلِحٍ ۚ وَمَا قَوْمُ لُوطٍ مِّنكُم بِبَعِيدٍ','verse_number' => '89','verse_key' => '11:89','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1563','chapter_id' => '11','arabic_name' => 'وَٱسْتَغْفِرُوا۟ رَبَّكُمْ ثُمَّ تُوبُوٓا۟ إِلَيْهِ ۚ إِنَّ رَبِّى رَحِيمٌ وَدُودٌ','verse_number' => '90','verse_key' => '11:90','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1564','chapter_id' => '11','arabic_name' => 'قَالُوا۟ يَـٰشُعَيْبُ مَا نَفْقَهُ كَثِيرًا مِّمَّا تَقُولُ وَإِنَّا لَنَرَىٰكَ فِينَا ضَعِيفًا ۖ وَلَوْلَا رَهْطُكَ لَرَجَمْنَـٰكَ ۖ وَمَآ أَنتَ عَلَيْنَا بِعَزِيزٍ','verse_number' => '91','verse_key' => '11:91','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1565','chapter_id' => '11','arabic_name' => 'قَالَ يَـٰقَوْمِ أَرَهْطِىٓ أَعَزُّ عَلَيْكُم مِّنَ ٱللَّهِ وَٱتَّخَذْتُمُوهُ وَرَآءَكُمْ ظِهْرِيًّا ۖ إِنَّ رَبِّى بِمَا تَعْمَلُونَ مُحِيطٌ','verse_number' => '92','verse_key' => '11:92','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1566','chapter_id' => '11','arabic_name' => 'وَيَـٰقَوْمِ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنِّى عَـٰمِلٌ ۖ سَوْفَ تَعْلَمُونَ مَن يَأْتِيهِ عَذَابٌ يُخْزِيهِ وَمَنْ هُوَ كَـٰذِبٌ ۖ وَٱرْتَقِبُوٓا۟ إِنِّى مَعَكُمْ رَقِيبٌ','verse_number' => '93','verse_key' => '11:93','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1567','chapter_id' => '11','arabic_name' => 'وَلَمَّا جَآءَ أَمْرُنَا نَجَّيْنَا شُعَيْبًا وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ بِرَحْمَةٍ مِّنَّا وَأَخَذَتِ ٱلَّذِينَ ظَلَمُوا۟ ٱلصَّيْحَةُ فَأَصْبَحُوا۟ فِى دِيَـٰرِهِمْ جَـٰثِمِينَ','verse_number' => '94','verse_key' => '11:94','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1568','chapter_id' => '11','arabic_name' => 'كَأَن لَّمْ يَغْنَوْا۟ فِيهَآ ۗ أَلَا بُعْدًا لِّمَدْيَنَ كَمَا بَعِدَتْ ثَمُودُ','verse_number' => '95','verse_key' => '11:95','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '190','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1569','chapter_id' => '11','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَـٰتِنَا وَسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '96','verse_key' => '11:96','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1570','chapter_id' => '11','arabic_name' => 'إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَٱتَّبَعُوٓا۟ أَمْرَ فِرْعَوْنَ ۖ وَمَآ أَمْرُ فِرْعَوْنَ بِرَشِيدٍ','verse_number' => '97','verse_key' => '11:97','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '232','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1571','chapter_id' => '11','arabic_name' => 'يَقْدُمُ قَوْمَهُۥ يَوْمَ ٱلْقِيَـٰمَةِ فَأَوْرَدَهُمُ ٱلنَّارَ ۖ وَبِئْسَ ٱلْوِرْدُ ٱلْمَوْرُودُ','verse_number' => '98','verse_key' => '11:98','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1572','chapter_id' => '11','arabic_name' => 'وَأُتْبِعُوا۟ فِى هَـٰذِهِۦ لَعْنَةً وَيَوْمَ ٱلْقِيَـٰمَةِ ۚ بِئْسَ ٱلرِّفْدُ ٱلْمَرْفُودُ','verse_number' => '99','verse_key' => '11:99','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1573','chapter_id' => '11','arabic_name' => 'ذَٰلِكَ مِنْ أَنۢبَآءِ ٱلْقُرَىٰ نَقُصُّهُۥ عَلَيْكَ ۖ مِنْهَا قَآئِمٌ وَحَصِيدٌ','verse_number' => '100','verse_key' => '11:100','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1574','chapter_id' => '11','arabic_name' => 'وَمَا ظَلَمْنَـٰهُمْ وَلَـٰكِن ظَلَمُوٓا۟ أَنفُسَهُمْ ۖ فَمَآ أَغْنَتْ عَنْهُمْ ءَالِهَتُهُمُ ٱلَّتِى يَدْعُونَ مِن دُونِ ٱللَّهِ مِن شَىْءٍ لَّمَّا جَآءَ أَمْرُ رَبِّكَ ۖ وَمَا زَادُوهُمْ غَيْرَ تَتْبِيبٍ','verse_number' => '101','verse_key' => '11:101','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1575','chapter_id' => '11','arabic_name' => 'وَكَذَٰلِكَ أَخْذُ رَبِّكَ إِذَآ أَخَذَ ٱلْقُرَىٰ وَهِىَ ظَـٰلِمَةٌ ۚ إِنَّ أَخْذَهُۥٓ أَلِيمٌ شَدِيدٌ','verse_number' => '102','verse_key' => '11:102','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1576','chapter_id' => '11','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّمَنْ خَافَ عَذَابَ ٱلْـَٔاخِرَةِ ۚ ذَٰلِكَ يَوْمٌ مَّجْمُوعٌ لَّهُ ٱلنَّاسُ وَذَٰلِكَ يَوْمٌ مَّشْهُودٌ','verse_number' => '103','verse_key' => '11:103','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1577','chapter_id' => '11','arabic_name' => 'وَمَا نُؤَخِّرُهُۥٓ إِلَّا لِأَجَلٍ مَّعْدُودٍ','verse_number' => '104','verse_key' => '11:104','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1578','chapter_id' => '11','arabic_name' => 'يَوْمَ يَأْتِ لَا تَكَلَّمُ نَفْسٌ إِلَّا بِإِذْنِهِۦ ۚ فَمِنْهُمْ شَقِىٌّ وَسَعِيدٌ','verse_number' => '105','verse_key' => '11:105','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1579','chapter_id' => '11','arabic_name' => 'فَأَمَّا ٱلَّذِينَ شَقُوا۟ فَفِى ٱلنَّارِ لَهُمْ فِيهَا زَفِيرٌ وَشَهِيقٌ','verse_number' => '106','verse_key' => '11:106','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1580','chapter_id' => '11','arabic_name' => 'خَـٰلِدِينَ فِيهَا مَا دَامَتِ ٱلسَّمَـٰوَٰتُ وَٱلْأَرْضُ إِلَّا مَا شَآءَ رَبُّكَ ۚ إِنَّ رَبَّكَ فَعَّالٌ لِّمَا يُرِيدُ','verse_number' => '107','verse_key' => '11:107','hizb_number' => '24','rub_el_hizb_number' => '93','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1581','chapter_id' => '11','arabic_name' => '۞ وَأَمَّا ٱلَّذِينَ سُعِدُوا۟ فَفِى ٱلْجَنَّةِ خَـٰلِدِينَ فِيهَا مَا دَامَتِ ٱلسَّمَـٰوَٰتُ وَٱلْأَرْضُ إِلَّا مَا شَآءَ رَبُّكَ ۖ عَطَآءً غَيْرَ مَجْذُوذٍ','verse_number' => '108','verse_key' => '11:108','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '233','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1582','chapter_id' => '11','arabic_name' => 'فَلَا تَكُ فِى مِرْيَةٍ مِّمَّا يَعْبُدُ هَـٰٓؤُلَآءِ ۚ مَا يَعْبُدُونَ إِلَّا كَمَا يَعْبُدُ ءَابَآؤُهُم مِّن قَبْلُ ۚ وَإِنَّا لَمُوَفُّوهُمْ نَصِيبَهُمْ غَيْرَ مَنقُوصٍ','verse_number' => '109','verse_key' => '11:109','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '191','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1583','chapter_id' => '11','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ فَٱخْتُلِفَ فِيهِ ۚ وَلَوْلَا كَلِمَةٌ سَبَقَتْ مِن رَّبِّكَ لَقُضِىَ بَيْنَهُمْ ۚ وَإِنَّهُمْ لَفِى شَكٍّ مِّنْهُ مُرِيبٍ','verse_number' => '110','verse_key' => '11:110','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1584','chapter_id' => '11','arabic_name' => 'وَإِنَّ كُلًّا لَّمَّا لَيُوَفِّيَنَّهُمْ رَبُّكَ أَعْمَـٰلَهُمْ ۚ إِنَّهُۥ بِمَا يَعْمَلُونَ خَبِيرٌ','verse_number' => '111','verse_key' => '11:111','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1585','chapter_id' => '11','arabic_name' => 'فَٱسْتَقِمْ كَمَآ أُمِرْتَ وَمَن تَابَ مَعَكَ وَلَا تَطْغَوْا۟ ۚ إِنَّهُۥ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '112','verse_key' => '11:112','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1586','chapter_id' => '11','arabic_name' => 'وَلَا تَرْكَنُوٓا۟ إِلَى ٱلَّذِينَ ظَلَمُوا۟ فَتَمَسَّكُمُ ٱلنَّارُ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِنْ أَوْلِيَآءَ ثُمَّ لَا تُنصَرُونَ','verse_number' => '113','verse_key' => '11:113','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1587','chapter_id' => '11','arabic_name' => 'وَأَقِمِ ٱلصَّلَوٰةَ طَرَفَىِ ٱلنَّهَارِ وَزُلَفًا مِّنَ ٱلَّيْلِ ۚ إِنَّ ٱلْحَسَنَـٰتِ يُذْهِبْنَ ٱلسَّيِّـَٔاتِ ۚ ذَٰلِكَ ذِكْرَىٰ لِلذَّٰكِرِينَ','verse_number' => '114','verse_key' => '11:114','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1588','chapter_id' => '11','arabic_name' => 'وَٱصْبِرْ فَإِنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ','verse_number' => '115','verse_key' => '11:115','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1589','chapter_id' => '11','arabic_name' => 'فَلَوْلَا كَانَ مِنَ ٱلْقُرُونِ مِن قَبْلِكُمْ أُو۟لُوا۟ بَقِيَّةٍ يَنْهَوْنَ عَنِ ٱلْفَسَادِ فِى ٱلْأَرْضِ إِلَّا قَلِيلًا مِّمَّنْ أَنجَيْنَا مِنْهُمْ ۗ وَٱتَّبَعَ ٱلَّذِينَ ظَلَمُوا۟ مَآ أُتْرِفُوا۟ فِيهِ وَكَانُوا۟ مُجْرِمِينَ','verse_number' => '116','verse_key' => '11:116','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1590','chapter_id' => '11','arabic_name' => 'وَمَا كَانَ رَبُّكَ لِيُهْلِكَ ٱلْقُرَىٰ بِظُلْمٍ وَأَهْلُهَا مُصْلِحُونَ','verse_number' => '117','verse_key' => '11:117','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '234','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1591','chapter_id' => '11','arabic_name' => 'وَلَوْ شَآءَ رَبُّكَ لَجَعَلَ ٱلنَّاسَ أُمَّةً وَٰحِدَةً ۖ وَلَا يَزَالُونَ مُخْتَلِفِينَ','verse_number' => '118','verse_key' => '11:118','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1592','chapter_id' => '11','arabic_name' => 'إِلَّا مَن رَّحِمَ رَبُّكَ ۚ وَلِذَٰلِكَ خَلَقَهُمْ ۗ وَتَمَّتْ كَلِمَةُ رَبِّكَ لَأَمْلَأَنَّ جَهَنَّمَ مِنَ ٱلْجِنَّةِ وَٱلنَّاسِ أَجْمَعِينَ','verse_number' => '119','verse_key' => '11:119','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1593','chapter_id' => '11','arabic_name' => 'وَكُلًّا نَّقُصُّ عَلَيْكَ مِنْ أَنۢبَآءِ ٱلرُّسُلِ مَا نُثَبِّتُ بِهِۦ فُؤَادَكَ ۚ وَجَآءَكَ فِى هَـٰذِهِ ٱلْحَقُّ وَمَوْعِظَةٌ وَذِكْرَىٰ لِلْمُؤْمِنِينَ','verse_number' => '120','verse_key' => '11:120','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1594','chapter_id' => '11','arabic_name' => 'وَقُل لِّلَّذِينَ لَا يُؤْمِنُونَ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنَّا عَـٰمِلُونَ','verse_number' => '121','verse_key' => '11:121','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1595','chapter_id' => '11','arabic_name' => 'وَٱنتَظِرُوٓا۟ إِنَّا مُنتَظِرُونَ','verse_number' => '122','verse_key' => '11:122','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1596','chapter_id' => '11','arabic_name' => 'وَلِلَّهِ غَيْبُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَإِلَيْهِ يُرْجَعُ ٱلْأَمْرُ كُلُّهُۥ فَٱعْبُدْهُ وَتَوَكَّلْ عَلَيْهِ ۚ وَمَا رَبُّكَ بِغَـٰفِلٍ عَمَّا تَعْمَلُونَ','verse_number' => '123','verse_key' => '11:123','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '192','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1597','chapter_id' => '12','arabic_name' => 'الٓر ۚ تِلْكَ ءَايَـٰتُ ٱلْكِتَـٰبِ ٱلْمُبِينِ','verse_number' => '1','verse_key' => '12:1','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '193','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1598','chapter_id' => '12','arabic_name' => 'إِنَّآ أَنزَلْنَـٰهُ قُرْءَٰنًا عَرَبِيًّا لَّعَلَّكُمْ تَعْقِلُونَ','verse_number' => '2','verse_key' => '12:2','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '193','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1599','chapter_id' => '12','arabic_name' => 'نَحْنُ نَقُصُّ عَلَيْكَ أَحْسَنَ ٱلْقَصَصِ بِمَآ أَوْحَيْنَآ إِلَيْكَ هَـٰذَا ٱلْقُرْءَانَ وَإِن كُنتَ مِن قَبْلِهِۦ لَمِنَ ٱلْغَـٰفِلِينَ','verse_number' => '3','verse_key' => '12:3','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '193','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1600','chapter_id' => '12','arabic_name' => 'إِذْ قَالَ يُوسُفُ لِأَبِيهِ يَـٰٓأَبَتِ إِنِّى رَأَيْتُ أَحَدَ عَشَرَ كَوْكَبًا وَٱلشَّمْسَ وَٱلْقَمَرَ رَأَيْتُهُمْ لِى سَـٰجِدِينَ','verse_number' => '4','verse_key' => '12:4','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '193','manzil_number' => '3','sajdah_number' => '0','page_number' => '235','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1601','chapter_id' => '12','arabic_name' => 'قَالَ يَـٰبُنَىَّ لَا تَقْصُصْ رُءْيَاكَ عَلَىٰٓ إِخْوَتِكَ فَيَكِيدُوا۟ لَكَ كَيْدًا ۖ إِنَّ ٱلشَّيْطَـٰنَ لِلْإِنسَـٰنِ عَدُوٌّ مُّبِينٌ','verse_number' => '5','verse_key' => '12:5','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '193','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1602','chapter_id' => '12','arabic_name' => 'وَكَذَٰلِكَ يَجْتَبِيكَ رَبُّكَ وَيُعَلِّمُكَ مِن تَأْوِيلِ ٱلْأَحَادِيثِ وَيُتِمُّ نِعْمَتَهُۥ عَلَيْكَ وَعَلَىٰٓ ءَالِ يَعْقُوبَ كَمَآ أَتَمَّهَا عَلَىٰٓ أَبَوَيْكَ مِن قَبْلُ إِبْرَٰهِيمَ وَإِسْحَـٰقَ ۚ إِنَّ رَبَّكَ عَلِيمٌ حَكِيمٌ','verse_number' => '6','verse_key' => '12:6','hizb_number' => '24','rub_el_hizb_number' => '94','ruku_number' => '193','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1603','chapter_id' => '12','arabic_name' => '۞ لَّقَدْ كَانَ فِى يُوسُفَ وَإِخْوَتِهِۦٓ ءَايَـٰتٌ لِّلسَّآئِلِينَ','verse_number' => '7','verse_key' => '12:7','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1604','chapter_id' => '12','arabic_name' => 'إِذْ قَالُوا۟ لَيُوسُفُ وَأَخُوهُ أَحَبُّ إِلَىٰٓ أَبِينَا مِنَّا وَنَحْنُ عُصْبَةٌ إِنَّ أَبَانَا لَفِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '8','verse_key' => '12:8','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1605','chapter_id' => '12','arabic_name' => 'ٱقْتُلُوا۟ يُوسُفَ أَوِ ٱطْرَحُوهُ أَرْضًا يَخْلُ لَكُمْ وَجْهُ أَبِيكُمْ وَتَكُونُوا۟ مِنۢ بَعْدِهِۦ قَوْمًا صَـٰلِحِينَ','verse_number' => '9','verse_key' => '12:9','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1606','chapter_id' => '12','arabic_name' => 'قَالَ قَآئِلٌ مِّنْهُمْ لَا تَقْتُلُوا۟ يُوسُفَ وَأَلْقُوهُ فِى غَيَـٰبَتِ ٱلْجُبِّ يَلْتَقِطْهُ بَعْضُ ٱلسَّيَّارَةِ إِن كُنتُمْ فَـٰعِلِينَ','verse_number' => '10','verse_key' => '12:10','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1607','chapter_id' => '12','arabic_name' => 'قَالُوا۟ يَـٰٓأَبَانَا مَا لَكَ لَا تَأْمَ۫نَّا عَلَىٰ يُوسُفَ وَإِنَّا لَهُۥ لَنَـٰصِحُونَ','verse_number' => '11','verse_key' => '12:11','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1608','chapter_id' => '12','arabic_name' => 'أَرْسِلْهُ مَعَنَا غَدًا يَرْتَعْ وَيَلْعَبْ وَإِنَّا لَهُۥ لَحَـٰفِظُونَ','verse_number' => '12','verse_key' => '12:12','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1609','chapter_id' => '12','arabic_name' => 'قَالَ إِنِّى لَيَحْزُنُنِىٓ أَن تَذْهَبُوا۟ بِهِۦ وَأَخَافُ أَن يَأْكُلَهُ ٱلذِّئْبُ وَأَنتُمْ عَنْهُ غَـٰفِلُونَ','verse_number' => '13','verse_key' => '12:13','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1610','chapter_id' => '12','arabic_name' => 'قَالُوا۟ لَئِنْ أَكَلَهُ ٱلذِّئْبُ وَنَحْنُ عُصْبَةٌ إِنَّآ إِذًا لَّخَـٰسِرُونَ','verse_number' => '14','verse_key' => '12:14','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '236','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1611','chapter_id' => '12','arabic_name' => 'فَلَمَّا ذَهَبُوا۟ بِهِۦ وَأَجْمَعُوٓا۟ أَن يَجْعَلُوهُ فِى غَيَـٰبَتِ ٱلْجُبِّ ۚ وَأَوْحَيْنَآ إِلَيْهِ لَتُنَبِّئَنَّهُم بِأَمْرِهِمْ هَـٰذَا وَهُمْ لَا يَشْعُرُونَ','verse_number' => '15','verse_key' => '12:15','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1612','chapter_id' => '12','arabic_name' => 'وَجَآءُوٓ أَبَاهُمْ عِشَآءً يَبْكُونَ','verse_number' => '16','verse_key' => '12:16','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1613','chapter_id' => '12','arabic_name' => 'قَالُوا۟ يَـٰٓأَبَانَآ إِنَّا ذَهَبْنَا نَسْتَبِقُ وَتَرَكْنَا يُوسُفَ عِندَ مَتَـٰعِنَا فَأَكَلَهُ ٱلذِّئْبُ ۖ وَمَآ أَنتَ بِمُؤْمِنٍ لَّنَا وَلَوْ كُنَّا صَـٰدِقِينَ','verse_number' => '17','verse_key' => '12:17','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1614','chapter_id' => '12','arabic_name' => 'وَجَآءُو عَلَىٰ قَمِيصِهِۦ بِدَمٍ كَذِبٍ ۚ قَالَ بَلْ سَوَّلَتْ لَكُمْ أَنفُسُكُمْ أَمْرًا ۖ فَصَبْرٌ جَمِيلٌ ۖ وَٱللَّهُ ٱلْمُسْتَعَانُ عَلَىٰ مَا تَصِفُونَ','verse_number' => '18','verse_key' => '12:18','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1615','chapter_id' => '12','arabic_name' => 'وَجَآءَتْ سَيَّارَةٌ فَأَرْسَلُوا۟ وَارِدَهُمْ فَأَدْلَىٰ دَلْوَهُۥ ۖ قَالَ يَـٰبُشْرَىٰ هَـٰذَا غُلَـٰمٌ ۚ وَأَسَرُّوهُ بِضَـٰعَةً ۚ وَٱللَّهُ عَلِيمٌۢ بِمَا يَعْمَلُونَ','verse_number' => '19','verse_key' => '12:19','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1616','chapter_id' => '12','arabic_name' => 'وَشَرَوْهُ بِثَمَنٍۭ بَخْسٍ دَرَٰهِمَ مَعْدُودَةٍ وَكَانُوا۟ فِيهِ مِنَ ٱلزَّٰهِدِينَ','verse_number' => '20','verse_key' => '12:20','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '194','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1617','chapter_id' => '12','arabic_name' => 'وَقَالَ ٱلَّذِى ٱشْتَرَىٰهُ مِن مِّصْرَ لِٱمْرَأَتِهِۦٓ أَكْرِمِى مَثْوَىٰهُ عَسَىٰٓ أَن يَنفَعَنَآ أَوْ نَتَّخِذَهُۥ وَلَدًا ۚ وَكَذَٰلِكَ مَكَّنَّا لِيُوسُفَ فِى ٱلْأَرْضِ وَلِنُعَلِّمَهُۥ مِن تَأْوِيلِ ٱلْأَحَادِيثِ ۚ وَٱللَّهُ غَالِبٌ عَلَىٰٓ أَمْرِهِۦ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '21','verse_key' => '12:21','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1618','chapter_id' => '12','arabic_name' => 'وَلَمَّا بَلَغَ أَشُدَّهُۥٓ ءَاتَيْنَـٰهُ حُكْمًا وَعِلْمًا ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '22','verse_key' => '12:22','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '237','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1619','chapter_id' => '12','arabic_name' => 'وَرَٰوَدَتْهُ ٱلَّتِى هُوَ فِى بَيْتِهَا عَن نَّفْسِهِۦ وَغَلَّقَتِ ٱلْأَبْوَٰبَ وَقَالَتْ هَيْتَ لَكَ ۚ قَالَ مَعَاذَ ٱللَّهِ ۖ إِنَّهُۥ رَبِّىٓ أَحْسَنَ مَثْوَاىَ ۖ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّـٰلِمُونَ','verse_number' => '23','verse_key' => '12:23','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1620','chapter_id' => '12','arabic_name' => 'وَلَقَدْ هَمَّتْ بِهِۦ ۖ وَهَمَّ بِهَا لَوْلَآ أَن رَّءَا بُرْهَـٰنَ رَبِّهِۦ ۚ كَذَٰلِكَ لِنَصْرِفَ عَنْهُ ٱلسُّوٓءَ وَٱلْفَحْشَآءَ ۚ إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُخْلَصِينَ','verse_number' => '24','verse_key' => '12:24','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1621','chapter_id' => '12','arabic_name' => 'وَٱسْتَبَقَا ٱلْبَابَ وَقَدَّتْ قَمِيصَهُۥ مِن دُبُرٍ وَأَلْفَيَا سَيِّدَهَا لَدَا ٱلْبَابِ ۚ قَالَتْ مَا جَزَآءُ مَنْ أَرَادَ بِأَهْلِكَ سُوٓءًا إِلَّآ أَن يُسْجَنَ أَوْ عَذَابٌ أَلِيمٌ','verse_number' => '25','verse_key' => '12:25','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1622','chapter_id' => '12','arabic_name' => 'قَالَ هِىَ رَٰوَدَتْنِى عَن نَّفْسِى ۚ وَشَهِدَ شَاهِدٌ مِّنْ أَهْلِهَآ إِن كَانَ قَمِيصُهُۥ قُدَّ مِن قُبُلٍ فَصَدَقَتْ وَهُوَ مِنَ ٱلْكَـٰذِبِينَ','verse_number' => '26','verse_key' => '12:26','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1623','chapter_id' => '12','arabic_name' => 'وَإِن كَانَ قَمِيصُهُۥ قُدَّ مِن دُبُرٍ فَكَذَبَتْ وَهُوَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '27','verse_key' => '12:27','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1624','chapter_id' => '12','arabic_name' => 'فَلَمَّا رَءَا قَمِيصَهُۥ قُدَّ مِن دُبُرٍ قَالَ إِنَّهُۥ مِن كَيْدِكُنَّ ۖ إِنَّ كَيْدَكُنَّ عَظِيمٌ','verse_number' => '28','verse_key' => '12:28','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1625','chapter_id' => '12','arabic_name' => 'يُوسُفُ أَعْرِضْ عَنْ هَـٰذَا ۚ وَٱسْتَغْفِرِى لِذَنۢبِكِ ۖ إِنَّكِ كُنتِ مِنَ ٱلْخَاطِـِٔينَ','verse_number' => '29','verse_key' => '12:29','hizb_number' => '24','rub_el_hizb_number' => '95','ruku_number' => '195','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1626','chapter_id' => '12','arabic_name' => '۞ وَقَالَ نِسْوَةٌ فِى ٱلْمَدِينَةِ ٱمْرَأَتُ ٱلْعَزِيزِ تُرَٰوِدُ فَتَىٰهَا عَن نَّفْسِهِۦ ۖ قَدْ شَغَفَهَا حُبًّا ۖ إِنَّا لَنَرَىٰهَا فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '30','verse_key' => '12:30','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '196','manzil_number' => '3','sajdah_number' => '0','page_number' => '238','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1627','chapter_id' => '12','arabic_name' => 'فَلَمَّا سَمِعَتْ بِمَكْرِهِنَّ أَرْسَلَتْ إِلَيْهِنَّ وَأَعْتَدَتْ لَهُنَّ مُتَّكَـًٔا وَءَاتَتْ كُلَّ وَٰحِدَةٍ مِّنْهُنَّ سِكِّينًا وَقَالَتِ ٱخْرُجْ عَلَيْهِنَّ ۖ فَلَمَّا رَأَيْنَهُۥٓ أَكْبَرْنَهُۥ وَقَطَّعْنَ أَيْدِيَهُنَّ وَقُلْنَ حَـٰشَ لِلَّهِ مَا هَـٰذَا بَشَرًا إِنْ هَـٰذَآ إِلَّا مَلَكٌ كَرِيمٌ','verse_number' => '31','verse_key' => '12:31','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '196','manzil_number' => '3','sajdah_number' => '0','page_number' => '239','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1628','chapter_id' => '12','arabic_name' => 'قَالَتْ فَذَٰلِكُنَّ ٱلَّذِى لُمْتُنَّنِى فِيهِ ۖ وَلَقَدْ رَٰوَدتُّهُۥ عَن نَّفْسِهِۦ فَٱسْتَعْصَمَ ۖ وَلَئِن لَّمْ يَفْعَلْ مَآ ءَامُرُهُۥ لَيُسْجَنَنَّ وَلَيَكُونًا مِّنَ ٱلصَّـٰغِرِينَ','verse_number' => '32','verse_key' => '12:32','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '196','manzil_number' => '3','sajdah_number' => '0','page_number' => '239','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1629','chapter_id' => '12','arabic_name' => 'قَالَ رَبِّ ٱلسِّجْنُ أَحَبُّ إِلَىَّ مِمَّا يَدْعُونَنِىٓ إِلَيْهِ ۖ وَإِلَّا تَصْرِفْ عَنِّى كَيْدَهُنَّ أَصْبُ إِلَيْهِنَّ وَأَكُن مِّنَ ٱلْجَـٰهِلِينَ','verse_number' => '33','verse_key' => '12:33','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '196','manzil_number' => '3','sajdah_number' => '0','page_number' => '239','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1630','chapter_id' => '12','arabic_name' => 'فَٱسْتَجَابَ لَهُۥ رَبُّهُۥ فَصَرَفَ عَنْهُ كَيْدَهُنَّ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '34','verse_key' => '12:34','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '196','manzil_number' => '3','sajdah_number' => '0','page_number' => '239','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1631','chapter_id' => '12','arabic_name' => 'ثُمَّ بَدَا لَهُم مِّنۢ بَعْدِ مَا رَأَوُا۟ ٱلْـَٔايَـٰتِ لَيَسْجُنُنَّهُۥ حَتَّىٰ حِينٍ','verse_number' => '35','verse_key' => '12:35','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '196','manzil_number' => '3','sajdah_number' => '0','page_number' => '239','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1632','chapter_id' => '12','arabic_name' => 'وَدَخَلَ مَعَهُ ٱلسِّجْنَ فَتَيَانِ ۖ قَالَ أَحَدُهُمَآ إِنِّىٓ أَرَىٰنِىٓ أَعْصِرُ خَمْرًا ۖ وَقَالَ ٱلْـَٔاخَرُ إِنِّىٓ أَرَىٰنِىٓ أَحْمِلُ فَوْقَ رَأْسِى خُبْزًا تَأْكُلُ ٱلطَّيْرُ مِنْهُ ۖ نَبِّئْنَا بِتَأْوِيلِهِۦٓ ۖ إِنَّا نَرَىٰكَ مِنَ ٱلْمُحْسِنِينَ','verse_number' => '36','verse_key' => '12:36','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '197','manzil_number' => '3','sajdah_number' => '0','page_number' => '239','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1633','chapter_id' => '12','arabic_name' => 'قَالَ لَا يَأْتِيكُمَا طَعَامٌ تُرْزَقَانِهِۦٓ إِلَّا نَبَّأْتُكُمَا بِتَأْوِيلِهِۦ قَبْلَ أَن يَأْتِيَكُمَا ۚ ذَٰلِكُمَا مِمَّا عَلَّمَنِى رَبِّىٓ ۚ إِنِّى تَرَكْتُ مِلَّةَ قَوْمٍ لَّا يُؤْمِنُونَ بِٱللَّهِ وَهُم بِٱلْـَٔاخِرَةِ هُمْ كَـٰفِرُونَ','verse_number' => '37','verse_key' => '12:37','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '197','manzil_number' => '3','sajdah_number' => '0','page_number' => '239','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1634','chapter_id' => '12','arabic_name' => 'وَٱتَّبَعْتُ مِلَّةَ ءَابَآءِىٓ إِبْرَٰهِيمَ وَإِسْحَـٰقَ وَيَعْقُوبَ ۚ مَا كَانَ لَنَآ أَن نُّشْرِكَ بِٱللَّهِ مِن شَىْءٍ ۚ ذَٰلِكَ مِن فَضْلِ ٱللَّهِ عَلَيْنَا وَعَلَى ٱلنَّاسِ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَشْكُرُونَ','verse_number' => '38','verse_key' => '12:38','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '197','manzil_number' => '3','sajdah_number' => '0','page_number' => '240','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1635','chapter_id' => '12','arabic_name' => 'يَـٰصَـٰحِبَىِ ٱلسِّجْنِ ءَأَرْبَابٌ مُّتَفَرِّقُونَ خَيْرٌ أَمِ ٱللَّهُ ٱلْوَٰحِدُ ٱلْقَهَّارُ','verse_number' => '39','verse_key' => '12:39','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '197','manzil_number' => '3','sajdah_number' => '0','page_number' => '240','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1636','chapter_id' => '12','arabic_name' => 'مَا تَعْبُدُونَ مِن دُونِهِۦٓ إِلَّآ أَسْمَآءً سَمَّيْتُمُوهَآ أَنتُمْ وَءَابَآؤُكُم مَّآ أَنزَلَ ٱللَّهُ بِهَا مِن سُلْطَـٰنٍ ۚ إِنِ ٱلْحُكْمُ إِلَّا لِلَّهِ ۚ أَمَرَ أَلَّا تَعْبُدُوٓا۟ إِلَّآ إِيَّاهُ ۚ ذَٰلِكَ ٱلدِّينُ ٱلْقَيِّمُ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '40','verse_key' => '12:40','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '197','manzil_number' => '3','sajdah_number' => '0','page_number' => '240','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1637','chapter_id' => '12','arabic_name' => 'يَـٰصَـٰحِبَىِ ٱلسِّجْنِ أَمَّآ أَحَدُكُمَا فَيَسْقِى رَبَّهُۥ خَمْرًا ۖ وَأَمَّا ٱلْـَٔاخَرُ فَيُصْلَبُ فَتَأْكُلُ ٱلطَّيْرُ مِن رَّأْسِهِۦ ۚ قُضِىَ ٱلْأَمْرُ ٱلَّذِى فِيهِ تَسْتَفْتِيَانِ','verse_number' => '41','verse_key' => '12:41','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '197','manzil_number' => '3','sajdah_number' => '0','page_number' => '240','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1638','chapter_id' => '12','arabic_name' => 'وَقَالَ لِلَّذِى ظَنَّ أَنَّهُۥ نَاجٍ مِّنْهُمَا ٱذْكُرْنِى عِندَ رَبِّكَ فَأَنسَىٰهُ ٱلشَّيْطَـٰنُ ذِكْرَ رَبِّهِۦ فَلَبِثَ فِى ٱلسِّجْنِ بِضْعَ سِنِينَ','verse_number' => '42','verse_key' => '12:42','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '197','manzil_number' => '3','sajdah_number' => '0','page_number' => '240','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1639','chapter_id' => '12','arabic_name' => 'وَقَالَ ٱلْمَلِكُ إِنِّىٓ أَرَىٰ سَبْعَ بَقَرَٰتٍ سِمَانٍ يَأْكُلُهُنَّ سَبْعٌ عِجَافٌ وَسَبْعَ سُنۢبُلَـٰتٍ خُضْرٍ وَأُخَرَ يَابِسَـٰتٍ ۖ يَـٰٓأَيُّهَا ٱلْمَلَأُ أَفْتُونِى فِى رُءْيَـٰىَ إِن كُنتُمْ لِلرُّءْيَا تَعْبُرُونَ','verse_number' => '43','verse_key' => '12:43','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '198','manzil_number' => '3','sajdah_number' => '0','page_number' => '240','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1640','chapter_id' => '12','arabic_name' => 'قَالُوٓا۟ أَضْغَـٰثُ أَحْلَـٰمٍ ۖ وَمَا نَحْنُ بِتَأْوِيلِ ٱلْأَحْلَـٰمِ بِعَـٰلِمِينَ','verse_number' => '44','verse_key' => '12:44','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '198','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1641','chapter_id' => '12','arabic_name' => 'وَقَالَ ٱلَّذِى نَجَا مِنْهُمَا وَٱدَّكَرَ بَعْدَ أُمَّةٍ أَنَا۠ أُنَبِّئُكُم بِتَأْوِيلِهِۦ فَأَرْسِلُونِ','verse_number' => '45','verse_key' => '12:45','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '198','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1642','chapter_id' => '12','arabic_name' => 'يُوسُفُ أَيُّهَا ٱلصِّدِّيقُ أَفْتِنَا فِى سَبْعِ بَقَرَٰتٍ سِمَانٍ يَأْكُلُهُنَّ سَبْعٌ عِجَافٌ وَسَبْعِ سُنۢبُلَـٰتٍ خُضْرٍ وَأُخَرَ يَابِسَـٰتٍ لَّعَلِّىٓ أَرْجِعُ إِلَى ٱلنَّاسِ لَعَلَّهُمْ يَعْلَمُونَ','verse_number' => '46','verse_key' => '12:46','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '198','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1643','chapter_id' => '12','arabic_name' => 'قَالَ تَزْرَعُونَ سَبْعَ سِنِينَ دَأَبًا فَمَا حَصَدتُّمْ فَذَرُوهُ فِى سُنۢبُلِهِۦٓ إِلَّا قَلِيلًا مِّمَّا تَأْكُلُونَ','verse_number' => '47','verse_key' => '12:47','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '198','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1644','chapter_id' => '12','arabic_name' => 'ثُمَّ يَأْتِى مِنۢ بَعْدِ ذَٰلِكَ سَبْعٌ شِدَادٌ يَأْكُلْنَ مَا قَدَّمْتُمْ لَهُنَّ إِلَّا قَلِيلًا مِّمَّا تُحْصِنُونَ','verse_number' => '48','verse_key' => '12:48','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '198','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1645','chapter_id' => '12','arabic_name' => 'ثُمَّ يَأْتِى مِنۢ بَعْدِ ذَٰلِكَ عَامٌ فِيهِ يُغَاثُ ٱلنَّاسُ وَفِيهِ يَعْصِرُونَ','verse_number' => '49','verse_key' => '12:49','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '198','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1646','chapter_id' => '12','arabic_name' => 'وَقَالَ ٱلْمَلِكُ ٱئْتُونِى بِهِۦ ۖ فَلَمَّا جَآءَهُ ٱلرَّسُولُ قَالَ ٱرْجِعْ إِلَىٰ رَبِّكَ فَسْـَٔلْهُ مَا بَالُ ٱلنِّسْوَةِ ٱلَّـٰتِى قَطَّعْنَ أَيْدِيَهُنَّ ۚ إِنَّ رَبِّى بِكَيْدِهِنَّ عَلِيمٌ','verse_number' => '50','verse_key' => '12:50','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1647','chapter_id' => '12','arabic_name' => 'قَالَ مَا خَطْبُكُنَّ إِذْ رَٰوَدتُّنَّ يُوسُفَ عَن نَّفْسِهِۦ ۚ قُلْنَ حَـٰشَ لِلَّهِ مَا عَلِمْنَا عَلَيْهِ مِن سُوٓءٍ ۚ قَالَتِ ٱمْرَأَتُ ٱلْعَزِيزِ ٱلْـَٔـٰنَ حَصْحَصَ ٱلْحَقُّ أَنَا۠ رَٰوَدتُّهُۥ عَن نَّفْسِهِۦ وَإِنَّهُۥ لَمِنَ ٱلصَّـٰدِقِينَ','verse_number' => '51','verse_key' => '12:51','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1648','chapter_id' => '12','arabic_name' => 'ذَٰلِكَ لِيَعْلَمَ أَنِّى لَمْ أَخُنْهُ بِٱلْغَيْبِ وَأَنَّ ٱللَّهَ لَا يَهْدِى كَيْدَ ٱلْخَآئِنِينَ','verse_number' => '52','verse_key' => '12:52','hizb_number' => '24','rub_el_hizb_number' => '96','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '241','juz_number' => '12','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1649','chapter_id' => '12','arabic_name' => '۞ وَمَآ أُبَرِّئُ نَفْسِىٓ ۚ إِنَّ ٱلنَّفْسَ لَأَمَّارَةٌۢ بِٱلسُّوٓءِ إِلَّا مَا رَحِمَ رَبِّىٓ ۚ إِنَّ رَبِّى غَفُورٌ رَّحِيمٌ','verse_number' => '53','verse_key' => '12:53','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1650','chapter_id' => '12','arabic_name' => 'وَقَالَ ٱلْمَلِكُ ٱئْتُونِى بِهِۦٓ أَسْتَخْلِصْهُ لِنَفْسِى ۖ فَلَمَّا كَلَّمَهُۥ قَالَ إِنَّكَ ٱلْيَوْمَ لَدَيْنَا مَكِينٌ أَمِينٌ','verse_number' => '54','verse_key' => '12:54','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1651','chapter_id' => '12','arabic_name' => 'قَالَ ٱجْعَلْنِى عَلَىٰ خَزَآئِنِ ٱلْأَرْضِ ۖ إِنِّى حَفِيظٌ عَلِيمٌ','verse_number' => '55','verse_key' => '12:55','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1652','chapter_id' => '12','arabic_name' => 'وَكَذَٰلِكَ مَكَّنَّا لِيُوسُفَ فِى ٱلْأَرْضِ يَتَبَوَّأُ مِنْهَا حَيْثُ يَشَآءُ ۚ نُصِيبُ بِرَحْمَتِنَا مَن نَّشَآءُ ۖ وَلَا نُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ','verse_number' => '56','verse_key' => '12:56','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1653','chapter_id' => '12','arabic_name' => 'وَلَأَجْرُ ٱلْـَٔاخِرَةِ خَيْرٌ لِّلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ','verse_number' => '57','verse_key' => '12:57','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '199','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1654','chapter_id' => '12','arabic_name' => 'وَجَآءَ إِخْوَةُ يُوسُفَ فَدَخَلُوا۟ عَلَيْهِ فَعَرَفَهُمْ وَهُمْ لَهُۥ مُنكِرُونَ','verse_number' => '58','verse_key' => '12:58','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1655','chapter_id' => '12','arabic_name' => 'وَلَمَّا جَهَّزَهُم بِجَهَازِهِمْ قَالَ ٱئْتُونِى بِأَخٍ لَّكُم مِّنْ أَبِيكُمْ ۚ أَلَا تَرَوْنَ أَنِّىٓ أُوفِى ٱلْكَيْلَ وَأَنَا۠ خَيْرُ ٱلْمُنزِلِينَ','verse_number' => '59','verse_key' => '12:59','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1656','chapter_id' => '12','arabic_name' => 'فَإِن لَّمْ تَأْتُونِى بِهِۦ فَلَا كَيْلَ لَكُمْ عِندِى وَلَا تَقْرَبُونِ','verse_number' => '60','verse_key' => '12:60','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1657','chapter_id' => '12','arabic_name' => 'قَالُوا۟ سَنُرَٰوِدُ عَنْهُ أَبَاهُ وَإِنَّا لَفَـٰعِلُونَ','verse_number' => '61','verse_key' => '12:61','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1658','chapter_id' => '12','arabic_name' => 'وَقَالَ لِفِتْيَـٰنِهِ ٱجْعَلُوا۟ بِضَـٰعَتَهُمْ فِى رِحَالِهِمْ لَعَلَّهُمْ يَعْرِفُونَهَآ إِذَا ٱنقَلَبُوٓا۟ إِلَىٰٓ أَهْلِهِمْ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '62','verse_key' => '12:62','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1659','chapter_id' => '12','arabic_name' => 'فَلَمَّا رَجَعُوٓا۟ إِلَىٰٓ أَبِيهِمْ قَالُوا۟ يَـٰٓأَبَانَا مُنِعَ مِنَّا ٱلْكَيْلُ فَأَرْسِلْ مَعَنَآ أَخَانَا نَكْتَلْ وَإِنَّا لَهُۥ لَحَـٰفِظُونَ','verse_number' => '63','verse_key' => '12:63','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '242','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1660','chapter_id' => '12','arabic_name' => 'قَالَ هَلْ ءَامَنُكُمْ عَلَيْهِ إِلَّا كَمَآ أَمِنتُكُمْ عَلَىٰٓ أَخِيهِ مِن قَبْلُ ۖ فَٱللَّهُ خَيْرٌ حَـٰفِظًا ۖ وَهُوَ أَرْحَمُ ٱلرَّٰحِمِينَ','verse_number' => '64','verse_key' => '12:64','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '243','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1661','chapter_id' => '12','arabic_name' => 'وَلَمَّا فَتَحُوا۟ مَتَـٰعَهُمْ وَجَدُوا۟ بِضَـٰعَتَهُمْ رُدَّتْ إِلَيْهِمْ ۖ قَالُوا۟ يَـٰٓأَبَانَا مَا نَبْغِى ۖ هَـٰذِهِۦ بِضَـٰعَتُنَا رُدَّتْ إِلَيْنَا ۖ وَنَمِيرُ أَهْلَنَا وَنَحْفَظُ أَخَانَا وَنَزْدَادُ كَيْلَ بَعِيرٍ ۖ ذَٰلِكَ كَيْلٌ يَسِيرٌ','verse_number' => '65','verse_key' => '12:65','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '243','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1662','chapter_id' => '12','arabic_name' => 'قَالَ لَنْ أُرْسِلَهُۥ مَعَكُمْ حَتَّىٰ تُؤْتُونِ مَوْثِقًا مِّنَ ٱللَّهِ لَتَأْتُنَّنِى بِهِۦٓ إِلَّآ أَن يُحَاطَ بِكُمْ ۖ فَلَمَّآ ءَاتَوْهُ مَوْثِقَهُمْ قَالَ ٱللَّهُ عَلَىٰ مَا نَقُولُ وَكِيلٌ','verse_number' => '66','verse_key' => '12:66','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '243','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1663','chapter_id' => '12','arabic_name' => 'وَقَالَ يَـٰبَنِىَّ لَا تَدْخُلُوا۟ مِنۢ بَابٍ وَٰحِدٍ وَٱدْخُلُوا۟ مِنْ أَبْوَٰبٍ مُّتَفَرِّقَةٍ ۖ وَمَآ أُغْنِى عَنكُم مِّنَ ٱللَّهِ مِن شَىْءٍ ۖ إِنِ ٱلْحُكْمُ إِلَّا لِلَّهِ ۖ عَلَيْهِ تَوَكَّلْتُ ۖ وَعَلَيْهِ فَلْيَتَوَكَّلِ ٱلْمُتَوَكِّلُونَ','verse_number' => '67','verse_key' => '12:67','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '243','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1664','chapter_id' => '12','arabic_name' => 'وَلَمَّا دَخَلُوا۟ مِنْ حَيْثُ أَمَرَهُمْ أَبُوهُم مَّا كَانَ يُغْنِى عَنْهُم مِّنَ ٱللَّهِ مِن شَىْءٍ إِلَّا حَاجَةً فِى نَفْسِ يَعْقُوبَ قَضَىٰهَا ۚ وَإِنَّهُۥ لَذُو عِلْمٍ لِّمَا عَلَّمْنَـٰهُ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '68','verse_key' => '12:68','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '200','manzil_number' => '3','sajdah_number' => '0','page_number' => '243','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1665','chapter_id' => '12','arabic_name' => 'وَلَمَّا دَخَلُوا۟ عَلَىٰ يُوسُفَ ءَاوَىٰٓ إِلَيْهِ أَخَاهُ ۖ قَالَ إِنِّىٓ أَنَا۠ أَخُوكَ فَلَا تَبْتَئِسْ بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '69','verse_key' => '12:69','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '243','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1666','chapter_id' => '12','arabic_name' => 'فَلَمَّا جَهَّزَهُم بِجَهَازِهِمْ جَعَلَ ٱلسِّقَايَةَ فِى رَحْلِ أَخِيهِ ثُمَّ أَذَّنَ مُؤَذِّنٌ أَيَّتُهَا ٱلْعِيرُ إِنَّكُمْ لَسَـٰرِقُونَ','verse_number' => '70','verse_key' => '12:70','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1667','chapter_id' => '12','arabic_name' => 'قَالُوا۟ وَأَقْبَلُوا۟ عَلَيْهِم مَّاذَا تَفْقِدُونَ','verse_number' => '71','verse_key' => '12:71','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1668','chapter_id' => '12','arabic_name' => 'قَالُوا۟ نَفْقِدُ صُوَاعَ ٱلْمَلِكِ وَلِمَن جَآءَ بِهِۦ حِمْلُ بَعِيرٍ وَأَنَا۠ بِهِۦ زَعِيمٌ','verse_number' => '72','verse_key' => '12:72','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1669','chapter_id' => '12','arabic_name' => 'قَالُوا۟ تَٱللَّهِ لَقَدْ عَلِمْتُم مَّا جِئْنَا لِنُفْسِدَ فِى ٱلْأَرْضِ وَمَا كُنَّا سَـٰرِقِينَ','verse_number' => '73','verse_key' => '12:73','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1670','chapter_id' => '12','arabic_name' => 'قَالُوا۟ فَمَا جَزَٰٓؤُهُۥٓ إِن كُنتُمْ كَـٰذِبِينَ','verse_number' => '74','verse_key' => '12:74','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1671','chapter_id' => '12','arabic_name' => 'قَالُوا۟ جَزَٰٓؤُهُۥ مَن وُجِدَ فِى رَحْلِهِۦ فَهُوَ جَزَٰٓؤُهُۥ ۚ كَذَٰلِكَ نَجْزِى ٱلظَّـٰلِمِينَ','verse_number' => '75','verse_key' => '12:75','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1672','chapter_id' => '12','arabic_name' => 'فَبَدَأَ بِأَوْعِيَتِهِمْ قَبْلَ وِعَآءِ أَخِيهِ ثُمَّ ٱسْتَخْرَجَهَا مِن وِعَآءِ أَخِيهِ ۚ كَذَٰلِكَ كِدْنَا لِيُوسُفَ ۖ مَا كَانَ لِيَأْخُذَ أَخَاهُ فِى دِينِ ٱلْمَلِكِ إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ نَرْفَعُ دَرَجَـٰتٍ مَّن نَّشَآءُ ۗ وَفَوْقَ كُلِّ ذِى عِلْمٍ عَلِيمٌ','verse_number' => '76','verse_key' => '12:76','hizb_number' => '25','rub_el_hizb_number' => '97','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1673','chapter_id' => '12','arabic_name' => '۞ قَالُوٓا۟ إِن يَسْرِقْ فَقَدْ سَرَقَ أَخٌ لَّهُۥ مِن قَبْلُ ۚ فَأَسَرَّهَا يُوسُفُ فِى نَفْسِهِۦ وَلَمْ يُبْدِهَا لَهُمْ ۚ قَالَ أَنتُمْ شَرٌّ مَّكَانًا ۖ وَٱللَّهُ أَعْلَمُ بِمَا تَصِفُونَ','verse_number' => '77','verse_key' => '12:77','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1674','chapter_id' => '12','arabic_name' => 'قَالُوا۟ يَـٰٓأَيُّهَا ٱلْعَزِيزُ إِنَّ لَهُۥٓ أَبًا شَيْخًا كَبِيرًا فَخُذْ أَحَدَنَا مَكَانَهُۥٓ ۖ إِنَّا نَرَىٰكَ مِنَ ٱلْمُحْسِنِينَ','verse_number' => '78','verse_key' => '12:78','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '244','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1675','chapter_id' => '12','arabic_name' => 'قَالَ مَعَاذَ ٱللَّهِ أَن نَّأْخُذَ إِلَّا مَن وَجَدْنَا مَتَـٰعَنَا عِندَهُۥٓ إِنَّآ إِذًا لَّظَـٰلِمُونَ','verse_number' => '79','verse_key' => '12:79','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '201','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1676','chapter_id' => '12','arabic_name' => 'فَلَمَّا ٱسْتَيْـَٔسُوا۟ مِنْهُ خَلَصُوا۟ نَجِيًّا ۖ قَالَ كَبِيرُهُمْ أَلَمْ تَعْلَمُوٓا۟ أَنَّ أَبَاكُمْ قَدْ أَخَذَ عَلَيْكُم مَّوْثِقًا مِّنَ ٱللَّهِ وَمِن قَبْلُ مَا فَرَّطتُمْ فِى يُوسُفَ ۖ فَلَنْ أَبْرَحَ ٱلْأَرْضَ حَتَّىٰ يَأْذَنَ لِىٓ أَبِىٓ أَوْ يَحْكُمَ ٱللَّهُ لِى ۖ وَهُوَ خَيْرُ ٱلْحَـٰكِمِينَ','verse_number' => '80','verse_key' => '12:80','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1677','chapter_id' => '12','arabic_name' => 'ٱرْجِعُوٓا۟ إِلَىٰٓ أَبِيكُمْ فَقُولُوا۟ يَـٰٓأَبَانَآ إِنَّ ٱبْنَكَ سَرَقَ وَمَا شَهِدْنَآ إِلَّا بِمَا عَلِمْنَا وَمَا كُنَّا لِلْغَيْبِ حَـٰفِظِينَ','verse_number' => '81','verse_key' => '12:81','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1678','chapter_id' => '12','arabic_name' => 'وَسْـَٔلِ ٱلْقَرْيَةَ ٱلَّتِى كُنَّا فِيهَا وَٱلْعِيرَ ٱلَّتِىٓ أَقْبَلْنَا فِيهَا ۖ وَإِنَّا لَصَـٰدِقُونَ','verse_number' => '82','verse_key' => '12:82','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1679','chapter_id' => '12','arabic_name' => 'قَالَ بَلْ سَوَّلَتْ لَكُمْ أَنفُسُكُمْ أَمْرًا ۖ فَصَبْرٌ جَمِيلٌ ۖ عَسَى ٱللَّهُ أَن يَأْتِيَنِى بِهِمْ جَمِيعًا ۚ إِنَّهُۥ هُوَ ٱلْعَلِيمُ ٱلْحَكِيمُ','verse_number' => '83','verse_key' => '12:83','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1680','chapter_id' => '12','arabic_name' => 'وَتَوَلَّىٰ عَنْهُمْ وَقَالَ يَـٰٓأَسَفَىٰ عَلَىٰ يُوسُفَ وَٱبْيَضَّتْ عَيْنَاهُ مِنَ ٱلْحُزْنِ فَهُوَ كَظِيمٌ','verse_number' => '84','verse_key' => '12:84','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1681','chapter_id' => '12','arabic_name' => 'قَالُوا۟ تَٱللَّهِ تَفْتَؤُا۟ تَذْكُرُ يُوسُفَ حَتَّىٰ تَكُونَ حَرَضًا أَوْ تَكُونَ مِنَ ٱلْهَـٰلِكِينَ','verse_number' => '85','verse_key' => '12:85','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1682','chapter_id' => '12','arabic_name' => 'قَالَ إِنَّمَآ أَشْكُوا۟ بَثِّى وَحُزْنِىٓ إِلَى ٱللَّهِ وَأَعْلَمُ مِنَ ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '86','verse_key' => '12:86','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '245','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1683','chapter_id' => '12','arabic_name' => 'يَـٰبَنِىَّ ٱذْهَبُوا۟ فَتَحَسَّسُوا۟ مِن يُوسُفَ وَأَخِيهِ وَلَا تَا۟يْـَٔسُوا۟ مِن رَّوْحِ ٱللَّهِ ۖ إِنَّهُۥ لَا يَا۟يْـَٔسُ مِن رَّوْحِ ٱللَّهِ إِلَّا ٱلْقَوْمُ ٱلْكَـٰفِرُونَ','verse_number' => '87','verse_key' => '12:87','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1684','chapter_id' => '12','arabic_name' => 'فَلَمَّا دَخَلُوا۟ عَلَيْهِ قَالُوا۟ يَـٰٓأَيُّهَا ٱلْعَزِيزُ مَسَّنَا وَأَهْلَنَا ٱلضُّرُّ وَجِئْنَا بِبِضَـٰعَةٍ مُّزْجَىٰةٍ فَأَوْفِ لَنَا ٱلْكَيْلَ وَتَصَدَّقْ عَلَيْنَآ ۖ إِنَّ ٱللَّهَ يَجْزِى ٱلْمُتَصَدِّقِينَ','verse_number' => '88','verse_key' => '12:88','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1685','chapter_id' => '12','arabic_name' => 'قَالَ هَلْ عَلِمْتُم مَّا فَعَلْتُم بِيُوسُفَ وَأَخِيهِ إِذْ أَنتُمْ جَـٰهِلُونَ','verse_number' => '89','verse_key' => '12:89','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1686','chapter_id' => '12','arabic_name' => 'قَالُوٓا۟ أَءِنَّكَ لَأَنتَ يُوسُفُ ۖ قَالَ أَنَا۠ يُوسُفُ وَهَـٰذَآ أَخِى ۖ قَدْ مَنَّ ٱللَّهُ عَلَيْنَآ ۖ إِنَّهُۥ مَن يَتَّقِ وَيَصْبِرْ فَإِنَّ ٱللَّهَ لَا يُضِيعُ أَجْرَ ٱلْمُحْسِنِينَ','verse_number' => '90','verse_key' => '12:90','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1687','chapter_id' => '12','arabic_name' => 'قَالُوا۟ تَٱللَّهِ لَقَدْ ءَاثَرَكَ ٱللَّهُ عَلَيْنَا وَإِن كُنَّا لَخَـٰطِـِٔينَ','verse_number' => '91','verse_key' => '12:91','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1688','chapter_id' => '12','arabic_name' => 'قَالَ لَا تَثْرِيبَ عَلَيْكُمُ ٱلْيَوْمَ ۖ يَغْفِرُ ٱللَّهُ لَكُمْ ۖ وَهُوَ أَرْحَمُ ٱلرَّٰحِمِينَ','verse_number' => '92','verse_key' => '12:92','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1689','chapter_id' => '12','arabic_name' => 'ٱذْهَبُوا۟ بِقَمِيصِى هَـٰذَا فَأَلْقُوهُ عَلَىٰ وَجْهِ أَبِى يَأْتِ بَصِيرًا وَأْتُونِى بِأَهْلِكُمْ أَجْمَعِينَ','verse_number' => '93','verse_key' => '12:93','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '202','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1690','chapter_id' => '12','arabic_name' => 'وَلَمَّا فَصَلَتِ ٱلْعِيرُ قَالَ أَبُوهُمْ إِنِّى لَأَجِدُ رِيحَ يُوسُفَ ۖ لَوْلَآ أَن تُفَنِّدُونِ','verse_number' => '94','verse_key' => '12:94','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1691','chapter_id' => '12','arabic_name' => 'قَالُوا۟ تَٱللَّهِ إِنَّكَ لَفِى ضَلَـٰلِكَ ٱلْقَدِيمِ','verse_number' => '95','verse_key' => '12:95','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '246','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1692','chapter_id' => '12','arabic_name' => 'فَلَمَّآ أَن جَآءَ ٱلْبَشِيرُ أَلْقَىٰهُ عَلَىٰ وَجْهِهِۦ فَٱرْتَدَّ بَصِيرًا ۖ قَالَ أَلَمْ أَقُل لَّكُمْ إِنِّىٓ أَعْلَمُ مِنَ ٱللَّهِ مَا لَا تَعْلَمُونَ','verse_number' => '96','verse_key' => '12:96','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1693','chapter_id' => '12','arabic_name' => 'قَالُوا۟ يَـٰٓأَبَانَا ٱسْتَغْفِرْ لَنَا ذُنُوبَنَآ إِنَّا كُنَّا خَـٰطِـِٔينَ','verse_number' => '97','verse_key' => '12:97','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1694','chapter_id' => '12','arabic_name' => 'قَالَ سَوْفَ أَسْتَغْفِرُ لَكُمْ رَبِّىٓ ۖ إِنَّهُۥ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ','verse_number' => '98','verse_key' => '12:98','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1695','chapter_id' => '12','arabic_name' => 'فَلَمَّا دَخَلُوا۟ عَلَىٰ يُوسُفَ ءَاوَىٰٓ إِلَيْهِ أَبَوَيْهِ وَقَالَ ٱدْخُلُوا۟ مِصْرَ إِن شَآءَ ٱللَّهُ ءَامِنِينَ','verse_number' => '99','verse_key' => '12:99','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1696','chapter_id' => '12','arabic_name' => 'وَرَفَعَ أَبَوَيْهِ عَلَى ٱلْعَرْشِ وَخَرُّوا۟ لَهُۥ سُجَّدًا ۖ وَقَالَ يَـٰٓأَبَتِ هَـٰذَا تَأْوِيلُ رُءْيَـٰىَ مِن قَبْلُ قَدْ جَعَلَهَا رَبِّى حَقًّا ۖ وَقَدْ أَحْسَنَ بِىٓ إِذْ أَخْرَجَنِى مِنَ ٱلسِّجْنِ وَجَآءَ بِكُم مِّنَ ٱلْبَدْوِ مِنۢ بَعْدِ أَن نَّزَغَ ٱلشَّيْطَـٰنُ بَيْنِى وَبَيْنَ إِخْوَتِىٓ ۚ إِنَّ رَبِّى لَطِيفٌ لِّمَا يَشَآءُ ۚ إِنَّهُۥ هُوَ ٱلْعَلِيمُ ٱلْحَكِيمُ','verse_number' => '100','verse_key' => '12:100','hizb_number' => '25','rub_el_hizb_number' => '98','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1697','chapter_id' => '12','arabic_name' => '۞ رَبِّ قَدْ ءَاتَيْتَنِى مِنَ ٱلْمُلْكِ وَعَلَّمْتَنِى مِن تَأْوِيلِ ٱلْأَحَادِيثِ ۚ فَاطِرَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ أَنتَ وَلِىِّۦ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ ۖ تَوَفَّنِى مُسْلِمًا وَأَلْحِقْنِى بِٱلصَّـٰلِحِينَ','verse_number' => '101','verse_key' => '12:101','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1698','chapter_id' => '12','arabic_name' => 'ذَٰلِكَ مِنْ أَنۢبَآءِ ٱلْغَيْبِ نُوحِيهِ إِلَيْكَ ۖ وَمَا كُنتَ لَدَيْهِمْ إِذْ أَجْمَعُوٓا۟ أَمْرَهُمْ وَهُمْ يَمْكُرُونَ','verse_number' => '102','verse_key' => '12:102','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1699','chapter_id' => '12','arabic_name' => 'وَمَآ أَكْثَرُ ٱلنَّاسِ وَلَوْ حَرَصْتَ بِمُؤْمِنِينَ','verse_number' => '103','verse_key' => '12:103','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '247','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1700','chapter_id' => '12','arabic_name' => 'وَمَا تَسْـَٔلُهُمْ عَلَيْهِ مِنْ أَجْرٍ ۚ إِنْ هُوَ إِلَّا ذِكْرٌ لِّلْعَـٰلَمِينَ','verse_number' => '104','verse_key' => '12:104','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '203','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1701','chapter_id' => '12','arabic_name' => 'وَكَأَيِّن مِّنْ ءَايَةٍ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ يَمُرُّونَ عَلَيْهَا وَهُمْ عَنْهَا مُعْرِضُونَ','verse_number' => '105','verse_key' => '12:105','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '204','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1702','chapter_id' => '12','arabic_name' => 'وَمَا يُؤْمِنُ أَكْثَرُهُم بِٱللَّهِ إِلَّا وَهُم مُّشْرِكُونَ','verse_number' => '106','verse_key' => '12:106','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '204','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1703','chapter_id' => '12','arabic_name' => 'أَفَأَمِنُوٓا۟ أَن تَأْتِيَهُمْ غَـٰشِيَةٌ مِّنْ عَذَابِ ٱللَّهِ أَوْ تَأْتِيَهُمُ ٱلسَّاعَةُ بَغْتَةً وَهُمْ لَا يَشْعُرُونَ','verse_number' => '107','verse_key' => '12:107','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '204','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1704','chapter_id' => '12','arabic_name' => 'قُلْ هَـٰذِهِۦ سَبِيلِىٓ أَدْعُوٓا۟ إِلَى ٱللَّهِ ۚ عَلَىٰ بَصِيرَةٍ أَنَا۠ وَمَنِ ٱتَّبَعَنِى ۖ وَسُبْحَـٰنَ ٱللَّهِ وَمَآ أَنَا۠ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '108','verse_key' => '12:108','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '204','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1705','chapter_id' => '12','arabic_name' => 'وَمَآ أَرْسَلْنَا مِن قَبْلِكَ إِلَّا رِجَالًا نُّوحِىٓ إِلَيْهِم مِّنْ أَهْلِ ٱلْقُرَىٰٓ ۗ أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۗ وَلَدَارُ ٱلْـَٔاخِرَةِ خَيْرٌ لِّلَّذِينَ ٱتَّقَوْا۟ ۗ أَفَلَا تَعْقِلُونَ','verse_number' => '109','verse_key' => '12:109','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '204','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1706','chapter_id' => '12','arabic_name' => 'حَتَّىٰٓ إِذَا ٱسْتَيْـَٔسَ ٱلرُّسُلُ وَظَنُّوٓا۟ أَنَّهُمْ قَدْ كُذِبُوا۟ جَآءَهُمْ نَصْرُنَا فَنُجِّىَ مَن نَّشَآءُ ۖ وَلَا يُرَدُّ بَأْسُنَا عَنِ ٱلْقَوْمِ ٱلْمُجْرِمِينَ','verse_number' => '110','verse_key' => '12:110','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '204','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1707','chapter_id' => '12','arabic_name' => 'لَقَدْ كَانَ فِى قَصَصِهِمْ عِبْرَةٌ لِّأُو۟لِى ٱلْأَلْبَـٰبِ ۗ مَا كَانَ حَدِيثًا يُفْتَرَىٰ وَلَـٰكِن تَصْدِيقَ ٱلَّذِى بَيْنَ يَدَيْهِ وَتَفْصِيلَ كُلِّ شَىْءٍ وَهُدًى وَرَحْمَةً لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '111','verse_key' => '12:111','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '204','manzil_number' => '3','sajdah_number' => '0','page_number' => '248','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1708','chapter_id' => '13','arabic_name' => 'الٓمٓر ۚ تِلْكَ ءَايَـٰتُ ٱلْكِتَـٰبِ ۗ وَٱلَّذِىٓ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ ٱلْحَقُّ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يُؤْمِنُونَ','verse_number' => '1','verse_key' => '13:1','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '205','manzil_number' => '3','sajdah_number' => '0','page_number' => '249','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1709','chapter_id' => '13','arabic_name' => 'ٱللَّهُ ٱلَّذِى رَفَعَ ٱلسَّمَـٰوَٰتِ بِغَيْرِ عَمَدٍ تَرَوْنَهَا ۖ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۖ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ ۖ كُلٌّ يَجْرِى لِأَجَلٍ مُّسَمًّى ۚ يُدَبِّرُ ٱلْأَمْرَ يُفَصِّلُ ٱلْـَٔايَـٰتِ لَعَلَّكُم بِلِقَآءِ رَبِّكُمْ تُوقِنُونَ','verse_number' => '2','verse_key' => '13:2','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '205','manzil_number' => '3','sajdah_number' => '0','page_number' => '249','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1710','chapter_id' => '13','arabic_name' => 'وَهُوَ ٱلَّذِى مَدَّ ٱلْأَرْضَ وَجَعَلَ فِيهَا رَوَٰسِىَ وَأَنْهَـٰرًا ۖ وَمِن كُلِّ ٱلثَّمَرَٰتِ جَعَلَ فِيهَا زَوْجَيْنِ ٱثْنَيْنِ ۖ يُغْشِى ٱلَّيْلَ ٱلنَّهَارَ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَتَفَكَّرُونَ','verse_number' => '3','verse_key' => '13:3','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '205','manzil_number' => '3','sajdah_number' => '0','page_number' => '249','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1711','chapter_id' => '13','arabic_name' => 'وَفِى ٱلْأَرْضِ قِطَعٌ مُّتَجَـٰوِرَٰتٌ وَجَنَّـٰتٌ مِّنْ أَعْنَـٰبٍ وَزَرْعٌ وَنَخِيلٌ صِنْوَانٌ وَغَيْرُ صِنْوَانٍ يُسْقَىٰ بِمَآءٍ وَٰحِدٍ وَنُفَضِّلُ بَعْضَهَا عَلَىٰ بَعْضٍ فِى ٱلْأُكُلِ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَعْقِلُونَ','verse_number' => '4','verse_key' => '13:4','hizb_number' => '25','rub_el_hizb_number' => '99','ruku_number' => '205','manzil_number' => '3','sajdah_number' => '0','page_number' => '249','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1712','chapter_id' => '13','arabic_name' => '۞ وَإِن تَعْجَبْ فَعَجَبٌ قَوْلُهُمْ أَءِذَا كُنَّا تُرَٰبًا أَءِنَّا لَفِى خَلْقٍ جَدِيدٍ ۗ أُو۟لَـٰٓئِكَ ٱلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ ۖ وَأُو۟لَـٰٓئِكَ ٱلْأَغْلَـٰلُ فِىٓ أَعْنَاقِهِمْ ۖ وَأُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '5','verse_key' => '13:5','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '205','manzil_number' => '3','sajdah_number' => '0','page_number' => '249','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1713','chapter_id' => '13','arabic_name' => 'وَيَسْتَعْجِلُونَكَ بِٱلسَّيِّئَةِ قَبْلَ ٱلْحَسَنَةِ وَقَدْ خَلَتْ مِن قَبْلِهِمُ ٱلْمَثُلَـٰتُ ۗ وَإِنَّ رَبَّكَ لَذُو مَغْفِرَةٍ لِّلنَّاسِ عَلَىٰ ظُلْمِهِمْ ۖ وَإِنَّ رَبَّكَ لَشَدِيدُ ٱلْعِقَابِ','verse_number' => '6','verse_key' => '13:6','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '205','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1714','chapter_id' => '13','arabic_name' => 'وَيَقُولُ ٱلَّذِينَ كَفَرُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَةٌ مِّن رَّبِّهِۦٓ ۗ إِنَّمَآ أَنتَ مُنذِرٌ ۖ وَلِكُلِّ قَوْمٍ هَادٍ','verse_number' => '7','verse_key' => '13:7','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '205','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1715','chapter_id' => '13','arabic_name' => 'ٱللَّهُ يَعْلَمُ مَا تَحْمِلُ كُلُّ أُنثَىٰ وَمَا تَغِيضُ ٱلْأَرْحَامُ وَمَا تَزْدَادُ ۖ وَكُلُّ شَىْءٍ عِندَهُۥ بِمِقْدَارٍ','verse_number' => '8','verse_key' => '13:8','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1716','chapter_id' => '13','arabic_name' => 'عَـٰلِمُ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ ٱلْكَبِيرُ ٱلْمُتَعَالِ','verse_number' => '9','verse_key' => '13:9','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1717','chapter_id' => '13','arabic_name' => 'سَوَآءٌ مِّنكُم مَّنْ أَسَرَّ ٱلْقَوْلَ وَمَن جَهَرَ بِهِۦ وَمَنْ هُوَ مُسْتَخْفٍۭ بِٱلَّيْلِ وَسَارِبٌۢ بِٱلنَّهَارِ','verse_number' => '10','verse_key' => '13:10','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1718','chapter_id' => '13','arabic_name' => 'لَهُۥ مُعَقِّبَـٰتٌ مِّنۢ بَيْنِ يَدَيْهِ وَمِنْ خَلْفِهِۦ يَحْفَظُونَهُۥ مِنْ أَمْرِ ٱللَّهِ ۗ إِنَّ ٱللَّهَ لَا يُغَيِّرُ مَا بِقَوْمٍ حَتَّىٰ يُغَيِّرُوا۟ مَا بِأَنفُسِهِمْ ۗ وَإِذَآ أَرَادَ ٱللَّهُ بِقَوْمٍ سُوٓءًا فَلَا مَرَدَّ لَهُۥ ۚ وَمَا لَهُم مِّن دُونِهِۦ مِن وَالٍ','verse_number' => '11','verse_key' => '13:11','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1719','chapter_id' => '13','arabic_name' => 'هُوَ ٱلَّذِى يُرِيكُمُ ٱلْبَرْقَ خَوْفًا وَطَمَعًا وَيُنشِئُ ٱلسَّحَابَ ٱلثِّقَالَ','verse_number' => '12','verse_key' => '13:12','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1720','chapter_id' => '13','arabic_name' => 'وَيُسَبِّحُ ٱلرَّعْدُ بِحَمْدِهِۦ وَٱلْمَلَـٰٓئِكَةُ مِنْ خِيفَتِهِۦ وَيُرْسِلُ ٱلصَّوَٰعِقَ فَيُصِيبُ بِهَا مَن يَشَآءُ وَهُمْ يُجَـٰدِلُونَ فِى ٱللَّهِ وَهُوَ شَدِيدُ ٱلْمِحَالِ','verse_number' => '13','verse_key' => '13:13','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '250','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1721','chapter_id' => '13','arabic_name' => 'لَهُۥ دَعْوَةُ ٱلْحَقِّ ۖ وَٱلَّذِينَ يَدْعُونَ مِن دُونِهِۦ لَا يَسْتَجِيبُونَ لَهُم بِشَىْءٍ إِلَّا كَبَـٰسِطِ كَفَّيْهِ إِلَى ٱلْمَآءِ لِيَبْلُغَ فَاهُ وَمَا هُوَ بِبَـٰلِغِهِۦ ۚ وَمَا دُعَآءُ ٱلْكَـٰفِرِينَ إِلَّا فِى ضَلَـٰلٍ','verse_number' => '14','verse_key' => '13:14','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '251','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1722','chapter_id' => '13','arabic_name' => 'وَلِلَّهِ يَسْجُدُ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ طَوْعًا وَكَرْهًا وَظِلَـٰلُهُم بِٱلْغُدُوِّ وَٱلْـَٔاصَالِ ۩','verse_number' => '15','verse_key' => '13:15','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '2','page_number' => '251','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1723','chapter_id' => '13','arabic_name' => 'قُلْ مَن رَّبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ قُلِ ٱللَّهُ ۚ قُلْ أَفَٱتَّخَذْتُم مِّن دُونِهِۦٓ أَوْلِيَآءَ لَا يَمْلِكُونَ لِأَنفُسِهِمْ نَفْعًا وَلَا ضَرًّا ۚ قُلْ هَلْ يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ أَمْ هَلْ تَسْتَوِى ٱلظُّلُمَـٰتُ وَٱلنُّورُ ۗ أَمْ جَعَلُوا۟ لِلَّهِ شُرَكَآءَ خَلَقُوا۟ كَخَلْقِهِۦ فَتَشَـٰبَهَ ٱلْخَلْقُ عَلَيْهِمْ ۚ قُلِ ٱللَّهُ خَـٰلِقُ كُلِّ شَىْءٍ وَهُوَ ٱلْوَٰحِدُ ٱلْقَهَّـٰرُ','verse_number' => '16','verse_key' => '13:16','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '251','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1724','chapter_id' => '13','arabic_name' => 'أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَسَالَتْ أَوْدِيَةٌۢ بِقَدَرِهَا فَٱحْتَمَلَ ٱلسَّيْلُ زَبَدًا رَّابِيًا ۚ وَمِمَّا يُوقِدُونَ عَلَيْهِ فِى ٱلنَّارِ ٱبْتِغَآءَ حِلْيَةٍ أَوْ مَتَـٰعٍ زَبَدٌ مِّثْلُهُۥ ۚ كَذَٰلِكَ يَضْرِبُ ٱللَّهُ ٱلْحَقَّ وَٱلْبَـٰطِلَ ۚ فَأَمَّا ٱلزَّبَدُ فَيَذْهَبُ جُفَآءً ۖ وَأَمَّا مَا يَنفَعُ ٱلنَّاسَ فَيَمْكُثُ فِى ٱلْأَرْضِ ۚ كَذَٰلِكَ يَضْرِبُ ٱللَّهُ ٱلْأَمْثَالَ','verse_number' => '17','verse_key' => '13:17','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '251','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1725','chapter_id' => '13','arabic_name' => 'لِلَّذِينَ ٱسْتَجَابُوا۟ لِرَبِّهِمُ ٱلْحُسْنَىٰ ۚ وَٱلَّذِينَ لَمْ يَسْتَجِيبُوا۟ لَهُۥ لَوْ أَنَّ لَهُم مَّا فِى ٱلْأَرْضِ جَمِيعًا وَمِثْلَهُۥ مَعَهُۥ لَٱفْتَدَوْا۟ بِهِۦٓ ۚ أُو۟لَـٰٓئِكَ لَهُمْ سُوٓءُ ٱلْحِسَابِ وَمَأْوَىٰهُمْ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمِهَادُ','verse_number' => '18','verse_key' => '13:18','hizb_number' => '25','rub_el_hizb_number' => '100','ruku_number' => '206','manzil_number' => '3','sajdah_number' => '0','page_number' => '251','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1726','chapter_id' => '13','arabic_name' => '۞ أَفَمَن يَعْلَمُ أَنَّمَآ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ ٱلْحَقُّ كَمَنْ هُوَ أَعْمَىٰٓ ۚ إِنَّمَا يَتَذَكَّرُ أُو۟لُوا۟ ٱلْأَلْبَـٰبِ','verse_number' => '19','verse_key' => '13:19','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1727','chapter_id' => '13','arabic_name' => 'ٱلَّذِينَ يُوفُونَ بِعَهْدِ ٱللَّهِ وَلَا يَنقُضُونَ ٱلْمِيثَـٰقَ','verse_number' => '20','verse_key' => '13:20','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1728','chapter_id' => '13','arabic_name' => 'وَٱلَّذِينَ يَصِلُونَ مَآ أَمَرَ ٱللَّهُ بِهِۦٓ أَن يُوصَلَ وَيَخْشَوْنَ رَبَّهُمْ وَيَخَافُونَ سُوٓءَ ٱلْحِسَابِ','verse_number' => '21','verse_key' => '13:21','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1729','chapter_id' => '13','arabic_name' => 'وَٱلَّذِينَ صَبَرُوا۟ ٱبْتِغَآءَ وَجْهِ رَبِّهِمْ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَأَنفَقُوا۟ مِمَّا رَزَقْنَـٰهُمْ سِرًّا وَعَلَانِيَةً وَيَدْرَءُونَ بِٱلْحَسَنَةِ ٱلسَّيِّئَةَ أُو۟لَـٰٓئِكَ لَهُمْ عُقْبَى ٱلدَّارِ','verse_number' => '22','verse_key' => '13:22','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1730','chapter_id' => '13','arabic_name' => 'جَنَّـٰتُ عَدْنٍ يَدْخُلُونَهَا وَمَن صَلَحَ مِنْ ءَابَآئِهِمْ وَأَزْوَٰجِهِمْ وَذُرِّيَّـٰتِهِمْ ۖ وَٱلْمَلَـٰٓئِكَةُ يَدْخُلُونَ عَلَيْهِم مِّن كُلِّ بَابٍ','verse_number' => '23','verse_key' => '13:23','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1731','chapter_id' => '13','arabic_name' => 'سَلَـٰمٌ عَلَيْكُم بِمَا صَبَرْتُمْ ۚ فَنِعْمَ عُقْبَى ٱلدَّارِ','verse_number' => '24','verse_key' => '13:24','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1732','chapter_id' => '13','arabic_name' => 'وَٱلَّذِينَ يَنقُضُونَ عَهْدَ ٱللَّهِ مِنۢ بَعْدِ مِيثَـٰقِهِۦ وَيَقْطَعُونَ مَآ أَمَرَ ٱللَّهُ بِهِۦٓ أَن يُوصَلَ وَيُفْسِدُونَ فِى ٱلْأَرْضِ ۙ أُو۟لَـٰٓئِكَ لَهُمُ ٱللَّعْنَةُ وَلَهُمْ سُوٓءُ ٱلدَّارِ','verse_number' => '25','verse_key' => '13:25','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1733','chapter_id' => '13','arabic_name' => 'ٱللَّهُ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ وَفَرِحُوا۟ بِٱلْحَيَوٰةِ ٱلدُّنْيَا وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَا فِى ٱلْـَٔاخِرَةِ إِلَّا مَتَـٰعٌ','verse_number' => '26','verse_key' => '13:26','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '207','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1734','chapter_id' => '13','arabic_name' => 'وَيَقُولُ ٱلَّذِينَ كَفَرُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَةٌ مِّن رَّبِّهِۦ ۗ قُلْ إِنَّ ٱللَّهَ يُضِلُّ مَن يَشَآءُ وَيَهْدِىٓ إِلَيْهِ مَنْ أَنَابَ','verse_number' => '27','verse_key' => '13:27','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '208','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1735','chapter_id' => '13','arabic_name' => 'ٱلَّذِينَ ءَامَنُوا۟ وَتَطْمَئِنُّ قُلُوبُهُم بِذِكْرِ ٱللَّهِ ۗ أَلَا بِذِكْرِ ٱللَّهِ تَطْمَئِنُّ ٱلْقُلُوبُ','verse_number' => '28','verse_key' => '13:28','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '208','manzil_number' => '3','sajdah_number' => '0','page_number' => '252','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1736','chapter_id' => '13','arabic_name' => 'ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ طُوبَىٰ لَهُمْ وَحُسْنُ مَـَٔابٍ','verse_number' => '29','verse_key' => '13:29','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '208','manzil_number' => '3','sajdah_number' => '0','page_number' => '253','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1737','chapter_id' => '13','arabic_name' => 'كَذَٰلِكَ أَرْسَلْنَـٰكَ فِىٓ أُمَّةٍ قَدْ خَلَتْ مِن قَبْلِهَآ أُمَمٌ لِّتَتْلُوَا۟ عَلَيْهِمُ ٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ وَهُمْ يَكْفُرُونَ بِٱلرَّحْمَـٰنِ ۚ قُلْ هُوَ رَبِّى لَآ إِلَـٰهَ إِلَّا هُوَ عَلَيْهِ تَوَكَّلْتُ وَإِلَيْهِ مَتَابِ','verse_number' => '30','verse_key' => '13:30','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '208','manzil_number' => '3','sajdah_number' => '0','page_number' => '253','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1738','chapter_id' => '13','arabic_name' => 'وَلَوْ أَنَّ قُرْءَانًا سُيِّرَتْ بِهِ ٱلْجِبَالُ أَوْ قُطِّعَتْ بِهِ ٱلْأَرْضُ أَوْ كُلِّمَ بِهِ ٱلْمَوْتَىٰ ۗ بَل لِّلَّهِ ٱلْأَمْرُ جَمِيعًا ۗ أَفَلَمْ يَا۟يْـَٔسِ ٱلَّذِينَ ءَامَنُوٓا۟ أَن لَّوْ يَشَآءُ ٱللَّهُ لَهَدَى ٱلنَّاسَ جَمِيعًا ۗ وَلَا يَزَالُ ٱلَّذِينَ كَفَرُوا۟ تُصِيبُهُم بِمَا صَنَعُوا۟ قَارِعَةٌ أَوْ تَحُلُّ قَرِيبًا مِّن دَارِهِمْ حَتَّىٰ يَأْتِىَ وَعْدُ ٱللَّهِ ۚ إِنَّ ٱللَّهَ لَا يُخْلِفُ ٱلْمِيعَادَ','verse_number' => '31','verse_key' => '13:31','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '208','manzil_number' => '3','sajdah_number' => '0','page_number' => '253','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1739','chapter_id' => '13','arabic_name' => 'وَلَقَدِ ٱسْتُهْزِئَ بِرُسُلٍ مِّن قَبْلِكَ فَأَمْلَيْتُ لِلَّذِينَ كَفَرُوا۟ ثُمَّ أَخَذْتُهُمْ ۖ فَكَيْفَ كَانَ عِقَابِ','verse_number' => '32','verse_key' => '13:32','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '209','manzil_number' => '3','sajdah_number' => '0','page_number' => '253','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1740','chapter_id' => '13','arabic_name' => 'أَفَمَنْ هُوَ قَآئِمٌ عَلَىٰ كُلِّ نَفْسٍۭ بِمَا كَسَبَتْ ۗ وَجَعَلُوا۟ لِلَّهِ شُرَكَآءَ قُلْ سَمُّوهُمْ ۚ أَمْ تُنَبِّـُٔونَهُۥ بِمَا لَا يَعْلَمُ فِى ٱلْأَرْضِ أَم بِظَـٰهِرٍ مِّنَ ٱلْقَوْلِ ۗ بَلْ زُيِّنَ لِلَّذِينَ كَفَرُوا۟ مَكْرُهُمْ وَصُدُّوا۟ عَنِ ٱلسَّبِيلِ ۗ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍ','verse_number' => '33','verse_key' => '13:33','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '209','manzil_number' => '3','sajdah_number' => '0','page_number' => '253','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1741','chapter_id' => '13','arabic_name' => 'لَّهُمْ عَذَابٌ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَعَذَابُ ٱلْـَٔاخِرَةِ أَشَقُّ ۖ وَمَا لَهُم مِّنَ ٱللَّهِ مِن وَاقٍ','verse_number' => '34','verse_key' => '13:34','hizb_number' => '26','rub_el_hizb_number' => '101','ruku_number' => '209','manzil_number' => '3','sajdah_number' => '0','page_number' => '253','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1742','chapter_id' => '13','arabic_name' => '۞ مَّثَلُ ٱلْجَنَّةِ ٱلَّتِى وُعِدَ ٱلْمُتَّقُونَ ۖ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۖ أُكُلُهَا دَآئِمٌ وَظِلُّهَا ۚ تِلْكَ عُقْبَى ٱلَّذِينَ ٱتَّقَوا۟ ۖ وَّعُقْبَى ٱلْكَـٰفِرِينَ ٱلنَّارُ','verse_number' => '35','verse_key' => '13:35','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '209','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1743','chapter_id' => '13','arabic_name' => 'وَٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ يَفْرَحُونَ بِمَآ أُنزِلَ إِلَيْكَ ۖ وَمِنَ ٱلْأَحْزَابِ مَن يُنكِرُ بَعْضَهُۥ ۚ قُلْ إِنَّمَآ أُمِرْتُ أَنْ أَعْبُدَ ٱللَّهَ وَلَآ أُشْرِكَ بِهِۦٓ ۚ إِلَيْهِ أَدْعُوا۟ وَإِلَيْهِ مَـَٔابِ','verse_number' => '36','verse_key' => '13:36','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '209','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1744','chapter_id' => '13','arabic_name' => 'وَكَذَٰلِكَ أَنزَلْنَـٰهُ حُكْمًا عَرَبِيًّا ۚ وَلَئِنِ ٱتَّبَعْتَ أَهْوَآءَهُم بَعْدَ مَا جَآءَكَ مِنَ ٱلْعِلْمِ مَا لَكَ مِنَ ٱللَّهِ مِن وَلِىٍّ وَلَا وَاقٍ','verse_number' => '37','verse_key' => '13:37','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '209','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1745','chapter_id' => '13','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا رُسُلًا مِّن قَبْلِكَ وَجَعَلْنَا لَهُمْ أَزْوَٰجًا وَذُرِّيَّةً ۚ وَمَا كَانَ لِرَسُولٍ أَن يَأْتِىَ بِـَٔايَةٍ إِلَّا بِإِذْنِ ٱللَّهِ ۗ لِكُلِّ أَجَلٍ كِتَابٌ','verse_number' => '38','verse_key' => '13:38','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '210','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1746','chapter_id' => '13','arabic_name' => 'يَمْحُوا۟ ٱللَّهُ مَا يَشَآءُ وَيُثْبِتُ ۖ وَعِندَهُۥٓ أُمُّ ٱلْكِتَـٰبِ','verse_number' => '39','verse_key' => '13:39','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '210','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1747','chapter_id' => '13','arabic_name' => 'وَإِن مَّا نُرِيَنَّكَ بَعْضَ ٱلَّذِى نَعِدُهُمْ أَوْ نَتَوَفَّيَنَّكَ فَإِنَّمَا عَلَيْكَ ٱلْبَلَـٰغُ وَعَلَيْنَا ٱلْحِسَابُ','verse_number' => '40','verse_key' => '13:40','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '210','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1748','chapter_id' => '13','arabic_name' => 'أَوَلَمْ يَرَوْا۟ أَنَّا نَأْتِى ٱلْأَرْضَ نَنقُصُهَا مِنْ أَطْرَافِهَا ۚ وَٱللَّهُ يَحْكُمُ لَا مُعَقِّبَ لِحُكْمِهِۦ ۚ وَهُوَ سَرِيعُ ٱلْحِسَابِ','verse_number' => '41','verse_key' => '13:41','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '210','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1749','chapter_id' => '13','arabic_name' => 'وَقَدْ مَكَرَ ٱلَّذِينَ مِن قَبْلِهِمْ فَلِلَّهِ ٱلْمَكْرُ جَمِيعًا ۖ يَعْلَمُ مَا تَكْسِبُ كُلُّ نَفْسٍ ۗ وَسَيَعْلَمُ ٱلْكُفَّـٰرُ لِمَنْ عُقْبَى ٱلدَّارِ','verse_number' => '42','verse_key' => '13:42','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '210','manzil_number' => '3','sajdah_number' => '0','page_number' => '254','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1750','chapter_id' => '13','arabic_name' => 'وَيَقُولُ ٱلَّذِينَ كَفَرُوا۟ لَسْتَ مُرْسَلًا ۚ قُلْ كَفَىٰ بِٱللَّهِ شَهِيدًۢا بَيْنِى وَبَيْنَكُمْ وَمَنْ عِندَهُۥ عِلْمُ ٱلْكِتَـٰبِ','verse_number' => '43','verse_key' => '13:43','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '210','manzil_number' => '3','sajdah_number' => '0','page_number' => '255','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1751','chapter_id' => '14','arabic_name' => 'الٓر ۚ كِتَـٰبٌ أَنزَلْنَـٰهُ إِلَيْكَ لِتُخْرِجَ ٱلنَّاسَ مِنَ ٱلظُّلُمَـٰتِ إِلَى ٱلنُّورِ بِإِذْنِ رَبِّهِمْ إِلَىٰ صِرَٰطِ ٱلْعَزِيزِ ٱلْحَمِيدِ','verse_number' => '1','verse_key' => '14:1','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '211','manzil_number' => '3','sajdah_number' => '0','page_number' => '255','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1752','chapter_id' => '14','arabic_name' => 'ٱللَّهِ ٱلَّذِى لَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَوَيْلٌ لِّلْكَـٰفِرِينَ مِنْ عَذَابٍ شَدِيدٍ','verse_number' => '2','verse_key' => '14:2','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '211','manzil_number' => '3','sajdah_number' => '0','page_number' => '255','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1753','chapter_id' => '14','arabic_name' => 'ٱلَّذِينَ يَسْتَحِبُّونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا عَلَى ٱلْـَٔاخِرَةِ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَيَبْغُونَهَا عِوَجًا ۚ أُو۟لَـٰٓئِكَ فِى ضَلَـٰلٍۭ بَعِيدٍ','verse_number' => '3','verse_key' => '14:3','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '211','manzil_number' => '3','sajdah_number' => '0','page_number' => '255','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1754','chapter_id' => '14','arabic_name' => 'وَمَآ أَرْسَلْنَا مِن رَّسُولٍ إِلَّا بِلِسَانِ قَوْمِهِۦ لِيُبَيِّنَ لَهُمْ ۖ فَيُضِلُّ ٱللَّهُ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '4','verse_key' => '14:4','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '211','manzil_number' => '3','sajdah_number' => '0','page_number' => '255','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1755','chapter_id' => '14','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَـٰتِنَآ أَنْ أَخْرِجْ قَوْمَكَ مِنَ ٱلظُّلُمَـٰتِ إِلَى ٱلنُّورِ وَذَكِّرْهُم بِأَيَّىٰمِ ٱللَّهِ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّكُلِّ صَبَّارٍ شَكُورٍ','verse_number' => '5','verse_key' => '14:5','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '211','manzil_number' => '3','sajdah_number' => '0','page_number' => '255','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1756','chapter_id' => '14','arabic_name' => 'وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِ ٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ إِذْ أَنجَىٰكُم مِّنْ ءَالِ فِرْعَوْنَ يَسُومُونَكُمْ سُوٓءَ ٱلْعَذَابِ وَيُذَبِّحُونَ أَبْنَآءَكُمْ وَيَسْتَحْيُونَ نِسَآءَكُمْ ۚ وَفِى ذَٰلِكُم بَلَآءٌ مِّن رَّبِّكُمْ عَظِيمٌ','verse_number' => '6','verse_key' => '14:6','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '211','manzil_number' => '3','sajdah_number' => '0','page_number' => '256','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1757','chapter_id' => '14','arabic_name' => 'وَإِذْ تَأَذَّنَ رَبُّكُمْ لَئِن شَكَرْتُمْ لَأَزِيدَنَّكُمْ ۖ وَلَئِن كَفَرْتُمْ إِنَّ عَذَابِى لَشَدِيدٌ','verse_number' => '7','verse_key' => '14:7','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '212','manzil_number' => '3','sajdah_number' => '0','page_number' => '256','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1758','chapter_id' => '14','arabic_name' => 'وَقَالَ مُوسَىٰٓ إِن تَكْفُرُوٓا۟ أَنتُمْ وَمَن فِى ٱلْأَرْضِ جَمِيعًا فَإِنَّ ٱللَّهَ لَغَنِىٌّ حَمِيدٌ','verse_number' => '8','verse_key' => '14:8','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '212','manzil_number' => '3','sajdah_number' => '0','page_number' => '256','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1759','chapter_id' => '14','arabic_name' => 'أَلَمْ يَأْتِكُمْ نَبَؤُا۟ ٱلَّذِينَ مِن قَبْلِكُمْ قَوْمِ نُوحٍ وَعَادٍ وَثَمُودَ ۛ وَٱلَّذِينَ مِنۢ بَعْدِهِمْ ۛ لَا يَعْلَمُهُمْ إِلَّا ٱللَّهُ ۚ جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ فَرَدُّوٓا۟ أَيْدِيَهُمْ فِىٓ أَفْوَٰهِهِمْ وَقَالُوٓا۟ إِنَّا كَفَرْنَا بِمَآ أُرْسِلْتُم بِهِۦ وَإِنَّا لَفِى شَكٍّ مِّمَّا تَدْعُونَنَآ إِلَيْهِ مُرِيبٍ','verse_number' => '9','verse_key' => '14:9','hizb_number' => '26','rub_el_hizb_number' => '102','ruku_number' => '212','manzil_number' => '3','sajdah_number' => '0','page_number' => '256','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1760','chapter_id' => '14','arabic_name' => '۞ قَالَتْ رُسُلُهُمْ أَفِى ٱللَّهِ شَكٌّ فَاطِرِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ يَدْعُوكُمْ لِيَغْفِرَ لَكُم مِّن ذُنُوبِكُمْ وَيُؤَخِّرَكُمْ إِلَىٰٓ أَجَلٍ مُّسَمًّى ۚ قَالُوٓا۟ إِنْ أَنتُمْ إِلَّا بَشَرٌ مِّثْلُنَا تُرِيدُونَ أَن تَصُدُّونَا عَمَّا كَانَ يَعْبُدُ ءَابَآؤُنَا فَأْتُونَا بِسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '10','verse_key' => '14:10','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '212','manzil_number' => '3','sajdah_number' => '0','page_number' => '256','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1761','chapter_id' => '14','arabic_name' => 'قَالَتْ لَهُمْ رُسُلُهُمْ إِن نَّحْنُ إِلَّا بَشَرٌ مِّثْلُكُمْ وَلَـٰكِنَّ ٱللَّهَ يَمُنُّ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦ ۖ وَمَا كَانَ لَنَآ أَن نَّأْتِيَكُم بِسُلْطَـٰنٍ إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ','verse_number' => '11','verse_key' => '14:11','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '212','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1762','chapter_id' => '14','arabic_name' => 'وَمَا لَنَآ أَلَّا نَتَوَكَّلَ عَلَى ٱللَّهِ وَقَدْ هَدَىٰنَا سُبُلَنَا ۚ وَلَنَصْبِرَنَّ عَلَىٰ مَآ ءَاذَيْتُمُونَا ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُتَوَكِّلُونَ','verse_number' => '12','verse_key' => '14:12','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '212','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1763','chapter_id' => '14','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِرُسُلِهِمْ لَنُخْرِجَنَّكُم مِّنْ أَرْضِنَآ أَوْ لَتَعُودُنَّ فِى مِلَّتِنَا ۖ فَأَوْحَىٰٓ إِلَيْهِمْ رَبُّهُمْ لَنُهْلِكَنَّ ٱلظَّـٰلِمِينَ','verse_number' => '13','verse_key' => '14:13','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1764','chapter_id' => '14','arabic_name' => 'وَلَنُسْكِنَنَّكُمُ ٱلْأَرْضَ مِنۢ بَعْدِهِمْ ۚ ذَٰلِكَ لِمَنْ خَافَ مَقَامِى وَخَافَ وَعِيدِ','verse_number' => '14','verse_key' => '14:14','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1765','chapter_id' => '14','arabic_name' => 'وَٱسْتَفْتَحُوا۟ وَخَابَ كُلُّ جَبَّارٍ عَنِيدٍ','verse_number' => '15','verse_key' => '14:15','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1766','chapter_id' => '14','arabic_name' => 'مِّن وَرَآئِهِۦ جَهَنَّمُ وَيُسْقَىٰ مِن مَّآءٍ صَدِيدٍ','verse_number' => '16','verse_key' => '14:16','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1767','chapter_id' => '14','arabic_name' => 'يَتَجَرَّعُهُۥ وَلَا يَكَادُ يُسِيغُهُۥ وَيَأْتِيهِ ٱلْمَوْتُ مِن كُلِّ مَكَانٍ وَمَا هُوَ بِمَيِّتٍ ۖ وَمِن وَرَآئِهِۦ عَذَابٌ غَلِيظٌ','verse_number' => '17','verse_key' => '14:17','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1768','chapter_id' => '14','arabic_name' => 'مَّثَلُ ٱلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ ۖ أَعْمَـٰلُهُمْ كَرَمَادٍ ٱشْتَدَّتْ بِهِ ٱلرِّيحُ فِى يَوْمٍ عَاصِفٍ ۖ لَّا يَقْدِرُونَ مِمَّا كَسَبُوا۟ عَلَىٰ شَىْءٍ ۚ ذَٰلِكَ هُوَ ٱلضَّلَـٰلُ ٱلْبَعِيدُ','verse_number' => '18','verse_key' => '14:18','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '257','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1769','chapter_id' => '14','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۚ إِن يَشَأْ يُذْهِبْكُمْ وَيَأْتِ بِخَلْقٍ جَدِيدٍ','verse_number' => '19','verse_key' => '14:19','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '258','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1770','chapter_id' => '14','arabic_name' => 'وَمَا ذَٰلِكَ عَلَى ٱللَّهِ بِعَزِيزٍ','verse_number' => '20','verse_key' => '14:20','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '258','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1771','chapter_id' => '14','arabic_name' => 'وَبَرَزُوا۟ لِلَّهِ جَمِيعًا فَقَالَ ٱلضُّعَفَـٰٓؤُا۟ لِلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا كُنَّا لَكُمْ تَبَعًا فَهَلْ أَنتُم مُّغْنُونَ عَنَّا مِنْ عَذَابِ ٱللَّهِ مِن شَىْءٍ ۚ قَالُوا۟ لَوْ هَدَىٰنَا ٱللَّهُ لَهَدَيْنَـٰكُمْ ۖ سَوَآءٌ عَلَيْنَآ أَجَزِعْنَآ أَمْ صَبَرْنَا مَا لَنَا مِن مَّحِيصٍ','verse_number' => '21','verse_key' => '14:21','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '213','manzil_number' => '3','sajdah_number' => '0','page_number' => '258','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1772','chapter_id' => '14','arabic_name' => 'وَقَالَ ٱلشَّيْطَـٰنُ لَمَّا قُضِىَ ٱلْأَمْرُ إِنَّ ٱللَّهَ وَعَدَكُمْ وَعْدَ ٱلْحَقِّ وَوَعَدتُّكُمْ فَأَخْلَفْتُكُمْ ۖ وَمَا كَانَ لِىَ عَلَيْكُم مِّن سُلْطَـٰنٍ إِلَّآ أَن دَعَوْتُكُمْ فَٱسْتَجَبْتُمْ لِى ۖ فَلَا تَلُومُونِى وَلُومُوٓا۟ أَنفُسَكُم ۖ مَّآ أَنَا۠ بِمُصْرِخِكُمْ وَمَآ أَنتُم بِمُصْرِخِىَّ ۖ إِنِّى كَفَرْتُ بِمَآ أَشْرَكْتُمُونِ مِن قَبْلُ ۗ إِنَّ ٱلظَّـٰلِمِينَ لَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '22','verse_key' => '14:22','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '214','manzil_number' => '3','sajdah_number' => '0','page_number' => '258','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1773','chapter_id' => '14','arabic_name' => 'وَأُدْخِلَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا بِإِذْنِ رَبِّهِمْ ۖ تَحِيَّتُهُمْ فِيهَا سَلَـٰمٌ','verse_number' => '23','verse_key' => '14:23','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '214','manzil_number' => '3','sajdah_number' => '0','page_number' => '258','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1774','chapter_id' => '14','arabic_name' => 'أَلَمْ تَرَ كَيْفَ ضَرَبَ ٱللَّهُ مَثَلًا كَلِمَةً طَيِّبَةً كَشَجَرَةٍ طَيِّبَةٍ أَصْلُهَا ثَابِتٌ وَفَرْعُهَا فِى ٱلسَّمَآءِ','verse_number' => '24','verse_key' => '14:24','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '214','manzil_number' => '3','sajdah_number' => '0','page_number' => '258','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1775','chapter_id' => '14','arabic_name' => 'تُؤْتِىٓ أُكُلَهَا كُلَّ حِينٍۭ بِإِذْنِ رَبِّهَا ۗ وَيَضْرِبُ ٱللَّهُ ٱلْأَمْثَالَ لِلنَّاسِ لَعَلَّهُمْ يَتَذَكَّرُونَ','verse_number' => '25','verse_key' => '14:25','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '214','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1776','chapter_id' => '14','arabic_name' => 'وَمَثَلُ كَلِمَةٍ خَبِيثَةٍ كَشَجَرَةٍ خَبِيثَةٍ ٱجْتُثَّتْ مِن فَوْقِ ٱلْأَرْضِ مَا لَهَا مِن قَرَارٍ','verse_number' => '26','verse_key' => '14:26','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '214','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1777','chapter_id' => '14','arabic_name' => 'يُثَبِّتُ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ بِٱلْقَوْلِ ٱلثَّابِتِ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَفِى ٱلْـَٔاخِرَةِ ۖ وَيُضِلُّ ٱللَّهُ ٱلظَّـٰلِمِينَ ۚ وَيَفْعَلُ ٱللَّهُ مَا يَشَآءُ','verse_number' => '27','verse_key' => '14:27','hizb_number' => '26','rub_el_hizb_number' => '103','ruku_number' => '214','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1778','chapter_id' => '14','arabic_name' => '۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ بَدَّلُوا۟ نِعْمَتَ ٱللَّهِ كُفْرًا وَأَحَلُّوا۟ قَوْمَهُمْ دَارَ ٱلْبَوَارِ','verse_number' => '28','verse_key' => '14:28','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '215','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1779','chapter_id' => '14','arabic_name' => 'جَهَنَّمَ يَصْلَوْنَهَا ۖ وَبِئْسَ ٱلْقَرَارُ','verse_number' => '29','verse_key' => '14:29','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '215','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1780','chapter_id' => '14','arabic_name' => 'وَجَعَلُوا۟ لِلَّهِ أَندَادًا لِّيُضِلُّوا۟ عَن سَبِيلِهِۦ ۗ قُلْ تَمَتَّعُوا۟ فَإِنَّ مَصِيرَكُمْ إِلَى ٱلنَّارِ','verse_number' => '30','verse_key' => '14:30','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '215','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1781','chapter_id' => '14','arabic_name' => 'قُل لِّعِبَادِىَ ٱلَّذِينَ ءَامَنُوا۟ يُقِيمُوا۟ ٱلصَّلَوٰةَ وَيُنفِقُوا۟ مِمَّا رَزَقْنَـٰهُمْ سِرًّا وَعَلَانِيَةً مِّن قَبْلِ أَن يَأْتِىَ يَوْمٌ لَّا بَيْعٌ فِيهِ وَلَا خِلَـٰلٌ','verse_number' => '31','verse_key' => '14:31','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '215','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1782','chapter_id' => '14','arabic_name' => 'ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَأَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَأَخْرَجَ بِهِۦ مِنَ ٱلثَّمَرَٰتِ رِزْقًا لَّكُمْ ۖ وَسَخَّرَ لَكُمُ ٱلْفُلْكَ لِتَجْرِىَ فِى ٱلْبَحْرِ بِأَمْرِهِۦ ۖ وَسَخَّرَ لَكُمُ ٱلْأَنْهَـٰرَ','verse_number' => '32','verse_key' => '14:32','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '215','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1783','chapter_id' => '14','arabic_name' => 'وَسَخَّرَ لَكُمُ ٱلشَّمْسَ وَٱلْقَمَرَ دَآئِبَيْنِ ۖ وَسَخَّرَ لَكُمُ ٱلَّيْلَ وَٱلنَّهَارَ','verse_number' => '33','verse_key' => '14:33','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '215','manzil_number' => '3','sajdah_number' => '0','page_number' => '259','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1784','chapter_id' => '14','arabic_name' => 'وَءَاتَىٰكُم مِّن كُلِّ مَا سَأَلْتُمُوهُ ۚ وَإِن تَعُدُّوا۟ نِعْمَتَ ٱللَّهِ لَا تُحْصُوهَآ ۗ إِنَّ ٱلْإِنسَـٰنَ لَظَلُومٌ كَفَّارٌ','verse_number' => '34','verse_key' => '14:34','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '215','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1785','chapter_id' => '14','arabic_name' => 'وَإِذْ قَالَ إِبْرَٰهِيمُ رَبِّ ٱجْعَلْ هَـٰذَا ٱلْبَلَدَ ءَامِنًا وَٱجْنُبْنِى وَبَنِىَّ أَن نَّعْبُدَ ٱلْأَصْنَامَ','verse_number' => '35','verse_key' => '14:35','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '216','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1786','chapter_id' => '14','arabic_name' => 'رَبِّ إِنَّهُنَّ أَضْلَلْنَ كَثِيرًا مِّنَ ٱلنَّاسِ ۖ فَمَن تَبِعَنِى فَإِنَّهُۥ مِنِّى ۖ وَمَنْ عَصَانِى فَإِنَّكَ غَفُورٌ رَّحِيمٌ','verse_number' => '36','verse_key' => '14:36','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '216','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1787','chapter_id' => '14','arabic_name' => 'رَّبَّنَآ إِنِّىٓ أَسْكَنتُ مِن ذُرِّيَّتِى بِوَادٍ غَيْرِ ذِى زَرْعٍ عِندَ بَيْتِكَ ٱلْمُحَرَّمِ رَبَّنَا لِيُقِيمُوا۟ ٱلصَّلَوٰةَ فَٱجْعَلْ أَفْـِٔدَةً مِّنَ ٱلنَّاسِ تَهْوِىٓ إِلَيْهِمْ وَٱرْزُقْهُم مِّنَ ٱلثَّمَرَٰتِ لَعَلَّهُمْ يَشْكُرُونَ','verse_number' => '37','verse_key' => '14:37','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '216','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1788','chapter_id' => '14','arabic_name' => 'رَبَّنَآ إِنَّكَ تَعْلَمُ مَا نُخْفِى وَمَا نُعْلِنُ ۗ وَمَا يَخْفَىٰ عَلَى ٱللَّهِ مِن شَىْءٍ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ','verse_number' => '38','verse_key' => '14:38','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '216','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1789','chapter_id' => '14','arabic_name' => 'ٱلْحَمْدُ لِلَّهِ ٱلَّذِى وَهَبَ لِى عَلَى ٱلْكِبَرِ إِسْمَـٰعِيلَ وَإِسْحَـٰقَ ۚ إِنَّ رَبِّى لَسَمِيعُ ٱلدُّعَآءِ','verse_number' => '39','verse_key' => '14:39','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '216','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1790','chapter_id' => '14','arabic_name' => 'رَبِّ ٱجْعَلْنِى مُقِيمَ ٱلصَّلَوٰةِ وَمِن ذُرِّيَّتِى ۚ رَبَّنَا وَتَقَبَّلْ دُعَآءِ','verse_number' => '40','verse_key' => '14:40','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '216','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1791','chapter_id' => '14','arabic_name' => 'رَبَّنَا ٱغْفِرْ لِى وَلِوَٰلِدَىَّ وَلِلْمُؤْمِنِينَ يَوْمَ يَقُومُ ٱلْحِسَابُ','verse_number' => '41','verse_key' => '14:41','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '216','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1792','chapter_id' => '14','arabic_name' => 'وَلَا تَحْسَبَنَّ ٱللَّهَ غَـٰفِلًا عَمَّا يَعْمَلُ ٱلظَّـٰلِمُونَ ۚ إِنَّمَا يُؤَخِّرُهُمْ لِيَوْمٍ تَشْخَصُ فِيهِ ٱلْأَبْصَـٰرُ','verse_number' => '42','verse_key' => '14:42','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '260','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1793','chapter_id' => '14','arabic_name' => 'مُهْطِعِينَ مُقْنِعِى رُءُوسِهِمْ لَا يَرْتَدُّ إِلَيْهِمْ طَرْفُهُمْ ۖ وَأَفْـِٔدَتُهُمْ هَوَآءٌ','verse_number' => '43','verse_key' => '14:43','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1794','chapter_id' => '14','arabic_name' => 'وَأَنذِرِ ٱلنَّاسَ يَوْمَ يَأْتِيهِمُ ٱلْعَذَابُ فَيَقُولُ ٱلَّذِينَ ظَلَمُوا۟ رَبَّنَآ أَخِّرْنَآ إِلَىٰٓ أَجَلٍ قَرِيبٍ نُّجِبْ دَعْوَتَكَ وَنَتَّبِعِ ٱلرُّسُلَ ۗ أَوَلَمْ تَكُونُوٓا۟ أَقْسَمْتُم مِّن قَبْلُ مَا لَكُم مِّن زَوَالٍ','verse_number' => '44','verse_key' => '14:44','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1795','chapter_id' => '14','arabic_name' => 'وَسَكَنتُمْ فِى مَسَـٰكِنِ ٱلَّذِينَ ظَلَمُوٓا۟ أَنفُسَهُمْ وَتَبَيَّنَ لَكُمْ كَيْفَ فَعَلْنَا بِهِمْ وَضَرَبْنَا لَكُمُ ٱلْأَمْثَالَ','verse_number' => '45','verse_key' => '14:45','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1796','chapter_id' => '14','arabic_name' => 'وَقَدْ مَكَرُوا۟ مَكْرَهُمْ وَعِندَ ٱللَّهِ مَكْرُهُمْ وَإِن كَانَ مَكْرُهُمْ لِتَزُولَ مِنْهُ ٱلْجِبَالُ','verse_number' => '46','verse_key' => '14:46','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1797','chapter_id' => '14','arabic_name' => 'فَلَا تَحْسَبَنَّ ٱللَّهَ مُخْلِفَ وَعْدِهِۦ رُسُلَهُۥٓ ۗ إِنَّ ٱللَّهَ عَزِيزٌ ذُو ٱنتِقَامٍ','verse_number' => '47','verse_key' => '14:47','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1798','chapter_id' => '14','arabic_name' => 'يَوْمَ تُبَدَّلُ ٱلْأَرْضُ غَيْرَ ٱلْأَرْضِ وَٱلسَّمَـٰوَٰتُ ۖ وَبَرَزُوا۟ لِلَّهِ ٱلْوَٰحِدِ ٱلْقَهَّارِ','verse_number' => '48','verse_key' => '14:48','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1799','chapter_id' => '14','arabic_name' => 'وَتَرَى ٱلْمُجْرِمِينَ يَوْمَئِذٍ مُّقَرَّنِينَ فِى ٱلْأَصْفَادِ','verse_number' => '49','verse_key' => '14:49','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1800','chapter_id' => '14','arabic_name' => 'سَرَابِيلُهُم مِّن قَطِرَانٍ وَتَغْشَىٰ وُجُوهَهُمُ ٱلنَّارُ','verse_number' => '50','verse_key' => '14:50','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1801','chapter_id' => '14','arabic_name' => 'لِيَجْزِىَ ٱللَّهُ كُلَّ نَفْسٍ مَّا كَسَبَتْ ۚ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ','verse_number' => '51','verse_key' => '14:51','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1802','chapter_id' => '14','arabic_name' => 'هَـٰذَا بَلَـٰغٌ لِّلنَّاسِ وَلِيُنذَرُوا۟ بِهِۦ وَلِيَعْلَمُوٓا۟ أَنَّمَا هُوَ إِلَـٰهٌ وَٰحِدٌ وَلِيَذَّكَّرَ أُو۟لُوا۟ ٱلْأَلْبَـٰبِ','verse_number' => '52','verse_key' => '14:52','hizb_number' => '26','rub_el_hizb_number' => '104','ruku_number' => '217','manzil_number' => '3','sajdah_number' => '0','page_number' => '261','juz_number' => '13','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1803','chapter_id' => '15','arabic_name' => 'الٓر ۚ تِلْكَ ءَايَـٰتُ ٱلْكِتَـٰبِ وَقُرْءَانٍ مُّبِينٍ','verse_number' => '1','verse_key' => '15:1','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1804','chapter_id' => '15','arabic_name' => 'رُّبَمَا يَوَدُّ ٱلَّذِينَ كَفَرُوا۟ لَوْ كَانُوا۟ مُسْلِمِينَ','verse_number' => '2','verse_key' => '15:2','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1805','chapter_id' => '15','arabic_name' => 'ذَرْهُمْ يَأْكُلُوا۟ وَيَتَمَتَّعُوا۟ وَيُلْهِهِمُ ٱلْأَمَلُ ۖ فَسَوْفَ يَعْلَمُونَ','verse_number' => '3','verse_key' => '15:3','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1806','chapter_id' => '15','arabic_name' => 'وَمَآ أَهْلَكْنَا مِن قَرْيَةٍ إِلَّا وَلَهَا كِتَابٌ مَّعْلُومٌ','verse_number' => '4','verse_key' => '15:4','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1807','chapter_id' => '15','arabic_name' => 'مَّا تَسْبِقُ مِنْ أُمَّةٍ أَجَلَهَا وَمَا يَسْتَـْٔخِرُونَ','verse_number' => '5','verse_key' => '15:5','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1808','chapter_id' => '15','arabic_name' => 'وَقَالُوا۟ يَـٰٓأَيُّهَا ٱلَّذِى نُزِّلَ عَلَيْهِ ٱلذِّكْرُ إِنَّكَ لَمَجْنُونٌ','verse_number' => '6','verse_key' => '15:6','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1809','chapter_id' => '15','arabic_name' => 'لَّوْ مَا تَأْتِينَا بِٱلْمَلَـٰٓئِكَةِ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '7','verse_key' => '15:7','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1810','chapter_id' => '15','arabic_name' => 'مَا نُنَزِّلُ ٱلْمَلَـٰٓئِكَةَ إِلَّا بِٱلْحَقِّ وَمَا كَانُوٓا۟ إِذًا مُّنظَرِينَ','verse_number' => '8','verse_key' => '15:8','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1811','chapter_id' => '15','arabic_name' => 'إِنَّا نَحْنُ نَزَّلْنَا ٱلذِّكْرَ وَإِنَّا لَهُۥ لَحَـٰفِظُونَ','verse_number' => '9','verse_key' => '15:9','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1812','chapter_id' => '15','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا مِن قَبْلِكَ فِى شِيَعِ ٱلْأَوَّلِينَ','verse_number' => '10','verse_key' => '15:10','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1813','chapter_id' => '15','arabic_name' => 'وَمَا يَأْتِيهِم مِّن رَّسُولٍ إِلَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '11','verse_key' => '15:11','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1814','chapter_id' => '15','arabic_name' => 'كَذَٰلِكَ نَسْلُكُهُۥ فِى قُلُوبِ ٱلْمُجْرِمِينَ','verse_number' => '12','verse_key' => '15:12','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1815','chapter_id' => '15','arabic_name' => 'لَا يُؤْمِنُونَ بِهِۦ ۖ وَقَدْ خَلَتْ سُنَّةُ ٱلْأَوَّلِينَ','verse_number' => '13','verse_key' => '15:13','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1816','chapter_id' => '15','arabic_name' => 'وَلَوْ فَتَحْنَا عَلَيْهِم بَابًا مِّنَ ٱلسَّمَآءِ فَظَلُّوا۟ فِيهِ يَعْرُجُونَ','verse_number' => '14','verse_key' => '15:14','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1817','chapter_id' => '15','arabic_name' => 'لَقَالُوٓا۟ إِنَّمَا سُكِّرَتْ أَبْصَـٰرُنَا بَلْ نَحْنُ قَوْمٌ مَّسْحُورُونَ','verse_number' => '15','verse_key' => '15:15','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '218','manzil_number' => '3','sajdah_number' => '0','page_number' => '262','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1818','chapter_id' => '15','arabic_name' => 'وَلَقَدْ جَعَلْنَا فِى ٱلسَّمَآءِ بُرُوجًا وَزَيَّنَّـٰهَا لِلنَّـٰظِرِينَ','verse_number' => '16','verse_key' => '15:16','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1819','chapter_id' => '15','arabic_name' => 'وَحَفِظْنَـٰهَا مِن كُلِّ شَيْطَـٰنٍ رَّجِيمٍ','verse_number' => '17','verse_key' => '15:17','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1820','chapter_id' => '15','arabic_name' => 'إِلَّا مَنِ ٱسْتَرَقَ ٱلسَّمْعَ فَأَتْبَعَهُۥ شِهَابٌ مُّبِينٌ','verse_number' => '18','verse_key' => '15:18','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1821','chapter_id' => '15','arabic_name' => 'وَٱلْأَرْضَ مَدَدْنَـٰهَا وَأَلْقَيْنَا فِيهَا رَوَٰسِىَ وَأَنۢبَتْنَا فِيهَا مِن كُلِّ شَىْءٍ مَّوْزُونٍ','verse_number' => '19','verse_key' => '15:19','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1822','chapter_id' => '15','arabic_name' => 'وَجَعَلْنَا لَكُمْ فِيهَا مَعَـٰيِشَ وَمَن لَّسْتُمْ لَهُۥ بِرَٰزِقِينَ','verse_number' => '20','verse_key' => '15:20','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1823','chapter_id' => '15','arabic_name' => 'وَإِن مِّن شَىْءٍ إِلَّا عِندَنَا خَزَآئِنُهُۥ وَمَا نُنَزِّلُهُۥٓ إِلَّا بِقَدَرٍ مَّعْلُومٍ','verse_number' => '21','verse_key' => '15:21','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1824','chapter_id' => '15','arabic_name' => 'وَأَرْسَلْنَا ٱلرِّيَـٰحَ لَوَٰقِحَ فَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءً فَأَسْقَيْنَـٰكُمُوهُ وَمَآ أَنتُمْ لَهُۥ بِخَـٰزِنِينَ','verse_number' => '22','verse_key' => '15:22','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1825','chapter_id' => '15','arabic_name' => 'وَإِنَّا لَنَحْنُ نُحْىِۦ وَنُمِيتُ وَنَحْنُ ٱلْوَٰرِثُونَ','verse_number' => '23','verse_key' => '15:23','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1826','chapter_id' => '15','arabic_name' => 'وَلَقَدْ عَلِمْنَا ٱلْمُسْتَقْدِمِينَ مِنكُمْ وَلَقَدْ عَلِمْنَا ٱلْمُسْتَـْٔخِرِينَ','verse_number' => '24','verse_key' => '15:24','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1827','chapter_id' => '15','arabic_name' => 'وَإِنَّ رَبَّكَ هُوَ يَحْشُرُهُمْ ۚ إِنَّهُۥ حَكِيمٌ عَلِيمٌ','verse_number' => '25','verse_key' => '15:25','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '219','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1828','chapter_id' => '15','arabic_name' => 'وَلَقَدْ خَلَقْنَا ٱلْإِنسَـٰنَ مِن صَلْصَـٰلٍ مِّنْ حَمَإٍ مَّسْنُونٍ','verse_number' => '26','verse_key' => '15:26','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1829','chapter_id' => '15','arabic_name' => 'وَٱلْجَآنَّ خَلَقْنَـٰهُ مِن قَبْلُ مِن نَّارِ ٱلسَّمُومِ','verse_number' => '27','verse_key' => '15:27','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1830','chapter_id' => '15','arabic_name' => 'وَإِذْ قَالَ رَبُّكَ لِلْمَلَـٰٓئِكَةِ إِنِّى خَـٰلِقٌۢ بَشَرًا مِّن صَلْصَـٰلٍ مِّنْ حَمَإٍ مَّسْنُونٍ','verse_number' => '28','verse_key' => '15:28','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1831','chapter_id' => '15','arabic_name' => 'فَإِذَا سَوَّيْتُهُۥ وَنَفَخْتُ فِيهِ مِن رُّوحِى فَقَعُوا۟ لَهُۥ سَـٰجِدِينَ','verse_number' => '29','verse_key' => '15:29','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1832','chapter_id' => '15','arabic_name' => 'فَسَجَدَ ٱلْمَلَـٰٓئِكَةُ كُلُّهُمْ أَجْمَعُونَ','verse_number' => '30','verse_key' => '15:30','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1833','chapter_id' => '15','arabic_name' => 'إِلَّآ إِبْلِيسَ أَبَىٰٓ أَن يَكُونَ مَعَ ٱلسَّـٰجِدِينَ','verse_number' => '31','verse_key' => '15:31','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '263','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1834','chapter_id' => '15','arabic_name' => 'قَالَ يَـٰٓإِبْلِيسُ مَا لَكَ أَلَّا تَكُونَ مَعَ ٱلسَّـٰجِدِينَ','verse_number' => '32','verse_key' => '15:32','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1835','chapter_id' => '15','arabic_name' => 'قَالَ لَمْ أَكُن لِّأَسْجُدَ لِبَشَرٍ خَلَقْتَهُۥ مِن صَلْصَـٰلٍ مِّنْ حَمَإٍ مَّسْنُونٍ','verse_number' => '33','verse_key' => '15:33','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1836','chapter_id' => '15','arabic_name' => 'قَالَ فَٱخْرُجْ مِنْهَا فَإِنَّكَ رَجِيمٌ','verse_number' => '34','verse_key' => '15:34','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1837','chapter_id' => '15','arabic_name' => 'وَإِنَّ عَلَيْكَ ٱللَّعْنَةَ إِلَىٰ يَوْمِ ٱلدِّينِ','verse_number' => '35','verse_key' => '15:35','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1838','chapter_id' => '15','arabic_name' => 'قَالَ رَبِّ فَأَنظِرْنِىٓ إِلَىٰ يَوْمِ يُبْعَثُونَ','verse_number' => '36','verse_key' => '15:36','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1839','chapter_id' => '15','arabic_name' => 'قَالَ فَإِنَّكَ مِنَ ٱلْمُنظَرِينَ','verse_number' => '37','verse_key' => '15:37','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1840','chapter_id' => '15','arabic_name' => 'إِلَىٰ يَوْمِ ٱلْوَقْتِ ٱلْمَعْلُومِ','verse_number' => '38','verse_key' => '15:38','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1841','chapter_id' => '15','arabic_name' => 'قَالَ رَبِّ بِمَآ أَغْوَيْتَنِى لَأُزَيِّنَنَّ لَهُمْ فِى ٱلْأَرْضِ وَلَأُغْوِيَنَّهُمْ أَجْمَعِينَ','verse_number' => '39','verse_key' => '15:39','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1842','chapter_id' => '15','arabic_name' => 'إِلَّا عِبَادَكَ مِنْهُمُ ٱلْمُخْلَصِينَ','verse_number' => '40','verse_key' => '15:40','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1843','chapter_id' => '15','arabic_name' => 'قَالَ هَـٰذَا صِرَٰطٌ عَلَىَّ مُسْتَقِيمٌ','verse_number' => '41','verse_key' => '15:41','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1844','chapter_id' => '15','arabic_name' => 'إِنَّ عِبَادِى لَيْسَ لَكَ عَلَيْهِمْ سُلْطَـٰنٌ إِلَّا مَنِ ٱتَّبَعَكَ مِنَ ٱلْغَاوِينَ','verse_number' => '42','verse_key' => '15:42','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1845','chapter_id' => '15','arabic_name' => 'وَإِنَّ جَهَنَّمَ لَمَوْعِدُهُمْ أَجْمَعِينَ','verse_number' => '43','verse_key' => '15:43','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1846','chapter_id' => '15','arabic_name' => 'لَهَا سَبْعَةُ أَبْوَٰبٍ لِّكُلِّ بَابٍ مِّنْهُمْ جُزْءٌ مَّقْسُومٌ','verse_number' => '44','verse_key' => '15:44','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '220','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1847','chapter_id' => '15','arabic_name' => 'إِنَّ ٱلْمُتَّقِينَ فِى جَنَّـٰتٍ وَعُيُونٍ','verse_number' => '45','verse_key' => '15:45','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1848','chapter_id' => '15','arabic_name' => 'ٱدْخُلُوهَا بِسَلَـٰمٍ ءَامِنِينَ','verse_number' => '46','verse_key' => '15:46','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1849','chapter_id' => '15','arabic_name' => 'وَنَزَعْنَا مَا فِى صُدُورِهِم مِّنْ غِلٍّ إِخْوَٰنًا عَلَىٰ سُرُرٍ مُّتَقَـٰبِلِينَ','verse_number' => '47','verse_key' => '15:47','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1850','chapter_id' => '15','arabic_name' => 'لَا يَمَسُّهُمْ فِيهَا نَصَبٌ وَمَا هُم مِّنْهَا بِمُخْرَجِينَ','verse_number' => '48','verse_key' => '15:48','hizb_number' => '27','rub_el_hizb_number' => '105','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1851','chapter_id' => '15','arabic_name' => '۞ نَبِّئْ عِبَادِىٓ أَنِّىٓ أَنَا ٱلْغَفُورُ ٱلرَّحِيمُ','verse_number' => '49','verse_key' => '15:49','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1852','chapter_id' => '15','arabic_name' => 'وَأَنَّ عَذَابِى هُوَ ٱلْعَذَابُ ٱلْأَلِيمُ','verse_number' => '50','verse_key' => '15:50','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1853','chapter_id' => '15','arabic_name' => 'وَنَبِّئْهُمْ عَن ضَيْفِ إِبْرَٰهِيمَ','verse_number' => '51','verse_key' => '15:51','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '264','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1854','chapter_id' => '15','arabic_name' => 'إِذْ دَخَلُوا۟ عَلَيْهِ فَقَالُوا۟ سَلَـٰمًا قَالَ إِنَّا مِنكُمْ وَجِلُونَ','verse_number' => '52','verse_key' => '15:52','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1855','chapter_id' => '15','arabic_name' => 'قَالُوا۟ لَا تَوْجَلْ إِنَّا نُبَشِّرُكَ بِغُلَـٰمٍ عَلِيمٍ','verse_number' => '53','verse_key' => '15:53','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1856','chapter_id' => '15','arabic_name' => 'قَالَ أَبَشَّرْتُمُونِى عَلَىٰٓ أَن مَّسَّنِىَ ٱلْكِبَرُ فَبِمَ تُبَشِّرُونَ','verse_number' => '54','verse_key' => '15:54','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1857','chapter_id' => '15','arabic_name' => 'قَالُوا۟ بَشَّرْنَـٰكَ بِٱلْحَقِّ فَلَا تَكُن مِّنَ ٱلْقَـٰنِطِينَ','verse_number' => '55','verse_key' => '15:55','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1858','chapter_id' => '15','arabic_name' => 'قَالَ وَمَن يَقْنَطُ مِن رَّحْمَةِ رَبِّهِۦٓ إِلَّا ٱلضَّآلُّونَ','verse_number' => '56','verse_key' => '15:56','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1859','chapter_id' => '15','arabic_name' => 'قَالَ فَمَا خَطْبُكُمْ أَيُّهَا ٱلْمُرْسَلُونَ','verse_number' => '57','verse_key' => '15:57','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1860','chapter_id' => '15','arabic_name' => 'قَالُوٓا۟ إِنَّآ أُرْسِلْنَآ إِلَىٰ قَوْمٍ مُّجْرِمِينَ','verse_number' => '58','verse_key' => '15:58','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1861','chapter_id' => '15','arabic_name' => 'إِلَّآ ءَالَ لُوطٍ إِنَّا لَمُنَجُّوهُمْ أَجْمَعِينَ','verse_number' => '59','verse_key' => '15:59','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1862','chapter_id' => '15','arabic_name' => 'إِلَّا ٱمْرَأَتَهُۥ قَدَّرْنَآ ۙ إِنَّهَا لَمِنَ ٱلْغَـٰبِرِينَ','verse_number' => '60','verse_key' => '15:60','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '221','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1863','chapter_id' => '15','arabic_name' => 'فَلَمَّا جَآءَ ءَالَ لُوطٍ ٱلْمُرْسَلُونَ','verse_number' => '61','verse_key' => '15:61','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1864','chapter_id' => '15','arabic_name' => 'قَالَ إِنَّكُمْ قَوْمٌ مُّنكَرُونَ','verse_number' => '62','verse_key' => '15:62','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1865','chapter_id' => '15','arabic_name' => 'قَالُوا۟ بَلْ جِئْنَـٰكَ بِمَا كَانُوا۟ فِيهِ يَمْتَرُونَ','verse_number' => '63','verse_key' => '15:63','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1866','chapter_id' => '15','arabic_name' => 'وَأَتَيْنَـٰكَ بِٱلْحَقِّ وَإِنَّا لَصَـٰدِقُونَ','verse_number' => '64','verse_key' => '15:64','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1867','chapter_id' => '15','arabic_name' => 'فَأَسْرِ بِأَهْلِكَ بِقِطْعٍ مِّنَ ٱلَّيْلِ وَٱتَّبِعْ أَدْبَـٰرَهُمْ وَلَا يَلْتَفِتْ مِنكُمْ أَحَدٌ وَٱمْضُوا۟ حَيْثُ تُؤْمَرُونَ','verse_number' => '65','verse_key' => '15:65','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1868','chapter_id' => '15','arabic_name' => 'وَقَضَيْنَآ إِلَيْهِ ذَٰلِكَ ٱلْأَمْرَ أَنَّ دَابِرَ هَـٰٓؤُلَآءِ مَقْطُوعٌ مُّصْبِحِينَ','verse_number' => '66','verse_key' => '15:66','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1869','chapter_id' => '15','arabic_name' => 'وَجَآءَ أَهْلُ ٱلْمَدِينَةِ يَسْتَبْشِرُونَ','verse_number' => '67','verse_key' => '15:67','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1870','chapter_id' => '15','arabic_name' => 'قَالَ إِنَّ هَـٰٓؤُلَآءِ ضَيْفِى فَلَا تَفْضَحُونِ','verse_number' => '68','verse_key' => '15:68','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1871','chapter_id' => '15','arabic_name' => 'وَٱتَّقُوا۟ ٱللَّهَ وَلَا تُخْزُونِ','verse_number' => '69','verse_key' => '15:69','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1872','chapter_id' => '15','arabic_name' => 'قَالُوٓا۟ أَوَلَمْ نَنْهَكَ عَنِ ٱلْعَـٰلَمِينَ','verse_number' => '70','verse_key' => '15:70','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '265','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1873','chapter_id' => '15','arabic_name' => 'قَالَ هَـٰٓؤُلَآءِ بَنَاتِىٓ إِن كُنتُمْ فَـٰعِلِينَ','verse_number' => '71','verse_key' => '15:71','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1874','chapter_id' => '15','arabic_name' => 'لَعَمْرُكَ إِنَّهُمْ لَفِى سَكْرَتِهِمْ يَعْمَهُونَ','verse_number' => '72','verse_key' => '15:72','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1875','chapter_id' => '15','arabic_name' => 'فَأَخَذَتْهُمُ ٱلصَّيْحَةُ مُشْرِقِينَ','verse_number' => '73','verse_key' => '15:73','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1876','chapter_id' => '15','arabic_name' => 'فَجَعَلْنَا عَـٰلِيَهَا سَافِلَهَا وَأَمْطَرْنَا عَلَيْهِمْ حِجَارَةً مِّن سِجِّيلٍ','verse_number' => '74','verse_key' => '15:74','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1877','chapter_id' => '15','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّلْمُتَوَسِّمِينَ','verse_number' => '75','verse_key' => '15:75','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1878','chapter_id' => '15','arabic_name' => 'وَإِنَّهَا لَبِسَبِيلٍ مُّقِيمٍ','verse_number' => '76','verse_key' => '15:76','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1879','chapter_id' => '15','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّلْمُؤْمِنِينَ','verse_number' => '77','verse_key' => '15:77','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1880','chapter_id' => '15','arabic_name' => 'وَإِن كَانَ أَصْحَـٰبُ ٱلْأَيْكَةِ لَظَـٰلِمِينَ','verse_number' => '78','verse_key' => '15:78','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1881','chapter_id' => '15','arabic_name' => 'فَٱنتَقَمْنَا مِنْهُمْ وَإِنَّهُمَا لَبِإِمَامٍ مُّبِينٍ','verse_number' => '79','verse_key' => '15:79','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '222','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1882','chapter_id' => '15','arabic_name' => 'وَلَقَدْ كَذَّبَ أَصْحَـٰبُ ٱلْحِجْرِ ٱلْمُرْسَلِينَ','verse_number' => '80','verse_key' => '15:80','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1883','chapter_id' => '15','arabic_name' => 'وَءَاتَيْنَـٰهُمْ ءَايَـٰتِنَا فَكَانُوا۟ عَنْهَا مُعْرِضِينَ','verse_number' => '81','verse_key' => '15:81','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1884','chapter_id' => '15','arabic_name' => 'وَكَانُوا۟ يَنْحِتُونَ مِنَ ٱلْجِبَالِ بُيُوتًا ءَامِنِينَ','verse_number' => '82','verse_key' => '15:82','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1885','chapter_id' => '15','arabic_name' => 'فَأَخَذَتْهُمُ ٱلصَّيْحَةُ مُصْبِحِينَ','verse_number' => '83','verse_key' => '15:83','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1886','chapter_id' => '15','arabic_name' => 'فَمَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يَكْسِبُونَ','verse_number' => '84','verse_key' => '15:84','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1887','chapter_id' => '15','arabic_name' => 'وَمَا خَلَقْنَا ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَآ إِلَّا بِٱلْحَقِّ ۗ وَإِنَّ ٱلسَّاعَةَ لَـَٔاتِيَةٌ ۖ فَٱصْفَحِ ٱلصَّفْحَ ٱلْجَمِيلَ','verse_number' => '85','verse_key' => '15:85','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1888','chapter_id' => '15','arabic_name' => 'إِنَّ رَبَّكَ هُوَ ٱلْخَلَّـٰقُ ٱلْعَلِيمُ','verse_number' => '86','verse_key' => '15:86','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1889','chapter_id' => '15','arabic_name' => 'وَلَقَدْ ءَاتَيْنَـٰكَ سَبْعًا مِّنَ ٱلْمَثَانِى وَٱلْقُرْءَانَ ٱلْعَظِيمَ','verse_number' => '87','verse_key' => '15:87','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1890','chapter_id' => '15','arabic_name' => 'لَا تَمُدَّنَّ عَيْنَيْكَ إِلَىٰ مَا مَتَّعْنَا بِهِۦٓ أَزْوَٰجًا مِّنْهُمْ وَلَا تَحْزَنْ عَلَيْهِمْ وَٱخْفِضْ جَنَاحَكَ لِلْمُؤْمِنِينَ','verse_number' => '88','verse_key' => '15:88','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1891','chapter_id' => '15','arabic_name' => 'وَقُلْ إِنِّىٓ أَنَا ٱلنَّذِيرُ ٱلْمُبِينُ','verse_number' => '89','verse_key' => '15:89','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1892','chapter_id' => '15','arabic_name' => 'كَمَآ أَنزَلْنَا عَلَى ٱلْمُقْتَسِمِينَ','verse_number' => '90','verse_key' => '15:90','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '266','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1893','chapter_id' => '15','arabic_name' => 'ٱلَّذِينَ جَعَلُوا۟ ٱلْقُرْءَانَ عِضِينَ','verse_number' => '91','verse_key' => '15:91','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1894','chapter_id' => '15','arabic_name' => 'فَوَرَبِّكَ لَنَسْـَٔلَنَّهُمْ أَجْمَعِينَ','verse_number' => '92','verse_key' => '15:92','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1895','chapter_id' => '15','arabic_name' => 'عَمَّا كَانُوا۟ يَعْمَلُونَ','verse_number' => '93','verse_key' => '15:93','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1896','chapter_id' => '15','arabic_name' => 'فَٱصْدَعْ بِمَا تُؤْمَرُ وَأَعْرِضْ عَنِ ٱلْمُشْرِكِينَ','verse_number' => '94','verse_key' => '15:94','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1897','chapter_id' => '15','arabic_name' => 'إِنَّا كَفَيْنَـٰكَ ٱلْمُسْتَهْزِءِينَ','verse_number' => '95','verse_key' => '15:95','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1898','chapter_id' => '15','arabic_name' => 'ٱلَّذِينَ يَجْعَلُونَ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ ۚ فَسَوْفَ يَعْلَمُونَ','verse_number' => '96','verse_key' => '15:96','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1899','chapter_id' => '15','arabic_name' => 'وَلَقَدْ نَعْلَمُ أَنَّكَ يَضِيقُ صَدْرُكَ بِمَا يَقُولُونَ','verse_number' => '97','verse_key' => '15:97','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1900','chapter_id' => '15','arabic_name' => 'فَسَبِّحْ بِحَمْدِ رَبِّكَ وَكُن مِّنَ ٱلسَّـٰجِدِينَ','verse_number' => '98','verse_key' => '15:98','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1901','chapter_id' => '15','arabic_name' => 'وَٱعْبُدْ رَبَّكَ حَتَّىٰ يَأْتِيَكَ ٱلْيَقِينُ','verse_number' => '99','verse_key' => '15:99','hizb_number' => '27','rub_el_hizb_number' => '106','ruku_number' => '223','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1902','chapter_id' => '16','arabic_name' => 'أَتَىٰٓ أَمْرُ ٱللَّهِ فَلَا تَسْتَعْجِلُوهُ ۚ سُبْحَـٰنَهُۥ وَتَعَـٰلَىٰ عَمَّا يُشْرِكُونَ','verse_number' => '1','verse_key' => '16:1','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1903','chapter_id' => '16','arabic_name' => 'يُنَزِّلُ ٱلْمَلَـٰٓئِكَةَ بِٱلرُّوحِ مِنْ أَمْرِهِۦ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦٓ أَنْ أَنذِرُوٓا۟ أَنَّهُۥ لَآ إِلَـٰهَ إِلَّآ أَنَا۠ فَٱتَّقُونِ','verse_number' => '2','verse_key' => '16:2','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1904','chapter_id' => '16','arabic_name' => 'خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۚ تَعَـٰلَىٰ عَمَّا يُشْرِكُونَ','verse_number' => '3','verse_key' => '16:3','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1905','chapter_id' => '16','arabic_name' => 'خَلَقَ ٱلْإِنسَـٰنَ مِن نُّطْفَةٍ فَإِذَا هُوَ خَصِيمٌ مُّبِينٌ','verse_number' => '4','verse_key' => '16:4','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1906','chapter_id' => '16','arabic_name' => 'وَٱلْأَنْعَـٰمَ خَلَقَهَا ۗ لَكُمْ فِيهَا دِفْءٌ وَمَنَـٰفِعُ وَمِنْهَا تَأْكُلُونَ','verse_number' => '5','verse_key' => '16:5','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1907','chapter_id' => '16','arabic_name' => 'وَلَكُمْ فِيهَا جَمَالٌ حِينَ تُرِيحُونَ وَحِينَ تَسْرَحُونَ','verse_number' => '6','verse_key' => '16:6','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '267','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1908','chapter_id' => '16','arabic_name' => 'وَتَحْمِلُ أَثْقَالَكُمْ إِلَىٰ بَلَدٍ لَّمْ تَكُونُوا۟ بَـٰلِغِيهِ إِلَّا بِشِقِّ ٱلْأَنفُسِ ۚ إِنَّ رَبَّكُمْ لَرَءُوفٌ رَّحِيمٌ','verse_number' => '7','verse_key' => '16:7','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1909','chapter_id' => '16','arabic_name' => 'وَٱلْخَيْلَ وَٱلْبِغَالَ وَٱلْحَمِيرَ لِتَرْكَبُوهَا وَزِينَةً ۚ وَيَخْلُقُ مَا لَا تَعْلَمُونَ','verse_number' => '8','verse_key' => '16:8','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1910','chapter_id' => '16','arabic_name' => 'وَعَلَى ٱللَّهِ قَصْدُ ٱلسَّبِيلِ وَمِنْهَا جَآئِرٌ ۚ وَلَوْ شَآءَ لَهَدَىٰكُمْ أَجْمَعِينَ','verse_number' => '9','verse_key' => '16:9','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '224','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1911','chapter_id' => '16','arabic_name' => 'هُوَ ٱلَّذِىٓ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً ۖ لَّكُم مِّنْهُ شَرَابٌ وَمِنْهُ شَجَرٌ فِيهِ تُسِيمُونَ','verse_number' => '10','verse_key' => '16:10','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1912','chapter_id' => '16','arabic_name' => 'يُنۢبِتُ لَكُم بِهِ ٱلزَّرْعَ وَٱلزَّيْتُونَ وَٱلنَّخِيلَ وَٱلْأَعْنَـٰبَ وَمِن كُلِّ ٱلثَّمَرَٰتِ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّقَوْمٍ يَتَفَكَّرُونَ','verse_number' => '11','verse_key' => '16:11','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1913','chapter_id' => '16','arabic_name' => 'وَسَخَّرَ لَكُمُ ٱلَّيْلَ وَٱلنَّهَارَ وَٱلشَّمْسَ وَٱلْقَمَرَ ۖ وَٱلنُّجُومُ مُسَخَّرَٰتٌۢ بِأَمْرِهِۦٓ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَعْقِلُونَ','verse_number' => '12','verse_key' => '16:12','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1914','chapter_id' => '16','arabic_name' => 'وَمَا ذَرَأَ لَكُمْ فِى ٱلْأَرْضِ مُخْتَلِفًا أَلْوَٰنُهُۥٓ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّقَوْمٍ يَذَّكَّرُونَ','verse_number' => '13','verse_key' => '16:13','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1915','chapter_id' => '16','arabic_name' => 'وَهُوَ ٱلَّذِى سَخَّرَ ٱلْبَحْرَ لِتَأْكُلُوا۟ مِنْهُ لَحْمًا طَرِيًّا وَتَسْتَخْرِجُوا۟ مِنْهُ حِلْيَةً تَلْبَسُونَهَا وَتَرَى ٱلْفُلْكَ مَوَاخِرَ فِيهِ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '14','verse_key' => '16:14','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '268','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1916','chapter_id' => '16','arabic_name' => 'وَأَلْقَىٰ فِى ٱلْأَرْضِ رَوَٰسِىَ أَن تَمِيدَ بِكُمْ وَأَنْهَـٰرًا وَسُبُلًا لَّعَلَّكُمْ تَهْتَدُونَ','verse_number' => '15','verse_key' => '16:15','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1917','chapter_id' => '16','arabic_name' => 'وَعَلَـٰمَـٰتٍ ۚ وَبِٱلنَّجْمِ هُمْ يَهْتَدُونَ','verse_number' => '16','verse_key' => '16:16','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1918','chapter_id' => '16','arabic_name' => 'أَفَمَن يَخْلُقُ كَمَن لَّا يَخْلُقُ ۗ أَفَلَا تَذَكَّرُونَ','verse_number' => '17','verse_key' => '16:17','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1919','chapter_id' => '16','arabic_name' => 'وَإِن تَعُدُّوا۟ نِعْمَةَ ٱللَّهِ لَا تُحْصُوهَآ ۗ إِنَّ ٱللَّهَ لَغَفُورٌ رَّحِيمٌ','verse_number' => '18','verse_key' => '16:18','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1920','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ يَعْلَمُ مَا تُسِرُّونَ وَمَا تُعْلِنُونَ','verse_number' => '19','verse_key' => '16:19','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1921','chapter_id' => '16','arabic_name' => 'وَٱلَّذِينَ يَدْعُونَ مِن دُونِ ٱللَّهِ لَا يَخْلُقُونَ شَيْـًٔا وَهُمْ يُخْلَقُونَ','verse_number' => '20','verse_key' => '16:20','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1922','chapter_id' => '16','arabic_name' => 'أَمْوَٰتٌ غَيْرُ أَحْيَآءٍ ۖ وَمَا يَشْعُرُونَ أَيَّانَ يُبْعَثُونَ','verse_number' => '21','verse_key' => '16:21','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '225','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1923','chapter_id' => '16','arabic_name' => 'إِلَـٰهُكُمْ إِلَـٰهٌ وَٰحِدٌ ۚ فَٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ قُلُوبُهُم مُّنكِرَةٌ وَهُم مُّسْتَكْبِرُونَ','verse_number' => '22','verse_key' => '16:22','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '226','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1924','chapter_id' => '16','arabic_name' => 'لَا جَرَمَ أَنَّ ٱللَّهَ يَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْمُسْتَكْبِرِينَ','verse_number' => '23','verse_key' => '16:23','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '226','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1925','chapter_id' => '16','arabic_name' => 'وَإِذَا قِيلَ لَهُم مَّاذَآ أَنزَلَ رَبُّكُمْ ۙ قَالُوٓا۟ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '24','verse_key' => '16:24','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '226','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1926','chapter_id' => '16','arabic_name' => 'لِيَحْمِلُوٓا۟ أَوْزَارَهُمْ كَامِلَةً يَوْمَ ٱلْقِيَـٰمَةِ ۙ وَمِنْ أَوْزَارِ ٱلَّذِينَ يُضِلُّونَهُم بِغَيْرِ عِلْمٍ ۗ أَلَا سَآءَ مَا يَزِرُونَ','verse_number' => '25','verse_key' => '16:25','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '226','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1927','chapter_id' => '16','arabic_name' => 'قَدْ مَكَرَ ٱلَّذِينَ مِن قَبْلِهِمْ فَأَتَى ٱللَّهُ بُنْيَـٰنَهُم مِّنَ ٱلْقَوَاعِدِ فَخَرَّ عَلَيْهِمُ ٱلسَّقْفُ مِن فَوْقِهِمْ وَأَتَىٰهُمُ ٱلْعَذَابُ مِنْ حَيْثُ لَا يَشْعُرُونَ','verse_number' => '26','verse_key' => '16:26','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '269','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1928','chapter_id' => '16','arabic_name' => 'ثُمَّ يَوْمَ ٱلْقِيَـٰمَةِ يُخْزِيهِمْ وَيَقُولُ أَيْنَ شُرَكَآءِىَ ٱلَّذِينَ كُنتُمْ تُشَـٰٓقُّونَ فِيهِمْ ۚ قَالَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ إِنَّ ٱلْخِزْىَ ٱلْيَوْمَ وَٱلسُّوٓءَ عَلَى ٱلْكَـٰفِرِينَ','verse_number' => '27','verse_key' => '16:27','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1929','chapter_id' => '16','arabic_name' => 'ٱلَّذِينَ تَتَوَفَّىٰهُمُ ٱلْمَلَـٰٓئِكَةُ ظَالِمِىٓ أَنفُسِهِمْ ۖ فَأَلْقَوُا۟ ٱلسَّلَمَ مَا كُنَّا نَعْمَلُ مِن سُوٓءٍۭ ۚ بَلَىٰٓ إِنَّ ٱللَّهَ عَلِيمٌۢ بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '28','verse_key' => '16:28','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1930','chapter_id' => '16','arabic_name' => 'فَٱدْخُلُوٓا۟ أَبْوَٰبَ جَهَنَّمَ خَـٰلِدِينَ فِيهَا ۖ فَلَبِئْسَ مَثْوَى ٱلْمُتَكَبِّرِينَ','verse_number' => '29','verse_key' => '16:29','hizb_number' => '27','rub_el_hizb_number' => '107','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1931','chapter_id' => '16','arabic_name' => '۞ وَقِيلَ لِلَّذِينَ ٱتَّقَوْا۟ مَاذَآ أَنزَلَ رَبُّكُمْ ۚ قَالُوا۟ خَيْرًا ۗ لِّلَّذِينَ أَحْسَنُوا۟ فِى هَـٰذِهِ ٱلدُّنْيَا حَسَنَةٌ ۚ وَلَدَارُ ٱلْـَٔاخِرَةِ خَيْرٌ ۚ وَلَنِعْمَ دَارُ ٱلْمُتَّقِينَ','verse_number' => '30','verse_key' => '16:30','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1932','chapter_id' => '16','arabic_name' => 'جَنَّـٰتُ عَدْنٍ يَدْخُلُونَهَا تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۖ لَهُمْ فِيهَا مَا يَشَآءُونَ ۚ كَذَٰلِكَ يَجْزِى ٱللَّهُ ٱلْمُتَّقِينَ','verse_number' => '31','verse_key' => '16:31','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1933','chapter_id' => '16','arabic_name' => 'ٱلَّذِينَ تَتَوَفَّىٰهُمُ ٱلْمَلَـٰٓئِكَةُ طَيِّبِينَ ۙ يَقُولُونَ سَلَـٰمٌ عَلَيْكُمُ ٱدْخُلُوا۟ ٱلْجَنَّةَ بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '32','verse_key' => '16:32','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1934','chapter_id' => '16','arabic_name' => 'هَلْ يَنظُرُونَ إِلَّآ أَن تَأْتِيَهُمُ ٱلْمَلَـٰٓئِكَةُ أَوْ يَأْتِىَ أَمْرُ رَبِّكَ ۚ كَذَٰلِكَ فَعَلَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ وَمَا ظَلَمَهُمُ ٱللَّهُ وَلَـٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '33','verse_key' => '16:33','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1935','chapter_id' => '16','arabic_name' => 'فَأَصَابَهُمْ سَيِّـَٔاتُ مَا عَمِلُوا۟ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '34','verse_key' => '16:34','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '227','manzil_number' => '3','sajdah_number' => '0','page_number' => '270','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1936','chapter_id' => '16','arabic_name' => 'وَقَالَ ٱلَّذِينَ أَشْرَكُوا۟ لَوْ شَآءَ ٱللَّهُ مَا عَبَدْنَا مِن دُونِهِۦ مِن شَىْءٍ نَّحْنُ وَلَآ ءَابَآؤُنَا وَلَا حَرَّمْنَا مِن دُونِهِۦ مِن شَىْءٍ ۚ كَذَٰلِكَ فَعَلَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ فَهَلْ عَلَى ٱلرُّسُلِ إِلَّا ٱلْبَلَـٰغُ ٱلْمُبِينُ','verse_number' => '35','verse_key' => '16:35','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '228','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1937','chapter_id' => '16','arabic_name' => 'وَلَقَدْ بَعَثْنَا فِى كُلِّ أُمَّةٍ رَّسُولًا أَنِ ٱعْبُدُوا۟ ٱللَّهَ وَٱجْتَنِبُوا۟ ٱلطَّـٰغُوتَ ۖ فَمِنْهُم مَّنْ هَدَى ٱللَّهُ وَمِنْهُم مَّنْ حَقَّتْ عَلَيْهِ ٱلضَّلَـٰلَةُ ۚ فَسِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُكَذِّبِينَ','verse_number' => '36','verse_key' => '16:36','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '228','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1938','chapter_id' => '16','arabic_name' => 'إِن تَحْرِصْ عَلَىٰ هُدَىٰهُمْ فَإِنَّ ٱللَّهَ لَا يَهْدِى مَن يُضِلُّ ۖ وَمَا لَهُم مِّن نَّـٰصِرِينَ','verse_number' => '37','verse_key' => '16:37','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '228','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1939','chapter_id' => '16','arabic_name' => 'وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَـٰنِهِمْ ۙ لَا يَبْعَثُ ٱللَّهُ مَن يَمُوتُ ۚ بَلَىٰ وَعْدًا عَلَيْهِ حَقًّا وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '38','verse_key' => '16:38','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '228','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1940','chapter_id' => '16','arabic_name' => 'لِيُبَيِّنَ لَهُمُ ٱلَّذِى يَخْتَلِفُونَ فِيهِ وَلِيَعْلَمَ ٱلَّذِينَ كَفَرُوٓا۟ أَنَّهُمْ كَانُوا۟ كَـٰذِبِينَ','verse_number' => '39','verse_key' => '16:39','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '228','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1941','chapter_id' => '16','arabic_name' => 'إِنَّمَا قَوْلُنَا لِشَىْءٍ إِذَآ أَرَدْنَـٰهُ أَن نَّقُولَ لَهُۥ كُن فَيَكُونُ','verse_number' => '40','verse_key' => '16:40','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '228','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1942','chapter_id' => '16','arabic_name' => 'وَٱلَّذِينَ هَاجَرُوا۟ فِى ٱللَّهِ مِنۢ بَعْدِ مَا ظُلِمُوا۟ لَنُبَوِّئَنَّهُمْ فِى ٱلدُّنْيَا حَسَنَةً ۖ وَلَأَجْرُ ٱلْـَٔاخِرَةِ أَكْبَرُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ','verse_number' => '41','verse_key' => '16:41','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1943','chapter_id' => '16','arabic_name' => 'ٱلَّذِينَ صَبَرُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ','verse_number' => '42','verse_key' => '16:42','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '271','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1944','chapter_id' => '16','arabic_name' => 'وَمَآ أَرْسَلْنَا مِن قَبْلِكَ إِلَّا رِجَالًا نُّوحِىٓ إِلَيْهِمْ ۚ فَسْـَٔلُوٓا۟ أَهْلَ ٱلذِّكْرِ إِن كُنتُمْ لَا تَعْلَمُونَ','verse_number' => '43','verse_key' => '16:43','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1945','chapter_id' => '16','arabic_name' => 'بِٱلْبَيِّنَـٰتِ وَٱلزُّبُرِ ۗ وَأَنزَلْنَآ إِلَيْكَ ٱلذِّكْرَ لِتُبَيِّنَ لِلنَّاسِ مَا نُزِّلَ إِلَيْهِمْ وَلَعَلَّهُمْ يَتَفَكَّرُونَ','verse_number' => '44','verse_key' => '16:44','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1946','chapter_id' => '16','arabic_name' => 'أَفَأَمِنَ ٱلَّذِينَ مَكَرُوا۟ ٱلسَّيِّـَٔاتِ أَن يَخْسِفَ ٱللَّهُ بِهِمُ ٱلْأَرْضَ أَوْ يَأْتِيَهُمُ ٱلْعَذَابُ مِنْ حَيْثُ لَا يَشْعُرُونَ','verse_number' => '45','verse_key' => '16:45','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1947','chapter_id' => '16','arabic_name' => 'أَوْ يَأْخُذَهُمْ فِى تَقَلُّبِهِمْ فَمَا هُم بِمُعْجِزِينَ','verse_number' => '46','verse_key' => '16:46','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1948','chapter_id' => '16','arabic_name' => 'أَوْ يَأْخُذَهُمْ عَلَىٰ تَخَوُّفٍ فَإِنَّ رَبَّكُمْ لَرَءُوفٌ رَّحِيمٌ','verse_number' => '47','verse_key' => '16:47','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1949','chapter_id' => '16','arabic_name' => 'أَوَلَمْ يَرَوْا۟ إِلَىٰ مَا خَلَقَ ٱللَّهُ مِن شَىْءٍ يَتَفَيَّؤُا۟ ظِلَـٰلُهُۥ عَنِ ٱلْيَمِينِ وَٱلشَّمَآئِلِ سُجَّدًا لِّلَّهِ وَهُمْ دَٰخِرُونَ','verse_number' => '48','verse_key' => '16:48','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1950','chapter_id' => '16','arabic_name' => 'وَلِلَّهِ يَسْجُدُ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ مِن دَآبَّةٍ وَٱلْمَلَـٰٓئِكَةُ وَهُمْ لَا يَسْتَكْبِرُونَ','verse_number' => '49','verse_key' => '16:49','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1951','chapter_id' => '16','arabic_name' => 'يَخَافُونَ رَبَّهُم مِّن فَوْقِهِمْ وَيَفْعَلُونَ مَا يُؤْمَرُونَ ۩','verse_number' => '50','verse_key' => '16:50','hizb_number' => '27','rub_el_hizb_number' => '108','ruku_number' => '229','manzil_number' => '3','sajdah_number' => '3','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1952','chapter_id' => '16','arabic_name' => '۞ وَقَالَ ٱللَّهُ لَا تَتَّخِذُوٓا۟ إِلَـٰهَيْنِ ٱثْنَيْنِ ۖ إِنَّمَا هُوَ إِلَـٰهٌ وَٰحِدٌ ۖ فَإِيَّـٰىَ فَٱرْهَبُونِ','verse_number' => '51','verse_key' => '16:51','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1953','chapter_id' => '16','arabic_name' => 'وَلَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَلَهُ ٱلدِّينُ وَاصِبًا ۚ أَفَغَيْرَ ٱللَّهِ تَتَّقُونَ','verse_number' => '52','verse_key' => '16:52','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1954','chapter_id' => '16','arabic_name' => 'وَمَا بِكُم مِّن نِّعْمَةٍ فَمِنَ ٱللَّهِ ۖ ثُمَّ إِذَا مَسَّكُمُ ٱلضُّرُّ فَإِلَيْهِ تَجْـَٔرُونَ','verse_number' => '53','verse_key' => '16:53','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1955','chapter_id' => '16','arabic_name' => 'ثُمَّ إِذَا كَشَفَ ٱلضُّرَّ عَنكُمْ إِذَا فَرِيقٌ مِّنكُم بِرَبِّهِمْ يُشْرِكُونَ','verse_number' => '54','verse_key' => '16:54','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '272','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1956','chapter_id' => '16','arabic_name' => 'لِيَكْفُرُوا۟ بِمَآ ءَاتَيْنَـٰهُمْ ۚ فَتَمَتَّعُوا۟ ۖ فَسَوْفَ تَعْلَمُونَ','verse_number' => '55','verse_key' => '16:55','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1957','chapter_id' => '16','arabic_name' => 'وَيَجْعَلُونَ لِمَا لَا يَعْلَمُونَ نَصِيبًا مِّمَّا رَزَقْنَـٰهُمْ ۗ تَٱللَّهِ لَتُسْـَٔلُنَّ عَمَّا كُنتُمْ تَفْتَرُونَ','verse_number' => '56','verse_key' => '16:56','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1958','chapter_id' => '16','arabic_name' => 'وَيَجْعَلُونَ لِلَّهِ ٱلْبَنَـٰتِ سُبْحَـٰنَهُۥ ۙ وَلَهُم مَّا يَشْتَهُونَ','verse_number' => '57','verse_key' => '16:57','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1959','chapter_id' => '16','arabic_name' => 'وَإِذَا بُشِّرَ أَحَدُهُم بِٱلْأُنثَىٰ ظَلَّ وَجْهُهُۥ مُسْوَدًّا وَهُوَ كَظِيمٌ','verse_number' => '58','verse_key' => '16:58','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1960','chapter_id' => '16','arabic_name' => 'يَتَوَٰرَىٰ مِنَ ٱلْقَوْمِ مِن سُوٓءِ مَا بُشِّرَ بِهِۦٓ ۚ أَيُمْسِكُهُۥ عَلَىٰ هُونٍ أَمْ يَدُسُّهُۥ فِى ٱلتُّرَابِ ۗ أَلَا سَآءَ مَا يَحْكُمُونَ','verse_number' => '59','verse_key' => '16:59','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1961','chapter_id' => '16','arabic_name' => 'لِلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ مَثَلُ ٱلسَّوْءِ ۖ وَلِلَّهِ ٱلْمَثَلُ ٱلْأَعْلَىٰ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '60','verse_key' => '16:60','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '230','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1962','chapter_id' => '16','arabic_name' => 'وَلَوْ يُؤَاخِذُ ٱللَّهُ ٱلنَّاسَ بِظُلْمِهِم مَّا تَرَكَ عَلَيْهَا مِن دَآبَّةٍ وَلَـٰكِن يُؤَخِّرُهُمْ إِلَىٰٓ أَجَلٍ مُّسَمًّى ۖ فَإِذَا جَآءَ أَجَلُهُمْ لَا يَسْتَـْٔخِرُونَ سَاعَةً ۖ وَلَا يَسْتَقْدِمُونَ','verse_number' => '61','verse_key' => '16:61','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '231','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1963','chapter_id' => '16','arabic_name' => 'وَيَجْعَلُونَ لِلَّهِ مَا يَكْرَهُونَ وَتَصِفُ أَلْسِنَتُهُمُ ٱلْكَذِبَ أَنَّ لَهُمُ ٱلْحُسْنَىٰ ۖ لَا جَرَمَ أَنَّ لَهُمُ ٱلنَّارَ وَأَنَّهُم مُّفْرَطُونَ','verse_number' => '62','verse_key' => '16:62','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '231','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1964','chapter_id' => '16','arabic_name' => 'تَٱللَّهِ لَقَدْ أَرْسَلْنَآ إِلَىٰٓ أُمَمٍ مِّن قَبْلِكَ فَزَيَّنَ لَهُمُ ٱلشَّيْطَـٰنُ أَعْمَـٰلَهُمْ فَهُوَ وَلِيُّهُمُ ٱلْيَوْمَ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '63','verse_key' => '16:63','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '231','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1965','chapter_id' => '16','arabic_name' => 'وَمَآ أَنزَلْنَا عَلَيْكَ ٱلْكِتَـٰبَ إِلَّا لِتُبَيِّنَ لَهُمُ ٱلَّذِى ٱخْتَلَفُوا۟ فِيهِ ۙ وَهُدًى وَرَحْمَةً لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '64','verse_key' => '16:64','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '231','manzil_number' => '3','sajdah_number' => '0','page_number' => '273','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1966','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَأَحْيَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَآ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّقَوْمٍ يَسْمَعُونَ','verse_number' => '65','verse_key' => '16:65','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '231','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1967','chapter_id' => '16','arabic_name' => 'وَإِنَّ لَكُمْ فِى ٱلْأَنْعَـٰمِ لَعِبْرَةً ۖ نُّسْقِيكُم مِّمَّا فِى بُطُونِهِۦ مِنۢ بَيْنِ فَرْثٍ وَدَمٍ لَّبَنًا خَالِصًا سَآئِغًا لِّلشَّـٰرِبِينَ','verse_number' => '66','verse_key' => '16:66','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '232','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1968','chapter_id' => '16','arabic_name' => 'وَمِن ثَمَرَٰتِ ٱلنَّخِيلِ وَٱلْأَعْنَـٰبِ تَتَّخِذُونَ مِنْهُ سَكَرًا وَرِزْقًا حَسَنًا ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّقَوْمٍ يَعْقِلُونَ','verse_number' => '67','verse_key' => '16:67','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '232','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1969','chapter_id' => '16','arabic_name' => 'وَأَوْحَىٰ رَبُّكَ إِلَى ٱلنَّحْلِ أَنِ ٱتَّخِذِى مِنَ ٱلْجِبَالِ بُيُوتًا وَمِنَ ٱلشَّجَرِ وَمِمَّا يَعْرِشُونَ','verse_number' => '68','verse_key' => '16:68','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '232','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1970','chapter_id' => '16','arabic_name' => 'ثُمَّ كُلِى مِن كُلِّ ٱلثَّمَرَٰتِ فَٱسْلُكِى سُبُلَ رَبِّكِ ذُلُلًا ۚ يَخْرُجُ مِنۢ بُطُونِهَا شَرَابٌ مُّخْتَلِفٌ أَلْوَٰنُهُۥ فِيهِ شِفَآءٌ لِّلنَّاسِ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّقَوْمٍ يَتَفَكَّرُونَ','verse_number' => '69','verse_key' => '16:69','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '232','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1971','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ خَلَقَكُمْ ثُمَّ يَتَوَفَّىٰكُمْ ۚ وَمِنكُم مَّن يُرَدُّ إِلَىٰٓ أَرْذَلِ ٱلْعُمُرِ لِكَىْ لَا يَعْلَمَ بَعْدَ عِلْمٍ شَيْـًٔا ۚ إِنَّ ٱللَّهَ عَلِيمٌ قَدِيرٌ','verse_number' => '70','verse_key' => '16:70','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '232','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1972','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ فَضَّلَ بَعْضَكُمْ عَلَىٰ بَعْضٍ فِى ٱلرِّزْقِ ۚ فَمَا ٱلَّذِينَ فُضِّلُوا۟ بِرَآدِّى رِزْقِهِمْ عَلَىٰ مَا مَلَكَتْ أَيْمَـٰنُهُمْ فَهُمْ فِيهِ سَوَآءٌ ۚ أَفَبِنِعْمَةِ ٱللَّهِ يَجْحَدُونَ','verse_number' => '71','verse_key' => '16:71','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '233','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1973','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ جَعَلَ لَكُم مِّنْ أَنفُسِكُمْ أَزْوَٰجًا وَجَعَلَ لَكُم مِّنْ أَزْوَٰجِكُم بَنِينَ وَحَفَدَةً وَرَزَقَكُم مِّنَ ٱلطَّيِّبَـٰتِ ۚ أَفَبِٱلْبَـٰطِلِ يُؤْمِنُونَ وَبِنِعْمَتِ ٱللَّهِ هُمْ يَكْفُرُونَ','verse_number' => '72','verse_key' => '16:72','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '233','manzil_number' => '3','sajdah_number' => '0','page_number' => '274','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1974','chapter_id' => '16','arabic_name' => 'وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَمْلِكُ لَهُمْ رِزْقًا مِّنَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ شَيْـًٔا وَلَا يَسْتَطِيعُونَ','verse_number' => '73','verse_key' => '16:73','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '233','manzil_number' => '3','sajdah_number' => '0','page_number' => '275','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1975','chapter_id' => '16','arabic_name' => 'فَلَا تَضْرِبُوا۟ لِلَّهِ ٱلْأَمْثَالَ ۚ إِنَّ ٱللَّهَ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ','verse_number' => '74','verse_key' => '16:74','hizb_number' => '28','rub_el_hizb_number' => '109','ruku_number' => '233','manzil_number' => '3','sajdah_number' => '0','page_number' => '275','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1976','chapter_id' => '16','arabic_name' => '۞ ضَرَبَ ٱللَّهُ مَثَلًا عَبْدًا مَّمْلُوكًا لَّا يَقْدِرُ عَلَىٰ شَىْءٍ وَمَن رَّزَقْنَـٰهُ مِنَّا رِزْقًا حَسَنًا فَهُوَ يُنفِقُ مِنْهُ سِرًّا وَجَهْرًا ۖ هَلْ يَسْتَوُۥنَ ۚ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ','verse_number' => '75','verse_key' => '16:75','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '233','manzil_number' => '3','sajdah_number' => '0','page_number' => '275','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1977','chapter_id' => '16','arabic_name' => 'وَضَرَبَ ٱللَّهُ مَثَلًا رَّجُلَيْنِ أَحَدُهُمَآ أَبْكَمُ لَا يَقْدِرُ عَلَىٰ شَىْءٍ وَهُوَ كَلٌّ عَلَىٰ مَوْلَىٰهُ أَيْنَمَا يُوَجِّههُّ لَا يَأْتِ بِخَيْرٍ ۖ هَلْ يَسْتَوِى هُوَ وَمَن يَأْمُرُ بِٱلْعَدْلِ ۙ وَهُوَ عَلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '76','verse_key' => '16:76','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '233','manzil_number' => '3','sajdah_number' => '0','page_number' => '275','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1978','chapter_id' => '16','arabic_name' => 'وَلِلَّهِ غَيْبُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَمَآ أَمْرُ ٱلسَّاعَةِ إِلَّا كَلَمْحِ ٱلْبَصَرِ أَوْ هُوَ أَقْرَبُ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '77','verse_key' => '16:77','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '234','manzil_number' => '3','sajdah_number' => '0','page_number' => '275','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1979','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ أَخْرَجَكُم مِّنۢ بُطُونِ أُمَّهَـٰتِكُمْ لَا تَعْلَمُونَ شَيْـًٔا وَجَعَلَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَـٰرَ وَٱلْأَفْـِٔدَةَ ۙ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '78','verse_key' => '16:78','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '234','manzil_number' => '3','sajdah_number' => '0','page_number' => '275','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1980','chapter_id' => '16','arabic_name' => 'أَلَمْ يَرَوْا۟ إِلَى ٱلطَّيْرِ مُسَخَّرَٰتٍ فِى جَوِّ ٱلسَّمَآءِ مَا يُمْسِكُهُنَّ إِلَّا ٱللَّهُ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '79','verse_key' => '16:79','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '234','manzil_number' => '3','sajdah_number' => '0','page_number' => '275','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1981','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ جَعَلَ لَكُم مِّنۢ بُيُوتِكُمْ سَكَنًا وَجَعَلَ لَكُم مِّن جُلُودِ ٱلْأَنْعَـٰمِ بُيُوتًا تَسْتَخِفُّونَهَا يَوْمَ ظَعْنِكُمْ وَيَوْمَ إِقَامَتِكُمْ ۙ وَمِنْ أَصْوَافِهَا وَأَوْبَارِهَا وَأَشْعَارِهَآ أَثَـٰثًا وَمَتَـٰعًا إِلَىٰ حِينٍ','verse_number' => '80','verse_key' => '16:80','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '234','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1982','chapter_id' => '16','arabic_name' => 'وَٱللَّهُ جَعَلَ لَكُم مِّمَّا خَلَقَ ظِلَـٰلًا وَجَعَلَ لَكُم مِّنَ ٱلْجِبَالِ أَكْنَـٰنًا وَجَعَلَ لَكُمْ سَرَٰبِيلَ تَقِيكُمُ ٱلْحَرَّ وَسَرَٰبِيلَ تَقِيكُم بَأْسَكُمْ ۚ كَذَٰلِكَ يُتِمُّ نِعْمَتَهُۥ عَلَيْكُمْ لَعَلَّكُمْ تُسْلِمُونَ','verse_number' => '81','verse_key' => '16:81','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '234','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1983','chapter_id' => '16','arabic_name' => 'فَإِن تَوَلَّوْا۟ فَإِنَّمَا عَلَيْكَ ٱلْبَلَـٰغُ ٱلْمُبِينُ','verse_number' => '82','verse_key' => '16:82','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '234','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1984','chapter_id' => '16','arabic_name' => 'يَعْرِفُونَ نِعْمَتَ ٱللَّهِ ثُمَّ يُنكِرُونَهَا وَأَكْثَرُهُمُ ٱلْكَـٰفِرُونَ','verse_number' => '83','verse_key' => '16:83','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '234','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1985','chapter_id' => '16','arabic_name' => 'وَيَوْمَ نَبْعَثُ مِن كُلِّ أُمَّةٍ شَهِيدًا ثُمَّ لَا يُؤْذَنُ لِلَّذِينَ كَفَرُوا۟ وَلَا هُمْ يُسْتَعْتَبُونَ','verse_number' => '84','verse_key' => '16:84','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '235','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1986','chapter_id' => '16','arabic_name' => 'وَإِذَا رَءَا ٱلَّذِينَ ظَلَمُوا۟ ٱلْعَذَابَ فَلَا يُخَفَّفُ عَنْهُمْ وَلَا هُمْ يُنظَرُونَ','verse_number' => '85','verse_key' => '16:85','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '235','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1987','chapter_id' => '16','arabic_name' => 'وَإِذَا رَءَا ٱلَّذِينَ أَشْرَكُوا۟ شُرَكَآءَهُمْ قَالُوا۟ رَبَّنَا هَـٰٓؤُلَآءِ شُرَكَآؤُنَا ٱلَّذِينَ كُنَّا نَدْعُوا۟ مِن دُونِكَ ۖ فَأَلْقَوْا۟ إِلَيْهِمُ ٱلْقَوْلَ إِنَّكُمْ لَكَـٰذِبُونَ','verse_number' => '86','verse_key' => '16:86','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '235','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1988','chapter_id' => '16','arabic_name' => 'وَأَلْقَوْا۟ إِلَى ٱللَّهِ يَوْمَئِذٍ ٱلسَّلَمَ ۖ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '87','verse_key' => '16:87','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '235','manzil_number' => '3','sajdah_number' => '0','page_number' => '276','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1989','chapter_id' => '16','arabic_name' => 'ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ زِدْنَـٰهُمْ عَذَابًا فَوْقَ ٱلْعَذَابِ بِمَا كَانُوا۟ يُفْسِدُونَ','verse_number' => '88','verse_key' => '16:88','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '235','manzil_number' => '3','sajdah_number' => '0','page_number' => '277','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1990','chapter_id' => '16','arabic_name' => 'وَيَوْمَ نَبْعَثُ فِى كُلِّ أُمَّةٍ شَهِيدًا عَلَيْهِم مِّنْ أَنفُسِهِمْ ۖ وَجِئْنَا بِكَ شَهِيدًا عَلَىٰ هَـٰٓؤُلَآءِ ۚ وَنَزَّلْنَا عَلَيْكَ ٱلْكِتَـٰبَ تِبْيَـٰنًا لِّكُلِّ شَىْءٍ وَهُدًى وَرَحْمَةً وَبُشْرَىٰ لِلْمُسْلِمِينَ','verse_number' => '89','verse_key' => '16:89','hizb_number' => '28','rub_el_hizb_number' => '110','ruku_number' => '235','manzil_number' => '3','sajdah_number' => '0','page_number' => '277','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1991','chapter_id' => '16','arabic_name' => '۞ إِنَّ ٱللَّهَ يَأْمُرُ بِٱلْعَدْلِ وَٱلْإِحْسَـٰنِ وَإِيتَآئِ ذِى ٱلْقُرْبَىٰ وَيَنْهَىٰ عَنِ ٱلْفَحْشَآءِ وَٱلْمُنكَرِ وَٱلْبَغْىِ ۚ يَعِظُكُمْ لَعَلَّكُمْ تَذَكَّرُونَ','verse_number' => '90','verse_key' => '16:90','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '277','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1992','chapter_id' => '16','arabic_name' => 'وَأَوْفُوا۟ بِعَهْدِ ٱللَّهِ إِذَا عَـٰهَدتُّمْ وَلَا تَنقُضُوا۟ ٱلْأَيْمَـٰنَ بَعْدَ تَوْكِيدِهَا وَقَدْ جَعَلْتُمُ ٱللَّهَ عَلَيْكُمْ كَفِيلًا ۚ إِنَّ ٱللَّهَ يَعْلَمُ مَا تَفْعَلُونَ','verse_number' => '91','verse_key' => '16:91','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '277','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1993','chapter_id' => '16','arabic_name' => 'وَلَا تَكُونُوا۟ كَٱلَّتِى نَقَضَتْ غَزْلَهَا مِنۢ بَعْدِ قُوَّةٍ أَنكَـٰثًا تَتَّخِذُونَ أَيْمَـٰنَكُمْ دَخَلًۢا بَيْنَكُمْ أَن تَكُونَ أُمَّةٌ هِىَ أَرْبَىٰ مِنْ أُمَّةٍ ۚ إِنَّمَا يَبْلُوكُمُ ٱللَّهُ بِهِۦ ۚ وَلَيُبَيِّنَنَّ لَكُمْ يَوْمَ ٱلْقِيَـٰمَةِ مَا كُنتُمْ فِيهِ تَخْتَلِفُونَ','verse_number' => '92','verse_key' => '16:92','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '277','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1994','chapter_id' => '16','arabic_name' => 'وَلَوْ شَآءَ ٱللَّهُ لَجَعَلَكُمْ أُمَّةً وَٰحِدَةً وَلَـٰكِن يُضِلُّ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۚ وَلَتُسْـَٔلُنَّ عَمَّا كُنتُمْ تَعْمَلُونَ','verse_number' => '93','verse_key' => '16:93','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '277','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1995','chapter_id' => '16','arabic_name' => 'وَلَا تَتَّخِذُوٓا۟ أَيْمَـٰنَكُمْ دَخَلًۢا بَيْنَكُمْ فَتَزِلَّ قَدَمٌۢ بَعْدَ ثُبُوتِهَا وَتَذُوقُوا۟ ٱلسُّوٓءَ بِمَا صَدَدتُّمْ عَن سَبِيلِ ٱللَّهِ ۖ وَلَكُمْ عَذَابٌ عَظِيمٌ','verse_number' => '94','verse_key' => '16:94','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1996','chapter_id' => '16','arabic_name' => 'وَلَا تَشْتَرُوا۟ بِعَهْدِ ٱللَّهِ ثَمَنًا قَلِيلًا ۚ إِنَّمَا عِندَ ٱللَّهِ هُوَ خَيْرٌ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '95','verse_key' => '16:95','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1997','chapter_id' => '16','arabic_name' => 'مَا عِندَكُمْ يَنفَدُ ۖ وَمَا عِندَ ٱللَّهِ بَاقٍ ۗ وَلَنَجْزِيَنَّ ٱلَّذِينَ صَبَرُوٓا۟ أَجْرَهُم بِأَحْسَنِ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '96','verse_key' => '16:96','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1998','chapter_id' => '16','arabic_name' => 'مَنْ عَمِلَ صَـٰلِحًا مِّن ذَكَرٍ أَوْ أُنثَىٰ وَهُوَ مُؤْمِنٌ فَلَنُحْيِيَنَّهُۥ حَيَوٰةً طَيِّبَةً ۖ وَلَنَجْزِيَنَّهُمْ أَجْرَهُم بِأَحْسَنِ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '97','verse_key' => '16:97','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '1999','chapter_id' => '16','arabic_name' => 'فَإِذَا قَرَأْتَ ٱلْقُرْءَانَ فَٱسْتَعِذْ بِٱللَّهِ مِنَ ٱلشَّيْطَـٰنِ ٱلرَّجِيمِ','verse_number' => '98','verse_key' => '16:98','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2000','chapter_id' => '16','arabic_name' => 'إِنَّهُۥ لَيْسَ لَهُۥ سُلْطَـٰنٌ عَلَى ٱلَّذِينَ ءَامَنُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ','verse_number' => '99','verse_key' => '16:99','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
        );

        DB::table('chapter_details')->insert($data);
    }
}
