<?php

namespace Database\Seeders\Quran\Chapter;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ChapterDetailSeeder3 extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = array(
            array('id' => '2001','chapter_id' => '16','arabic_name' => 'إِنَّمَا سُلْطَـٰنُهُۥ عَلَى ٱلَّذِينَ يَتَوَلَّوْنَهُۥ وَٱلَّذِينَ هُم بِهِۦ مُشْرِكُونَ','verse_number' => '100','verse_key' => '16:100','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '236','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2002','chapter_id' => '16','arabic_name' => 'وَإِذَا بَدَّلْنَآ ءَايَةً مَّكَانَ ءَايَةٍ ۙ وَٱللَّهُ أَعْلَمُ بِمَا يُنَزِّلُ قَالُوٓا۟ إِنَّمَآ أَنتَ مُفْتَرٍۭ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ','verse_number' => '101','verse_key' => '16:101','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2003','chapter_id' => '16','arabic_name' => 'قُلْ نَزَّلَهُۥ رُوحُ ٱلْقُدُسِ مِن رَّبِّكَ بِٱلْحَقِّ لِيُثَبِّتَ ٱلَّذِينَ ءَامَنُوا۟ وَهُدًى وَبُشْرَىٰ لِلْمُسْلِمِينَ','verse_number' => '102','verse_key' => '16:102','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '278','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2004','chapter_id' => '16','arabic_name' => 'وَلَقَدْ نَعْلَمُ أَنَّهُمْ يَقُولُونَ إِنَّمَا يُعَلِّمُهُۥ بَشَرٌ ۗ لِّسَانُ ٱلَّذِى يُلْحِدُونَ إِلَيْهِ أَعْجَمِىٌّ وَهَـٰذَا لِسَانٌ عَرَبِىٌّ مُّبِينٌ','verse_number' => '103','verse_key' => '16:103','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2005','chapter_id' => '16','arabic_name' => 'إِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِـَٔايَـٰتِ ٱللَّهِ لَا يَهْدِيهِمُ ٱللَّهُ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '104','verse_key' => '16:104','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2006','chapter_id' => '16','arabic_name' => 'إِنَّمَا يَفْتَرِى ٱلْكَذِبَ ٱلَّذِينَ لَا يُؤْمِنُونَ بِـَٔايَـٰتِ ٱللَّهِ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْكَـٰذِبُونَ','verse_number' => '105','verse_key' => '16:105','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2007','chapter_id' => '16','arabic_name' => 'مَن كَفَرَ بِٱللَّهِ مِنۢ بَعْدِ إِيمَـٰنِهِۦٓ إِلَّا مَنْ أُكْرِهَ وَقَلْبُهُۥ مُطْمَئِنٌّۢ بِٱلْإِيمَـٰنِ وَلَـٰكِن مَّن شَرَحَ بِٱلْكُفْرِ صَدْرًا فَعَلَيْهِمْ غَضَبٌ مِّنَ ٱللَّهِ وَلَهُمْ عَذَابٌ عَظِيمٌ','verse_number' => '106','verse_key' => '16:106','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2008','chapter_id' => '16','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمُ ٱسْتَحَبُّوا۟ ٱلْحَيَوٰةَ ٱلدُّنْيَا عَلَى ٱلْـَٔاخِرَةِ وَأَنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلْكَـٰفِرِينَ','verse_number' => '107','verse_key' => '16:107','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2009','chapter_id' => '16','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ طَبَعَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ وَسَمْعِهِمْ وَأَبْصَـٰرِهِمْ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْغَـٰفِلُونَ','verse_number' => '108','verse_key' => '16:108','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2010','chapter_id' => '16','arabic_name' => 'لَا جَرَمَ أَنَّهُمْ فِى ٱلْـَٔاخِرَةِ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '109','verse_key' => '16:109','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2011','chapter_id' => '16','arabic_name' => 'ثُمَّ إِنَّ رَبَّكَ لِلَّذِينَ هَاجَرُوا۟ مِنۢ بَعْدِ مَا فُتِنُوا۟ ثُمَّ جَـٰهَدُوا۟ وَصَبَرُوٓا۟ إِنَّ رَبَّكَ مِنۢ بَعْدِهَا لَغَفُورٌ رَّحِيمٌ','verse_number' => '110','verse_key' => '16:110','hizb_number' => '28','rub_el_hizb_number' => '111','ruku_number' => '237','manzil_number' => '3','sajdah_number' => '0','page_number' => '279','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2012','chapter_id' => '16','arabic_name' => '۞ يَوْمَ تَأْتِى كُلُّ نَفْسٍ تُجَـٰدِلُ عَن نَّفْسِهَا وَتُوَفَّىٰ كُلُّ نَفْسٍ مَّا عَمِلَتْ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '111','verse_key' => '16:111','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2013','chapter_id' => '16','arabic_name' => 'وَضَرَبَ ٱللَّهُ مَثَلًا قَرْيَةً كَانَتْ ءَامِنَةً مُّطْمَئِنَّةً يَأْتِيهَا رِزْقُهَا رَغَدًا مِّن كُلِّ مَكَانٍ فَكَفَرَتْ بِأَنْعُمِ ٱللَّهِ فَأَذَٰقَهَا ٱللَّهُ لِبَاسَ ٱلْجُوعِ وَٱلْخَوْفِ بِمَا كَانُوا۟ يَصْنَعُونَ','verse_number' => '112','verse_key' => '16:112','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2014','chapter_id' => '16','arabic_name' => 'وَلَقَدْ جَآءَهُمْ رَسُولٌ مِّنْهُمْ فَكَذَّبُوهُ فَأَخَذَهُمُ ٱلْعَذَابُ وَهُمْ ظَـٰلِمُونَ','verse_number' => '113','verse_key' => '16:113','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2015','chapter_id' => '16','arabic_name' => 'فَكُلُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ حَلَـٰلًا طَيِّبًا وَٱشْكُرُوا۟ نِعْمَتَ ٱللَّهِ إِن كُنتُمْ إِيَّاهُ تَعْبُدُونَ','verse_number' => '114','verse_key' => '16:114','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2016','chapter_id' => '16','arabic_name' => 'إِنَّمَا حَرَّمَ عَلَيْكُمُ ٱلْمَيْتَةَ وَٱلدَّمَ وَلَحْمَ ٱلْخِنزِيرِ وَمَآ أُهِلَّ لِغَيْرِ ٱللَّهِ بِهِۦ ۖ فَمَنِ ٱضْطُرَّ غَيْرَ بَاغٍ وَلَا عَادٍ فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '115','verse_key' => '16:115','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2017','chapter_id' => '16','arabic_name' => 'وَلَا تَقُولُوا۟ لِمَا تَصِفُ أَلْسِنَتُكُمُ ٱلْكَذِبَ هَـٰذَا حَلَـٰلٌ وَهَـٰذَا حَرَامٌ لِّتَفْتَرُوا۟ عَلَى ٱللَّهِ ٱلْكَذِبَ ۚ إِنَّ ٱلَّذِينَ يَفْتَرُونَ عَلَى ٱللَّهِ ٱلْكَذِبَ لَا يُفْلِحُونَ','verse_number' => '116','verse_key' => '16:116','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2018','chapter_id' => '16','arabic_name' => 'مَتَـٰعٌ قَلِيلٌ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '117','verse_key' => '16:117','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2019','chapter_id' => '16','arabic_name' => 'وَعَلَى ٱلَّذِينَ هَادُوا۟ حَرَّمْنَا مَا قَصَصْنَا عَلَيْكَ مِن قَبْلُ ۖ وَمَا ظَلَمْنَـٰهُمْ وَلَـٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '118','verse_key' => '16:118','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '280','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2020','chapter_id' => '16','arabic_name' => 'ثُمَّ إِنَّ رَبَّكَ لِلَّذِينَ عَمِلُوا۟ ٱلسُّوٓءَ بِجَهَـٰلَةٍ ثُمَّ تَابُوا۟ مِنۢ بَعْدِ ذَٰلِكَ وَأَصْلَحُوٓا۟ إِنَّ رَبَّكَ مِنۢ بَعْدِهَا لَغَفُورٌ رَّحِيمٌ','verse_number' => '119','verse_key' => '16:119','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '238','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2021','chapter_id' => '16','arabic_name' => 'إِنَّ إِبْرَٰهِيمَ كَانَ أُمَّةً قَانِتًا لِّلَّهِ حَنِيفًا وَلَمْ يَكُ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '120','verse_key' => '16:120','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2022','chapter_id' => '16','arabic_name' => 'شَاكِرًا لِّأَنْعُمِهِ ۚ ٱجْتَبَىٰهُ وَهَدَىٰهُ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '121','verse_key' => '16:121','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2023','chapter_id' => '16','arabic_name' => 'وَءَاتَيْنَـٰهُ فِى ٱلدُّنْيَا حَسَنَةً ۖ وَإِنَّهُۥ فِى ٱلْـَٔاخِرَةِ لَمِنَ ٱلصَّـٰلِحِينَ','verse_number' => '122','verse_key' => '16:122','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2024','chapter_id' => '16','arabic_name' => 'ثُمَّ أَوْحَيْنَآ إِلَيْكَ أَنِ ٱتَّبِعْ مِلَّةَ إِبْرَٰهِيمَ حَنِيفًا ۖ وَمَا كَانَ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '123','verse_key' => '16:123','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2025','chapter_id' => '16','arabic_name' => 'إِنَّمَا جُعِلَ ٱلسَّبْتُ عَلَى ٱلَّذِينَ ٱخْتَلَفُوا۟ فِيهِ ۚ وَإِنَّ رَبَّكَ لَيَحْكُمُ بَيْنَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ','verse_number' => '124','verse_key' => '16:124','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2026','chapter_id' => '16','arabic_name' => 'ٱدْعُ إِلَىٰ سَبِيلِ رَبِّكَ بِٱلْحِكْمَةِ وَٱلْمَوْعِظَةِ ٱلْحَسَنَةِ ۖ وَجَـٰدِلْهُم بِٱلَّتِى هِىَ أَحْسَنُ ۚ إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِمَن ضَلَّ عَن سَبِيلِهِۦ ۖ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ','verse_number' => '125','verse_key' => '16:125','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2027','chapter_id' => '16','arabic_name' => 'وَإِنْ عَاقَبْتُمْ فَعَاقِبُوا۟ بِمِثْلِ مَا عُوقِبْتُم بِهِۦ ۖ وَلَئِن صَبَرْتُمْ لَهُوَ خَيْرٌ لِّلصَّـٰبِرِينَ','verse_number' => '126','verse_key' => '16:126','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2028','chapter_id' => '16','arabic_name' => 'وَٱصْبِرْ وَمَا صَبْرُكَ إِلَّا بِٱللَّهِ ۚ وَلَا تَحْزَنْ عَلَيْهِمْ وَلَا تَكُ فِى ضَيْقٍ مِّمَّا يَمْكُرُونَ','verse_number' => '127','verse_key' => '16:127','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2029','chapter_id' => '16','arabic_name' => 'إِنَّ ٱللَّهَ مَعَ ٱلَّذِينَ ٱتَّقَوا۟ وَّٱلَّذِينَ هُم مُّحْسِنُونَ','verse_number' => '128','verse_key' => '16:128','hizb_number' => '28','rub_el_hizb_number' => '112','ruku_number' => '239','manzil_number' => '3','sajdah_number' => '0','page_number' => '281','juz_number' => '14','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2030','chapter_id' => '17','arabic_name' => 'سُبْحَـٰنَ ٱلَّذِىٓ أَسْرَىٰ بِعَبْدِهِۦ لَيْلًا مِّنَ ٱلْمَسْجِدِ ٱلْحَرَامِ إِلَى ٱلْمَسْجِدِ ٱلْأَقْصَا ٱلَّذِى بَـٰرَكْنَا حَوْلَهُۥ لِنُرِيَهُۥ مِنْ ءَايَـٰتِنَآ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ','verse_number' => '1','verse_key' => '17:1','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '282','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2031','chapter_id' => '17','arabic_name' => 'وَءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ وَجَعَلْنَـٰهُ هُدًى لِّبَنِىٓ إِسْرَٰٓءِيلَ أَلَّا تَتَّخِذُوا۟ مِن دُونِى وَكِيلًا','verse_number' => '2','verse_key' => '17:2','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '282','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2032','chapter_id' => '17','arabic_name' => 'ذُرِّيَّةَ مَنْ حَمَلْنَا مَعَ نُوحٍ ۚ إِنَّهُۥ كَانَ عَبْدًا شَكُورًا','verse_number' => '3','verse_key' => '17:3','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '282','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2033','chapter_id' => '17','arabic_name' => 'وَقَضَيْنَآ إِلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ فِى ٱلْكِتَـٰبِ لَتُفْسِدُنَّ فِى ٱلْأَرْضِ مَرَّتَيْنِ وَلَتَعْلُنَّ عُلُوًّا كَبِيرًا','verse_number' => '4','verse_key' => '17:4','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '282','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2034','chapter_id' => '17','arabic_name' => 'فَإِذَا جَآءَ وَعْدُ أُولَىٰهُمَا بَعَثْنَا عَلَيْكُمْ عِبَادًا لَّنَآ أُو۟لِى بَأْسٍ شَدِيدٍ فَجَاسُوا۟ خِلَـٰلَ ٱلدِّيَارِ ۚ وَكَانَ وَعْدًا مَّفْعُولًا','verse_number' => '5','verse_key' => '17:5','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '282','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2035','chapter_id' => '17','arabic_name' => 'ثُمَّ رَدَدْنَا لَكُمُ ٱلْكَرَّةَ عَلَيْهِمْ وَأَمْدَدْنَـٰكُم بِأَمْوَٰلٍ وَبَنِينَ وَجَعَلْنَـٰكُمْ أَكْثَرَ نَفِيرًا','verse_number' => '6','verse_key' => '17:6','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '282','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2036','chapter_id' => '17','arabic_name' => 'إِنْ أَحْسَنتُمْ أَحْسَنتُمْ لِأَنفُسِكُمْ ۖ وَإِنْ أَسَأْتُمْ فَلَهَا ۚ فَإِذَا جَآءَ وَعْدُ ٱلْـَٔاخِرَةِ لِيَسُـۥٓـُٔوا۟ وُجُوهَكُمْ وَلِيَدْخُلُوا۟ ٱلْمَسْجِدَ كَمَا دَخَلُوهُ أَوَّلَ مَرَّةٍ وَلِيُتَبِّرُوا۟ مَا عَلَوْا۟ تَتْبِيرًا','verse_number' => '7','verse_key' => '17:7','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '282','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2037','chapter_id' => '17','arabic_name' => 'عَسَىٰ رَبُّكُمْ أَن يَرْحَمَكُمْ ۚ وَإِنْ عُدتُّمْ عُدْنَا ۘ وَجَعَلْنَا جَهَنَّمَ لِلْكَـٰفِرِينَ حَصِيرًا','verse_number' => '8','verse_key' => '17:8','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2038','chapter_id' => '17','arabic_name' => 'إِنَّ هَـٰذَا ٱلْقُرْءَانَ يَهْدِى لِلَّتِى هِىَ أَقْوَمُ وَيُبَشِّرُ ٱلْمُؤْمِنِينَ ٱلَّذِينَ يَعْمَلُونَ ٱلصَّـٰلِحَـٰتِ أَنَّ لَهُمْ أَجْرًا كَبِيرًا','verse_number' => '9','verse_key' => '17:9','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2039','chapter_id' => '17','arabic_name' => 'وَأَنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ أَعْتَدْنَا لَهُمْ عَذَابًا أَلِيمًا','verse_number' => '10','verse_key' => '17:10','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '240','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2040','chapter_id' => '17','arabic_name' => 'وَيَدْعُ ٱلْإِنسَـٰنُ بِٱلشَّرِّ دُعَآءَهُۥ بِٱلْخَيْرِ ۖ وَكَانَ ٱلْإِنسَـٰنُ عَجُولًا','verse_number' => '11','verse_key' => '17:11','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2041','chapter_id' => '17','arabic_name' => 'وَجَعَلْنَا ٱلَّيْلَ وَٱلنَّهَارَ ءَايَتَيْنِ ۖ فَمَحَوْنَآ ءَايَةَ ٱلَّيْلِ وَجَعَلْنَآ ءَايَةَ ٱلنَّهَارِ مُبْصِرَةً لِّتَبْتَغُوا۟ فَضْلًا مِّن رَّبِّكُمْ وَلِتَعْلَمُوا۟ عَدَدَ ٱلسِّنِينَ وَٱلْحِسَابَ ۚ وَكُلَّ شَىْءٍ فَصَّلْنَـٰهُ تَفْصِيلًا','verse_number' => '12','verse_key' => '17:12','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2042','chapter_id' => '17','arabic_name' => 'وَكُلَّ إِنسَـٰنٍ أَلْزَمْنَـٰهُ طَـٰٓئِرَهُۥ فِى عُنُقِهِۦ ۖ وَنُخْرِجُ لَهُۥ يَوْمَ ٱلْقِيَـٰمَةِ كِتَـٰبًا يَلْقَىٰهُ مَنشُورًا','verse_number' => '13','verse_key' => '17:13','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2043','chapter_id' => '17','arabic_name' => 'ٱقْرَأْ كِتَـٰبَكَ كَفَىٰ بِنَفْسِكَ ٱلْيَوْمَ عَلَيْكَ حَسِيبًا','verse_number' => '14','verse_key' => '17:14','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2044','chapter_id' => '17','arabic_name' => 'مَّنِ ٱهْتَدَىٰ فَإِنَّمَا يَهْتَدِى لِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَإِنَّمَا يَضِلُّ عَلَيْهَا ۚ وَلَا تَزِرُ وَازِرَةٌ وِزْرَ أُخْرَىٰ ۗ وَمَا كُنَّا مُعَذِّبِينَ حَتَّىٰ نَبْعَثَ رَسُولًا','verse_number' => '15','verse_key' => '17:15','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2045','chapter_id' => '17','arabic_name' => 'وَإِذَآ أَرَدْنَآ أَن نُّهْلِكَ قَرْيَةً أَمَرْنَا مُتْرَفِيهَا فَفَسَقُوا۟ فِيهَا فَحَقَّ عَلَيْهَا ٱلْقَوْلُ فَدَمَّرْنَـٰهَا تَدْمِيرًا','verse_number' => '16','verse_key' => '17:16','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2046','chapter_id' => '17','arabic_name' => 'وَكَمْ أَهْلَكْنَا مِنَ ٱلْقُرُونِ مِنۢ بَعْدِ نُوحٍ ۗ وَكَفَىٰ بِرَبِّكَ بِذُنُوبِ عِبَادِهِۦ خَبِيرًۢا بَصِيرًا','verse_number' => '17','verse_key' => '17:17','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '283','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2047','chapter_id' => '17','arabic_name' => 'مَّن كَانَ يُرِيدُ ٱلْعَاجِلَةَ عَجَّلْنَا لَهُۥ فِيهَا مَا نَشَآءُ لِمَن نُّرِيدُ ثُمَّ جَعَلْنَا لَهُۥ جَهَنَّمَ يَصْلَىٰهَا مَذْمُومًا مَّدْحُورًا','verse_number' => '18','verse_key' => '17:18','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2048','chapter_id' => '17','arabic_name' => 'وَمَنْ أَرَادَ ٱلْـَٔاخِرَةَ وَسَعَىٰ لَهَا سَعْيَهَا وَهُوَ مُؤْمِنٌ فَأُو۟لَـٰٓئِكَ كَانَ سَعْيُهُم مَّشْكُورًا','verse_number' => '19','verse_key' => '17:19','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2049','chapter_id' => '17','arabic_name' => 'كُلًّا نُّمِدُّ هَـٰٓؤُلَآءِ وَهَـٰٓؤُلَآءِ مِنْ عَطَآءِ رَبِّكَ ۚ وَمَا كَانَ عَطَآءُ رَبِّكَ مَحْظُورًا','verse_number' => '20','verse_key' => '17:20','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2050','chapter_id' => '17','arabic_name' => 'ٱنظُرْ كَيْفَ فَضَّلْنَا بَعْضَهُمْ عَلَىٰ بَعْضٍ ۚ وَلَلْـَٔاخِرَةُ أَكْبَرُ دَرَجَـٰتٍ وَأَكْبَرُ تَفْضِيلًا','verse_number' => '21','verse_key' => '17:21','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2051','chapter_id' => '17','arabic_name' => 'لَّا تَجْعَلْ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ فَتَقْعُدَ مَذْمُومًا مَّخْذُولًا','verse_number' => '22','verse_key' => '17:22','hizb_number' => '29','rub_el_hizb_number' => '113','ruku_number' => '241','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2052','chapter_id' => '17','arabic_name' => '۞ وَقَضَىٰ رَبُّكَ أَلَّا تَعْبُدُوٓا۟ إِلَّآ إِيَّاهُ وَبِٱلْوَٰلِدَيْنِ إِحْسَـٰنًا ۚ إِمَّا يَبْلُغَنَّ عِندَكَ ٱلْكِبَرَ أَحَدُهُمَآ أَوْ كِلَاهُمَا فَلَا تَقُل لَّهُمَآ أُفٍّ وَلَا تَنْهَرْهُمَا وَقُل لَّهُمَا قَوْلًا كَرِيمًا','verse_number' => '23','verse_key' => '17:23','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2053','chapter_id' => '17','arabic_name' => 'وَٱخْفِضْ لَهُمَا جَنَاحَ ٱلذُّلِّ مِنَ ٱلرَّحْمَةِ وَقُل رَّبِّ ٱرْحَمْهُمَا كَمَا رَبَّيَانِى صَغِيرًا','verse_number' => '24','verse_key' => '17:24','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2054','chapter_id' => '17','arabic_name' => 'رَّبُّكُمْ أَعْلَمُ بِمَا فِى نُفُوسِكُمْ ۚ إِن تَكُونُوا۟ صَـٰلِحِينَ فَإِنَّهُۥ كَانَ لِلْأَوَّٰبِينَ غَفُورًا','verse_number' => '25','verse_key' => '17:25','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2055','chapter_id' => '17','arabic_name' => 'وَءَاتِ ذَا ٱلْقُرْبَىٰ حَقَّهُۥ وَٱلْمِسْكِينَ وَٱبْنَ ٱلسَّبِيلِ وَلَا تُبَذِّرْ تَبْذِيرًا','verse_number' => '26','verse_key' => '17:26','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2056','chapter_id' => '17','arabic_name' => 'إِنَّ ٱلْمُبَذِّرِينَ كَانُوٓا۟ إِخْوَٰنَ ٱلشَّيَـٰطِينِ ۖ وَكَانَ ٱلشَّيْطَـٰنُ لِرَبِّهِۦ كَفُورًا','verse_number' => '27','verse_key' => '17:27','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '284','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2057','chapter_id' => '17','arabic_name' => 'وَإِمَّا تُعْرِضَنَّ عَنْهُمُ ٱبْتِغَآءَ رَحْمَةٍ مِّن رَّبِّكَ تَرْجُوهَا فَقُل لَّهُمْ قَوْلًا مَّيْسُورًا','verse_number' => '28','verse_key' => '17:28','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2058','chapter_id' => '17','arabic_name' => 'وَلَا تَجْعَلْ يَدَكَ مَغْلُولَةً إِلَىٰ عُنُقِكَ وَلَا تَبْسُطْهَا كُلَّ ٱلْبَسْطِ فَتَقْعُدَ مَلُومًا مَّحْسُورًا','verse_number' => '29','verse_key' => '17:29','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2059','chapter_id' => '17','arabic_name' => 'إِنَّ رَبَّكَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّهُۥ كَانَ بِعِبَادِهِۦ خَبِيرًۢا بَصِيرًا','verse_number' => '30','verse_key' => '17:30','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '242','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2060','chapter_id' => '17','arabic_name' => 'وَلَا تَقْتُلُوٓا۟ أَوْلَـٰدَكُمْ خَشْيَةَ إِمْلَـٰقٍ ۖ نَّحْنُ نَرْزُقُهُمْ وَإِيَّاكُمْ ۚ إِنَّ قَتْلَهُمْ كَانَ خِطْـًٔا كَبِيرًا','verse_number' => '31','verse_key' => '17:31','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2061','chapter_id' => '17','arabic_name' => 'وَلَا تَقْرَبُوا۟ ٱلزِّنَىٰٓ ۖ إِنَّهُۥ كَانَ فَـٰحِشَةً وَسَآءَ سَبِيلًا','verse_number' => '32','verse_key' => '17:32','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2062','chapter_id' => '17','arabic_name' => 'وَلَا تَقْتُلُوا۟ ٱلنَّفْسَ ٱلَّتِى حَرَّمَ ٱللَّهُ إِلَّا بِٱلْحَقِّ ۗ وَمَن قُتِلَ مَظْلُومًا فَقَدْ جَعَلْنَا لِوَلِيِّهِۦ سُلْطَـٰنًا فَلَا يُسْرِف فِّى ٱلْقَتْلِ ۖ إِنَّهُۥ كَانَ مَنصُورًا','verse_number' => '33','verse_key' => '17:33','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2063','chapter_id' => '17','arabic_name' => 'وَلَا تَقْرَبُوا۟ مَالَ ٱلْيَتِيمِ إِلَّا بِٱلَّتِى هِىَ أَحْسَنُ حَتَّىٰ يَبْلُغَ أَشُدَّهُۥ ۚ وَأَوْفُوا۟ بِٱلْعَهْدِ ۖ إِنَّ ٱلْعَهْدَ كَانَ مَسْـُٔولًا','verse_number' => '34','verse_key' => '17:34','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2064','chapter_id' => '17','arabic_name' => 'وَأَوْفُوا۟ ٱلْكَيْلَ إِذَا كِلْتُمْ وَزِنُوا۟ بِٱلْقِسْطَاسِ ٱلْمُسْتَقِيمِ ۚ ذَٰلِكَ خَيْرٌ وَأَحْسَنُ تَأْوِيلًا','verse_number' => '35','verse_key' => '17:35','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2065','chapter_id' => '17','arabic_name' => 'وَلَا تَقْفُ مَا لَيْسَ لَكَ بِهِۦ عِلْمٌ ۚ إِنَّ ٱلسَّمْعَ وَٱلْبَصَرَ وَٱلْفُؤَادَ كُلُّ أُو۟لَـٰٓئِكَ كَانَ عَنْهُ مَسْـُٔولًا','verse_number' => '36','verse_key' => '17:36','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2066','chapter_id' => '17','arabic_name' => 'وَلَا تَمْشِ فِى ٱلْأَرْضِ مَرَحًا ۖ إِنَّكَ لَن تَخْرِقَ ٱلْأَرْضَ وَلَن تَبْلُغَ ٱلْجِبَالَ طُولًا','verse_number' => '37','verse_key' => '17:37','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2067','chapter_id' => '17','arabic_name' => 'كُلُّ ذَٰلِكَ كَانَ سَيِّئُهُۥ عِندَ رَبِّكَ مَكْرُوهًا','verse_number' => '38','verse_key' => '17:38','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '285','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2068','chapter_id' => '17','arabic_name' => 'ذَٰلِكَ مِمَّآ أَوْحَىٰٓ إِلَيْكَ رَبُّكَ مِنَ ٱلْحِكْمَةِ ۗ وَلَا تَجْعَلْ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ فَتُلْقَىٰ فِى جَهَنَّمَ مَلُومًا مَّدْحُورًا','verse_number' => '39','verse_key' => '17:39','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2069','chapter_id' => '17','arabic_name' => 'أَفَأَصْفَىٰكُمْ رَبُّكُم بِٱلْبَنِينَ وَٱتَّخَذَ مِنَ ٱلْمَلَـٰٓئِكَةِ إِنَـٰثًا ۚ إِنَّكُمْ لَتَقُولُونَ قَوْلًا عَظِيمًا','verse_number' => '40','verse_key' => '17:40','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '243','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2070','chapter_id' => '17','arabic_name' => 'وَلَقَدْ صَرَّفْنَا فِى هَـٰذَا ٱلْقُرْءَانِ لِيَذَّكَّرُوا۟ وَمَا يَزِيدُهُمْ إِلَّا نُفُورًا','verse_number' => '41','verse_key' => '17:41','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2071','chapter_id' => '17','arabic_name' => 'قُل لَّوْ كَانَ مَعَهُۥٓ ءَالِهَةٌ كَمَا يَقُولُونَ إِذًا لَّٱبْتَغَوْا۟ إِلَىٰ ذِى ٱلْعَرْشِ سَبِيلًا','verse_number' => '42','verse_key' => '17:42','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2072','chapter_id' => '17','arabic_name' => 'سُبْحَـٰنَهُۥ وَتَعَـٰلَىٰ عَمَّا يَقُولُونَ عُلُوًّا كَبِيرًا','verse_number' => '43','verse_key' => '17:43','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2073','chapter_id' => '17','arabic_name' => 'تُسَبِّحُ لَهُ ٱلسَّمَـٰوَٰتُ ٱلسَّبْعُ وَٱلْأَرْضُ وَمَن فِيهِنَّ ۚ وَإِن مِّن شَىْءٍ إِلَّا يُسَبِّحُ بِحَمْدِهِۦ وَلَـٰكِن لَّا تَفْقَهُونَ تَسْبِيحَهُمْ ۗ إِنَّهُۥ كَانَ حَلِيمًا غَفُورًا','verse_number' => '44','verse_key' => '17:44','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2074','chapter_id' => '17','arabic_name' => 'وَإِذَا قَرَأْتَ ٱلْقُرْءَانَ جَعَلْنَا بَيْنَكَ وَبَيْنَ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ حِجَابًا مَّسْتُورًا','verse_number' => '45','verse_key' => '17:45','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2075','chapter_id' => '17','arabic_name' => 'وَجَعَلْنَا عَلَىٰ قُلُوبِهِمْ أَكِنَّةً أَن يَفْقَهُوهُ وَفِىٓ ءَاذَانِهِمْ وَقْرًا ۚ وَإِذَا ذَكَرْتَ رَبَّكَ فِى ٱلْقُرْءَانِ وَحْدَهُۥ وَلَّوْا۟ عَلَىٰٓ أَدْبَـٰرِهِمْ نُفُورًا','verse_number' => '46','verse_key' => '17:46','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2076','chapter_id' => '17','arabic_name' => 'نَّحْنُ أَعْلَمُ بِمَا يَسْتَمِعُونَ بِهِۦٓ إِذْ يَسْتَمِعُونَ إِلَيْكَ وَإِذْ هُمْ نَجْوَىٰٓ إِذْ يَقُولُ ٱلظَّـٰلِمُونَ إِن تَتَّبِعُونَ إِلَّا رَجُلًا مَّسْحُورًا','verse_number' => '47','verse_key' => '17:47','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2077','chapter_id' => '17','arabic_name' => 'ٱنظُرْ كَيْفَ ضَرَبُوا۟ لَكَ ٱلْأَمْثَالَ فَضَلُّوا۟ فَلَا يَسْتَطِيعُونَ سَبِيلًا','verse_number' => '48','verse_key' => '17:48','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2078','chapter_id' => '17','arabic_name' => 'وَقَالُوٓا۟ أَءِذَا كُنَّا عِظَـٰمًا وَرُفَـٰتًا أَءِنَّا لَمَبْعُوثُونَ خَلْقًا جَدِيدًا','verse_number' => '49','verse_key' => '17:49','hizb_number' => '29','rub_el_hizb_number' => '114','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '286','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2079','chapter_id' => '17','arabic_name' => '۞ قُلْ كُونُوا۟ حِجَارَةً أَوْ حَدِيدًا','verse_number' => '50','verse_key' => '17:50','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2080','chapter_id' => '17','arabic_name' => 'أَوْ خَلْقًا مِّمَّا يَكْبُرُ فِى صُدُورِكُمْ ۚ فَسَيَقُولُونَ مَن يُعِيدُنَا ۖ قُلِ ٱلَّذِى فَطَرَكُمْ أَوَّلَ مَرَّةٍ ۚ فَسَيُنْغِضُونَ إِلَيْكَ رُءُوسَهُمْ وَيَقُولُونَ مَتَىٰ هُوَ ۖ قُلْ عَسَىٰٓ أَن يَكُونَ قَرِيبًا','verse_number' => '51','verse_key' => '17:51','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2081','chapter_id' => '17','arabic_name' => 'يَوْمَ يَدْعُوكُمْ فَتَسْتَجِيبُونَ بِحَمْدِهِۦ وَتَظُنُّونَ إِن لَّبِثْتُمْ إِلَّا قَلِيلًا','verse_number' => '52','verse_key' => '17:52','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '244','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2082','chapter_id' => '17','arabic_name' => 'وَقُل لِّعِبَادِى يَقُولُوا۟ ٱلَّتِى هِىَ أَحْسَنُ ۚ إِنَّ ٱلشَّيْطَـٰنَ يَنزَغُ بَيْنَهُمْ ۚ إِنَّ ٱلشَّيْطَـٰنَ كَانَ لِلْإِنسَـٰنِ عَدُوًّا مُّبِينًا','verse_number' => '53','verse_key' => '17:53','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2083','chapter_id' => '17','arabic_name' => 'رَّبُّكُمْ أَعْلَمُ بِكُمْ ۖ إِن يَشَأْ يَرْحَمْكُمْ أَوْ إِن يَشَأْ يُعَذِّبْكُمْ ۚ وَمَآ أَرْسَلْنَـٰكَ عَلَيْهِمْ وَكِيلًا','verse_number' => '54','verse_key' => '17:54','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2084','chapter_id' => '17','arabic_name' => 'وَرَبُّكَ أَعْلَمُ بِمَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۗ وَلَقَدْ فَضَّلْنَا بَعْضَ ٱلنَّبِيِّـۧنَ عَلَىٰ بَعْضٍ ۖ وَءَاتَيْنَا دَاوُۥدَ زَبُورًا','verse_number' => '55','verse_key' => '17:55','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2085','chapter_id' => '17','arabic_name' => 'قُلِ ٱدْعُوا۟ ٱلَّذِينَ زَعَمْتُم مِّن دُونِهِۦ فَلَا يَمْلِكُونَ كَشْفَ ٱلضُّرِّ عَنكُمْ وَلَا تَحْوِيلًا','verse_number' => '56','verse_key' => '17:56','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2086','chapter_id' => '17','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ يَدْعُونَ يَبْتَغُونَ إِلَىٰ رَبِّهِمُ ٱلْوَسِيلَةَ أَيُّهُمْ أَقْرَبُ وَيَرْجُونَ رَحْمَتَهُۥ وَيَخَافُونَ عَذَابَهُۥٓ ۚ إِنَّ عَذَابَ رَبِّكَ كَانَ مَحْذُورًا','verse_number' => '57','verse_key' => '17:57','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2087','chapter_id' => '17','arabic_name' => 'وَإِن مِّن قَرْيَةٍ إِلَّا نَحْنُ مُهْلِكُوهَا قَبْلَ يَوْمِ ٱلْقِيَـٰمَةِ أَوْ مُعَذِّبُوهَا عَذَابًا شَدِيدًا ۚ كَانَ ذَٰلِكَ فِى ٱلْكِتَـٰبِ مَسْطُورًا','verse_number' => '58','verse_key' => '17:58','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '287','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2088','chapter_id' => '17','arabic_name' => 'وَمَا مَنَعَنَآ أَن نُّرْسِلَ بِٱلْـَٔايَـٰتِ إِلَّآ أَن كَذَّبَ بِهَا ٱلْأَوَّلُونَ ۚ وَءَاتَيْنَا ثَمُودَ ٱلنَّاقَةَ مُبْصِرَةً فَظَلَمُوا۟ بِهَا ۚ وَمَا نُرْسِلُ بِٱلْـَٔايَـٰتِ إِلَّا تَخْوِيفًا','verse_number' => '59','verse_key' => '17:59','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2089','chapter_id' => '17','arabic_name' => 'وَإِذْ قُلْنَا لَكَ إِنَّ رَبَّكَ أَحَاطَ بِٱلنَّاسِ ۚ وَمَا جَعَلْنَا ٱلرُّءْيَا ٱلَّتِىٓ أَرَيْنَـٰكَ إِلَّا فِتْنَةً لِّلنَّاسِ وَٱلشَّجَرَةَ ٱلْمَلْعُونَةَ فِى ٱلْقُرْءَانِ ۚ وَنُخَوِّفُهُمْ فَمَا يَزِيدُهُمْ إِلَّا طُغْيَـٰنًا كَبِيرًا','verse_number' => '60','verse_key' => '17:60','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '245','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2090','chapter_id' => '17','arabic_name' => 'وَإِذْ قُلْنَا لِلْمَلَـٰٓئِكَةِ ٱسْجُدُوا۟ لِـَٔادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ قَالَ ءَأَسْجُدُ لِمَنْ خَلَقْتَ طِينًا','verse_number' => '61','verse_key' => '17:61','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2091','chapter_id' => '17','arabic_name' => 'قَالَ أَرَءَيْتَكَ هَـٰذَا ٱلَّذِى كَرَّمْتَ عَلَىَّ لَئِنْ أَخَّرْتَنِ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ لَأَحْتَنِكَنَّ ذُرِّيَّتَهُۥٓ إِلَّا قَلِيلًا','verse_number' => '62','verse_key' => '17:62','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2092','chapter_id' => '17','arabic_name' => 'قَالَ ٱذْهَبْ فَمَن تَبِعَكَ مِنْهُمْ فَإِنَّ جَهَنَّمَ جَزَآؤُكُمْ جَزَآءً مَّوْفُورًا','verse_number' => '63','verse_key' => '17:63','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2093','chapter_id' => '17','arabic_name' => 'وَٱسْتَفْزِزْ مَنِ ٱسْتَطَعْتَ مِنْهُم بِصَوْتِكَ وَأَجْلِبْ عَلَيْهِم بِخَيْلِكَ وَرَجِلِكَ وَشَارِكْهُمْ فِى ٱلْأَمْوَٰلِ وَٱلْأَوْلَـٰدِ وَعِدْهُمْ ۚ وَمَا يَعِدُهُمُ ٱلشَّيْطَـٰنُ إِلَّا غُرُورًا','verse_number' => '64','verse_key' => '17:64','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2094','chapter_id' => '17','arabic_name' => 'إِنَّ عِبَادِى لَيْسَ لَكَ عَلَيْهِمْ سُلْطَـٰنٌ ۚ وَكَفَىٰ بِرَبِّكَ وَكِيلًا','verse_number' => '65','verse_key' => '17:65','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2095','chapter_id' => '17','arabic_name' => 'رَّبُّكُمُ ٱلَّذِى يُزْجِى لَكُمُ ٱلْفُلْكَ فِى ٱلْبَحْرِ لِتَبْتَغُوا۟ مِن فَضْلِهِۦٓ ۚ إِنَّهُۥ كَانَ بِكُمْ رَحِيمًا','verse_number' => '66','verse_key' => '17:66','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '288','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2096','chapter_id' => '17','arabic_name' => 'وَإِذَا مَسَّكُمُ ٱلضُّرُّ فِى ٱلْبَحْرِ ضَلَّ مَن تَدْعُونَ إِلَّآ إِيَّاهُ ۖ فَلَمَّا نَجَّىٰكُمْ إِلَى ٱلْبَرِّ أَعْرَضْتُمْ ۚ وَكَانَ ٱلْإِنسَـٰنُ كَفُورًا','verse_number' => '67','verse_key' => '17:67','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2097','chapter_id' => '17','arabic_name' => 'أَفَأَمِنتُمْ أَن يَخْسِفَ بِكُمْ جَانِبَ ٱلْبَرِّ أَوْ يُرْسِلَ عَلَيْكُمْ حَاصِبًا ثُمَّ لَا تَجِدُوا۟ لَكُمْ وَكِيلًا','verse_number' => '68','verse_key' => '17:68','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2098','chapter_id' => '17','arabic_name' => 'أَمْ أَمِنتُمْ أَن يُعِيدَكُمْ فِيهِ تَارَةً أُخْرَىٰ فَيُرْسِلَ عَلَيْكُمْ قَاصِفًا مِّنَ ٱلرِّيحِ فَيُغْرِقَكُم بِمَا كَفَرْتُمْ ۙ ثُمَّ لَا تَجِدُوا۟ لَكُمْ عَلَيْنَا بِهِۦ تَبِيعًا','verse_number' => '69','verse_key' => '17:69','hizb_number' => '29','rub_el_hizb_number' => '115','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2099','chapter_id' => '17','arabic_name' => '۞ وَلَقَدْ كَرَّمْنَا بَنِىٓ ءَادَمَ وَحَمَلْنَـٰهُمْ فِى ٱلْبَرِّ وَٱلْبَحْرِ وَرَزَقْنَـٰهُم مِّنَ ٱلطَّيِّبَـٰتِ وَفَضَّلْنَـٰهُمْ عَلَىٰ كَثِيرٍ مِّمَّنْ خَلَقْنَا تَفْضِيلًا','verse_number' => '70','verse_key' => '17:70','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '246','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2100','chapter_id' => '17','arabic_name' => 'يَوْمَ نَدْعُوا۟ كُلَّ أُنَاسٍۭ بِإِمَـٰمِهِمْ ۖ فَمَنْ أُوتِىَ كِتَـٰبَهُۥ بِيَمِينِهِۦ فَأُو۟لَـٰٓئِكَ يَقْرَءُونَ كِتَـٰبَهُمْ وَلَا يُظْلَمُونَ فَتِيلًا','verse_number' => '71','verse_key' => '17:71','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '247','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2101','chapter_id' => '17','arabic_name' => 'وَمَن كَانَ فِى هَـٰذِهِۦٓ أَعْمَىٰ فَهُوَ فِى ٱلْـَٔاخِرَةِ أَعْمَىٰ وَأَضَلُّ سَبِيلًا','verse_number' => '72','verse_key' => '17:72','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '247','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2102','chapter_id' => '17','arabic_name' => 'وَإِن كَادُوا۟ لَيَفْتِنُونَكَ عَنِ ٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ لِتَفْتَرِىَ عَلَيْنَا غَيْرَهُۥ ۖ وَإِذًا لَّٱتَّخَذُوكَ خَلِيلًا','verse_number' => '73','verse_key' => '17:73','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '247','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2103','chapter_id' => '17','arabic_name' => 'وَلَوْلَآ أَن ثَبَّتْنَـٰكَ لَقَدْ كِدتَّ تَرْكَنُ إِلَيْهِمْ شَيْـًٔا قَلِيلًا','verse_number' => '74','verse_key' => '17:74','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '247','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2104','chapter_id' => '17','arabic_name' => 'إِذًا لَّأَذَقْنَـٰكَ ضِعْفَ ٱلْحَيَوٰةِ وَضِعْفَ ٱلْمَمَاتِ ثُمَّ لَا تَجِدُ لَكَ عَلَيْنَا نَصِيرًا','verse_number' => '75','verse_key' => '17:75','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '247','manzil_number' => '4','sajdah_number' => '0','page_number' => '289','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2105','chapter_id' => '17','arabic_name' => 'وَإِن كَادُوا۟ لَيَسْتَفِزُّونَكَ مِنَ ٱلْأَرْضِ لِيُخْرِجُوكَ مِنْهَا ۖ وَإِذًا لَّا يَلْبَثُونَ خِلَـٰفَكَ إِلَّا قَلِيلًا','verse_number' => '76','verse_key' => '17:76','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '247','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2106','chapter_id' => '17','arabic_name' => 'سُنَّةَ مَن قَدْ أَرْسَلْنَا قَبْلَكَ مِن رُّسُلِنَا ۖ وَلَا تَجِدُ لِسُنَّتِنَا تَحْوِيلًا','verse_number' => '77','verse_key' => '17:77','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '247','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2107','chapter_id' => '17','arabic_name' => 'أَقِمِ ٱلصَّلَوٰةَ لِدُلُوكِ ٱلشَّمْسِ إِلَىٰ غَسَقِ ٱلَّيْلِ وَقُرْءَانَ ٱلْفَجْرِ ۖ إِنَّ قُرْءَانَ ٱلْفَجْرِ كَانَ مَشْهُودًا','verse_number' => '78','verse_key' => '17:78','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '248','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2108','chapter_id' => '17','arabic_name' => 'وَمِنَ ٱلَّيْلِ فَتَهَجَّدْ بِهِۦ نَافِلَةً لَّكَ عَسَىٰٓ أَن يَبْعَثَكَ رَبُّكَ مَقَامًا مَّحْمُودًا','verse_number' => '79','verse_key' => '17:79','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '248','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2109','chapter_id' => '17','arabic_name' => 'وَقُل رَّبِّ أَدْخِلْنِى مُدْخَلَ صِدْقٍ وَأَخْرِجْنِى مُخْرَجَ صِدْقٍ وَٱجْعَل لِّى مِن لَّدُنكَ سُلْطَـٰنًا نَّصِيرًا','verse_number' => '80','verse_key' => '17:80','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '248','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2110','chapter_id' => '17','arabic_name' => 'وَقُلْ جَآءَ ٱلْحَقُّ وَزَهَقَ ٱلْبَـٰطِلُ ۚ إِنَّ ٱلْبَـٰطِلَ كَانَ زَهُوقًا','verse_number' => '81','verse_key' => '17:81','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '248','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2111','chapter_id' => '17','arabic_name' => 'وَنُنَزِّلُ مِنَ ٱلْقُرْءَانِ مَا هُوَ شِفَآءٌ وَرَحْمَةٌ لِّلْمُؤْمِنِينَ ۙ وَلَا يَزِيدُ ٱلظَّـٰلِمِينَ إِلَّا خَسَارًا','verse_number' => '82','verse_key' => '17:82','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '248','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2112','chapter_id' => '17','arabic_name' => 'وَإِذَآ أَنْعَمْنَا عَلَى ٱلْإِنسَـٰنِ أَعْرَضَ وَنَـَٔا بِجَانِبِهِۦ ۖ وَإِذَا مَسَّهُ ٱلشَّرُّ كَانَ يَـُٔوسًا','verse_number' => '83','verse_key' => '17:83','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '248','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2113','chapter_id' => '17','arabic_name' => 'قُلْ كُلٌّ يَعْمَلُ عَلَىٰ شَاكِلَتِهِۦ فَرَبُّكُمْ أَعْلَمُ بِمَنْ هُوَ أَهْدَىٰ سَبِيلًا','verse_number' => '84','verse_key' => '17:84','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '248','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2114','chapter_id' => '17','arabic_name' => 'وَيَسْـَٔلُونَكَ عَنِ ٱلرُّوحِ ۖ قُلِ ٱلرُّوحُ مِنْ أَمْرِ رَبِّى وَمَآ أُوتِيتُم مِّنَ ٱلْعِلْمِ إِلَّا قَلِيلًا','verse_number' => '85','verse_key' => '17:85','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2115','chapter_id' => '17','arabic_name' => 'وَلَئِن شِئْنَا لَنَذْهَبَنَّ بِٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ ثُمَّ لَا تَجِدُ لَكَ بِهِۦ عَلَيْنَا وَكِيلًا','verse_number' => '86','verse_key' => '17:86','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '290','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2116','chapter_id' => '17','arabic_name' => 'إِلَّا رَحْمَةً مِّن رَّبِّكَ ۚ إِنَّ فَضْلَهُۥ كَانَ عَلَيْكَ كَبِيرًا','verse_number' => '87','verse_key' => '17:87','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2117','chapter_id' => '17','arabic_name' => 'قُل لَّئِنِ ٱجْتَمَعَتِ ٱلْإِنسُ وَٱلْجِنُّ عَلَىٰٓ أَن يَأْتُوا۟ بِمِثْلِ هَـٰذَا ٱلْقُرْءَانِ لَا يَأْتُونَ بِمِثْلِهِۦ وَلَوْ كَانَ بَعْضُهُمْ لِبَعْضٍ ظَهِيرًا','verse_number' => '88','verse_key' => '17:88','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2118','chapter_id' => '17','arabic_name' => 'وَلَقَدْ صَرَّفْنَا لِلنَّاسِ فِى هَـٰذَا ٱلْقُرْءَانِ مِن كُلِّ مَثَلٍ فَأَبَىٰٓ أَكْثَرُ ٱلنَّاسِ إِلَّا كُفُورًا','verse_number' => '89','verse_key' => '17:89','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2119','chapter_id' => '17','arabic_name' => 'وَقَالُوا۟ لَن نُّؤْمِنَ لَكَ حَتَّىٰ تَفْجُرَ لَنَا مِنَ ٱلْأَرْضِ يَنۢبُوعًا','verse_number' => '90','verse_key' => '17:90','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2120','chapter_id' => '17','arabic_name' => 'أَوْ تَكُونَ لَكَ جَنَّةٌ مِّن نَّخِيلٍ وَعِنَبٍ فَتُفَجِّرَ ٱلْأَنْهَـٰرَ خِلَـٰلَهَا تَفْجِيرًا','verse_number' => '91','verse_key' => '17:91','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2121','chapter_id' => '17','arabic_name' => 'أَوْ تُسْقِطَ ٱلسَّمَآءَ كَمَا زَعَمْتَ عَلَيْنَا كِسَفًا أَوْ تَأْتِىَ بِٱللَّهِ وَٱلْمَلَـٰٓئِكَةِ قَبِيلًا','verse_number' => '92','verse_key' => '17:92','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2122','chapter_id' => '17','arabic_name' => 'أَوْ يَكُونَ لَكَ بَيْتٌ مِّن زُخْرُفٍ أَوْ تَرْقَىٰ فِى ٱلسَّمَآءِ وَلَن نُّؤْمِنَ لِرُقِيِّكَ حَتَّىٰ تُنَزِّلَ عَلَيْنَا كِتَـٰبًا نَّقْرَؤُهُۥ ۗ قُلْ سُبْحَانَ رَبِّى هَلْ كُنتُ إِلَّا بَشَرًا رَّسُولًا','verse_number' => '93','verse_key' => '17:93','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '249','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2123','chapter_id' => '17','arabic_name' => 'وَمَا مَنَعَ ٱلنَّاسَ أَن يُؤْمِنُوٓا۟ إِذْ جَآءَهُمُ ٱلْهُدَىٰٓ إِلَّآ أَن قَالُوٓا۟ أَبَعَثَ ٱللَّهُ بَشَرًا رَّسُولًا','verse_number' => '94','verse_key' => '17:94','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '250','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2124','chapter_id' => '17','arabic_name' => 'قُل لَّوْ كَانَ فِى ٱلْأَرْضِ مَلَـٰٓئِكَةٌ يَمْشُونَ مُطْمَئِنِّينَ لَنَزَّلْنَا عَلَيْهِم مِّنَ ٱلسَّمَآءِ مَلَكًا رَّسُولًا','verse_number' => '95','verse_key' => '17:95','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '250','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2125','chapter_id' => '17','arabic_name' => 'قُلْ كَفَىٰ بِٱللَّهِ شَهِيدًۢا بَيْنِى وَبَيْنَكُمْ ۚ إِنَّهُۥ كَانَ بِعِبَادِهِۦ خَبِيرًۢا بَصِيرًا','verse_number' => '96','verse_key' => '17:96','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '250','manzil_number' => '4','sajdah_number' => '0','page_number' => '291','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2126','chapter_id' => '17','arabic_name' => 'وَمَن يَهْدِ ٱللَّهُ فَهُوَ ٱلْمُهْتَدِ ۖ وَمَن يُضْلِلْ فَلَن تَجِدَ لَهُمْ أَوْلِيَآءَ مِن دُونِهِۦ ۖ وَنَحْشُرُهُمْ يَوْمَ ٱلْقِيَـٰمَةِ عَلَىٰ وُجُوهِهِمْ عُمْيًا وَبُكْمًا وَصُمًّا ۖ مَّأْوَىٰهُمْ جَهَنَّمُ ۖ كُلَّمَا خَبَتْ زِدْنَـٰهُمْ سَعِيرًا','verse_number' => '97','verse_key' => '17:97','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '250','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2127','chapter_id' => '17','arabic_name' => 'ذَٰلِكَ جَزَآؤُهُم بِأَنَّهُمْ كَفَرُوا۟ بِـَٔايَـٰتِنَا وَقَالُوٓا۟ أَءِذَا كُنَّا عِظَـٰمًا وَرُفَـٰتًا أَءِنَّا لَمَبْعُوثُونَ خَلْقًا جَدِيدًا','verse_number' => '98','verse_key' => '17:98','hizb_number' => '29','rub_el_hizb_number' => '116','ruku_number' => '250','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2128','chapter_id' => '17','arabic_name' => '۞ أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ قَادِرٌ عَلَىٰٓ أَن يَخْلُقَ مِثْلَهُمْ وَجَعَلَ لَهُمْ أَجَلًا لَّا رَيْبَ فِيهِ فَأَبَى ٱلظَّـٰلِمُونَ إِلَّا كُفُورًا','verse_number' => '99','verse_key' => '17:99','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '250','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2129','chapter_id' => '17','arabic_name' => 'قُل لَّوْ أَنتُمْ تَمْلِكُونَ خَزَآئِنَ رَحْمَةِ رَبِّىٓ إِذًا لَّأَمْسَكْتُمْ خَشْيَةَ ٱلْإِنفَاقِ ۚ وَكَانَ ٱلْإِنسَـٰنُ قَتُورًا','verse_number' => '100','verse_key' => '17:100','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '250','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2130','chapter_id' => '17','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَىٰ تِسْعَ ءَايَـٰتٍۭ بَيِّنَـٰتٍ ۖ فَسْـَٔلْ بَنِىٓ إِسْرَٰٓءِيلَ إِذْ جَآءَهُمْ فَقَالَ لَهُۥ فِرْعَوْنُ إِنِّى لَأَظُنُّكَ يَـٰمُوسَىٰ مَسْحُورًا','verse_number' => '101','verse_key' => '17:101','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2131','chapter_id' => '17','arabic_name' => 'قَالَ لَقَدْ عَلِمْتَ مَآ أَنزَلَ هَـٰٓؤُلَآءِ إِلَّا رَبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ بَصَآئِرَ وَإِنِّى لَأَظُنُّكَ يَـٰفِرْعَوْنُ مَثْبُورًا','verse_number' => '102','verse_key' => '17:102','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2132','chapter_id' => '17','arabic_name' => 'فَأَرَادَ أَن يَسْتَفِزَّهُم مِّنَ ٱلْأَرْضِ فَأَغْرَقْنَـٰهُ وَمَن مَّعَهُۥ جَمِيعًا','verse_number' => '103','verse_key' => '17:103','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2133','chapter_id' => '17','arabic_name' => 'وَقُلْنَا مِنۢ بَعْدِهِۦ لِبَنِىٓ إِسْرَٰٓءِيلَ ٱسْكُنُوا۟ ٱلْأَرْضَ فَإِذَا جَآءَ وَعْدُ ٱلْـَٔاخِرَةِ جِئْنَا بِكُمْ لَفِيفًا','verse_number' => '104','verse_key' => '17:104','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '292','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2134','chapter_id' => '17','arabic_name' => 'وَبِٱلْحَقِّ أَنزَلْنَـٰهُ وَبِٱلْحَقِّ نَزَلَ ۗ وَمَآ أَرْسَلْنَـٰكَ إِلَّا مُبَشِّرًا وَنَذِيرًا','verse_number' => '105','verse_key' => '17:105','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2135','chapter_id' => '17','arabic_name' => 'وَقُرْءَانًا فَرَقْنَـٰهُ لِتَقْرَأَهُۥ عَلَى ٱلنَّاسِ عَلَىٰ مُكْثٍ وَنَزَّلْنَـٰهُ تَنزِيلًا','verse_number' => '106','verse_key' => '17:106','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2136','chapter_id' => '17','arabic_name' => 'قُلْ ءَامِنُوا۟ بِهِۦٓ أَوْ لَا تُؤْمِنُوٓا۟ ۚ إِنَّ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ مِن قَبْلِهِۦٓ إِذَا يُتْلَىٰ عَلَيْهِمْ يَخِرُّونَ لِلْأَذْقَانِ سُجَّدًا','verse_number' => '107','verse_key' => '17:107','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2137','chapter_id' => '17','arabic_name' => 'وَيَقُولُونَ سُبْحَـٰنَ رَبِّنَآ إِن كَانَ وَعْدُ رَبِّنَا لَمَفْعُولًا','verse_number' => '108','verse_key' => '17:108','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2138','chapter_id' => '17','arabic_name' => 'وَيَخِرُّونَ لِلْأَذْقَانِ يَبْكُونَ وَيَزِيدُهُمْ خُشُوعًا ۩','verse_number' => '109','verse_key' => '17:109','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '4','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2139','chapter_id' => '17','arabic_name' => 'قُلِ ٱدْعُوا۟ ٱللَّهَ أَوِ ٱدْعُوا۟ ٱلرَّحْمَـٰنَ ۖ أَيًّا مَّا تَدْعُوا۟ فَلَهُ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ ۚ وَلَا تَجْهَرْ بِصَلَاتِكَ وَلَا تُخَافِتْ بِهَا وَٱبْتَغِ بَيْنَ ذَٰلِكَ سَبِيلًا','verse_number' => '110','verse_key' => '17:110','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2140','chapter_id' => '17','arabic_name' => 'وَقُلِ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى لَمْ يَتَّخِذْ وَلَدًا وَلَمْ يَكُن لَّهُۥ شَرِيكٌ فِى ٱلْمُلْكِ وَلَمْ يَكُن لَّهُۥ وَلِىٌّ مِّنَ ٱلذُّلِّ ۖ وَكَبِّرْهُ تَكْبِيرًۢا','verse_number' => '111','verse_key' => '17:111','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '251','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2141','chapter_id' => '18','arabic_name' => 'ٱلْحَمْدُ لِلَّهِ ٱلَّذِىٓ أَنزَلَ عَلَىٰ عَبْدِهِ ٱلْكِتَـٰبَ وَلَمْ يَجْعَل لَّهُۥ عِوَجَا ۜ','verse_number' => '1','verse_key' => '18:1','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2142','chapter_id' => '18','arabic_name' => 'قَيِّمًا لِّيُنذِرَ بَأْسًا شَدِيدًا مِّن لَّدُنْهُ وَيُبَشِّرَ ٱلْمُؤْمِنِينَ ٱلَّذِينَ يَعْمَلُونَ ٱلصَّـٰلِحَـٰتِ أَنَّ لَهُمْ أَجْرًا حَسَنًا','verse_number' => '2','verse_key' => '18:2','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2143','chapter_id' => '18','arabic_name' => 'مَّـٰكِثِينَ فِيهِ أَبَدًا','verse_number' => '3','verse_key' => '18:3','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2144','chapter_id' => '18','arabic_name' => 'وَيُنذِرَ ٱلَّذِينَ قَالُوا۟ ٱتَّخَذَ ٱللَّهُ وَلَدًا','verse_number' => '4','verse_key' => '18:4','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '293','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2145','chapter_id' => '18','arabic_name' => 'مَّا لَهُم بِهِۦ مِنْ عِلْمٍ وَلَا لِـَٔابَآئِهِمْ ۚ كَبُرَتْ كَلِمَةً تَخْرُجُ مِنْ أَفْوَٰهِهِمْ ۚ إِن يَقُولُونَ إِلَّا كَذِبًا','verse_number' => '5','verse_key' => '18:5','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2146','chapter_id' => '18','arabic_name' => 'فَلَعَلَّكَ بَـٰخِعٌ نَّفْسَكَ عَلَىٰٓ ءَاثَـٰرِهِمْ إِن لَّمْ يُؤْمِنُوا۟ بِهَـٰذَا ٱلْحَدِيثِ أَسَفًا','verse_number' => '6','verse_key' => '18:6','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2147','chapter_id' => '18','arabic_name' => 'إِنَّا جَعَلْنَا مَا عَلَى ٱلْأَرْضِ زِينَةً لَّهَا لِنَبْلُوَهُمْ أَيُّهُمْ أَحْسَنُ عَمَلًا','verse_number' => '7','verse_key' => '18:7','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2148','chapter_id' => '18','arabic_name' => 'وَإِنَّا لَجَـٰعِلُونَ مَا عَلَيْهَا صَعِيدًا جُرُزًا','verse_number' => '8','verse_key' => '18:8','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2149','chapter_id' => '18','arabic_name' => 'أَمْ حَسِبْتَ أَنَّ أَصْحَـٰبَ ٱلْكَهْفِ وَٱلرَّقِيمِ كَانُوا۟ مِنْ ءَايَـٰتِنَا عَجَبًا','verse_number' => '9','verse_key' => '18:9','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2150','chapter_id' => '18','arabic_name' => 'إِذْ أَوَى ٱلْفِتْيَةُ إِلَى ٱلْكَهْفِ فَقَالُوا۟ رَبَّنَآ ءَاتِنَا مِن لَّدُنكَ رَحْمَةً وَهَيِّئْ لَنَا مِنْ أَمْرِنَا رَشَدًا','verse_number' => '10','verse_key' => '18:10','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2151','chapter_id' => '18','arabic_name' => 'فَضَرَبْنَا عَلَىٰٓ ءَاذَانِهِمْ فِى ٱلْكَهْفِ سِنِينَ عَدَدًا','verse_number' => '11','verse_key' => '18:11','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2152','chapter_id' => '18','arabic_name' => 'ثُمَّ بَعَثْنَـٰهُمْ لِنَعْلَمَ أَىُّ ٱلْحِزْبَيْنِ أَحْصَىٰ لِمَا لَبِثُوٓا۟ أَمَدًا','verse_number' => '12','verse_key' => '18:12','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '252','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2153','chapter_id' => '18','arabic_name' => 'نَّحْنُ نَقُصُّ عَلَيْكَ نَبَأَهُم بِٱلْحَقِّ ۚ إِنَّهُمْ فِتْيَةٌ ءَامَنُوا۟ بِرَبِّهِمْ وَزِدْنَـٰهُمْ هُدًى','verse_number' => '13','verse_key' => '18:13','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '253','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2154','chapter_id' => '18','arabic_name' => 'وَرَبَطْنَا عَلَىٰ قُلُوبِهِمْ إِذْ قَامُوا۟ فَقَالُوا۟ رَبُّنَا رَبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ لَن نَّدْعُوَا۟ مِن دُونِهِۦٓ إِلَـٰهًا ۖ لَّقَدْ قُلْنَآ إِذًا شَطَطًا','verse_number' => '14','verse_key' => '18:14','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '253','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2155','chapter_id' => '18','arabic_name' => 'هَـٰٓؤُلَآءِ قَوْمُنَا ٱتَّخَذُوا۟ مِن دُونِهِۦٓ ءَالِهَةً ۖ لَّوْلَا يَأْتُونَ عَلَيْهِم بِسُلْطَـٰنٍۭ بَيِّنٍ ۖ فَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا','verse_number' => '15','verse_key' => '18:15','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '253','manzil_number' => '4','sajdah_number' => '0','page_number' => '294','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2156','chapter_id' => '18','arabic_name' => 'وَإِذِ ٱعْتَزَلْتُمُوهُمْ وَمَا يَعْبُدُونَ إِلَّا ٱللَّهَ فَأْوُۥٓا۟ إِلَى ٱلْكَهْفِ يَنشُرْ لَكُمْ رَبُّكُم مِّن رَّحْمَتِهِۦ وَيُهَيِّئْ لَكُم مِّنْ أَمْرِكُم مِّرْفَقًا','verse_number' => '16','verse_key' => '18:16','hizb_number' => '30','rub_el_hizb_number' => '117','ruku_number' => '253','manzil_number' => '4','sajdah_number' => '0','page_number' => '295','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2157','chapter_id' => '18','arabic_name' => '۞ وَتَرَى ٱلشَّمْسَ إِذَا طَلَعَت تَّزَٰوَرُ عَن كَهْفِهِمْ ذَاتَ ٱلْيَمِينِ وَإِذَا غَرَبَت تَّقْرِضُهُمْ ذَاتَ ٱلشِّمَالِ وَهُمْ فِى فَجْوَةٍ مِّنْهُ ۚ ذَٰلِكَ مِنْ ءَايَـٰتِ ٱللَّهِ ۗ مَن يَهْدِ ٱللَّهُ فَهُوَ ٱلْمُهْتَدِ ۖ وَمَن يُضْلِلْ فَلَن تَجِدَ لَهُۥ وَلِيًّا مُّرْشِدًا','verse_number' => '17','verse_key' => '18:17','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '253','manzil_number' => '4','sajdah_number' => '0','page_number' => '295','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2158','chapter_id' => '18','arabic_name' => 'وَتَحْسَبُهُمْ أَيْقَاظًا وَهُمْ رُقُودٌ ۚ وَنُقَلِّبُهُمْ ذَاتَ ٱلْيَمِينِ وَذَاتَ ٱلشِّمَالِ ۖ وَكَلْبُهُم بَـٰسِطٌ ذِرَاعَيْهِ بِٱلْوَصِيدِ ۚ لَوِ ٱطَّلَعْتَ عَلَيْهِمْ لَوَلَّيْتَ مِنْهُمْ فِرَارًا وَلَمُلِئْتَ مِنْهُمْ رُعْبًا','verse_number' => '18','verse_key' => '18:18','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '254','manzil_number' => '4','sajdah_number' => '0','page_number' => '295','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2159','chapter_id' => '18','arabic_name' => 'وَكَذَٰلِكَ بَعَثْنَـٰهُمْ لِيَتَسَآءَلُوا۟ بَيْنَهُمْ ۚ قَالَ قَآئِلٌ مِّنْهُمْ كَمْ لَبِثْتُمْ ۖ قَالُوا۟ لَبِثْنَا يَوْمًا أَوْ بَعْضَ يَوْمٍ ۚ قَالُوا۟ رَبُّكُمْ أَعْلَمُ بِمَا لَبِثْتُمْ فَٱبْعَثُوٓا۟ أَحَدَكُم بِوَرِقِكُمْ هَـٰذِهِۦٓ إِلَى ٱلْمَدِينَةِ فَلْيَنظُرْ أَيُّهَآ أَزْكَىٰ طَعَامًا فَلْيَأْتِكُم بِرِزْقٍ مِّنْهُ وَلْيَتَلَطَّفْ وَلَا يُشْعِرَنَّ بِكُمْ أَحَدًا','verse_number' => '19','verse_key' => '18:19','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '254','manzil_number' => '4','sajdah_number' => '0','page_number' => '295','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2160','chapter_id' => '18','arabic_name' => 'إِنَّهُمْ إِن يَظْهَرُوا۟ عَلَيْكُمْ يَرْجُمُوكُمْ أَوْ يُعِيدُوكُمْ فِى مِلَّتِهِمْ وَلَن تُفْلِحُوٓا۟ إِذًا أَبَدًا','verse_number' => '20','verse_key' => '18:20','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '254','manzil_number' => '4','sajdah_number' => '0','page_number' => '295','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2161','chapter_id' => '18','arabic_name' => 'وَكَذَٰلِكَ أَعْثَرْنَا عَلَيْهِمْ لِيَعْلَمُوٓا۟ أَنَّ وَعْدَ ٱللَّهِ حَقٌّ وَأَنَّ ٱلسَّاعَةَ لَا رَيْبَ فِيهَآ إِذْ يَتَنَـٰزَعُونَ بَيْنَهُمْ أَمْرَهُمْ ۖ فَقَالُوا۟ ٱبْنُوا۟ عَلَيْهِم بُنْيَـٰنًا ۖ رَّبُّهُمْ أَعْلَمُ بِهِمْ ۚ قَالَ ٱلَّذِينَ غَلَبُوا۟ عَلَىٰٓ أَمْرِهِمْ لَنَتَّخِذَنَّ عَلَيْهِم مَّسْجِدًا','verse_number' => '21','verse_key' => '18:21','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '254','manzil_number' => '4','sajdah_number' => '0','page_number' => '296','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2162','chapter_id' => '18','arabic_name' => 'سَيَقُولُونَ ثَلَـٰثَةٌ رَّابِعُهُمْ كَلْبُهُمْ وَيَقُولُونَ خَمْسَةٌ سَادِسُهُمْ كَلْبُهُمْ رَجْمًۢا بِٱلْغَيْبِ ۖ وَيَقُولُونَ سَبْعَةٌ وَثَامِنُهُمْ كَلْبُهُمْ ۚ قُل رَّبِّىٓ أَعْلَمُ بِعِدَّتِهِم مَّا يَعْلَمُهُمْ إِلَّا قَلِيلٌ ۗ فَلَا تُمَارِ فِيهِمْ إِلَّا مِرَآءً ظَـٰهِرًا وَلَا تَسْتَفْتِ فِيهِم مِّنْهُمْ أَحَدًا','verse_number' => '22','verse_key' => '18:22','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '254','manzil_number' => '4','sajdah_number' => '0','page_number' => '296','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2163','chapter_id' => '18','arabic_name' => 'وَلَا تَقُولَنَّ لِشَا۟ىْءٍ إِنِّى فَاعِلٌ ذَٰلِكَ غَدًا','verse_number' => '23','verse_key' => '18:23','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '296','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2164','chapter_id' => '18','arabic_name' => 'إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ وَٱذْكُر رَّبَّكَ إِذَا نَسِيتَ وَقُلْ عَسَىٰٓ أَن يَهْدِيَنِ رَبِّى لِأَقْرَبَ مِنْ هَـٰذَا رَشَدًا','verse_number' => '24','verse_key' => '18:24','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '296','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2165','chapter_id' => '18','arabic_name' => 'وَلَبِثُوا۟ فِى كَهْفِهِمْ ثَلَـٰثَ مِا۟ئَةٍ سِنِينَ وَٱزْدَادُوا۟ تِسْعًا','verse_number' => '25','verse_key' => '18:25','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '296','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2166','chapter_id' => '18','arabic_name' => 'قُلِ ٱللَّهُ أَعْلَمُ بِمَا لَبِثُوا۟ ۖ لَهُۥ غَيْبُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ أَبْصِرْ بِهِۦ وَأَسْمِعْ ۚ مَا لَهُم مِّن دُونِهِۦ مِن وَلِىٍّ وَلَا يُشْرِكُ فِى حُكْمِهِۦٓ أَحَدًا','verse_number' => '26','verse_key' => '18:26','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '296','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2167','chapter_id' => '18','arabic_name' => 'وَٱتْلُ مَآ أُوحِىَ إِلَيْكَ مِن كِتَابِ رَبِّكَ ۖ لَا مُبَدِّلَ لِكَلِمَـٰتِهِۦ وَلَن تَجِدَ مِن دُونِهِۦ مُلْتَحَدًا','verse_number' => '27','verse_key' => '18:27','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '296','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2168','chapter_id' => '18','arabic_name' => 'وَٱصْبِرْ نَفْسَكَ مَعَ ٱلَّذِينَ يَدْعُونَ رَبَّهُم بِٱلْغَدَوٰةِ وَٱلْعَشِىِّ يُرِيدُونَ وَجْهَهُۥ ۖ وَلَا تَعْدُ عَيْنَاكَ عَنْهُمْ تُرِيدُ زِينَةَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَا تُطِعْ مَنْ أَغْفَلْنَا قَلْبَهُۥ عَن ذِكْرِنَا وَٱتَّبَعَ هَوَىٰهُ وَكَانَ أَمْرُهُۥ فُرُطًا','verse_number' => '28','verse_key' => '18:28','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '297','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2169','chapter_id' => '18','arabic_name' => 'وَقُلِ ٱلْحَقُّ مِن رَّبِّكُمْ ۖ فَمَن شَآءَ فَلْيُؤْمِن وَمَن شَآءَ فَلْيَكْفُرْ ۚ إِنَّآ أَعْتَدْنَا لِلظَّـٰلِمِينَ نَارًا أَحَاطَ بِهِمْ سُرَادِقُهَا ۚ وَإِن يَسْتَغِيثُوا۟ يُغَاثُوا۟ بِمَآءٍ كَٱلْمُهْلِ يَشْوِى ٱلْوُجُوهَ ۚ بِئْسَ ٱلشَّرَابُ وَسَآءَتْ مُرْتَفَقًا','verse_number' => '29','verse_key' => '18:29','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '297','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2170','chapter_id' => '18','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ إِنَّا لَا نُضِيعُ أَجْرَ مَنْ أَحْسَنَ عَمَلًا','verse_number' => '30','verse_key' => '18:30','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '297','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2171','chapter_id' => '18','arabic_name' => 'أُو۟لَـٰٓئِكَ لَهُمْ جَنَّـٰتُ عَدْنٍ تَجْرِى مِن تَحْتِهِمُ ٱلْأَنْهَـٰرُ يُحَلَّوْنَ فِيهَا مِنْ أَسَاوِرَ مِن ذَهَبٍ وَيَلْبَسُونَ ثِيَابًا خُضْرًا مِّن سُندُسٍ وَإِسْتَبْرَقٍ مُّتَّكِـِٔينَ فِيهَا عَلَى ٱلْأَرَآئِكِ ۚ نِعْمَ ٱلثَّوَابُ وَحَسُنَتْ مُرْتَفَقًا','verse_number' => '31','verse_key' => '18:31','hizb_number' => '30','rub_el_hizb_number' => '118','ruku_number' => '255','manzil_number' => '4','sajdah_number' => '0','page_number' => '297','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2172','chapter_id' => '18','arabic_name' => '۞ وَٱضْرِبْ لَهُم مَّثَلًا رَّجُلَيْنِ جَعَلْنَا لِأَحَدِهِمَا جَنَّتَيْنِ مِنْ أَعْنَـٰبٍ وَحَفَفْنَـٰهُمَا بِنَخْلٍ وَجَعَلْنَا بَيْنَهُمَا زَرْعًا','verse_number' => '32','verse_key' => '18:32','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '297','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2173','chapter_id' => '18','arabic_name' => 'كِلْتَا ٱلْجَنَّتَيْنِ ءَاتَتْ أُكُلَهَا وَلَمْ تَظْلِم مِّنْهُ شَيْـًٔا ۚ وَفَجَّرْنَا خِلَـٰلَهُمَا نَهَرًا','verse_number' => '33','verse_key' => '18:33','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '297','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2174','chapter_id' => '18','arabic_name' => 'وَكَانَ لَهُۥ ثَمَرٌ فَقَالَ لِصَـٰحِبِهِۦ وَهُوَ يُحَاوِرُهُۥٓ أَنَا۠ أَكْثَرُ مِنكَ مَالًا وَأَعَزُّ نَفَرًا','verse_number' => '34','verse_key' => '18:34','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '297','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2175','chapter_id' => '18','arabic_name' => 'وَدَخَلَ جَنَّتَهُۥ وَهُوَ ظَالِمٌ لِّنَفْسِهِۦ قَالَ مَآ أَظُنُّ أَن تَبِيدَ هَـٰذِهِۦٓ أَبَدًا','verse_number' => '35','verse_key' => '18:35','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2176','chapter_id' => '18','arabic_name' => 'وَمَآ أَظُنُّ ٱلسَّاعَةَ قَآئِمَةً وَلَئِن رُّدِدتُّ إِلَىٰ رَبِّى لَأَجِدَنَّ خَيْرًا مِّنْهَا مُنقَلَبًا','verse_number' => '36','verse_key' => '18:36','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2177','chapter_id' => '18','arabic_name' => 'قَالَ لَهُۥ صَاحِبُهُۥ وَهُوَ يُحَاوِرُهُۥٓ أَكَفَرْتَ بِٱلَّذِى خَلَقَكَ مِن تُرَابٍ ثُمَّ مِن نُّطْفَةٍ ثُمَّ سَوَّىٰكَ رَجُلًا','verse_number' => '37','verse_key' => '18:37','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2178','chapter_id' => '18','arabic_name' => 'لَّـٰكِنَّا۠ هُوَ ٱللَّهُ رَبِّى وَلَآ أُشْرِكُ بِرَبِّىٓ أَحَدًا','verse_number' => '38','verse_key' => '18:38','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2179','chapter_id' => '18','arabic_name' => 'وَلَوْلَآ إِذْ دَخَلْتَ جَنَّتَكَ قُلْتَ مَا شَآءَ ٱللَّهُ لَا قُوَّةَ إِلَّا بِٱللَّهِ ۚ إِن تَرَنِ أَنَا۠ أَقَلَّ مِنكَ مَالًا وَوَلَدًا','verse_number' => '39','verse_key' => '18:39','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2180','chapter_id' => '18','arabic_name' => 'فَعَسَىٰ رَبِّىٓ أَن يُؤْتِيَنِ خَيْرًا مِّن جَنَّتِكَ وَيُرْسِلَ عَلَيْهَا حُسْبَانًا مِّنَ ٱلسَّمَآءِ فَتُصْبِحَ صَعِيدًا زَلَقًا','verse_number' => '40','verse_key' => '18:40','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2181','chapter_id' => '18','arabic_name' => 'أَوْ يُصْبِحَ مَآؤُهَا غَوْرًا فَلَن تَسْتَطِيعَ لَهُۥ طَلَبًا','verse_number' => '41','verse_key' => '18:41','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2182','chapter_id' => '18','arabic_name' => 'وَأُحِيطَ بِثَمَرِهِۦ فَأَصْبَحَ يُقَلِّبُ كَفَّيْهِ عَلَىٰ مَآ أَنفَقَ فِيهَا وَهِىَ خَاوِيَةٌ عَلَىٰ عُرُوشِهَا وَيَقُولُ يَـٰلَيْتَنِى لَمْ أُشْرِكْ بِرَبِّىٓ أَحَدًا','verse_number' => '42','verse_key' => '18:42','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2183','chapter_id' => '18','arabic_name' => 'وَلَمْ تَكُن لَّهُۥ فِئَةٌ يَنصُرُونَهُۥ مِن دُونِ ٱللَّهِ وَمَا كَانَ مُنتَصِرًا','verse_number' => '43','verse_key' => '18:43','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2184','chapter_id' => '18','arabic_name' => 'هُنَالِكَ ٱلْوَلَـٰيَةُ لِلَّهِ ٱلْحَقِّ ۚ هُوَ خَيْرٌ ثَوَابًا وَخَيْرٌ عُقْبًا','verse_number' => '44','verse_key' => '18:44','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '256','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2185','chapter_id' => '18','arabic_name' => 'وَٱضْرِبْ لَهُم مَّثَلَ ٱلْحَيَوٰةِ ٱلدُّنْيَا كَمَآءٍ أَنزَلْنَـٰهُ مِنَ ٱلسَّمَآءِ فَٱخْتَلَطَ بِهِۦ نَبَاتُ ٱلْأَرْضِ فَأَصْبَحَ هَشِيمًا تَذْرُوهُ ٱلرِّيَـٰحُ ۗ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ مُّقْتَدِرًا','verse_number' => '45','verse_key' => '18:45','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '257','manzil_number' => '4','sajdah_number' => '0','page_number' => '298','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2186','chapter_id' => '18','arabic_name' => 'ٱلْمَالُ وَٱلْبَنُونَ زِينَةُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَٱلْبَـٰقِيَـٰتُ ٱلصَّـٰلِحَـٰتُ خَيْرٌ عِندَ رَبِّكَ ثَوَابًا وَخَيْرٌ أَمَلًا','verse_number' => '46','verse_key' => '18:46','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '257','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2187','chapter_id' => '18','arabic_name' => 'وَيَوْمَ نُسَيِّرُ ٱلْجِبَالَ وَتَرَى ٱلْأَرْضَ بَارِزَةً وَحَشَرْنَـٰهُمْ فَلَمْ نُغَادِرْ مِنْهُمْ أَحَدًا','verse_number' => '47','verse_key' => '18:47','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '257','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2188','chapter_id' => '18','arabic_name' => 'وَعُرِضُوا۟ عَلَىٰ رَبِّكَ صَفًّا لَّقَدْ جِئْتُمُونَا كَمَا خَلَقْنَـٰكُمْ أَوَّلَ مَرَّةٍۭ ۚ بَلْ زَعَمْتُمْ أَلَّن نَّجْعَلَ لَكُم مَّوْعِدًا','verse_number' => '48','verse_key' => '18:48','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '257','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2189','chapter_id' => '18','arabic_name' => 'وَوُضِعَ ٱلْكِتَـٰبُ فَتَرَى ٱلْمُجْرِمِينَ مُشْفِقِينَ مِمَّا فِيهِ وَيَقُولُونَ يَـٰوَيْلَتَنَا مَالِ هَـٰذَا ٱلْكِتَـٰبِ لَا يُغَادِرُ صَغِيرَةً وَلَا كَبِيرَةً إِلَّآ أَحْصَىٰهَا ۚ وَوَجَدُوا۟ مَا عَمِلُوا۟ حَاضِرًا ۗ وَلَا يَظْلِمُ رَبُّكَ أَحَدًا','verse_number' => '49','verse_key' => '18:49','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '257','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2190','chapter_id' => '18','arabic_name' => 'وَإِذْ قُلْنَا لِلْمَلَـٰٓئِكَةِ ٱسْجُدُوا۟ لِـَٔادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ كَانَ مِنَ ٱلْجِنِّ فَفَسَقَ عَنْ أَمْرِ رَبِّهِۦٓ ۗ أَفَتَتَّخِذُونَهُۥ وَذُرِّيَّتَهُۥٓ أَوْلِيَآءَ مِن دُونِى وَهُمْ لَكُمْ عَدُوٌّۢ ۚ بِئْسَ لِلظَّـٰلِمِينَ بَدَلًا','verse_number' => '50','verse_key' => '18:50','hizb_number' => '30','rub_el_hizb_number' => '119','ruku_number' => '258','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2191','chapter_id' => '18','arabic_name' => '۞ مَّآ أَشْهَدتُّهُمْ خَلْقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَلَا خَلْقَ أَنفُسِهِمْ وَمَا كُنتُ مُتَّخِذَ ٱلْمُضِلِّينَ عَضُدًا','verse_number' => '51','verse_key' => '18:51','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '258','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2192','chapter_id' => '18','arabic_name' => 'وَيَوْمَ يَقُولُ نَادُوا۟ شُرَكَآءِىَ ٱلَّذِينَ زَعَمْتُمْ فَدَعَوْهُمْ فَلَمْ يَسْتَجِيبُوا۟ لَهُمْ وَجَعَلْنَا بَيْنَهُم مَّوْبِقًا','verse_number' => '52','verse_key' => '18:52','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '258','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2193','chapter_id' => '18','arabic_name' => 'وَرَءَا ٱلْمُجْرِمُونَ ٱلنَّارَ فَظَنُّوٓا۟ أَنَّهُم مُّوَاقِعُوهَا وَلَمْ يَجِدُوا۟ عَنْهَا مَصْرِفًا','verse_number' => '53','verse_key' => '18:53','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '258','manzil_number' => '4','sajdah_number' => '0','page_number' => '299','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2194','chapter_id' => '18','arabic_name' => 'وَلَقَدْ صَرَّفْنَا فِى هَـٰذَا ٱلْقُرْءَانِ لِلنَّاسِ مِن كُلِّ مَثَلٍ ۚ وَكَانَ ٱلْإِنسَـٰنُ أَكْثَرَ شَىْءٍ جَدَلًا','verse_number' => '54','verse_key' => '18:54','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '259','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2195','chapter_id' => '18','arabic_name' => 'وَمَا مَنَعَ ٱلنَّاسَ أَن يُؤْمِنُوٓا۟ إِذْ جَآءَهُمُ ٱلْهُدَىٰ وَيَسْتَغْفِرُوا۟ رَبَّهُمْ إِلَّآ أَن تَأْتِيَهُمْ سُنَّةُ ٱلْأَوَّلِينَ أَوْ يَأْتِيَهُمُ ٱلْعَذَابُ قُبُلًا','verse_number' => '55','verse_key' => '18:55','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '259','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2196','chapter_id' => '18','arabic_name' => 'وَمَا نُرْسِلُ ٱلْمُرْسَلِينَ إِلَّا مُبَشِّرِينَ وَمُنذِرِينَ ۚ وَيُجَـٰدِلُ ٱلَّذِينَ كَفَرُوا۟ بِٱلْبَـٰطِلِ لِيُدْحِضُوا۟ بِهِ ٱلْحَقَّ ۖ وَٱتَّخَذُوٓا۟ ءَايَـٰتِى وَمَآ أُنذِرُوا۟ هُزُوًا','verse_number' => '56','verse_key' => '18:56','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '259','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2197','chapter_id' => '18','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّن ذُكِّرَ بِـَٔايَـٰتِ رَبِّهِۦ فَأَعْرَضَ عَنْهَا وَنَسِىَ مَا قَدَّمَتْ يَدَاهُ ۚ إِنَّا جَعَلْنَا عَلَىٰ قُلُوبِهِمْ أَكِنَّةً أَن يَفْقَهُوهُ وَفِىٓ ءَاذَانِهِمْ وَقْرًا ۖ وَإِن تَدْعُهُمْ إِلَى ٱلْهُدَىٰ فَلَن يَهْتَدُوٓا۟ إِذًا أَبَدًا','verse_number' => '57','verse_key' => '18:57','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '259','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2198','chapter_id' => '18','arabic_name' => 'وَرَبُّكَ ٱلْغَفُورُ ذُو ٱلرَّحْمَةِ ۖ لَوْ يُؤَاخِذُهُم بِمَا كَسَبُوا۟ لَعَجَّلَ لَهُمُ ٱلْعَذَابَ ۚ بَل لَّهُم مَّوْعِدٌ لَّن يَجِدُوا۟ مِن دُونِهِۦ مَوْئِلًا','verse_number' => '58','verse_key' => '18:58','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '259','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2199','chapter_id' => '18','arabic_name' => 'وَتِلْكَ ٱلْقُرَىٰٓ أَهْلَكْنَـٰهُمْ لَمَّا ظَلَمُوا۟ وَجَعَلْنَا لِمَهْلِكِهِم مَّوْعِدًا','verse_number' => '59','verse_key' => '18:59','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '259','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2200','chapter_id' => '18','arabic_name' => 'وَإِذْ قَالَ مُوسَىٰ لِفَتَىٰهُ لَآ أَبْرَحُ حَتَّىٰٓ أَبْلُغَ مَجْمَعَ ٱلْبَحْرَيْنِ أَوْ أَمْضِىَ حُقُبًا','verse_number' => '60','verse_key' => '18:60','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2201','chapter_id' => '18','arabic_name' => 'فَلَمَّا بَلَغَا مَجْمَعَ بَيْنِهِمَا نَسِيَا حُوتَهُمَا فَٱتَّخَذَ سَبِيلَهُۥ فِى ٱلْبَحْرِ سَرَبًا','verse_number' => '61','verse_key' => '18:61','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '300','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2202','chapter_id' => '18','arabic_name' => 'فَلَمَّا جَاوَزَا قَالَ لِفَتَىٰهُ ءَاتِنَا غَدَآءَنَا لَقَدْ لَقِينَا مِن سَفَرِنَا هَـٰذَا نَصَبًا','verse_number' => '62','verse_key' => '18:62','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2203','chapter_id' => '18','arabic_name' => 'قَالَ أَرَءَيْتَ إِذْ أَوَيْنَآ إِلَى ٱلصَّخْرَةِ فَإِنِّى نَسِيتُ ٱلْحُوتَ وَمَآ أَنسَىٰنِيهُ إِلَّا ٱلشَّيْطَـٰنُ أَنْ أَذْكُرَهُۥ ۚ وَٱتَّخَذَ سَبِيلَهُۥ فِى ٱلْبَحْرِ عَجَبًا','verse_number' => '63','verse_key' => '18:63','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2204','chapter_id' => '18','arabic_name' => 'قَالَ ذَٰلِكَ مَا كُنَّا نَبْغِ ۚ فَٱرْتَدَّا عَلَىٰٓ ءَاثَارِهِمَا قَصَصًا','verse_number' => '64','verse_key' => '18:64','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2205','chapter_id' => '18','arabic_name' => 'فَوَجَدَا عَبْدًا مِّنْ عِبَادِنَآ ءَاتَيْنَـٰهُ رَحْمَةً مِّنْ عِندِنَا وَعَلَّمْنَـٰهُ مِن لَّدُنَّا عِلْمًا','verse_number' => '65','verse_key' => '18:65','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2206','chapter_id' => '18','arabic_name' => 'قَالَ لَهُۥ مُوسَىٰ هَلْ أَتَّبِعُكَ عَلَىٰٓ أَن تُعَلِّمَنِ مِمَّا عُلِّمْتَ رُشْدًا','verse_number' => '66','verse_key' => '18:66','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2207','chapter_id' => '18','arabic_name' => 'قَالَ إِنَّكَ لَن تَسْتَطِيعَ مَعِىَ صَبْرًا','verse_number' => '67','verse_key' => '18:67','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2208','chapter_id' => '18','arabic_name' => 'وَكَيْفَ تَصْبِرُ عَلَىٰ مَا لَمْ تُحِطْ بِهِۦ خُبْرًا','verse_number' => '68','verse_key' => '18:68','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2209','chapter_id' => '18','arabic_name' => 'قَالَ سَتَجِدُنِىٓ إِن شَآءَ ٱللَّهُ صَابِرًا وَلَآ أَعْصِى لَكَ أَمْرًا','verse_number' => '69','verse_key' => '18:69','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2210','chapter_id' => '18','arabic_name' => 'قَالَ فَإِنِ ٱتَّبَعْتَنِى فَلَا تَسْـَٔلْنِى عَن شَىْءٍ حَتَّىٰٓ أُحْدِثَ لَكَ مِنْهُ ذِكْرًا','verse_number' => '70','verse_key' => '18:70','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '260','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2211','chapter_id' => '18','arabic_name' => 'فَٱنطَلَقَا حَتَّىٰٓ إِذَا رَكِبَا فِى ٱلسَّفِينَةِ خَرَقَهَا ۖ قَالَ أَخَرَقْتَهَا لِتُغْرِقَ أَهْلَهَا لَقَدْ جِئْتَ شَيْـًٔا إِمْرًا','verse_number' => '71','verse_key' => '18:71','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2212','chapter_id' => '18','arabic_name' => 'قَالَ أَلَمْ أَقُلْ إِنَّكَ لَن تَسْتَطِيعَ مَعِىَ صَبْرًا','verse_number' => '72','verse_key' => '18:72','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2213','chapter_id' => '18','arabic_name' => 'قَالَ لَا تُؤَاخِذْنِى بِمَا نَسِيتُ وَلَا تُرْهِقْنِى مِنْ أَمْرِى عُسْرًا','verse_number' => '73','verse_key' => '18:73','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2214','chapter_id' => '18','arabic_name' => 'فَٱنطَلَقَا حَتَّىٰٓ إِذَا لَقِيَا غُلَـٰمًا فَقَتَلَهُۥ قَالَ أَقَتَلْتَ نَفْسًا زَكِيَّةًۢ بِغَيْرِ نَفْسٍ لَّقَدْ جِئْتَ شَيْـًٔا نُّكْرًا','verse_number' => '74','verse_key' => '18:74','hizb_number' => '30','rub_el_hizb_number' => '120','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '301','juz_number' => '15','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2215','chapter_id' => '18','arabic_name' => '۞ قَالَ أَلَمْ أَقُل لَّكَ إِنَّكَ لَن تَسْتَطِيعَ مَعِىَ صَبْرًا','verse_number' => '75','verse_key' => '18:75','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2216','chapter_id' => '18','arabic_name' => 'قَالَ إِن سَأَلْتُكَ عَن شَىْءٍۭ بَعْدَهَا فَلَا تُصَـٰحِبْنِى ۖ قَدْ بَلَغْتَ مِن لَّدُنِّى عُذْرًا','verse_number' => '76','verse_key' => '18:76','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2217','chapter_id' => '18','arabic_name' => 'فَٱنطَلَقَا حَتَّىٰٓ إِذَآ أَتَيَآ أَهْلَ قَرْيَةٍ ٱسْتَطْعَمَآ أَهْلَهَا فَأَبَوْا۟ أَن يُضَيِّفُوهُمَا فَوَجَدَا فِيهَا جِدَارًا يُرِيدُ أَن يَنقَضَّ فَأَقَامَهُۥ ۖ قَالَ لَوْ شِئْتَ لَتَّخَذْتَ عَلَيْهِ أَجْرًا','verse_number' => '77','verse_key' => '18:77','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2218','chapter_id' => '18','arabic_name' => 'قَالَ هَـٰذَا فِرَاقُ بَيْنِى وَبَيْنِكَ ۚ سَأُنَبِّئُكَ بِتَأْوِيلِ مَا لَمْ تَسْتَطِع عَّلَيْهِ صَبْرًا','verse_number' => '78','verse_key' => '18:78','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2219','chapter_id' => '18','arabic_name' => 'أَمَّا ٱلسَّفِينَةُ فَكَانَتْ لِمَسَـٰكِينَ يَعْمَلُونَ فِى ٱلْبَحْرِ فَأَرَدتُّ أَنْ أَعِيبَهَا وَكَانَ وَرَآءَهُم مَّلِكٌ يَأْخُذُ كُلَّ سَفِينَةٍ غَصْبًا','verse_number' => '79','verse_key' => '18:79','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2220','chapter_id' => '18','arabic_name' => 'وَأَمَّا ٱلْغُلَـٰمُ فَكَانَ أَبَوَاهُ مُؤْمِنَيْنِ فَخَشِينَآ أَن يُرْهِقَهُمَا طُغْيَـٰنًا وَكُفْرًا','verse_number' => '80','verse_key' => '18:80','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2221','chapter_id' => '18','arabic_name' => 'فَأَرَدْنَآ أَن يُبْدِلَهُمَا رَبُّهُمَا خَيْرًا مِّنْهُ زَكَوٰةً وَأَقْرَبَ رُحْمًا','verse_number' => '81','verse_key' => '18:81','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2222','chapter_id' => '18','arabic_name' => 'وَأَمَّا ٱلْجِدَارُ فَكَانَ لِغُلَـٰمَيْنِ يَتِيمَيْنِ فِى ٱلْمَدِينَةِ وَكَانَ تَحْتَهُۥ كَنزٌ لَّهُمَا وَكَانَ أَبُوهُمَا صَـٰلِحًا فَأَرَادَ رَبُّكَ أَن يَبْلُغَآ أَشُدَّهُمَا وَيَسْتَخْرِجَا كَنزَهُمَا رَحْمَةً مِّن رَّبِّكَ ۚ وَمَا فَعَلْتُهُۥ عَنْ أَمْرِى ۚ ذَٰلِكَ تَأْوِيلُ مَا لَمْ تَسْطِع عَّلَيْهِ صَبْرًا','verse_number' => '82','verse_key' => '18:82','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '261','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2223','chapter_id' => '18','arabic_name' => 'وَيَسْـَٔلُونَكَ عَن ذِى ٱلْقَرْنَيْنِ ۖ قُلْ سَأَتْلُوا۟ عَلَيْكُم مِّنْهُ ذِكْرًا','verse_number' => '83','verse_key' => '18:83','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '302','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2224','chapter_id' => '18','arabic_name' => 'إِنَّا مَكَّنَّا لَهُۥ فِى ٱلْأَرْضِ وَءَاتَيْنَـٰهُ مِن كُلِّ شَىْءٍ سَبَبًا','verse_number' => '84','verse_key' => '18:84','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2225','chapter_id' => '18','arabic_name' => 'فَأَتْبَعَ سَبَبًا','verse_number' => '85','verse_key' => '18:85','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2226','chapter_id' => '18','arabic_name' => 'حَتَّىٰٓ إِذَا بَلَغَ مَغْرِبَ ٱلشَّمْسِ وَجَدَهَا تَغْرُبُ فِى عَيْنٍ حَمِئَةٍ وَوَجَدَ عِندَهَا قَوْمًا ۗ قُلْنَا يَـٰذَا ٱلْقَرْنَيْنِ إِمَّآ أَن تُعَذِّبَ وَإِمَّآ أَن تَتَّخِذَ فِيهِمْ حُسْنًا','verse_number' => '86','verse_key' => '18:86','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2227','chapter_id' => '18','arabic_name' => 'قَالَ أَمَّا مَن ظَلَمَ فَسَوْفَ نُعَذِّبُهُۥ ثُمَّ يُرَدُّ إِلَىٰ رَبِّهِۦ فَيُعَذِّبُهُۥ عَذَابًا نُّكْرًا','verse_number' => '87','verse_key' => '18:87','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2228','chapter_id' => '18','arabic_name' => 'وَأَمَّا مَنْ ءَامَنَ وَعَمِلَ صَـٰلِحًا فَلَهُۥ جَزَآءً ٱلْحُسْنَىٰ ۖ وَسَنَقُولُ لَهُۥ مِنْ أَمْرِنَا يُسْرًا','verse_number' => '88','verse_key' => '18:88','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2229','chapter_id' => '18','arabic_name' => 'ثُمَّ أَتْبَعَ سَبَبًا','verse_number' => '89','verse_key' => '18:89','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2230','chapter_id' => '18','arabic_name' => 'حَتَّىٰٓ إِذَا بَلَغَ مَطْلِعَ ٱلشَّمْسِ وَجَدَهَا تَطْلُعُ عَلَىٰ قَوْمٍ لَّمْ نَجْعَل لَّهُم مِّن دُونِهَا سِتْرًا','verse_number' => '90','verse_key' => '18:90','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2231','chapter_id' => '18','arabic_name' => 'كَذَٰلِكَ وَقَدْ أَحَطْنَا بِمَا لَدَيْهِ خُبْرًا','verse_number' => '91','verse_key' => '18:91','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2232','chapter_id' => '18','arabic_name' => 'ثُمَّ أَتْبَعَ سَبَبًا','verse_number' => '92','verse_key' => '18:92','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2233','chapter_id' => '18','arabic_name' => 'حَتَّىٰٓ إِذَا بَلَغَ بَيْنَ ٱلسَّدَّيْنِ وَجَدَ مِن دُونِهِمَا قَوْمًا لَّا يَكَادُونَ يَفْقَهُونَ قَوْلًا','verse_number' => '93','verse_key' => '18:93','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2234','chapter_id' => '18','arabic_name' => 'قَالُوا۟ يَـٰذَا ٱلْقَرْنَيْنِ إِنَّ يَأْجُوجَ وَمَأْجُوجَ مُفْسِدُونَ فِى ٱلْأَرْضِ فَهَلْ نَجْعَلُ لَكَ خَرْجًا عَلَىٰٓ أَن تَجْعَلَ بَيْنَنَا وَبَيْنَهُمْ سَدًّا','verse_number' => '94','verse_key' => '18:94','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2235','chapter_id' => '18','arabic_name' => 'قَالَ مَا مَكَّنِّى فِيهِ رَبِّى خَيْرٌ فَأَعِينُونِى بِقُوَّةٍ أَجْعَلْ بَيْنَكُمْ وَبَيْنَهُمْ رَدْمًا','verse_number' => '95','verse_key' => '18:95','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2236','chapter_id' => '18','arabic_name' => 'ءَاتُونِى زُبَرَ ٱلْحَدِيدِ ۖ حَتَّىٰٓ إِذَا سَاوَىٰ بَيْنَ ٱلصَّدَفَيْنِ قَالَ ٱنفُخُوا۟ ۖ حَتَّىٰٓ إِذَا جَعَلَهُۥ نَارًا قَالَ ءَاتُونِىٓ أُفْرِغْ عَلَيْهِ قِطْرًا','verse_number' => '96','verse_key' => '18:96','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2237','chapter_id' => '18','arabic_name' => 'فَمَا ٱسْطَـٰعُوٓا۟ أَن يَظْهَرُوهُ وَمَا ٱسْتَطَـٰعُوا۟ لَهُۥ نَقْبًا','verse_number' => '97','verse_key' => '18:97','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '303','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2238','chapter_id' => '18','arabic_name' => 'قَالَ هَـٰذَا رَحْمَةٌ مِّن رَّبِّى ۖ فَإِذَا جَآءَ وَعْدُ رَبِّى جَعَلَهُۥ دَكَّآءَ ۖ وَكَانَ وَعْدُ رَبِّى حَقًّا','verse_number' => '98','verse_key' => '18:98','hizb_number' => '31','rub_el_hizb_number' => '121','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2239','chapter_id' => '18','arabic_name' => '۞ وَتَرَكْنَا بَعْضَهُمْ يَوْمَئِذٍ يَمُوجُ فِى بَعْضٍ ۖ وَنُفِخَ فِى ٱلصُّورِ فَجَمَعْنَـٰهُمْ جَمْعًا','verse_number' => '99','verse_key' => '18:99','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2240','chapter_id' => '18','arabic_name' => 'وَعَرَضْنَا جَهَنَّمَ يَوْمَئِذٍ لِّلْكَـٰفِرِينَ عَرْضًا','verse_number' => '100','verse_key' => '18:100','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2241','chapter_id' => '18','arabic_name' => 'ٱلَّذِينَ كَانَتْ أَعْيُنُهُمْ فِى غِطَآءٍ عَن ذِكْرِى وَكَانُوا۟ لَا يَسْتَطِيعُونَ سَمْعًا','verse_number' => '101','verse_key' => '18:101','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '262','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2242','chapter_id' => '18','arabic_name' => 'أَفَحَسِبَ ٱلَّذِينَ كَفَرُوٓا۟ أَن يَتَّخِذُوا۟ عِبَادِى مِن دُونِىٓ أَوْلِيَآءَ ۚ إِنَّآ أَعْتَدْنَا جَهَنَّمَ لِلْكَـٰفِرِينَ نُزُلًا','verse_number' => '102','verse_key' => '18:102','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2243','chapter_id' => '18','arabic_name' => 'قُلْ هَلْ نُنَبِّئُكُم بِٱلْأَخْسَرِينَ أَعْمَـٰلًا','verse_number' => '103','verse_key' => '18:103','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2244','chapter_id' => '18','arabic_name' => 'ٱلَّذِينَ ضَلَّ سَعْيُهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَهُمْ يَحْسَبُونَ أَنَّهُمْ يُحْسِنُونَ صُنْعًا','verse_number' => '104','verse_key' => '18:104','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2245','chapter_id' => '18','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ كَفَرُوا۟ بِـَٔايَـٰتِ رَبِّهِمْ وَلِقَآئِهِۦ فَحَبِطَتْ أَعْمَـٰلُهُمْ فَلَا نُقِيمُ لَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ وَزْنًا','verse_number' => '105','verse_key' => '18:105','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2246','chapter_id' => '18','arabic_name' => 'ذَٰلِكَ جَزَآؤُهُمْ جَهَنَّمُ بِمَا كَفَرُوا۟ وَٱتَّخَذُوٓا۟ ءَايَـٰتِى وَرُسُلِى هُزُوًا','verse_number' => '106','verse_key' => '18:106','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2247','chapter_id' => '18','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ كَانَتْ لَهُمْ جَنَّـٰتُ ٱلْفِرْدَوْسِ نُزُلًا','verse_number' => '107','verse_key' => '18:107','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2248','chapter_id' => '18','arabic_name' => 'خَـٰلِدِينَ فِيهَا لَا يَبْغُونَ عَنْهَا حِوَلًا','verse_number' => '108','verse_key' => '18:108','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2249','chapter_id' => '18','arabic_name' => 'قُل لَّوْ كَانَ ٱلْبَحْرُ مِدَادًا لِّكَلِمَـٰتِ رَبِّى لَنَفِدَ ٱلْبَحْرُ قَبْلَ أَن تَنفَدَ كَلِمَـٰتُ رَبِّى وَلَوْ جِئْنَا بِمِثْلِهِۦ مَدَدًا','verse_number' => '109','verse_key' => '18:109','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2250','chapter_id' => '18','arabic_name' => 'قُلْ إِنَّمَآ أَنَا۠ بَشَرٌ مِّثْلُكُمْ يُوحَىٰٓ إِلَىَّ أَنَّمَآ إِلَـٰهُكُمْ إِلَـٰهٌ وَٰحِدٌ ۖ فَمَن كَانَ يَرْجُوا۟ لِقَآءَ رَبِّهِۦ فَلْيَعْمَلْ عَمَلًا صَـٰلِحًا وَلَا يُشْرِكْ بِعِبَادَةِ رَبِّهِۦٓ أَحَدًۢا','verse_number' => '110','verse_key' => '18:110','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '263','manzil_number' => '4','sajdah_number' => '0','page_number' => '304','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2251','chapter_id' => '19','arabic_name' => 'كٓهيعٓصٓ','verse_number' => '1','verse_key' => '19:1','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2252','chapter_id' => '19','arabic_name' => 'ذِكْرُ رَحْمَتِ رَبِّكَ عَبْدَهُۥ زَكَرِيَّآ','verse_number' => '2','verse_key' => '19:2','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2253','chapter_id' => '19','arabic_name' => 'إِذْ نَادَىٰ رَبَّهُۥ نِدَآءً خَفِيًّا','verse_number' => '3','verse_key' => '19:3','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2254','chapter_id' => '19','arabic_name' => 'قَالَ رَبِّ إِنِّى وَهَنَ ٱلْعَظْمُ مِنِّى وَٱشْتَعَلَ ٱلرَّأْسُ شَيْبًا وَلَمْ أَكُنۢ بِدُعَآئِكَ رَبِّ شَقِيًّا','verse_number' => '4','verse_key' => '19:4','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2255','chapter_id' => '19','arabic_name' => 'وَإِنِّى خِفْتُ ٱلْمَوَٰلِىَ مِن وَرَآءِى وَكَانَتِ ٱمْرَأَتِى عَاقِرًا فَهَبْ لِى مِن لَّدُنكَ وَلِيًّا','verse_number' => '5','verse_key' => '19:5','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2256','chapter_id' => '19','arabic_name' => 'يَرِثُنِى وَيَرِثُ مِنْ ءَالِ يَعْقُوبَ ۖ وَٱجْعَلْهُ رَبِّ رَضِيًّا','verse_number' => '6','verse_key' => '19:6','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2257','chapter_id' => '19','arabic_name' => 'يَـٰزَكَرِيَّآ إِنَّا نُبَشِّرُكَ بِغُلَـٰمٍ ٱسْمُهُۥ يَحْيَىٰ لَمْ نَجْعَل لَّهُۥ مِن قَبْلُ سَمِيًّا','verse_number' => '7','verse_key' => '19:7','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2258','chapter_id' => '19','arabic_name' => 'قَالَ رَبِّ أَنَّىٰ يَكُونُ لِى غُلَـٰمٌ وَكَانَتِ ٱمْرَأَتِى عَاقِرًا وَقَدْ بَلَغْتُ مِنَ ٱلْكِبَرِ عِتِيًّا','verse_number' => '8','verse_key' => '19:8','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2259','chapter_id' => '19','arabic_name' => 'قَالَ كَذَٰلِكَ قَالَ رَبُّكَ هُوَ عَلَىَّ هَيِّنٌ وَقَدْ خَلَقْتُكَ مِن قَبْلُ وَلَمْ تَكُ شَيْـًٔا','verse_number' => '9','verse_key' => '19:9','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2260','chapter_id' => '19','arabic_name' => 'قَالَ رَبِّ ٱجْعَل لِّىٓ ءَايَةً ۚ قَالَ ءَايَتُكَ أَلَّا تُكَلِّمَ ٱلنَّاسَ ثَلَـٰثَ لَيَالٍ سَوِيًّا','verse_number' => '10','verse_key' => '19:10','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2261','chapter_id' => '19','arabic_name' => 'فَخَرَجَ عَلَىٰ قَوْمِهِۦ مِنَ ٱلْمِحْرَابِ فَأَوْحَىٰٓ إِلَيْهِمْ أَن سَبِّحُوا۟ بُكْرَةً وَعَشِيًّا','verse_number' => '11','verse_key' => '19:11','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '305','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2262','chapter_id' => '19','arabic_name' => 'يَـٰيَحْيَىٰ خُذِ ٱلْكِتَـٰبَ بِقُوَّةٍ ۖ وَءَاتَيْنَـٰهُ ٱلْحُكْمَ صَبِيًّا','verse_number' => '12','verse_key' => '19:12','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2263','chapter_id' => '19','arabic_name' => 'وَحَنَانًا مِّن لَّدُنَّا وَزَكَوٰةً ۖ وَكَانَ تَقِيًّا','verse_number' => '13','verse_key' => '19:13','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2264','chapter_id' => '19','arabic_name' => 'وَبَرًّۢا بِوَٰلِدَيْهِ وَلَمْ يَكُن جَبَّارًا عَصِيًّا','verse_number' => '14','verse_key' => '19:14','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2265','chapter_id' => '19','arabic_name' => 'وَسَلَـٰمٌ عَلَيْهِ يَوْمَ وُلِدَ وَيَوْمَ يَمُوتُ وَيَوْمَ يُبْعَثُ حَيًّا','verse_number' => '15','verse_key' => '19:15','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '264','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2266','chapter_id' => '19','arabic_name' => 'وَٱذْكُرْ فِى ٱلْكِتَـٰبِ مَرْيَمَ إِذِ ٱنتَبَذَتْ مِنْ أَهْلِهَا مَكَانًا شَرْقِيًّا','verse_number' => '16','verse_key' => '19:16','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2267','chapter_id' => '19','arabic_name' => 'فَٱتَّخَذَتْ مِن دُونِهِمْ حِجَابًا فَأَرْسَلْنَآ إِلَيْهَا رُوحَنَا فَتَمَثَّلَ لَهَا بَشَرًا سَوِيًّا','verse_number' => '17','verse_key' => '19:17','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2268','chapter_id' => '19','arabic_name' => 'قَالَتْ إِنِّىٓ أَعُوذُ بِٱلرَّحْمَـٰنِ مِنكَ إِن كُنتَ تَقِيًّا','verse_number' => '18','verse_key' => '19:18','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2269','chapter_id' => '19','arabic_name' => 'قَالَ إِنَّمَآ أَنَا۠ رَسُولُ رَبِّكِ لِأَهَبَ لَكِ غُلَـٰمًا زَكِيًّا','verse_number' => '19','verse_key' => '19:19','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2270','chapter_id' => '19','arabic_name' => 'قَالَتْ أَنَّىٰ يَكُونُ لِى غُلَـٰمٌ وَلَمْ يَمْسَسْنِى بَشَرٌ وَلَمْ أَكُ بَغِيًّا','verse_number' => '20','verse_key' => '19:20','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2271','chapter_id' => '19','arabic_name' => 'قَالَ كَذَٰلِكِ قَالَ رَبُّكِ هُوَ عَلَىَّ هَيِّنٌ ۖ وَلِنَجْعَلَهُۥٓ ءَايَةً لِّلنَّاسِ وَرَحْمَةً مِّنَّا ۚ وَكَانَ أَمْرًا مَّقْضِيًّا','verse_number' => '21','verse_key' => '19:21','hizb_number' => '31','rub_el_hizb_number' => '122','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2272','chapter_id' => '19','arabic_name' => '۞ فَحَمَلَتْهُ فَٱنتَبَذَتْ بِهِۦ مَكَانًا قَصِيًّا','verse_number' => '22','verse_key' => '19:22','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2273','chapter_id' => '19','arabic_name' => 'فَأَجَآءَهَا ٱلْمَخَاضُ إِلَىٰ جِذْعِ ٱلنَّخْلَةِ قَالَتْ يَـٰلَيْتَنِى مِتُّ قَبْلَ هَـٰذَا وَكُنتُ نَسْيًا مَّنسِيًّا','verse_number' => '23','verse_key' => '19:23','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2274','chapter_id' => '19','arabic_name' => 'فَنَادَىٰهَا مِن تَحْتِهَآ أَلَّا تَحْزَنِى قَدْ جَعَلَ رَبُّكِ تَحْتَكِ سَرِيًّا','verse_number' => '24','verse_key' => '19:24','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2275','chapter_id' => '19','arabic_name' => 'وَهُزِّىٓ إِلَيْكِ بِجِذْعِ ٱلنَّخْلَةِ تُسَـٰقِطْ عَلَيْكِ رُطَبًا جَنِيًّا','verse_number' => '25','verse_key' => '19:25','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '306','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2276','chapter_id' => '19','arabic_name' => 'فَكُلِى وَٱشْرَبِى وَقَرِّى عَيْنًا ۖ فَإِمَّا تَرَيِنَّ مِنَ ٱلْبَشَرِ أَحَدًا فَقُولِىٓ إِنِّى نَذَرْتُ لِلرَّحْمَـٰنِ صَوْمًا فَلَنْ أُكَلِّمَ ٱلْيَوْمَ إِنسِيًّا','verse_number' => '26','verse_key' => '19:26','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2277','chapter_id' => '19','arabic_name' => 'فَأَتَتْ بِهِۦ قَوْمَهَا تَحْمِلُهُۥ ۖ قَالُوا۟ يَـٰمَرْيَمُ لَقَدْ جِئْتِ شَيْـًٔا فَرِيًّا','verse_number' => '27','verse_key' => '19:27','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2278','chapter_id' => '19','arabic_name' => 'يَـٰٓأُخْتَ هَـٰرُونَ مَا كَانَ أَبُوكِ ٱمْرَأَ سَوْءٍ وَمَا كَانَتْ أُمُّكِ بَغِيًّا','verse_number' => '28','verse_key' => '19:28','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2279','chapter_id' => '19','arabic_name' => 'فَأَشَارَتْ إِلَيْهِ ۖ قَالُوا۟ كَيْفَ نُكَلِّمُ مَن كَانَ فِى ٱلْمَهْدِ صَبِيًّا','verse_number' => '29','verse_key' => '19:29','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2280','chapter_id' => '19','arabic_name' => 'قَالَ إِنِّى عَبْدُ ٱللَّهِ ءَاتَىٰنِىَ ٱلْكِتَـٰبَ وَجَعَلَنِى نَبِيًّا','verse_number' => '30','verse_key' => '19:30','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2281','chapter_id' => '19','arabic_name' => 'وَجَعَلَنِى مُبَارَكًا أَيْنَ مَا كُنتُ وَأَوْصَـٰنِى بِٱلصَّلَوٰةِ وَٱلزَّكَوٰةِ مَا دُمْتُ حَيًّا','verse_number' => '31','verse_key' => '19:31','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2282','chapter_id' => '19','arabic_name' => 'وَبَرًّۢا بِوَٰلِدَتِى وَلَمْ يَجْعَلْنِى جَبَّارًا شَقِيًّا','verse_number' => '32','verse_key' => '19:32','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2283','chapter_id' => '19','arabic_name' => 'وَٱلسَّلَـٰمُ عَلَىَّ يَوْمَ وُلِدتُّ وَيَوْمَ أَمُوتُ وَيَوْمَ أُبْعَثُ حَيًّا','verse_number' => '33','verse_key' => '19:33','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2284','chapter_id' => '19','arabic_name' => 'ذَٰلِكَ عِيسَى ٱبْنُ مَرْيَمَ ۚ قَوْلَ ٱلْحَقِّ ٱلَّذِى فِيهِ يَمْتَرُونَ','verse_number' => '34','verse_key' => '19:34','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2285','chapter_id' => '19','arabic_name' => 'مَا كَانَ لِلَّهِ أَن يَتَّخِذَ مِن وَلَدٍ ۖ سُبْحَـٰنَهُۥٓ ۚ إِذَا قَضَىٰٓ أَمْرًا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ','verse_number' => '35','verse_key' => '19:35','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2286','chapter_id' => '19','arabic_name' => 'وَإِنَّ ٱللَّهَ رَبِّى وَرَبُّكُمْ فَٱعْبُدُوهُ ۚ هَـٰذَا صِرَٰطٌ مُّسْتَقِيمٌ','verse_number' => '36','verse_key' => '19:36','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2287','chapter_id' => '19','arabic_name' => 'فَٱخْتَلَفَ ٱلْأَحْزَابُ مِنۢ بَيْنِهِمْ ۖ فَوَيْلٌ لِّلَّذِينَ كَفَرُوا۟ مِن مَّشْهَدِ يَوْمٍ عَظِيمٍ','verse_number' => '37','verse_key' => '19:37','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2288','chapter_id' => '19','arabic_name' => 'أَسْمِعْ بِهِمْ وَأَبْصِرْ يَوْمَ يَأْتُونَنَا ۖ لَـٰكِنِ ٱلظَّـٰلِمُونَ ٱلْيَوْمَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '38','verse_key' => '19:38','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '307','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2289','chapter_id' => '19','arabic_name' => 'وَأَنذِرْهُمْ يَوْمَ ٱلْحَسْرَةِ إِذْ قُضِىَ ٱلْأَمْرُ وَهُمْ فِى غَفْلَةٍ وَهُمْ لَا يُؤْمِنُونَ','verse_number' => '39','verse_key' => '19:39','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2290','chapter_id' => '19','arabic_name' => 'إِنَّا نَحْنُ نَرِثُ ٱلْأَرْضَ وَمَنْ عَلَيْهَا وَإِلَيْنَا يُرْجَعُونَ','verse_number' => '40','verse_key' => '19:40','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '265','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2291','chapter_id' => '19','arabic_name' => 'وَٱذْكُرْ فِى ٱلْكِتَـٰبِ إِبْرَٰهِيمَ ۚ إِنَّهُۥ كَانَ صِدِّيقًا نَّبِيًّا','verse_number' => '41','verse_key' => '19:41','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2292','chapter_id' => '19','arabic_name' => 'إِذْ قَالَ لِأَبِيهِ يَـٰٓأَبَتِ لِمَ تَعْبُدُ مَا لَا يَسْمَعُ وَلَا يُبْصِرُ وَلَا يُغْنِى عَنكَ شَيْـًٔا','verse_number' => '42','verse_key' => '19:42','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2293','chapter_id' => '19','arabic_name' => 'يَـٰٓأَبَتِ إِنِّى قَدْ جَآءَنِى مِنَ ٱلْعِلْمِ مَا لَمْ يَأْتِكَ فَٱتَّبِعْنِىٓ أَهْدِكَ صِرَٰطًا سَوِيًّا','verse_number' => '43','verse_key' => '19:43','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2294','chapter_id' => '19','arabic_name' => 'يَـٰٓأَبَتِ لَا تَعْبُدِ ٱلشَّيْطَـٰنَ ۖ إِنَّ ٱلشَّيْطَـٰنَ كَانَ لِلرَّحْمَـٰنِ عَصِيًّا','verse_number' => '44','verse_key' => '19:44','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2295','chapter_id' => '19','arabic_name' => 'يَـٰٓأَبَتِ إِنِّىٓ أَخَافُ أَن يَمَسَّكَ عَذَابٌ مِّنَ ٱلرَّحْمَـٰنِ فَتَكُونَ لِلشَّيْطَـٰنِ وَلِيًّا','verse_number' => '45','verse_key' => '19:45','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2296','chapter_id' => '19','arabic_name' => 'قَالَ أَرَاغِبٌ أَنتَ عَنْ ءَالِهَتِى يَـٰٓإِبْرَٰهِيمُ ۖ لَئِن لَّمْ تَنتَهِ لَأَرْجُمَنَّكَ ۖ وَٱهْجُرْنِى مَلِيًّا','verse_number' => '46','verse_key' => '19:46','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2297','chapter_id' => '19','arabic_name' => 'قَالَ سَلَـٰمٌ عَلَيْكَ ۖ سَأَسْتَغْفِرُ لَكَ رَبِّىٓ ۖ إِنَّهُۥ كَانَ بِى حَفِيًّا','verse_number' => '47','verse_key' => '19:47','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2298','chapter_id' => '19','arabic_name' => 'وَأَعْتَزِلُكُمْ وَمَا تَدْعُونَ مِن دُونِ ٱللَّهِ وَأَدْعُوا۟ رَبِّى عَسَىٰٓ أَلَّآ أَكُونَ بِدُعَآءِ رَبِّى شَقِيًّا','verse_number' => '48','verse_key' => '19:48','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2299','chapter_id' => '19','arabic_name' => 'فَلَمَّا ٱعْتَزَلَهُمْ وَمَا يَعْبُدُونَ مِن دُونِ ٱللَّهِ وَهَبْنَا لَهُۥٓ إِسْحَـٰقَ وَيَعْقُوبَ ۖ وَكُلًّا جَعَلْنَا نَبِيًّا','verse_number' => '49','verse_key' => '19:49','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2300','chapter_id' => '19','arabic_name' => 'وَوَهَبْنَا لَهُم مِّن رَّحْمَتِنَا وَجَعَلْنَا لَهُمْ لِسَانَ صِدْقٍ عَلِيًّا','verse_number' => '50','verse_key' => '19:50','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '266','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2301','chapter_id' => '19','arabic_name' => 'وَٱذْكُرْ فِى ٱلْكِتَـٰبِ مُوسَىٰٓ ۚ إِنَّهُۥ كَانَ مُخْلَصًا وَكَانَ رَسُولًا نَّبِيًّا','verse_number' => '51','verse_key' => '19:51','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '308','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2302','chapter_id' => '19','arabic_name' => 'وَنَـٰدَيْنَـٰهُ مِن جَانِبِ ٱلطُّورِ ٱلْأَيْمَنِ وَقَرَّبْنَـٰهُ نَجِيًّا','verse_number' => '52','verse_key' => '19:52','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2303','chapter_id' => '19','arabic_name' => 'وَوَهَبْنَا لَهُۥ مِن رَّحْمَتِنَآ أَخَاهُ هَـٰرُونَ نَبِيًّا','verse_number' => '53','verse_key' => '19:53','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2304','chapter_id' => '19','arabic_name' => 'وَٱذْكُرْ فِى ٱلْكِتَـٰبِ إِسْمَـٰعِيلَ ۚ إِنَّهُۥ كَانَ صَادِقَ ٱلْوَعْدِ وَكَانَ رَسُولًا نَّبِيًّا','verse_number' => '54','verse_key' => '19:54','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2305','chapter_id' => '19','arabic_name' => 'وَكَانَ يَأْمُرُ أَهْلَهُۥ بِٱلصَّلَوٰةِ وَٱلزَّكَوٰةِ وَكَانَ عِندَ رَبِّهِۦ مَرْضِيًّا','verse_number' => '55','verse_key' => '19:55','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2306','chapter_id' => '19','arabic_name' => 'وَٱذْكُرْ فِى ٱلْكِتَـٰبِ إِدْرِيسَ ۚ إِنَّهُۥ كَانَ صِدِّيقًا نَّبِيًّا','verse_number' => '56','verse_key' => '19:56','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2307','chapter_id' => '19','arabic_name' => 'وَرَفَعْنَـٰهُ مَكَانًا عَلِيًّا','verse_number' => '57','verse_key' => '19:57','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2308','chapter_id' => '19','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ أَنْعَمَ ٱللَّهُ عَلَيْهِم مِّنَ ٱلنَّبِيِّـۧنَ مِن ذُرِّيَّةِ ءَادَمَ وَمِمَّنْ حَمَلْنَا مَعَ نُوحٍ وَمِن ذُرِّيَّةِ إِبْرَٰهِيمَ وَإِسْرَٰٓءِيلَ وَمِمَّنْ هَدَيْنَا وَٱجْتَبَيْنَآ ۚ إِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَـٰتُ ٱلرَّحْمَـٰنِ خَرُّوا۟ سُجَّدًا وَبُكِيًّا ۩','verse_number' => '58','verse_key' => '19:58','hizb_number' => '31','rub_el_hizb_number' => '123','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '5','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2309','chapter_id' => '19','arabic_name' => '۞ فَخَلَفَ مِنۢ بَعْدِهِمْ خَلْفٌ أَضَاعُوا۟ ٱلصَّلَوٰةَ وَٱتَّبَعُوا۟ ٱلشَّهَوَٰتِ ۖ فَسَوْفَ يَلْقَوْنَ غَيًّا','verse_number' => '59','verse_key' => '19:59','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2310','chapter_id' => '19','arabic_name' => 'إِلَّا مَن تَابَ وَءَامَنَ وَعَمِلَ صَـٰلِحًا فَأُو۟لَـٰٓئِكَ يَدْخُلُونَ ٱلْجَنَّةَ وَلَا يُظْلَمُونَ شَيْـًٔا','verse_number' => '60','verse_key' => '19:60','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2311','chapter_id' => '19','arabic_name' => 'جَنَّـٰتِ عَدْنٍ ٱلَّتِى وَعَدَ ٱلرَّحْمَـٰنُ عِبَادَهُۥ بِٱلْغَيْبِ ۚ إِنَّهُۥ كَانَ وَعْدُهُۥ مَأْتِيًّا','verse_number' => '61','verse_key' => '19:61','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2312','chapter_id' => '19','arabic_name' => 'لَّا يَسْمَعُونَ فِيهَا لَغْوًا إِلَّا سَلَـٰمًا ۖ وَلَهُمْ رِزْقُهُمْ فِيهَا بُكْرَةً وَعَشِيًّا','verse_number' => '62','verse_key' => '19:62','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2313','chapter_id' => '19','arabic_name' => 'تِلْكَ ٱلْجَنَّةُ ٱلَّتِى نُورِثُ مِنْ عِبَادِنَا مَن كَانَ تَقِيًّا','verse_number' => '63','verse_key' => '19:63','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2314','chapter_id' => '19','arabic_name' => 'وَمَا نَتَنَزَّلُ إِلَّا بِأَمْرِ رَبِّكَ ۖ لَهُۥ مَا بَيْنَ أَيْدِينَا وَمَا خَلْفَنَا وَمَا بَيْنَ ذَٰلِكَ ۚ وَمَا كَانَ رَبُّكَ نَسِيًّا','verse_number' => '64','verse_key' => '19:64','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '309','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2315','chapter_id' => '19','arabic_name' => 'رَّبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا فَٱعْبُدْهُ وَٱصْطَبِرْ لِعِبَـٰدَتِهِۦ ۚ هَلْ تَعْلَمُ لَهُۥ سَمِيًّا','verse_number' => '65','verse_key' => '19:65','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '267','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2316','chapter_id' => '19','arabic_name' => 'وَيَقُولُ ٱلْإِنسَـٰنُ أَءِذَا مَا مِتُّ لَسَوْفَ أُخْرَجُ حَيًّا','verse_number' => '66','verse_key' => '19:66','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2317','chapter_id' => '19','arabic_name' => 'أَوَلَا يَذْكُرُ ٱلْإِنسَـٰنُ أَنَّا خَلَقْنَـٰهُ مِن قَبْلُ وَلَمْ يَكُ شَيْـًٔا','verse_number' => '67','verse_key' => '19:67','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2318','chapter_id' => '19','arabic_name' => 'فَوَرَبِّكَ لَنَحْشُرَنَّهُمْ وَٱلشَّيَـٰطِينَ ثُمَّ لَنُحْضِرَنَّهُمْ حَوْلَ جَهَنَّمَ جِثِيًّا','verse_number' => '68','verse_key' => '19:68','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2319','chapter_id' => '19','arabic_name' => 'ثُمَّ لَنَنزِعَنَّ مِن كُلِّ شِيعَةٍ أَيُّهُمْ أَشَدُّ عَلَى ٱلرَّحْمَـٰنِ عِتِيًّا','verse_number' => '69','verse_key' => '19:69','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2320','chapter_id' => '19','arabic_name' => 'ثُمَّ لَنَحْنُ أَعْلَمُ بِٱلَّذِينَ هُمْ أَوْلَىٰ بِهَا صِلِيًّا','verse_number' => '70','verse_key' => '19:70','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2321','chapter_id' => '19','arabic_name' => 'وَإِن مِّنكُمْ إِلَّا وَارِدُهَا ۚ كَانَ عَلَىٰ رَبِّكَ حَتْمًا مَّقْضِيًّا','verse_number' => '71','verse_key' => '19:71','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2322','chapter_id' => '19','arabic_name' => 'ثُمَّ نُنَجِّى ٱلَّذِينَ ٱتَّقَوا۟ وَّنَذَرُ ٱلظَّـٰلِمِينَ فِيهَا جِثِيًّا','verse_number' => '72','verse_key' => '19:72','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2323','chapter_id' => '19','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَـٰتُنَا بَيِّنَـٰتٍ قَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوٓا۟ أَىُّ ٱلْفَرِيقَيْنِ خَيْرٌ مَّقَامًا وَأَحْسَنُ نَدِيًّا','verse_number' => '73','verse_key' => '19:73','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2324','chapter_id' => '19','arabic_name' => 'وَكَمْ أَهْلَكْنَا قَبْلَهُم مِّن قَرْنٍ هُمْ أَحْسَنُ أَثَـٰثًا وَرِءْيًا','verse_number' => '74','verse_key' => '19:74','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2325','chapter_id' => '19','arabic_name' => 'قُلْ مَن كَانَ فِى ٱلضَّلَـٰلَةِ فَلْيَمْدُدْ لَهُ ٱلرَّحْمَـٰنُ مَدًّا ۚ حَتَّىٰٓ إِذَا رَأَوْا۟ مَا يُوعَدُونَ إِمَّا ٱلْعَذَابَ وَإِمَّا ٱلسَّاعَةَ فَسَيَعْلَمُونَ مَنْ هُوَ شَرٌّ مَّكَانًا وَأَضْعَفُ جُندًا','verse_number' => '75','verse_key' => '19:75','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2326','chapter_id' => '19','arabic_name' => 'وَيَزِيدُ ٱللَّهُ ٱلَّذِينَ ٱهْتَدَوْا۟ هُدًى ۗ وَٱلْبَـٰقِيَـٰتُ ٱلصَّـٰلِحَـٰتُ خَيْرٌ عِندَ رَبِّكَ ثَوَابًا وَخَيْرٌ مَّرَدًّا','verse_number' => '76','verse_key' => '19:76','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '310','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2327','chapter_id' => '19','arabic_name' => 'أَفَرَءَيْتَ ٱلَّذِى كَفَرَ بِـَٔايَـٰتِنَا وَقَالَ لَأُوتَيَنَّ مَالًا وَوَلَدًا','verse_number' => '77','verse_key' => '19:77','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2328','chapter_id' => '19','arabic_name' => 'أَطَّلَعَ ٱلْغَيْبَ أَمِ ٱتَّخَذَ عِندَ ٱلرَّحْمَـٰنِ عَهْدًا','verse_number' => '78','verse_key' => '19:78','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2329','chapter_id' => '19','arabic_name' => 'كَلَّا ۚ سَنَكْتُبُ مَا يَقُولُ وَنَمُدُّ لَهُۥ مِنَ ٱلْعَذَابِ مَدًّا','verse_number' => '79','verse_key' => '19:79','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2330','chapter_id' => '19','arabic_name' => 'وَنَرِثُهُۥ مَا يَقُولُ وَيَأْتِينَا فَرْدًا','verse_number' => '80','verse_key' => '19:80','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2331','chapter_id' => '19','arabic_name' => 'وَٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ ءَالِهَةً لِّيَكُونُوا۟ لَهُمْ عِزًّا','verse_number' => '81','verse_key' => '19:81','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2332','chapter_id' => '19','arabic_name' => 'كَلَّا ۚ سَيَكْفُرُونَ بِعِبَادَتِهِمْ وَيَكُونُونَ عَلَيْهِمْ ضِدًّا','verse_number' => '82','verse_key' => '19:82','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '268','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2333','chapter_id' => '19','arabic_name' => 'أَلَمْ تَرَ أَنَّآ أَرْسَلْنَا ٱلشَّيَـٰطِينَ عَلَى ٱلْكَـٰفِرِينَ تَؤُزُّهُمْ أَزًّا','verse_number' => '83','verse_key' => '19:83','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2334','chapter_id' => '19','arabic_name' => 'فَلَا تَعْجَلْ عَلَيْهِمْ ۖ إِنَّمَا نَعُدُّ لَهُمْ عَدًّا','verse_number' => '84','verse_key' => '19:84','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2335','chapter_id' => '19','arabic_name' => 'يَوْمَ نَحْشُرُ ٱلْمُتَّقِينَ إِلَى ٱلرَّحْمَـٰنِ وَفْدًا','verse_number' => '85','verse_key' => '19:85','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2336','chapter_id' => '19','arabic_name' => 'وَنَسُوقُ ٱلْمُجْرِمِينَ إِلَىٰ جَهَنَّمَ وِرْدًا','verse_number' => '86','verse_key' => '19:86','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2337','chapter_id' => '19','arabic_name' => 'لَّا يَمْلِكُونَ ٱلشَّفَـٰعَةَ إِلَّا مَنِ ٱتَّخَذَ عِندَ ٱلرَّحْمَـٰنِ عَهْدًا','verse_number' => '87','verse_key' => '19:87','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2338','chapter_id' => '19','arabic_name' => 'وَقَالُوا۟ ٱتَّخَذَ ٱلرَّحْمَـٰنُ وَلَدًا','verse_number' => '88','verse_key' => '19:88','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2339','chapter_id' => '19','arabic_name' => 'لَّقَدْ جِئْتُمْ شَيْـًٔا إِدًّا','verse_number' => '89','verse_key' => '19:89','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2340','chapter_id' => '19','arabic_name' => 'تَكَادُ ٱلسَّمَـٰوَٰتُ يَتَفَطَّرْنَ مِنْهُ وَتَنشَقُّ ٱلْأَرْضُ وَتَخِرُّ ٱلْجِبَالُ هَدًّا','verse_number' => '90','verse_key' => '19:90','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2341','chapter_id' => '19','arabic_name' => 'أَن دَعَوْا۟ لِلرَّحْمَـٰنِ وَلَدًا','verse_number' => '91','verse_key' => '19:91','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2342','chapter_id' => '19','arabic_name' => 'وَمَا يَنۢبَغِى لِلرَّحْمَـٰنِ أَن يَتَّخِذَ وَلَدًا','verse_number' => '92','verse_key' => '19:92','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2343','chapter_id' => '19','arabic_name' => 'إِن كُلُّ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ إِلَّآ ءَاتِى ٱلرَّحْمَـٰنِ عَبْدًا','verse_number' => '93','verse_key' => '19:93','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2344','chapter_id' => '19','arabic_name' => 'لَّقَدْ أَحْصَىٰهُمْ وَعَدَّهُمْ عَدًّا','verse_number' => '94','verse_key' => '19:94','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2345','chapter_id' => '19','arabic_name' => 'وَكُلُّهُمْ ءَاتِيهِ يَوْمَ ٱلْقِيَـٰمَةِ فَرْدًا','verse_number' => '95','verse_key' => '19:95','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '311','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2346','chapter_id' => '19','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ سَيَجْعَلُ لَهُمُ ٱلرَّحْمَـٰنُ وُدًّا','verse_number' => '96','verse_key' => '19:96','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2347','chapter_id' => '19','arabic_name' => 'فَإِنَّمَا يَسَّرْنَـٰهُ بِلِسَانِكَ لِتُبَشِّرَ بِهِ ٱلْمُتَّقِينَ وَتُنذِرَ بِهِۦ قَوْمًا لُّدًّا','verse_number' => '97','verse_key' => '19:97','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2348','chapter_id' => '19','arabic_name' => 'وَكَمْ أَهْلَكْنَا قَبْلَهُم مِّن قَرْنٍ هَلْ تُحِسُّ مِنْهُم مِّنْ أَحَدٍ أَوْ تَسْمَعُ لَهُمْ رِكْزًۢا','verse_number' => '98','verse_key' => '19:98','hizb_number' => '31','rub_el_hizb_number' => '124','ruku_number' => '269','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2349','chapter_id' => '20','arabic_name' => 'طه','verse_number' => '1','verse_key' => '20:1','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2350','chapter_id' => '20','arabic_name' => 'مَآ أَنزَلْنَا عَلَيْكَ ٱلْقُرْءَانَ لِتَشْقَىٰٓ','verse_number' => '2','verse_key' => '20:2','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2351','chapter_id' => '20','arabic_name' => 'إِلَّا تَذْكِرَةً لِّمَن يَخْشَىٰ','verse_number' => '3','verse_key' => '20:3','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2352','chapter_id' => '20','arabic_name' => 'تَنزِيلًا مِّمَّنْ خَلَقَ ٱلْأَرْضَ وَٱلسَّمَـٰوَٰتِ ٱلْعُلَى','verse_number' => '4','verse_key' => '20:4','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2353','chapter_id' => '20','arabic_name' => 'ٱلرَّحْمَـٰنُ عَلَى ٱلْعَرْشِ ٱسْتَوَىٰ','verse_number' => '5','verse_key' => '20:5','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2354','chapter_id' => '20','arabic_name' => 'لَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَمَا بَيْنَهُمَا وَمَا تَحْتَ ٱلثَّرَىٰ','verse_number' => '6','verse_key' => '20:6','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2355','chapter_id' => '20','arabic_name' => 'وَإِن تَجْهَرْ بِٱلْقَوْلِ فَإِنَّهُۥ يَعْلَمُ ٱلسِّرَّ وَأَخْفَى','verse_number' => '7','verse_key' => '20:7','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2356','chapter_id' => '20','arabic_name' => 'ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ لَهُ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ','verse_number' => '8','verse_key' => '20:8','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2357','chapter_id' => '20','arabic_name' => 'وَهَلْ أَتَىٰكَ حَدِيثُ مُوسَىٰٓ','verse_number' => '9','verse_key' => '20:9','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2358','chapter_id' => '20','arabic_name' => 'إِذْ رَءَا نَارًا فَقَالَ لِأَهْلِهِ ٱمْكُثُوٓا۟ إِنِّىٓ ءَانَسْتُ نَارًا لَّعَلِّىٓ ءَاتِيكُم مِّنْهَا بِقَبَسٍ أَوْ أَجِدُ عَلَى ٱلنَّارِ هُدًى','verse_number' => '10','verse_key' => '20:10','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2359','chapter_id' => '20','arabic_name' => 'فَلَمَّآ أَتَىٰهَا نُودِىَ يَـٰمُوسَىٰٓ','verse_number' => '11','verse_key' => '20:11','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2360','chapter_id' => '20','arabic_name' => 'إِنِّىٓ أَنَا۠ رَبُّكَ فَٱخْلَعْ نَعْلَيْكَ ۖ إِنَّكَ بِٱلْوَادِ ٱلْمُقَدَّسِ طُوًى','verse_number' => '12','verse_key' => '20:12','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '312','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2361','chapter_id' => '20','arabic_name' => 'وَأَنَا ٱخْتَرْتُكَ فَٱسْتَمِعْ لِمَا يُوحَىٰٓ','verse_number' => '13','verse_key' => '20:13','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2362','chapter_id' => '20','arabic_name' => 'إِنَّنِىٓ أَنَا ٱللَّهُ لَآ إِلَـٰهَ إِلَّآ أَنَا۠ فَٱعْبُدْنِى وَأَقِمِ ٱلصَّلَوٰةَ لِذِكْرِىٓ','verse_number' => '14','verse_key' => '20:14','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2363','chapter_id' => '20','arabic_name' => 'إِنَّ ٱلسَّاعَةَ ءَاتِيَةٌ أَكَادُ أُخْفِيهَا لِتُجْزَىٰ كُلُّ نَفْسٍۭ بِمَا تَسْعَىٰ','verse_number' => '15','verse_key' => '20:15','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2364','chapter_id' => '20','arabic_name' => 'فَلَا يَصُدَّنَّكَ عَنْهَا مَن لَّا يُؤْمِنُ بِهَا وَٱتَّبَعَ هَوَىٰهُ فَتَرْدَىٰ','verse_number' => '16','verse_key' => '20:16','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2365','chapter_id' => '20','arabic_name' => 'وَمَا تِلْكَ بِيَمِينِكَ يَـٰمُوسَىٰ','verse_number' => '17','verse_key' => '20:17','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2366','chapter_id' => '20','arabic_name' => 'قَالَ هِىَ عَصَاىَ أَتَوَكَّؤُا۟ عَلَيْهَا وَأَهُشُّ بِهَا عَلَىٰ غَنَمِى وَلِىَ فِيهَا مَـَٔارِبُ أُخْرَىٰ','verse_number' => '18','verse_key' => '20:18','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2367','chapter_id' => '20','arabic_name' => 'قَالَ أَلْقِهَا يَـٰمُوسَىٰ','verse_number' => '19','verse_key' => '20:19','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2368','chapter_id' => '20','arabic_name' => 'فَأَلْقَىٰهَا فَإِذَا هِىَ حَيَّةٌ تَسْعَىٰ','verse_number' => '20','verse_key' => '20:20','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2369','chapter_id' => '20','arabic_name' => 'قَالَ خُذْهَا وَلَا تَخَفْ ۖ سَنُعِيدُهَا سِيرَتَهَا ٱلْأُولَىٰ','verse_number' => '21','verse_key' => '20:21','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2370','chapter_id' => '20','arabic_name' => 'وَٱضْمُمْ يَدَكَ إِلَىٰ جَنَاحِكَ تَخْرُجْ بَيْضَآءَ مِنْ غَيْرِ سُوٓءٍ ءَايَةً أُخْرَىٰ','verse_number' => '22','verse_key' => '20:22','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2371','chapter_id' => '20','arabic_name' => 'لِنُرِيَكَ مِنْ ءَايَـٰتِنَا ٱلْكُبْرَى','verse_number' => '23','verse_key' => '20:23','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2372','chapter_id' => '20','arabic_name' => 'ٱذْهَبْ إِلَىٰ فِرْعَوْنَ إِنَّهُۥ طَغَىٰ','verse_number' => '24','verse_key' => '20:24','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '270','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2373','chapter_id' => '20','arabic_name' => 'قَالَ رَبِّ ٱشْرَحْ لِى صَدْرِى','verse_number' => '25','verse_key' => '20:25','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2374','chapter_id' => '20','arabic_name' => 'وَيَسِّرْ لِىٓ أَمْرِى','verse_number' => '26','verse_key' => '20:26','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2375','chapter_id' => '20','arabic_name' => 'وَٱحْلُلْ عُقْدَةً مِّن لِّسَانِى','verse_number' => '27','verse_key' => '20:27','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2376','chapter_id' => '20','arabic_name' => 'يَفْقَهُوا۟ قَوْلِى','verse_number' => '28','verse_key' => '20:28','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2377','chapter_id' => '20','arabic_name' => 'وَٱجْعَل لِّى وَزِيرًا مِّنْ أَهْلِى','verse_number' => '29','verse_key' => '20:29','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2378','chapter_id' => '20','arabic_name' => 'هَـٰرُونَ أَخِى','verse_number' => '30','verse_key' => '20:30','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2379','chapter_id' => '20','arabic_name' => 'ٱشْدُدْ بِهِۦٓ أَزْرِى','verse_number' => '31','verse_key' => '20:31','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2380','chapter_id' => '20','arabic_name' => 'وَأَشْرِكْهُ فِىٓ أَمْرِى','verse_number' => '32','verse_key' => '20:32','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2381','chapter_id' => '20','arabic_name' => 'كَىْ نُسَبِّحَكَ كَثِيرًا','verse_number' => '33','verse_key' => '20:33','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2382','chapter_id' => '20','arabic_name' => 'وَنَذْكُرَكَ كَثِيرًا','verse_number' => '34','verse_key' => '20:34','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2383','chapter_id' => '20','arabic_name' => 'إِنَّكَ كُنتَ بِنَا بَصِيرًا','verse_number' => '35','verse_key' => '20:35','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2384','chapter_id' => '20','arabic_name' => 'قَالَ قَدْ أُوتِيتَ سُؤْلَكَ يَـٰمُوسَىٰ','verse_number' => '36','verse_key' => '20:36','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2385','chapter_id' => '20','arabic_name' => 'وَلَقَدْ مَنَنَّا عَلَيْكَ مَرَّةً أُخْرَىٰٓ','verse_number' => '37','verse_key' => '20:37','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '313','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2386','chapter_id' => '20','arabic_name' => 'إِذْ أَوْحَيْنَآ إِلَىٰٓ أُمِّكَ مَا يُوحَىٰٓ','verse_number' => '38','verse_key' => '20:38','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2387','chapter_id' => '20','arabic_name' => 'أَنِ ٱقْذِفِيهِ فِى ٱلتَّابُوتِ فَٱقْذِفِيهِ فِى ٱلْيَمِّ فَلْيُلْقِهِ ٱلْيَمُّ بِٱلسَّاحِلِ يَأْخُذْهُ عَدُوٌّ لِّى وَعَدُوٌّ لَّهُۥ ۚ وَأَلْقَيْتُ عَلَيْكَ مَحَبَّةً مِّنِّى وَلِتُصْنَعَ عَلَىٰ عَيْنِىٓ','verse_number' => '39','verse_key' => '20:39','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2388','chapter_id' => '20','arabic_name' => 'إِذْ تَمْشِىٓ أُخْتُكَ فَتَقُولُ هَلْ أَدُلُّكُمْ عَلَىٰ مَن يَكْفُلُهُۥ ۖ فَرَجَعْنَـٰكَ إِلَىٰٓ أُمِّكَ كَىْ تَقَرَّ عَيْنُهَا وَلَا تَحْزَنَ ۚ وَقَتَلْتَ نَفْسًا فَنَجَّيْنَـٰكَ مِنَ ٱلْغَمِّ وَفَتَنَّـٰكَ فُتُونًا ۚ فَلَبِثْتَ سِنِينَ فِىٓ أَهْلِ مَدْيَنَ ثُمَّ جِئْتَ عَلَىٰ قَدَرٍ يَـٰمُوسَىٰ','verse_number' => '40','verse_key' => '20:40','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2389','chapter_id' => '20','arabic_name' => 'وَٱصْطَنَعْتُكَ لِنَفْسِى','verse_number' => '41','verse_key' => '20:41','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2390','chapter_id' => '20','arabic_name' => 'ٱذْهَبْ أَنتَ وَأَخُوكَ بِـَٔايَـٰتِى وَلَا تَنِيَا فِى ذِكْرِى','verse_number' => '42','verse_key' => '20:42','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2391','chapter_id' => '20','arabic_name' => 'ٱذْهَبَآ إِلَىٰ فِرْعَوْنَ إِنَّهُۥ طَغَىٰ','verse_number' => '43','verse_key' => '20:43','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2392','chapter_id' => '20','arabic_name' => 'فَقُولَا لَهُۥ قَوْلًا لَّيِّنًا لَّعَلَّهُۥ يَتَذَكَّرُ أَوْ يَخْشَىٰ','verse_number' => '44','verse_key' => '20:44','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2393','chapter_id' => '20','arabic_name' => 'قَالَا رَبَّنَآ إِنَّنَا نَخَافُ أَن يَفْرُطَ عَلَيْنَآ أَوْ أَن يَطْغَىٰ','verse_number' => '45','verse_key' => '20:45','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2394','chapter_id' => '20','arabic_name' => 'قَالَ لَا تَخَافَآ ۖ إِنَّنِى مَعَكُمَآ أَسْمَعُ وَأَرَىٰ','verse_number' => '46','verse_key' => '20:46','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2395','chapter_id' => '20','arabic_name' => 'فَأْتِيَاهُ فَقُولَآ إِنَّا رَسُولَا رَبِّكَ فَأَرْسِلْ مَعَنَا بَنِىٓ إِسْرَٰٓءِيلَ وَلَا تُعَذِّبْهُمْ ۖ قَدْ جِئْنَـٰكَ بِـَٔايَةٍ مِّن رَّبِّكَ ۖ وَٱلسَّلَـٰمُ عَلَىٰ مَنِ ٱتَّبَعَ ٱلْهُدَىٰٓ','verse_number' => '47','verse_key' => '20:47','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2396','chapter_id' => '20','arabic_name' => 'إِنَّا قَدْ أُوحِىَ إِلَيْنَآ أَنَّ ٱلْعَذَابَ عَلَىٰ مَن كَذَّبَ وَتَوَلَّىٰ','verse_number' => '48','verse_key' => '20:48','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2397','chapter_id' => '20','arabic_name' => 'قَالَ فَمَن رَّبُّكُمَا يَـٰمُوسَىٰ','verse_number' => '49','verse_key' => '20:49','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2398','chapter_id' => '20','arabic_name' => 'قَالَ رَبُّنَا ٱلَّذِىٓ أَعْطَىٰ كُلَّ شَىْءٍ خَلْقَهُۥ ثُمَّ هَدَىٰ','verse_number' => '50','verse_key' => '20:50','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2399','chapter_id' => '20','arabic_name' => 'قَالَ فَمَا بَالُ ٱلْقُرُونِ ٱلْأُولَىٰ','verse_number' => '51','verse_key' => '20:51','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '314','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2400','chapter_id' => '20','arabic_name' => 'قَالَ عِلْمُهَا عِندَ رَبِّى فِى كِتَـٰبٍ ۖ لَّا يَضِلُّ رَبِّى وَلَا يَنسَى','verse_number' => '52','verse_key' => '20:52','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2401','chapter_id' => '20','arabic_name' => 'ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ مَهْدًا وَسَلَكَ لَكُمْ فِيهَا سُبُلًا وَأَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَأَخْرَجْنَا بِهِۦٓ أَزْوَٰجًا مِّن نَّبَاتٍ شَتَّىٰ','verse_number' => '53','verse_key' => '20:53','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2402','chapter_id' => '20','arabic_name' => 'كُلُوا۟ وَٱرْعَوْا۟ أَنْعَـٰمَكُمْ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّأُو۟لِى ٱلنُّهَىٰ','verse_number' => '54','verse_key' => '20:54','hizb_number' => '32','rub_el_hizb_number' => '125','ruku_number' => '271','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2403','chapter_id' => '20','arabic_name' => '۞ مِنْهَا خَلَقْنَـٰكُمْ وَفِيهَا نُعِيدُكُمْ وَمِنْهَا نُخْرِجُكُمْ تَارَةً أُخْرَىٰ','verse_number' => '55','verse_key' => '20:55','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2404','chapter_id' => '20','arabic_name' => 'وَلَقَدْ أَرَيْنَـٰهُ ءَايَـٰتِنَا كُلَّهَا فَكَذَّبَ وَأَبَىٰ','verse_number' => '56','verse_key' => '20:56','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2405','chapter_id' => '20','arabic_name' => 'قَالَ أَجِئْتَنَا لِتُخْرِجَنَا مِنْ أَرْضِنَا بِسِحْرِكَ يَـٰمُوسَىٰ','verse_number' => '57','verse_key' => '20:57','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2406','chapter_id' => '20','arabic_name' => 'فَلَنَأْتِيَنَّكَ بِسِحْرٍ مِّثْلِهِۦ فَٱجْعَلْ بَيْنَنَا وَبَيْنَكَ مَوْعِدًا لَّا نُخْلِفُهُۥ نَحْنُ وَلَآ أَنتَ مَكَانًا سُوًى','verse_number' => '58','verse_key' => '20:58','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2407','chapter_id' => '20','arabic_name' => 'قَالَ مَوْعِدُكُمْ يَوْمُ ٱلزِّينَةِ وَأَن يُحْشَرَ ٱلنَّاسُ ضُحًى','verse_number' => '59','verse_key' => '20:59','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2408','chapter_id' => '20','arabic_name' => 'فَتَوَلَّىٰ فِرْعَوْنُ فَجَمَعَ كَيْدَهُۥ ثُمَّ أَتَىٰ','verse_number' => '60','verse_key' => '20:60','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2409','chapter_id' => '20','arabic_name' => 'قَالَ لَهُم مُّوسَىٰ وَيْلَكُمْ لَا تَفْتَرُوا۟ عَلَى ٱللَّهِ كَذِبًا فَيُسْحِتَكُم بِعَذَابٍ ۖ وَقَدْ خَابَ مَنِ ٱفْتَرَىٰ','verse_number' => '61','verse_key' => '20:61','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2410','chapter_id' => '20','arabic_name' => 'فَتَنَـٰزَعُوٓا۟ أَمْرَهُم بَيْنَهُمْ وَأَسَرُّوا۟ ٱلنَّجْوَىٰ','verse_number' => '62','verse_key' => '20:62','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2411','chapter_id' => '20','arabic_name' => 'قَالُوٓا۟ إِنْ هَـٰذَٰنِ لَسَـٰحِرَٰنِ يُرِيدَانِ أَن يُخْرِجَاكُم مِّنْ أَرْضِكُم بِسِحْرِهِمَا وَيَذْهَبَا بِطَرِيقَتِكُمُ ٱلْمُثْلَىٰ','verse_number' => '63','verse_key' => '20:63','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2412','chapter_id' => '20','arabic_name' => 'فَأَجْمِعُوا۟ كَيْدَكُمْ ثُمَّ ٱئْتُوا۟ صَفًّا ۚ وَقَدْ أَفْلَحَ ٱلْيَوْمَ مَنِ ٱسْتَعْلَىٰ','verse_number' => '64','verse_key' => '20:64','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '315','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2413','chapter_id' => '20','arabic_name' => 'قَالُوا۟ يَـٰمُوسَىٰٓ إِمَّآ أَن تُلْقِىَ وَإِمَّآ أَن نَّكُونَ أَوَّلَ مَنْ أَلْقَىٰ','verse_number' => '65','verse_key' => '20:65','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2414','chapter_id' => '20','arabic_name' => 'قَالَ بَلْ أَلْقُوا۟ ۖ فَإِذَا حِبَالُهُمْ وَعِصِيُّهُمْ يُخَيَّلُ إِلَيْهِ مِن سِحْرِهِمْ أَنَّهَا تَسْعَىٰ','verse_number' => '66','verse_key' => '20:66','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2415','chapter_id' => '20','arabic_name' => 'فَأَوْجَسَ فِى نَفْسِهِۦ خِيفَةً مُّوسَىٰ','verse_number' => '67','verse_key' => '20:67','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2416','chapter_id' => '20','arabic_name' => 'قُلْنَا لَا تَخَفْ إِنَّكَ أَنتَ ٱلْأَعْلَىٰ','verse_number' => '68','verse_key' => '20:68','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2417','chapter_id' => '20','arabic_name' => 'وَأَلْقِ مَا فِى يَمِينِكَ تَلْقَفْ مَا صَنَعُوٓا۟ ۖ إِنَّمَا صَنَعُوا۟ كَيْدُ سَـٰحِرٍ ۖ وَلَا يُفْلِحُ ٱلسَّاحِرُ حَيْثُ أَتَىٰ','verse_number' => '69','verse_key' => '20:69','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2418','chapter_id' => '20','arabic_name' => 'فَأُلْقِىَ ٱلسَّحَرَةُ سُجَّدًا قَالُوٓا۟ ءَامَنَّا بِرَبِّ هَـٰرُونَ وَمُوسَىٰ','verse_number' => '70','verse_key' => '20:70','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2419','chapter_id' => '20','arabic_name' => 'قَالَ ءَامَنتُمْ لَهُۥ قَبْلَ أَنْ ءَاذَنَ لَكُمْ ۖ إِنَّهُۥ لَكَبِيرُكُمُ ٱلَّذِى عَلَّمَكُمُ ٱلسِّحْرَ ۖ فَلَأُقَطِّعَنَّ أَيْدِيَكُمْ وَأَرْجُلَكُم مِّنْ خِلَـٰفٍ وَلَأُصَلِّبَنَّكُمْ فِى جُذُوعِ ٱلنَّخْلِ وَلَتَعْلَمُنَّ أَيُّنَآ أَشَدُّ عَذَابًا وَأَبْقَىٰ','verse_number' => '71','verse_key' => '20:71','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2420','chapter_id' => '20','arabic_name' => 'قَالُوا۟ لَن نُّؤْثِرَكَ عَلَىٰ مَا جَآءَنَا مِنَ ٱلْبَيِّنَـٰتِ وَٱلَّذِى فَطَرَنَا ۖ فَٱقْضِ مَآ أَنتَ قَاضٍ ۖ إِنَّمَا تَقْضِى هَـٰذِهِ ٱلْحَيَوٰةَ ٱلدُّنْيَآ','verse_number' => '72','verse_key' => '20:72','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2421','chapter_id' => '20','arabic_name' => 'إِنَّآ ءَامَنَّا بِرَبِّنَا لِيَغْفِرَ لَنَا خَطَـٰيَـٰنَا وَمَآ أَكْرَهْتَنَا عَلَيْهِ مِنَ ٱلسِّحْرِ ۗ وَٱللَّهُ خَيْرٌ وَأَبْقَىٰٓ','verse_number' => '73','verse_key' => '20:73','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2422','chapter_id' => '20','arabic_name' => 'إِنَّهُۥ مَن يَأْتِ رَبَّهُۥ مُجْرِمًا فَإِنَّ لَهُۥ جَهَنَّمَ لَا يَمُوتُ فِيهَا وَلَا يَحْيَىٰ','verse_number' => '74','verse_key' => '20:74','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2423','chapter_id' => '20','arabic_name' => 'وَمَن يَأْتِهِۦ مُؤْمِنًا قَدْ عَمِلَ ٱلصَّـٰلِحَـٰتِ فَأُو۟لَـٰٓئِكَ لَهُمُ ٱلدَّرَجَـٰتُ ٱلْعُلَىٰ','verse_number' => '75','verse_key' => '20:75','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2424','chapter_id' => '20','arabic_name' => 'جَنَّـٰتُ عَدْنٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ وَذَٰلِكَ جَزَآءُ مَن تَزَكَّىٰ','verse_number' => '76','verse_key' => '20:76','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '272','manzil_number' => '4','sajdah_number' => '0','page_number' => '316','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2425','chapter_id' => '20','arabic_name' => 'وَلَقَدْ أَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنْ أَسْرِ بِعِبَادِى فَٱضْرِبْ لَهُمْ طَرِيقًا فِى ٱلْبَحْرِ يَبَسًا لَّا تَخَـٰفُ دَرَكًا وَلَا تَخْشَىٰ','verse_number' => '77','verse_key' => '20:77','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2426','chapter_id' => '20','arabic_name' => 'فَأَتْبَعَهُمْ فِرْعَوْنُ بِجُنُودِهِۦ فَغَشِيَهُم مِّنَ ٱلْيَمِّ مَا غَشِيَهُمْ','verse_number' => '78','verse_key' => '20:78','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2427','chapter_id' => '20','arabic_name' => 'وَأَضَلَّ فِرْعَوْنُ قَوْمَهُۥ وَمَا هَدَىٰ','verse_number' => '79','verse_key' => '20:79','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2428','chapter_id' => '20','arabic_name' => 'يَـٰبَنِىٓ إِسْرَٰٓءِيلَ قَدْ أَنجَيْنَـٰكُم مِّنْ عَدُوِّكُمْ وَوَٰعَدْنَـٰكُمْ جَانِبَ ٱلطُّورِ ٱلْأَيْمَنَ وَنَزَّلْنَا عَلَيْكُمُ ٱلْمَنَّ وَٱلسَّلْوَىٰ','verse_number' => '80','verse_key' => '20:80','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2429','chapter_id' => '20','arabic_name' => 'كُلُوا۟ مِن طَيِّبَـٰتِ مَا رَزَقْنَـٰكُمْ وَلَا تَطْغَوْا۟ فِيهِ فَيَحِلَّ عَلَيْكُمْ غَضَبِى ۖ وَمَن يَحْلِلْ عَلَيْهِ غَضَبِى فَقَدْ هَوَىٰ','verse_number' => '81','verse_key' => '20:81','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2430','chapter_id' => '20','arabic_name' => 'وَإِنِّى لَغَفَّارٌ لِّمَن تَابَ وَءَامَنَ وَعَمِلَ صَـٰلِحًا ثُمَّ ٱهْتَدَىٰ','verse_number' => '82','verse_key' => '20:82','hizb_number' => '32','rub_el_hizb_number' => '126','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2431','chapter_id' => '20','arabic_name' => '۞ وَمَآ أَعْجَلَكَ عَن قَوْمِكَ يَـٰمُوسَىٰ','verse_number' => '83','verse_key' => '20:83','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2432','chapter_id' => '20','arabic_name' => 'قَالَ هُمْ أُو۟لَآءِ عَلَىٰٓ أَثَرِى وَعَجِلْتُ إِلَيْكَ رَبِّ لِتَرْضَىٰ','verse_number' => '84','verse_key' => '20:84','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2433','chapter_id' => '20','arabic_name' => 'قَالَ فَإِنَّا قَدْ فَتَنَّا قَوْمَكَ مِنۢ بَعْدِكَ وَأَضَلَّهُمُ ٱلسَّامِرِىُّ','verse_number' => '85','verse_key' => '20:85','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2434','chapter_id' => '20','arabic_name' => 'فَرَجَعَ مُوسَىٰٓ إِلَىٰ قَوْمِهِۦ غَضْبَـٰنَ أَسِفًا ۚ قَالَ يَـٰقَوْمِ أَلَمْ يَعِدْكُمْ رَبُّكُمْ وَعْدًا حَسَنًا ۚ أَفَطَالَ عَلَيْكُمُ ٱلْعَهْدُ أَمْ أَرَدتُّمْ أَن يَحِلَّ عَلَيْكُمْ غَضَبٌ مِّن رَّبِّكُمْ فَأَخْلَفْتُم مَّوْعِدِى','verse_number' => '86','verse_key' => '20:86','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2435','chapter_id' => '20','arabic_name' => 'قَالُوا۟ مَآ أَخْلَفْنَا مَوْعِدَكَ بِمَلْكِنَا وَلَـٰكِنَّا حُمِّلْنَآ أَوْزَارًا مِّن زِينَةِ ٱلْقَوْمِ فَقَذَفْنَـٰهَا فَكَذَٰلِكَ أَلْقَى ٱلسَّامِرِىُّ','verse_number' => '87','verse_key' => '20:87','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '317','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2436','chapter_id' => '20','arabic_name' => 'فَأَخْرَجَ لَهُمْ عِجْلًا جَسَدًا لَّهُۥ خُوَارٌ فَقَالُوا۟ هَـٰذَآ إِلَـٰهُكُمْ وَإِلَـٰهُ مُوسَىٰ فَنَسِىَ','verse_number' => '88','verse_key' => '20:88','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2437','chapter_id' => '20','arabic_name' => 'أَفَلَا يَرَوْنَ أَلَّا يَرْجِعُ إِلَيْهِمْ قَوْلًا وَلَا يَمْلِكُ لَهُمْ ضَرًّا وَلَا نَفْعًا','verse_number' => '89','verse_key' => '20:89','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '273','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2438','chapter_id' => '20','arabic_name' => 'وَلَقَدْ قَالَ لَهُمْ هَـٰرُونُ مِن قَبْلُ يَـٰقَوْمِ إِنَّمَا فُتِنتُم بِهِۦ ۖ وَإِنَّ رَبَّكُمُ ٱلرَّحْمَـٰنُ فَٱتَّبِعُونِى وَأَطِيعُوٓا۟ أَمْرِى','verse_number' => '90','verse_key' => '20:90','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2439','chapter_id' => '20','arabic_name' => 'قَالُوا۟ لَن نَّبْرَحَ عَلَيْهِ عَـٰكِفِينَ حَتَّىٰ يَرْجِعَ إِلَيْنَا مُوسَىٰ','verse_number' => '91','verse_key' => '20:91','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2440','chapter_id' => '20','arabic_name' => 'قَالَ يَـٰهَـٰرُونُ مَا مَنَعَكَ إِذْ رَأَيْتَهُمْ ضَلُّوٓا۟','verse_number' => '92','verse_key' => '20:92','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2441','chapter_id' => '20','arabic_name' => 'أَلَّا تَتَّبِعَنِ ۖ أَفَعَصَيْتَ أَمْرِى','verse_number' => '93','verse_key' => '20:93','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2442','chapter_id' => '20','arabic_name' => 'قَالَ يَبْنَؤُمَّ لَا تَأْخُذْ بِلِحْيَتِى وَلَا بِرَأْسِىٓ ۖ إِنِّى خَشِيتُ أَن تَقُولَ فَرَّقْتَ بَيْنَ بَنِىٓ إِسْرَٰٓءِيلَ وَلَمْ تَرْقُبْ قَوْلِى','verse_number' => '94','verse_key' => '20:94','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2443','chapter_id' => '20','arabic_name' => 'قَالَ فَمَا خَطْبُكَ يَـٰسَـٰمِرِىُّ','verse_number' => '95','verse_key' => '20:95','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2444','chapter_id' => '20','arabic_name' => 'قَالَ بَصُرْتُ بِمَا لَمْ يَبْصُرُوا۟ بِهِۦ فَقَبَضْتُ قَبْضَةً مِّنْ أَثَرِ ٱلرَّسُولِ فَنَبَذْتُهَا وَكَذَٰلِكَ سَوَّلَتْ لِى نَفْسِى','verse_number' => '96','verse_key' => '20:96','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2445','chapter_id' => '20','arabic_name' => 'قَالَ فَٱذْهَبْ فَإِنَّ لَكَ فِى ٱلْحَيَوٰةِ أَن تَقُولَ لَا مِسَاسَ ۖ وَإِنَّ لَكَ مَوْعِدًا لَّن تُخْلَفَهُۥ ۖ وَٱنظُرْ إِلَىٰٓ إِلَـٰهِكَ ٱلَّذِى ظَلْتَ عَلَيْهِ عَاكِفًا ۖ لَّنُحَرِّقَنَّهُۥ ثُمَّ لَنَنسِفَنَّهُۥ فِى ٱلْيَمِّ نَسْفًا','verse_number' => '97','verse_key' => '20:97','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2446','chapter_id' => '20','arabic_name' => 'إِنَّمَآ إِلَـٰهُكُمُ ٱللَّهُ ٱلَّذِى لَآ إِلَـٰهَ إِلَّا هُوَ ۚ وَسِعَ كُلَّ شَىْءٍ عِلْمًا','verse_number' => '98','verse_key' => '20:98','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '318','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2447','chapter_id' => '20','arabic_name' => 'كَذَٰلِكَ نَقُصُّ عَلَيْكَ مِنْ أَنۢبَآءِ مَا قَدْ سَبَقَ ۚ وَقَدْ ءَاتَيْنَـٰكَ مِن لَّدُنَّا ذِكْرًا','verse_number' => '99','verse_key' => '20:99','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2448','chapter_id' => '20','arabic_name' => 'مَّنْ أَعْرَضَ عَنْهُ فَإِنَّهُۥ يَحْمِلُ يَوْمَ ٱلْقِيَـٰمَةِ وِزْرًا','verse_number' => '100','verse_key' => '20:100','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2449','chapter_id' => '20','arabic_name' => 'خَـٰلِدِينَ فِيهِ ۖ وَسَآءَ لَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ حِمْلًا','verse_number' => '101','verse_key' => '20:101','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2450','chapter_id' => '20','arabic_name' => 'يَوْمَ يُنفَخُ فِى ٱلصُّورِ ۚ وَنَحْشُرُ ٱلْمُجْرِمِينَ يَوْمَئِذٍ زُرْقًا','verse_number' => '102','verse_key' => '20:102','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2451','chapter_id' => '20','arabic_name' => 'يَتَخَـٰفَتُونَ بَيْنَهُمْ إِن لَّبِثْتُمْ إِلَّا عَشْرًا','verse_number' => '103','verse_key' => '20:103','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2452','chapter_id' => '20','arabic_name' => 'نَّحْنُ أَعْلَمُ بِمَا يَقُولُونَ إِذْ يَقُولُ أَمْثَلُهُمْ طَرِيقَةً إِن لَّبِثْتُمْ إِلَّا يَوْمًا','verse_number' => '104','verse_key' => '20:104','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '274','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2453','chapter_id' => '20','arabic_name' => 'وَيَسْـَٔلُونَكَ عَنِ ٱلْجِبَالِ فَقُلْ يَنسِفُهَا رَبِّى نَسْفًا','verse_number' => '105','verse_key' => '20:105','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2454','chapter_id' => '20','arabic_name' => 'فَيَذَرُهَا قَاعًا صَفْصَفًا','verse_number' => '106','verse_key' => '20:106','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2455','chapter_id' => '20','arabic_name' => 'لَّا تَرَىٰ فِيهَا عِوَجًا وَلَآ أَمْتًا','verse_number' => '107','verse_key' => '20:107','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2456','chapter_id' => '20','arabic_name' => 'يَوْمَئِذٍ يَتَّبِعُونَ ٱلدَّاعِىَ لَا عِوَجَ لَهُۥ ۖ وَخَشَعَتِ ٱلْأَصْوَاتُ لِلرَّحْمَـٰنِ فَلَا تَسْمَعُ إِلَّا هَمْسًا','verse_number' => '108','verse_key' => '20:108','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2457','chapter_id' => '20','arabic_name' => 'يَوْمَئِذٍ لَّا تَنفَعُ ٱلشَّفَـٰعَةُ إِلَّا مَنْ أَذِنَ لَهُ ٱلرَّحْمَـٰنُ وَرَضِىَ لَهُۥ قَوْلًا','verse_number' => '109','verse_key' => '20:109','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2458','chapter_id' => '20','arabic_name' => 'يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ وَلَا يُحِيطُونَ بِهِۦ عِلْمًا','verse_number' => '110','verse_key' => '20:110','hizb_number' => '32','rub_el_hizb_number' => '127','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2459','chapter_id' => '20','arabic_name' => '۞ وَعَنَتِ ٱلْوُجُوهُ لِلْحَىِّ ٱلْقَيُّومِ ۖ وَقَدْ خَابَ مَنْ حَمَلَ ظُلْمًا','verse_number' => '111','verse_key' => '20:111','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2460','chapter_id' => '20','arabic_name' => 'وَمَن يَعْمَلْ مِنَ ٱلصَّـٰلِحَـٰتِ وَهُوَ مُؤْمِنٌ فَلَا يَخَافُ ظُلْمًا وَلَا هَضْمًا','verse_number' => '112','verse_key' => '20:112','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2461','chapter_id' => '20','arabic_name' => 'وَكَذَٰلِكَ أَنزَلْنَـٰهُ قُرْءَانًا عَرَبِيًّا وَصَرَّفْنَا فِيهِ مِنَ ٱلْوَعِيدِ لَعَلَّهُمْ يَتَّقُونَ أَوْ يُحْدِثُ لَهُمْ ذِكْرًا','verse_number' => '113','verse_key' => '20:113','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '319','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2462','chapter_id' => '20','arabic_name' => 'فَتَعَـٰلَى ٱللَّهُ ٱلْمَلِكُ ٱلْحَقُّ ۗ وَلَا تَعْجَلْ بِٱلْقُرْءَانِ مِن قَبْلِ أَن يُقْضَىٰٓ إِلَيْكَ وَحْيُهُۥ ۖ وَقُل رَّبِّ زِدْنِى عِلْمًا','verse_number' => '114','verse_key' => '20:114','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2463','chapter_id' => '20','arabic_name' => 'وَلَقَدْ عَهِدْنَآ إِلَىٰٓ ءَادَمَ مِن قَبْلُ فَنَسِىَ وَلَمْ نَجِدْ لَهُۥ عَزْمًا','verse_number' => '115','verse_key' => '20:115','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '275','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2464','chapter_id' => '20','arabic_name' => 'وَإِذْ قُلْنَا لِلْمَلَـٰٓئِكَةِ ٱسْجُدُوا۟ لِـَٔادَمَ فَسَجَدُوٓا۟ إِلَّآ إِبْلِيسَ أَبَىٰ','verse_number' => '116','verse_key' => '20:116','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2465','chapter_id' => '20','arabic_name' => 'فَقُلْنَا يَـٰٓـَٔادَمُ إِنَّ هَـٰذَا عَدُوٌّ لَّكَ وَلِزَوْجِكَ فَلَا يُخْرِجَنَّكُمَا مِنَ ٱلْجَنَّةِ فَتَشْقَىٰٓ','verse_number' => '117','verse_key' => '20:117','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2466','chapter_id' => '20','arabic_name' => 'إِنَّ لَكَ أَلَّا تَجُوعَ فِيهَا وَلَا تَعْرَىٰ','verse_number' => '118','verse_key' => '20:118','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2467','chapter_id' => '20','arabic_name' => 'وَأَنَّكَ لَا تَظْمَؤُا۟ فِيهَا وَلَا تَضْحَىٰ','verse_number' => '119','verse_key' => '20:119','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2468','chapter_id' => '20','arabic_name' => 'فَوَسْوَسَ إِلَيْهِ ٱلشَّيْطَـٰنُ قَالَ يَـٰٓـَٔادَمُ هَلْ أَدُلُّكَ عَلَىٰ شَجَرَةِ ٱلْخُلْدِ وَمُلْكٍ لَّا يَبْلَىٰ','verse_number' => '120','verse_key' => '20:120','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2469','chapter_id' => '20','arabic_name' => 'فَأَكَلَا مِنْهَا فَبَدَتْ لَهُمَا سَوْءَٰتُهُمَا وَطَفِقَا يَخْصِفَانِ عَلَيْهِمَا مِن وَرَقِ ٱلْجَنَّةِ ۚ وَعَصَىٰٓ ءَادَمُ رَبَّهُۥ فَغَوَىٰ','verse_number' => '121','verse_key' => '20:121','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2470','chapter_id' => '20','arabic_name' => 'ثُمَّ ٱجْتَبَـٰهُ رَبُّهُۥ فَتَابَ عَلَيْهِ وَهَدَىٰ','verse_number' => '122','verse_key' => '20:122','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2471','chapter_id' => '20','arabic_name' => 'قَالَ ٱهْبِطَا مِنْهَا جَمِيعًۢا ۖ بَعْضُكُمْ لِبَعْضٍ عَدُوٌّ ۖ فَإِمَّا يَأْتِيَنَّكُم مِّنِّى هُدًى فَمَنِ ٱتَّبَعَ هُدَاىَ فَلَا يَضِلُّ وَلَا يَشْقَىٰ','verse_number' => '123','verse_key' => '20:123','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2472','chapter_id' => '20','arabic_name' => 'وَمَنْ أَعْرَضَ عَن ذِكْرِى فَإِنَّ لَهُۥ مَعِيشَةً ضَنكًا وَنَحْشُرُهُۥ يَوْمَ ٱلْقِيَـٰمَةِ أَعْمَىٰ','verse_number' => '124','verse_key' => '20:124','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2473','chapter_id' => '20','arabic_name' => 'قَالَ رَبِّ لِمَ حَشَرْتَنِىٓ أَعْمَىٰ وَقَدْ كُنتُ بَصِيرًا','verse_number' => '125','verse_key' => '20:125','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '320','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2474','chapter_id' => '20','arabic_name' => 'قَالَ كَذَٰلِكَ أَتَتْكَ ءَايَـٰتُنَا فَنَسِيتَهَا ۖ وَكَذَٰلِكَ ٱلْيَوْمَ تُنسَىٰ','verse_number' => '126','verse_key' => '20:126','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2475','chapter_id' => '20','arabic_name' => 'وَكَذَٰلِكَ نَجْزِى مَنْ أَسْرَفَ وَلَمْ يُؤْمِنۢ بِـَٔايَـٰتِ رَبِّهِۦ ۚ وَلَعَذَابُ ٱلْـَٔاخِرَةِ أَشَدُّ وَأَبْقَىٰٓ','verse_number' => '127','verse_key' => '20:127','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2476','chapter_id' => '20','arabic_name' => 'أَفَلَمْ يَهْدِ لَهُمْ كَمْ أَهْلَكْنَا قَبْلَهُم مِّنَ ٱلْقُرُونِ يَمْشُونَ فِى مَسَـٰكِنِهِمْ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّأُو۟لِى ٱلنُّهَىٰ','verse_number' => '128','verse_key' => '20:128','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '276','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2477','chapter_id' => '20','arabic_name' => 'وَلَوْلَا كَلِمَةٌ سَبَقَتْ مِن رَّبِّكَ لَكَانَ لِزَامًا وَأَجَلٌ مُّسَمًّى','verse_number' => '129','verse_key' => '20:129','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '277','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2478','chapter_id' => '20','arabic_name' => 'فَٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَسَبِّحْ بِحَمْدِ رَبِّكَ قَبْلَ طُلُوعِ ٱلشَّمْسِ وَقَبْلَ غُرُوبِهَا ۖ وَمِنْ ءَانَآئِ ٱلَّيْلِ فَسَبِّحْ وَأَطْرَافَ ٱلنَّهَارِ لَعَلَّكَ تَرْضَىٰ','verse_number' => '130','verse_key' => '20:130','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '277','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2479','chapter_id' => '20','arabic_name' => 'وَلَا تَمُدَّنَّ عَيْنَيْكَ إِلَىٰ مَا مَتَّعْنَا بِهِۦٓ أَزْوَٰجًا مِّنْهُمْ زَهْرَةَ ٱلْحَيَوٰةِ ٱلدُّنْيَا لِنَفْتِنَهُمْ فِيهِ ۚ وَرِزْقُ رَبِّكَ خَيْرٌ وَأَبْقَىٰ','verse_number' => '131','verse_key' => '20:131','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '277','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2480','chapter_id' => '20','arabic_name' => 'وَأْمُرْ أَهْلَكَ بِٱلصَّلَوٰةِ وَٱصْطَبِرْ عَلَيْهَا ۖ لَا نَسْـَٔلُكَ رِزْقًا ۖ نَّحْنُ نَرْزُقُكَ ۗ وَٱلْعَـٰقِبَةُ لِلتَّقْوَىٰ','verse_number' => '132','verse_key' => '20:132','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '277','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2481','chapter_id' => '20','arabic_name' => 'وَقَالُوا۟ لَوْلَا يَأْتِينَا بِـَٔايَةٍ مِّن رَّبِّهِۦٓ ۚ أَوَلَمْ تَأْتِهِم بَيِّنَةُ مَا فِى ٱلصُّحُفِ ٱلْأُولَىٰ','verse_number' => '133','verse_key' => '20:133','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '277','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2482','chapter_id' => '20','arabic_name' => 'وَلَوْ أَنَّآ أَهْلَكْنَـٰهُم بِعَذَابٍ مِّن قَبْلِهِۦ لَقَالُوا۟ رَبَّنَا لَوْلَآ أَرْسَلْتَ إِلَيْنَا رَسُولًا فَنَتَّبِعَ ءَايَـٰتِكَ مِن قَبْلِ أَن نَّذِلَّ وَنَخْزَىٰ','verse_number' => '134','verse_key' => '20:134','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '277','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2483','chapter_id' => '20','arabic_name' => 'قُلْ كُلٌّ مُّتَرَبِّصٌ فَتَرَبَّصُوا۟ ۖ فَسَتَعْلَمُونَ مَنْ أَصْحَـٰبُ ٱلصِّرَٰطِ ٱلسَّوِىِّ وَمَنِ ٱهْتَدَىٰ','verse_number' => '135','verse_key' => '20:135','hizb_number' => '32','rub_el_hizb_number' => '128','ruku_number' => '277','manzil_number' => '4','sajdah_number' => '0','page_number' => '321','juz_number' => '16','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2484','chapter_id' => '21','arabic_name' => 'ٱقْتَرَبَ لِلنَّاسِ حِسَابُهُمْ وَهُمْ فِى غَفْلَةٍ مُّعْرِضُونَ','verse_number' => '1','verse_key' => '21:1','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2485','chapter_id' => '21','arabic_name' => 'مَا يَأْتِيهِم مِّن ذِكْرٍ مِّن رَّبِّهِم مُّحْدَثٍ إِلَّا ٱسْتَمَعُوهُ وَهُمْ يَلْعَبُونَ','verse_number' => '2','verse_key' => '21:2','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2486','chapter_id' => '21','arabic_name' => 'لَاهِيَةً قُلُوبُهُمْ ۗ وَأَسَرُّوا۟ ٱلنَّجْوَى ٱلَّذِينَ ظَلَمُوا۟ هَلْ هَـٰذَآ إِلَّا بَشَرٌ مِّثْلُكُمْ ۖ أَفَتَأْتُونَ ٱلسِّحْرَ وَأَنتُمْ تُبْصِرُونَ','verse_number' => '3','verse_key' => '21:3','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2487','chapter_id' => '21','arabic_name' => 'قَالَ رَبِّى يَعْلَمُ ٱلْقَوْلَ فِى ٱلسَّمَآءِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '4','verse_key' => '21:4','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2488','chapter_id' => '21','arabic_name' => 'بَلْ قَالُوٓا۟ أَضْغَـٰثُ أَحْلَـٰمٍۭ بَلِ ٱفْتَرَىٰهُ بَلْ هُوَ شَاعِرٌ فَلْيَأْتِنَا بِـَٔايَةٍ كَمَآ أُرْسِلَ ٱلْأَوَّلُونَ','verse_number' => '5','verse_key' => '21:5','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2489','chapter_id' => '21','arabic_name' => 'مَآ ءَامَنَتْ قَبْلَهُم مِّن قَرْيَةٍ أَهْلَكْنَـٰهَآ ۖ أَفَهُمْ يُؤْمِنُونَ','verse_number' => '6','verse_key' => '21:6','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2490','chapter_id' => '21','arabic_name' => 'وَمَآ أَرْسَلْنَا قَبْلَكَ إِلَّا رِجَالًا نُّوحِىٓ إِلَيْهِمْ ۖ فَسْـَٔلُوٓا۟ أَهْلَ ٱلذِّكْرِ إِن كُنتُمْ لَا تَعْلَمُونَ','verse_number' => '7','verse_key' => '21:7','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2491','chapter_id' => '21','arabic_name' => 'وَمَا جَعَلْنَـٰهُمْ جَسَدًا لَّا يَأْكُلُونَ ٱلطَّعَامَ وَمَا كَانُوا۟ خَـٰلِدِينَ','verse_number' => '8','verse_key' => '21:8','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2492','chapter_id' => '21','arabic_name' => 'ثُمَّ صَدَقْنَـٰهُمُ ٱلْوَعْدَ فَأَنجَيْنَـٰهُمْ وَمَن نَّشَآءُ وَأَهْلَكْنَا ٱلْمُسْرِفِينَ','verse_number' => '9','verse_key' => '21:9','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2493','chapter_id' => '21','arabic_name' => 'لَقَدْ أَنزَلْنَآ إِلَيْكُمْ كِتَـٰبًا فِيهِ ذِكْرُكُمْ ۖ أَفَلَا تَعْقِلُونَ','verse_number' => '10','verse_key' => '21:10','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '278','manzil_number' => '4','sajdah_number' => '0','page_number' => '322','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2494','chapter_id' => '21','arabic_name' => 'وَكَمْ قَصَمْنَا مِن قَرْيَةٍ كَانَتْ ظَالِمَةً وَأَنشَأْنَا بَعْدَهَا قَوْمًا ءَاخَرِينَ','verse_number' => '11','verse_key' => '21:11','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2495','chapter_id' => '21','arabic_name' => 'فَلَمَّآ أَحَسُّوا۟ بَأْسَنَآ إِذَا هُم مِّنْهَا يَرْكُضُونَ','verse_number' => '12','verse_key' => '21:12','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2496','chapter_id' => '21','arabic_name' => 'لَا تَرْكُضُوا۟ وَٱرْجِعُوٓا۟ إِلَىٰ مَآ أُتْرِفْتُمْ فِيهِ وَمَسَـٰكِنِكُمْ لَعَلَّكُمْ تُسْـَٔلُونَ','verse_number' => '13','verse_key' => '21:13','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2497','chapter_id' => '21','arabic_name' => 'قَالُوا۟ يَـٰوَيْلَنَآ إِنَّا كُنَّا ظَـٰلِمِينَ','verse_number' => '14','verse_key' => '21:14','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2498','chapter_id' => '21','arabic_name' => 'فَمَا زَالَت تِّلْكَ دَعْوَىٰهُمْ حَتَّىٰ جَعَلْنَـٰهُمْ حَصِيدًا خَـٰمِدِينَ','verse_number' => '15','verse_key' => '21:15','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2499','chapter_id' => '21','arabic_name' => 'وَمَا خَلَقْنَا ٱلسَّمَآءَ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا لَـٰعِبِينَ','verse_number' => '16','verse_key' => '21:16','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2500','chapter_id' => '21','arabic_name' => 'لَوْ أَرَدْنَآ أَن نَّتَّخِذَ لَهْوًا لَّٱتَّخَذْنَـٰهُ مِن لَّدُنَّآ إِن كُنَّا فَـٰعِلِينَ','verse_number' => '17','verse_key' => '21:17','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2501','chapter_id' => '21','arabic_name' => 'بَلْ نَقْذِفُ بِٱلْحَقِّ عَلَى ٱلْبَـٰطِلِ فَيَدْمَغُهُۥ فَإِذَا هُوَ زَاهِقٌ ۚ وَلَكُمُ ٱلْوَيْلُ مِمَّا تَصِفُونَ','verse_number' => '18','verse_key' => '21:18','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2502','chapter_id' => '21','arabic_name' => 'وَلَهُۥ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَمَنْ عِندَهُۥ لَا يَسْتَكْبِرُونَ عَنْ عِبَادَتِهِۦ وَلَا يَسْتَحْسِرُونَ','verse_number' => '19','verse_key' => '21:19','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2503','chapter_id' => '21','arabic_name' => 'يُسَبِّحُونَ ٱلَّيْلَ وَٱلنَّهَارَ لَا يَفْتُرُونَ','verse_number' => '20','verse_key' => '21:20','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2504','chapter_id' => '21','arabic_name' => 'أَمِ ٱتَّخَذُوٓا۟ ءَالِهَةً مِّنَ ٱلْأَرْضِ هُمْ يُنشِرُونَ','verse_number' => '21','verse_key' => '21:21','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2505','chapter_id' => '21','arabic_name' => 'لَوْ كَانَ فِيهِمَآ ءَالِهَةٌ إِلَّا ٱللَّهُ لَفَسَدَتَا ۚ فَسُبْحَـٰنَ ٱللَّهِ رَبِّ ٱلْعَرْشِ عَمَّا يَصِفُونَ','verse_number' => '22','verse_key' => '21:22','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2506','chapter_id' => '21','arabic_name' => 'لَا يُسْـَٔلُ عَمَّا يَفْعَلُ وَهُمْ يُسْـَٔلُونَ','verse_number' => '23','verse_key' => '21:23','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2507','chapter_id' => '21','arabic_name' => 'أَمِ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ ءَالِهَةً ۖ قُلْ هَاتُوا۟ بُرْهَـٰنَكُمْ ۖ هَـٰذَا ذِكْرُ مَن مَّعِىَ وَذِكْرُ مَن قَبْلِى ۗ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ ٱلْحَقَّ ۖ فَهُم مُّعْرِضُونَ','verse_number' => '24','verse_key' => '21:24','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '323','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2508','chapter_id' => '21','arabic_name' => 'وَمَآ أَرْسَلْنَا مِن قَبْلِكَ مِن رَّسُولٍ إِلَّا نُوحِىٓ إِلَيْهِ أَنَّهُۥ لَآ إِلَـٰهَ إِلَّآ أَنَا۠ فَٱعْبُدُونِ','verse_number' => '25','verse_key' => '21:25','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2509','chapter_id' => '21','arabic_name' => 'وَقَالُوا۟ ٱتَّخَذَ ٱلرَّحْمَـٰنُ وَلَدًا ۗ سُبْحَـٰنَهُۥ ۚ بَلْ عِبَادٌ مُّكْرَمُونَ','verse_number' => '26','verse_key' => '21:26','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2510','chapter_id' => '21','arabic_name' => 'لَا يَسْبِقُونَهُۥ بِٱلْقَوْلِ وَهُم بِأَمْرِهِۦ يَعْمَلُونَ','verse_number' => '27','verse_key' => '21:27','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2511','chapter_id' => '21','arabic_name' => 'يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ وَلَا يَشْفَعُونَ إِلَّا لِمَنِ ٱرْتَضَىٰ وَهُم مِّنْ خَشْيَتِهِۦ مُشْفِقُونَ','verse_number' => '28','verse_key' => '21:28','hizb_number' => '33','rub_el_hizb_number' => '129','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2512','chapter_id' => '21','arabic_name' => '۞ وَمَن يَقُلْ مِنْهُمْ إِنِّىٓ إِلَـٰهٌ مِّن دُونِهِۦ فَذَٰلِكَ نَجْزِيهِ جَهَنَّمَ ۚ كَذَٰلِكَ نَجْزِى ٱلظَّـٰلِمِينَ','verse_number' => '29','verse_key' => '21:29','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '279','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2513','chapter_id' => '21','arabic_name' => 'أَوَلَمْ يَرَ ٱلَّذِينَ كَفَرُوٓا۟ أَنَّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ كَانَتَا رَتْقًا فَفَتَقْنَـٰهُمَا ۖ وَجَعَلْنَا مِنَ ٱلْمَآءِ كُلَّ شَىْءٍ حَىٍّ ۖ أَفَلَا يُؤْمِنُونَ','verse_number' => '30','verse_key' => '21:30','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2514','chapter_id' => '21','arabic_name' => 'وَجَعَلْنَا فِى ٱلْأَرْضِ رَوَٰسِىَ أَن تَمِيدَ بِهِمْ وَجَعَلْنَا فِيهَا فِجَاجًا سُبُلًا لَّعَلَّهُمْ يَهْتَدُونَ','verse_number' => '31','verse_key' => '21:31','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2515','chapter_id' => '21','arabic_name' => 'وَجَعَلْنَا ٱلسَّمَآءَ سَقْفًا مَّحْفُوظًا ۖ وَهُمْ عَنْ ءَايَـٰتِهَا مُعْرِضُونَ','verse_number' => '32','verse_key' => '21:32','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2516','chapter_id' => '21','arabic_name' => 'وَهُوَ ٱلَّذِى خَلَقَ ٱلَّيْلَ وَٱلنَّهَارَ وَٱلشَّمْسَ وَٱلْقَمَرَ ۖ كُلٌّ فِى فَلَكٍ يَسْبَحُونَ','verse_number' => '33','verse_key' => '21:33','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2517','chapter_id' => '21','arabic_name' => 'وَمَا جَعَلْنَا لِبَشَرٍ مِّن قَبْلِكَ ٱلْخُلْدَ ۖ أَفَإِي۟ن مِّتَّ فَهُمُ ٱلْخَـٰلِدُونَ','verse_number' => '34','verse_key' => '21:34','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2518','chapter_id' => '21','arabic_name' => 'كُلُّ نَفْسٍ ذَآئِقَةُ ٱلْمَوْتِ ۗ وَنَبْلُوكُم بِٱلشَّرِّ وَٱلْخَيْرِ فِتْنَةً ۖ وَإِلَيْنَا تُرْجَعُونَ','verse_number' => '35','verse_key' => '21:35','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '324','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2519','chapter_id' => '21','arabic_name' => 'وَإِذَا رَءَاكَ ٱلَّذِينَ كَفَرُوٓا۟ إِن يَتَّخِذُونَكَ إِلَّا هُزُوًا أَهَـٰذَا ٱلَّذِى يَذْكُرُ ءَالِهَتَكُمْ وَهُم بِذِكْرِ ٱلرَّحْمَـٰنِ هُمْ كَـٰفِرُونَ','verse_number' => '36','verse_key' => '21:36','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2520','chapter_id' => '21','arabic_name' => 'خُلِقَ ٱلْإِنسَـٰنُ مِنْ عَجَلٍ ۚ سَأُو۟رِيكُمْ ءَايَـٰتِى فَلَا تَسْتَعْجِلُونِ','verse_number' => '37','verse_key' => '21:37','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2521','chapter_id' => '21','arabic_name' => 'وَيَقُولُونَ مَتَىٰ هَـٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '38','verse_key' => '21:38','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2522','chapter_id' => '21','arabic_name' => 'لَوْ يَعْلَمُ ٱلَّذِينَ كَفَرُوا۟ حِينَ لَا يَكُفُّونَ عَن وُجُوهِهِمُ ٱلنَّارَ وَلَا عَن ظُهُورِهِمْ وَلَا هُمْ يُنصَرُونَ','verse_number' => '39','verse_key' => '21:39','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2523','chapter_id' => '21','arabic_name' => 'بَلْ تَأْتِيهِم بَغْتَةً فَتَبْهَتُهُمْ فَلَا يَسْتَطِيعُونَ رَدَّهَا وَلَا هُمْ يُنظَرُونَ','verse_number' => '40','verse_key' => '21:40','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2524','chapter_id' => '21','arabic_name' => 'وَلَقَدِ ٱسْتُهْزِئَ بِرُسُلٍ مِّن قَبْلِكَ فَحَاقَ بِٱلَّذِينَ سَخِرُوا۟ مِنْهُم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '41','verse_key' => '21:41','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '280','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2525','chapter_id' => '21','arabic_name' => 'قُلْ مَن يَكْلَؤُكُم بِٱلَّيْلِ وَٱلنَّهَارِ مِنَ ٱلرَّحْمَـٰنِ ۗ بَلْ هُمْ عَن ذِكْرِ رَبِّهِم مُّعْرِضُونَ','verse_number' => '42','verse_key' => '21:42','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2526','chapter_id' => '21','arabic_name' => 'أَمْ لَهُمْ ءَالِهَةٌ تَمْنَعُهُم مِّن دُونِنَا ۚ لَا يَسْتَطِيعُونَ نَصْرَ أَنفُسِهِمْ وَلَا هُم مِّنَّا يُصْحَبُونَ','verse_number' => '43','verse_key' => '21:43','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2527','chapter_id' => '21','arabic_name' => 'بَلْ مَتَّعْنَا هَـٰٓؤُلَآءِ وَءَابَآءَهُمْ حَتَّىٰ طَالَ عَلَيْهِمُ ٱلْعُمُرُ ۗ أَفَلَا يَرَوْنَ أَنَّا نَأْتِى ٱلْأَرْضَ نَنقُصُهَا مِنْ أَطْرَافِهَآ ۚ أَفَهُمُ ٱلْغَـٰلِبُونَ','verse_number' => '44','verse_key' => '21:44','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '325','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2528','chapter_id' => '21','arabic_name' => 'قُلْ إِنَّمَآ أُنذِرُكُم بِٱلْوَحْىِ ۚ وَلَا يَسْمَعُ ٱلصُّمُّ ٱلدُّعَآءَ إِذَا مَا يُنذَرُونَ','verse_number' => '45','verse_key' => '21:45','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2529','chapter_id' => '21','arabic_name' => 'وَلَئِن مَّسَّتْهُمْ نَفْحَةٌ مِّنْ عَذَابِ رَبِّكَ لَيَقُولُنَّ يَـٰوَيْلَنَآ إِنَّا كُنَّا ظَـٰلِمِينَ','verse_number' => '46','verse_key' => '21:46','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2530','chapter_id' => '21','arabic_name' => 'وَنَضَعُ ٱلْمَوَٰزِينَ ٱلْقِسْطَ لِيَوْمِ ٱلْقِيَـٰمَةِ فَلَا تُظْلَمُ نَفْسٌ شَيْـًٔا ۖ وَإِن كَانَ مِثْقَالَ حَبَّةٍ مِّنْ خَرْدَلٍ أَتَيْنَا بِهَا ۗ وَكَفَىٰ بِنَا حَـٰسِبِينَ','verse_number' => '47','verse_key' => '21:47','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2531','chapter_id' => '21','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَىٰ وَهَـٰرُونَ ٱلْفُرْقَانَ وَضِيَآءً وَذِكْرًا لِّلْمُتَّقِينَ','verse_number' => '48','verse_key' => '21:48','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2532','chapter_id' => '21','arabic_name' => 'ٱلَّذِينَ يَخْشَوْنَ رَبَّهُم بِٱلْغَيْبِ وَهُم مِّنَ ٱلسَّاعَةِ مُشْفِقُونَ','verse_number' => '49','verse_key' => '21:49','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2533','chapter_id' => '21','arabic_name' => 'وَهَـٰذَا ذِكْرٌ مُّبَارَكٌ أَنزَلْنَـٰهُ ۚ أَفَأَنتُمْ لَهُۥ مُنكِرُونَ','verse_number' => '50','verse_key' => '21:50','hizb_number' => '33','rub_el_hizb_number' => '130','ruku_number' => '281','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2534','chapter_id' => '21','arabic_name' => '۞ وَلَقَدْ ءَاتَيْنَآ إِبْرَٰهِيمَ رُشْدَهُۥ مِن قَبْلُ وَكُنَّا بِهِۦ عَـٰلِمِينَ','verse_number' => '51','verse_key' => '21:51','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2535','chapter_id' => '21','arabic_name' => 'إِذْ قَالَ لِأَبِيهِ وَقَوْمِهِۦ مَا هَـٰذِهِ ٱلتَّمَاثِيلُ ٱلَّتِىٓ أَنتُمْ لَهَا عَـٰكِفُونَ','verse_number' => '52','verse_key' => '21:52','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2536','chapter_id' => '21','arabic_name' => 'قَالُوا۟ وَجَدْنَآ ءَابَآءَنَا لَهَا عَـٰبِدِينَ','verse_number' => '53','verse_key' => '21:53','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2537','chapter_id' => '21','arabic_name' => 'قَالَ لَقَدْ كُنتُمْ أَنتُمْ وَءَابَآؤُكُمْ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '54','verse_key' => '21:54','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2538','chapter_id' => '21','arabic_name' => 'قَالُوٓا۟ أَجِئْتَنَا بِٱلْحَقِّ أَمْ أَنتَ مِنَ ٱللَّـٰعِبِينَ','verse_number' => '55','verse_key' => '21:55','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2539','chapter_id' => '21','arabic_name' => 'قَالَ بَل رَّبُّكُمْ رَبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ٱلَّذِى فَطَرَهُنَّ وَأَنَا۠ عَلَىٰ ذَٰلِكُم مِّنَ ٱلشَّـٰهِدِينَ','verse_number' => '56','verse_key' => '21:56','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2540','chapter_id' => '21','arabic_name' => 'وَتَٱللَّهِ لَأَكِيدَنَّ أَصْنَـٰمَكُم بَعْدَ أَن تُوَلُّوا۟ مُدْبِرِينَ','verse_number' => '57','verse_key' => '21:57','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '326','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2541','chapter_id' => '21','arabic_name' => 'فَجَعَلَهُمْ جُذَٰذًا إِلَّا كَبِيرًا لَّهُمْ لَعَلَّهُمْ إِلَيْهِ يَرْجِعُونَ','verse_number' => '58','verse_key' => '21:58','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2542','chapter_id' => '21','arabic_name' => 'قَالُوا۟ مَن فَعَلَ هَـٰذَا بِـَٔالِهَتِنَآ إِنَّهُۥ لَمِنَ ٱلظَّـٰلِمِينَ','verse_number' => '59','verse_key' => '21:59','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2543','chapter_id' => '21','arabic_name' => 'قَالُوا۟ سَمِعْنَا فَتًى يَذْكُرُهُمْ يُقَالُ لَهُۥٓ إِبْرَٰهِيمُ','verse_number' => '60','verse_key' => '21:60','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2544','chapter_id' => '21','arabic_name' => 'قَالُوا۟ فَأْتُوا۟ بِهِۦ عَلَىٰٓ أَعْيُنِ ٱلنَّاسِ لَعَلَّهُمْ يَشْهَدُونَ','verse_number' => '61','verse_key' => '21:61','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2545','chapter_id' => '21','arabic_name' => 'قَالُوٓا۟ ءَأَنتَ فَعَلْتَ هَـٰذَا بِـَٔالِهَتِنَا يَـٰٓإِبْرَٰهِيمُ','verse_number' => '62','verse_key' => '21:62','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2546','chapter_id' => '21','arabic_name' => 'قَالَ بَلْ فَعَلَهُۥ كَبِيرُهُمْ هَـٰذَا فَسْـَٔلُوهُمْ إِن كَانُوا۟ يَنطِقُونَ','verse_number' => '63','verse_key' => '21:63','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2547','chapter_id' => '21','arabic_name' => 'فَرَجَعُوٓا۟ إِلَىٰٓ أَنفُسِهِمْ فَقَالُوٓا۟ إِنَّكُمْ أَنتُمُ ٱلظَّـٰلِمُونَ','verse_number' => '64','verse_key' => '21:64','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2548','chapter_id' => '21','arabic_name' => 'ثُمَّ نُكِسُوا۟ عَلَىٰ رُءُوسِهِمْ لَقَدْ عَلِمْتَ مَا هَـٰٓؤُلَآءِ يَنطِقُونَ','verse_number' => '65','verse_key' => '21:65','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2549','chapter_id' => '21','arabic_name' => 'قَالَ أَفَتَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُكُمْ شَيْـًٔا وَلَا يَضُرُّكُمْ','verse_number' => '66','verse_key' => '21:66','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2550','chapter_id' => '21','arabic_name' => 'أُفٍّ لَّكُمْ وَلِمَا تَعْبُدُونَ مِن دُونِ ٱللَّهِ ۖ أَفَلَا تَعْقِلُونَ','verse_number' => '67','verse_key' => '21:67','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2551','chapter_id' => '21','arabic_name' => 'قَالُوا۟ حَرِّقُوهُ وَٱنصُرُوٓا۟ ءَالِهَتَكُمْ إِن كُنتُمْ فَـٰعِلِينَ','verse_number' => '68','verse_key' => '21:68','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2552','chapter_id' => '21','arabic_name' => 'قُلْنَا يَـٰنَارُ كُونِى بَرْدًا وَسَلَـٰمًا عَلَىٰٓ إِبْرَٰهِيمَ','verse_number' => '69','verse_key' => '21:69','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2553','chapter_id' => '21','arabic_name' => 'وَأَرَادُوا۟ بِهِۦ كَيْدًا فَجَعَلْنَـٰهُمُ ٱلْأَخْسَرِينَ','verse_number' => '70','verse_key' => '21:70','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2554','chapter_id' => '21','arabic_name' => 'وَنَجَّيْنَـٰهُ وَلُوطًا إِلَى ٱلْأَرْضِ ٱلَّتِى بَـٰرَكْنَا فِيهَا لِلْعَـٰلَمِينَ','verse_number' => '71','verse_key' => '21:71','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2555','chapter_id' => '21','arabic_name' => 'وَوَهَبْنَا لَهُۥٓ إِسْحَـٰقَ وَيَعْقُوبَ نَافِلَةً ۖ وَكُلًّا جَعَلْنَا صَـٰلِحِينَ','verse_number' => '72','verse_key' => '21:72','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '327','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2556','chapter_id' => '21','arabic_name' => 'وَجَعَلْنَـٰهُمْ أَئِمَّةً يَهْدُونَ بِأَمْرِنَا وَأَوْحَيْنَآ إِلَيْهِمْ فِعْلَ ٱلْخَيْرَٰتِ وَإِقَامَ ٱلصَّلَوٰةِ وَإِيتَآءَ ٱلزَّكَوٰةِ ۖ وَكَانُوا۟ لَنَا عَـٰبِدِينَ','verse_number' => '73','verse_key' => '21:73','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2557','chapter_id' => '21','arabic_name' => 'وَلُوطًا ءَاتَيْنَـٰهُ حُكْمًا وَعِلْمًا وَنَجَّيْنَـٰهُ مِنَ ٱلْقَرْيَةِ ٱلَّتِى كَانَت تَّعْمَلُ ٱلْخَبَـٰٓئِثَ ۗ إِنَّهُمْ كَانُوا۟ قَوْمَ سَوْءٍ فَـٰسِقِينَ','verse_number' => '74','verse_key' => '21:74','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2558','chapter_id' => '21','arabic_name' => 'وَأَدْخَلْنَـٰهُ فِى رَحْمَتِنَآ ۖ إِنَّهُۥ مِنَ ٱلصَّـٰلِحِينَ','verse_number' => '75','verse_key' => '21:75','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '282','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2559','chapter_id' => '21','arabic_name' => 'وَنُوحًا إِذْ نَادَىٰ مِن قَبْلُ فَٱسْتَجَبْنَا لَهُۥ فَنَجَّيْنَـٰهُ وَأَهْلَهُۥ مِنَ ٱلْكَرْبِ ٱلْعَظِيمِ','verse_number' => '76','verse_key' => '21:76','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2560','chapter_id' => '21','arabic_name' => 'وَنَصَرْنَـٰهُ مِنَ ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَآ ۚ إِنَّهُمْ كَانُوا۟ قَوْمَ سَوْءٍ فَأَغْرَقْنَـٰهُمْ أَجْمَعِينَ','verse_number' => '77','verse_key' => '21:77','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2561','chapter_id' => '21','arabic_name' => 'وَدَاوُۥدَ وَسُلَيْمَـٰنَ إِذْ يَحْكُمَانِ فِى ٱلْحَرْثِ إِذْ نَفَشَتْ فِيهِ غَنَمُ ٱلْقَوْمِ وَكُنَّا لِحُكْمِهِمْ شَـٰهِدِينَ','verse_number' => '78','verse_key' => '21:78','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2562','chapter_id' => '21','arabic_name' => 'فَفَهَّمْنَـٰهَا سُلَيْمَـٰنَ ۚ وَكُلًّا ءَاتَيْنَا حُكْمًا وَعِلْمًا ۚ وَسَخَّرْنَا مَعَ دَاوُۥدَ ٱلْجِبَالَ يُسَبِّحْنَ وَٱلطَّيْرَ ۚ وَكُنَّا فَـٰعِلِينَ','verse_number' => '79','verse_key' => '21:79','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2563','chapter_id' => '21','arabic_name' => 'وَعَلَّمْنَـٰهُ صَنْعَةَ لَبُوسٍ لَّكُمْ لِتُحْصِنَكُم مِّنۢ بَأْسِكُمْ ۖ فَهَلْ أَنتُمْ شَـٰكِرُونَ','verse_number' => '80','verse_key' => '21:80','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2564','chapter_id' => '21','arabic_name' => 'وَلِسُلَيْمَـٰنَ ٱلرِّيحَ عَاصِفَةً تَجْرِى بِأَمْرِهِۦٓ إِلَى ٱلْأَرْضِ ٱلَّتِى بَـٰرَكْنَا فِيهَا ۚ وَكُنَّا بِكُلِّ شَىْءٍ عَـٰلِمِينَ','verse_number' => '81','verse_key' => '21:81','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '328','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2565','chapter_id' => '21','arabic_name' => 'وَمِنَ ٱلشَّيَـٰطِينِ مَن يَغُوصُونَ لَهُۥ وَيَعْمَلُونَ عَمَلًا دُونَ ذَٰلِكَ ۖ وَكُنَّا لَهُمْ حَـٰفِظِينَ','verse_number' => '82','verse_key' => '21:82','hizb_number' => '33','rub_el_hizb_number' => '131','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2566','chapter_id' => '21','arabic_name' => '۞ وَأَيُّوبَ إِذْ نَادَىٰ رَبَّهُۥٓ أَنِّى مَسَّنِىَ ٱلضُّرُّ وَأَنتَ أَرْحَمُ ٱلرَّٰحِمِينَ','verse_number' => '83','verse_key' => '21:83','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2567','chapter_id' => '21','arabic_name' => 'فَٱسْتَجَبْنَا لَهُۥ فَكَشَفْنَا مَا بِهِۦ مِن ضُرٍّ ۖ وَءَاتَيْنَـٰهُ أَهْلَهُۥ وَمِثْلَهُم مَّعَهُمْ رَحْمَةً مِّنْ عِندِنَا وَذِكْرَىٰ لِلْعَـٰبِدِينَ','verse_number' => '84','verse_key' => '21:84','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2568','chapter_id' => '21','arabic_name' => 'وَإِسْمَـٰعِيلَ وَإِدْرِيسَ وَذَا ٱلْكِفْلِ ۖ كُلٌّ مِّنَ ٱلصَّـٰبِرِينَ','verse_number' => '85','verse_key' => '21:85','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2569','chapter_id' => '21','arabic_name' => 'وَأَدْخَلْنَـٰهُمْ فِى رَحْمَتِنَآ ۖ إِنَّهُم مِّنَ ٱلصَّـٰلِحِينَ','verse_number' => '86','verse_key' => '21:86','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2570','chapter_id' => '21','arabic_name' => 'وَذَا ٱلنُّونِ إِذ ذَّهَبَ مُغَـٰضِبًا فَظَنَّ أَن لَّن نَّقْدِرَ عَلَيْهِ فَنَادَىٰ فِى ٱلظُّلُمَـٰتِ أَن لَّآ إِلَـٰهَ إِلَّآ أَنتَ سُبْحَـٰنَكَ إِنِّى كُنتُ مِنَ ٱلظَّـٰلِمِينَ','verse_number' => '87','verse_key' => '21:87','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2571','chapter_id' => '21','arabic_name' => 'فَٱسْتَجَبْنَا لَهُۥ وَنَجَّيْنَـٰهُ مِنَ ٱلْغَمِّ ۚ وَكَذَٰلِكَ نُـۨجِى ٱلْمُؤْمِنِينَ','verse_number' => '88','verse_key' => '21:88','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2572','chapter_id' => '21','arabic_name' => 'وَزَكَرِيَّآ إِذْ نَادَىٰ رَبَّهُۥ رَبِّ لَا تَذَرْنِى فَرْدًا وَأَنتَ خَيْرُ ٱلْوَٰرِثِينَ','verse_number' => '89','verse_key' => '21:89','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2573','chapter_id' => '21','arabic_name' => 'فَٱسْتَجَبْنَا لَهُۥ وَوَهَبْنَا لَهُۥ يَحْيَىٰ وَأَصْلَحْنَا لَهُۥ زَوْجَهُۥٓ ۚ إِنَّهُمْ كَانُوا۟ يُسَـٰرِعُونَ فِى ٱلْخَيْرَٰتِ وَيَدْعُونَنَا رَغَبًا وَرَهَبًا ۖ وَكَانُوا۟ لَنَا خَـٰشِعِينَ','verse_number' => '90','verse_key' => '21:90','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '329','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2574','chapter_id' => '21','arabic_name' => 'وَٱلَّتِىٓ أَحْصَنَتْ فَرْجَهَا فَنَفَخْنَا فِيهَا مِن رُّوحِنَا وَجَعَلْنَـٰهَا وَٱبْنَهَآ ءَايَةً لِّلْعَـٰلَمِينَ','verse_number' => '91','verse_key' => '21:91','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2575','chapter_id' => '21','arabic_name' => 'إِنَّ هَـٰذِهِۦٓ أُمَّتُكُمْ أُمَّةً وَٰحِدَةً وَأَنَا۠ رَبُّكُمْ فَٱعْبُدُونِ','verse_number' => '92','verse_key' => '21:92','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2576','chapter_id' => '21','arabic_name' => 'وَتَقَطَّعُوٓا۟ أَمْرَهُم بَيْنَهُمْ ۖ كُلٌّ إِلَيْنَا رَٰجِعُونَ','verse_number' => '93','verse_key' => '21:93','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '283','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2577','chapter_id' => '21','arabic_name' => 'فَمَن يَعْمَلْ مِنَ ٱلصَّـٰلِحَـٰتِ وَهُوَ مُؤْمِنٌ فَلَا كُفْرَانَ لِسَعْيِهِۦ وَإِنَّا لَهُۥ كَـٰتِبُونَ','verse_number' => '94','verse_key' => '21:94','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2578','chapter_id' => '21','arabic_name' => 'وَحَرَٰمٌ عَلَىٰ قَرْيَةٍ أَهْلَكْنَـٰهَآ أَنَّهُمْ لَا يَرْجِعُونَ','verse_number' => '95','verse_key' => '21:95','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2579','chapter_id' => '21','arabic_name' => 'حَتَّىٰٓ إِذَا فُتِحَتْ يَأْجُوجُ وَمَأْجُوجُ وَهُم مِّن كُلِّ حَدَبٍ يَنسِلُونَ','verse_number' => '96','verse_key' => '21:96','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2580','chapter_id' => '21','arabic_name' => 'وَٱقْتَرَبَ ٱلْوَعْدُ ٱلْحَقُّ فَإِذَا هِىَ شَـٰخِصَةٌ أَبْصَـٰرُ ٱلَّذِينَ كَفَرُوا۟ يَـٰوَيْلَنَا قَدْ كُنَّا فِى غَفْلَةٍ مِّنْ هَـٰذَا بَلْ كُنَّا ظَـٰلِمِينَ','verse_number' => '97','verse_key' => '21:97','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2581','chapter_id' => '21','arabic_name' => 'إِنَّكُمْ وَمَا تَعْبُدُونَ مِن دُونِ ٱللَّهِ حَصَبُ جَهَنَّمَ أَنتُمْ لَهَا وَٰرِدُونَ','verse_number' => '98','verse_key' => '21:98','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2582','chapter_id' => '21','arabic_name' => 'لَوْ كَانَ هَـٰٓؤُلَآءِ ءَالِهَةً مَّا وَرَدُوهَا ۖ وَكُلٌّ فِيهَا خَـٰلِدُونَ','verse_number' => '99','verse_key' => '21:99','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2583','chapter_id' => '21','arabic_name' => 'لَهُمْ فِيهَا زَفِيرٌ وَهُمْ فِيهَا لَا يَسْمَعُونَ','verse_number' => '100','verse_key' => '21:100','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2584','chapter_id' => '21','arabic_name' => 'إِنَّ ٱلَّذِينَ سَبَقَتْ لَهُم مِّنَّا ٱلْحُسْنَىٰٓ أُو۟لَـٰٓئِكَ عَنْهَا مُبْعَدُونَ','verse_number' => '101','verse_key' => '21:101','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '330','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2585','chapter_id' => '21','arabic_name' => 'لَا يَسْمَعُونَ حَسِيسَهَا ۖ وَهُمْ فِى مَا ٱشْتَهَتْ أَنفُسُهُمْ خَـٰلِدُونَ','verse_number' => '102','verse_key' => '21:102','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2586','chapter_id' => '21','arabic_name' => 'لَا يَحْزُنُهُمُ ٱلْفَزَعُ ٱلْأَكْبَرُ وَتَتَلَقَّىٰهُمُ ٱلْمَلَـٰٓئِكَةُ هَـٰذَا يَوْمُكُمُ ٱلَّذِى كُنتُمْ تُوعَدُونَ','verse_number' => '103','verse_key' => '21:103','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2587','chapter_id' => '21','arabic_name' => 'يَوْمَ نَطْوِى ٱلسَّمَآءَ كَطَىِّ ٱلسِّجِلِّ لِلْكُتُبِ ۚ كَمَا بَدَأْنَآ أَوَّلَ خَلْقٍ نُّعِيدُهُۥ ۚ وَعْدًا عَلَيْنَآ ۚ إِنَّا كُنَّا فَـٰعِلِينَ','verse_number' => '104','verse_key' => '21:104','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2588','chapter_id' => '21','arabic_name' => 'وَلَقَدْ كَتَبْنَا فِى ٱلزَّبُورِ مِنۢ بَعْدِ ٱلذِّكْرِ أَنَّ ٱلْأَرْضَ يَرِثُهَا عِبَادِىَ ٱلصَّـٰلِحُونَ','verse_number' => '105','verse_key' => '21:105','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2589','chapter_id' => '21','arabic_name' => 'إِنَّ فِى هَـٰذَا لَبَلَـٰغًا لِّقَوْمٍ عَـٰبِدِينَ','verse_number' => '106','verse_key' => '21:106','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2590','chapter_id' => '21','arabic_name' => 'وَمَآ أَرْسَلْنَـٰكَ إِلَّا رَحْمَةً لِّلْعَـٰلَمِينَ','verse_number' => '107','verse_key' => '21:107','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2591','chapter_id' => '21','arabic_name' => 'قُلْ إِنَّمَا يُوحَىٰٓ إِلَىَّ أَنَّمَآ إِلَـٰهُكُمْ إِلَـٰهٌ وَٰحِدٌ ۖ فَهَلْ أَنتُم مُّسْلِمُونَ','verse_number' => '108','verse_key' => '21:108','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2592','chapter_id' => '21','arabic_name' => 'فَإِن تَوَلَّوْا۟ فَقُلْ ءَاذَنتُكُمْ عَلَىٰ سَوَآءٍ ۖ وَإِنْ أَدْرِىٓ أَقَرِيبٌ أَم بَعِيدٌ مَّا تُوعَدُونَ','verse_number' => '109','verse_key' => '21:109','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2593','chapter_id' => '21','arabic_name' => 'إِنَّهُۥ يَعْلَمُ ٱلْجَهْرَ مِنَ ٱلْقَوْلِ وَيَعْلَمُ مَا تَكْتُمُونَ','verse_number' => '110','verse_key' => '21:110','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2594','chapter_id' => '21','arabic_name' => 'وَإِنْ أَدْرِى لَعَلَّهُۥ فِتْنَةٌ لَّكُمْ وَمَتَـٰعٌ إِلَىٰ حِينٍ','verse_number' => '111','verse_key' => '21:111','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2595','chapter_id' => '21','arabic_name' => 'قَـٰلَ رَبِّ ٱحْكُم بِٱلْحَقِّ ۗ وَرَبُّنَا ٱلرَّحْمَـٰنُ ٱلْمُسْتَعَانُ عَلَىٰ مَا تَصِفُونَ','verse_number' => '112','verse_key' => '21:112','hizb_number' => '33','rub_el_hizb_number' => '132','ruku_number' => '284','manzil_number' => '4','sajdah_number' => '0','page_number' => '331','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2596','chapter_id' => '22','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ ٱتَّقُوا۟ رَبَّكُمْ ۚ إِنَّ زَلْزَلَةَ ٱلسَّاعَةِ شَىْءٌ عَظِيمٌ','verse_number' => '1','verse_key' => '22:1','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '332','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2597','chapter_id' => '22','arabic_name' => 'يَوْمَ تَرَوْنَهَا تَذْهَلُ كُلُّ مُرْضِعَةٍ عَمَّآ أَرْضَعَتْ وَتَضَعُ كُلُّ ذَاتِ حَمْلٍ حَمْلَهَا وَتَرَى ٱلنَّاسَ سُكَـٰرَىٰ وَمَا هُم بِسُكَـٰرَىٰ وَلَـٰكِنَّ عَذَابَ ٱللَّهِ شَدِيدٌ','verse_number' => '2','verse_key' => '22:2','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '332','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2598','chapter_id' => '22','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يُجَـٰدِلُ فِى ٱللَّهِ بِغَيْرِ عِلْمٍ وَيَتَّبِعُ كُلَّ شَيْطَـٰنٍ مَّرِيدٍ','verse_number' => '3','verse_key' => '22:3','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '332','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2599','chapter_id' => '22','arabic_name' => 'كُتِبَ عَلَيْهِ أَنَّهُۥ مَن تَوَلَّاهُ فَأَنَّهُۥ يُضِلُّهُۥ وَيَهْدِيهِ إِلَىٰ عَذَابِ ٱلسَّعِيرِ','verse_number' => '4','verse_key' => '22:4','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '332','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2600','chapter_id' => '22','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ إِن كُنتُمْ فِى رَيْبٍ مِّنَ ٱلْبَعْثِ فَإِنَّا خَلَقْنَـٰكُم مِّن تُرَابٍ ثُمَّ مِن نُّطْفَةٍ ثُمَّ مِنْ عَلَقَةٍ ثُمَّ مِن مُّضْغَةٍ مُّخَلَّقَةٍ وَغَيْرِ مُخَلَّقَةٍ لِّنُبَيِّنَ لَكُمْ ۚ وَنُقِرُّ فِى ٱلْأَرْحَامِ مَا نَشَآءُ إِلَىٰٓ أَجَلٍ مُّسَمًّى ثُمَّ نُخْرِجُكُمْ طِفْلًا ثُمَّ لِتَبْلُغُوٓا۟ أَشُدَّكُمْ ۖ وَمِنكُم مَّن يُتَوَفَّىٰ وَمِنكُم مَّن يُرَدُّ إِلَىٰٓ أَرْذَلِ ٱلْعُمُرِ لِكَيْلَا يَعْلَمَ مِنۢ بَعْدِ عِلْمٍ شَيْـًٔا ۚ وَتَرَى ٱلْأَرْضَ هَامِدَةً فَإِذَآ أَنزَلْنَا عَلَيْهَا ٱلْمَآءَ ٱهْتَزَّتْ وَرَبَتْ وَأَنۢبَتَتْ مِن كُلِّ زَوْجٍۭ بَهِيجٍ','verse_number' => '5','verse_key' => '22:5','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '332','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2601','chapter_id' => '22','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ وَأَنَّهُۥ يُحْىِ ٱلْمَوْتَىٰ وَأَنَّهُۥ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '6','verse_key' => '22:6','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2602','chapter_id' => '22','arabic_name' => 'وَأَنَّ ٱلسَّاعَةَ ءَاتِيَةٌ لَّا رَيْبَ فِيهَا وَأَنَّ ٱللَّهَ يَبْعَثُ مَن فِى ٱلْقُبُورِ','verse_number' => '7','verse_key' => '22:7','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2603','chapter_id' => '22','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يُجَـٰدِلُ فِى ٱللَّهِ بِغَيْرِ عِلْمٍ وَلَا هُدًى وَلَا كِتَـٰبٍ مُّنِيرٍ','verse_number' => '8','verse_key' => '22:8','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2604','chapter_id' => '22','arabic_name' => 'ثَانِىَ عِطْفِهِۦ لِيُضِلَّ عَن سَبِيلِ ٱللَّهِ ۖ لَهُۥ فِى ٱلدُّنْيَا خِزْىٌ ۖ وَنُذِيقُهُۥ يَوْمَ ٱلْقِيَـٰمَةِ عَذَابَ ٱلْحَرِيقِ','verse_number' => '9','verse_key' => '22:9','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2605','chapter_id' => '22','arabic_name' => 'ذَٰلِكَ بِمَا قَدَّمَتْ يَدَاكَ وَأَنَّ ٱللَّهَ لَيْسَ بِظَلَّـٰمٍ لِّلْعَبِيدِ','verse_number' => '10','verse_key' => '22:10','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '285','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2606','chapter_id' => '22','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يَعْبُدُ ٱللَّهَ عَلَىٰ حَرْفٍ ۖ فَإِنْ أَصَابَهُۥ خَيْرٌ ٱطْمَأَنَّ بِهِۦ ۖ وَإِنْ أَصَابَتْهُ فِتْنَةٌ ٱنقَلَبَ عَلَىٰ وَجْهِهِۦ خَسِرَ ٱلدُّنْيَا وَٱلْـَٔاخِرَةَ ۚ ذَٰلِكَ هُوَ ٱلْخُسْرَانُ ٱلْمُبِينُ','verse_number' => '11','verse_key' => '22:11','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2607','chapter_id' => '22','arabic_name' => 'يَدْعُوا۟ مِن دُونِ ٱللَّهِ مَا لَا يَضُرُّهُۥ وَمَا لَا يَنفَعُهُۥ ۚ ذَٰلِكَ هُوَ ٱلضَّلَـٰلُ ٱلْبَعِيدُ','verse_number' => '12','verse_key' => '22:12','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2608','chapter_id' => '22','arabic_name' => 'يَدْعُوا۟ لَمَن ضَرُّهُۥٓ أَقْرَبُ مِن نَّفْعِهِۦ ۚ لَبِئْسَ ٱلْمَوْلَىٰ وَلَبِئْسَ ٱلْعَشِيرُ','verse_number' => '13','verse_key' => '22:13','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2609','chapter_id' => '22','arabic_name' => 'إِنَّ ٱللَّهَ يُدْخِلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۚ إِنَّ ٱللَّهَ يَفْعَلُ مَا يُرِيدُ','verse_number' => '14','verse_key' => '22:14','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2610','chapter_id' => '22','arabic_name' => 'مَن كَانَ يَظُنُّ أَن لَّن يَنصُرَهُ ٱللَّهُ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ فَلْيَمْدُدْ بِسَبَبٍ إِلَى ٱلسَّمَآءِ ثُمَّ لْيَقْطَعْ فَلْيَنظُرْ هَلْ يُذْهِبَنَّ كَيْدُهُۥ مَا يَغِيظُ','verse_number' => '15','verse_key' => '22:15','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '333','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2611','chapter_id' => '22','arabic_name' => 'وَكَذَٰلِكَ أَنزَلْنَـٰهُ ءَايَـٰتٍۭ بَيِّنَـٰتٍ وَأَنَّ ٱللَّهَ يَهْدِى مَن يُرِيدُ','verse_number' => '16','verse_key' => '22:16','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2612','chapter_id' => '22','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَٱلَّذِينَ هَادُوا۟ وَٱلصَّـٰبِـِٔينَ وَٱلنَّصَـٰرَىٰ وَٱلْمَجُوسَ وَٱلَّذِينَ أَشْرَكُوٓا۟ إِنَّ ٱللَّهَ يَفْصِلُ بَيْنَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ شَهِيدٌ','verse_number' => '17','verse_key' => '22:17','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2613','chapter_id' => '22','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ يَسْجُدُ لَهُۥ مَن فِى ٱلسَّمَـٰوَٰتِ وَمَن فِى ٱلْأَرْضِ وَٱلشَّمْسُ وَٱلْقَمَرُ وَٱلنُّجُومُ وَٱلْجِبَالُ وَٱلشَّجَرُ وَٱلدَّوَآبُّ وَكَثِيرٌ مِّنَ ٱلنَّاسِ ۖ وَكَثِيرٌ حَقَّ عَلَيْهِ ٱلْعَذَابُ ۗ وَمَن يُهِنِ ٱللَّهُ فَمَا لَهُۥ مِن مُّكْرِمٍ ۚ إِنَّ ٱللَّهَ يَفْعَلُ مَا يَشَآءُ ۩','verse_number' => '18','verse_key' => '22:18','hizb_number' => '34','rub_el_hizb_number' => '133','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '6','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2614','chapter_id' => '22','arabic_name' => '۞ هَـٰذَانِ خَصْمَانِ ٱخْتَصَمُوا۟ فِى رَبِّهِمْ ۖ فَٱلَّذِينَ كَفَرُوا۟ قُطِّعَتْ لَهُمْ ثِيَابٌ مِّن نَّارٍ يُصَبُّ مِن فَوْقِ رُءُوسِهِمُ ٱلْحَمِيمُ','verse_number' => '19','verse_key' => '22:19','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2615','chapter_id' => '22','arabic_name' => 'يُصْهَرُ بِهِۦ مَا فِى بُطُونِهِمْ وَٱلْجُلُودُ','verse_number' => '20','verse_key' => '22:20','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2616','chapter_id' => '22','arabic_name' => 'وَلَهُم مَّقَـٰمِعُ مِنْ حَدِيدٍ','verse_number' => '21','verse_key' => '22:21','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2617','chapter_id' => '22','arabic_name' => 'كُلَّمَآ أَرَادُوٓا۟ أَن يَخْرُجُوا۟ مِنْهَا مِنْ غَمٍّ أُعِيدُوا۟ فِيهَا وَذُوقُوا۟ عَذَابَ ٱلْحَرِيقِ','verse_number' => '22','verse_key' => '22:22','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '286','manzil_number' => '4','sajdah_number' => '0','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2618','chapter_id' => '22','arabic_name' => 'إِنَّ ٱللَّهَ يُدْخِلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ يُحَلَّوْنَ فِيهَا مِنْ أَسَاوِرَ مِن ذَهَبٍ وَلُؤْلُؤًا ۖ وَلِبَاسُهُمْ فِيهَا حَرِيرٌ','verse_number' => '23','verse_key' => '22:23','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '287','manzil_number' => '4','sajdah_number' => '0','page_number' => '334','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2619','chapter_id' => '22','arabic_name' => 'وَهُدُوٓا۟ إِلَى ٱلطَّيِّبِ مِنَ ٱلْقَوْلِ وَهُدُوٓا۟ إِلَىٰ صِرَٰطِ ٱلْحَمِيدِ','verse_number' => '24','verse_key' => '22:24','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '287','manzil_number' => '4','sajdah_number' => '0','page_number' => '335','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2620','chapter_id' => '22','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَيَصُدُّونَ عَن سَبِيلِ ٱللَّهِ وَٱلْمَسْجِدِ ٱلْحَرَامِ ٱلَّذِى جَعَلْنَـٰهُ لِلنَّاسِ سَوَآءً ٱلْعَـٰكِفُ فِيهِ وَٱلْبَادِ ۚ وَمَن يُرِدْ فِيهِ بِإِلْحَادٍۭ بِظُلْمٍ نُّذِقْهُ مِنْ عَذَابٍ أَلِيمٍ','verse_number' => '25','verse_key' => '22:25','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '287','manzil_number' => '4','sajdah_number' => '0','page_number' => '335','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2621','chapter_id' => '22','arabic_name' => 'وَإِذْ بَوَّأْنَا لِإِبْرَٰهِيمَ مَكَانَ ٱلْبَيْتِ أَن لَّا تُشْرِكْ بِى شَيْـًٔا وَطَهِّرْ بَيْتِىَ لِلطَّآئِفِينَ وَٱلْقَآئِمِينَ وَٱلرُّكَّعِ ٱلسُّجُودِ','verse_number' => '26','verse_key' => '22:26','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '335','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2622','chapter_id' => '22','arabic_name' => 'وَأَذِّن فِى ٱلنَّاسِ بِٱلْحَجِّ يَأْتُوكَ رِجَالًا وَعَلَىٰ كُلِّ ضَامِرٍ يَأْتِينَ مِن كُلِّ فَجٍّ عَمِيقٍ','verse_number' => '27','verse_key' => '22:27','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '335','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2623','chapter_id' => '22','arabic_name' => 'لِّيَشْهَدُوا۟ مَنَـٰفِعَ لَهُمْ وَيَذْكُرُوا۟ ٱسْمَ ٱللَّهِ فِىٓ أَيَّامٍ مَّعْلُومَـٰتٍ عَلَىٰ مَا رَزَقَهُم مِّنۢ بَهِيمَةِ ٱلْأَنْعَـٰمِ ۖ فَكُلُوا۟ مِنْهَا وَأَطْعِمُوا۟ ٱلْبَآئِسَ ٱلْفَقِيرَ','verse_number' => '28','verse_key' => '22:28','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '335','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2624','chapter_id' => '22','arabic_name' => 'ثُمَّ لْيَقْضُوا۟ تَفَثَهُمْ وَلْيُوفُوا۟ نُذُورَهُمْ وَلْيَطَّوَّفُوا۟ بِٱلْبَيْتِ ٱلْعَتِيقِ','verse_number' => '29','verse_key' => '22:29','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '335','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2625','chapter_id' => '22','arabic_name' => 'ذَٰلِكَ وَمَن يُعَظِّمْ حُرُمَـٰتِ ٱللَّهِ فَهُوَ خَيْرٌ لَّهُۥ عِندَ رَبِّهِۦ ۗ وَأُحِلَّتْ لَكُمُ ٱلْأَنْعَـٰمُ إِلَّا مَا يُتْلَىٰ عَلَيْكُمْ ۖ فَٱجْتَنِبُوا۟ ٱلرِّجْسَ مِنَ ٱلْأَوْثَـٰنِ وَٱجْتَنِبُوا۟ قَوْلَ ٱلزُّورِ','verse_number' => '30','verse_key' => '22:30','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '335','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2626','chapter_id' => '22','arabic_name' => 'حُنَفَآءَ لِلَّهِ غَيْرَ مُشْرِكِينَ بِهِۦ ۚ وَمَن يُشْرِكْ بِٱللَّهِ فَكَأَنَّمَا خَرَّ مِنَ ٱلسَّمَآءِ فَتَخْطَفُهُ ٱلطَّيْرُ أَوْ تَهْوِى بِهِ ٱلرِّيحُ فِى مَكَانٍ سَحِيقٍ','verse_number' => '31','verse_key' => '22:31','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2627','chapter_id' => '22','arabic_name' => 'ذَٰلِكَ وَمَن يُعَظِّمْ شَعَـٰٓئِرَ ٱللَّهِ فَإِنَّهَا مِن تَقْوَى ٱلْقُلُوبِ','verse_number' => '32','verse_key' => '22:32','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2628','chapter_id' => '22','arabic_name' => 'لَكُمْ فِيهَا مَنَـٰفِعُ إِلَىٰٓ أَجَلٍ مُّسَمًّى ثُمَّ مَحِلُّهَآ إِلَى ٱلْبَيْتِ ٱلْعَتِيقِ','verse_number' => '33','verse_key' => '22:33','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '288','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2629','chapter_id' => '22','arabic_name' => 'وَلِكُلِّ أُمَّةٍ جَعَلْنَا مَنسَكًا لِّيَذْكُرُوا۟ ٱسْمَ ٱللَّهِ عَلَىٰ مَا رَزَقَهُم مِّنۢ بَهِيمَةِ ٱلْأَنْعَـٰمِ ۗ فَإِلَـٰهُكُمْ إِلَـٰهٌ وَٰحِدٌ فَلَهُۥٓ أَسْلِمُوا۟ ۗ وَبَشِّرِ ٱلْمُخْبِتِينَ','verse_number' => '34','verse_key' => '22:34','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '289','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2630','chapter_id' => '22','arabic_name' => 'ٱلَّذِينَ إِذَا ذُكِرَ ٱللَّهُ وَجِلَتْ قُلُوبُهُمْ وَٱلصَّـٰبِرِينَ عَلَىٰ مَآ أَصَابَهُمْ وَٱلْمُقِيمِى ٱلصَّلَوٰةِ وَمِمَّا رَزَقْنَـٰهُمْ يُنفِقُونَ','verse_number' => '35','verse_key' => '22:35','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '289','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2631','chapter_id' => '22','arabic_name' => 'وَٱلْبُدْنَ جَعَلْنَـٰهَا لَكُم مِّن شَعَـٰٓئِرِ ٱللَّهِ لَكُمْ فِيهَا خَيْرٌ ۖ فَٱذْكُرُوا۟ ٱسْمَ ٱللَّهِ عَلَيْهَا صَوَآفَّ ۖ فَإِذَا وَجَبَتْ جُنُوبُهَا فَكُلُوا۟ مِنْهَا وَأَطْعِمُوا۟ ٱلْقَانِعَ وَٱلْمُعْتَرَّ ۚ كَذَٰلِكَ سَخَّرْنَـٰهَا لَكُمْ لَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '36','verse_key' => '22:36','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '289','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2632','chapter_id' => '22','arabic_name' => 'لَن يَنَالَ ٱللَّهَ لُحُومُهَا وَلَا دِمَآؤُهَا وَلَـٰكِن يَنَالُهُ ٱلتَّقْوَىٰ مِنكُمْ ۚ كَذَٰلِكَ سَخَّرَهَا لَكُمْ لِتُكَبِّرُوا۟ ٱللَّهَ عَلَىٰ مَا هَدَىٰكُمْ ۗ وَبَشِّرِ ٱلْمُحْسِنِينَ','verse_number' => '37','verse_key' => '22:37','hizb_number' => '34','rub_el_hizb_number' => '134','ruku_number' => '289','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2633','chapter_id' => '22','arabic_name' => '۞ إِنَّ ٱللَّهَ يُدَٰفِعُ عَنِ ٱلَّذِينَ ءَامَنُوٓا۟ ۗ إِنَّ ٱللَّهَ لَا يُحِبُّ كُلَّ خَوَّانٍ كَفُورٍ','verse_number' => '38','verse_key' => '22:38','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '289','manzil_number' => '4','sajdah_number' => '0','page_number' => '336','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2634','chapter_id' => '22','arabic_name' => 'أُذِنَ لِلَّذِينَ يُقَـٰتَلُونَ بِأَنَّهُمْ ظُلِمُوا۟ ۚ وَإِنَّ ٱللَّهَ عَلَىٰ نَصْرِهِمْ لَقَدِيرٌ','verse_number' => '39','verse_key' => '22:39','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2635','chapter_id' => '22','arabic_name' => 'ٱلَّذِينَ أُخْرِجُوا۟ مِن دِيَـٰرِهِم بِغَيْرِ حَقٍّ إِلَّآ أَن يَقُولُوا۟ رَبُّنَا ٱللَّهُ ۗ وَلَوْلَا دَفْعُ ٱللَّهِ ٱلنَّاسَ بَعْضَهُم بِبَعْضٍ لَّهُدِّمَتْ صَوَٰمِعُ وَبِيَعٌ وَصَلَوَٰتٌ وَمَسَـٰجِدُ يُذْكَرُ فِيهَا ٱسْمُ ٱللَّهِ كَثِيرًا ۗ وَلَيَنصُرَنَّ ٱللَّهُ مَن يَنصُرُهُۥٓ ۗ إِنَّ ٱللَّهَ لَقَوِىٌّ عَزِيزٌ','verse_number' => '40','verse_key' => '22:40','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2636','chapter_id' => '22','arabic_name' => 'ٱلَّذِينَ إِن مَّكَّنَّـٰهُمْ فِى ٱلْأَرْضِ أَقَامُوا۟ ٱلصَّلَوٰةَ وَءَاتَوُا۟ ٱلزَّكَوٰةَ وَأَمَرُوا۟ بِٱلْمَعْرُوفِ وَنَهَوْا۟ عَنِ ٱلْمُنكَرِ ۗ وَلِلَّهِ عَـٰقِبَةُ ٱلْأُمُورِ','verse_number' => '41','verse_key' => '22:41','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2637','chapter_id' => '22','arabic_name' => 'وَإِن يُكَذِّبُوكَ فَقَدْ كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍ وَعَادٌ وَثَمُودُ','verse_number' => '42','verse_key' => '22:42','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2638','chapter_id' => '22','arabic_name' => 'وَقَوْمُ إِبْرَٰهِيمَ وَقَوْمُ لُوطٍ','verse_number' => '43','verse_key' => '22:43','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2639','chapter_id' => '22','arabic_name' => 'وَأَصْحَـٰبُ مَدْيَنَ ۖ وَكُذِّبَ مُوسَىٰ فَأَمْلَيْتُ لِلْكَـٰفِرِينَ ثُمَّ أَخَذْتُهُمْ ۖ فَكَيْفَ كَانَ نَكِيرِ','verse_number' => '44','verse_key' => '22:44','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2640','chapter_id' => '22','arabic_name' => 'فَكَأَيِّن مِّن قَرْيَةٍ أَهْلَكْنَـٰهَا وَهِىَ ظَالِمَةٌ فَهِىَ خَاوِيَةٌ عَلَىٰ عُرُوشِهَا وَبِئْرٍ مُّعَطَّلَةٍ وَقَصْرٍ مَّشِيدٍ','verse_number' => '45','verse_key' => '22:45','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2641','chapter_id' => '22','arabic_name' => 'أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَتَكُونَ لَهُمْ قُلُوبٌ يَعْقِلُونَ بِهَآ أَوْ ءَاذَانٌ يَسْمَعُونَ بِهَا ۖ فَإِنَّهَا لَا تَعْمَى ٱلْأَبْصَـٰرُ وَلَـٰكِن تَعْمَى ٱلْقُلُوبُ ٱلَّتِى فِى ٱلصُّدُورِ','verse_number' => '46','verse_key' => '22:46','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '337','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2642','chapter_id' => '22','arabic_name' => 'وَيَسْتَعْجِلُونَكَ بِٱلْعَذَابِ وَلَن يُخْلِفَ ٱللَّهُ وَعْدَهُۥ ۚ وَإِنَّ يَوْمًا عِندَ رَبِّكَ كَأَلْفِ سَنَةٍ مِّمَّا تَعُدُّونَ','verse_number' => '47','verse_key' => '22:47','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2643','chapter_id' => '22','arabic_name' => 'وَكَأَيِّن مِّن قَرْيَةٍ أَمْلَيْتُ لَهَا وَهِىَ ظَالِمَةٌ ثُمَّ أَخَذْتُهَا وَإِلَىَّ ٱلْمَصِيرُ','verse_number' => '48','verse_key' => '22:48','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '290','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2644','chapter_id' => '22','arabic_name' => 'قُلْ يَـٰٓأَيُّهَا ٱلنَّاسُ إِنَّمَآ أَنَا۠ لَكُمْ نَذِيرٌ مُّبِينٌ','verse_number' => '49','verse_key' => '22:49','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2645','chapter_id' => '22','arabic_name' => 'فَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَهُم مَّغْفِرَةٌ وَرِزْقٌ كَرِيمٌ','verse_number' => '50','verse_key' => '22:50','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2646','chapter_id' => '22','arabic_name' => 'وَٱلَّذِينَ سَعَوْا۟ فِىٓ ءَايَـٰتِنَا مُعَـٰجِزِينَ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَحِيمِ','verse_number' => '51','verse_key' => '22:51','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2647','chapter_id' => '22','arabic_name' => 'وَمَآ أَرْسَلْنَا مِن قَبْلِكَ مِن رَّسُولٍ وَلَا نَبِىٍّ إِلَّآ إِذَا تَمَنَّىٰٓ أَلْقَى ٱلشَّيْطَـٰنُ فِىٓ أُمْنِيَّتِهِۦ فَيَنسَخُ ٱللَّهُ مَا يُلْقِى ٱلشَّيْطَـٰنُ ثُمَّ يُحْكِمُ ٱللَّهُ ءَايَـٰتِهِۦ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '52','verse_key' => '22:52','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2648','chapter_id' => '22','arabic_name' => 'لِّيَجْعَلَ مَا يُلْقِى ٱلشَّيْطَـٰنُ فِتْنَةً لِّلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ وَٱلْقَاسِيَةِ قُلُوبُهُمْ ۗ وَإِنَّ ٱلظَّـٰلِمِينَ لَفِى شِقَاقٍۭ بَعِيدٍ','verse_number' => '53','verse_key' => '22:53','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2649','chapter_id' => '22','arabic_name' => 'وَلِيَعْلَمَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ أَنَّهُ ٱلْحَقُّ مِن رَّبِّكَ فَيُؤْمِنُوا۟ بِهِۦ فَتُخْبِتَ لَهُۥ قُلُوبُهُمْ ۗ وَإِنَّ ٱللَّهَ لَهَادِ ٱلَّذِينَ ءَامَنُوٓا۟ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '54','verse_key' => '22:54','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2650','chapter_id' => '22','arabic_name' => 'وَلَا يَزَالُ ٱلَّذِينَ كَفَرُوا۟ فِى مِرْيَةٍ مِّنْهُ حَتَّىٰ تَأْتِيَهُمُ ٱلسَّاعَةُ بَغْتَةً أَوْ يَأْتِيَهُمْ عَذَابُ يَوْمٍ عَقِيمٍ','verse_number' => '55','verse_key' => '22:55','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '338','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2651','chapter_id' => '22','arabic_name' => 'ٱلْمُلْكُ يَوْمَئِذٍ لِّلَّهِ يَحْكُمُ بَيْنَهُمْ ۚ فَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فِى جَنَّـٰتِ ٱلنَّعِيمِ','verse_number' => '56','verse_key' => '22:56','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2652','chapter_id' => '22','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَـٰتِنَا فَأُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ مُّهِينٌ','verse_number' => '57','verse_key' => '22:57','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '291','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2653','chapter_id' => '22','arabic_name' => 'وَٱلَّذِينَ هَاجَرُوا۟ فِى سَبِيلِ ٱللَّهِ ثُمَّ قُتِلُوٓا۟ أَوْ مَاتُوا۟ لَيَرْزُقَنَّهُمُ ٱللَّهُ رِزْقًا حَسَنًا ۚ وَإِنَّ ٱللَّهَ لَهُوَ خَيْرُ ٱلرَّٰزِقِينَ','verse_number' => '58','verse_key' => '22:58','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '292','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2654','chapter_id' => '22','arabic_name' => 'لَيُدْخِلَنَّهُم مُّدْخَلًا يَرْضَوْنَهُۥ ۗ وَإِنَّ ٱللَّهَ لَعَلِيمٌ حَلِيمٌ','verse_number' => '59','verse_key' => '22:59','hizb_number' => '34','rub_el_hizb_number' => '135','ruku_number' => '292','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2655','chapter_id' => '22','arabic_name' => '۞ ذَٰلِكَ وَمَنْ عَاقَبَ بِمِثْلِ مَا عُوقِبَ بِهِۦ ثُمَّ بُغِىَ عَلَيْهِ لَيَنصُرَنَّهُ ٱللَّهُ ۗ إِنَّ ٱللَّهَ لَعَفُوٌّ غَفُورٌ','verse_number' => '60','verse_key' => '22:60','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '292','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2656','chapter_id' => '22','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱللَّهَ يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ وَأَنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌ','verse_number' => '61','verse_key' => '22:61','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '292','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2657','chapter_id' => '22','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ وَأَنَّ مَا يَدْعُونَ مِن دُونِهِۦ هُوَ ٱلْبَـٰطِلُ وَأَنَّ ٱللَّهَ هُوَ ٱلْعَلِىُّ ٱلْكَبِيرُ','verse_number' => '62','verse_key' => '22:62','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '292','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2658','chapter_id' => '22','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَتُصْبِحُ ٱلْأَرْضُ مُخْضَرَّةً ۗ إِنَّ ٱللَّهَ لَطِيفٌ خَبِيرٌ','verse_number' => '63','verse_key' => '22:63','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '292','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2659','chapter_id' => '22','arabic_name' => 'لَّهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ وَإِنَّ ٱللَّهَ لَهُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ','verse_number' => '64','verse_key' => '22:64','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '292','manzil_number' => '4','sajdah_number' => '0','page_number' => '339','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2660','chapter_id' => '22','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ سَخَّرَ لَكُم مَّا فِى ٱلْأَرْضِ وَٱلْفُلْكَ تَجْرِى فِى ٱلْبَحْرِ بِأَمْرِهِۦ وَيُمْسِكُ ٱلسَّمَآءَ أَن تَقَعَ عَلَى ٱلْأَرْضِ إِلَّا بِإِذْنِهِۦٓ ۗ إِنَّ ٱللَّهَ بِٱلنَّاسِ لَرَءُوفٌ رَّحِيمٌ','verse_number' => '65','verse_key' => '22:65','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2661','chapter_id' => '22','arabic_name' => 'وَهُوَ ٱلَّذِىٓ أَحْيَاكُمْ ثُمَّ يُمِيتُكُمْ ثُمَّ يُحْيِيكُمْ ۗ إِنَّ ٱلْإِنسَـٰنَ لَكَفُورٌ','verse_number' => '66','verse_key' => '22:66','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2662','chapter_id' => '22','arabic_name' => 'لِّكُلِّ أُمَّةٍ جَعَلْنَا مَنسَكًا هُمْ نَاسِكُوهُ ۖ فَلَا يُنَـٰزِعُنَّكَ فِى ٱلْأَمْرِ ۚ وَٱدْعُ إِلَىٰ رَبِّكَ ۖ إِنَّكَ لَعَلَىٰ هُدًى مُّسْتَقِيمٍ','verse_number' => '67','verse_key' => '22:67','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2663','chapter_id' => '22','arabic_name' => 'وَإِن جَـٰدَلُوكَ فَقُلِ ٱللَّهُ أَعْلَمُ بِمَا تَعْمَلُونَ','verse_number' => '68','verse_key' => '22:68','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2664','chapter_id' => '22','arabic_name' => 'ٱللَّهُ يَحْكُمُ بَيْنَكُمْ يَوْمَ ٱلْقِيَـٰمَةِ فِيمَا كُنتُمْ فِيهِ تَخْتَلِفُونَ','verse_number' => '69','verse_key' => '22:69','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2665','chapter_id' => '22','arabic_name' => 'أَلَمْ تَعْلَمْ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِى ٱلسَّمَآءِ وَٱلْأَرْضِ ۗ إِنَّ ذَٰلِكَ فِى كِتَـٰبٍ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌ','verse_number' => '70','verse_key' => '22:70','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2666','chapter_id' => '22','arabic_name' => 'وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَمْ يُنَزِّلْ بِهِۦ سُلْطَـٰنًا وَمَا لَيْسَ لَهُم بِهِۦ عِلْمٌ ۗ وَمَا لِلظَّـٰلِمِينَ مِن نَّصِيرٍ','verse_number' => '71','verse_key' => '22:71','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2667','chapter_id' => '22','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَـٰتُنَا بَيِّنَـٰتٍ تَعْرِفُ فِى وُجُوهِ ٱلَّذِينَ كَفَرُوا۟ ٱلْمُنكَرَ ۖ يَكَادُونَ يَسْطُونَ بِٱلَّذِينَ يَتْلُونَ عَلَيْهِمْ ءَايَـٰتِنَا ۗ قُلْ أَفَأُنَبِّئُكُم بِشَرٍّ مِّن ذَٰلِكُمُ ۗ ٱلنَّارُ وَعَدَهَا ٱللَّهُ ٱلَّذِينَ كَفَرُوا۟ ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '72','verse_key' => '22:72','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '293','manzil_number' => '4','sajdah_number' => '0','page_number' => '340','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2668','chapter_id' => '22','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ ضُرِبَ مَثَلٌ فَٱسْتَمِعُوا۟ لَهُۥٓ ۚ إِنَّ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ لَن يَخْلُقُوا۟ ذُبَابًا وَلَوِ ٱجْتَمَعُوا۟ لَهُۥ ۖ وَإِن يَسْلُبْهُمُ ٱلذُّبَابُ شَيْـًٔا لَّا يَسْتَنقِذُوهُ مِنْهُ ۚ ضَعُفَ ٱلطَّالِبُ وَٱلْمَطْلُوبُ','verse_number' => '73','verse_key' => '22:73','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '294','manzil_number' => '4','sajdah_number' => '0','page_number' => '341','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2669','chapter_id' => '22','arabic_name' => 'مَا قَدَرُوا۟ ٱللَّهَ حَقَّ قَدْرِهِۦٓ ۗ إِنَّ ٱللَّهَ لَقَوِىٌّ عَزِيزٌ','verse_number' => '74','verse_key' => '22:74','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '294','manzil_number' => '4','sajdah_number' => '0','page_number' => '341','juz_number' => '17','created_at' => '2023-12-01 17:30:05','updated_at' => '2023-12-01 17:30:05'),
            array('id' => '2670','chapter_id' => '22','arabic_name' => 'ٱللَّهُ يَصْطَفِى مِنَ ٱلْمَلَـٰٓئِكَةِ رُسُلًا وَمِنَ ٱلنَّاسِ ۚ إِنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌ','verse_number' => '75','verse_key' => '22:75','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '294','manzil_number' => '4','sajdah_number' => '0','page_number' => '341','juz_number' => '17','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2671','chapter_id' => '22','arabic_name' => 'يَعْلَمُ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ ۗ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ','verse_number' => '76','verse_key' => '22:76','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '294','manzil_number' => '4','sajdah_number' => '0','page_number' => '341','juz_number' => '17','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2672','chapter_id' => '22','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱرْكَعُوا۟ وَٱسْجُدُوا۟ وَٱعْبُدُوا۟ رَبَّكُمْ وَٱفْعَلُوا۟ ٱلْخَيْرَ لَعَلَّكُمْ تُفْلِحُونَ ۩','verse_number' => '77','verse_key' => '22:77','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '294','manzil_number' => '4','sajdah_number' => '0','page_number' => '341','juz_number' => '17','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2673','chapter_id' => '22','arabic_name' => 'وَجَـٰهِدُوا۟ فِى ٱللَّهِ حَقَّ جِهَادِهِۦ ۚ هُوَ ٱجْتَبَىٰكُمْ وَمَا جَعَلَ عَلَيْكُمْ فِى ٱلدِّينِ مِنْ حَرَجٍ ۚ مِّلَّةَ أَبِيكُمْ إِبْرَٰهِيمَ ۚ هُوَ سَمَّىٰكُمُ ٱلْمُسْلِمِينَ مِن قَبْلُ وَفِى هَـٰذَا لِيَكُونَ ٱلرَّسُولُ شَهِيدًا عَلَيْكُمْ وَتَكُونُوا۟ شُهَدَآءَ عَلَى ٱلنَّاسِ ۚ فَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَٱعْتَصِمُوا۟ بِٱللَّهِ هُوَ مَوْلَىٰكُمْ ۖ فَنِعْمَ ٱلْمَوْلَىٰ وَنِعْمَ ٱلنَّصِيرُ','verse_number' => '78','verse_key' => '22:78','hizb_number' => '34','rub_el_hizb_number' => '136','ruku_number' => '294','manzil_number' => '4','sajdah_number' => '0','page_number' => '341','juz_number' => '17','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2674','chapter_id' => '23','arabic_name' => 'قَدْ أَفْلَحَ ٱلْمُؤْمِنُونَ','verse_number' => '1','verse_key' => '23:1','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2675','chapter_id' => '23','arabic_name' => 'ٱلَّذِينَ هُمْ فِى صَلَاتِهِمْ خَـٰشِعُونَ','verse_number' => '2','verse_key' => '23:2','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2676','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ هُمْ عَنِ ٱللَّغْوِ مُعْرِضُونَ','verse_number' => '3','verse_key' => '23:3','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2677','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ هُمْ لِلزَّكَوٰةِ فَـٰعِلُونَ','verse_number' => '4','verse_key' => '23:4','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2678','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ هُمْ لِفُرُوجِهِمْ حَـٰفِظُونَ','verse_number' => '5','verse_key' => '23:5','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2679','chapter_id' => '23','arabic_name' => 'إِلَّا عَلَىٰٓ أَزْوَٰجِهِمْ أَوْ مَا مَلَكَتْ أَيْمَـٰنُهُمْ فَإِنَّهُمْ غَيْرُ مَلُومِينَ','verse_number' => '6','verse_key' => '23:6','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2680','chapter_id' => '23','arabic_name' => 'فَمَنِ ٱبْتَغَىٰ وَرَآءَ ذَٰلِكَ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْعَادُونَ','verse_number' => '7','verse_key' => '23:7','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2681','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ هُمْ لِأَمَـٰنَـٰتِهِمْ وَعَهْدِهِمْ رَٰعُونَ','verse_number' => '8','verse_key' => '23:8','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2682','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ هُمْ عَلَىٰ صَلَوَٰتِهِمْ يُحَافِظُونَ','verse_number' => '9','verse_key' => '23:9','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2683','chapter_id' => '23','arabic_name' => 'أُو۟لَـٰٓئِكَ هُمُ ٱلْوَٰرِثُونَ','verse_number' => '10','verse_key' => '23:10','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2684','chapter_id' => '23','arabic_name' => 'ٱلَّذِينَ يَرِثُونَ ٱلْفِرْدَوْسَ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '11','verse_key' => '23:11','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2685','chapter_id' => '23','arabic_name' => 'وَلَقَدْ خَلَقْنَا ٱلْإِنسَـٰنَ مِن سُلَـٰلَةٍ مِّن طِينٍ','verse_number' => '12','verse_key' => '23:12','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2686','chapter_id' => '23','arabic_name' => 'ثُمَّ جَعَلْنَـٰهُ نُطْفَةً فِى قَرَارٍ مَّكِينٍ','verse_number' => '13','verse_key' => '23:13','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2687','chapter_id' => '23','arabic_name' => 'ثُمَّ خَلَقْنَا ٱلنُّطْفَةَ عَلَقَةً فَخَلَقْنَا ٱلْعَلَقَةَ مُضْغَةً فَخَلَقْنَا ٱلْمُضْغَةَ عِظَـٰمًا فَكَسَوْنَا ٱلْعِظَـٰمَ لَحْمًا ثُمَّ أَنشَأْنَـٰهُ خَلْقًا ءَاخَرَ ۚ فَتَبَارَكَ ٱللَّهُ أَحْسَنُ ٱلْخَـٰلِقِينَ','verse_number' => '14','verse_key' => '23:14','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2688','chapter_id' => '23','arabic_name' => 'ثُمَّ إِنَّكُم بَعْدَ ذَٰلِكَ لَمَيِّتُونَ','verse_number' => '15','verse_key' => '23:15','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2689','chapter_id' => '23','arabic_name' => 'ثُمَّ إِنَّكُمْ يَوْمَ ٱلْقِيَـٰمَةِ تُبْعَثُونَ','verse_number' => '16','verse_key' => '23:16','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2690','chapter_id' => '23','arabic_name' => 'وَلَقَدْ خَلَقْنَا فَوْقَكُمْ سَبْعَ طَرَآئِقَ وَمَا كُنَّا عَنِ ٱلْخَلْقِ غَـٰفِلِينَ','verse_number' => '17','verse_key' => '23:17','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '342','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2691','chapter_id' => '23','arabic_name' => 'وَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءًۢ بِقَدَرٍ فَأَسْكَنَّـٰهُ فِى ٱلْأَرْضِ ۖ وَإِنَّا عَلَىٰ ذَهَابٍۭ بِهِۦ لَقَـٰدِرُونَ','verse_number' => '18','verse_key' => '23:18','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2692','chapter_id' => '23','arabic_name' => 'فَأَنشَأْنَا لَكُم بِهِۦ جَنَّـٰتٍ مِّن نَّخِيلٍ وَأَعْنَـٰبٍ لَّكُمْ فِيهَا فَوَٰكِهُ كَثِيرَةٌ وَمِنْهَا تَأْكُلُونَ','verse_number' => '19','verse_key' => '23:19','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2693','chapter_id' => '23','arabic_name' => 'وَشَجَرَةً تَخْرُجُ مِن طُورِ سَيْنَآءَ تَنۢبُتُ بِٱلدُّهْنِ وَصِبْغٍ لِّلْـَٔاكِلِينَ','verse_number' => '20','verse_key' => '23:20','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2694','chapter_id' => '23','arabic_name' => 'وَإِنَّ لَكُمْ فِى ٱلْأَنْعَـٰمِ لَعِبْرَةً ۖ نُّسْقِيكُم مِّمَّا فِى بُطُونِهَا وَلَكُمْ فِيهَا مَنَـٰفِعُ كَثِيرَةٌ وَمِنْهَا تَأْكُلُونَ','verse_number' => '21','verse_key' => '23:21','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2695','chapter_id' => '23','arabic_name' => 'وَعَلَيْهَا وَعَلَى ٱلْفُلْكِ تُحْمَلُونَ','verse_number' => '22','verse_key' => '23:22','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '295','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2696','chapter_id' => '23','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦ فَقَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥٓ ۖ أَفَلَا تَتَّقُونَ','verse_number' => '23','verse_key' => '23:23','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2697','chapter_id' => '23','arabic_name' => 'فَقَالَ ٱلْمَلَؤُا۟ ٱلَّذِينَ كَفَرُوا۟ مِن قَوْمِهِۦ مَا هَـٰذَآ إِلَّا بَشَرٌ مِّثْلُكُمْ يُرِيدُ أَن يَتَفَضَّلَ عَلَيْكُمْ وَلَوْ شَآءَ ٱللَّهُ لَأَنزَلَ مَلَـٰٓئِكَةً مَّا سَمِعْنَا بِهَـٰذَا فِىٓ ءَابَآئِنَا ٱلْأَوَّلِينَ','verse_number' => '24','verse_key' => '23:24','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2698','chapter_id' => '23','arabic_name' => 'إِنْ هُوَ إِلَّا رَجُلٌۢ بِهِۦ جِنَّةٌ فَتَرَبَّصُوا۟ بِهِۦ حَتَّىٰ حِينٍ','verse_number' => '25','verse_key' => '23:25','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2699','chapter_id' => '23','arabic_name' => 'قَالَ رَبِّ ٱنصُرْنِى بِمَا كَذَّبُونِ','verse_number' => '26','verse_key' => '23:26','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2700','chapter_id' => '23','arabic_name' => 'فَأَوْحَيْنَآ إِلَيْهِ أَنِ ٱصْنَعِ ٱلْفُلْكَ بِأَعْيُنِنَا وَوَحْيِنَا فَإِذَا جَآءَ أَمْرُنَا وَفَارَ ٱلتَّنُّورُ ۙ فَٱسْلُكْ فِيهَا مِن كُلٍّ زَوْجَيْنِ ٱثْنَيْنِ وَأَهْلَكَ إِلَّا مَن سَبَقَ عَلَيْهِ ٱلْقَوْلُ مِنْهُمْ ۖ وَلَا تُخَـٰطِبْنِى فِى ٱلَّذِينَ ظَلَمُوٓا۟ ۖ إِنَّهُم مُّغْرَقُونَ','verse_number' => '27','verse_key' => '23:27','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '343','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2701','chapter_id' => '23','arabic_name' => 'فَإِذَا ٱسْتَوَيْتَ أَنتَ وَمَن مَّعَكَ عَلَى ٱلْفُلْكِ فَقُلِ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى نَجَّىٰنَا مِنَ ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '28','verse_key' => '23:28','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2702','chapter_id' => '23','arabic_name' => 'وَقُل رَّبِّ أَنزِلْنِى مُنزَلًا مُّبَارَكًا وَأَنتَ خَيْرُ ٱلْمُنزِلِينَ','verse_number' => '29','verse_key' => '23:29','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2703','chapter_id' => '23','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ وَإِن كُنَّا لَمُبْتَلِينَ','verse_number' => '30','verse_key' => '23:30','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2704','chapter_id' => '23','arabic_name' => 'ثُمَّ أَنشَأْنَا مِنۢ بَعْدِهِمْ قَرْنًا ءَاخَرِينَ','verse_number' => '31','verse_key' => '23:31','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2705','chapter_id' => '23','arabic_name' => 'فَأَرْسَلْنَا فِيهِمْ رَسُولًا مِّنْهُمْ أَنِ ٱعْبُدُوا۟ ٱللَّهَ مَا لَكُم مِّنْ إِلَـٰهٍ غَيْرُهُۥٓ ۖ أَفَلَا تَتَّقُونَ','verse_number' => '32','verse_key' => '23:32','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '296','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2706','chapter_id' => '23','arabic_name' => 'وَقَالَ ٱلْمَلَأُ مِن قَوْمِهِ ٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِلِقَآءِ ٱلْـَٔاخِرَةِ وَأَتْرَفْنَـٰهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا مَا هَـٰذَآ إِلَّا بَشَرٌ مِّثْلُكُمْ يَأْكُلُ مِمَّا تَأْكُلُونَ مِنْهُ وَيَشْرَبُ مِمَّا تَشْرَبُونَ','verse_number' => '33','verse_key' => '23:33','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2707','chapter_id' => '23','arabic_name' => 'وَلَئِنْ أَطَعْتُم بَشَرًا مِّثْلَكُمْ إِنَّكُمْ إِذًا لَّخَـٰسِرُونَ','verse_number' => '34','verse_key' => '23:34','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2708','chapter_id' => '23','arabic_name' => 'أَيَعِدُكُمْ أَنَّكُمْ إِذَا مِتُّمْ وَكُنتُمْ تُرَابًا وَعِظَـٰمًا أَنَّكُم مُّخْرَجُونَ','verse_number' => '35','verse_key' => '23:35','hizb_number' => '35','rub_el_hizb_number' => '137','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2709','chapter_id' => '23','arabic_name' => '۞ هَيْهَاتَ هَيْهَاتَ لِمَا تُوعَدُونَ','verse_number' => '36','verse_key' => '23:36','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2710','chapter_id' => '23','arabic_name' => 'إِنْ هِىَ إِلَّا حَيَاتُنَا ٱلدُّنْيَا نَمُوتُ وَنَحْيَا وَمَا نَحْنُ بِمَبْعُوثِينَ','verse_number' => '37','verse_key' => '23:37','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2711','chapter_id' => '23','arabic_name' => 'إِنْ هُوَ إِلَّا رَجُلٌ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا وَمَا نَحْنُ لَهُۥ بِمُؤْمِنِينَ','verse_number' => '38','verse_key' => '23:38','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2712','chapter_id' => '23','arabic_name' => 'قَالَ رَبِّ ٱنصُرْنِى بِمَا كَذَّبُونِ','verse_number' => '39','verse_key' => '23:39','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2713','chapter_id' => '23','arabic_name' => 'قَالَ عَمَّا قَلِيلٍ لَّيُصْبِحُنَّ نَـٰدِمِينَ','verse_number' => '40','verse_key' => '23:40','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2714','chapter_id' => '23','arabic_name' => 'فَأَخَذَتْهُمُ ٱلصَّيْحَةُ بِٱلْحَقِّ فَجَعَلْنَـٰهُمْ غُثَآءً ۚ فَبُعْدًا لِّلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '41','verse_key' => '23:41','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2715','chapter_id' => '23','arabic_name' => 'ثُمَّ أَنشَأْنَا مِنۢ بَعْدِهِمْ قُرُونًا ءَاخَرِينَ','verse_number' => '42','verse_key' => '23:42','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '344','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2716','chapter_id' => '23','arabic_name' => 'مَا تَسْبِقُ مِنْ أُمَّةٍ أَجَلَهَا وَمَا يَسْتَـْٔخِرُونَ','verse_number' => '43','verse_key' => '23:43','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2717','chapter_id' => '23','arabic_name' => 'ثُمَّ أَرْسَلْنَا رُسُلَنَا تَتْرَا ۖ كُلَّ مَا جَآءَ أُمَّةً رَّسُولُهَا كَذَّبُوهُ ۚ فَأَتْبَعْنَا بَعْضَهُم بَعْضًا وَجَعَلْنَـٰهُمْ أَحَادِيثَ ۚ فَبُعْدًا لِّقَوْمٍ لَّا يُؤْمِنُونَ','verse_number' => '44','verse_key' => '23:44','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2718','chapter_id' => '23','arabic_name' => 'ثُمَّ أَرْسَلْنَا مُوسَىٰ وَأَخَاهُ هَـٰرُونَ بِـَٔايَـٰتِنَا وَسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '45','verse_key' => '23:45','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2719','chapter_id' => '23','arabic_name' => 'إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَٱسْتَكْبَرُوا۟ وَكَانُوا۟ قَوْمًا عَالِينَ','verse_number' => '46','verse_key' => '23:46','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2720','chapter_id' => '23','arabic_name' => 'فَقَالُوٓا۟ أَنُؤْمِنُ لِبَشَرَيْنِ مِثْلِنَا وَقَوْمُهُمَا لَنَا عَـٰبِدُونَ','verse_number' => '47','verse_key' => '23:47','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2721','chapter_id' => '23','arabic_name' => 'فَكَذَّبُوهُمَا فَكَانُوا۟ مِنَ ٱلْمُهْلَكِينَ','verse_number' => '48','verse_key' => '23:48','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2722','chapter_id' => '23','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ لَعَلَّهُمْ يَهْتَدُونَ','verse_number' => '49','verse_key' => '23:49','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2723','chapter_id' => '23','arabic_name' => 'وَجَعَلْنَا ٱبْنَ مَرْيَمَ وَأُمَّهُۥٓ ءَايَةً وَءَاوَيْنَـٰهُمَآ إِلَىٰ رَبْوَةٍ ذَاتِ قَرَارٍ وَمَعِينٍ','verse_number' => '50','verse_key' => '23:50','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '297','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2724','chapter_id' => '23','arabic_name' => 'يَـٰٓأَيُّهَا ٱلرُّسُلُ كُلُوا۟ مِنَ ٱلطَّيِّبَـٰتِ وَٱعْمَلُوا۟ صَـٰلِحًا ۖ إِنِّى بِمَا تَعْمَلُونَ عَلِيمٌ','verse_number' => '51','verse_key' => '23:51','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2725','chapter_id' => '23','arabic_name' => 'وَإِنَّ هَـٰذِهِۦٓ أُمَّتُكُمْ أُمَّةً وَٰحِدَةً وَأَنَا۠ رَبُّكُمْ فَٱتَّقُونِ','verse_number' => '52','verse_key' => '23:52','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2726','chapter_id' => '23','arabic_name' => 'فَتَقَطَّعُوٓا۟ أَمْرَهُم بَيْنَهُمْ زُبُرًا ۖ كُلُّ حِزْبٍۭ بِمَا لَدَيْهِمْ فَرِحُونَ','verse_number' => '53','verse_key' => '23:53','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2727','chapter_id' => '23','arabic_name' => 'فَذَرْهُمْ فِى غَمْرَتِهِمْ حَتَّىٰ حِينٍ','verse_number' => '54','verse_key' => '23:54','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2728','chapter_id' => '23','arabic_name' => 'أَيَحْسَبُونَ أَنَّمَا نُمِدُّهُم بِهِۦ مِن مَّالٍ وَبَنِينَ','verse_number' => '55','verse_key' => '23:55','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2729','chapter_id' => '23','arabic_name' => 'نُسَارِعُ لَهُمْ فِى ٱلْخَيْرَٰتِ ۚ بَل لَّا يَشْعُرُونَ','verse_number' => '56','verse_key' => '23:56','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2730','chapter_id' => '23','arabic_name' => 'إِنَّ ٱلَّذِينَ هُم مِّنْ خَشْيَةِ رَبِّهِم مُّشْفِقُونَ','verse_number' => '57','verse_key' => '23:57','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2731','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ هُم بِـَٔايَـٰتِ رَبِّهِمْ يُؤْمِنُونَ','verse_number' => '58','verse_key' => '23:58','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2732','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ هُم بِرَبِّهِمْ لَا يُشْرِكُونَ','verse_number' => '59','verse_key' => '23:59','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '345','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2733','chapter_id' => '23','arabic_name' => 'وَٱلَّذِينَ يُؤْتُونَ مَآ ءَاتَوا۟ وَّقُلُوبُهُمْ وَجِلَةٌ أَنَّهُمْ إِلَىٰ رَبِّهِمْ رَٰجِعُونَ','verse_number' => '60','verse_key' => '23:60','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2734','chapter_id' => '23','arabic_name' => 'أُو۟لَـٰٓئِكَ يُسَـٰرِعُونَ فِى ٱلْخَيْرَٰتِ وَهُمْ لَهَا سَـٰبِقُونَ','verse_number' => '61','verse_key' => '23:61','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2735','chapter_id' => '23','arabic_name' => 'وَلَا نُكَلِّفُ نَفْسًا إِلَّا وُسْعَهَا ۖ وَلَدَيْنَا كِتَـٰبٌ يَنطِقُ بِٱلْحَقِّ ۚ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '62','verse_key' => '23:62','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2736','chapter_id' => '23','arabic_name' => 'بَلْ قُلُوبُهُمْ فِى غَمْرَةٍ مِّنْ هَـٰذَا وَلَهُمْ أَعْمَـٰلٌ مِّن دُونِ ذَٰلِكَ هُمْ لَهَا عَـٰمِلُونَ','verse_number' => '63','verse_key' => '23:63','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2737','chapter_id' => '23','arabic_name' => 'حَتَّىٰٓ إِذَآ أَخَذْنَا مُتْرَفِيهِم بِٱلْعَذَابِ إِذَا هُمْ يَجْـَٔرُونَ','verse_number' => '64','verse_key' => '23:64','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2738','chapter_id' => '23','arabic_name' => 'لَا تَجْـَٔرُوا۟ ٱلْيَوْمَ ۖ إِنَّكُم مِّنَّا لَا تُنصَرُونَ','verse_number' => '65','verse_key' => '23:65','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2739','chapter_id' => '23','arabic_name' => 'قَدْ كَانَتْ ءَايَـٰتِى تُتْلَىٰ عَلَيْكُمْ فَكُنتُمْ عَلَىٰٓ أَعْقَـٰبِكُمْ تَنكِصُونَ','verse_number' => '66','verse_key' => '23:66','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2740','chapter_id' => '23','arabic_name' => 'مُسْتَكْبِرِينَ بِهِۦ سَـٰمِرًا تَهْجُرُونَ','verse_number' => '67','verse_key' => '23:67','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2741','chapter_id' => '23','arabic_name' => 'أَفَلَمْ يَدَّبَّرُوا۟ ٱلْقَوْلَ أَمْ جَآءَهُم مَّا لَمْ يَأْتِ ءَابَآءَهُمُ ٱلْأَوَّلِينَ','verse_number' => '68','verse_key' => '23:68','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2742','chapter_id' => '23','arabic_name' => 'أَمْ لَمْ يَعْرِفُوا۟ رَسُولَهُمْ فَهُمْ لَهُۥ مُنكِرُونَ','verse_number' => '69','verse_key' => '23:69','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2743','chapter_id' => '23','arabic_name' => 'أَمْ يَقُولُونَ بِهِۦ جِنَّةٌۢ ۚ بَلْ جَآءَهُم بِٱلْحَقِّ وَأَكْثَرُهُمْ لِلْحَقِّ كَـٰرِهُونَ','verse_number' => '70','verse_key' => '23:70','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2744','chapter_id' => '23','arabic_name' => 'وَلَوِ ٱتَّبَعَ ٱلْحَقُّ أَهْوَآءَهُمْ لَفَسَدَتِ ٱلسَّمَـٰوَٰتُ وَٱلْأَرْضُ وَمَن فِيهِنَّ ۚ بَلْ أَتَيْنَـٰهُم بِذِكْرِهِمْ فَهُمْ عَن ذِكْرِهِم مُّعْرِضُونَ','verse_number' => '71','verse_key' => '23:71','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2745','chapter_id' => '23','arabic_name' => 'أَمْ تَسْـَٔلُهُمْ خَرْجًا فَخَرَاجُ رَبِّكَ خَيْرٌ ۖ وَهُوَ خَيْرُ ٱلرَّٰزِقِينَ','verse_number' => '72','verse_key' => '23:72','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2746','chapter_id' => '23','arabic_name' => 'وَإِنَّكَ لَتَدْعُوهُمْ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '73','verse_key' => '23:73','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2747','chapter_id' => '23','arabic_name' => 'وَإِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ عَنِ ٱلصِّرَٰطِ لَنَـٰكِبُونَ','verse_number' => '74','verse_key' => '23:74','hizb_number' => '35','rub_el_hizb_number' => '138','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '346','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2748','chapter_id' => '23','arabic_name' => '۞ وَلَوْ رَحِمْنَـٰهُمْ وَكَشَفْنَا مَا بِهِم مِّن ضُرٍّ لَّلَجُّوا۟ فِى طُغْيَـٰنِهِمْ يَعْمَهُونَ','verse_number' => '75','verse_key' => '23:75','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2749','chapter_id' => '23','arabic_name' => 'وَلَقَدْ أَخَذْنَـٰهُم بِٱلْعَذَابِ فَمَا ٱسْتَكَانُوا۟ لِرَبِّهِمْ وَمَا يَتَضَرَّعُونَ','verse_number' => '76','verse_key' => '23:76','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2750','chapter_id' => '23','arabic_name' => 'حَتَّىٰٓ إِذَا فَتَحْنَا عَلَيْهِم بَابًا ذَا عَذَابٍ شَدِيدٍ إِذَا هُمْ فِيهِ مُبْلِسُونَ','verse_number' => '77','verse_key' => '23:77','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '298','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2751','chapter_id' => '23','arabic_name' => 'وَهُوَ ٱلَّذِىٓ أَنشَأَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَـٰرَ وَٱلْأَفْـِٔدَةَ ۚ قَلِيلًا مَّا تَشْكُرُونَ','verse_number' => '78','verse_key' => '23:78','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2752','chapter_id' => '23','arabic_name' => 'وَهُوَ ٱلَّذِى ذَرَأَكُمْ فِى ٱلْأَرْضِ وَإِلَيْهِ تُحْشَرُونَ','verse_number' => '79','verse_key' => '23:79','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2753','chapter_id' => '23','arabic_name' => 'وَهُوَ ٱلَّذِى يُحْىِۦ وَيُمِيتُ وَلَهُ ٱخْتِلَـٰفُ ٱلَّيْلِ وَٱلنَّهَارِ ۚ أَفَلَا تَعْقِلُونَ','verse_number' => '80','verse_key' => '23:80','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2754','chapter_id' => '23','arabic_name' => 'بَلْ قَالُوا۟ مِثْلَ مَا قَالَ ٱلْأَوَّلُونَ','verse_number' => '81','verse_key' => '23:81','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2755','chapter_id' => '23','arabic_name' => 'قَالُوٓا۟ أَءِذَا مِتْنَا وَكُنَّا تُرَابًا وَعِظَـٰمًا أَءِنَّا لَمَبْعُوثُونَ','verse_number' => '82','verse_key' => '23:82','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2756','chapter_id' => '23','arabic_name' => 'لَقَدْ وُعِدْنَا نَحْنُ وَءَابَآؤُنَا هَـٰذَا مِن قَبْلُ إِنْ هَـٰذَآ إِلَّآ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '83','verse_key' => '23:83','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2757','chapter_id' => '23','arabic_name' => 'قُل لِّمَنِ ٱلْأَرْضُ وَمَن فِيهَآ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '84','verse_key' => '23:84','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2758','chapter_id' => '23','arabic_name' => 'سَيَقُولُونَ لِلَّهِ ۚ قُلْ أَفَلَا تَذَكَّرُونَ','verse_number' => '85','verse_key' => '23:85','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2759','chapter_id' => '23','arabic_name' => 'قُلْ مَن رَّبُّ ٱلسَّمَـٰوَٰتِ ٱلسَّبْعِ وَرَبُّ ٱلْعَرْشِ ٱلْعَظِيمِ','verse_number' => '86','verse_key' => '23:86','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2760','chapter_id' => '23','arabic_name' => 'سَيَقُولُونَ لِلَّهِ ۚ قُلْ أَفَلَا تَتَّقُونَ','verse_number' => '87','verse_key' => '23:87','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2761','chapter_id' => '23','arabic_name' => 'قُلْ مَنۢ بِيَدِهِۦ مَلَكُوتُ كُلِّ شَىْءٍ وَهُوَ يُجِيرُ وَلَا يُجَارُ عَلَيْهِ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '88','verse_key' => '23:88','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2762','chapter_id' => '23','arabic_name' => 'سَيَقُولُونَ لِلَّهِ ۚ قُلْ فَأَنَّىٰ تُسْحَرُونَ','verse_number' => '89','verse_key' => '23:89','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '347','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2763','chapter_id' => '23','arabic_name' => 'بَلْ أَتَيْنَـٰهُم بِٱلْحَقِّ وَإِنَّهُمْ لَكَـٰذِبُونَ','verse_number' => '90','verse_key' => '23:90','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2764','chapter_id' => '23','arabic_name' => 'مَا ٱتَّخَذَ ٱللَّهُ مِن وَلَدٍ وَمَا كَانَ مَعَهُۥ مِنْ إِلَـٰهٍ ۚ إِذًا لَّذَهَبَ كُلُّ إِلَـٰهٍۭ بِمَا خَلَقَ وَلَعَلَا بَعْضُهُمْ عَلَىٰ بَعْضٍ ۚ سُبْحَـٰنَ ٱللَّهِ عَمَّا يَصِفُونَ','verse_number' => '91','verse_key' => '23:91','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2765','chapter_id' => '23','arabic_name' => 'عَـٰلِمِ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ فَتَعَـٰلَىٰ عَمَّا يُشْرِكُونَ','verse_number' => '92','verse_key' => '23:92','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '299','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2766','chapter_id' => '23','arabic_name' => 'قُل رَّبِّ إِمَّا تُرِيَنِّى مَا يُوعَدُونَ','verse_number' => '93','verse_key' => '23:93','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2767','chapter_id' => '23','arabic_name' => 'رَبِّ فَلَا تَجْعَلْنِى فِى ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '94','verse_key' => '23:94','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2768','chapter_id' => '23','arabic_name' => 'وَإِنَّا عَلَىٰٓ أَن نُّرِيَكَ مَا نَعِدُهُمْ لَقَـٰدِرُونَ','verse_number' => '95','verse_key' => '23:95','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2769','chapter_id' => '23','arabic_name' => 'ٱدْفَعْ بِٱلَّتِى هِىَ أَحْسَنُ ٱلسَّيِّئَةَ ۚ نَحْنُ أَعْلَمُ بِمَا يَصِفُونَ','verse_number' => '96','verse_key' => '23:96','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2770','chapter_id' => '23','arabic_name' => 'وَقُل رَّبِّ أَعُوذُ بِكَ مِنْ هَمَزَٰتِ ٱلشَّيَـٰطِينِ','verse_number' => '97','verse_key' => '23:97','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2771','chapter_id' => '23','arabic_name' => 'وَأَعُوذُ بِكَ رَبِّ أَن يَحْضُرُونِ','verse_number' => '98','verse_key' => '23:98','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2772','chapter_id' => '23','arabic_name' => 'حَتَّىٰٓ إِذَا جَآءَ أَحَدَهُمُ ٱلْمَوْتُ قَالَ رَبِّ ٱرْجِعُونِ','verse_number' => '99','verse_key' => '23:99','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2773','chapter_id' => '23','arabic_name' => 'لَعَلِّىٓ أَعْمَلُ صَـٰلِحًا فِيمَا تَرَكْتُ ۚ كَلَّآ ۚ إِنَّهَا كَلِمَةٌ هُوَ قَآئِلُهَا ۖ وَمِن وَرَآئِهِم بَرْزَخٌ إِلَىٰ يَوْمِ يُبْعَثُونَ','verse_number' => '100','verse_key' => '23:100','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2774','chapter_id' => '23','arabic_name' => 'فَإِذَا نُفِخَ فِى ٱلصُّورِ فَلَآ أَنسَابَ بَيْنَهُمْ يَوْمَئِذٍ وَلَا يَتَسَآءَلُونَ','verse_number' => '101','verse_key' => '23:101','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2775','chapter_id' => '23','arabic_name' => 'فَمَن ثَقُلَتْ مَوَٰزِينُهُۥ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '102','verse_key' => '23:102','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2776','chapter_id' => '23','arabic_name' => 'وَمَنْ خَفَّتْ مَوَٰزِينُهُۥ فَأُو۟لَـٰٓئِكَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ فِى جَهَنَّمَ خَـٰلِدُونَ','verse_number' => '103','verse_key' => '23:103','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2777','chapter_id' => '23','arabic_name' => 'تَلْفَحُ وُجُوهَهُمُ ٱلنَّارُ وَهُمْ فِيهَا كَـٰلِحُونَ','verse_number' => '104','verse_key' => '23:104','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '348','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2778','chapter_id' => '23','arabic_name' => 'أَلَمْ تَكُنْ ءَايَـٰتِى تُتْلَىٰ عَلَيْكُمْ فَكُنتُم بِهَا تُكَذِّبُونَ','verse_number' => '105','verse_key' => '23:105','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2779','chapter_id' => '23','arabic_name' => 'قَالُوا۟ رَبَّنَا غَلَبَتْ عَلَيْنَا شِقْوَتُنَا وَكُنَّا قَوْمًا ضَآلِّينَ','verse_number' => '106','verse_key' => '23:106','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2780','chapter_id' => '23','arabic_name' => 'رَبَّنَآ أَخْرِجْنَا مِنْهَا فَإِنْ عُدْنَا فَإِنَّا ظَـٰلِمُونَ','verse_number' => '107','verse_key' => '23:107','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2781','chapter_id' => '23','arabic_name' => 'قَالَ ٱخْسَـُٔوا۟ فِيهَا وَلَا تُكَلِّمُونِ','verse_number' => '108','verse_key' => '23:108','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2782','chapter_id' => '23','arabic_name' => 'إِنَّهُۥ كَانَ فَرِيقٌ مِّنْ عِبَادِى يَقُولُونَ رَبَّنَآ ءَامَنَّا فَٱغْفِرْ لَنَا وَٱرْحَمْنَا وَأَنتَ خَيْرُ ٱلرَّٰحِمِينَ','verse_number' => '109','verse_key' => '23:109','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2783','chapter_id' => '23','arabic_name' => 'فَٱتَّخَذْتُمُوهُمْ سِخْرِيًّا حَتَّىٰٓ أَنسَوْكُمْ ذِكْرِى وَكُنتُم مِّنْهُمْ تَضْحَكُونَ','verse_number' => '110','verse_key' => '23:110','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2784','chapter_id' => '23','arabic_name' => 'إِنِّى جَزَيْتُهُمُ ٱلْيَوْمَ بِمَا صَبَرُوٓا۟ أَنَّهُمْ هُمُ ٱلْفَآئِزُونَ','verse_number' => '111','verse_key' => '23:111','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2785','chapter_id' => '23','arabic_name' => 'قَـٰلَ كَمْ لَبِثْتُمْ فِى ٱلْأَرْضِ عَدَدَ سِنِينَ','verse_number' => '112','verse_key' => '23:112','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2786','chapter_id' => '23','arabic_name' => 'قَالُوا۟ لَبِثْنَا يَوْمًا أَوْ بَعْضَ يَوْمٍ فَسْـَٔلِ ٱلْعَآدِّينَ','verse_number' => '113','verse_key' => '23:113','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2787','chapter_id' => '23','arabic_name' => 'قَـٰلَ إِن لَّبِثْتُمْ إِلَّا قَلِيلًا ۖ لَّوْ أَنَّكُمْ كُنتُمْ تَعْلَمُونَ','verse_number' => '114','verse_key' => '23:114','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2788','chapter_id' => '23','arabic_name' => 'أَفَحَسِبْتُمْ أَنَّمَا خَلَقْنَـٰكُمْ عَبَثًا وَأَنَّكُمْ إِلَيْنَا لَا تُرْجَعُونَ','verse_number' => '115','verse_key' => '23:115','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2789','chapter_id' => '23','arabic_name' => 'فَتَعَـٰلَى ٱللَّهُ ٱلْمَلِكُ ٱلْحَقُّ ۖ لَآ إِلَـٰهَ إِلَّا هُوَ رَبُّ ٱلْعَرْشِ ٱلْكَرِيمِ','verse_number' => '116','verse_key' => '23:116','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2790','chapter_id' => '23','arabic_name' => 'وَمَن يَدْعُ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ لَا بُرْهَـٰنَ لَهُۥ بِهِۦ فَإِنَّمَا حِسَابُهُۥ عِندَ رَبِّهِۦٓ ۚ إِنَّهُۥ لَا يُفْلِحُ ٱلْكَـٰفِرُونَ','verse_number' => '117','verse_key' => '23:117','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2791','chapter_id' => '23','arabic_name' => 'وَقُل رَّبِّ ٱغْفِرْ وَٱرْحَمْ وَأَنتَ خَيْرُ ٱلرَّٰحِمِينَ','verse_number' => '118','verse_key' => '23:118','hizb_number' => '35','rub_el_hizb_number' => '139','ruku_number' => '300','manzil_number' => '4','sajdah_number' => '0','page_number' => '349','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2792','chapter_id' => '24','arabic_name' => 'سُورَةٌ أَنزَلْنَـٰهَا وَفَرَضْنَـٰهَا وَأَنزَلْنَا فِيهَآ ءَايَـٰتٍۭ بَيِّنَـٰتٍ لَّعَلَّكُمْ تَذَكَّرُونَ','verse_number' => '1','verse_key' => '24:1','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2793','chapter_id' => '24','arabic_name' => 'ٱلزَّانِيَةُ وَٱلزَّانِى فَٱجْلِدُوا۟ كُلَّ وَٰحِدٍ مِّنْهُمَا مِا۟ئَةَ جَلْدَةٍ ۖ وَلَا تَأْخُذْكُم بِهِمَا رَأْفَةٌ فِى دِينِ ٱللَّهِ إِن كُنتُمْ تُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ ۖ وَلْيَشْهَدْ عَذَابَهُمَا طَآئِفَةٌ مِّنَ ٱلْمُؤْمِنِينَ','verse_number' => '2','verse_key' => '24:2','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2794','chapter_id' => '24','arabic_name' => 'ٱلزَّانِى لَا يَنكِحُ إِلَّا زَانِيَةً أَوْ مُشْرِكَةً وَٱلزَّانِيَةُ لَا يَنكِحُهَآ إِلَّا زَانٍ أَوْ مُشْرِكٌ ۚ وَحُرِّمَ ذَٰلِكَ عَلَى ٱلْمُؤْمِنِينَ','verse_number' => '3','verse_key' => '24:3','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2795','chapter_id' => '24','arabic_name' => 'وَٱلَّذِينَ يَرْمُونَ ٱلْمُحْصَنَـٰتِ ثُمَّ لَمْ يَأْتُوا۟ بِأَرْبَعَةِ شُهَدَآءَ فَٱجْلِدُوهُمْ ثَمَـٰنِينَ جَلْدَةً وَلَا تَقْبَلُوا۟ لَهُمْ شَهَـٰدَةً أَبَدًا ۚ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْفَـٰسِقُونَ','verse_number' => '4','verse_key' => '24:4','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2796','chapter_id' => '24','arabic_name' => 'إِلَّا ٱلَّذِينَ تَابُوا۟ مِنۢ بَعْدِ ذَٰلِكَ وَأَصْلَحُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '5','verse_key' => '24:5','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2797','chapter_id' => '24','arabic_name' => 'وَٱلَّذِينَ يَرْمُونَ أَزْوَٰجَهُمْ وَلَمْ يَكُن لَّهُمْ شُهَدَآءُ إِلَّآ أَنفُسُهُمْ فَشَهَـٰدَةُ أَحَدِهِمْ أَرْبَعُ شَهَـٰدَٰتٍۭ بِٱللَّهِ ۙ إِنَّهُۥ لَمِنَ ٱلصَّـٰدِقِينَ','verse_number' => '6','verse_key' => '24:6','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2798','chapter_id' => '24','arabic_name' => 'وَٱلْخَـٰمِسَةُ أَنَّ لَعْنَتَ ٱللَّهِ عَلَيْهِ إِن كَانَ مِنَ ٱلْكَـٰذِبِينَ','verse_number' => '7','verse_key' => '24:7','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2799','chapter_id' => '24','arabic_name' => 'وَيَدْرَؤُا۟ عَنْهَا ٱلْعَذَابَ أَن تَشْهَدَ أَرْبَعَ شَهَـٰدَٰتٍۭ بِٱللَّهِ ۙ إِنَّهُۥ لَمِنَ ٱلْكَـٰذِبِينَ','verse_number' => '8','verse_key' => '24:8','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2800','chapter_id' => '24','arabic_name' => 'وَٱلْخَـٰمِسَةَ أَنَّ غَضَبَ ٱللَّهِ عَلَيْهَآ إِن كَانَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '9','verse_key' => '24:9','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2801','chapter_id' => '24','arabic_name' => 'وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ وَأَنَّ ٱللَّهَ تَوَّابٌ حَكِيمٌ','verse_number' => '10','verse_key' => '24:10','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '301','manzil_number' => '4','sajdah_number' => '0','page_number' => '350','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2802','chapter_id' => '24','arabic_name' => 'إِنَّ ٱلَّذِينَ جَآءُو بِٱلْإِفْكِ عُصْبَةٌ مِّنكُمْ ۚ لَا تَحْسَبُوهُ شَرًّا لَّكُم ۖ بَلْ هُوَ خَيْرٌ لَّكُمْ ۚ لِكُلِّ ٱمْرِئٍ مِّنْهُم مَّا ٱكْتَسَبَ مِنَ ٱلْإِثْمِ ۚ وَٱلَّذِى تَوَلَّىٰ كِبْرَهُۥ مِنْهُمْ لَهُۥ عَذَابٌ عَظِيمٌ','verse_number' => '11','verse_key' => '24:11','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2803','chapter_id' => '24','arabic_name' => 'لَّوْلَآ إِذْ سَمِعْتُمُوهُ ظَنَّ ٱلْمُؤْمِنُونَ وَٱلْمُؤْمِنَـٰتُ بِأَنفُسِهِمْ خَيْرًا وَقَالُوا۟ هَـٰذَآ إِفْكٌ مُّبِينٌ','verse_number' => '12','verse_key' => '24:12','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2804','chapter_id' => '24','arabic_name' => 'لَّوْلَا جَآءُو عَلَيْهِ بِأَرْبَعَةِ شُهَدَآءَ ۚ فَإِذْ لَمْ يَأْتُوا۟ بِٱلشُّهَدَآءِ فَأُو۟لَـٰٓئِكَ عِندَ ٱللَّهِ هُمُ ٱلْكَـٰذِبُونَ','verse_number' => '13','verse_key' => '24:13','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2805','chapter_id' => '24','arabic_name' => 'وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ لَمَسَّكُمْ فِى مَآ أَفَضْتُمْ فِيهِ عَذَابٌ عَظِيمٌ','verse_number' => '14','verse_key' => '24:14','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2806','chapter_id' => '24','arabic_name' => 'إِذْ تَلَقَّوْنَهُۥ بِأَلْسِنَتِكُمْ وَتَقُولُونَ بِأَفْوَاهِكُم مَّا لَيْسَ لَكُم بِهِۦ عِلْمٌ وَتَحْسَبُونَهُۥ هَيِّنًا وَهُوَ عِندَ ٱللَّهِ عَظِيمٌ','verse_number' => '15','verse_key' => '24:15','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2807','chapter_id' => '24','arabic_name' => 'وَلَوْلَآ إِذْ سَمِعْتُمُوهُ قُلْتُم مَّا يَكُونُ لَنَآ أَن نَّتَكَلَّمَ بِهَـٰذَا سُبْحَـٰنَكَ هَـٰذَا بُهْتَـٰنٌ عَظِيمٌ','verse_number' => '16','verse_key' => '24:16','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2808','chapter_id' => '24','arabic_name' => 'يَعِظُكُمُ ٱللَّهُ أَن تَعُودُوا۟ لِمِثْلِهِۦٓ أَبَدًا إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '17','verse_key' => '24:17','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2809','chapter_id' => '24','arabic_name' => 'وَيُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْـَٔايَـٰتِ ۚ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '18','verse_key' => '24:18','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2810','chapter_id' => '24','arabic_name' => 'إِنَّ ٱلَّذِينَ يُحِبُّونَ أَن تَشِيعَ ٱلْفَـٰحِشَةُ فِى ٱلَّذِينَ ءَامَنُوا۟ لَهُمْ عَذَابٌ أَلِيمٌ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ ۚ وَٱللَّهُ يَعْلَمُ وَأَنتُمْ لَا تَعْلَمُونَ','verse_number' => '19','verse_key' => '24:19','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2811','chapter_id' => '24','arabic_name' => 'وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ وَأَنَّ ٱللَّهَ رَءُوفٌ رَّحِيمٌ','verse_number' => '20','verse_key' => '24:20','hizb_number' => '35','rub_el_hizb_number' => '140','ruku_number' => '302','manzil_number' => '4','sajdah_number' => '0','page_number' => '351','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2812','chapter_id' => '24','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّبِعُوا۟ خُطُوَٰتِ ٱلشَّيْطَـٰنِ ۚ وَمَن يَتَّبِعْ خُطُوَٰتِ ٱلشَّيْطَـٰنِ فَإِنَّهُۥ يَأْمُرُ بِٱلْفَحْشَآءِ وَٱلْمُنكَرِ ۚ وَلَوْلَا فَضْلُ ٱللَّهِ عَلَيْكُمْ وَرَحْمَتُهُۥ مَا زَكَىٰ مِنكُم مِّنْ أَحَدٍ أَبَدًا وَلَـٰكِنَّ ٱللَّهَ يُزَكِّى مَن يَشَآءُ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '21','verse_key' => '24:21','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '303','manzil_number' => '4','sajdah_number' => '0','page_number' => '352','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2813','chapter_id' => '24','arabic_name' => 'وَلَا يَأْتَلِ أُو۟لُوا۟ ٱلْفَضْلِ مِنكُمْ وَٱلسَّعَةِ أَن يُؤْتُوٓا۟ أُو۟لِى ٱلْقُرْبَىٰ وَٱلْمَسَـٰكِينَ وَٱلْمُهَـٰجِرِينَ فِى سَبِيلِ ٱللَّهِ ۖ وَلْيَعْفُوا۟ وَلْيَصْفَحُوٓا۟ ۗ أَلَا تُحِبُّونَ أَن يَغْفِرَ ٱللَّهُ لَكُمْ ۗ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '22','verse_key' => '24:22','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '303','manzil_number' => '4','sajdah_number' => '0','page_number' => '352','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2814','chapter_id' => '24','arabic_name' => 'إِنَّ ٱلَّذِينَ يَرْمُونَ ٱلْمُحْصَنَـٰتِ ٱلْغَـٰفِلَـٰتِ ٱلْمُؤْمِنَـٰتِ لُعِنُوا۟ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ وَلَهُمْ عَذَابٌ عَظِيمٌ','verse_number' => '23','verse_key' => '24:23','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '303','manzil_number' => '4','sajdah_number' => '0','page_number' => '352','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2815','chapter_id' => '24','arabic_name' => 'يَوْمَ تَشْهَدُ عَلَيْهِمْ أَلْسِنَتُهُمْ وَأَيْدِيهِمْ وَأَرْجُلُهُم بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '24','verse_key' => '24:24','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '303','manzil_number' => '4','sajdah_number' => '0','page_number' => '352','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2816','chapter_id' => '24','arabic_name' => 'يَوْمَئِذٍ يُوَفِّيهِمُ ٱللَّهُ دِينَهُمُ ٱلْحَقَّ وَيَعْلَمُونَ أَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ ٱلْمُبِينُ','verse_number' => '25','verse_key' => '24:25','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '303','manzil_number' => '4','sajdah_number' => '0','page_number' => '352','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2817','chapter_id' => '24','arabic_name' => 'ٱلْخَبِيثَـٰتُ لِلْخَبِيثِينَ وَٱلْخَبِيثُونَ لِلْخَبِيثَـٰتِ ۖ وَٱلطَّيِّبَـٰتُ لِلطَّيِّبِينَ وَٱلطَّيِّبُونَ لِلطَّيِّبَـٰتِ ۚ أُو۟لَـٰٓئِكَ مُبَرَّءُونَ مِمَّا يَقُولُونَ ۖ لَهُم مَّغْفِرَةٌ وَرِزْقٌ كَرِيمٌ','verse_number' => '26','verse_key' => '24:26','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '303','manzil_number' => '4','sajdah_number' => '0','page_number' => '352','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2818','chapter_id' => '24','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَدْخُلُوا۟ بُيُوتًا غَيْرَ بُيُوتِكُمْ حَتَّىٰ تَسْتَأْنِسُوا۟ وَتُسَلِّمُوا۟ عَلَىٰٓ أَهْلِهَا ۚ ذَٰلِكُمْ خَيْرٌ لَّكُمْ لَعَلَّكُمْ تَذَكَّرُونَ','verse_number' => '27','verse_key' => '24:27','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '352','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2819','chapter_id' => '24','arabic_name' => 'فَإِن لَّمْ تَجِدُوا۟ فِيهَآ أَحَدًا فَلَا تَدْخُلُوهَا حَتَّىٰ يُؤْذَنَ لَكُمْ ۖ وَإِن قِيلَ لَكُمُ ٱرْجِعُوا۟ فَٱرْجِعُوا۟ ۖ هُوَ أَزْكَىٰ لَكُمْ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ عَلِيمٌ','verse_number' => '28','verse_key' => '24:28','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '353','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2820','chapter_id' => '24','arabic_name' => 'لَّيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَدْخُلُوا۟ بُيُوتًا غَيْرَ مَسْكُونَةٍ فِيهَا مَتَـٰعٌ لَّكُمْ ۚ وَٱللَّهُ يَعْلَمُ مَا تُبْدُونَ وَمَا تَكْتُمُونَ','verse_number' => '29','verse_key' => '24:29','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '353','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2821','chapter_id' => '24','arabic_name' => 'قُل لِّلْمُؤْمِنِينَ يَغُضُّوا۟ مِنْ أَبْصَـٰرِهِمْ وَيَحْفَظُوا۟ فُرُوجَهُمْ ۚ ذَٰلِكَ أَزْكَىٰ لَهُمْ ۗ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا يَصْنَعُونَ','verse_number' => '30','verse_key' => '24:30','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '353','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2822','chapter_id' => '24','arabic_name' => 'وَقُل لِّلْمُؤْمِنَـٰتِ يَغْضُضْنَ مِنْ أَبْصَـٰرِهِنَّ وَيَحْفَظْنَ فُرُوجَهُنَّ وَلَا يُبْدِينَ زِينَتَهُنَّ إِلَّا مَا ظَهَرَ مِنْهَا ۖ وَلْيَضْرِبْنَ بِخُمُرِهِنَّ عَلَىٰ جُيُوبِهِنَّ ۖ وَلَا يُبْدِينَ زِينَتَهُنَّ إِلَّا لِبُعُولَتِهِنَّ أَوْ ءَابَآئِهِنَّ أَوْ ءَابَآءِ بُعُولَتِهِنَّ أَوْ أَبْنَآئِهِنَّ أَوْ أَبْنَآءِ بُعُولَتِهِنَّ أَوْ إِخْوَٰنِهِنَّ أَوْ بَنِىٓ إِخْوَٰنِهِنَّ أَوْ بَنِىٓ أَخَوَٰتِهِنَّ أَوْ نِسَآئِهِنَّ أَوْ مَا مَلَكَتْ أَيْمَـٰنُهُنَّ أَوِ ٱلتَّـٰبِعِينَ غَيْرِ أُو۟لِى ٱلْإِرْبَةِ مِنَ ٱلرِّجَالِ أَوِ ٱلطِّفْلِ ٱلَّذِينَ لَمْ يَظْهَرُوا۟ عَلَىٰ عَوْرَٰتِ ٱلنِّسَآءِ ۖ وَلَا يَضْرِبْنَ بِأَرْجُلِهِنَّ لِيُعْلَمَ مَا يُخْفِينَ مِن زِينَتِهِنَّ ۚ وَتُوبُوٓا۟ إِلَى ٱللَّهِ جَمِيعًا أَيُّهَ ٱلْمُؤْمِنُونَ لَعَلَّكُمْ تُفْلِحُونَ','verse_number' => '31','verse_key' => '24:31','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '353','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2823','chapter_id' => '24','arabic_name' => 'وَأَنكِحُوا۟ ٱلْأَيَـٰمَىٰ مِنكُمْ وَٱلصَّـٰلِحِينَ مِنْ عِبَادِكُمْ وَإِمَآئِكُمْ ۚ إِن يَكُونُوا۟ فُقَرَآءَ يُغْنِهِمُ ٱللَّهُ مِن فَضْلِهِۦ ۗ وَٱللَّهُ وَٰسِعٌ عَلِيمٌ','verse_number' => '32','verse_key' => '24:32','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '354','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2824','chapter_id' => '24','arabic_name' => 'وَلْيَسْتَعْفِفِ ٱلَّذِينَ لَا يَجِدُونَ نِكَاحًا حَتَّىٰ يُغْنِيَهُمُ ٱللَّهُ مِن فَضْلِهِۦ ۗ وَٱلَّذِينَ يَبْتَغُونَ ٱلْكِتَـٰبَ مِمَّا مَلَكَتْ أَيْمَـٰنُكُمْ فَكَاتِبُوهُمْ إِنْ عَلِمْتُمْ فِيهِمْ خَيْرًا ۖ وَءَاتُوهُم مِّن مَّالِ ٱللَّهِ ٱلَّذِىٓ ءَاتَىٰكُمْ ۚ وَلَا تُكْرِهُوا۟ فَتَيَـٰتِكُمْ عَلَى ٱلْبِغَآءِ إِنْ أَرَدْنَ تَحَصُّنًا لِّتَبْتَغُوا۟ عَرَضَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَمَن يُكْرِههُّنَّ فَإِنَّ ٱللَّهَ مِنۢ بَعْدِ إِكْرَٰهِهِنَّ غَفُورٌ رَّحِيمٌ','verse_number' => '33','verse_key' => '24:33','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '354','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2825','chapter_id' => '24','arabic_name' => 'وَلَقَدْ أَنزَلْنَآ إِلَيْكُمْ ءَايَـٰتٍ مُّبَيِّنَـٰتٍ وَمَثَلًا مِّنَ ٱلَّذِينَ خَلَوْا۟ مِن قَبْلِكُمْ وَمَوْعِظَةً لِّلْمُتَّقِينَ','verse_number' => '34','verse_key' => '24:34','hizb_number' => '36','rub_el_hizb_number' => '141','ruku_number' => '304','manzil_number' => '4','sajdah_number' => '0','page_number' => '354','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2826','chapter_id' => '24','arabic_name' => '۞ ٱللَّهُ نُورُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ مَثَلُ نُورِهِۦ كَمِشْكَوٰةٍ فِيهَا مِصْبَاحٌ ۖ ٱلْمِصْبَاحُ فِى زُجَاجَةٍ ۖ ٱلزُّجَاجَةُ كَأَنَّهَا كَوْكَبٌ دُرِّىٌّ يُوقَدُ مِن شَجَرَةٍ مُّبَـٰرَكَةٍ زَيْتُونَةٍ لَّا شَرْقِيَّةٍ وَلَا غَرْبِيَّةٍ يَكَادُ زَيْتُهَا يُضِىٓءُ وَلَوْ لَمْ تَمْسَسْهُ نَارٌ ۚ نُّورٌ عَلَىٰ نُورٍ ۗ يَهْدِى ٱللَّهُ لِنُورِهِۦ مَن يَشَآءُ ۚ وَيَضْرِبُ ٱللَّهُ ٱلْأَمْثَـٰلَ لِلنَّاسِ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '35','verse_key' => '24:35','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '305','manzil_number' => '4','sajdah_number' => '0','page_number' => '354','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2827','chapter_id' => '24','arabic_name' => 'فِى بُيُوتٍ أَذِنَ ٱللَّهُ أَن تُرْفَعَ وَيُذْكَرَ فِيهَا ٱسْمُهُۥ يُسَبِّحُ لَهُۥ فِيهَا بِٱلْغُدُوِّ وَٱلْـَٔاصَالِ','verse_number' => '36','verse_key' => '24:36','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '305','manzil_number' => '4','sajdah_number' => '0','page_number' => '354','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2828','chapter_id' => '24','arabic_name' => 'رِجَالٌ لَّا تُلْهِيهِمْ تِجَـٰرَةٌ وَلَا بَيْعٌ عَن ذِكْرِ ٱللَّهِ وَإِقَامِ ٱلصَّلَوٰةِ وَإِيتَآءِ ٱلزَّكَوٰةِ ۙ يَخَافُونَ يَوْمًا تَتَقَلَّبُ فِيهِ ٱلْقُلُوبُ وَٱلْأَبْصَـٰرُ','verse_number' => '37','verse_key' => '24:37','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '305','manzil_number' => '4','sajdah_number' => '0','page_number' => '355','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2829','chapter_id' => '24','arabic_name' => 'لِيَجْزِيَهُمُ ٱللَّهُ أَحْسَنَ مَا عَمِلُوا۟ وَيَزِيدَهُم مِّن فَضْلِهِۦ ۗ وَٱللَّهُ يَرْزُقُ مَن يَشَآءُ بِغَيْرِ حِسَابٍ','verse_number' => '38','verse_key' => '24:38','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '305','manzil_number' => '4','sajdah_number' => '0','page_number' => '355','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2830','chapter_id' => '24','arabic_name' => 'وَٱلَّذِينَ كَفَرُوٓا۟ أَعْمَـٰلُهُمْ كَسَرَابٍۭ بِقِيعَةٍ يَحْسَبُهُ ٱلظَّمْـَٔانُ مَآءً حَتَّىٰٓ إِذَا جَآءَهُۥ لَمْ يَجِدْهُ شَيْـًٔا وَوَجَدَ ٱللَّهَ عِندَهُۥ فَوَفَّىٰهُ حِسَابَهُۥ ۗ وَٱللَّهُ سَرِيعُ ٱلْحِسَابِ','verse_number' => '39','verse_key' => '24:39','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '305','manzil_number' => '4','sajdah_number' => '0','page_number' => '355','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2831','chapter_id' => '24','arabic_name' => 'أَوْ كَظُلُمَـٰتٍ فِى بَحْرٍ لُّجِّىٍّ يَغْشَىٰهُ مَوْجٌ مِّن فَوْقِهِۦ مَوْجٌ مِّن فَوْقِهِۦ سَحَابٌ ۚ ظُلُمَـٰتٌۢ بَعْضُهَا فَوْقَ بَعْضٍ إِذَآ أَخْرَجَ يَدَهُۥ لَمْ يَكَدْ يَرَىٰهَا ۗ وَمَن لَّمْ يَجْعَلِ ٱللَّهُ لَهُۥ نُورًا فَمَا لَهُۥ مِن نُّورٍ','verse_number' => '40','verse_key' => '24:40','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '305','manzil_number' => '4','sajdah_number' => '0','page_number' => '355','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2832','chapter_id' => '24','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ يُسَبِّحُ لَهُۥ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَٱلطَّيْرُ صَـٰٓفَّـٰتٍ ۖ كُلٌّ قَدْ عَلِمَ صَلَاتَهُۥ وَتَسْبِيحَهُۥ ۗ وَٱللَّهُ عَلِيمٌۢ بِمَا يَفْعَلُونَ','verse_number' => '41','verse_key' => '24:41','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '355','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2833','chapter_id' => '24','arabic_name' => 'وَلِلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ وَإِلَى ٱللَّهِ ٱلْمَصِيرُ','verse_number' => '42','verse_key' => '24:42','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '355','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2834','chapter_id' => '24','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ يُزْجِى سَحَابًا ثُمَّ يُؤَلِّفُ بَيْنَهُۥ ثُمَّ يَجْعَلُهُۥ رُكَامًا فَتَرَى ٱلْوَدْقَ يَخْرُجُ مِنْ خِلَـٰلِهِۦ وَيُنَزِّلُ مِنَ ٱلسَّمَآءِ مِن جِبَالٍ فِيهَا مِنۢ بَرَدٍ فَيُصِيبُ بِهِۦ مَن يَشَآءُ وَيَصْرِفُهُۥ عَن مَّن يَشَآءُ ۖ يَكَادُ سَنَا بَرْقِهِۦ يَذْهَبُ بِٱلْأَبْصَـٰرِ','verse_number' => '43','verse_key' => '24:43','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '355','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2835','chapter_id' => '24','arabic_name' => 'يُقَلِّبُ ٱللَّهُ ٱلَّيْلَ وَٱلنَّهَارَ ۚ إِنَّ فِى ذَٰلِكَ لَعِبْرَةً لِّأُو۟لِى ٱلْأَبْصَـٰرِ','verse_number' => '44','verse_key' => '24:44','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2836','chapter_id' => '24','arabic_name' => 'وَٱللَّهُ خَلَقَ كُلَّ دَآبَّةٍ مِّن مَّآءٍ ۖ فَمِنْهُم مَّن يَمْشِى عَلَىٰ بَطْنِهِۦ وَمِنْهُم مَّن يَمْشِى عَلَىٰ رِجْلَيْنِ وَمِنْهُم مَّن يَمْشِى عَلَىٰٓ أَرْبَعٍ ۚ يَخْلُقُ ٱللَّهُ مَا يَشَآءُ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '45','verse_key' => '24:45','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2837','chapter_id' => '24','arabic_name' => 'لَّقَدْ أَنزَلْنَآ ءَايَـٰتٍ مُّبَيِّنَـٰتٍ ۚ وَٱللَّهُ يَهْدِى مَن يَشَآءُ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '46','verse_key' => '24:46','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2838','chapter_id' => '24','arabic_name' => 'وَيَقُولُونَ ءَامَنَّا بِٱللَّهِ وَبِٱلرَّسُولِ وَأَطَعْنَا ثُمَّ يَتَوَلَّىٰ فَرِيقٌ مِّنْهُم مِّنۢ بَعْدِ ذَٰلِكَ ۚ وَمَآ أُو۟لَـٰٓئِكَ بِٱلْمُؤْمِنِينَ','verse_number' => '47','verse_key' => '24:47','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2839','chapter_id' => '24','arabic_name' => 'وَإِذَا دُعُوٓا۟ إِلَى ٱللَّهِ وَرَسُولِهِۦ لِيَحْكُمَ بَيْنَهُمْ إِذَا فَرِيقٌ مِّنْهُم مُّعْرِضُونَ','verse_number' => '48','verse_key' => '24:48','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2840','chapter_id' => '24','arabic_name' => 'وَإِن يَكُن لَّهُمُ ٱلْحَقُّ يَأْتُوٓا۟ إِلَيْهِ مُذْعِنِينَ','verse_number' => '49','verse_key' => '24:49','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2841','chapter_id' => '24','arabic_name' => 'أَفِى قُلُوبِهِم مَّرَضٌ أَمِ ٱرْتَابُوٓا۟ أَمْ يَخَافُونَ أَن يَحِيفَ ٱللَّهُ عَلَيْهِمْ وَرَسُولُهُۥ ۚ بَلْ أُو۟لَـٰٓئِكَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '50','verse_key' => '24:50','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '306','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2842','chapter_id' => '24','arabic_name' => 'إِنَّمَا كَانَ قَوْلَ ٱلْمُؤْمِنِينَ إِذَا دُعُوٓا۟ إِلَى ٱللَّهِ وَرَسُولِهِۦ لِيَحْكُمَ بَيْنَهُمْ أَن يَقُولُوا۟ سَمِعْنَا وَأَطَعْنَا ۚ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '51','verse_key' => '24:51','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '307','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2843','chapter_id' => '24','arabic_name' => 'وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ وَيَخْشَ ٱللَّهَ وَيَتَّقْهِ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْفَآئِزُونَ','verse_number' => '52','verse_key' => '24:52','hizb_number' => '36','rub_el_hizb_number' => '142','ruku_number' => '307','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2844','chapter_id' => '24','arabic_name' => '۞ وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَـٰنِهِمْ لَئِنْ أَمَرْتَهُمْ لَيَخْرُجُنَّ ۖ قُل لَّا تُقْسِمُوا۟ ۖ طَاعَةٌ مَّعْرُوفَةٌ ۚ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '53','verse_key' => '24:53','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '307','manzil_number' => '4','sajdah_number' => '0','page_number' => '356','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2845','chapter_id' => '24','arabic_name' => 'قُلْ أَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ ۖ فَإِن تَوَلَّوْا۟ فَإِنَّمَا عَلَيْهِ مَا حُمِّلَ وَعَلَيْكُم مَّا حُمِّلْتُمْ ۖ وَإِن تُطِيعُوهُ تَهْتَدُوا۟ ۚ وَمَا عَلَى ٱلرَّسُولِ إِلَّا ٱلْبَلَـٰغُ ٱلْمُبِينُ','verse_number' => '54','verse_key' => '24:54','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '307','manzil_number' => '4','sajdah_number' => '0','page_number' => '357','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2846','chapter_id' => '24','arabic_name' => 'وَعَدَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ مِنكُمْ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَيَسْتَخْلِفَنَّهُمْ فِى ٱلْأَرْضِ كَمَا ٱسْتَخْلَفَ ٱلَّذِينَ مِن قَبْلِهِمْ وَلَيُمَكِّنَنَّ لَهُمْ دِينَهُمُ ٱلَّذِى ٱرْتَضَىٰ لَهُمْ وَلَيُبَدِّلَنَّهُم مِّنۢ بَعْدِ خَوْفِهِمْ أَمْنًا ۚ يَعْبُدُونَنِى لَا يُشْرِكُونَ بِى شَيْـًٔا ۚ وَمَن كَفَرَ بَعْدَ ذَٰلِكَ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْفَـٰسِقُونَ','verse_number' => '55','verse_key' => '24:55','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '307','manzil_number' => '4','sajdah_number' => '0','page_number' => '357','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2847','chapter_id' => '24','arabic_name' => 'وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَأَطِيعُوا۟ ٱلرَّسُولَ لَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '56','verse_key' => '24:56','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '307','manzil_number' => '4','sajdah_number' => '0','page_number' => '357','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2848','chapter_id' => '24','arabic_name' => 'لَا تَحْسَبَنَّ ٱلَّذِينَ كَفَرُوا۟ مُعْجِزِينَ فِى ٱلْأَرْضِ ۚ وَمَأْوَىٰهُمُ ٱلنَّارُ ۖ وَلَبِئْسَ ٱلْمَصِيرُ','verse_number' => '57','verse_key' => '24:57','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '307','manzil_number' => '4','sajdah_number' => '0','page_number' => '357','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2849','chapter_id' => '24','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لِيَسْتَـْٔذِنكُمُ ٱلَّذِينَ مَلَكَتْ أَيْمَـٰنُكُمْ وَٱلَّذِينَ لَمْ يَبْلُغُوا۟ ٱلْحُلُمَ مِنكُمْ ثَلَـٰثَ مَرَّٰتٍ ۚ مِّن قَبْلِ صَلَوٰةِ ٱلْفَجْرِ وَحِينَ تَضَعُونَ ثِيَابَكُم مِّنَ ٱلظَّهِيرَةِ وَمِنۢ بَعْدِ صَلَوٰةِ ٱلْعِشَآءِ ۚ ثَلَـٰثُ عَوْرَٰتٍ لَّكُمْ ۚ لَيْسَ عَلَيْكُمْ وَلَا عَلَيْهِمْ جُنَاحٌۢ بَعْدَهُنَّ ۚ طَوَّٰفُونَ عَلَيْكُم بَعْضُكُمْ عَلَىٰ بَعْضٍ ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْـَٔايَـٰتِ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '58','verse_key' => '24:58','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '308','manzil_number' => '4','sajdah_number' => '0','page_number' => '357','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2850','chapter_id' => '24','arabic_name' => 'وَإِذَا بَلَغَ ٱلْأَطْفَـٰلُ مِنكُمُ ٱلْحُلُمَ فَلْيَسْتَـْٔذِنُوا۟ كَمَا ٱسْتَـْٔذَنَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمْ ءَايَـٰتِهِۦ ۗ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '59','verse_key' => '24:59','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '308','manzil_number' => '4','sajdah_number' => '0','page_number' => '358','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2851','chapter_id' => '24','arabic_name' => 'وَٱلْقَوَٰعِدُ مِنَ ٱلنِّسَآءِ ٱلَّـٰتِى لَا يَرْجُونَ نِكَاحًا فَلَيْسَ عَلَيْهِنَّ جُنَاحٌ أَن يَضَعْنَ ثِيَابَهُنَّ غَيْرَ مُتَبَرِّجَـٰتٍۭ بِزِينَةٍ ۖ وَأَن يَسْتَعْفِفْنَ خَيْرٌ لَّهُنَّ ۗ وَٱللَّهُ سَمِيعٌ عَلِيمٌ','verse_number' => '60','verse_key' => '24:60','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '308','manzil_number' => '4','sajdah_number' => '0','page_number' => '358','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2852','chapter_id' => '24','arabic_name' => 'لَّيْسَ عَلَى ٱلْأَعْمَىٰ حَرَجٌ وَلَا عَلَى ٱلْأَعْرَجِ حَرَجٌ وَلَا عَلَى ٱلْمَرِيضِ حَرَجٌ وَلَا عَلَىٰٓ أَنفُسِكُمْ أَن تَأْكُلُوا۟ مِنۢ بُيُوتِكُمْ أَوْ بُيُوتِ ءَابَآئِكُمْ أَوْ بُيُوتِ أُمَّهَـٰتِكُمْ أَوْ بُيُوتِ إِخْوَٰنِكُمْ أَوْ بُيُوتِ أَخَوَٰتِكُمْ أَوْ بُيُوتِ أَعْمَـٰمِكُمْ أَوْ بُيُوتِ عَمَّـٰتِكُمْ أَوْ بُيُوتِ أَخْوَٰلِكُمْ أَوْ بُيُوتِ خَـٰلَـٰتِكُمْ أَوْ مَا مَلَكْتُم مَّفَاتِحَهُۥٓ أَوْ صَدِيقِكُمْ ۚ لَيْسَ عَلَيْكُمْ جُنَاحٌ أَن تَأْكُلُوا۟ جَمِيعًا أَوْ أَشْتَاتًا ۚ فَإِذَا دَخَلْتُم بُيُوتًا فَسَلِّمُوا۟ عَلَىٰٓ أَنفُسِكُمْ تَحِيَّةً مِّنْ عِندِ ٱللَّهِ مُبَـٰرَكَةً طَيِّبَةً ۚ كَذَٰلِكَ يُبَيِّنُ ٱللَّهُ لَكُمُ ٱلْـَٔايَـٰتِ لَعَلَّكُمْ تَعْقِلُونَ','verse_number' => '61','verse_key' => '24:61','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '308','manzil_number' => '4','sajdah_number' => '0','page_number' => '358','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2853','chapter_id' => '24','arabic_name' => 'إِنَّمَا ٱلْمُؤْمِنُونَ ٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَإِذَا كَانُوا۟ مَعَهُۥ عَلَىٰٓ أَمْرٍ جَامِعٍ لَّمْ يَذْهَبُوا۟ حَتَّىٰ يَسْتَـْٔذِنُوهُ ۚ إِنَّ ٱلَّذِينَ يَسْتَـْٔذِنُونَكَ أُو۟لَـٰٓئِكَ ٱلَّذِينَ يُؤْمِنُونَ بِٱللَّهِ وَرَسُولِهِۦ ۚ فَإِذَا ٱسْتَـْٔذَنُوكَ لِبَعْضِ شَأْنِهِمْ فَأْذَن لِّمَن شِئْتَ مِنْهُمْ وَٱسْتَغْفِرْ لَهُمُ ٱللَّهَ ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '62','verse_key' => '24:62','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '309','manzil_number' => '4','sajdah_number' => '0','page_number' => '359','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2854','chapter_id' => '24','arabic_name' => 'لَّا تَجْعَلُوا۟ دُعَآءَ ٱلرَّسُولِ بَيْنَكُمْ كَدُعَآءِ بَعْضِكُم بَعْضًا ۚ قَدْ يَعْلَمُ ٱللَّهُ ٱلَّذِينَ يَتَسَلَّلُونَ مِنكُمْ لِوَاذًا ۚ فَلْيَحْذَرِ ٱلَّذِينَ يُخَالِفُونَ عَنْ أَمْرِهِۦٓ أَن تُصِيبَهُمْ فِتْنَةٌ أَوْ يُصِيبَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '63','verse_key' => '24:63','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '309','manzil_number' => '4','sajdah_number' => '0','page_number' => '359','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2855','chapter_id' => '24','arabic_name' => 'أَلَآ إِنَّ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ قَدْ يَعْلَمُ مَآ أَنتُمْ عَلَيْهِ وَيَوْمَ يُرْجَعُونَ إِلَيْهِ فَيُنَبِّئُهُم بِمَا عَمِلُوا۟ ۗ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌۢ','verse_number' => '64','verse_key' => '24:64','hizb_number' => '36','rub_el_hizb_number' => '143','ruku_number' => '309','manzil_number' => '4','sajdah_number' => '0','page_number' => '359','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2856','chapter_id' => '25','arabic_name' => 'تَبَارَكَ ٱلَّذِى نَزَّلَ ٱلْفُرْقَانَ عَلَىٰ عَبْدِهِۦ لِيَكُونَ لِلْعَـٰلَمِينَ نَذِيرًا','verse_number' => '1','verse_key' => '25:1','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '359','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2857','chapter_id' => '25','arabic_name' => 'ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَلَمْ يَتَّخِذْ وَلَدًا وَلَمْ يَكُن لَّهُۥ شَرِيكٌ فِى ٱلْمُلْكِ وَخَلَقَ كُلَّ شَىْءٍ فَقَدَّرَهُۥ تَقْدِيرًا','verse_number' => '2','verse_key' => '25:2','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '359','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2858','chapter_id' => '25','arabic_name' => 'وَٱتَّخَذُوا۟ مِن دُونِهِۦٓ ءَالِهَةً لَّا يَخْلُقُونَ شَيْـًٔا وَهُمْ يُخْلَقُونَ وَلَا يَمْلِكُونَ لِأَنفُسِهِمْ ضَرًّا وَلَا نَفْعًا وَلَا يَمْلِكُونَ مَوْتًا وَلَا حَيَوٰةً وَلَا نُشُورًا','verse_number' => '3','verse_key' => '25:3','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2859','chapter_id' => '25','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ هَـٰذَآ إِلَّآ إِفْكٌ ٱفْتَرَىٰهُ وَأَعَانَهُۥ عَلَيْهِ قَوْمٌ ءَاخَرُونَ ۖ فَقَدْ جَآءُو ظُلْمًا وَزُورًا','verse_number' => '4','verse_key' => '25:4','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2860','chapter_id' => '25','arabic_name' => 'وَقَالُوٓا۟ أَسَـٰطِيرُ ٱلْأَوَّلِينَ ٱكْتَتَبَهَا فَهِىَ تُمْلَىٰ عَلَيْهِ بُكْرَةً وَأَصِيلًا','verse_number' => '5','verse_key' => '25:5','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2861','chapter_id' => '25','arabic_name' => 'قُلْ أَنزَلَهُ ٱلَّذِى يَعْلَمُ ٱلسِّرَّ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ إِنَّهُۥ كَانَ غَفُورًا رَّحِيمًا','verse_number' => '6','verse_key' => '25:6','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2862','chapter_id' => '25','arabic_name' => 'وَقَالُوا۟ مَالِ هَـٰذَا ٱلرَّسُولِ يَأْكُلُ ٱلطَّعَامَ وَيَمْشِى فِى ٱلْأَسْوَاقِ ۙ لَوْلَآ أُنزِلَ إِلَيْهِ مَلَكٌ فَيَكُونَ مَعَهُۥ نَذِيرًا','verse_number' => '7','verse_key' => '25:7','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2863','chapter_id' => '25','arabic_name' => 'أَوْ يُلْقَىٰٓ إِلَيْهِ كَنزٌ أَوْ تَكُونُ لَهُۥ جَنَّةٌ يَأْكُلُ مِنْهَا ۚ وَقَالَ ٱلظَّـٰلِمُونَ إِن تَتَّبِعُونَ إِلَّا رَجُلًا مَّسْحُورًا','verse_number' => '8','verse_key' => '25:8','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2864','chapter_id' => '25','arabic_name' => 'ٱنظُرْ كَيْفَ ضَرَبُوا۟ لَكَ ٱلْأَمْثَـٰلَ فَضَلُّوا۟ فَلَا يَسْتَطِيعُونَ سَبِيلًا','verse_number' => '9','verse_key' => '25:9','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '310','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2865','chapter_id' => '25','arabic_name' => 'تَبَارَكَ ٱلَّذِىٓ إِن شَآءَ جَعَلَ لَكَ خَيْرًا مِّن ذَٰلِكَ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ وَيَجْعَل لَّكَ قُصُورًۢا','verse_number' => '10','verse_key' => '25:10','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2866','chapter_id' => '25','arabic_name' => 'بَلْ كَذَّبُوا۟ بِٱلسَّاعَةِ ۖ وَأَعْتَدْنَا لِمَن كَذَّبَ بِٱلسَّاعَةِ سَعِيرًا','verse_number' => '11','verse_key' => '25:11','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '360','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2867','chapter_id' => '25','arabic_name' => 'إِذَا رَأَتْهُم مِّن مَّكَانٍۭ بَعِيدٍ سَمِعُوا۟ لَهَا تَغَيُّظًا وَزَفِيرًا','verse_number' => '12','verse_key' => '25:12','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2868','chapter_id' => '25','arabic_name' => 'وَإِذَآ أُلْقُوا۟ مِنْهَا مَكَانًا ضَيِّقًا مُّقَرَّنِينَ دَعَوْا۟ هُنَالِكَ ثُبُورًا','verse_number' => '13','verse_key' => '25:13','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2869','chapter_id' => '25','arabic_name' => 'لَّا تَدْعُوا۟ ٱلْيَوْمَ ثُبُورًا وَٰحِدًا وَٱدْعُوا۟ ثُبُورًا كَثِيرًا','verse_number' => '14','verse_key' => '25:14','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2870','chapter_id' => '25','arabic_name' => 'قُلْ أَذَٰلِكَ خَيْرٌ أَمْ جَنَّةُ ٱلْخُلْدِ ٱلَّتِى وُعِدَ ٱلْمُتَّقُونَ ۚ كَانَتْ لَهُمْ جَزَآءً وَمَصِيرًا','verse_number' => '15','verse_key' => '25:15','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2871','chapter_id' => '25','arabic_name' => 'لَّهُمْ فِيهَا مَا يَشَآءُونَ خَـٰلِدِينَ ۚ كَانَ عَلَىٰ رَبِّكَ وَعْدًا مَّسْـُٔولًا','verse_number' => '16','verse_key' => '25:16','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2872','chapter_id' => '25','arabic_name' => 'وَيَوْمَ يَحْشُرُهُمْ وَمَا يَعْبُدُونَ مِن دُونِ ٱللَّهِ فَيَقُولُ ءَأَنتُمْ أَضْلَلْتُمْ عِبَادِى هَـٰٓؤُلَآءِ أَمْ هُمْ ضَلُّوا۟ ٱلسَّبِيلَ','verse_number' => '17','verse_key' => '25:17','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2873','chapter_id' => '25','arabic_name' => 'قَالُوا۟ سُبْحَـٰنَكَ مَا كَانَ يَنۢبَغِى لَنَآ أَن نَّتَّخِذَ مِن دُونِكَ مِنْ أَوْلِيَآءَ وَلَـٰكِن مَّتَّعْتَهُمْ وَءَابَآءَهُمْ حَتَّىٰ نَسُوا۟ ٱلذِّكْرَ وَكَانُوا۟ قَوْمًۢا بُورًا','verse_number' => '18','verse_key' => '25:18','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2874','chapter_id' => '25','arabic_name' => 'فَقَدْ كَذَّبُوكُم بِمَا تَقُولُونَ فَمَا تَسْتَطِيعُونَ صَرْفًا وَلَا نَصْرًا ۚ وَمَن يَظْلِم مِّنكُمْ نُذِقْهُ عَذَابًا كَبِيرًا','verse_number' => '19','verse_key' => '25:19','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2875','chapter_id' => '25','arabic_name' => 'وَمَآ أَرْسَلْنَا قَبْلَكَ مِنَ ٱلْمُرْسَلِينَ إِلَّآ إِنَّهُمْ لَيَأْكُلُونَ ٱلطَّعَامَ وَيَمْشُونَ فِى ٱلْأَسْوَاقِ ۗ وَجَعَلْنَا بَعْضَكُمْ لِبَعْضٍ فِتْنَةً أَتَصْبِرُونَ ۗ وَكَانَ رَبُّكَ بَصِيرًا','verse_number' => '20','verse_key' => '25:20','hizb_number' => '36','rub_el_hizb_number' => '144','ruku_number' => '311','manzil_number' => '4','sajdah_number' => '0','page_number' => '361','juz_number' => '18','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2876','chapter_id' => '25','arabic_name' => '۞ وَقَالَ ٱلَّذِينَ لَا يَرْجُونَ لِقَآءَنَا لَوْلَآ أُنزِلَ عَلَيْنَا ٱلْمَلَـٰٓئِكَةُ أَوْ نَرَىٰ رَبَّنَا ۗ لَقَدِ ٱسْتَكْبَرُوا۟ فِىٓ أَنفُسِهِمْ وَعَتَوْ عُتُوًّا كَبِيرًا','verse_number' => '21','verse_key' => '25:21','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2877','chapter_id' => '25','arabic_name' => 'يَوْمَ يَرَوْنَ ٱلْمَلَـٰٓئِكَةَ لَا بُشْرَىٰ يَوْمَئِذٍ لِّلْمُجْرِمِينَ وَيَقُولُونَ حِجْرًا مَّحْجُورًا','verse_number' => '22','verse_key' => '25:22','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2878','chapter_id' => '25','arabic_name' => 'وَقَدِمْنَآ إِلَىٰ مَا عَمِلُوا۟ مِنْ عَمَلٍ فَجَعَلْنَـٰهُ هَبَآءً مَّنثُورًا','verse_number' => '23','verse_key' => '25:23','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2879','chapter_id' => '25','arabic_name' => 'أَصْحَـٰبُ ٱلْجَنَّةِ يَوْمَئِذٍ خَيْرٌ مُّسْتَقَرًّا وَأَحْسَنُ مَقِيلًا','verse_number' => '24','verse_key' => '25:24','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2880','chapter_id' => '25','arabic_name' => 'وَيَوْمَ تَشَقَّقُ ٱلسَّمَآءُ بِٱلْغَمَـٰمِ وَنُزِّلَ ٱلْمَلَـٰٓئِكَةُ تَنزِيلًا','verse_number' => '25','verse_key' => '25:25','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2881','chapter_id' => '25','arabic_name' => 'ٱلْمُلْكُ يَوْمَئِذٍ ٱلْحَقُّ لِلرَّحْمَـٰنِ ۚ وَكَانَ يَوْمًا عَلَى ٱلْكَـٰفِرِينَ عَسِيرًا','verse_number' => '26','verse_key' => '25:26','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2882','chapter_id' => '25','arabic_name' => 'وَيَوْمَ يَعَضُّ ٱلظَّالِمُ عَلَىٰ يَدَيْهِ يَقُولُ يَـٰلَيْتَنِى ٱتَّخَذْتُ مَعَ ٱلرَّسُولِ سَبِيلًا','verse_number' => '27','verse_key' => '25:27','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2883','chapter_id' => '25','arabic_name' => 'يَـٰوَيْلَتَىٰ لَيْتَنِى لَمْ أَتَّخِذْ فُلَانًا خَلِيلًا','verse_number' => '28','verse_key' => '25:28','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2884','chapter_id' => '25','arabic_name' => 'لَّقَدْ أَضَلَّنِى عَنِ ٱلذِّكْرِ بَعْدَ إِذْ جَآءَنِى ۗ وَكَانَ ٱلشَّيْطَـٰنُ لِلْإِنسَـٰنِ خَذُولًا','verse_number' => '29','verse_key' => '25:29','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2885','chapter_id' => '25','arabic_name' => 'وَقَالَ ٱلرَّسُولُ يَـٰرَبِّ إِنَّ قَوْمِى ٱتَّخَذُوا۟ هَـٰذَا ٱلْقُرْءَانَ مَهْجُورًا','verse_number' => '30','verse_key' => '25:30','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2886','chapter_id' => '25','arabic_name' => 'وَكَذَٰلِكَ جَعَلْنَا لِكُلِّ نَبِىٍّ عَدُوًّا مِّنَ ٱلْمُجْرِمِينَ ۗ وَكَفَىٰ بِرَبِّكَ هَادِيًا وَنَصِيرًا','verse_number' => '31','verse_key' => '25:31','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2887','chapter_id' => '25','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَوْلَا نُزِّلَ عَلَيْهِ ٱلْقُرْءَانُ جُمْلَةً وَٰحِدَةً ۚ كَذَٰلِكَ لِنُثَبِّتَ بِهِۦ فُؤَادَكَ ۖ وَرَتَّلْنَـٰهُ تَرْتِيلًا','verse_number' => '32','verse_key' => '25:32','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '362','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2888','chapter_id' => '25','arabic_name' => 'وَلَا يَأْتُونَكَ بِمَثَلٍ إِلَّا جِئْنَـٰكَ بِٱلْحَقِّ وَأَحْسَنَ تَفْسِيرًا','verse_number' => '33','verse_key' => '25:33','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2889','chapter_id' => '25','arabic_name' => 'ٱلَّذِينَ يُحْشَرُونَ عَلَىٰ وُجُوهِهِمْ إِلَىٰ جَهَنَّمَ أُو۟لَـٰٓئِكَ شَرٌّ مَّكَانًا وَأَضَلُّ سَبِيلًا','verse_number' => '34','verse_key' => '25:34','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '312','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2890','chapter_id' => '25','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ وَجَعَلْنَا مَعَهُۥٓ أَخَاهُ هَـٰرُونَ وَزِيرًا','verse_number' => '35','verse_key' => '25:35','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2891','chapter_id' => '25','arabic_name' => 'فَقُلْنَا ٱذْهَبَآ إِلَى ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِنَا فَدَمَّرْنَـٰهُمْ تَدْمِيرًا','verse_number' => '36','verse_key' => '25:36','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2892','chapter_id' => '25','arabic_name' => 'وَقَوْمَ نُوحٍ لَّمَّا كَذَّبُوا۟ ٱلرُّسُلَ أَغْرَقْنَـٰهُمْ وَجَعَلْنَـٰهُمْ لِلنَّاسِ ءَايَةً ۖ وَأَعْتَدْنَا لِلظَّـٰلِمِينَ عَذَابًا أَلِيمًا','verse_number' => '37','verse_key' => '25:37','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2893','chapter_id' => '25','arabic_name' => 'وَعَادًا وَثَمُودَا۟ وَأَصْحَـٰبَ ٱلرَّسِّ وَقُرُونًۢا بَيْنَ ذَٰلِكَ كَثِيرًا','verse_number' => '38','verse_key' => '25:38','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2894','chapter_id' => '25','arabic_name' => 'وَكُلًّا ضَرَبْنَا لَهُ ٱلْأَمْثَـٰلَ ۖ وَكُلًّا تَبَّرْنَا تَتْبِيرًا','verse_number' => '39','verse_key' => '25:39','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2895','chapter_id' => '25','arabic_name' => 'وَلَقَدْ أَتَوْا۟ عَلَى ٱلْقَرْيَةِ ٱلَّتِىٓ أُمْطِرَتْ مَطَرَ ٱلسَّوْءِ ۚ أَفَلَمْ يَكُونُوا۟ يَرَوْنَهَا ۚ بَلْ كَانُوا۟ لَا يَرْجُونَ نُشُورًا','verse_number' => '40','verse_key' => '25:40','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2896','chapter_id' => '25','arabic_name' => 'وَإِذَا رَأَوْكَ إِن يَتَّخِذُونَكَ إِلَّا هُزُوًا أَهَـٰذَا ٱلَّذِى بَعَثَ ٱللَّهُ رَسُولًا','verse_number' => '41','verse_key' => '25:41','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2897','chapter_id' => '25','arabic_name' => 'إِن كَادَ لَيُضِلُّنَا عَنْ ءَالِهَتِنَا لَوْلَآ أَن صَبَرْنَا عَلَيْهَا ۚ وَسَوْفَ يَعْلَمُونَ حِينَ يَرَوْنَ ٱلْعَذَابَ مَنْ أَضَلُّ سَبِيلًا','verse_number' => '42','verse_key' => '25:42','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2898','chapter_id' => '25','arabic_name' => 'أَرَءَيْتَ مَنِ ٱتَّخَذَ إِلَـٰهَهُۥ هَوَىٰهُ أَفَأَنتَ تَكُونُ عَلَيْهِ وَكِيلًا','verse_number' => '43','verse_key' => '25:43','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '363','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2899','chapter_id' => '25','arabic_name' => 'أَمْ تَحْسَبُ أَنَّ أَكْثَرَهُمْ يَسْمَعُونَ أَوْ يَعْقِلُونَ ۚ إِنْ هُمْ إِلَّا كَٱلْأَنْعَـٰمِ ۖ بَلْ هُمْ أَضَلُّ سَبِيلًا','verse_number' => '44','verse_key' => '25:44','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '313','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2900','chapter_id' => '25','arabic_name' => 'أَلَمْ تَرَ إِلَىٰ رَبِّكَ كَيْفَ مَدَّ ٱلظِّلَّ وَلَوْ شَآءَ لَجَعَلَهُۥ سَاكِنًا ثُمَّ جَعَلْنَا ٱلشَّمْسَ عَلَيْهِ دَلِيلًا','verse_number' => '45','verse_key' => '25:45','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2901','chapter_id' => '25','arabic_name' => 'ثُمَّ قَبَضْنَـٰهُ إِلَيْنَا قَبْضًا يَسِيرًا','verse_number' => '46','verse_key' => '25:46','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2902','chapter_id' => '25','arabic_name' => 'وَهُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلَّيْلَ لِبَاسًا وَٱلنَّوْمَ سُبَاتًا وَجَعَلَ ٱلنَّهَارَ نُشُورًا','verse_number' => '47','verse_key' => '25:47','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2903','chapter_id' => '25','arabic_name' => 'وَهُوَ ٱلَّذِىٓ أَرْسَلَ ٱلرِّيَـٰحَ بُشْرًۢا بَيْنَ يَدَىْ رَحْمَتِهِۦ ۚ وَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءً طَهُورًا','verse_number' => '48','verse_key' => '25:48','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2904','chapter_id' => '25','arabic_name' => 'لِّنُحْـِۧىَ بِهِۦ بَلْدَةً مَّيْتًا وَنُسْقِيَهُۥ مِمَّا خَلَقْنَآ أَنْعَـٰمًا وَأَنَاسِىَّ كَثِيرًا','verse_number' => '49','verse_key' => '25:49','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2905','chapter_id' => '25','arabic_name' => 'وَلَقَدْ صَرَّفْنَـٰهُ بَيْنَهُمْ لِيَذَّكَّرُوا۟ فَأَبَىٰٓ أَكْثَرُ ٱلنَّاسِ إِلَّا كُفُورًا','verse_number' => '50','verse_key' => '25:50','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2906','chapter_id' => '25','arabic_name' => 'وَلَوْ شِئْنَا لَبَعَثْنَا فِى كُلِّ قَرْيَةٍ نَّذِيرًا','verse_number' => '51','verse_key' => '25:51','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2907','chapter_id' => '25','arabic_name' => 'فَلَا تُطِعِ ٱلْكَـٰفِرِينَ وَجَـٰهِدْهُم بِهِۦ جِهَادًا كَبِيرًا','verse_number' => '52','verse_key' => '25:52','hizb_number' => '37','rub_el_hizb_number' => '145','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2908','chapter_id' => '25','arabic_name' => '۞ وَهُوَ ٱلَّذِى مَرَجَ ٱلْبَحْرَيْنِ هَـٰذَا عَذْبٌ فُرَاتٌ وَهَـٰذَا مِلْحٌ أُجَاجٌ وَجَعَلَ بَيْنَهُمَا بَرْزَخًا وَحِجْرًا مَّحْجُورًا','verse_number' => '53','verse_key' => '25:53','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2909','chapter_id' => '25','arabic_name' => 'وَهُوَ ٱلَّذِى خَلَقَ مِنَ ٱلْمَآءِ بَشَرًا فَجَعَلَهُۥ نَسَبًا وَصِهْرًا ۗ وَكَانَ رَبُّكَ قَدِيرًا','verse_number' => '54','verse_key' => '25:54','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2910','chapter_id' => '25','arabic_name' => 'وَيَعْبُدُونَ مِن دُونِ ٱللَّهِ مَا لَا يَنفَعُهُمْ وَلَا يَضُرُّهُمْ ۗ وَكَانَ ٱلْكَافِرُ عَلَىٰ رَبِّهِۦ ظَهِيرًا','verse_number' => '55','verse_key' => '25:55','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '364','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2911','chapter_id' => '25','arabic_name' => 'وَمَآ أَرْسَلْنَـٰكَ إِلَّا مُبَشِّرًا وَنَذِيرًا','verse_number' => '56','verse_key' => '25:56','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2912','chapter_id' => '25','arabic_name' => 'قُلْ مَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ إِلَّا مَن شَآءَ أَن يَتَّخِذَ إِلَىٰ رَبِّهِۦ سَبِيلًا','verse_number' => '57','verse_key' => '25:57','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2913','chapter_id' => '25','arabic_name' => 'وَتَوَكَّلْ عَلَى ٱلْحَىِّ ٱلَّذِى لَا يَمُوتُ وَسَبِّحْ بِحَمْدِهِۦ ۚ وَكَفَىٰ بِهِۦ بِذُنُوبِ عِبَادِهِۦ خَبِيرًا','verse_number' => '58','verse_key' => '25:58','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2914','chapter_id' => '25','arabic_name' => 'ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا فِى سِتَّةِ أَيَّامٍ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۚ ٱلرَّحْمَـٰنُ فَسْـَٔلْ بِهِۦ خَبِيرًا','verse_number' => '59','verse_key' => '25:59','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2915','chapter_id' => '25','arabic_name' => 'وَإِذَا قِيلَ لَهُمُ ٱسْجُدُوا۟ لِلرَّحْمَـٰنِ قَالُوا۟ وَمَا ٱلرَّحْمَـٰنُ أَنَسْجُدُ لِمَا تَأْمُرُنَا وَزَادَهُمْ نُفُورًا ۩','verse_number' => '60','verse_key' => '25:60','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '314','manzil_number' => '4','sajdah_number' => '7','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2916','chapter_id' => '25','arabic_name' => 'تَبَارَكَ ٱلَّذِى جَعَلَ فِى ٱلسَّمَآءِ بُرُوجًا وَجَعَلَ فِيهَا سِرَٰجًا وَقَمَرًا مُّنِيرًا','verse_number' => '61','verse_key' => '25:61','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2917','chapter_id' => '25','arabic_name' => 'وَهُوَ ٱلَّذِى جَعَلَ ٱلَّيْلَ وَٱلنَّهَارَ خِلْفَةً لِّمَنْ أَرَادَ أَن يَذَّكَّرَ أَوْ أَرَادَ شُكُورًا','verse_number' => '62','verse_key' => '25:62','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2918','chapter_id' => '25','arabic_name' => 'وَعِبَادُ ٱلرَّحْمَـٰنِ ٱلَّذِينَ يَمْشُونَ عَلَى ٱلْأَرْضِ هَوْنًا وَإِذَا خَاطَبَهُمُ ٱلْجَـٰهِلُونَ قَالُوا۟ سَلَـٰمًا','verse_number' => '63','verse_key' => '25:63','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2919','chapter_id' => '25','arabic_name' => 'وَٱلَّذِينَ يَبِيتُونَ لِرَبِّهِمْ سُجَّدًا وَقِيَـٰمًا','verse_number' => '64','verse_key' => '25:64','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2920','chapter_id' => '25','arabic_name' => 'وَٱلَّذِينَ يَقُولُونَ رَبَّنَا ٱصْرِفْ عَنَّا عَذَابَ جَهَنَّمَ ۖ إِنَّ عَذَابَهَا كَانَ غَرَامًا','verse_number' => '65','verse_key' => '25:65','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2921','chapter_id' => '25','arabic_name' => 'إِنَّهَا سَآءَتْ مُسْتَقَرًّا وَمُقَامًا','verse_number' => '66','verse_key' => '25:66','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2922','chapter_id' => '25','arabic_name' => 'وَٱلَّذِينَ إِذَآ أَنفَقُوا۟ لَمْ يُسْرِفُوا۟ وَلَمْ يَقْتُرُوا۟ وَكَانَ بَيْنَ ذَٰلِكَ قَوَامًا','verse_number' => '67','verse_key' => '25:67','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '365','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2923','chapter_id' => '25','arabic_name' => 'وَٱلَّذِينَ لَا يَدْعُونَ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ وَلَا يَقْتُلُونَ ٱلنَّفْسَ ٱلَّتِى حَرَّمَ ٱللَّهُ إِلَّا بِٱلْحَقِّ وَلَا يَزْنُونَ ۚ وَمَن يَفْعَلْ ذَٰلِكَ يَلْقَ أَثَامًا','verse_number' => '68','verse_key' => '25:68','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2924','chapter_id' => '25','arabic_name' => 'يُضَـٰعَفْ لَهُ ٱلْعَذَابُ يَوْمَ ٱلْقِيَـٰمَةِ وَيَخْلُدْ فِيهِۦ مُهَانًا','verse_number' => '69','verse_key' => '25:69','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2925','chapter_id' => '25','arabic_name' => 'إِلَّا مَن تَابَ وَءَامَنَ وَعَمِلَ عَمَلًا صَـٰلِحًا فَأُو۟لَـٰٓئِكَ يُبَدِّلُ ٱللَّهُ سَيِّـَٔاتِهِمْ حَسَنَـٰتٍ ۗ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '70','verse_key' => '25:70','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2926','chapter_id' => '25','arabic_name' => 'وَمَن تَابَ وَعَمِلَ صَـٰلِحًا فَإِنَّهُۥ يَتُوبُ إِلَى ٱللَّهِ مَتَابًا','verse_number' => '71','verse_key' => '25:71','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2927','chapter_id' => '25','arabic_name' => 'وَٱلَّذِينَ لَا يَشْهَدُونَ ٱلزُّورَ وَإِذَا مَرُّوا۟ بِٱللَّغْوِ مَرُّوا۟ كِرَامًا','verse_number' => '72','verse_key' => '25:72','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2928','chapter_id' => '25','arabic_name' => 'وَٱلَّذِينَ إِذَا ذُكِّرُوا۟ بِـَٔايَـٰتِ رَبِّهِمْ لَمْ يَخِرُّوا۟ عَلَيْهَا صُمًّا وَعُمْيَانًا','verse_number' => '73','verse_key' => '25:73','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2929','chapter_id' => '25','arabic_name' => 'وَٱلَّذِينَ يَقُولُونَ رَبَّنَا هَبْ لَنَا مِنْ أَزْوَٰجِنَا وَذُرِّيَّـٰتِنَا قُرَّةَ أَعْيُنٍ وَٱجْعَلْنَا لِلْمُتَّقِينَ إِمَامًا','verse_number' => '74','verse_key' => '25:74','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2930','chapter_id' => '25','arabic_name' => 'أُو۟لَـٰٓئِكَ يُجْزَوْنَ ٱلْغُرْفَةَ بِمَا صَبَرُوا۟ وَيُلَقَّوْنَ فِيهَا تَحِيَّةً وَسَلَـٰمًا','verse_number' => '75','verse_key' => '25:75','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2931','chapter_id' => '25','arabic_name' => 'خَـٰلِدِينَ فِيهَا ۚ حَسُنَتْ مُسْتَقَرًّا وَمُقَامًا','verse_number' => '76','verse_key' => '25:76','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2932','chapter_id' => '25','arabic_name' => 'قُلْ مَا يَعْبَؤُا۟ بِكُمْ رَبِّى لَوْلَا دُعَآؤُكُمْ ۖ فَقَدْ كَذَّبْتُمْ فَسَوْفَ يَكُونُ لِزَامًۢا','verse_number' => '77','verse_key' => '25:77','hizb_number' => '37','rub_el_hizb_number' => '146','ruku_number' => '315','manzil_number' => '4','sajdah_number' => '0','page_number' => '366','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2933','chapter_id' => '26','arabic_name' => 'طسٓمٓ','verse_number' => '1','verse_key' => '26:1','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2934','chapter_id' => '26','arabic_name' => 'تِلْكَ ءَايَـٰتُ ٱلْكِتَـٰبِ ٱلْمُبِينِ','verse_number' => '2','verse_key' => '26:2','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2935','chapter_id' => '26','arabic_name' => 'لَعَلَّكَ بَـٰخِعٌ نَّفْسَكَ أَلَّا يَكُونُوا۟ مُؤْمِنِينَ','verse_number' => '3','verse_key' => '26:3','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2936','chapter_id' => '26','arabic_name' => 'إِن نَّشَأْ نُنَزِّلْ عَلَيْهِم مِّنَ ٱلسَّمَآءِ ءَايَةً فَظَلَّتْ أَعْنَـٰقُهُمْ لَهَا خَـٰضِعِينَ','verse_number' => '4','verse_key' => '26:4','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2937','chapter_id' => '26','arabic_name' => 'وَمَا يَأْتِيهِم مِّن ذِكْرٍ مِّنَ ٱلرَّحْمَـٰنِ مُحْدَثٍ إِلَّا كَانُوا۟ عَنْهُ مُعْرِضِينَ','verse_number' => '5','verse_key' => '26:5','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2938','chapter_id' => '26','arabic_name' => 'فَقَدْ كَذَّبُوا۟ فَسَيَأْتِيهِمْ أَنۢبَـٰٓؤُا۟ مَا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '6','verse_key' => '26:6','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2939','chapter_id' => '26','arabic_name' => 'أَوَلَمْ يَرَوْا۟ إِلَى ٱلْأَرْضِ كَمْ أَنۢبَتْنَا فِيهَا مِن كُلِّ زَوْجٍ كَرِيمٍ','verse_number' => '7','verse_key' => '26:7','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2940','chapter_id' => '26','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '8','verse_key' => '26:8','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2941','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '9','verse_key' => '26:9','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '316','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2942','chapter_id' => '26','arabic_name' => 'وَإِذْ نَادَىٰ رَبُّكَ مُوسَىٰٓ أَنِ ٱئْتِ ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '10','verse_key' => '26:10','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2943','chapter_id' => '26','arabic_name' => 'قَوْمَ فِرْعَوْنَ ۚ أَلَا يَتَّقُونَ','verse_number' => '11','verse_key' => '26:11','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2944','chapter_id' => '26','arabic_name' => 'قَالَ رَبِّ إِنِّىٓ أَخَافُ أَن يُكَذِّبُونِ','verse_number' => '12','verse_key' => '26:12','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2945','chapter_id' => '26','arabic_name' => 'وَيَضِيقُ صَدْرِى وَلَا يَنطَلِقُ لِسَانِى فَأَرْسِلْ إِلَىٰ هَـٰرُونَ','verse_number' => '13','verse_key' => '26:13','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2946','chapter_id' => '26','arabic_name' => 'وَلَهُمْ عَلَىَّ ذَنۢبٌ فَأَخَافُ أَن يَقْتُلُونِ','verse_number' => '14','verse_key' => '26:14','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2947','chapter_id' => '26','arabic_name' => 'قَالَ كَلَّا ۖ فَٱذْهَبَا بِـَٔايَـٰتِنَآ ۖ إِنَّا مَعَكُم مُّسْتَمِعُونَ','verse_number' => '15','verse_key' => '26:15','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2948','chapter_id' => '26','arabic_name' => 'فَأْتِيَا فِرْعَوْنَ فَقُولَآ إِنَّا رَسُولُ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '16','verse_key' => '26:16','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2949','chapter_id' => '26','arabic_name' => 'أَنْ أَرْسِلْ مَعَنَا بَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '17','verse_key' => '26:17','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2950','chapter_id' => '26','arabic_name' => 'قَالَ أَلَمْ نُرَبِّكَ فِينَا وَلِيدًا وَلَبِثْتَ فِينَا مِنْ عُمُرِكَ سِنِينَ','verse_number' => '18','verse_key' => '26:18','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2951','chapter_id' => '26','arabic_name' => 'وَفَعَلْتَ فَعْلَتَكَ ٱلَّتِى فَعَلْتَ وَأَنتَ مِنَ ٱلْكَـٰفِرِينَ','verse_number' => '19','verse_key' => '26:19','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '367','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2952','chapter_id' => '26','arabic_name' => 'قَالَ فَعَلْتُهَآ إِذًا وَأَنَا۠ مِنَ ٱلضَّآلِّينَ','verse_number' => '20','verse_key' => '26:20','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2953','chapter_id' => '26','arabic_name' => 'فَفَرَرْتُ مِنكُمْ لَمَّا خِفْتُكُمْ فَوَهَبَ لِى رَبِّى حُكْمًا وَجَعَلَنِى مِنَ ٱلْمُرْسَلِينَ','verse_number' => '21','verse_key' => '26:21','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2954','chapter_id' => '26','arabic_name' => 'وَتِلْكَ نِعْمَةٌ تَمُنُّهَا عَلَىَّ أَنْ عَبَّدتَّ بَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '22','verse_key' => '26:22','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2955','chapter_id' => '26','arabic_name' => 'قَالَ فِرْعَوْنُ وَمَا رَبُّ ٱلْعَـٰلَمِينَ','verse_number' => '23','verse_key' => '26:23','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2956','chapter_id' => '26','arabic_name' => 'قَالَ رَبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَآ ۖ إِن كُنتُم مُّوقِنِينَ','verse_number' => '24','verse_key' => '26:24','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2957','chapter_id' => '26','arabic_name' => 'قَالَ لِمَنْ حَوْلَهُۥٓ أَلَا تَسْتَمِعُونَ','verse_number' => '25','verse_key' => '26:25','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2958','chapter_id' => '26','arabic_name' => 'قَالَ رَبُّكُمْ وَرَبُّ ءَابَآئِكُمُ ٱلْأَوَّلِينَ','verse_number' => '26','verse_key' => '26:26','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2959','chapter_id' => '26','arabic_name' => 'قَالَ إِنَّ رَسُولَكُمُ ٱلَّذِىٓ أُرْسِلَ إِلَيْكُمْ لَمَجْنُونٌ','verse_number' => '27','verse_key' => '26:27','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2960','chapter_id' => '26','arabic_name' => 'قَالَ رَبُّ ٱلْمَشْرِقِ وَٱلْمَغْرِبِ وَمَا بَيْنَهُمَآ ۖ إِن كُنتُمْ تَعْقِلُونَ','verse_number' => '28','verse_key' => '26:28','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2961','chapter_id' => '26','arabic_name' => 'قَالَ لَئِنِ ٱتَّخَذْتَ إِلَـٰهًا غَيْرِى لَأَجْعَلَنَّكَ مِنَ ٱلْمَسْجُونِينَ','verse_number' => '29','verse_key' => '26:29','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2962','chapter_id' => '26','arabic_name' => 'قَالَ أَوَلَوْ جِئْتُكَ بِشَىْءٍ مُّبِينٍ','verse_number' => '30','verse_key' => '26:30','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2963','chapter_id' => '26','arabic_name' => 'قَالَ فَأْتِ بِهِۦٓ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '31','verse_key' => '26:31','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2964','chapter_id' => '26','arabic_name' => 'فَأَلْقَىٰ عَصَاهُ فَإِذَا هِىَ ثُعْبَانٌ مُّبِينٌ','verse_number' => '32','verse_key' => '26:32','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2965','chapter_id' => '26','arabic_name' => 'وَنَزَعَ يَدَهُۥ فَإِذَا هِىَ بَيْضَآءُ لِلنَّـٰظِرِينَ','verse_number' => '33','verse_key' => '26:33','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '317','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2966','chapter_id' => '26','arabic_name' => 'قَالَ لِلْمَلَإِ حَوْلَهُۥٓ إِنَّ هَـٰذَا لَسَـٰحِرٌ عَلِيمٌ','verse_number' => '34','verse_key' => '26:34','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2967','chapter_id' => '26','arabic_name' => 'يُرِيدُ أَن يُخْرِجَكُم مِّنْ أَرْضِكُم بِسِحْرِهِۦ فَمَاذَا تَأْمُرُونَ','verse_number' => '35','verse_key' => '26:35','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2968','chapter_id' => '26','arabic_name' => 'قَالُوٓا۟ أَرْجِهْ وَأَخَاهُ وَٱبْعَثْ فِى ٱلْمَدَآئِنِ حَـٰشِرِينَ','verse_number' => '36','verse_key' => '26:36','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2969','chapter_id' => '26','arabic_name' => 'يَأْتُوكَ بِكُلِّ سَحَّارٍ عَلِيمٍ','verse_number' => '37','verse_key' => '26:37','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2970','chapter_id' => '26','arabic_name' => 'فَجُمِعَ ٱلسَّحَرَةُ لِمِيقَـٰتِ يَوْمٍ مَّعْلُومٍ','verse_number' => '38','verse_key' => '26:38','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2971','chapter_id' => '26','arabic_name' => 'وَقِيلَ لِلنَّاسِ هَلْ أَنتُم مُّجْتَمِعُونَ','verse_number' => '39','verse_key' => '26:39','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '368','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2972','chapter_id' => '26','arabic_name' => 'لَعَلَّنَا نَتَّبِعُ ٱلسَّحَرَةَ إِن كَانُوا۟ هُمُ ٱلْغَـٰلِبِينَ','verse_number' => '40','verse_key' => '26:40','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2973','chapter_id' => '26','arabic_name' => 'فَلَمَّا جَآءَ ٱلسَّحَرَةُ قَالُوا۟ لِفِرْعَوْنَ أَئِنَّ لَنَا لَأَجْرًا إِن كُنَّا نَحْنُ ٱلْغَـٰلِبِينَ','verse_number' => '41','verse_key' => '26:41','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2974','chapter_id' => '26','arabic_name' => 'قَالَ نَعَمْ وَإِنَّكُمْ إِذًا لَّمِنَ ٱلْمُقَرَّبِينَ','verse_number' => '42','verse_key' => '26:42','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2975','chapter_id' => '26','arabic_name' => 'قَالَ لَهُم مُّوسَىٰٓ أَلْقُوا۟ مَآ أَنتُم مُّلْقُونَ','verse_number' => '43','verse_key' => '26:43','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2976','chapter_id' => '26','arabic_name' => 'فَأَلْقَوْا۟ حِبَالَهُمْ وَعِصِيَّهُمْ وَقَالُوا۟ بِعِزَّةِ فِرْعَوْنَ إِنَّا لَنَحْنُ ٱلْغَـٰلِبُونَ','verse_number' => '44','verse_key' => '26:44','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2977','chapter_id' => '26','arabic_name' => 'فَأَلْقَىٰ مُوسَىٰ عَصَاهُ فَإِذَا هِىَ تَلْقَفُ مَا يَأْفِكُونَ','verse_number' => '45','verse_key' => '26:45','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2978','chapter_id' => '26','arabic_name' => 'فَأُلْقِىَ ٱلسَّحَرَةُ سَـٰجِدِينَ','verse_number' => '46','verse_key' => '26:46','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2979','chapter_id' => '26','arabic_name' => 'قَالُوٓا۟ ءَامَنَّا بِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '47','verse_key' => '26:47','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2980','chapter_id' => '26','arabic_name' => 'رَبِّ مُوسَىٰ وَهَـٰرُونَ','verse_number' => '48','verse_key' => '26:48','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2981','chapter_id' => '26','arabic_name' => 'قَالَ ءَامَنتُمْ لَهُۥ قَبْلَ أَنْ ءَاذَنَ لَكُمْ ۖ إِنَّهُۥ لَكَبِيرُكُمُ ٱلَّذِى عَلَّمَكُمُ ٱلسِّحْرَ فَلَسَوْفَ تَعْلَمُونَ ۚ لَأُقَطِّعَنَّ أَيْدِيَكُمْ وَأَرْجُلَكُم مِّنْ خِلَـٰفٍ وَلَأُصَلِّبَنَّكُمْ أَجْمَعِينَ','verse_number' => '49','verse_key' => '26:49','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2982','chapter_id' => '26','arabic_name' => 'قَالُوا۟ لَا ضَيْرَ ۖ إِنَّآ إِلَىٰ رَبِّنَا مُنقَلِبُونَ','verse_number' => '50','verse_key' => '26:50','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2983','chapter_id' => '26','arabic_name' => 'إِنَّا نَطْمَعُ أَن يَغْفِرَ لَنَا رَبُّنَا خَطَـٰيَـٰنَآ أَن كُنَّآ أَوَّلَ ٱلْمُؤْمِنِينَ','verse_number' => '51','verse_key' => '26:51','hizb_number' => '37','rub_el_hizb_number' => '147','ruku_number' => '318','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2984','chapter_id' => '26','arabic_name' => '۞ وَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنْ أَسْرِ بِعِبَادِىٓ إِنَّكُم مُّتَّبَعُونَ','verse_number' => '52','verse_key' => '26:52','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2985','chapter_id' => '26','arabic_name' => 'فَأَرْسَلَ فِرْعَوْنُ فِى ٱلْمَدَآئِنِ حَـٰشِرِينَ','verse_number' => '53','verse_key' => '26:53','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2986','chapter_id' => '26','arabic_name' => 'إِنَّ هَـٰٓؤُلَآءِ لَشِرْذِمَةٌ قَلِيلُونَ','verse_number' => '54','verse_key' => '26:54','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2987','chapter_id' => '26','arabic_name' => 'وَإِنَّهُمْ لَنَا لَغَآئِظُونَ','verse_number' => '55','verse_key' => '26:55','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2988','chapter_id' => '26','arabic_name' => 'وَإِنَّا لَجَمِيعٌ حَـٰذِرُونَ','verse_number' => '56','verse_key' => '26:56','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2989','chapter_id' => '26','arabic_name' => 'فَأَخْرَجْنَـٰهُم مِّن جَنَّـٰتٍ وَعُيُونٍ','verse_number' => '57','verse_key' => '26:57','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2990','chapter_id' => '26','arabic_name' => 'وَكُنُوزٍ وَمَقَامٍ كَرِيمٍ','verse_number' => '58','verse_key' => '26:58','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2991','chapter_id' => '26','arabic_name' => 'كَذَٰلِكَ وَأَوْرَثْنَـٰهَا بَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '59','verse_key' => '26:59','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2992','chapter_id' => '26','arabic_name' => 'فَأَتْبَعُوهُم مُّشْرِقِينَ','verse_number' => '60','verse_key' => '26:60','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '369','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2993','chapter_id' => '26','arabic_name' => 'فَلَمَّا تَرَٰٓءَا ٱلْجَمْعَانِ قَالَ أَصْحَـٰبُ مُوسَىٰٓ إِنَّا لَمُدْرَكُونَ','verse_number' => '61','verse_key' => '26:61','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2994','chapter_id' => '26','arabic_name' => 'قَالَ كَلَّآ ۖ إِنَّ مَعِىَ رَبِّى سَيَهْدِينِ','verse_number' => '62','verse_key' => '26:62','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2995','chapter_id' => '26','arabic_name' => 'فَأَوْحَيْنَآ إِلَىٰ مُوسَىٰٓ أَنِ ٱضْرِب بِّعَصَاكَ ٱلْبَحْرَ ۖ فَٱنفَلَقَ فَكَانَ كُلُّ فِرْقٍ كَٱلطَّوْدِ ٱلْعَظِيمِ','verse_number' => '63','verse_key' => '26:63','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2996','chapter_id' => '26','arabic_name' => 'وَأَزْلَفْنَا ثَمَّ ٱلْـَٔاخَرِينَ','verse_number' => '64','verse_key' => '26:64','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2997','chapter_id' => '26','arabic_name' => 'وَأَنجَيْنَا مُوسَىٰ وَمَن مَّعَهُۥٓ أَجْمَعِينَ','verse_number' => '65','verse_key' => '26:65','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2998','chapter_id' => '26','arabic_name' => 'ثُمَّ أَغْرَقْنَا ٱلْـَٔاخَرِينَ','verse_number' => '66','verse_key' => '26:66','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '2999','chapter_id' => '26','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '67','verse_key' => '26:67','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3000','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '68','verse_key' => '26:68','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '319','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
        );

        DB::table('chapter_details')->insert($data);
    }
}
