<?php

namespace Database\Seeders\Quran\Chapter;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ChapterDetailSeeder4 extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = array(
            array('id' => '3001','chapter_id' => '26','arabic_name' => 'وَٱتْلُ عَلَيْهِمْ نَبَأَ إِبْرَٰهِيمَ','verse_number' => '69','verse_key' => '26:69','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3002','chapter_id' => '26','arabic_name' => 'إِذْ قَالَ لِأَبِيهِ وَقَوْمِهِۦ مَا تَعْبُدُونَ','verse_number' => '70','verse_key' => '26:70','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3003','chapter_id' => '26','arabic_name' => 'قَالُوا۟ نَعْبُدُ أَصْنَامًا فَنَظَلُّ لَهَا عَـٰكِفِينَ','verse_number' => '71','verse_key' => '26:71','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3004','chapter_id' => '26','arabic_name' => 'قَالَ هَلْ يَسْمَعُونَكُمْ إِذْ تَدْعُونَ','verse_number' => '72','verse_key' => '26:72','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3005','chapter_id' => '26','arabic_name' => 'أَوْ يَنفَعُونَكُمْ أَوْ يَضُرُّونَ','verse_number' => '73','verse_key' => '26:73','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3006','chapter_id' => '26','arabic_name' => 'قَالُوا۟ بَلْ وَجَدْنَآ ءَابَآءَنَا كَذَٰلِكَ يَفْعَلُونَ','verse_number' => '74','verse_key' => '26:74','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3007','chapter_id' => '26','arabic_name' => 'قَالَ أَفَرَءَيْتُم مَّا كُنتُمْ تَعْبُدُونَ','verse_number' => '75','verse_key' => '26:75','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3008','chapter_id' => '26','arabic_name' => 'أَنتُمْ وَءَابَآؤُكُمُ ٱلْأَقْدَمُونَ','verse_number' => '76','verse_key' => '26:76','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3009','chapter_id' => '26','arabic_name' => 'فَإِنَّهُمْ عَدُوٌّ لِّىٓ إِلَّا رَبَّ ٱلْعَـٰلَمِينَ','verse_number' => '77','verse_key' => '26:77','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3010','chapter_id' => '26','arabic_name' => 'ٱلَّذِى خَلَقَنِى فَهُوَ يَهْدِينِ','verse_number' => '78','verse_key' => '26:78','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3011','chapter_id' => '26','arabic_name' => 'وَٱلَّذِى هُوَ يُطْعِمُنِى وَيَسْقِينِ','verse_number' => '79','verse_key' => '26:79','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3012','chapter_id' => '26','arabic_name' => 'وَإِذَا مَرِضْتُ فَهُوَ يَشْفِينِ','verse_number' => '80','verse_key' => '26:80','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3013','chapter_id' => '26','arabic_name' => 'وَٱلَّذِى يُمِيتُنِى ثُمَّ يُحْيِينِ','verse_number' => '81','verse_key' => '26:81','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3014','chapter_id' => '26','arabic_name' => 'وَٱلَّذِىٓ أَطْمَعُ أَن يَغْفِرَ لِى خَطِيٓـَٔتِى يَوْمَ ٱلدِّينِ','verse_number' => '82','verse_key' => '26:82','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3015','chapter_id' => '26','arabic_name' => 'رَبِّ هَبْ لِى حُكْمًا وَأَلْحِقْنِى بِٱلصَّـٰلِحِينَ','verse_number' => '83','verse_key' => '26:83','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '370','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3016','chapter_id' => '26','arabic_name' => 'وَٱجْعَل لِّى لِسَانَ صِدْقٍ فِى ٱلْـَٔاخِرِينَ','verse_number' => '84','verse_key' => '26:84','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3017','chapter_id' => '26','arabic_name' => 'وَٱجْعَلْنِى مِن وَرَثَةِ جَنَّةِ ٱلنَّعِيمِ','verse_number' => '85','verse_key' => '26:85','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3018','chapter_id' => '26','arabic_name' => 'وَٱغْفِرْ لِأَبِىٓ إِنَّهُۥ كَانَ مِنَ ٱلضَّآلِّينَ','verse_number' => '86','verse_key' => '26:86','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3019','chapter_id' => '26','arabic_name' => 'وَلَا تُخْزِنِى يَوْمَ يُبْعَثُونَ','verse_number' => '87','verse_key' => '26:87','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3020','chapter_id' => '26','arabic_name' => 'يَوْمَ لَا يَنفَعُ مَالٌ وَلَا بَنُونَ','verse_number' => '88','verse_key' => '26:88','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3021','chapter_id' => '26','arabic_name' => 'إِلَّا مَنْ أَتَى ٱللَّهَ بِقَلْبٍ سَلِيمٍ','verse_number' => '89','verse_key' => '26:89','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3022','chapter_id' => '26','arabic_name' => 'وَأُزْلِفَتِ ٱلْجَنَّةُ لِلْمُتَّقِينَ','verse_number' => '90','verse_key' => '26:90','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3023','chapter_id' => '26','arabic_name' => 'وَبُرِّزَتِ ٱلْجَحِيمُ لِلْغَاوِينَ','verse_number' => '91','verse_key' => '26:91','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3024','chapter_id' => '26','arabic_name' => 'وَقِيلَ لَهُمْ أَيْنَ مَا كُنتُمْ تَعْبُدُونَ','verse_number' => '92','verse_key' => '26:92','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3025','chapter_id' => '26','arabic_name' => 'مِن دُونِ ٱللَّهِ هَلْ يَنصُرُونَكُمْ أَوْ يَنتَصِرُونَ','verse_number' => '93','verse_key' => '26:93','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3026','chapter_id' => '26','arabic_name' => 'فَكُبْكِبُوا۟ فِيهَا هُمْ وَٱلْغَاوُۥنَ','verse_number' => '94','verse_key' => '26:94','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3027','chapter_id' => '26','arabic_name' => 'وَجُنُودُ إِبْلِيسَ أَجْمَعُونَ','verse_number' => '95','verse_key' => '26:95','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3028','chapter_id' => '26','arabic_name' => 'قَالُوا۟ وَهُمْ فِيهَا يَخْتَصِمُونَ','verse_number' => '96','verse_key' => '26:96','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3029','chapter_id' => '26','arabic_name' => 'تَٱللَّهِ إِن كُنَّا لَفِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '97','verse_key' => '26:97','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3030','chapter_id' => '26','arabic_name' => 'إِذْ نُسَوِّيكُم بِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '98','verse_key' => '26:98','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3031','chapter_id' => '26','arabic_name' => 'وَمَآ أَضَلَّنَآ إِلَّا ٱلْمُجْرِمُونَ','verse_number' => '99','verse_key' => '26:99','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3032','chapter_id' => '26','arabic_name' => 'فَمَا لَنَا مِن شَـٰفِعِينَ','verse_number' => '100','verse_key' => '26:100','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3033','chapter_id' => '26','arabic_name' => 'وَلَا صَدِيقٍ حَمِيمٍ','verse_number' => '101','verse_key' => '26:101','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3034','chapter_id' => '26','arabic_name' => 'فَلَوْ أَنَّ لَنَا كَرَّةً فَنَكُونَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '102','verse_key' => '26:102','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3035','chapter_id' => '26','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '103','verse_key' => '26:103','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3036','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '104','verse_key' => '26:104','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '320','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3037','chapter_id' => '26','arabic_name' => 'كَذَّبَتْ قَوْمُ نُوحٍ ٱلْمُرْسَلِينَ','verse_number' => '105','verse_key' => '26:105','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3038','chapter_id' => '26','arabic_name' => 'إِذْ قَالَ لَهُمْ أَخُوهُمْ نُوحٌ أَلَا تَتَّقُونَ','verse_number' => '106','verse_key' => '26:106','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3039','chapter_id' => '26','arabic_name' => 'إِنِّى لَكُمْ رَسُولٌ أَمِينٌ','verse_number' => '107','verse_key' => '26:107','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3040','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '108','verse_key' => '26:108','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3041','chapter_id' => '26','arabic_name' => 'وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '109','verse_key' => '26:109','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3042','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '110','verse_key' => '26:110','hizb_number' => '37','rub_el_hizb_number' => '148','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3043','chapter_id' => '26','arabic_name' => '۞ قَالُوٓا۟ أَنُؤْمِنُ لَكَ وَٱتَّبَعَكَ ٱلْأَرْذَلُونَ','verse_number' => '111','verse_key' => '26:111','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '371','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3044','chapter_id' => '26','arabic_name' => 'قَالَ وَمَا عِلْمِى بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '112','verse_key' => '26:112','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3045','chapter_id' => '26','arabic_name' => 'إِنْ حِسَابُهُمْ إِلَّا عَلَىٰ رَبِّى ۖ لَوْ تَشْعُرُونَ','verse_number' => '113','verse_key' => '26:113','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3046','chapter_id' => '26','arabic_name' => 'وَمَآ أَنَا۠ بِطَارِدِ ٱلْمُؤْمِنِينَ','verse_number' => '114','verse_key' => '26:114','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3047','chapter_id' => '26','arabic_name' => 'إِنْ أَنَا۠ إِلَّا نَذِيرٌ مُّبِينٌ','verse_number' => '115','verse_key' => '26:115','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3048','chapter_id' => '26','arabic_name' => 'قَالُوا۟ لَئِن لَّمْ تَنتَهِ يَـٰنُوحُ لَتَكُونَنَّ مِنَ ٱلْمَرْجُومِينَ','verse_number' => '116','verse_key' => '26:116','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3049','chapter_id' => '26','arabic_name' => 'قَالَ رَبِّ إِنَّ قَوْمِى كَذَّبُونِ','verse_number' => '117','verse_key' => '26:117','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3050','chapter_id' => '26','arabic_name' => 'فَٱفْتَحْ بَيْنِى وَبَيْنَهُمْ فَتْحًا وَنَجِّنِى وَمَن مَّعِىَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '118','verse_key' => '26:118','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3051','chapter_id' => '26','arabic_name' => 'فَأَنجَيْنَـٰهُ وَمَن مَّعَهُۥ فِى ٱلْفُلْكِ ٱلْمَشْحُونِ','verse_number' => '119','verse_key' => '26:119','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3052','chapter_id' => '26','arabic_name' => 'ثُمَّ أَغْرَقْنَا بَعْدُ ٱلْبَاقِينَ','verse_number' => '120','verse_key' => '26:120','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3053','chapter_id' => '26','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '121','verse_key' => '26:121','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3054','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '122','verse_key' => '26:122','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '321','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3055','chapter_id' => '26','arabic_name' => 'كَذَّبَتْ عَادٌ ٱلْمُرْسَلِينَ','verse_number' => '123','verse_key' => '26:123','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3056','chapter_id' => '26','arabic_name' => 'إِذْ قَالَ لَهُمْ أَخُوهُمْ هُودٌ أَلَا تَتَّقُونَ','verse_number' => '124','verse_key' => '26:124','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3057','chapter_id' => '26','arabic_name' => 'إِنِّى لَكُمْ رَسُولٌ أَمِينٌ','verse_number' => '125','verse_key' => '26:125','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3058','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '126','verse_key' => '26:126','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3059','chapter_id' => '26','arabic_name' => 'وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '127','verse_key' => '26:127','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3060','chapter_id' => '26','arabic_name' => 'أَتَبْنُونَ بِكُلِّ رِيعٍ ءَايَةً تَعْبَثُونَ','verse_number' => '128','verse_key' => '26:128','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3061','chapter_id' => '26','arabic_name' => 'وَتَتَّخِذُونَ مَصَانِعَ لَعَلَّكُمْ تَخْلُدُونَ','verse_number' => '129','verse_key' => '26:129','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3062','chapter_id' => '26','arabic_name' => 'وَإِذَا بَطَشْتُم بَطَشْتُمْ جَبَّارِينَ','verse_number' => '130','verse_key' => '26:130','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3063','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '131','verse_key' => '26:131','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3064','chapter_id' => '26','arabic_name' => 'وَٱتَّقُوا۟ ٱلَّذِىٓ أَمَدَّكُم بِمَا تَعْلَمُونَ','verse_number' => '132','verse_key' => '26:132','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3065','chapter_id' => '26','arabic_name' => 'أَمَدَّكُم بِأَنْعَـٰمٍ وَبَنِينَ','verse_number' => '133','verse_key' => '26:133','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3066','chapter_id' => '26','arabic_name' => 'وَجَنَّـٰتٍ وَعُيُونٍ','verse_number' => '134','verse_key' => '26:134','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3067','chapter_id' => '26','arabic_name' => 'إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ عَظِيمٍ','verse_number' => '135','verse_key' => '26:135','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3068','chapter_id' => '26','arabic_name' => 'قَالُوا۟ سَوَآءٌ عَلَيْنَآ أَوَعَظْتَ أَمْ لَمْ تَكُن مِّنَ ٱلْوَٰعِظِينَ','verse_number' => '136','verse_key' => '26:136','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '372','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3069','chapter_id' => '26','arabic_name' => 'إِنْ هَـٰذَآ إِلَّا خُلُقُ ٱلْأَوَّلِينَ','verse_number' => '137','verse_key' => '26:137','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3070','chapter_id' => '26','arabic_name' => 'وَمَا نَحْنُ بِمُعَذَّبِينَ','verse_number' => '138','verse_key' => '26:138','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3071','chapter_id' => '26','arabic_name' => 'فَكَذَّبُوهُ فَأَهْلَكْنَـٰهُمْ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '139','verse_key' => '26:139','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3072','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '140','verse_key' => '26:140','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '322','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3073','chapter_id' => '26','arabic_name' => 'كَذَّبَتْ ثَمُودُ ٱلْمُرْسَلِينَ','verse_number' => '141','verse_key' => '26:141','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3074','chapter_id' => '26','arabic_name' => 'إِذْ قَالَ لَهُمْ أَخُوهُمْ صَـٰلِحٌ أَلَا تَتَّقُونَ','verse_number' => '142','verse_key' => '26:142','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3075','chapter_id' => '26','arabic_name' => 'إِنِّى لَكُمْ رَسُولٌ أَمِينٌ','verse_number' => '143','verse_key' => '26:143','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3076','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '144','verse_key' => '26:144','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3077','chapter_id' => '26','arabic_name' => 'وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '145','verse_key' => '26:145','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3078','chapter_id' => '26','arabic_name' => 'أَتُتْرَكُونَ فِى مَا هَـٰهُنَآ ءَامِنِينَ','verse_number' => '146','verse_key' => '26:146','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3079','chapter_id' => '26','arabic_name' => 'فِى جَنَّـٰتٍ وَعُيُونٍ','verse_number' => '147','verse_key' => '26:147','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3080','chapter_id' => '26','arabic_name' => 'وَزُرُوعٍ وَنَخْلٍ طَلْعُهَا هَضِيمٌ','verse_number' => '148','verse_key' => '26:148','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3081','chapter_id' => '26','arabic_name' => 'وَتَنْحِتُونَ مِنَ ٱلْجِبَالِ بُيُوتًا فَـٰرِهِينَ','verse_number' => '149','verse_key' => '26:149','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3082','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '150','verse_key' => '26:150','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3083','chapter_id' => '26','arabic_name' => 'وَلَا تُطِيعُوٓا۟ أَمْرَ ٱلْمُسْرِفِينَ','verse_number' => '151','verse_key' => '26:151','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3084','chapter_id' => '26','arabic_name' => 'ٱلَّذِينَ يُفْسِدُونَ فِى ٱلْأَرْضِ وَلَا يُصْلِحُونَ','verse_number' => '152','verse_key' => '26:152','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3085','chapter_id' => '26','arabic_name' => 'قَالُوٓا۟ إِنَّمَآ أَنتَ مِنَ ٱلْمُسَحَّرِينَ','verse_number' => '153','verse_key' => '26:153','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3086','chapter_id' => '26','arabic_name' => 'مَآ أَنتَ إِلَّا بَشَرٌ مِّثْلُنَا فَأْتِ بِـَٔايَةٍ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '154','verse_key' => '26:154','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3087','chapter_id' => '26','arabic_name' => 'قَالَ هَـٰذِهِۦ نَاقَةٌ لَّهَا شِرْبٌ وَلَكُمْ شِرْبُ يَوْمٍ مَّعْلُومٍ','verse_number' => '155','verse_key' => '26:155','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3088','chapter_id' => '26','arabic_name' => 'وَلَا تَمَسُّوهَا بِسُوٓءٍ فَيَأْخُذَكُمْ عَذَابُ يَوْمٍ عَظِيمٍ','verse_number' => '156','verse_key' => '26:156','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3089','chapter_id' => '26','arabic_name' => 'فَعَقَرُوهَا فَأَصْبَحُوا۟ نَـٰدِمِينَ','verse_number' => '157','verse_key' => '26:157','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3090','chapter_id' => '26','arabic_name' => 'فَأَخَذَهُمُ ٱلْعَذَابُ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '158','verse_key' => '26:158','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3091','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '159','verse_key' => '26:159','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '323','manzil_number' => '5','sajdah_number' => '0','page_number' => '373','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3092','chapter_id' => '26','arabic_name' => 'كَذَّبَتْ قَوْمُ لُوطٍ ٱلْمُرْسَلِينَ','verse_number' => '160','verse_key' => '26:160','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3093','chapter_id' => '26','arabic_name' => 'إِذْ قَالَ لَهُمْ أَخُوهُمْ لُوطٌ أَلَا تَتَّقُونَ','verse_number' => '161','verse_key' => '26:161','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3094','chapter_id' => '26','arabic_name' => 'إِنِّى لَكُمْ رَسُولٌ أَمِينٌ','verse_number' => '162','verse_key' => '26:162','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3095','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '163','verse_key' => '26:163','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3096','chapter_id' => '26','arabic_name' => 'وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '164','verse_key' => '26:164','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3097','chapter_id' => '26','arabic_name' => 'أَتَأْتُونَ ٱلذُّكْرَانَ مِنَ ٱلْعَـٰلَمِينَ','verse_number' => '165','verse_key' => '26:165','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3098','chapter_id' => '26','arabic_name' => 'وَتَذَرُونَ مَا خَلَقَ لَكُمْ رَبُّكُم مِّنْ أَزْوَٰجِكُم ۚ بَلْ أَنتُمْ قَوْمٌ عَادُونَ','verse_number' => '166','verse_key' => '26:166','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3099','chapter_id' => '26','arabic_name' => 'قَالُوا۟ لَئِن لَّمْ تَنتَهِ يَـٰلُوطُ لَتَكُونَنَّ مِنَ ٱلْمُخْرَجِينَ','verse_number' => '167','verse_key' => '26:167','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3100','chapter_id' => '26','arabic_name' => 'قَالَ إِنِّى لِعَمَلِكُم مِّنَ ٱلْقَالِينَ','verse_number' => '168','verse_key' => '26:168','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3101','chapter_id' => '26','arabic_name' => 'رَبِّ نَجِّنِى وَأَهْلِى مِمَّا يَعْمَلُونَ','verse_number' => '169','verse_key' => '26:169','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3102','chapter_id' => '26','arabic_name' => 'فَنَجَّيْنَـٰهُ وَأَهْلَهُۥٓ أَجْمَعِينَ','verse_number' => '170','verse_key' => '26:170','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3103','chapter_id' => '26','arabic_name' => 'إِلَّا عَجُوزًا فِى ٱلْغَـٰبِرِينَ','verse_number' => '171','verse_key' => '26:171','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3104','chapter_id' => '26','arabic_name' => 'ثُمَّ دَمَّرْنَا ٱلْـَٔاخَرِينَ','verse_number' => '172','verse_key' => '26:172','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3105','chapter_id' => '26','arabic_name' => 'وَأَمْطَرْنَا عَلَيْهِم مَّطَرًا ۖ فَسَآءَ مَطَرُ ٱلْمُنذَرِينَ','verse_number' => '173','verse_key' => '26:173','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3106','chapter_id' => '26','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '174','verse_key' => '26:174','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3107','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '175','verse_key' => '26:175','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '324','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3108','chapter_id' => '26','arabic_name' => 'كَذَّبَ أَصْحَـٰبُ لْـَٔيْكَةِ ٱلْمُرْسَلِينَ','verse_number' => '176','verse_key' => '26:176','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3109','chapter_id' => '26','arabic_name' => 'إِذْ قَالَ لَهُمْ شُعَيْبٌ أَلَا تَتَّقُونَ','verse_number' => '177','verse_key' => '26:177','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3110','chapter_id' => '26','arabic_name' => 'إِنِّى لَكُمْ رَسُولٌ أَمِينٌ','verse_number' => '178','verse_key' => '26:178','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3111','chapter_id' => '26','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '179','verse_key' => '26:179','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3112','chapter_id' => '26','arabic_name' => 'وَمَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ ۖ إِنْ أَجْرِىَ إِلَّا عَلَىٰ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '180','verse_key' => '26:180','hizb_number' => '38','rub_el_hizb_number' => '149','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3113','chapter_id' => '26','arabic_name' => '۞ أَوْفُوا۟ ٱلْكَيْلَ وَلَا تَكُونُوا۟ مِنَ ٱلْمُخْسِرِينَ','verse_number' => '181','verse_key' => '26:181','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3114','chapter_id' => '26','arabic_name' => 'وَزِنُوا۟ بِٱلْقِسْطَاسِ ٱلْمُسْتَقِيمِ','verse_number' => '182','verse_key' => '26:182','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3115','chapter_id' => '26','arabic_name' => 'وَلَا تَبْخَسُوا۟ ٱلنَّاسَ أَشْيَآءَهُمْ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ','verse_number' => '183','verse_key' => '26:183','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '374','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3116','chapter_id' => '26','arabic_name' => 'وَٱتَّقُوا۟ ٱلَّذِى خَلَقَكُمْ وَٱلْجِبِلَّةَ ٱلْأَوَّلِينَ','verse_number' => '184','verse_key' => '26:184','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3117','chapter_id' => '26','arabic_name' => 'قَالُوٓا۟ إِنَّمَآ أَنتَ مِنَ ٱلْمُسَحَّرِينَ','verse_number' => '185','verse_key' => '26:185','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3118','chapter_id' => '26','arabic_name' => 'وَمَآ أَنتَ إِلَّا بَشَرٌ مِّثْلُنَا وَإِن نَّظُنُّكَ لَمِنَ ٱلْكَـٰذِبِينَ','verse_number' => '186','verse_key' => '26:186','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3119','chapter_id' => '26','arabic_name' => 'فَأَسْقِطْ عَلَيْنَا كِسَفًا مِّنَ ٱلسَّمَآءِ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '187','verse_key' => '26:187','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3120','chapter_id' => '26','arabic_name' => 'قَالَ رَبِّىٓ أَعْلَمُ بِمَا تَعْمَلُونَ','verse_number' => '188','verse_key' => '26:188','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3121','chapter_id' => '26','arabic_name' => 'فَكَذَّبُوهُ فَأَخَذَهُمْ عَذَابُ يَوْمِ ٱلظُّلَّةِ ۚ إِنَّهُۥ كَانَ عَذَابَ يَوْمٍ عَظِيمٍ','verse_number' => '189','verse_key' => '26:189','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3122','chapter_id' => '26','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَـَٔايَةً ۖ وَمَا كَانَ أَكْثَرُهُم مُّؤْمِنِينَ','verse_number' => '190','verse_key' => '26:190','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3123','chapter_id' => '26','arabic_name' => 'وَإِنَّ رَبَّكَ لَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '191','verse_key' => '26:191','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '325','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3124','chapter_id' => '26','arabic_name' => 'وَإِنَّهُۥ لَتَنزِيلُ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '192','verse_key' => '26:192','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3125','chapter_id' => '26','arabic_name' => 'نَزَلَ بِهِ ٱلرُّوحُ ٱلْأَمِينُ','verse_number' => '193','verse_key' => '26:193','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3126','chapter_id' => '26','arabic_name' => 'عَلَىٰ قَلْبِكَ لِتَكُونَ مِنَ ٱلْمُنذِرِينَ','verse_number' => '194','verse_key' => '26:194','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3127','chapter_id' => '26','arabic_name' => 'بِلِسَانٍ عَرَبِىٍّ مُّبِينٍ','verse_number' => '195','verse_key' => '26:195','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3128','chapter_id' => '26','arabic_name' => 'وَإِنَّهُۥ لَفِى زُبُرِ ٱلْأَوَّلِينَ','verse_number' => '196','verse_key' => '26:196','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3129','chapter_id' => '26','arabic_name' => 'أَوَلَمْ يَكُن لَّهُمْ ءَايَةً أَن يَعْلَمَهُۥ عُلَمَـٰٓؤُا۟ بَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '197','verse_key' => '26:197','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3130','chapter_id' => '26','arabic_name' => 'وَلَوْ نَزَّلْنَـٰهُ عَلَىٰ بَعْضِ ٱلْأَعْجَمِينَ','verse_number' => '198','verse_key' => '26:198','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3131','chapter_id' => '26','arabic_name' => 'فَقَرَأَهُۥ عَلَيْهِم مَّا كَانُوا۟ بِهِۦ مُؤْمِنِينَ','verse_number' => '199','verse_key' => '26:199','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3132','chapter_id' => '26','arabic_name' => 'كَذَٰلِكَ سَلَكْنَـٰهُ فِى قُلُوبِ ٱلْمُجْرِمِينَ','verse_number' => '200','verse_key' => '26:200','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3133','chapter_id' => '26','arabic_name' => 'لَا يُؤْمِنُونَ بِهِۦ حَتَّىٰ يَرَوُا۟ ٱلْعَذَابَ ٱلْأَلِيمَ','verse_number' => '201','verse_key' => '26:201','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3134','chapter_id' => '26','arabic_name' => 'فَيَأْتِيَهُم بَغْتَةً وَهُمْ لَا يَشْعُرُونَ','verse_number' => '202','verse_key' => '26:202','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3135','chapter_id' => '26','arabic_name' => 'فَيَقُولُوا۟ هَلْ نَحْنُ مُنظَرُونَ','verse_number' => '203','verse_key' => '26:203','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3136','chapter_id' => '26','arabic_name' => 'أَفَبِعَذَابِنَا يَسْتَعْجِلُونَ','verse_number' => '204','verse_key' => '26:204','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3137','chapter_id' => '26','arabic_name' => 'أَفَرَءَيْتَ إِن مَّتَّعْنَـٰهُمْ سِنِينَ','verse_number' => '205','verse_key' => '26:205','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3138','chapter_id' => '26','arabic_name' => 'ثُمَّ جَآءَهُم مَّا كَانُوا۟ يُوعَدُونَ','verse_number' => '206','verse_key' => '26:206','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '375','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3139','chapter_id' => '26','arabic_name' => 'مَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يُمَتَّعُونَ','verse_number' => '207','verse_key' => '26:207','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3140','chapter_id' => '26','arabic_name' => 'وَمَآ أَهْلَكْنَا مِن قَرْيَةٍ إِلَّا لَهَا مُنذِرُونَ','verse_number' => '208','verse_key' => '26:208','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3141','chapter_id' => '26','arabic_name' => 'ذِكْرَىٰ وَمَا كُنَّا ظَـٰلِمِينَ','verse_number' => '209','verse_key' => '26:209','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3142','chapter_id' => '26','arabic_name' => 'وَمَا تَنَزَّلَتْ بِهِ ٱلشَّيَـٰطِينُ','verse_number' => '210','verse_key' => '26:210','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3143','chapter_id' => '26','arabic_name' => 'وَمَا يَنۢبَغِى لَهُمْ وَمَا يَسْتَطِيعُونَ','verse_number' => '211','verse_key' => '26:211','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3144','chapter_id' => '26','arabic_name' => 'إِنَّهُمْ عَنِ ٱلسَّمْعِ لَمَعْزُولُونَ','verse_number' => '212','verse_key' => '26:212','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3145','chapter_id' => '26','arabic_name' => 'فَلَا تَدْعُ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ فَتَكُونَ مِنَ ٱلْمُعَذَّبِينَ','verse_number' => '213','verse_key' => '26:213','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3146','chapter_id' => '26','arabic_name' => 'وَأَنذِرْ عَشِيرَتَكَ ٱلْأَقْرَبِينَ','verse_number' => '214','verse_key' => '26:214','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3147','chapter_id' => '26','arabic_name' => 'وَٱخْفِضْ جَنَاحَكَ لِمَنِ ٱتَّبَعَكَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '215','verse_key' => '26:215','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3148','chapter_id' => '26','arabic_name' => 'فَإِنْ عَصَوْكَ فَقُلْ إِنِّى بَرِىٓءٌ مِّمَّا تَعْمَلُونَ','verse_number' => '216','verse_key' => '26:216','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3149','chapter_id' => '26','arabic_name' => 'وَتَوَكَّلْ عَلَى ٱلْعَزِيزِ ٱلرَّحِيمِ','verse_number' => '217','verse_key' => '26:217','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3150','chapter_id' => '26','arabic_name' => 'ٱلَّذِى يَرَىٰكَ حِينَ تَقُومُ','verse_number' => '218','verse_key' => '26:218','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3151','chapter_id' => '26','arabic_name' => 'وَتَقَلُّبَكَ فِى ٱلسَّـٰجِدِينَ','verse_number' => '219','verse_key' => '26:219','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3152','chapter_id' => '26','arabic_name' => 'إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '220','verse_key' => '26:220','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3153','chapter_id' => '26','arabic_name' => 'هَلْ أُنَبِّئُكُمْ عَلَىٰ مَن تَنَزَّلُ ٱلشَّيَـٰطِينُ','verse_number' => '221','verse_key' => '26:221','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3154','chapter_id' => '26','arabic_name' => 'تَنَزَّلُ عَلَىٰ كُلِّ أَفَّاكٍ أَثِيمٍ','verse_number' => '222','verse_key' => '26:222','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3155','chapter_id' => '26','arabic_name' => 'يُلْقُونَ ٱلسَّمْعَ وَأَكْثَرُهُمْ كَـٰذِبُونَ','verse_number' => '223','verse_key' => '26:223','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3156','chapter_id' => '26','arabic_name' => 'وَٱلشُّعَرَآءُ يَتَّبِعُهُمُ ٱلْغَاوُۥنَ','verse_number' => '224','verse_key' => '26:224','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3157','chapter_id' => '26','arabic_name' => 'أَلَمْ تَرَ أَنَّهُمْ فِى كُلِّ وَادٍ يَهِيمُونَ','verse_number' => '225','verse_key' => '26:225','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3158','chapter_id' => '26','arabic_name' => 'وَأَنَّهُمْ يَقُولُونَ مَا لَا يَفْعَلُونَ','verse_number' => '226','verse_key' => '26:226','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3159','chapter_id' => '26','arabic_name' => 'إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَذَكَرُوا۟ ٱللَّهَ كَثِيرًا وَٱنتَصَرُوا۟ مِنۢ بَعْدِ مَا ظُلِمُوا۟ ۗ وَسَيَعْلَمُ ٱلَّذِينَ ظَلَمُوٓا۟ أَىَّ مُنقَلَبٍ يَنقَلِبُونَ','verse_number' => '227','verse_key' => '26:227','hizb_number' => '38','rub_el_hizb_number' => '150','ruku_number' => '326','manzil_number' => '5','sajdah_number' => '0','page_number' => '376','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3160','chapter_id' => '27','arabic_name' => 'طسٓ ۚ تِلْكَ ءَايَـٰتُ ٱلْقُرْءَانِ وَكِتَابٍ مُّبِينٍ','verse_number' => '1','verse_key' => '27:1','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3161','chapter_id' => '27','arabic_name' => 'هُدًى وَبُشْرَىٰ لِلْمُؤْمِنِينَ','verse_number' => '2','verse_key' => '27:2','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3162','chapter_id' => '27','arabic_name' => 'ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَهُم بِٱلْـَٔاخِرَةِ هُمْ يُوقِنُونَ','verse_number' => '3','verse_key' => '27:3','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3163','chapter_id' => '27','arabic_name' => 'إِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ زَيَّنَّا لَهُمْ أَعْمَـٰلَهُمْ فَهُمْ يَعْمَهُونَ','verse_number' => '4','verse_key' => '27:4','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3164','chapter_id' => '27','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ لَهُمْ سُوٓءُ ٱلْعَذَابِ وَهُمْ فِى ٱلْـَٔاخِرَةِ هُمُ ٱلْأَخْسَرُونَ','verse_number' => '5','verse_key' => '27:5','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3165','chapter_id' => '27','arabic_name' => 'وَإِنَّكَ لَتُلَقَّى ٱلْقُرْءَانَ مِن لَّدُنْ حَكِيمٍ عَلِيمٍ','verse_number' => '6','verse_key' => '27:6','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3166','chapter_id' => '27','arabic_name' => 'إِذْ قَالَ مُوسَىٰ لِأَهْلِهِۦٓ إِنِّىٓ ءَانَسْتُ نَارًا سَـَٔاتِيكُم مِّنْهَا بِخَبَرٍ أَوْ ءَاتِيكُم بِشِهَابٍ قَبَسٍ لَّعَلَّكُمْ تَصْطَلُونَ','verse_number' => '7','verse_key' => '27:7','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3167','chapter_id' => '27','arabic_name' => 'فَلَمَّا جَآءَهَا نُودِىَ أَنۢ بُورِكَ مَن فِى ٱلنَّارِ وَمَنْ حَوْلَهَا وَسُبْحَـٰنَ ٱللَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '8','verse_key' => '27:8','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3168','chapter_id' => '27','arabic_name' => 'يَـٰمُوسَىٰٓ إِنَّهُۥٓ أَنَا ٱللَّهُ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '9','verse_key' => '27:9','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3169','chapter_id' => '27','arabic_name' => 'وَأَلْقِ عَصَاكَ ۚ فَلَمَّا رَءَاهَا تَهْتَزُّ كَأَنَّهَا جَآنٌّ وَلَّىٰ مُدْبِرًا وَلَمْ يُعَقِّبْ ۚ يَـٰمُوسَىٰ لَا تَخَفْ إِنِّى لَا يَخَافُ لَدَىَّ ٱلْمُرْسَلُونَ','verse_number' => '10','verse_key' => '27:10','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3170','chapter_id' => '27','arabic_name' => 'إِلَّا مَن ظَلَمَ ثُمَّ بَدَّلَ حُسْنًۢا بَعْدَ سُوٓءٍ فَإِنِّى غَفُورٌ رَّحِيمٌ','verse_number' => '11','verse_key' => '27:11','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3171','chapter_id' => '27','arabic_name' => 'وَأَدْخِلْ يَدَكَ فِى جَيْبِكَ تَخْرُجْ بَيْضَآءَ مِنْ غَيْرِ سُوٓءٍ ۖ فِى تِسْعِ ءَايَـٰتٍ إِلَىٰ فِرْعَوْنَ وَقَوْمِهِۦٓ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًا فَـٰسِقِينَ','verse_number' => '12','verse_key' => '27:12','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3172','chapter_id' => '27','arabic_name' => 'فَلَمَّا جَآءَتْهُمْ ءَايَـٰتُنَا مُبْصِرَةً قَالُوا۟ هَـٰذَا سِحْرٌ مُّبِينٌ','verse_number' => '13','verse_key' => '27:13','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '377','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3173','chapter_id' => '27','arabic_name' => 'وَجَحَدُوا۟ بِهَا وَٱسْتَيْقَنَتْهَآ أَنفُسُهُمْ ظُلْمًا وَعُلُوًّا ۚ فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُفْسِدِينَ','verse_number' => '14','verse_key' => '27:14','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '327','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3174','chapter_id' => '27','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا دَاوُۥدَ وَسُلَيْمَـٰنَ عِلْمًا ۖ وَقَالَا ٱلْحَمْدُ لِلَّهِ ٱلَّذِى فَضَّلَنَا عَلَىٰ كَثِيرٍ مِّنْ عِبَادِهِ ٱلْمُؤْمِنِينَ','verse_number' => '15','verse_key' => '27:15','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3175','chapter_id' => '27','arabic_name' => 'وَوَرِثَ سُلَيْمَـٰنُ دَاوُۥدَ ۖ وَقَالَ يَـٰٓأَيُّهَا ٱلنَّاسُ عُلِّمْنَا مَنطِقَ ٱلطَّيْرِ وَأُوتِينَا مِن كُلِّ شَىْءٍ ۖ إِنَّ هَـٰذَا لَهُوَ ٱلْفَضْلُ ٱلْمُبِينُ','verse_number' => '16','verse_key' => '27:16','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3176','chapter_id' => '27','arabic_name' => 'وَحُشِرَ لِسُلَيْمَـٰنَ جُنُودُهُۥ مِنَ ٱلْجِنِّ وَٱلْإِنسِ وَٱلطَّيْرِ فَهُمْ يُوزَعُونَ','verse_number' => '17','verse_key' => '27:17','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3177','chapter_id' => '27','arabic_name' => 'حَتَّىٰٓ إِذَآ أَتَوْا۟ عَلَىٰ وَادِ ٱلنَّمْلِ قَالَتْ نَمْلَةٌ يَـٰٓأَيُّهَا ٱلنَّمْلُ ٱدْخُلُوا۟ مَسَـٰكِنَكُمْ لَا يَحْطِمَنَّكُمْ سُلَيْمَـٰنُ وَجُنُودُهُۥ وَهُمْ لَا يَشْعُرُونَ','verse_number' => '18','verse_key' => '27:18','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3178','chapter_id' => '27','arabic_name' => 'فَتَبَسَّمَ ضَاحِكًا مِّن قَوْلِهَا وَقَالَ رَبِّ أَوْزِعْنِىٓ أَنْ أَشْكُرَ نِعْمَتَكَ ٱلَّتِىٓ أَنْعَمْتَ عَلَىَّ وَعَلَىٰ وَٰلِدَىَّ وَأَنْ أَعْمَلَ صَـٰلِحًا تَرْضَىٰهُ وَأَدْخِلْنِى بِرَحْمَتِكَ فِى عِبَادِكَ ٱلصَّـٰلِحِينَ','verse_number' => '19','verse_key' => '27:19','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3179','chapter_id' => '27','arabic_name' => 'وَتَفَقَّدَ ٱلطَّيْرَ فَقَالَ مَا لِىَ لَآ أَرَى ٱلْهُدْهُدَ أَمْ كَانَ مِنَ ٱلْغَآئِبِينَ','verse_number' => '20','verse_key' => '27:20','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3180','chapter_id' => '27','arabic_name' => 'لَأُعَذِّبَنَّهُۥ عَذَابًا شَدِيدًا أَوْ لَأَا۟ذْبَحَنَّهُۥٓ أَوْ لَيَأْتِيَنِّى بِسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '21','verse_key' => '27:21','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3181','chapter_id' => '27','arabic_name' => 'فَمَكَثَ غَيْرَ بَعِيدٍ فَقَالَ أَحَطتُ بِمَا لَمْ تُحِطْ بِهِۦ وَجِئْتُكَ مِن سَبَإٍۭ بِنَبَإٍ يَقِينٍ','verse_number' => '22','verse_key' => '27:22','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '378','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3182','chapter_id' => '27','arabic_name' => 'إِنِّى وَجَدتُّ ٱمْرَأَةً تَمْلِكُهُمْ وَأُوتِيَتْ مِن كُلِّ شَىْءٍ وَلَهَا عَرْشٌ عَظِيمٌ','verse_number' => '23','verse_key' => '27:23','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3183','chapter_id' => '27','arabic_name' => 'وَجَدتُّهَا وَقَوْمَهَا يَسْجُدُونَ لِلشَّمْسِ مِن دُونِ ٱللَّهِ وَزَيَّنَ لَهُمُ ٱلشَّيْطَـٰنُ أَعْمَـٰلَهُمْ فَصَدَّهُمْ عَنِ ٱلسَّبِيلِ فَهُمْ لَا يَهْتَدُونَ','verse_number' => '24','verse_key' => '27:24','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3184','chapter_id' => '27','arabic_name' => 'أَلَّا يَسْجُدُوا۟ لِلَّهِ ٱلَّذِى يُخْرِجُ ٱلْخَبْءَ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَيَعْلَمُ مَا تُخْفُونَ وَمَا تُعْلِنُونَ','verse_number' => '25','verse_key' => '27:25','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3185','chapter_id' => '27','arabic_name' => 'ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ رَبُّ ٱلْعَرْشِ ٱلْعَظِيمِ ۩','verse_number' => '26','verse_key' => '27:26','hizb_number' => '38','rub_el_hizb_number' => '151','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '8','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3186','chapter_id' => '27','arabic_name' => '۞ قَالَ سَنَنظُرُ أَصَدَقْتَ أَمْ كُنتَ مِنَ ٱلْكَـٰذِبِينَ','verse_number' => '27','verse_key' => '27:27','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3187','chapter_id' => '27','arabic_name' => 'ٱذْهَب بِّكِتَـٰبِى هَـٰذَا فَأَلْقِهْ إِلَيْهِمْ ثُمَّ تَوَلَّ عَنْهُمْ فَٱنظُرْ مَاذَا يَرْجِعُونَ','verse_number' => '28','verse_key' => '27:28','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3188','chapter_id' => '27','arabic_name' => 'قَالَتْ يَـٰٓأَيُّهَا ٱلْمَلَؤُا۟ إِنِّىٓ أُلْقِىَ إِلَىَّ كِتَـٰبٌ كَرِيمٌ','verse_number' => '29','verse_key' => '27:29','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3189','chapter_id' => '27','arabic_name' => 'إِنَّهُۥ مِن سُلَيْمَـٰنَ وَإِنَّهُۥ بِسْمِ ٱللَّهِ ٱلرَّحْمَـٰنِ ٱلرَّحِيمِ','verse_number' => '30','verse_key' => '27:30','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3190','chapter_id' => '27','arabic_name' => 'أَلَّا تَعْلُوا۟ عَلَىَّ وَأْتُونِى مُسْلِمِينَ','verse_number' => '31','verse_key' => '27:31','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '328','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3191','chapter_id' => '27','arabic_name' => 'قَالَتْ يَـٰٓأَيُّهَا ٱلْمَلَؤُا۟ أَفْتُونِى فِىٓ أَمْرِى مَا كُنتُ قَاطِعَةً أَمْرًا حَتَّىٰ تَشْهَدُونِ','verse_number' => '32','verse_key' => '27:32','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3192','chapter_id' => '27','arabic_name' => 'قَالُوا۟ نَحْنُ أُو۟لُوا۟ قُوَّةٍ وَأُو۟لُوا۟ بَأْسٍ شَدِيدٍ وَٱلْأَمْرُ إِلَيْكِ فَٱنظُرِى مَاذَا تَأْمُرِينَ','verse_number' => '33','verse_key' => '27:33','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3193','chapter_id' => '27','arabic_name' => 'قَالَتْ إِنَّ ٱلْمُلُوكَ إِذَا دَخَلُوا۟ قَرْيَةً أَفْسَدُوهَا وَجَعَلُوٓا۟ أَعِزَّةَ أَهْلِهَآ أَذِلَّةً ۖ وَكَذَٰلِكَ يَفْعَلُونَ','verse_number' => '34','verse_key' => '27:34','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3194','chapter_id' => '27','arabic_name' => 'وَإِنِّى مُرْسِلَةٌ إِلَيْهِم بِهَدِيَّةٍ فَنَاظِرَةٌۢ بِمَ يَرْجِعُ ٱلْمُرْسَلُونَ','verse_number' => '35','verse_key' => '27:35','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '379','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3195','chapter_id' => '27','arabic_name' => 'فَلَمَّا جَآءَ سُلَيْمَـٰنَ قَالَ أَتُمِدُّونَنِ بِمَالٍ فَمَآ ءَاتَىٰنِۦَ ٱللَّهُ خَيْرٌ مِّمَّآ ءَاتَىٰكُم بَلْ أَنتُم بِهَدِيَّتِكُمْ تَفْرَحُونَ','verse_number' => '36','verse_key' => '27:36','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3196','chapter_id' => '27','arabic_name' => 'ٱرْجِعْ إِلَيْهِمْ فَلَنَأْتِيَنَّهُم بِجُنُودٍ لَّا قِبَلَ لَهُم بِهَا وَلَنُخْرِجَنَّهُم مِّنْهَآ أَذِلَّةً وَهُمْ صَـٰغِرُونَ','verse_number' => '37','verse_key' => '27:37','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3197','chapter_id' => '27','arabic_name' => 'قَالَ يَـٰٓأَيُّهَا ٱلْمَلَؤُا۟ أَيُّكُمْ يَأْتِينِى بِعَرْشِهَا قَبْلَ أَن يَأْتُونِى مُسْلِمِينَ','verse_number' => '38','verse_key' => '27:38','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3198','chapter_id' => '27','arabic_name' => 'قَالَ عِفْرِيتٌ مِّنَ ٱلْجِنِّ أَنَا۠ ءَاتِيكَ بِهِۦ قَبْلَ أَن تَقُومَ مِن مَّقَامِكَ ۖ وَإِنِّى عَلَيْهِ لَقَوِىٌّ أَمِينٌ','verse_number' => '39','verse_key' => '27:39','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3199','chapter_id' => '27','arabic_name' => 'قَالَ ٱلَّذِى عِندَهُۥ عِلْمٌ مِّنَ ٱلْكِتَـٰبِ أَنَا۠ ءَاتِيكَ بِهِۦ قَبْلَ أَن يَرْتَدَّ إِلَيْكَ طَرْفُكَ ۚ فَلَمَّا رَءَاهُ مُسْتَقِرًّا عِندَهُۥ قَالَ هَـٰذَا مِن فَضْلِ رَبِّى لِيَبْلُوَنِىٓ ءَأَشْكُرُ أَمْ أَكْفُرُ ۖ وَمَن شَكَرَ فَإِنَّمَا يَشْكُرُ لِنَفْسِهِۦ ۖ وَمَن كَفَرَ فَإِنَّ رَبِّى غَنِىٌّ كَرِيمٌ','verse_number' => '40','verse_key' => '27:40','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3200','chapter_id' => '27','arabic_name' => 'قَالَ نَكِّرُوا۟ لَهَا عَرْشَهَا نَنظُرْ أَتَهْتَدِىٓ أَمْ تَكُونُ مِنَ ٱلَّذِينَ لَا يَهْتَدُونَ','verse_number' => '41','verse_key' => '27:41','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3201','chapter_id' => '27','arabic_name' => 'فَلَمَّا جَآءَتْ قِيلَ أَهَـٰكَذَا عَرْشُكِ ۖ قَالَتْ كَأَنَّهُۥ هُوَ ۚ وَأُوتِينَا ٱلْعِلْمَ مِن قَبْلِهَا وَكُنَّا مُسْلِمِينَ','verse_number' => '42','verse_key' => '27:42','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3202','chapter_id' => '27','arabic_name' => 'وَصَدَّهَا مَا كَانَت تَّعْبُدُ مِن دُونِ ٱللَّهِ ۖ إِنَّهَا كَانَتْ مِن قَوْمٍ كَـٰفِرِينَ','verse_number' => '43','verse_key' => '27:43','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3203','chapter_id' => '27','arabic_name' => 'قِيلَ لَهَا ٱدْخُلِى ٱلصَّرْحَ ۖ فَلَمَّا رَأَتْهُ حَسِبَتْهُ لُجَّةً وَكَشَفَتْ عَن سَاقَيْهَا ۚ قَالَ إِنَّهُۥ صَرْحٌ مُّمَرَّدٌ مِّن قَوَارِيرَ ۗ قَالَتْ رَبِّ إِنِّى ظَلَمْتُ نَفْسِى وَأَسْلَمْتُ مَعَ سُلَيْمَـٰنَ لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '44','verse_key' => '27:44','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '329','manzil_number' => '5','sajdah_number' => '0','page_number' => '380','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3204','chapter_id' => '27','arabic_name' => 'وَلَقَدْ أَرْسَلْنَآ إِلَىٰ ثَمُودَ أَخَاهُمْ صَـٰلِحًا أَنِ ٱعْبُدُوا۟ ٱللَّهَ فَإِذَا هُمْ فَرِيقَانِ يَخْتَصِمُونَ','verse_number' => '45','verse_key' => '27:45','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3205','chapter_id' => '27','arabic_name' => 'قَالَ يَـٰقَوْمِ لِمَ تَسْتَعْجِلُونَ بِٱلسَّيِّئَةِ قَبْلَ ٱلْحَسَنَةِ ۖ لَوْلَا تَسْتَغْفِرُونَ ٱللَّهَ لَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '46','verse_key' => '27:46','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3206','chapter_id' => '27','arabic_name' => 'قَالُوا۟ ٱطَّيَّرْنَا بِكَ وَبِمَن مَّعَكَ ۚ قَالَ طَـٰٓئِرُكُمْ عِندَ ٱللَّهِ ۖ بَلْ أَنتُمْ قَوْمٌ تُفْتَنُونَ','verse_number' => '47','verse_key' => '27:47','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3207','chapter_id' => '27','arabic_name' => 'وَكَانَ فِى ٱلْمَدِينَةِ تِسْعَةُ رَهْطٍ يُفْسِدُونَ فِى ٱلْأَرْضِ وَلَا يُصْلِحُونَ','verse_number' => '48','verse_key' => '27:48','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3208','chapter_id' => '27','arabic_name' => 'قَالُوا۟ تَقَاسَمُوا۟ بِٱللَّهِ لَنُبَيِّتَنَّهُۥ وَأَهْلَهُۥ ثُمَّ لَنَقُولَنَّ لِوَلِيِّهِۦ مَا شَهِدْنَا مَهْلِكَ أَهْلِهِۦ وَإِنَّا لَصَـٰدِقُونَ','verse_number' => '49','verse_key' => '27:49','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3209','chapter_id' => '27','arabic_name' => 'وَمَكَرُوا۟ مَكْرًا وَمَكَرْنَا مَكْرًا وَهُمْ لَا يَشْعُرُونَ','verse_number' => '50','verse_key' => '27:50','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3210','chapter_id' => '27','arabic_name' => 'فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ مَكْرِهِمْ أَنَّا دَمَّرْنَـٰهُمْ وَقَوْمَهُمْ أَجْمَعِينَ','verse_number' => '51','verse_key' => '27:51','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3211','chapter_id' => '27','arabic_name' => 'فَتِلْكَ بُيُوتُهُمْ خَاوِيَةًۢ بِمَا ظَلَمُوٓا۟ ۗ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّقَوْمٍ يَعْلَمُونَ','verse_number' => '52','verse_key' => '27:52','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3212','chapter_id' => '27','arabic_name' => 'وَأَنجَيْنَا ٱلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ','verse_number' => '53','verse_key' => '27:53','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3213','chapter_id' => '27','arabic_name' => 'وَلُوطًا إِذْ قَالَ لِقَوْمِهِۦٓ أَتَأْتُونَ ٱلْفَـٰحِشَةَ وَأَنتُمْ تُبْصِرُونَ','verse_number' => '54','verse_key' => '27:54','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3214','chapter_id' => '27','arabic_name' => 'أَئِنَّكُمْ لَتَأْتُونَ ٱلرِّجَالَ شَهْوَةً مِّن دُونِ ٱلنِّسَآءِ ۚ بَلْ أَنتُمْ قَوْمٌ تَجْهَلُونَ','verse_number' => '55','verse_key' => '27:55','hizb_number' => '38','rub_el_hizb_number' => '152','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '381','juz_number' => '19','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3215','chapter_id' => '27','arabic_name' => '۞ فَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوٓا۟ أَخْرِجُوٓا۟ ءَالَ لُوطٍ مِّن قَرْيَتِكُمْ ۖ إِنَّهُمْ أُنَاسٌ يَتَطَهَّرُونَ','verse_number' => '56','verse_key' => '27:56','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3216','chapter_id' => '27','arabic_name' => 'فَأَنجَيْنَـٰهُ وَأَهْلَهُۥٓ إِلَّا ٱمْرَأَتَهُۥ قَدَّرْنَـٰهَا مِنَ ٱلْغَـٰبِرِينَ','verse_number' => '57','verse_key' => '27:57','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3217','chapter_id' => '27','arabic_name' => 'وَأَمْطَرْنَا عَلَيْهِم مَّطَرًا ۖ فَسَآءَ مَطَرُ ٱلْمُنذَرِينَ','verse_number' => '58','verse_key' => '27:58','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '330','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3218','chapter_id' => '27','arabic_name' => 'قُلِ ٱلْحَمْدُ لِلَّهِ وَسَلَـٰمٌ عَلَىٰ عِبَادِهِ ٱلَّذِينَ ٱصْطَفَىٰٓ ۗ ءَآللَّهُ خَيْرٌ أَمَّا يُشْرِكُونَ','verse_number' => '59','verse_key' => '27:59','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3219','chapter_id' => '27','arabic_name' => 'أَمَّنْ خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَأَنزَلَ لَكُم مِّنَ ٱلسَّمَآءِ مَآءً فَأَنۢبَتْنَا بِهِۦ حَدَآئِقَ ذَاتَ بَهْجَةٍ مَّا كَانَ لَكُمْ أَن تُنۢبِتُوا۟ شَجَرَهَآ ۗ أَءِلَـٰهٌ مَّعَ ٱللَّهِ ۚ بَلْ هُمْ قَوْمٌ يَعْدِلُونَ','verse_number' => '60','verse_key' => '27:60','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3220','chapter_id' => '27','arabic_name' => 'أَمَّن جَعَلَ ٱلْأَرْضَ قَرَارًا وَجَعَلَ خِلَـٰلَهَآ أَنْهَـٰرًا وَجَعَلَ لَهَا رَوَٰسِىَ وَجَعَلَ بَيْنَ ٱلْبَحْرَيْنِ حَاجِزًا ۗ أَءِلَـٰهٌ مَّعَ ٱللَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ','verse_number' => '61','verse_key' => '27:61','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3221','chapter_id' => '27','arabic_name' => 'أَمَّن يُجِيبُ ٱلْمُضْطَرَّ إِذَا دَعَاهُ وَيَكْشِفُ ٱلسُّوٓءَ وَيَجْعَلُكُمْ خُلَفَآءَ ٱلْأَرْضِ ۗ أَءِلَـٰهٌ مَّعَ ٱللَّهِ ۚ قَلِيلًا مَّا تَذَكَّرُونَ','verse_number' => '62','verse_key' => '27:62','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3222','chapter_id' => '27','arabic_name' => 'أَمَّن يَهْدِيكُمْ فِى ظُلُمَـٰتِ ٱلْبَرِّ وَٱلْبَحْرِ وَمَن يُرْسِلُ ٱلرِّيَـٰحَ بُشْرًۢا بَيْنَ يَدَىْ رَحْمَتِهِۦٓ ۗ أَءِلَـٰهٌ مَّعَ ٱللَّهِ ۚ تَعَـٰلَى ٱللَّهُ عَمَّا يُشْرِكُونَ','verse_number' => '63','verse_key' => '27:63','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '382','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3223','chapter_id' => '27','arabic_name' => 'أَمَّن يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ وَمَن يَرْزُقُكُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ ۗ أَءِلَـٰهٌ مَّعَ ٱللَّهِ ۚ قُلْ هَاتُوا۟ بُرْهَـٰنَكُمْ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '64','verse_key' => '27:64','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3224','chapter_id' => '27','arabic_name' => 'قُل لَّا يَعْلَمُ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ٱلْغَيْبَ إِلَّا ٱللَّهُ ۚ وَمَا يَشْعُرُونَ أَيَّانَ يُبْعَثُونَ','verse_number' => '65','verse_key' => '27:65','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3225','chapter_id' => '27','arabic_name' => 'بَلِ ٱدَّٰرَكَ عِلْمُهُمْ فِى ٱلْـَٔاخِرَةِ ۚ بَلْ هُمْ فِى شَكٍّ مِّنْهَا ۖ بَلْ هُم مِّنْهَا عَمُونَ','verse_number' => '66','verse_key' => '27:66','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '331','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3226','chapter_id' => '27','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوٓا۟ أَءِذَا كُنَّا تُرَٰبًا وَءَابَآؤُنَآ أَئِنَّا لَمُخْرَجُونَ','verse_number' => '67','verse_key' => '27:67','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3227','chapter_id' => '27','arabic_name' => 'لَقَدْ وُعِدْنَا هَـٰذَا نَحْنُ وَءَابَآؤُنَا مِن قَبْلُ إِنْ هَـٰذَآ إِلَّآ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '68','verse_key' => '27:68','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3228','chapter_id' => '27','arabic_name' => 'قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُجْرِمِينَ','verse_number' => '69','verse_key' => '27:69','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3229','chapter_id' => '27','arabic_name' => 'وَلَا تَحْزَنْ عَلَيْهِمْ وَلَا تَكُن فِى ضَيْقٍ مِّمَّا يَمْكُرُونَ','verse_number' => '70','verse_key' => '27:70','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3230','chapter_id' => '27','arabic_name' => 'وَيَقُولُونَ مَتَىٰ هَـٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '71','verse_key' => '27:71','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3231','chapter_id' => '27','arabic_name' => 'قُلْ عَسَىٰٓ أَن يَكُونَ رَدِفَ لَكُم بَعْضُ ٱلَّذِى تَسْتَعْجِلُونَ','verse_number' => '72','verse_key' => '27:72','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3232','chapter_id' => '27','arabic_name' => 'وَإِنَّ رَبَّكَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَشْكُرُونَ','verse_number' => '73','verse_key' => '27:73','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3233','chapter_id' => '27','arabic_name' => 'وَإِنَّ رَبَّكَ لَيَعْلَمُ مَا تُكِنُّ صُدُورُهُمْ وَمَا يُعْلِنُونَ','verse_number' => '74','verse_key' => '27:74','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3234','chapter_id' => '27','arabic_name' => 'وَمَا مِنْ غَآئِبَةٍ فِى ٱلسَّمَآءِ وَٱلْأَرْضِ إِلَّا فِى كِتَـٰبٍ مُّبِينٍ','verse_number' => '75','verse_key' => '27:75','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3235','chapter_id' => '27','arabic_name' => 'إِنَّ هَـٰذَا ٱلْقُرْءَانَ يَقُصُّ عَلَىٰ بَنِىٓ إِسْرَٰٓءِيلَ أَكْثَرَ ٱلَّذِى هُمْ فِيهِ يَخْتَلِفُونَ','verse_number' => '76','verse_key' => '27:76','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '383','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3236','chapter_id' => '27','arabic_name' => 'وَإِنَّهُۥ لَهُدًى وَرَحْمَةٌ لِّلْمُؤْمِنِينَ','verse_number' => '77','verse_key' => '27:77','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3237','chapter_id' => '27','arabic_name' => 'إِنَّ رَبَّكَ يَقْضِى بَيْنَهُم بِحُكْمِهِۦ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْعَلِيمُ','verse_number' => '78','verse_key' => '27:78','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3238','chapter_id' => '27','arabic_name' => 'فَتَوَكَّلْ عَلَى ٱللَّهِ ۖ إِنَّكَ عَلَى ٱلْحَقِّ ٱلْمُبِينِ','verse_number' => '79','verse_key' => '27:79','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3239','chapter_id' => '27','arabic_name' => 'إِنَّكَ لَا تُسْمِعُ ٱلْمَوْتَىٰ وَلَا تُسْمِعُ ٱلصُّمَّ ٱلدُّعَآءَ إِذَا وَلَّوْا۟ مُدْبِرِينَ','verse_number' => '80','verse_key' => '27:80','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3240','chapter_id' => '27','arabic_name' => 'وَمَآ أَنتَ بِهَـٰدِى ٱلْعُمْىِ عَن ضَلَـٰلَتِهِمْ ۖ إِن تُسْمِعُ إِلَّا مَن يُؤْمِنُ بِـَٔايَـٰتِنَا فَهُم مُّسْلِمُونَ','verse_number' => '81','verse_key' => '27:81','hizb_number' => '39','rub_el_hizb_number' => '153','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3241','chapter_id' => '27','arabic_name' => '۞ وَإِذَا وَقَعَ ٱلْقَوْلُ عَلَيْهِمْ أَخْرَجْنَا لَهُمْ دَآبَّةً مِّنَ ٱلْأَرْضِ تُكَلِّمُهُمْ أَنَّ ٱلنَّاسَ كَانُوا۟ بِـَٔايَـٰتِنَا لَا يُوقِنُونَ','verse_number' => '82','verse_key' => '27:82','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '332','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3242','chapter_id' => '27','arabic_name' => 'وَيَوْمَ نَحْشُرُ مِن كُلِّ أُمَّةٍ فَوْجًا مِّمَّن يُكَذِّبُ بِـَٔايَـٰتِنَا فَهُمْ يُوزَعُونَ','verse_number' => '83','verse_key' => '27:83','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3243','chapter_id' => '27','arabic_name' => 'حَتَّىٰٓ إِذَا جَآءُو قَالَ أَكَذَّبْتُم بِـَٔايَـٰتِى وَلَمْ تُحِيطُوا۟ بِهَا عِلْمًا أَمَّاذَا كُنتُمْ تَعْمَلُونَ','verse_number' => '84','verse_key' => '27:84','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3244','chapter_id' => '27','arabic_name' => 'وَوَقَعَ ٱلْقَوْلُ عَلَيْهِم بِمَا ظَلَمُوا۟ فَهُمْ لَا يَنطِقُونَ','verse_number' => '85','verse_key' => '27:85','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3245','chapter_id' => '27','arabic_name' => 'أَلَمْ يَرَوْا۟ أَنَّا جَعَلْنَا ٱلَّيْلَ لِيَسْكُنُوا۟ فِيهِ وَٱلنَّهَارَ مُبْصِرًا ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '86','verse_key' => '27:86','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3246','chapter_id' => '27','arabic_name' => 'وَيَوْمَ يُنفَخُ فِى ٱلصُّورِ فَفَزِعَ مَن فِى ٱلسَّمَـٰوَٰتِ وَمَن فِى ٱلْأَرْضِ إِلَّا مَن شَآءَ ٱللَّهُ ۚ وَكُلٌّ أَتَوْهُ دَٰخِرِينَ','verse_number' => '87','verse_key' => '27:87','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3247','chapter_id' => '27','arabic_name' => 'وَتَرَى ٱلْجِبَالَ تَحْسَبُهَا جَامِدَةً وَهِىَ تَمُرُّ مَرَّ ٱلسَّحَابِ ۚ صُنْعَ ٱللَّهِ ٱلَّذِىٓ أَتْقَنَ كُلَّ شَىْءٍ ۚ إِنَّهُۥ خَبِيرٌۢ بِمَا تَفْعَلُونَ','verse_number' => '88','verse_key' => '27:88','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '384','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3248','chapter_id' => '27','arabic_name' => 'مَن جَآءَ بِٱلْحَسَنَةِ فَلَهُۥ خَيْرٌ مِّنْهَا وَهُم مِّن فَزَعٍ يَوْمَئِذٍ ءَامِنُونَ','verse_number' => '89','verse_key' => '27:89','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3249','chapter_id' => '27','arabic_name' => 'وَمَن جَآءَ بِٱلسَّيِّئَةِ فَكُبَّتْ وُجُوهُهُمْ فِى ٱلنَّارِ هَلْ تُجْزَوْنَ إِلَّا مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '90','verse_key' => '27:90','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3250','chapter_id' => '27','arabic_name' => 'إِنَّمَآ أُمِرْتُ أَنْ أَعْبُدَ رَبَّ هَـٰذِهِ ٱلْبَلْدَةِ ٱلَّذِى حَرَّمَهَا وَلَهُۥ كُلُّ شَىْءٍ ۖ وَأُمِرْتُ أَنْ أَكُونَ مِنَ ٱلْمُسْلِمِينَ','verse_number' => '91','verse_key' => '27:91','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3251','chapter_id' => '27','arabic_name' => 'وَأَنْ أَتْلُوَا۟ ٱلْقُرْءَانَ ۖ فَمَنِ ٱهْتَدَىٰ فَإِنَّمَا يَهْتَدِى لِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَقُلْ إِنَّمَآ أَنَا۠ مِنَ ٱلْمُنذِرِينَ','verse_number' => '92','verse_key' => '27:92','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3252','chapter_id' => '27','arabic_name' => 'وَقُلِ ٱلْحَمْدُ لِلَّهِ سَيُرِيكُمْ ءَايَـٰتِهِۦ فَتَعْرِفُونَهَا ۚ وَمَا رَبُّكَ بِغَـٰفِلٍ عَمَّا تَعْمَلُونَ','verse_number' => '93','verse_key' => '27:93','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '333','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3253','chapter_id' => '28','arabic_name' => 'طسٓمٓ','verse_number' => '1','verse_key' => '28:1','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3254','chapter_id' => '28','arabic_name' => 'تِلْكَ ءَايَـٰتُ ٱلْكِتَـٰبِ ٱلْمُبِينِ','verse_number' => '2','verse_key' => '28:2','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3255','chapter_id' => '28','arabic_name' => 'نَتْلُوا۟ عَلَيْكَ مِن نَّبَإِ مُوسَىٰ وَفِرْعَوْنَ بِٱلْحَقِّ لِقَوْمٍ يُؤْمِنُونَ','verse_number' => '3','verse_key' => '28:3','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3256','chapter_id' => '28','arabic_name' => 'إِنَّ فِرْعَوْنَ عَلَا فِى ٱلْأَرْضِ وَجَعَلَ أَهْلَهَا شِيَعًا يَسْتَضْعِفُ طَآئِفَةً مِّنْهُمْ يُذَبِّحُ أَبْنَآءَهُمْ وَيَسْتَحْىِۦ نِسَآءَهُمْ ۚ إِنَّهُۥ كَانَ مِنَ ٱلْمُفْسِدِينَ','verse_number' => '4','verse_key' => '28:4','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3257','chapter_id' => '28','arabic_name' => 'وَنُرِيدُ أَن نَّمُنَّ عَلَى ٱلَّذِينَ ٱسْتُضْعِفُوا۟ فِى ٱلْأَرْضِ وَنَجْعَلَهُمْ أَئِمَّةً وَنَجْعَلَهُمُ ٱلْوَٰرِثِينَ','verse_number' => '5','verse_key' => '28:5','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '385','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3258','chapter_id' => '28','arabic_name' => 'وَنُمَكِّنَ لَهُمْ فِى ٱلْأَرْضِ وَنُرِىَ فِرْعَوْنَ وَهَـٰمَـٰنَ وَجُنُودَهُمَا مِنْهُم مَّا كَانُوا۟ يَحْذَرُونَ','verse_number' => '6','verse_key' => '28:6','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3259','chapter_id' => '28','arabic_name' => 'وَأَوْحَيْنَآ إِلَىٰٓ أُمِّ مُوسَىٰٓ أَنْ أَرْضِعِيهِ ۖ فَإِذَا خِفْتِ عَلَيْهِ فَأَلْقِيهِ فِى ٱلْيَمِّ وَلَا تَخَافِى وَلَا تَحْزَنِىٓ ۖ إِنَّا رَآدُّوهُ إِلَيْكِ وَجَاعِلُوهُ مِنَ ٱلْمُرْسَلِينَ','verse_number' => '7','verse_key' => '28:7','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3260','chapter_id' => '28','arabic_name' => 'فَٱلْتَقَطَهُۥٓ ءَالُ فِرْعَوْنَ لِيَكُونَ لَهُمْ عَدُوًّا وَحَزَنًا ۗ إِنَّ فِرْعَوْنَ وَهَـٰمَـٰنَ وَجُنُودَهُمَا كَانُوا۟ خَـٰطِـِٔينَ','verse_number' => '8','verse_key' => '28:8','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3261','chapter_id' => '28','arabic_name' => 'وَقَالَتِ ٱمْرَأَتُ فِرْعَوْنَ قُرَّتُ عَيْنٍ لِّى وَلَكَ ۖ لَا تَقْتُلُوهُ عَسَىٰٓ أَن يَنفَعَنَآ أَوْ نَتَّخِذَهُۥ وَلَدًا وَهُمْ لَا يَشْعُرُونَ','verse_number' => '9','verse_key' => '28:9','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3262','chapter_id' => '28','arabic_name' => 'وَأَصْبَحَ فُؤَادُ أُمِّ مُوسَىٰ فَـٰرِغًا ۖ إِن كَادَتْ لَتُبْدِى بِهِۦ لَوْلَآ أَن رَّبَطْنَا عَلَىٰ قَلْبِهَا لِتَكُونَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '10','verse_key' => '28:10','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3263','chapter_id' => '28','arabic_name' => 'وَقَالَتْ لِأُخْتِهِۦ قُصِّيهِ ۖ فَبَصُرَتْ بِهِۦ عَن جُنُبٍ وَهُمْ لَا يَشْعُرُونَ','verse_number' => '11','verse_key' => '28:11','hizb_number' => '39','rub_el_hizb_number' => '154','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3264','chapter_id' => '28','arabic_name' => '۞ وَحَرَّمْنَا عَلَيْهِ ٱلْمَرَاضِعَ مِن قَبْلُ فَقَالَتْ هَلْ أَدُلُّكُمْ عَلَىٰٓ أَهْلِ بَيْتٍ يَكْفُلُونَهُۥ لَكُمْ وَهُمْ لَهُۥ نَـٰصِحُونَ','verse_number' => '12','verse_key' => '28:12','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3265','chapter_id' => '28','arabic_name' => 'فَرَدَدْنَـٰهُ إِلَىٰٓ أُمِّهِۦ كَىْ تَقَرَّ عَيْنُهَا وَلَا تَحْزَنَ وَلِتَعْلَمَ أَنَّ وَعْدَ ٱللَّهِ حَقٌّ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '13','verse_key' => '28:13','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '334','manzil_number' => '5','sajdah_number' => '0','page_number' => '386','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3266','chapter_id' => '28','arabic_name' => 'وَلَمَّا بَلَغَ أَشُدَّهُۥ وَٱسْتَوَىٰٓ ءَاتَيْنَـٰهُ حُكْمًا وَعِلْمًا ۚ وَكَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '14','verse_key' => '28:14','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3267','chapter_id' => '28','arabic_name' => 'وَدَخَلَ ٱلْمَدِينَةَ عَلَىٰ حِينِ غَفْلَةٍ مِّنْ أَهْلِهَا فَوَجَدَ فِيهَا رَجُلَيْنِ يَقْتَتِلَانِ هَـٰذَا مِن شِيعَتِهِۦ وَهَـٰذَا مِنْ عَدُوِّهِۦ ۖ فَٱسْتَغَـٰثَهُ ٱلَّذِى مِن شِيعَتِهِۦ عَلَى ٱلَّذِى مِنْ عَدُوِّهِۦ فَوَكَزَهُۥ مُوسَىٰ فَقَضَىٰ عَلَيْهِ ۖ قَالَ هَـٰذَا مِنْ عَمَلِ ٱلشَّيْطَـٰنِ ۖ إِنَّهُۥ عَدُوٌّ مُّضِلٌّ مُّبِينٌ','verse_number' => '15','verse_key' => '28:15','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3268','chapter_id' => '28','arabic_name' => 'قَالَ رَبِّ إِنِّى ظَلَمْتُ نَفْسِى فَٱغْفِرْ لِى فَغَفَرَ لَهُۥٓ ۚ إِنَّهُۥ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ','verse_number' => '16','verse_key' => '28:16','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3269','chapter_id' => '28','arabic_name' => 'قَالَ رَبِّ بِمَآ أَنْعَمْتَ عَلَىَّ فَلَنْ أَكُونَ ظَهِيرًا لِّلْمُجْرِمِينَ','verse_number' => '17','verse_key' => '28:17','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3270','chapter_id' => '28','arabic_name' => 'فَأَصْبَحَ فِى ٱلْمَدِينَةِ خَآئِفًا يَتَرَقَّبُ فَإِذَا ٱلَّذِى ٱسْتَنصَرَهُۥ بِٱلْأَمْسِ يَسْتَصْرِخُهُۥ ۚ قَالَ لَهُۥ مُوسَىٰٓ إِنَّكَ لَغَوِىٌّ مُّبِينٌ','verse_number' => '18','verse_key' => '28:18','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3271','chapter_id' => '28','arabic_name' => 'فَلَمَّآ أَنْ أَرَادَ أَن يَبْطِشَ بِٱلَّذِى هُوَ عَدُوٌّ لَّهُمَا قَالَ يَـٰمُوسَىٰٓ أَتُرِيدُ أَن تَقْتُلَنِى كَمَا قَتَلْتَ نَفْسًۢا بِٱلْأَمْسِ ۖ إِن تُرِيدُ إِلَّآ أَن تَكُونَ جَبَّارًا فِى ٱلْأَرْضِ وَمَا تُرِيدُ أَن تَكُونَ مِنَ ٱلْمُصْلِحِينَ','verse_number' => '19','verse_key' => '28:19','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3272','chapter_id' => '28','arabic_name' => 'وَجَآءَ رَجُلٌ مِّنْ أَقْصَا ٱلْمَدِينَةِ يَسْعَىٰ قَالَ يَـٰمُوسَىٰٓ إِنَّ ٱلْمَلَأَ يَأْتَمِرُونَ بِكَ لِيَقْتُلُوكَ فَٱخْرُجْ إِنِّى لَكَ مِنَ ٱلنَّـٰصِحِينَ','verse_number' => '20','verse_key' => '28:20','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3273','chapter_id' => '28','arabic_name' => 'فَخَرَجَ مِنْهَا خَآئِفًا يَتَرَقَّبُ ۖ قَالَ رَبِّ نَجِّنِى مِنَ ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '21','verse_key' => '28:21','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '335','manzil_number' => '5','sajdah_number' => '0','page_number' => '387','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3274','chapter_id' => '28','arabic_name' => 'وَلَمَّا تَوَجَّهَ تِلْقَآءَ مَدْيَنَ قَالَ عَسَىٰ رَبِّىٓ أَن يَهْدِيَنِى سَوَآءَ ٱلسَّبِيلِ','verse_number' => '22','verse_key' => '28:22','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '336','manzil_number' => '5','sajdah_number' => '0','page_number' => '388','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3275','chapter_id' => '28','arabic_name' => 'وَلَمَّا وَرَدَ مَآءَ مَدْيَنَ وَجَدَ عَلَيْهِ أُمَّةً مِّنَ ٱلنَّاسِ يَسْقُونَ وَوَجَدَ مِن دُونِهِمُ ٱمْرَأَتَيْنِ تَذُودَانِ ۖ قَالَ مَا خَطْبُكُمَا ۖ قَالَتَا لَا نَسْقِى حَتَّىٰ يُصْدِرَ ٱلرِّعَآءُ ۖ وَأَبُونَا شَيْخٌ كَبِيرٌ','verse_number' => '23','verse_key' => '28:23','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '336','manzil_number' => '5','sajdah_number' => '0','page_number' => '388','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3276','chapter_id' => '28','arabic_name' => 'فَسَقَىٰ لَهُمَا ثُمَّ تَوَلَّىٰٓ إِلَى ٱلظِّلِّ فَقَالَ رَبِّ إِنِّى لِمَآ أَنزَلْتَ إِلَىَّ مِنْ خَيْرٍ فَقِيرٌ','verse_number' => '24','verse_key' => '28:24','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '336','manzil_number' => '5','sajdah_number' => '0','page_number' => '388','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3277','chapter_id' => '28','arabic_name' => 'فَجَآءَتْهُ إِحْدَىٰهُمَا تَمْشِى عَلَى ٱسْتِحْيَآءٍ قَالَتْ إِنَّ أَبِى يَدْعُوكَ لِيَجْزِيَكَ أَجْرَ مَا سَقَيْتَ لَنَا ۚ فَلَمَّا جَآءَهُۥ وَقَصَّ عَلَيْهِ ٱلْقَصَصَ قَالَ لَا تَخَفْ ۖ نَجَوْتَ مِنَ ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '25','verse_key' => '28:25','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '336','manzil_number' => '5','sajdah_number' => '0','page_number' => '388','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3278','chapter_id' => '28','arabic_name' => 'قَالَتْ إِحْدَىٰهُمَا يَـٰٓأَبَتِ ٱسْتَـْٔجِرْهُ ۖ إِنَّ خَيْرَ مَنِ ٱسْتَـْٔجَرْتَ ٱلْقَوِىُّ ٱلْأَمِينُ','verse_number' => '26','verse_key' => '28:26','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '336','manzil_number' => '5','sajdah_number' => '0','page_number' => '388','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3279','chapter_id' => '28','arabic_name' => 'قَالَ إِنِّىٓ أُرِيدُ أَنْ أُنكِحَكَ إِحْدَى ٱبْنَتَىَّ هَـٰتَيْنِ عَلَىٰٓ أَن تَأْجُرَنِى ثَمَـٰنِىَ حِجَجٍ ۖ فَإِنْ أَتْمَمْتَ عَشْرًا فَمِنْ عِندِكَ ۖ وَمَآ أُرِيدُ أَنْ أَشُقَّ عَلَيْكَ ۚ سَتَجِدُنِىٓ إِن شَآءَ ٱللَّهُ مِنَ ٱلصَّـٰلِحِينَ','verse_number' => '27','verse_key' => '28:27','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '336','manzil_number' => '5','sajdah_number' => '0','page_number' => '388','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3280','chapter_id' => '28','arabic_name' => 'قَالَ ذَٰلِكَ بَيْنِى وَبَيْنَكَ ۖ أَيَّمَا ٱلْأَجَلَيْنِ قَضَيْتُ فَلَا عُدْوَٰنَ عَلَىَّ ۖ وَٱللَّهُ عَلَىٰ مَا نَقُولُ وَكِيلٌ','verse_number' => '28','verse_key' => '28:28','hizb_number' => '39','rub_el_hizb_number' => '155','ruku_number' => '336','manzil_number' => '5','sajdah_number' => '0','page_number' => '388','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3281','chapter_id' => '28','arabic_name' => '۞ فَلَمَّا قَضَىٰ مُوسَى ٱلْأَجَلَ وَسَارَ بِأَهْلِهِۦٓ ءَانَسَ مِن جَانِبِ ٱلطُّورِ نَارًا قَالَ لِأَهْلِهِ ٱمْكُثُوٓا۟ إِنِّىٓ ءَانَسْتُ نَارًا لَّعَلِّىٓ ءَاتِيكُم مِّنْهَا بِخَبَرٍ أَوْ جَذْوَةٍ مِّنَ ٱلنَّارِ لَعَلَّكُمْ تَصْطَلُونَ','verse_number' => '29','verse_key' => '28:29','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '389','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3282','chapter_id' => '28','arabic_name' => 'فَلَمَّآ أَتَىٰهَا نُودِىَ مِن شَـٰطِئِ ٱلْوَادِ ٱلْأَيْمَنِ فِى ٱلْبُقْعَةِ ٱلْمُبَـٰرَكَةِ مِنَ ٱلشَّجَرَةِ أَن يَـٰمُوسَىٰٓ إِنِّىٓ أَنَا ٱللَّهُ رَبُّ ٱلْعَـٰلَمِينَ','verse_number' => '30','verse_key' => '28:30','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '389','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3283','chapter_id' => '28','arabic_name' => 'وَأَنْ أَلْقِ عَصَاكَ ۖ فَلَمَّا رَءَاهَا تَهْتَزُّ كَأَنَّهَا جَآنٌّ وَلَّىٰ مُدْبِرًا وَلَمْ يُعَقِّبْ ۚ يَـٰمُوسَىٰٓ أَقْبِلْ وَلَا تَخَفْ ۖ إِنَّكَ مِنَ ٱلْـَٔامِنِينَ','verse_number' => '31','verse_key' => '28:31','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '389','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3284','chapter_id' => '28','arabic_name' => 'ٱسْلُكْ يَدَكَ فِى جَيْبِكَ تَخْرُجْ بَيْضَآءَ مِنْ غَيْرِ سُوٓءٍ وَٱضْمُمْ إِلَيْكَ جَنَاحَكَ مِنَ ٱلرَّهْبِ ۖ فَذَٰنِكَ بُرْهَـٰنَانِ مِن رَّبِّكَ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦٓ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًا فَـٰسِقِينَ','verse_number' => '32','verse_key' => '28:32','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '389','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3285','chapter_id' => '28','arabic_name' => 'قَالَ رَبِّ إِنِّى قَتَلْتُ مِنْهُمْ نَفْسًا فَأَخَافُ أَن يَقْتُلُونِ','verse_number' => '33','verse_key' => '28:33','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '389','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3286','chapter_id' => '28','arabic_name' => 'وَأَخِى هَـٰرُونُ هُوَ أَفْصَحُ مِنِّى لِسَانًا فَأَرْسِلْهُ مَعِىَ رِدْءًا يُصَدِّقُنِىٓ ۖ إِنِّىٓ أَخَافُ أَن يُكَذِّبُونِ','verse_number' => '34','verse_key' => '28:34','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '389','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3287','chapter_id' => '28','arabic_name' => 'قَالَ سَنَشُدُّ عَضُدَكَ بِأَخِيكَ وَنَجْعَلُ لَكُمَا سُلْطَـٰنًا فَلَا يَصِلُونَ إِلَيْكُمَا ۚ بِـَٔايَـٰتِنَآ أَنتُمَا وَمَنِ ٱتَّبَعَكُمَا ٱلْغَـٰلِبُونَ','verse_number' => '35','verse_key' => '28:35','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '389','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3288','chapter_id' => '28','arabic_name' => 'فَلَمَّا جَآءَهُم مُّوسَىٰ بِـَٔايَـٰتِنَا بَيِّنَـٰتٍ قَالُوا۟ مَا هَـٰذَآ إِلَّا سِحْرٌ مُّفْتَرًى وَمَا سَمِعْنَا بِهَـٰذَا فِىٓ ءَابَآئِنَا ٱلْأَوَّلِينَ','verse_number' => '36','verse_key' => '28:36','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3289','chapter_id' => '28','arabic_name' => 'وَقَالَ مُوسَىٰ رَبِّىٓ أَعْلَمُ بِمَن جَآءَ بِٱلْهُدَىٰ مِنْ عِندِهِۦ وَمَن تَكُونُ لَهُۥ عَـٰقِبَةُ ٱلدَّارِ ۖ إِنَّهُۥ لَا يُفْلِحُ ٱلظَّـٰلِمُونَ','verse_number' => '37','verse_key' => '28:37','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3290','chapter_id' => '28','arabic_name' => 'وَقَالَ فِرْعَوْنُ يَـٰٓأَيُّهَا ٱلْمَلَأُ مَا عَلِمْتُ لَكُم مِّنْ إِلَـٰهٍ غَيْرِى فَأَوْقِدْ لِى يَـٰهَـٰمَـٰنُ عَلَى ٱلطِّينِ فَٱجْعَل لِّى صَرْحًا لَّعَلِّىٓ أَطَّلِعُ إِلَىٰٓ إِلَـٰهِ مُوسَىٰ وَإِنِّى لَأَظُنُّهُۥ مِنَ ٱلْكَـٰذِبِينَ','verse_number' => '38','verse_key' => '28:38','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3291','chapter_id' => '28','arabic_name' => 'وَٱسْتَكْبَرَ هُوَ وَجُنُودُهُۥ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَظَنُّوٓا۟ أَنَّهُمْ إِلَيْنَا لَا يُرْجَعُونَ','verse_number' => '39','verse_key' => '28:39','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3292','chapter_id' => '28','arabic_name' => 'فَأَخَذْنَـٰهُ وَجُنُودَهُۥ فَنَبَذْنَـٰهُمْ فِى ٱلْيَمِّ ۖ فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلظَّـٰلِمِينَ','verse_number' => '40','verse_key' => '28:40','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3293','chapter_id' => '28','arabic_name' => 'وَجَعَلْنَـٰهُمْ أَئِمَّةً يَدْعُونَ إِلَى ٱلنَّارِ ۖ وَيَوْمَ ٱلْقِيَـٰمَةِ لَا يُنصَرُونَ','verse_number' => '41','verse_key' => '28:41','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3294','chapter_id' => '28','arabic_name' => 'وَأَتْبَعْنَـٰهُمْ فِى هَـٰذِهِ ٱلدُّنْيَا لَعْنَةً ۖ وَيَوْمَ ٱلْقِيَـٰمَةِ هُم مِّنَ ٱلْمَقْبُوحِينَ','verse_number' => '42','verse_key' => '28:42','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '337','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3295','chapter_id' => '28','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ مِنۢ بَعْدِ مَآ أَهْلَكْنَا ٱلْقُرُونَ ٱلْأُولَىٰ بَصَآئِرَ لِلنَّاسِ وَهُدًى وَرَحْمَةً لَّعَلَّهُمْ يَتَذَكَّرُونَ','verse_number' => '43','verse_key' => '28:43','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '390','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3296','chapter_id' => '28','arabic_name' => 'وَمَا كُنتَ بِجَانِبِ ٱلْغَرْبِىِّ إِذْ قَضَيْنَآ إِلَىٰ مُوسَى ٱلْأَمْرَ وَمَا كُنتَ مِنَ ٱلشَّـٰهِدِينَ','verse_number' => '44','verse_key' => '28:44','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '391','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3297','chapter_id' => '28','arabic_name' => 'وَلَـٰكِنَّآ أَنشَأْنَا قُرُونًا فَتَطَاوَلَ عَلَيْهِمُ ٱلْعُمُرُ ۚ وَمَا كُنتَ ثَاوِيًا فِىٓ أَهْلِ مَدْيَنَ تَتْلُوا۟ عَلَيْهِمْ ءَايَـٰتِنَا وَلَـٰكِنَّا كُنَّا مُرْسِلِينَ','verse_number' => '45','verse_key' => '28:45','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '391','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3298','chapter_id' => '28','arabic_name' => 'وَمَا كُنتَ بِجَانِبِ ٱلطُّورِ إِذْ نَادَيْنَا وَلَـٰكِن رَّحْمَةً مِّن رَّبِّكَ لِتُنذِرَ قَوْمًا مَّآ أَتَىٰهُم مِّن نَّذِيرٍ مِّن قَبْلِكَ لَعَلَّهُمْ يَتَذَكَّرُونَ','verse_number' => '46','verse_key' => '28:46','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '391','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3299','chapter_id' => '28','arabic_name' => 'وَلَوْلَآ أَن تُصِيبَهُم مُّصِيبَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ فَيَقُولُوا۟ رَبَّنَا لَوْلَآ أَرْسَلْتَ إِلَيْنَا رَسُولًا فَنَتَّبِعَ ءَايَـٰتِكَ وَنَكُونَ مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '47','verse_key' => '28:47','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '391','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3300','chapter_id' => '28','arabic_name' => 'فَلَمَّا جَآءَهُمُ ٱلْحَقُّ مِنْ عِندِنَا قَالُوا۟ لَوْلَآ أُوتِىَ مِثْلَ مَآ أُوتِىَ مُوسَىٰٓ ۚ أَوَلَمْ يَكْفُرُوا۟ بِمَآ أُوتِىَ مُوسَىٰ مِن قَبْلُ ۖ قَالُوا۟ سِحْرَانِ تَظَـٰهَرَا وَقَالُوٓا۟ إِنَّا بِكُلٍّ كَـٰفِرُونَ','verse_number' => '48','verse_key' => '28:48','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '391','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3301','chapter_id' => '28','arabic_name' => 'قُلْ فَأْتُوا۟ بِكِتَـٰبٍ مِّنْ عِندِ ٱللَّهِ هُوَ أَهْدَىٰ مِنْهُمَآ أَتَّبِعْهُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '49','verse_key' => '28:49','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '391','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3302','chapter_id' => '28','arabic_name' => 'فَإِن لَّمْ يَسْتَجِيبُوا۟ لَكَ فَٱعْلَمْ أَنَّمَا يَتَّبِعُونَ أَهْوَآءَهُمْ ۚ وَمَنْ أَضَلُّ مِمَّنِ ٱتَّبَعَ هَوَىٰهُ بِغَيْرِ هُدًى مِّنَ ٱللَّهِ ۚ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '50','verse_key' => '28:50','hizb_number' => '39','rub_el_hizb_number' => '156','ruku_number' => '338','manzil_number' => '5','sajdah_number' => '0','page_number' => '391','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3303','chapter_id' => '28','arabic_name' => '۞ وَلَقَدْ وَصَّلْنَا لَهُمُ ٱلْقَوْلَ لَعَلَّهُمْ يَتَذَكَّرُونَ','verse_number' => '51','verse_key' => '28:51','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3304','chapter_id' => '28','arabic_name' => 'ٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ مِن قَبْلِهِۦ هُم بِهِۦ يُؤْمِنُونَ','verse_number' => '52','verse_key' => '28:52','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3305','chapter_id' => '28','arabic_name' => 'وَإِذَا يُتْلَىٰ عَلَيْهِمْ قَالُوٓا۟ ءَامَنَّا بِهِۦٓ إِنَّهُ ٱلْحَقُّ مِن رَّبِّنَآ إِنَّا كُنَّا مِن قَبْلِهِۦ مُسْلِمِينَ','verse_number' => '53','verse_key' => '28:53','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3306','chapter_id' => '28','arabic_name' => 'أُو۟لَـٰٓئِكَ يُؤْتَوْنَ أَجْرَهُم مَّرَّتَيْنِ بِمَا صَبَرُوا۟ وَيَدْرَءُونَ بِٱلْحَسَنَةِ ٱلسَّيِّئَةَ وَمِمَّا رَزَقْنَـٰهُمْ يُنفِقُونَ','verse_number' => '54','verse_key' => '28:54','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3307','chapter_id' => '28','arabic_name' => 'وَإِذَا سَمِعُوا۟ ٱللَّغْوَ أَعْرَضُوا۟ عَنْهُ وَقَالُوا۟ لَنَآ أَعْمَـٰلُنَا وَلَكُمْ أَعْمَـٰلُكُمْ سَلَـٰمٌ عَلَيْكُمْ لَا نَبْتَغِى ٱلْجَـٰهِلِينَ','verse_number' => '55','verse_key' => '28:55','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3308','chapter_id' => '28','arabic_name' => 'إِنَّكَ لَا تَهْدِى مَنْ أَحْبَبْتَ وَلَـٰكِنَّ ٱللَّهَ يَهْدِى مَن يَشَآءُ ۚ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ','verse_number' => '56','verse_key' => '28:56','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3309','chapter_id' => '28','arabic_name' => 'وَقَالُوٓا۟ إِن نَّتَّبِعِ ٱلْهُدَىٰ مَعَكَ نُتَخَطَّفْ مِنْ أَرْضِنَآ ۚ أَوَلَمْ نُمَكِّن لَّهُمْ حَرَمًا ءَامِنًا يُجْبَىٰٓ إِلَيْهِ ثَمَرَٰتُ كُلِّ شَىْءٍ رِّزْقًا مِّن لَّدُنَّا وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '57','verse_key' => '28:57','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3310','chapter_id' => '28','arabic_name' => 'وَكَمْ أَهْلَكْنَا مِن قَرْيَةٍۭ بَطِرَتْ مَعِيشَتَهَا ۖ فَتِلْكَ مَسَـٰكِنُهُمْ لَمْ تُسْكَن مِّنۢ بَعْدِهِمْ إِلَّا قَلِيلًا ۖ وَكُنَّا نَحْنُ ٱلْوَٰرِثِينَ','verse_number' => '58','verse_key' => '28:58','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3311','chapter_id' => '28','arabic_name' => 'وَمَا كَانَ رَبُّكَ مُهْلِكَ ٱلْقُرَىٰ حَتَّىٰ يَبْعَثَ فِىٓ أُمِّهَا رَسُولًا يَتْلُوا۟ عَلَيْهِمْ ءَايَـٰتِنَا ۚ وَمَا كُنَّا مُهْلِكِى ٱلْقُرَىٰٓ إِلَّا وَأَهْلُهَا ظَـٰلِمُونَ','verse_number' => '59','verse_key' => '28:59','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '392','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3312','chapter_id' => '28','arabic_name' => 'وَمَآ أُوتِيتُم مِّن شَىْءٍ فَمَتَـٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا وَزِينَتُهَا ۚ وَمَا عِندَ ٱللَّهِ خَيْرٌ وَأَبْقَىٰٓ ۚ أَفَلَا تَعْقِلُونَ','verse_number' => '60','verse_key' => '28:60','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '339','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3313','chapter_id' => '28','arabic_name' => 'أَفَمَن وَعَدْنَـٰهُ وَعْدًا حَسَنًا فَهُوَ لَـٰقِيهِ كَمَن مَّتَّعْنَـٰهُ مَتَـٰعَ ٱلْحَيَوٰةِ ٱلدُّنْيَا ثُمَّ هُوَ يَوْمَ ٱلْقِيَـٰمَةِ مِنَ ٱلْمُحْضَرِينَ','verse_number' => '61','verse_key' => '28:61','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3314','chapter_id' => '28','arabic_name' => 'وَيَوْمَ يُنَادِيهِمْ فَيَقُولُ أَيْنَ شُرَكَآءِىَ ٱلَّذِينَ كُنتُمْ تَزْعُمُونَ','verse_number' => '62','verse_key' => '28:62','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3315','chapter_id' => '28','arabic_name' => 'قَالَ ٱلَّذِينَ حَقَّ عَلَيْهِمُ ٱلْقَوْلُ رَبَّنَا هَـٰٓؤُلَآءِ ٱلَّذِينَ أَغْوَيْنَآ أَغْوَيْنَـٰهُمْ كَمَا غَوَيْنَا ۖ تَبَرَّأْنَآ إِلَيْكَ ۖ مَا كَانُوٓا۟ إِيَّانَا يَعْبُدُونَ','verse_number' => '63','verse_key' => '28:63','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3316','chapter_id' => '28','arabic_name' => 'وَقِيلَ ٱدْعُوا۟ شُرَكَآءَكُمْ فَدَعَوْهُمْ فَلَمْ يَسْتَجِيبُوا۟ لَهُمْ وَرَأَوُا۟ ٱلْعَذَابَ ۚ لَوْ أَنَّهُمْ كَانُوا۟ يَهْتَدُونَ','verse_number' => '64','verse_key' => '28:64','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3317','chapter_id' => '28','arabic_name' => 'وَيَوْمَ يُنَادِيهِمْ فَيَقُولُ مَاذَآ أَجَبْتُمُ ٱلْمُرْسَلِينَ','verse_number' => '65','verse_key' => '28:65','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3318','chapter_id' => '28','arabic_name' => 'فَعَمِيَتْ عَلَيْهِمُ ٱلْأَنۢبَآءُ يَوْمَئِذٍ فَهُمْ لَا يَتَسَآءَلُونَ','verse_number' => '66','verse_key' => '28:66','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3319','chapter_id' => '28','arabic_name' => 'فَأَمَّا مَن تَابَ وَءَامَنَ وَعَمِلَ صَـٰلِحًا فَعَسَىٰٓ أَن يَكُونَ مِنَ ٱلْمُفْلِحِينَ','verse_number' => '67','verse_key' => '28:67','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3320','chapter_id' => '28','arabic_name' => 'وَرَبُّكَ يَخْلُقُ مَا يَشَآءُ وَيَخْتَارُ ۗ مَا كَانَ لَهُمُ ٱلْخِيَرَةُ ۚ سُبْحَـٰنَ ٱللَّهِ وَتَعَـٰلَىٰ عَمَّا يُشْرِكُونَ','verse_number' => '68','verse_key' => '28:68','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3321','chapter_id' => '28','arabic_name' => 'وَرَبُّكَ يَعْلَمُ مَا تُكِنُّ صُدُورُهُمْ وَمَا يُعْلِنُونَ','verse_number' => '69','verse_key' => '28:69','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3322','chapter_id' => '28','arabic_name' => 'وَهُوَ ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ لَهُ ٱلْحَمْدُ فِى ٱلْأُولَىٰ وَٱلْـَٔاخِرَةِ ۖ وَلَهُ ٱلْحُكْمُ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '70','verse_key' => '28:70','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '393','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3323','chapter_id' => '28','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِن جَعَلَ ٱللَّهُ عَلَيْكُمُ ٱلَّيْلَ سَرْمَدًا إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ مَنْ إِلَـٰهٌ غَيْرُ ٱللَّهِ يَأْتِيكُم بِضِيَآءٍ ۖ أَفَلَا تَسْمَعُونَ','verse_number' => '71','verse_key' => '28:71','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '394','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3324','chapter_id' => '28','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِن جَعَلَ ٱللَّهُ عَلَيْكُمُ ٱلنَّهَارَ سَرْمَدًا إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ مَنْ إِلَـٰهٌ غَيْرُ ٱللَّهِ يَأْتِيكُم بِلَيْلٍ تَسْكُنُونَ فِيهِ ۖ أَفَلَا تُبْصِرُونَ','verse_number' => '72','verse_key' => '28:72','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '394','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3325','chapter_id' => '28','arabic_name' => 'وَمِن رَّحْمَتِهِۦ جَعَلَ لَكُمُ ٱلَّيْلَ وَٱلنَّهَارَ لِتَسْكُنُوا۟ فِيهِ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '73','verse_key' => '28:73','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '394','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3326','chapter_id' => '28','arabic_name' => 'وَيَوْمَ يُنَادِيهِمْ فَيَقُولُ أَيْنَ شُرَكَآءِىَ ٱلَّذِينَ كُنتُمْ تَزْعُمُونَ','verse_number' => '74','verse_key' => '28:74','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '394','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3327','chapter_id' => '28','arabic_name' => 'وَنَزَعْنَا مِن كُلِّ أُمَّةٍ شَهِيدًا فَقُلْنَا هَاتُوا۟ بُرْهَـٰنَكُمْ فَعَلِمُوٓا۟ أَنَّ ٱلْحَقَّ لِلَّهِ وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '75','verse_key' => '28:75','hizb_number' => '40','rub_el_hizb_number' => '157','ruku_number' => '340','manzil_number' => '5','sajdah_number' => '0','page_number' => '394','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3328','chapter_id' => '28','arabic_name' => '۞ إِنَّ قَـٰرُونَ كَانَ مِن قَوْمِ مُوسَىٰ فَبَغَىٰ عَلَيْهِمْ ۖ وَءَاتَيْنَـٰهُ مِنَ ٱلْكُنُوزِ مَآ إِنَّ مَفَاتِحَهُۥ لَتَنُوٓأُ بِٱلْعُصْبَةِ أُو۟لِى ٱلْقُوَّةِ إِذْ قَالَ لَهُۥ قَوْمُهُۥ لَا تَفْرَحْ ۖ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْفَرِحِينَ','verse_number' => '76','verse_key' => '28:76','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '341','manzil_number' => '5','sajdah_number' => '0','page_number' => '394','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3329','chapter_id' => '28','arabic_name' => 'وَٱبْتَغِ فِيمَآ ءَاتَىٰكَ ٱللَّهُ ٱلدَّارَ ٱلْـَٔاخِرَةَ ۖ وَلَا تَنسَ نَصِيبَكَ مِنَ ٱلدُّنْيَا ۖ وَأَحْسِن كَمَآ أَحْسَنَ ٱللَّهُ إِلَيْكَ ۖ وَلَا تَبْغِ ٱلْفَسَادَ فِى ٱلْأَرْضِ ۖ إِنَّ ٱللَّهَ لَا يُحِبُّ ٱلْمُفْسِدِينَ','verse_number' => '77','verse_key' => '28:77','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '341','manzil_number' => '5','sajdah_number' => '0','page_number' => '394','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3330','chapter_id' => '28','arabic_name' => 'قَالَ إِنَّمَآ أُوتِيتُهُۥ عَلَىٰ عِلْمٍ عِندِىٓ ۚ أَوَلَمْ يَعْلَمْ أَنَّ ٱللَّهَ قَدْ أَهْلَكَ مِن قَبْلِهِۦ مِنَ ٱلْقُرُونِ مَنْ هُوَ أَشَدُّ مِنْهُ قُوَّةً وَأَكْثَرُ جَمْعًا ۚ وَلَا يُسْـَٔلُ عَن ذُنُوبِهِمُ ٱلْمُجْرِمُونَ','verse_number' => '78','verse_key' => '28:78','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '341','manzil_number' => '5','sajdah_number' => '0','page_number' => '395','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3331','chapter_id' => '28','arabic_name' => 'فَخَرَجَ عَلَىٰ قَوْمِهِۦ فِى زِينَتِهِۦ ۖ قَالَ ٱلَّذِينَ يُرِيدُونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا يَـٰلَيْتَ لَنَا مِثْلَ مَآ أُوتِىَ قَـٰرُونُ إِنَّهُۥ لَذُو حَظٍّ عَظِيمٍ','verse_number' => '79','verse_key' => '28:79','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '341','manzil_number' => '5','sajdah_number' => '0','page_number' => '395','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3332','chapter_id' => '28','arabic_name' => 'وَقَالَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ وَيْلَكُمْ ثَوَابُ ٱللَّهِ خَيْرٌ لِّمَنْ ءَامَنَ وَعَمِلَ صَـٰلِحًا وَلَا يُلَقَّىٰهَآ إِلَّا ٱلصَّـٰبِرُونَ','verse_number' => '80','verse_key' => '28:80','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '341','manzil_number' => '5','sajdah_number' => '0','page_number' => '395','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3333','chapter_id' => '28','arabic_name' => 'فَخَسَفْنَا بِهِۦ وَبِدَارِهِ ٱلْأَرْضَ فَمَا كَانَ لَهُۥ مِن فِئَةٍ يَنصُرُونَهُۥ مِن دُونِ ٱللَّهِ وَمَا كَانَ مِنَ ٱلْمُنتَصِرِينَ','verse_number' => '81','verse_key' => '28:81','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '341','manzil_number' => '5','sajdah_number' => '0','page_number' => '395','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3334','chapter_id' => '28','arabic_name' => 'وَأَصْبَحَ ٱلَّذِينَ تَمَنَّوْا۟ مَكَانَهُۥ بِٱلْأَمْسِ يَقُولُونَ وَيْكَأَنَّ ٱللَّهَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ مِنْ عِبَادِهِۦ وَيَقْدِرُ ۖ لَوْلَآ أَن مَّنَّ ٱللَّهُ عَلَيْنَا لَخَسَفَ بِنَا ۖ وَيْكَأَنَّهُۥ لَا يُفْلِحُ ٱلْكَـٰفِرُونَ','verse_number' => '82','verse_key' => '28:82','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '341','manzil_number' => '5','sajdah_number' => '0','page_number' => '395','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3335','chapter_id' => '28','arabic_name' => 'تِلْكَ ٱلدَّارُ ٱلْـَٔاخِرَةُ نَجْعَلُهَا لِلَّذِينَ لَا يُرِيدُونَ عُلُوًّا فِى ٱلْأَرْضِ وَلَا فَسَادًا ۚ وَٱلْعَـٰقِبَةُ لِلْمُتَّقِينَ','verse_number' => '83','verse_key' => '28:83','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '342','manzil_number' => '5','sajdah_number' => '0','page_number' => '395','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3336','chapter_id' => '28','arabic_name' => 'مَن جَآءَ بِٱلْحَسَنَةِ فَلَهُۥ خَيْرٌ مِّنْهَا ۖ وَمَن جَآءَ بِٱلسَّيِّئَةِ فَلَا يُجْزَى ٱلَّذِينَ عَمِلُوا۟ ٱلسَّيِّـَٔاتِ إِلَّا مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '84','verse_key' => '28:84','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '342','manzil_number' => '5','sajdah_number' => '0','page_number' => '395','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3337','chapter_id' => '28','arabic_name' => 'إِنَّ ٱلَّذِى فَرَضَ عَلَيْكَ ٱلْقُرْءَانَ لَرَآدُّكَ إِلَىٰ مَعَادٍ ۚ قُل رَّبِّىٓ أَعْلَمُ مَن جَآءَ بِٱلْهُدَىٰ وَمَنْ هُوَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '85','verse_key' => '28:85','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '342','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3338','chapter_id' => '28','arabic_name' => 'وَمَا كُنتَ تَرْجُوٓا۟ أَن يُلْقَىٰٓ إِلَيْكَ ٱلْكِتَـٰبُ إِلَّا رَحْمَةً مِّن رَّبِّكَ ۖ فَلَا تَكُونَنَّ ظَهِيرًا لِّلْكَـٰفِرِينَ','verse_number' => '86','verse_key' => '28:86','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '342','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3339','chapter_id' => '28','arabic_name' => 'وَلَا يَصُدُّنَّكَ عَنْ ءَايَـٰتِ ٱللَّهِ بَعْدَ إِذْ أُنزِلَتْ إِلَيْكَ ۖ وَٱدْعُ إِلَىٰ رَبِّكَ ۖ وَلَا تَكُونَنَّ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '87','verse_key' => '28:87','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '342','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3340','chapter_id' => '28','arabic_name' => 'وَلَا تَدْعُ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ ۘ لَآ إِلَـٰهَ إِلَّا هُوَ ۚ كُلُّ شَىْءٍ هَالِكٌ إِلَّا وَجْهَهُۥ ۚ لَهُ ٱلْحُكْمُ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '88','verse_key' => '28:88','hizb_number' => '40','rub_el_hizb_number' => '158','ruku_number' => '342','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3341','chapter_id' => '29','arabic_name' => 'الٓمٓ','verse_number' => '1','verse_key' => '29:1','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3342','chapter_id' => '29','arabic_name' => 'أَحَسِبَ ٱلنَّاسُ أَن يُتْرَكُوٓا۟ أَن يَقُولُوٓا۟ ءَامَنَّا وَهُمْ لَا يُفْتَنُونَ','verse_number' => '2','verse_key' => '29:2','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3343','chapter_id' => '29','arabic_name' => 'وَلَقَدْ فَتَنَّا ٱلَّذِينَ مِن قَبْلِهِمْ ۖ فَلَيَعْلَمَنَّ ٱللَّهُ ٱلَّذِينَ صَدَقُوا۟ وَلَيَعْلَمَنَّ ٱلْكَـٰذِبِينَ','verse_number' => '3','verse_key' => '29:3','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3344','chapter_id' => '29','arabic_name' => 'أَمْ حَسِبَ ٱلَّذِينَ يَعْمَلُونَ ٱلسَّيِّـَٔاتِ أَن يَسْبِقُونَا ۚ سَآءَ مَا يَحْكُمُونَ','verse_number' => '4','verse_key' => '29:4','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3345','chapter_id' => '29','arabic_name' => 'مَن كَانَ يَرْجُوا۟ لِقَآءَ ٱللَّهِ فَإِنَّ أَجَلَ ٱللَّهِ لَـَٔاتٍ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '5','verse_key' => '29:5','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3346','chapter_id' => '29','arabic_name' => 'وَمَن جَـٰهَدَ فَإِنَّمَا يُجَـٰهِدُ لِنَفْسِهِۦٓ ۚ إِنَّ ٱللَّهَ لَغَنِىٌّ عَنِ ٱلْعَـٰلَمِينَ','verse_number' => '6','verse_key' => '29:6','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '396','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3347','chapter_id' => '29','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَنُكَفِّرَنَّ عَنْهُمْ سَيِّـَٔاتِهِمْ وَلَنَجْزِيَنَّهُمْ أَحْسَنَ ٱلَّذِى كَانُوا۟ يَعْمَلُونَ','verse_number' => '7','verse_key' => '29:7','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3348','chapter_id' => '29','arabic_name' => 'وَوَصَّيْنَا ٱلْإِنسَـٰنَ بِوَٰلِدَيْهِ حُسْنًا ۖ وَإِن جَـٰهَدَاكَ لِتُشْرِكَ بِى مَا لَيْسَ لَكَ بِهِۦ عِلْمٌ فَلَا تُطِعْهُمَآ ۚ إِلَىَّ مَرْجِعُكُمْ فَأُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '8','verse_key' => '29:8','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3349','chapter_id' => '29','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَنُدْخِلَنَّهُمْ فِى ٱلصَّـٰلِحِينَ','verse_number' => '9','verse_key' => '29:9','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3350','chapter_id' => '29','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يَقُولُ ءَامَنَّا بِٱللَّهِ فَإِذَآ أُوذِىَ فِى ٱللَّهِ جَعَلَ فِتْنَةَ ٱلنَّاسِ كَعَذَابِ ٱللَّهِ وَلَئِن جَآءَ نَصْرٌ مِّن رَّبِّكَ لَيَقُولُنَّ إِنَّا كُنَّا مَعَكُمْ ۚ أَوَلَيْسَ ٱللَّهُ بِأَعْلَمَ بِمَا فِى صُدُورِ ٱلْعَـٰلَمِينَ','verse_number' => '10','verse_key' => '29:10','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3351','chapter_id' => '29','arabic_name' => 'وَلَيَعْلَمَنَّ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَلَيَعْلَمَنَّ ٱلْمُنَـٰفِقِينَ','verse_number' => '11','verse_key' => '29:11','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3352','chapter_id' => '29','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوا۟ ٱتَّبِعُوا۟ سَبِيلَنَا وَلْنَحْمِلْ خَطَـٰيَـٰكُمْ وَمَا هُم بِحَـٰمِلِينَ مِنْ خَطَـٰيَـٰهُم مِّن شَىْءٍ ۖ إِنَّهُمْ لَكَـٰذِبُونَ','verse_number' => '12','verse_key' => '29:12','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3353','chapter_id' => '29','arabic_name' => 'وَلَيَحْمِلُنَّ أَثْقَالَهُمْ وَأَثْقَالًا مَّعَ أَثْقَالِهِمْ ۖ وَلَيُسْـَٔلُنَّ يَوْمَ ٱلْقِيَـٰمَةِ عَمَّا كَانُوا۟ يَفْتَرُونَ','verse_number' => '13','verse_key' => '29:13','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '343','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3354','chapter_id' => '29','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦ فَلَبِثَ فِيهِمْ أَلْفَ سَنَةٍ إِلَّا خَمْسِينَ عَامًا فَأَخَذَهُمُ ٱلطُّوفَانُ وَهُمْ ظَـٰلِمُونَ','verse_number' => '14','verse_key' => '29:14','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '397','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3355','chapter_id' => '29','arabic_name' => 'فَأَنجَيْنَـٰهُ وَأَصْحَـٰبَ ٱلسَّفِينَةِ وَجَعَلْنَـٰهَآ ءَايَةً لِّلْعَـٰلَمِينَ','verse_number' => '15','verse_key' => '29:15','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3356','chapter_id' => '29','arabic_name' => 'وَإِبْرَٰهِيمَ إِذْ قَالَ لِقَوْمِهِ ٱعْبُدُوا۟ ٱللَّهَ وَٱتَّقُوهُ ۖ ذَٰلِكُمْ خَيْرٌ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '16','verse_key' => '29:16','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3357','chapter_id' => '29','arabic_name' => 'إِنَّمَا تَعْبُدُونَ مِن دُونِ ٱللَّهِ أَوْثَـٰنًا وَتَخْلُقُونَ إِفْكًا ۚ إِنَّ ٱلَّذِينَ تَعْبُدُونَ مِن دُونِ ٱللَّهِ لَا يَمْلِكُونَ لَكُمْ رِزْقًا فَٱبْتَغُوا۟ عِندَ ٱللَّهِ ٱلرِّزْقَ وَٱعْبُدُوهُ وَٱشْكُرُوا۟ لَهُۥٓ ۖ إِلَيْهِ تُرْجَعُونَ','verse_number' => '17','verse_key' => '29:17','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3358','chapter_id' => '29','arabic_name' => 'وَإِن تُكَذِّبُوا۟ فَقَدْ كَذَّبَ أُمَمٌ مِّن قَبْلِكُمْ ۖ وَمَا عَلَى ٱلرَّسُولِ إِلَّا ٱلْبَلَـٰغُ ٱلْمُبِينُ','verse_number' => '18','verse_key' => '29:18','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3359','chapter_id' => '29','arabic_name' => 'أَوَلَمْ يَرَوْا۟ كَيْفَ يُبْدِئُ ٱللَّهُ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥٓ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌ','verse_number' => '19','verse_key' => '29:19','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3360','chapter_id' => '29','arabic_name' => 'قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ بَدَأَ ٱلْخَلْقَ ۚ ثُمَّ ٱللَّهُ يُنشِئُ ٱلنَّشْأَةَ ٱلْـَٔاخِرَةَ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '20','verse_key' => '29:20','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3361','chapter_id' => '29','arabic_name' => 'يُعَذِّبُ مَن يَشَآءُ وَيَرْحَمُ مَن يَشَآءُ ۖ وَإِلَيْهِ تُقْلَبُونَ','verse_number' => '21','verse_key' => '29:21','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3362','chapter_id' => '29','arabic_name' => 'وَمَآ أَنتُم بِمُعْجِزِينَ فِى ٱلْأَرْضِ وَلَا فِى ٱلسَّمَآءِ ۖ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّ وَلَا نَصِيرٍ','verse_number' => '22','verse_key' => '29:22','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '344','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3363','chapter_id' => '29','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَـٰتِ ٱللَّهِ وَلِقَآئِهِۦٓ أُو۟لَـٰٓئِكَ يَئِسُوا۟ مِن رَّحْمَتِى وَأُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '23','verse_key' => '29:23','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '398','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3364','chapter_id' => '29','arabic_name' => 'فَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوا۟ ٱقْتُلُوهُ أَوْ حَرِّقُوهُ فَأَنجَىٰهُ ٱللَّهُ مِنَ ٱلنَّارِ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '24','verse_key' => '29:24','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '399','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3365','chapter_id' => '29','arabic_name' => 'وَقَالَ إِنَّمَا ٱتَّخَذْتُم مِّن دُونِ ٱللَّهِ أَوْثَـٰنًا مَّوَدَّةَ بَيْنِكُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ ثُمَّ يَوْمَ ٱلْقِيَـٰمَةِ يَكْفُرُ بَعْضُكُم بِبَعْضٍ وَيَلْعَنُ بَعْضُكُم بَعْضًا وَمَأْوَىٰكُمُ ٱلنَّارُ وَمَا لَكُم مِّن نَّـٰصِرِينَ','verse_number' => '25','verse_key' => '29:25','hizb_number' => '40','rub_el_hizb_number' => '159','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '399','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3366','chapter_id' => '29','arabic_name' => '۞ فَـَٔامَنَ لَهُۥ لُوطٌ ۘ وَقَالَ إِنِّى مُهَاجِرٌ إِلَىٰ رَبِّىٓ ۖ إِنَّهُۥ هُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '26','verse_key' => '29:26','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '399','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3367','chapter_id' => '29','arabic_name' => 'وَوَهَبْنَا لَهُۥٓ إِسْحَـٰقَ وَيَعْقُوبَ وَجَعَلْنَا فِى ذُرِّيَّتِهِ ٱلنُّبُوَّةَ وَٱلْكِتَـٰبَ وَءَاتَيْنَـٰهُ أَجْرَهُۥ فِى ٱلدُّنْيَا ۖ وَإِنَّهُۥ فِى ٱلْـَٔاخِرَةِ لَمِنَ ٱلصَّـٰلِحِينَ','verse_number' => '27','verse_key' => '29:27','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '399','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3368','chapter_id' => '29','arabic_name' => 'وَلُوطًا إِذْ قَالَ لِقَوْمِهِۦٓ إِنَّكُمْ لَتَأْتُونَ ٱلْفَـٰحِشَةَ مَا سَبَقَكُم بِهَا مِنْ أَحَدٍ مِّنَ ٱلْعَـٰلَمِينَ','verse_number' => '28','verse_key' => '29:28','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '399','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3369','chapter_id' => '29','arabic_name' => 'أَئِنَّكُمْ لَتَأْتُونَ ٱلرِّجَالَ وَتَقْطَعُونَ ٱلسَّبِيلَ وَتَأْتُونَ فِى نَادِيكُمُ ٱلْمُنكَرَ ۖ فَمَا كَانَ جَوَابَ قَوْمِهِۦٓ إِلَّآ أَن قَالُوا۟ ٱئْتِنَا بِعَذَابِ ٱللَّهِ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '29','verse_key' => '29:29','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '399','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3370','chapter_id' => '29','arabic_name' => 'قَالَ رَبِّ ٱنصُرْنِى عَلَى ٱلْقَوْمِ ٱلْمُفْسِدِينَ','verse_number' => '30','verse_key' => '29:30','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '345','manzil_number' => '5','sajdah_number' => '0','page_number' => '399','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3371','chapter_id' => '29','arabic_name' => 'وَلَمَّا جَآءَتْ رُسُلُنَآ إِبْرَٰهِيمَ بِٱلْبُشْرَىٰ قَالُوٓا۟ إِنَّا مُهْلِكُوٓا۟ أَهْلِ هَـٰذِهِ ٱلْقَرْيَةِ ۖ إِنَّ أَهْلَهَا كَانُوا۟ ظَـٰلِمِينَ','verse_number' => '31','verse_key' => '29:31','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3372','chapter_id' => '29','arabic_name' => 'قَالَ إِنَّ فِيهَا لُوطًا ۚ قَالُوا۟ نَحْنُ أَعْلَمُ بِمَن فِيهَا ۖ لَنُنَجِّيَنَّهُۥ وَأَهْلَهُۥٓ إِلَّا ٱمْرَأَتَهُۥ كَانَتْ مِنَ ٱلْغَـٰبِرِينَ','verse_number' => '32','verse_key' => '29:32','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3373','chapter_id' => '29','arabic_name' => 'وَلَمَّآ أَن جَآءَتْ رُسُلُنَا لُوطًا سِىٓءَ بِهِمْ وَضَاقَ بِهِمْ ذَرْعًا وَقَالُوا۟ لَا تَخَفْ وَلَا تَحْزَنْ ۖ إِنَّا مُنَجُّوكَ وَأَهْلَكَ إِلَّا ٱمْرَأَتَكَ كَانَتْ مِنَ ٱلْغَـٰبِرِينَ','verse_number' => '33','verse_key' => '29:33','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3374','chapter_id' => '29','arabic_name' => 'إِنَّا مُنزِلُونَ عَلَىٰٓ أَهْلِ هَـٰذِهِ ٱلْقَرْيَةِ رِجْزًا مِّنَ ٱلسَّمَآءِ بِمَا كَانُوا۟ يَفْسُقُونَ','verse_number' => '34','verse_key' => '29:34','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3375','chapter_id' => '29','arabic_name' => 'وَلَقَد تَّرَكْنَا مِنْهَآ ءَايَةًۢ بَيِّنَةً لِّقَوْمٍ يَعْقِلُونَ','verse_number' => '35','verse_key' => '29:35','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3376','chapter_id' => '29','arabic_name' => 'وَإِلَىٰ مَدْيَنَ أَخَاهُمْ شُعَيْبًا فَقَالَ يَـٰقَوْمِ ٱعْبُدُوا۟ ٱللَّهَ وَٱرْجُوا۟ ٱلْيَوْمَ ٱلْـَٔاخِرَ وَلَا تَعْثَوْا۟ فِى ٱلْأَرْضِ مُفْسِدِينَ','verse_number' => '36','verse_key' => '29:36','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3377','chapter_id' => '29','arabic_name' => 'فَكَذَّبُوهُ فَأَخَذَتْهُمُ ٱلرَّجْفَةُ فَأَصْبَحُوا۟ فِى دَارِهِمْ جَـٰثِمِينَ','verse_number' => '37','verse_key' => '29:37','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3378','chapter_id' => '29','arabic_name' => 'وَعَادًا وَثَمُودَا۟ وَقَد تَّبَيَّنَ لَكُم مِّن مَّسَـٰكِنِهِمْ ۖ وَزَيَّنَ لَهُمُ ٱلشَّيْطَـٰنُ أَعْمَـٰلَهُمْ فَصَدَّهُمْ عَنِ ٱلسَّبِيلِ وَكَانُوا۟ مُسْتَبْصِرِينَ','verse_number' => '38','verse_key' => '29:38','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '400','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3379','chapter_id' => '29','arabic_name' => 'وَقَـٰرُونَ وَفِرْعَوْنَ وَهَـٰمَـٰنَ ۖ وَلَقَدْ جَآءَهُم مُّوسَىٰ بِٱلْبَيِّنَـٰتِ فَٱسْتَكْبَرُوا۟ فِى ٱلْأَرْضِ وَمَا كَانُوا۟ سَـٰبِقِينَ','verse_number' => '39','verse_key' => '29:39','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '401','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3380','chapter_id' => '29','arabic_name' => 'فَكُلًّا أَخَذْنَا بِذَنۢبِهِۦ ۖ فَمِنْهُم مَّنْ أَرْسَلْنَا عَلَيْهِ حَاصِبًا وَمِنْهُم مَّنْ أَخَذَتْهُ ٱلصَّيْحَةُ وَمِنْهُم مَّنْ خَسَفْنَا بِهِ ٱلْأَرْضَ وَمِنْهُم مَّنْ أَغْرَقْنَا ۚ وَمَا كَانَ ٱللَّهُ لِيَظْلِمَهُمْ وَلَـٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '40','verse_key' => '29:40','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '401','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3381','chapter_id' => '29','arabic_name' => 'مَثَلُ ٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ أَوْلِيَآءَ كَمَثَلِ ٱلْعَنكَبُوتِ ٱتَّخَذَتْ بَيْتًا ۖ وَإِنَّ أَوْهَنَ ٱلْبُيُوتِ لَبَيْتُ ٱلْعَنكَبُوتِ ۖ لَوْ كَانُوا۟ يَعْلَمُونَ','verse_number' => '41','verse_key' => '29:41','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '401','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3382','chapter_id' => '29','arabic_name' => 'إِنَّ ٱللَّهَ يَعْلَمُ مَا يَدْعُونَ مِن دُونِهِۦ مِن شَىْءٍ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '42','verse_key' => '29:42','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '401','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3383','chapter_id' => '29','arabic_name' => 'وَتِلْكَ ٱلْأَمْثَـٰلُ نَضْرِبُهَا لِلنَّاسِ ۖ وَمَا يَعْقِلُهَآ إِلَّا ٱلْعَـٰلِمُونَ','verse_number' => '43','verse_key' => '29:43','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '401','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3384','chapter_id' => '29','arabic_name' => 'خَلَقَ ٱللَّهُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّلْمُؤْمِنِينَ','verse_number' => '44','verse_key' => '29:44','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '346','manzil_number' => '5','sajdah_number' => '0','page_number' => '401','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3385','chapter_id' => '29','arabic_name' => 'ٱتْلُ مَآ أُوحِىَ إِلَيْكَ مِنَ ٱلْكِتَـٰبِ وَأَقِمِ ٱلصَّلَوٰةَ ۖ إِنَّ ٱلصَّلَوٰةَ تَنْهَىٰ عَنِ ٱلْفَحْشَآءِ وَٱلْمُنكَرِ ۗ وَلَذِكْرُ ٱللَّهِ أَكْبَرُ ۗ وَٱللَّهُ يَعْلَمُ مَا تَصْنَعُونَ','verse_number' => '45','verse_key' => '29:45','hizb_number' => '40','rub_el_hizb_number' => '160','ruku_number' => '347','manzil_number' => '5','sajdah_number' => '0','page_number' => '401','juz_number' => '20','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3386','chapter_id' => '29','arabic_name' => '۞ وَلَا تُجَـٰدِلُوٓا۟ أَهْلَ ٱلْكِتَـٰبِ إِلَّا بِٱلَّتِى هِىَ أَحْسَنُ إِلَّا ٱلَّذِينَ ظَلَمُوا۟ مِنْهُمْ ۖ وَقُولُوٓا۟ ءَامَنَّا بِٱلَّذِىٓ أُنزِلَ إِلَيْنَا وَأُنزِلَ إِلَيْكُمْ وَإِلَـٰهُنَا وَإِلَـٰهُكُمْ وَٰحِدٌ وَنَحْنُ لَهُۥ مُسْلِمُونَ','verse_number' => '46','verse_key' => '29:46','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '347','manzil_number' => '5','sajdah_number' => '0','page_number' => '402','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3387','chapter_id' => '29','arabic_name' => 'وَكَذَٰلِكَ أَنزَلْنَآ إِلَيْكَ ٱلْكِتَـٰبَ ۚ فَٱلَّذِينَ ءَاتَيْنَـٰهُمُ ٱلْكِتَـٰبَ يُؤْمِنُونَ بِهِۦ ۖ وَمِنْ هَـٰٓؤُلَآءِ مَن يُؤْمِنُ بِهِۦ ۚ وَمَا يَجْحَدُ بِـَٔايَـٰتِنَآ إِلَّا ٱلْكَـٰفِرُونَ','verse_number' => '47','verse_key' => '29:47','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '347','manzil_number' => '5','sajdah_number' => '0','page_number' => '402','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3388','chapter_id' => '29','arabic_name' => 'وَمَا كُنتَ تَتْلُوا۟ مِن قَبْلِهِۦ مِن كِتَـٰبٍ وَلَا تَخُطُّهُۥ بِيَمِينِكَ ۖ إِذًا لَّٱرْتَابَ ٱلْمُبْطِلُونَ','verse_number' => '48','verse_key' => '29:48','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '347','manzil_number' => '5','sajdah_number' => '0','page_number' => '402','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3389','chapter_id' => '29','arabic_name' => 'بَلْ هُوَ ءَايَـٰتٌۢ بَيِّنَـٰتٌ فِى صُدُورِ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ ۚ وَمَا يَجْحَدُ بِـَٔايَـٰتِنَآ إِلَّا ٱلظَّـٰلِمُونَ','verse_number' => '49','verse_key' => '29:49','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '347','manzil_number' => '5','sajdah_number' => '0','page_number' => '402','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3390','chapter_id' => '29','arabic_name' => 'وَقَالُوا۟ لَوْلَآ أُنزِلَ عَلَيْهِ ءَايَـٰتٌ مِّن رَّبِّهِۦ ۖ قُلْ إِنَّمَا ٱلْـَٔايَـٰتُ عِندَ ٱللَّهِ وَإِنَّمَآ أَنَا۠ نَذِيرٌ مُّبِينٌ','verse_number' => '50','verse_key' => '29:50','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '347','manzil_number' => '5','sajdah_number' => '0','page_number' => '402','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3391','chapter_id' => '29','arabic_name' => 'أَوَلَمْ يَكْفِهِمْ أَنَّآ أَنزَلْنَا عَلَيْكَ ٱلْكِتَـٰبَ يُتْلَىٰ عَلَيْهِمْ ۚ إِنَّ فِى ذَٰلِكَ لَرَحْمَةً وَذِكْرَىٰ لِقَوْمٍ يُؤْمِنُونَ','verse_number' => '51','verse_key' => '29:51','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '347','manzil_number' => '5','sajdah_number' => '0','page_number' => '402','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3392','chapter_id' => '29','arabic_name' => 'قُلْ كَفَىٰ بِٱللَّهِ بَيْنِى وَبَيْنَكُمْ شَهِيدًا ۖ يَعْلَمُ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱلَّذِينَ ءَامَنُوا۟ بِٱلْبَـٰطِلِ وَكَفَرُوا۟ بِٱللَّهِ أُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '52','verse_key' => '29:52','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '402','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3393','chapter_id' => '29','arabic_name' => 'وَيَسْتَعْجِلُونَكَ بِٱلْعَذَابِ ۚ وَلَوْلَآ أَجَلٌ مُّسَمًّى لَّجَآءَهُمُ ٱلْعَذَابُ وَلَيَأْتِيَنَّهُم بَغْتَةً وَهُمْ لَا يَشْعُرُونَ','verse_number' => '53','verse_key' => '29:53','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3394','chapter_id' => '29','arabic_name' => 'يَسْتَعْجِلُونَكَ بِٱلْعَذَابِ وَإِنَّ جَهَنَّمَ لَمُحِيطَةٌۢ بِٱلْكَـٰفِرِينَ','verse_number' => '54','verse_key' => '29:54','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3395','chapter_id' => '29','arabic_name' => 'يَوْمَ يَغْشَىٰهُمُ ٱلْعَذَابُ مِن فَوْقِهِمْ وَمِن تَحْتِ أَرْجُلِهِمْ وَيَقُولُ ذُوقُوا۟ مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '55','verse_key' => '29:55','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3396','chapter_id' => '29','arabic_name' => 'يَـٰعِبَادِىَ ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ أَرْضِى وَٰسِعَةٌ فَإِيَّـٰىَ فَٱعْبُدُونِ','verse_number' => '56','verse_key' => '29:56','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3397','chapter_id' => '29','arabic_name' => 'كُلُّ نَفْسٍ ذَآئِقَةُ ٱلْمَوْتِ ۖ ثُمَّ إِلَيْنَا تُرْجَعُونَ','verse_number' => '57','verse_key' => '29:57','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3398','chapter_id' => '29','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَنُبَوِّئَنَّهُم مِّنَ ٱلْجَنَّةِ غُرَفًا تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ نِعْمَ أَجْرُ ٱلْعَـٰمِلِينَ','verse_number' => '58','verse_key' => '29:58','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3399','chapter_id' => '29','arabic_name' => 'ٱلَّذِينَ صَبَرُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ','verse_number' => '59','verse_key' => '29:59','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3400','chapter_id' => '29','arabic_name' => 'وَكَأَيِّن مِّن دَآبَّةٍ لَّا تَحْمِلُ رِزْقَهَا ٱللَّهُ يَرْزُقُهَا وَإِيَّاكُمْ ۚ وَهُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '60','verse_key' => '29:60','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3401','chapter_id' => '29','arabic_name' => 'وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ لَيَقُولُنَّ ٱللَّهُ ۖ فَأَنَّىٰ يُؤْفَكُونَ','verse_number' => '61','verse_key' => '29:61','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3402','chapter_id' => '29','arabic_name' => 'ٱللَّهُ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ مِنْ عِبَادِهِۦ وَيَقْدِرُ لَهُۥٓ ۚ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '62','verse_key' => '29:62','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3403','chapter_id' => '29','arabic_name' => 'وَلَئِن سَأَلْتَهُم مَّن نَّزَّلَ مِنَ ٱلسَّمَآءِ مَآءً فَأَحْيَا بِهِ ٱلْأَرْضَ مِنۢ بَعْدِ مَوْتِهَا لَيَقُولُنَّ ٱللَّهُ ۚ قُلِ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْقِلُونَ','verse_number' => '63','verse_key' => '29:63','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '348','manzil_number' => '5','sajdah_number' => '0','page_number' => '403','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3404','chapter_id' => '29','arabic_name' => 'وَمَا هَـٰذِهِ ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا لَهْوٌ وَلَعِبٌ ۚ وَإِنَّ ٱلدَّارَ ٱلْـَٔاخِرَةَ لَهِىَ ٱلْحَيَوَانُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ','verse_number' => '64','verse_key' => '29:64','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '349','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3405','chapter_id' => '29','arabic_name' => 'فَإِذَا رَكِبُوا۟ فِى ٱلْفُلْكِ دَعَوُا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ فَلَمَّا نَجَّىٰهُمْ إِلَى ٱلْبَرِّ إِذَا هُمْ يُشْرِكُونَ','verse_number' => '65','verse_key' => '29:65','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '349','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3406','chapter_id' => '29','arabic_name' => 'لِيَكْفُرُوا۟ بِمَآ ءَاتَيْنَـٰهُمْ وَلِيَتَمَتَّعُوا۟ ۖ فَسَوْفَ يَعْلَمُونَ','verse_number' => '66','verse_key' => '29:66','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '349','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3407','chapter_id' => '29','arabic_name' => 'أَوَلَمْ يَرَوْا۟ أَنَّا جَعَلْنَا حَرَمًا ءَامِنًا وَيُتَخَطَّفُ ٱلنَّاسُ مِنْ حَوْلِهِمْ ۚ أَفَبِٱلْبَـٰطِلِ يُؤْمِنُونَ وَبِنِعْمَةِ ٱللَّهِ يَكْفُرُونَ','verse_number' => '67','verse_key' => '29:67','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '349','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3408','chapter_id' => '29','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَوْ كَذَّبَ بِٱلْحَقِّ لَمَّا جَآءَهُۥٓ ۚ أَلَيْسَ فِى جَهَنَّمَ مَثْوًى لِّلْكَـٰفِرِينَ','verse_number' => '68','verse_key' => '29:68','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '349','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3409','chapter_id' => '29','arabic_name' => 'وَٱلَّذِينَ جَـٰهَدُوا۟ فِينَا لَنَهْدِيَنَّهُمْ سُبُلَنَا ۚ وَإِنَّ ٱللَّهَ لَمَعَ ٱلْمُحْسِنِينَ','verse_number' => '69','verse_key' => '29:69','hizb_number' => '41','rub_el_hizb_number' => '161','ruku_number' => '349','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3410','chapter_id' => '30','arabic_name' => 'الٓمٓ','verse_number' => '1','verse_key' => '30:1','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3411','chapter_id' => '30','arabic_name' => 'غُلِبَتِ ٱلرُّومُ','verse_number' => '2','verse_key' => '30:2','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3412','chapter_id' => '30','arabic_name' => 'فِىٓ أَدْنَى ٱلْأَرْضِ وَهُم مِّنۢ بَعْدِ غَلَبِهِمْ سَيَغْلِبُونَ','verse_number' => '3','verse_key' => '30:3','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3413','chapter_id' => '30','arabic_name' => 'فِى بِضْعِ سِنِينَ ۗ لِلَّهِ ٱلْأَمْرُ مِن قَبْلُ وَمِنۢ بَعْدُ ۚ وَيَوْمَئِذٍ يَفْرَحُ ٱلْمُؤْمِنُونَ','verse_number' => '4','verse_key' => '30:4','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3414','chapter_id' => '30','arabic_name' => 'بِنَصْرِ ٱللَّهِ ۚ يَنصُرُ مَن يَشَآءُ ۖ وَهُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '5','verse_key' => '30:5','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '404','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3415','chapter_id' => '30','arabic_name' => 'وَعْدَ ٱللَّهِ ۖ لَا يُخْلِفُ ٱللَّهُ وَعْدَهُۥ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '6','verse_key' => '30:6','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3416','chapter_id' => '30','arabic_name' => 'يَعْلَمُونَ ظَـٰهِرًا مِّنَ ٱلْحَيَوٰةِ ٱلدُّنْيَا وَهُمْ عَنِ ٱلْـَٔاخِرَةِ هُمْ غَـٰفِلُونَ','verse_number' => '7','verse_key' => '30:7','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3417','chapter_id' => '30','arabic_name' => 'أَوَلَمْ يَتَفَكَّرُوا۟ فِىٓ أَنفُسِهِم ۗ مَّا خَلَقَ ٱللَّهُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَآ إِلَّا بِٱلْحَقِّ وَأَجَلٍ مُّسَمًّى ۗ وَإِنَّ كَثِيرًا مِّنَ ٱلنَّاسِ بِلِقَآئِ رَبِّهِمْ لَكَـٰفِرُونَ','verse_number' => '8','verse_key' => '30:8','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3418','chapter_id' => '30','arabic_name' => 'أَوَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَانُوٓا۟ أَشَدَّ مِنْهُمْ قُوَّةً وَأَثَارُوا۟ ٱلْأَرْضَ وَعَمَرُوهَآ أَكْثَرَ مِمَّا عَمَرُوهَا وَجَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ ۖ فَمَا كَانَ ٱللَّهُ لِيَظْلِمَهُمْ وَلَـٰكِن كَانُوٓا۟ أَنفُسَهُمْ يَظْلِمُونَ','verse_number' => '9','verse_key' => '30:9','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3419','chapter_id' => '30','arabic_name' => 'ثُمَّ كَانَ عَـٰقِبَةَ ٱلَّذِينَ أَسَـٰٓـُٔوا۟ ٱلسُّوٓأَىٰٓ أَن كَذَّبُوا۟ بِـَٔايَـٰتِ ٱللَّهِ وَكَانُوا۟ بِهَا يَسْتَهْزِءُونَ','verse_number' => '10','verse_key' => '30:10','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '350','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3420','chapter_id' => '30','arabic_name' => 'ٱللَّهُ يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ ثُمَّ إِلَيْهِ تُرْجَعُونَ','verse_number' => '11','verse_key' => '30:11','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3421','chapter_id' => '30','arabic_name' => 'وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يُبْلِسُ ٱلْمُجْرِمُونَ','verse_number' => '12','verse_key' => '30:12','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3422','chapter_id' => '30','arabic_name' => 'وَلَمْ يَكُن لَّهُم مِّن شُرَكَآئِهِمْ شُفَعَـٰٓؤُا۟ وَكَانُوا۟ بِشُرَكَآئِهِمْ كَـٰفِرِينَ','verse_number' => '13','verse_key' => '30:13','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3423','chapter_id' => '30','arabic_name' => 'وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يَوْمَئِذٍ يَتَفَرَّقُونَ','verse_number' => '14','verse_key' => '30:14','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3424','chapter_id' => '30','arabic_name' => 'فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فَهُمْ فِى رَوْضَةٍ يُحْبَرُونَ','verse_number' => '15','verse_key' => '30:15','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '405','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3425','chapter_id' => '30','arabic_name' => 'وَأَمَّا ٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَـٰتِنَا وَلِقَآئِ ٱلْـَٔاخِرَةِ فَأُو۟لَـٰٓئِكَ فِى ٱلْعَذَابِ مُحْضَرُونَ','verse_number' => '16','verse_key' => '30:16','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3426','chapter_id' => '30','arabic_name' => 'فَسُبْحَـٰنَ ٱللَّهِ حِينَ تُمْسُونَ وَحِينَ تُصْبِحُونَ','verse_number' => '17','verse_key' => '30:17','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3427','chapter_id' => '30','arabic_name' => 'وَلَهُ ٱلْحَمْدُ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَعَشِيًّا وَحِينَ تُظْهِرُونَ','verse_number' => '18','verse_key' => '30:18','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3428','chapter_id' => '30','arabic_name' => 'يُخْرِجُ ٱلْحَىَّ مِنَ ٱلْمَيِّتِ وَيُخْرِجُ ٱلْمَيِّتَ مِنَ ٱلْحَىِّ وَيُحْىِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا ۚ وَكَذَٰلِكَ تُخْرَجُونَ','verse_number' => '19','verse_key' => '30:19','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '351','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3429','chapter_id' => '30','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦٓ أَنْ خَلَقَكُم مِّن تُرَابٍ ثُمَّ إِذَآ أَنتُم بَشَرٌ تَنتَشِرُونَ','verse_number' => '20','verse_key' => '30:20','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3430','chapter_id' => '30','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦٓ أَنْ خَلَقَ لَكُم مِّنْ أَنفُسِكُمْ أَزْوَٰجًا لِّتَسْكُنُوٓا۟ إِلَيْهَا وَجَعَلَ بَيْنَكُم مَّوَدَّةً وَرَحْمَةً ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَتَفَكَّرُونَ','verse_number' => '21','verse_key' => '30:21','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3431','chapter_id' => '30','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦ خَلْقُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَٱخْتِلَـٰفُ أَلْسِنَتِكُمْ وَأَلْوَٰنِكُمْ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّلْعَـٰلِمِينَ','verse_number' => '22','verse_key' => '30:22','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3432','chapter_id' => '30','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦ مَنَامُكُم بِٱلَّيْلِ وَٱلنَّهَارِ وَٱبْتِغَآؤُكُم مِّن فَضْلِهِۦٓ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَسْمَعُونَ','verse_number' => '23','verse_key' => '30:23','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3433','chapter_id' => '30','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦ يُرِيكُمُ ٱلْبَرْقَ خَوْفًا وَطَمَعًا وَيُنَزِّلُ مِنَ ٱلسَّمَآءِ مَآءً فَيُحْىِۦ بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَآ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَعْقِلُونَ','verse_number' => '24','verse_key' => '30:24','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '406','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3434','chapter_id' => '30','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦٓ أَن تَقُومَ ٱلسَّمَآءُ وَٱلْأَرْضُ بِأَمْرِهِۦ ۚ ثُمَّ إِذَا دَعَاكُمْ دَعْوَةً مِّنَ ٱلْأَرْضِ إِذَآ أَنتُمْ تَخْرُجُونَ','verse_number' => '25','verse_key' => '30:25','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3435','chapter_id' => '30','arabic_name' => 'وَلَهُۥ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ كُلٌّ لَّهُۥ قَـٰنِتُونَ','verse_number' => '26','verse_key' => '30:26','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3436','chapter_id' => '30','arabic_name' => 'وَهُوَ ٱلَّذِى يَبْدَؤُا۟ ٱلْخَلْقَ ثُمَّ يُعِيدُهُۥ وَهُوَ أَهْوَنُ عَلَيْهِ ۚ وَلَهُ ٱلْمَثَلُ ٱلْأَعْلَىٰ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '27','verse_key' => '30:27','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '352','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3437','chapter_id' => '30','arabic_name' => 'ضَرَبَ لَكُم مَّثَلًا مِّنْ أَنفُسِكُمْ ۖ هَل لَّكُم مِّن مَّا مَلَكَتْ أَيْمَـٰنُكُم مِّن شُرَكَآءَ فِى مَا رَزَقْنَـٰكُمْ فَأَنتُمْ فِيهِ سَوَآءٌ تَخَافُونَهُمْ كَخِيفَتِكُمْ أَنفُسَكُمْ ۚ كَذَٰلِكَ نُفَصِّلُ ٱلْـَٔايَـٰتِ لِقَوْمٍ يَعْقِلُونَ','verse_number' => '28','verse_key' => '30:28','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3438','chapter_id' => '30','arabic_name' => 'بَلِ ٱتَّبَعَ ٱلَّذِينَ ظَلَمُوٓا۟ أَهْوَآءَهُم بِغَيْرِ عِلْمٍ ۖ فَمَن يَهْدِى مَنْ أَضَلَّ ٱللَّهُ ۖ وَمَا لَهُم مِّن نَّـٰصِرِينَ','verse_number' => '29','verse_key' => '30:29','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3439','chapter_id' => '30','arabic_name' => 'فَأَقِمْ وَجْهَكَ لِلدِّينِ حَنِيفًا ۚ فِطْرَتَ ٱللَّهِ ٱلَّتِى فَطَرَ ٱلنَّاسَ عَلَيْهَا ۚ لَا تَبْدِيلَ لِخَلْقِ ٱللَّهِ ۚ ذَٰلِكَ ٱلدِّينُ ٱلْقَيِّمُ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '30','verse_key' => '30:30','hizb_number' => '41','rub_el_hizb_number' => '162','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3440','chapter_id' => '30','arabic_name' => '۞ مُنِيبِينَ إِلَيْهِ وَٱتَّقُوهُ وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَلَا تَكُونُوا۟ مِنَ ٱلْمُشْرِكِينَ','verse_number' => '31','verse_key' => '30:31','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3441','chapter_id' => '30','arabic_name' => 'مِنَ ٱلَّذِينَ فَرَّقُوا۟ دِينَهُمْ وَكَانُوا۟ شِيَعًا ۖ كُلُّ حِزْبٍۭ بِمَا لَدَيْهِمْ فَرِحُونَ','verse_number' => '32','verse_key' => '30:32','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '407','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3442','chapter_id' => '30','arabic_name' => 'وَإِذَا مَسَّ ٱلنَّاسَ ضُرٌّ دَعَوْا۟ رَبَّهُم مُّنِيبِينَ إِلَيْهِ ثُمَّ إِذَآ أَذَاقَهُم مِّنْهُ رَحْمَةً إِذَا فَرِيقٌ مِّنْهُم بِرَبِّهِمْ يُشْرِكُونَ','verse_number' => '33','verse_key' => '30:33','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3443','chapter_id' => '30','arabic_name' => 'لِيَكْفُرُوا۟ بِمَآ ءَاتَيْنَـٰهُمْ ۚ فَتَمَتَّعُوا۟ فَسَوْفَ تَعْلَمُونَ','verse_number' => '34','verse_key' => '30:34','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3444','chapter_id' => '30','arabic_name' => 'أَمْ أَنزَلْنَا عَلَيْهِمْ سُلْطَـٰنًا فَهُوَ يَتَكَلَّمُ بِمَا كَانُوا۟ بِهِۦ يُشْرِكُونَ','verse_number' => '35','verse_key' => '30:35','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3445','chapter_id' => '30','arabic_name' => 'وَإِذَآ أَذَقْنَا ٱلنَّاسَ رَحْمَةً فَرِحُوا۟ بِهَا ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ إِذَا هُمْ يَقْنَطُونَ','verse_number' => '36','verse_key' => '30:36','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3446','chapter_id' => '30','arabic_name' => 'أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '37','verse_key' => '30:37','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3447','chapter_id' => '30','arabic_name' => 'فَـَٔاتِ ذَا ٱلْقُرْبَىٰ حَقَّهُۥ وَٱلْمِسْكِينَ وَٱبْنَ ٱلسَّبِيلِ ۚ ذَٰلِكَ خَيْرٌ لِّلَّذِينَ يُرِيدُونَ وَجْهَ ٱللَّهِ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '38','verse_key' => '30:38','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3448','chapter_id' => '30','arabic_name' => 'وَمَآ ءَاتَيْتُم مِّن رِّبًا لِّيَرْبُوَا۟ فِىٓ أَمْوَٰلِ ٱلنَّاسِ فَلَا يَرْبُوا۟ عِندَ ٱللَّهِ ۖ وَمَآ ءَاتَيْتُم مِّن زَكَوٰةٍ تُرِيدُونَ وَجْهَ ٱللَّهِ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُضْعِفُونَ','verse_number' => '39','verse_key' => '30:39','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3449','chapter_id' => '30','arabic_name' => 'ٱللَّهُ ٱلَّذِى خَلَقَكُمْ ثُمَّ رَزَقَكُمْ ثُمَّ يُمِيتُكُمْ ثُمَّ يُحْيِيكُمْ ۖ هَلْ مِن شُرَكَآئِكُم مَّن يَفْعَلُ مِن ذَٰلِكُم مِّن شَىْءٍ ۚ سُبْحَـٰنَهُۥ وَتَعَـٰلَىٰ عَمَّا يُشْرِكُونَ','verse_number' => '40','verse_key' => '30:40','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '353','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3450','chapter_id' => '30','arabic_name' => 'ظَهَرَ ٱلْفَسَادُ فِى ٱلْبَرِّ وَٱلْبَحْرِ بِمَا كَسَبَتْ أَيْدِى ٱلنَّاسِ لِيُذِيقَهُم بَعْضَ ٱلَّذِى عَمِلُوا۟ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '41','verse_key' => '30:41','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '408','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3451','chapter_id' => '30','arabic_name' => 'قُلْ سِيرُوا۟ فِى ٱلْأَرْضِ فَٱنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلَّذِينَ مِن قَبْلُ ۚ كَانَ أَكْثَرُهُم مُّشْرِكِينَ','verse_number' => '42','verse_key' => '30:42','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3452','chapter_id' => '30','arabic_name' => 'فَأَقِمْ وَجْهَكَ لِلدِّينِ ٱلْقَيِّمِ مِن قَبْلِ أَن يَأْتِىَ يَوْمٌ لَّا مَرَدَّ لَهُۥ مِنَ ٱللَّهِ ۖ يَوْمَئِذٍ يَصَّدَّعُونَ','verse_number' => '43','verse_key' => '30:43','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3453','chapter_id' => '30','arabic_name' => 'مَن كَفَرَ فَعَلَيْهِ كُفْرُهُۥ ۖ وَمَنْ عَمِلَ صَـٰلِحًا فَلِأَنفُسِهِمْ يَمْهَدُونَ','verse_number' => '44','verse_key' => '30:44','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3454','chapter_id' => '30','arabic_name' => 'لِيَجْزِىَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ مِن فَضْلِهِۦٓ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلْكَـٰفِرِينَ','verse_number' => '45','verse_key' => '30:45','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3455','chapter_id' => '30','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦٓ أَن يُرْسِلَ ٱلرِّيَاحَ مُبَشِّرَٰتٍ وَلِيُذِيقَكُم مِّن رَّحْمَتِهِۦ وَلِتَجْرِىَ ٱلْفُلْكُ بِأَمْرِهِۦ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '46','verse_key' => '30:46','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3456','chapter_id' => '30','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا مِن قَبْلِكَ رُسُلًا إِلَىٰ قَوْمِهِمْ فَجَآءُوهُم بِٱلْبَيِّنَـٰتِ فَٱنتَقَمْنَا مِنَ ٱلَّذِينَ أَجْرَمُوا۟ ۖ وَكَانَ حَقًّا عَلَيْنَا نَصْرُ ٱلْمُؤْمِنِينَ','verse_number' => '47','verse_key' => '30:47','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3457','chapter_id' => '30','arabic_name' => 'ٱللَّهُ ٱلَّذِى يُرْسِلُ ٱلرِّيَـٰحَ فَتُثِيرُ سَحَابًا فَيَبْسُطُهُۥ فِى ٱلسَّمَآءِ كَيْفَ يَشَآءُ وَيَجْعَلُهُۥ كِسَفًا فَتَرَى ٱلْوَدْقَ يَخْرُجُ مِنْ خِلَـٰلِهِۦ ۖ فَإِذَآ أَصَابَ بِهِۦ مَن يَشَآءُ مِنْ عِبَادِهِۦٓ إِذَا هُمْ يَسْتَبْشِرُونَ','verse_number' => '48','verse_key' => '30:48','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3458','chapter_id' => '30','arabic_name' => 'وَإِن كَانُوا۟ مِن قَبْلِ أَن يُنَزَّلَ عَلَيْهِم مِّن قَبْلِهِۦ لَمُبْلِسِينَ','verse_number' => '49','verse_key' => '30:49','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3459','chapter_id' => '30','arabic_name' => 'فَٱنظُرْ إِلَىٰٓ ءَاثَـٰرِ رَحْمَتِ ٱللَّهِ كَيْفَ يُحْىِ ٱلْأَرْضَ بَعْدَ مَوْتِهَآ ۚ إِنَّ ذَٰلِكَ لَمُحْىِ ٱلْمَوْتَىٰ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '50','verse_key' => '30:50','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '409','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3460','chapter_id' => '30','arabic_name' => 'وَلَئِنْ أَرْسَلْنَا رِيحًا فَرَأَوْهُ مُصْفَرًّا لَّظَلُّوا۟ مِنۢ بَعْدِهِۦ يَكْفُرُونَ','verse_number' => '51','verse_key' => '30:51','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3461','chapter_id' => '30','arabic_name' => 'فَإِنَّكَ لَا تُسْمِعُ ٱلْمَوْتَىٰ وَلَا تُسْمِعُ ٱلصُّمَّ ٱلدُّعَآءَ إِذَا وَلَّوْا۟ مُدْبِرِينَ','verse_number' => '52','verse_key' => '30:52','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3462','chapter_id' => '30','arabic_name' => 'وَمَآ أَنتَ بِهَـٰدِ ٱلْعُمْىِ عَن ضَلَـٰلَتِهِمْ ۖ إِن تُسْمِعُ إِلَّا مَن يُؤْمِنُ بِـَٔايَـٰتِنَا فَهُم مُّسْلِمُونَ','verse_number' => '53','verse_key' => '30:53','hizb_number' => '41','rub_el_hizb_number' => '163','ruku_number' => '354','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3463','chapter_id' => '30','arabic_name' => '۞ ٱللَّهُ ٱلَّذِى خَلَقَكُم مِّن ضَعْفٍ ثُمَّ جَعَلَ مِنۢ بَعْدِ ضَعْفٍ قُوَّةً ثُمَّ جَعَلَ مِنۢ بَعْدِ قُوَّةٍ ضَعْفًا وَشَيْبَةً ۚ يَخْلُقُ مَا يَشَآءُ ۖ وَهُوَ ٱلْعَلِيمُ ٱلْقَدِيرُ','verse_number' => '54','verse_key' => '30:54','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '355','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3464','chapter_id' => '30','arabic_name' => 'وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يُقْسِمُ ٱلْمُجْرِمُونَ مَا لَبِثُوا۟ غَيْرَ سَاعَةٍ ۚ كَذَٰلِكَ كَانُوا۟ يُؤْفَكُونَ','verse_number' => '55','verse_key' => '30:55','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '355','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3465','chapter_id' => '30','arabic_name' => 'وَقَالَ ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ وَٱلْإِيمَـٰنَ لَقَدْ لَبِثْتُمْ فِى كِتَـٰبِ ٱللَّهِ إِلَىٰ يَوْمِ ٱلْبَعْثِ ۖ فَهَـٰذَا يَوْمُ ٱلْبَعْثِ وَلَـٰكِنَّكُمْ كُنتُمْ لَا تَعْلَمُونَ','verse_number' => '56','verse_key' => '30:56','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '355','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3466','chapter_id' => '30','arabic_name' => 'فَيَوْمَئِذٍ لَّا يَنفَعُ ٱلَّذِينَ ظَلَمُوا۟ مَعْذِرَتُهُمْ وَلَا هُمْ يُسْتَعْتَبُونَ','verse_number' => '57','verse_key' => '30:57','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '355','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3467','chapter_id' => '30','arabic_name' => 'وَلَقَدْ ضَرَبْنَا لِلنَّاسِ فِى هَـٰذَا ٱلْقُرْءَانِ مِن كُلِّ مَثَلٍ ۚ وَلَئِن جِئْتَهُم بِـَٔايَةٍ لَّيَقُولَنَّ ٱلَّذِينَ كَفَرُوٓا۟ إِنْ أَنتُمْ إِلَّا مُبْطِلُونَ','verse_number' => '58','verse_key' => '30:58','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '355','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3468','chapter_id' => '30','arabic_name' => 'كَذَٰلِكَ يَطْبَعُ ٱللَّهُ عَلَىٰ قُلُوبِ ٱلَّذِينَ لَا يَعْلَمُونَ','verse_number' => '59','verse_key' => '30:59','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '355','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3469','chapter_id' => '30','arabic_name' => 'فَٱصْبِرْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ ۖ وَلَا يَسْتَخِفَّنَّكَ ٱلَّذِينَ لَا يُوقِنُونَ','verse_number' => '60','verse_key' => '30:60','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '355','manzil_number' => '5','sajdah_number' => '0','page_number' => '410','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3470','chapter_id' => '31','arabic_name' => 'الٓمٓ','verse_number' => '1','verse_key' => '31:1','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3471','chapter_id' => '31','arabic_name' => 'تِلْكَ ءَايَـٰتُ ٱلْكِتَـٰبِ ٱلْحَكِيمِ','verse_number' => '2','verse_key' => '31:2','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3472','chapter_id' => '31','arabic_name' => 'هُدًى وَرَحْمَةً لِّلْمُحْسِنِينَ','verse_number' => '3','verse_key' => '31:3','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3473','chapter_id' => '31','arabic_name' => 'ٱلَّذِينَ يُقِيمُونَ ٱلصَّلَوٰةَ وَيُؤْتُونَ ٱلزَّكَوٰةَ وَهُم بِٱلْـَٔاخِرَةِ هُمْ يُوقِنُونَ','verse_number' => '4','verse_key' => '31:4','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3474','chapter_id' => '31','arabic_name' => 'أُو۟لَـٰٓئِكَ عَلَىٰ هُدًى مِّن رَّبِّهِمْ ۖ وَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '5','verse_key' => '31:5','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3475','chapter_id' => '31','arabic_name' => 'وَمِنَ ٱلنَّاسِ مَن يَشْتَرِى لَهْوَ ٱلْحَدِيثِ لِيُضِلَّ عَن سَبِيلِ ٱللَّهِ بِغَيْرِ عِلْمٍ وَيَتَّخِذَهَا هُزُوًا ۚ أُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ مُّهِينٌ','verse_number' => '6','verse_key' => '31:6','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3476','chapter_id' => '31','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِ ءَايَـٰتُنَا وَلَّىٰ مُسْتَكْبِرًا كَأَن لَّمْ يَسْمَعْهَا كَأَنَّ فِىٓ أُذُنَيْهِ وَقْرًا ۖ فَبَشِّرْهُ بِعَذَابٍ أَلِيمٍ','verse_number' => '7','verse_key' => '31:7','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3477','chapter_id' => '31','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَهُمْ جَنَّـٰتُ ٱلنَّعِيمِ','verse_number' => '8','verse_key' => '31:8','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3478','chapter_id' => '31','arabic_name' => 'خَـٰلِدِينَ فِيهَا ۖ وَعْدَ ٱللَّهِ حَقًّا ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '9','verse_key' => '31:9','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3479','chapter_id' => '31','arabic_name' => 'خَلَقَ ٱلسَّمَـٰوَٰتِ بِغَيْرِ عَمَدٍ تَرَوْنَهَا ۖ وَأَلْقَىٰ فِى ٱلْأَرْضِ رَوَٰسِىَ أَن تَمِيدَ بِكُمْ وَبَثَّ فِيهَا مِن كُلِّ دَآبَّةٍ ۚ وَأَنزَلْنَا مِنَ ٱلسَّمَآءِ مَآءً فَأَنۢبَتْنَا فِيهَا مِن كُلِّ زَوْجٍ كَرِيمٍ','verse_number' => '10','verse_key' => '31:10','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3480','chapter_id' => '31','arabic_name' => 'هَـٰذَا خَلْقُ ٱللَّهِ فَأَرُونِى مَاذَا خَلَقَ ٱلَّذِينَ مِن دُونِهِۦ ۚ بَلِ ٱلظَّـٰلِمُونَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '11','verse_key' => '31:11','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '356','manzil_number' => '5','sajdah_number' => '0','page_number' => '411','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3481','chapter_id' => '31','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا لُقْمَـٰنَ ٱلْحِكْمَةَ أَنِ ٱشْكُرْ لِلَّهِ ۚ وَمَن يَشْكُرْ فَإِنَّمَا يَشْكُرُ لِنَفْسِهِۦ ۖ وَمَن كَفَرَ فَإِنَّ ٱللَّهَ غَنِىٌّ حَمِيدٌ','verse_number' => '12','verse_key' => '31:12','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3482','chapter_id' => '31','arabic_name' => 'وَإِذْ قَالَ لُقْمَـٰنُ لِٱبْنِهِۦ وَهُوَ يَعِظُهُۥ يَـٰبُنَىَّ لَا تُشْرِكْ بِٱللَّهِ ۖ إِنَّ ٱلشِّرْكَ لَظُلْمٌ عَظِيمٌ','verse_number' => '13','verse_key' => '31:13','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3483','chapter_id' => '31','arabic_name' => 'وَوَصَّيْنَا ٱلْإِنسَـٰنَ بِوَٰلِدَيْهِ حَمَلَتْهُ أُمُّهُۥ وَهْنًا عَلَىٰ وَهْنٍ وَفِصَـٰلُهُۥ فِى عَامَيْنِ أَنِ ٱشْكُرْ لِى وَلِوَٰلِدَيْكَ إِلَىَّ ٱلْمَصِيرُ','verse_number' => '14','verse_key' => '31:14','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3484','chapter_id' => '31','arabic_name' => 'وَإِن جَـٰهَدَاكَ عَلَىٰٓ أَن تُشْرِكَ بِى مَا لَيْسَ لَكَ بِهِۦ عِلْمٌ فَلَا تُطِعْهُمَا ۖ وَصَاحِبْهُمَا فِى ٱلدُّنْيَا مَعْرُوفًا ۖ وَٱتَّبِعْ سَبِيلَ مَنْ أَنَابَ إِلَىَّ ۚ ثُمَّ إِلَىَّ مَرْجِعُكُمْ فَأُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '15','verse_key' => '31:15','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3485','chapter_id' => '31','arabic_name' => 'يَـٰبُنَىَّ إِنَّهَآ إِن تَكُ مِثْقَالَ حَبَّةٍ مِّنْ خَرْدَلٍ فَتَكُن فِى صَخْرَةٍ أَوْ فِى ٱلسَّمَـٰوَٰتِ أَوْ فِى ٱلْأَرْضِ يَأْتِ بِهَا ٱللَّهُ ۚ إِنَّ ٱللَّهَ لَطِيفٌ خَبِيرٌ','verse_number' => '16','verse_key' => '31:16','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3486','chapter_id' => '31','arabic_name' => 'يَـٰبُنَىَّ أَقِمِ ٱلصَّلَوٰةَ وَأْمُرْ بِٱلْمَعْرُوفِ وَٱنْهَ عَنِ ٱلْمُنكَرِ وَٱصْبِرْ عَلَىٰ مَآ أَصَابَكَ ۖ إِنَّ ذَٰلِكَ مِنْ عَزْمِ ٱلْأُمُورِ','verse_number' => '17','verse_key' => '31:17','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3487','chapter_id' => '31','arabic_name' => 'وَلَا تُصَعِّرْ خَدَّكَ لِلنَّاسِ وَلَا تَمْشِ فِى ٱلْأَرْضِ مَرَحًا ۖ إِنَّ ٱللَّهَ لَا يُحِبُّ كُلَّ مُخْتَالٍ فَخُورٍ','verse_number' => '18','verse_key' => '31:18','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3488','chapter_id' => '31','arabic_name' => 'وَٱقْصِدْ فِى مَشْيِكَ وَٱغْضُضْ مِن صَوْتِكَ ۚ إِنَّ أَنكَرَ ٱلْأَصْوَٰتِ لَصَوْتُ ٱلْحَمِيرِ','verse_number' => '19','verse_key' => '31:19','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '357','manzil_number' => '5','sajdah_number' => '0','page_number' => '412','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3489','chapter_id' => '31','arabic_name' => 'أَلَمْ تَرَوْا۟ أَنَّ ٱللَّهَ سَخَّرَ لَكُم مَّا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَأَسْبَغَ عَلَيْكُمْ نِعَمَهُۥ ظَـٰهِرَةً وَبَاطِنَةً ۗ وَمِنَ ٱلنَّاسِ مَن يُجَـٰدِلُ فِى ٱللَّهِ بِغَيْرِ عِلْمٍ وَلَا هُدًى وَلَا كِتَـٰبٍ مُّنِيرٍ','verse_number' => '20','verse_key' => '31:20','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3490','chapter_id' => '31','arabic_name' => 'وَإِذَا قِيلَ لَهُمُ ٱتَّبِعُوا۟ مَآ أَنزَلَ ٱللَّهُ قَالُوا۟ بَلْ نَتَّبِعُ مَا وَجَدْنَا عَلَيْهِ ءَابَآءَنَآ ۚ أَوَلَوْ كَانَ ٱلشَّيْطَـٰنُ يَدْعُوهُمْ إِلَىٰ عَذَابِ ٱلسَّعِيرِ','verse_number' => '21','verse_key' => '31:21','hizb_number' => '41','rub_el_hizb_number' => '164','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3491','chapter_id' => '31','arabic_name' => '۞ وَمَن يُسْلِمْ وَجْهَهُۥٓ إِلَى ٱللَّهِ وَهُوَ مُحْسِنٌ فَقَدِ ٱسْتَمْسَكَ بِٱلْعُرْوَةِ ٱلْوُثْقَىٰ ۗ وَإِلَى ٱللَّهِ عَـٰقِبَةُ ٱلْأُمُورِ','verse_number' => '22','verse_key' => '31:22','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3492','chapter_id' => '31','arabic_name' => 'وَمَن كَفَرَ فَلَا يَحْزُنكَ كُفْرُهُۥٓ ۚ إِلَيْنَا مَرْجِعُهُمْ فَنُنَبِّئُهُم بِمَا عَمِلُوٓا۟ ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '23','verse_key' => '31:23','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3493','chapter_id' => '31','arabic_name' => 'نُمَتِّعُهُمْ قَلِيلًا ثُمَّ نَضْطَرُّهُمْ إِلَىٰ عَذَابٍ غَلِيظٍ','verse_number' => '24','verse_key' => '31:24','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3494','chapter_id' => '31','arabic_name' => 'وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ لَيَقُولُنَّ ٱللَّهُ ۚ قُلِ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ','verse_number' => '25','verse_key' => '31:25','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3495','chapter_id' => '31','arabic_name' => 'لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ إِنَّ ٱللَّهَ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ','verse_number' => '26','verse_key' => '31:26','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3496','chapter_id' => '31','arabic_name' => 'وَلَوْ أَنَّمَا فِى ٱلْأَرْضِ مِن شَجَرَةٍ أَقْلَـٰمٌ وَٱلْبَحْرُ يَمُدُّهُۥ مِنۢ بَعْدِهِۦ سَبْعَةُ أَبْحُرٍ مَّا نَفِدَتْ كَلِمَـٰتُ ٱللَّهِ ۗ إِنَّ ٱللَّهَ عَزِيزٌ حَكِيمٌ','verse_number' => '27','verse_key' => '31:27','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3497','chapter_id' => '31','arabic_name' => 'مَّا خَلْقُكُمْ وَلَا بَعْثُكُمْ إِلَّا كَنَفْسٍ وَٰحِدَةٍ ۗ إِنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌ','verse_number' => '28','verse_key' => '31:28','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '413','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3498','chapter_id' => '31','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ كُلٌّ يَجْرِىٓ إِلَىٰٓ أَجَلٍ مُّسَمًّى وَأَنَّ ٱللَّهَ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '29','verse_key' => '31:29','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '414','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3499','chapter_id' => '31','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱللَّهَ هُوَ ٱلْحَقُّ وَأَنَّ مَا يَدْعُونَ مِن دُونِهِ ٱلْبَـٰطِلُ وَأَنَّ ٱللَّهَ هُوَ ٱلْعَلِىُّ ٱلْكَبِيرُ','verse_number' => '30','verse_key' => '31:30','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '358','manzil_number' => '5','sajdah_number' => '0','page_number' => '414','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3500','chapter_id' => '31','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱلْفُلْكَ تَجْرِى فِى ٱلْبَحْرِ بِنِعْمَتِ ٱللَّهِ لِيُرِيَكُم مِّنْ ءَايَـٰتِهِۦٓ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّكُلِّ صَبَّارٍ شَكُورٍ','verse_number' => '31','verse_key' => '31:31','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '359','manzil_number' => '5','sajdah_number' => '0','page_number' => '414','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3501','chapter_id' => '31','arabic_name' => 'وَإِذَا غَشِيَهُم مَّوْجٌ كَٱلظُّلَلِ دَعَوُا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ فَلَمَّا نَجَّىٰهُمْ إِلَى ٱلْبَرِّ فَمِنْهُم مُّقْتَصِدٌ ۚ وَمَا يَجْحَدُ بِـَٔايَـٰتِنَآ إِلَّا كُلُّ خَتَّارٍ كَفُورٍ','verse_number' => '32','verse_key' => '31:32','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '359','manzil_number' => '5','sajdah_number' => '0','page_number' => '414','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3502','chapter_id' => '31','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ ٱتَّقُوا۟ رَبَّكُمْ وَٱخْشَوْا۟ يَوْمًا لَّا يَجْزِى وَالِدٌ عَن وَلَدِهِۦ وَلَا مَوْلُودٌ هُوَ جَازٍ عَن وَالِدِهِۦ شَيْـًٔا ۚ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ ۖ فَلَا تَغُرَّنَّكُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا وَلَا يَغُرَّنَّكُم بِٱللَّهِ ٱلْغَرُورُ','verse_number' => '33','verse_key' => '31:33','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '359','manzil_number' => '5','sajdah_number' => '0','page_number' => '414','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3503','chapter_id' => '31','arabic_name' => 'إِنَّ ٱللَّهَ عِندَهُۥ عِلْمُ ٱلسَّاعَةِ وَيُنَزِّلُ ٱلْغَيْثَ وَيَعْلَمُ مَا فِى ٱلْأَرْحَامِ ۖ وَمَا تَدْرِى نَفْسٌ مَّاذَا تَكْسِبُ غَدًا ۖ وَمَا تَدْرِى نَفْسٌۢ بِأَىِّ أَرْضٍ تَمُوتُ ۚ إِنَّ ٱللَّهَ عَلِيمٌ خَبِيرٌۢ','verse_number' => '34','verse_key' => '31:34','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '359','manzil_number' => '5','sajdah_number' => '0','page_number' => '414','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3504','chapter_id' => '32','arabic_name' => 'الٓمٓ','verse_number' => '1','verse_key' => '32:1','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3505','chapter_id' => '32','arabic_name' => 'تَنزِيلُ ٱلْكِتَـٰبِ لَا رَيْبَ فِيهِ مِن رَّبِّ ٱلْعَـٰلَمِينَ','verse_number' => '2','verse_key' => '32:2','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3506','chapter_id' => '32','arabic_name' => 'أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۚ بَلْ هُوَ ٱلْحَقُّ مِن رَّبِّكَ لِتُنذِرَ قَوْمًا مَّآ أَتَىٰهُم مِّن نَّذِيرٍ مِّن قَبْلِكَ لَعَلَّهُمْ يَهْتَدُونَ','verse_number' => '3','verse_key' => '32:3','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3507','chapter_id' => '32','arabic_name' => 'ٱللَّهُ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا فِى سِتَّةِ أَيَّامٍ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۖ مَا لَكُم مِّن دُونِهِۦ مِن وَلِىٍّ وَلَا شَفِيعٍ ۚ أَفَلَا تَتَذَكَّرُونَ','verse_number' => '4','verse_key' => '32:4','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3508','chapter_id' => '32','arabic_name' => 'يُدَبِّرُ ٱلْأَمْرَ مِنَ ٱلسَّمَآءِ إِلَى ٱلْأَرْضِ ثُمَّ يَعْرُجُ إِلَيْهِ فِى يَوْمٍ كَانَ مِقْدَارُهُۥٓ أَلْفَ سَنَةٍ مِّمَّا تَعُدُّونَ','verse_number' => '5','verse_key' => '32:5','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3509','chapter_id' => '32','arabic_name' => 'ذَٰلِكَ عَـٰلِمُ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '6','verse_key' => '32:6','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3510','chapter_id' => '32','arabic_name' => 'ٱلَّذِىٓ أَحْسَنَ كُلَّ شَىْءٍ خَلَقَهُۥ ۖ وَبَدَأَ خَلْقَ ٱلْإِنسَـٰنِ مِن طِينٍ','verse_number' => '7','verse_key' => '32:7','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3511','chapter_id' => '32','arabic_name' => 'ثُمَّ جَعَلَ نَسْلَهُۥ مِن سُلَـٰلَةٍ مِّن مَّآءٍ مَّهِينٍ','verse_number' => '8','verse_key' => '32:8','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3512','chapter_id' => '32','arabic_name' => 'ثُمَّ سَوَّىٰهُ وَنَفَخَ فِيهِ مِن رُّوحِهِۦ ۖ وَجَعَلَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَـٰرَ وَٱلْأَفْـِٔدَةَ ۚ قَلِيلًا مَّا تَشْكُرُونَ','verse_number' => '9','verse_key' => '32:9','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3513','chapter_id' => '32','arabic_name' => 'وَقَالُوٓا۟ أَءِذَا ضَلَلْنَا فِى ٱلْأَرْضِ أَءِنَّا لَفِى خَلْقٍ جَدِيدٍۭ ۚ بَلْ هُم بِلِقَآءِ رَبِّهِمْ كَـٰفِرُونَ','verse_number' => '10','verse_key' => '32:10','hizb_number' => '42','rub_el_hizb_number' => '165','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3514','chapter_id' => '32','arabic_name' => '۞ قُلْ يَتَوَفَّىٰكُم مَّلَكُ ٱلْمَوْتِ ٱلَّذِى وُكِّلَ بِكُمْ ثُمَّ إِلَىٰ رَبِّكُمْ تُرْجَعُونَ','verse_number' => '11','verse_key' => '32:11','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '360','manzil_number' => '5','sajdah_number' => '0','page_number' => '415','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3515','chapter_id' => '32','arabic_name' => 'وَلَوْ تَرَىٰٓ إِذِ ٱلْمُجْرِمُونَ نَاكِسُوا۟ رُءُوسِهِمْ عِندَ رَبِّهِمْ رَبَّنَآ أَبْصَرْنَا وَسَمِعْنَا فَٱرْجِعْنَا نَعْمَلْ صَـٰلِحًا إِنَّا مُوقِنُونَ','verse_number' => '12','verse_key' => '32:12','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3516','chapter_id' => '32','arabic_name' => 'وَلَوْ شِئْنَا لَـَٔاتَيْنَا كُلَّ نَفْسٍ هُدَىٰهَا وَلَـٰكِنْ حَقَّ ٱلْقَوْلُ مِنِّى لَأَمْلَأَنَّ جَهَنَّمَ مِنَ ٱلْجِنَّةِ وَٱلنَّاسِ أَجْمَعِينَ','verse_number' => '13','verse_key' => '32:13','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3517','chapter_id' => '32','arabic_name' => 'فَذُوقُوا۟ بِمَا نَسِيتُمْ لِقَآءَ يَوْمِكُمْ هَـٰذَآ إِنَّا نَسِينَـٰكُمْ ۖ وَذُوقُوا۟ عَذَابَ ٱلْخُلْدِ بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '14','verse_key' => '32:14','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3518','chapter_id' => '32','arabic_name' => 'إِنَّمَا يُؤْمِنُ بِـَٔايَـٰتِنَا ٱلَّذِينَ إِذَا ذُكِّرُوا۟ بِهَا خَرُّوا۟ سُجَّدًا وَسَبَّحُوا۟ بِحَمْدِ رَبِّهِمْ وَهُمْ لَا يَسْتَكْبِرُونَ ۩','verse_number' => '15','verse_key' => '32:15','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '9','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3519','chapter_id' => '32','arabic_name' => 'تَتَجَافَىٰ جُنُوبُهُمْ عَنِ ٱلْمَضَاجِعِ يَدْعُونَ رَبَّهُمْ خَوْفًا وَطَمَعًا وَمِمَّا رَزَقْنَـٰهُمْ يُنفِقُونَ','verse_number' => '16','verse_key' => '32:16','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3520','chapter_id' => '32','arabic_name' => 'فَلَا تَعْلَمُ نَفْسٌ مَّآ أُخْفِىَ لَهُم مِّن قُرَّةِ أَعْيُنٍ جَزَآءًۢ بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '17','verse_key' => '32:17','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3521','chapter_id' => '32','arabic_name' => 'أَفَمَن كَانَ مُؤْمِنًا كَمَن كَانَ فَاسِقًا ۚ لَّا يَسْتَوُۥنَ','verse_number' => '18','verse_key' => '32:18','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3522','chapter_id' => '32','arabic_name' => 'أَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فَلَهُمْ جَنَّـٰتُ ٱلْمَأْوَىٰ نُزُلًۢا بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '19','verse_key' => '32:19','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3523','chapter_id' => '32','arabic_name' => 'وَأَمَّا ٱلَّذِينَ فَسَقُوا۟ فَمَأْوَىٰهُمُ ٱلنَّارُ ۖ كُلَّمَآ أَرَادُوٓا۟ أَن يَخْرُجُوا۟ مِنْهَآ أُعِيدُوا۟ فِيهَا وَقِيلَ لَهُمْ ذُوقُوا۟ عَذَابَ ٱلنَّارِ ٱلَّذِى كُنتُم بِهِۦ تُكَذِّبُونَ','verse_number' => '20','verse_key' => '32:20','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '416','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3524','chapter_id' => '32','arabic_name' => 'وَلَنُذِيقَنَّهُم مِّنَ ٱلْعَذَابِ ٱلْأَدْنَىٰ دُونَ ٱلْعَذَابِ ٱلْأَكْبَرِ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '21','verse_key' => '32:21','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3525','chapter_id' => '32','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّن ذُكِّرَ بِـَٔايَـٰتِ رَبِّهِۦ ثُمَّ أَعْرَضَ عَنْهَآ ۚ إِنَّا مِنَ ٱلْمُجْرِمِينَ مُنتَقِمُونَ','verse_number' => '22','verse_key' => '32:22','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '361','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3526','chapter_id' => '32','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ فَلَا تَكُن فِى مِرْيَةٍ مِّن لِّقَآئِهِۦ ۖ وَجَعَلْنَـٰهُ هُدًى لِّبَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '23','verse_key' => '32:23','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3527','chapter_id' => '32','arabic_name' => 'وَجَعَلْنَا مِنْهُمْ أَئِمَّةً يَهْدُونَ بِأَمْرِنَا لَمَّا صَبَرُوا۟ ۖ وَكَانُوا۟ بِـَٔايَـٰتِنَا يُوقِنُونَ','verse_number' => '24','verse_key' => '32:24','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3528','chapter_id' => '32','arabic_name' => 'إِنَّ رَبَّكَ هُوَ يَفْصِلُ بَيْنَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ','verse_number' => '25','verse_key' => '32:25','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3529','chapter_id' => '32','arabic_name' => 'أَوَلَمْ يَهْدِ لَهُمْ كَمْ أَهْلَكْنَا مِن قَبْلِهِم مِّنَ ٱلْقُرُونِ يَمْشُونَ فِى مَسَـٰكِنِهِمْ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ ۖ أَفَلَا يَسْمَعُونَ','verse_number' => '26','verse_key' => '32:26','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3530','chapter_id' => '32','arabic_name' => 'أَوَلَمْ يَرَوْا۟ أَنَّا نَسُوقُ ٱلْمَآءَ إِلَى ٱلْأَرْضِ ٱلْجُرُزِ فَنُخْرِجُ بِهِۦ زَرْعًا تَأْكُلُ مِنْهُ أَنْعَـٰمُهُمْ وَأَنفُسُهُمْ ۖ أَفَلَا يُبْصِرُونَ','verse_number' => '27','verse_key' => '32:27','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3531','chapter_id' => '32','arabic_name' => 'وَيَقُولُونَ مَتَىٰ هَـٰذَا ٱلْفَتْحُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '28','verse_key' => '32:28','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3532','chapter_id' => '32','arabic_name' => 'قُلْ يَوْمَ ٱلْفَتْحِ لَا يَنفَعُ ٱلَّذِينَ كَفَرُوٓا۟ إِيمَـٰنُهُمْ وَلَا هُمْ يُنظَرُونَ','verse_number' => '29','verse_key' => '32:29','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3533','chapter_id' => '32','arabic_name' => 'فَأَعْرِضْ عَنْهُمْ وَٱنتَظِرْ إِنَّهُم مُّنتَظِرُونَ','verse_number' => '30','verse_key' => '32:30','hizb_number' => '42','rub_el_hizb_number' => '166','ruku_number' => '362','manzil_number' => '5','sajdah_number' => '0','page_number' => '417','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3534','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ ٱتَّقِ ٱللَّهَ وَلَا تُطِعِ ٱلْكَـٰفِرِينَ وَٱلْمُنَـٰفِقِينَ ۗ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًا','verse_number' => '1','verse_key' => '33:1','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '418','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3535','chapter_id' => '33','arabic_name' => 'وَٱتَّبِعْ مَا يُوحَىٰٓ إِلَيْكَ مِن رَّبِّكَ ۚ إِنَّ ٱللَّهَ كَانَ بِمَا تَعْمَلُونَ خَبِيرًا','verse_number' => '2','verse_key' => '33:2','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '418','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3536','chapter_id' => '33','arabic_name' => 'وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًا','verse_number' => '3','verse_key' => '33:3','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '418','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3537','chapter_id' => '33','arabic_name' => 'مَّا جَعَلَ ٱللَّهُ لِرَجُلٍ مِّن قَلْبَيْنِ فِى جَوْفِهِۦ ۚ وَمَا جَعَلَ أَزْوَٰجَكُمُ ٱلَّـٰٓـِٔى تُظَـٰهِرُونَ مِنْهُنَّ أُمَّهَـٰتِكُمْ ۚ وَمَا جَعَلَ أَدْعِيَآءَكُمْ أَبْنَآءَكُمْ ۚ ذَٰلِكُمْ قَوْلُكُم بِأَفْوَٰهِكُمْ ۖ وَٱللَّهُ يَقُولُ ٱلْحَقَّ وَهُوَ يَهْدِى ٱلسَّبِيلَ','verse_number' => '4','verse_key' => '33:4','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '418','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3538','chapter_id' => '33','arabic_name' => 'ٱدْعُوهُمْ لِـَٔابَآئِهِمْ هُوَ أَقْسَطُ عِندَ ٱللَّهِ ۚ فَإِن لَّمْ تَعْلَمُوٓا۟ ءَابَآءَهُمْ فَإِخْوَٰنُكُمْ فِى ٱلدِّينِ وَمَوَٰلِيكُمْ ۚ وَلَيْسَ عَلَيْكُمْ جُنَاحٌ فِيمَآ أَخْطَأْتُم بِهِۦ وَلَـٰكِن مَّا تَعَمَّدَتْ قُلُوبُكُمْ ۚ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '5','verse_key' => '33:5','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '418','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3539','chapter_id' => '33','arabic_name' => 'ٱلنَّبِىُّ أَوْلَىٰ بِٱلْمُؤْمِنِينَ مِنْ أَنفُسِهِمْ ۖ وَأَزْوَٰجُهُۥٓ أُمَّهَـٰتُهُمْ ۗ وَأُو۟لُوا۟ ٱلْأَرْحَامِ بَعْضُهُمْ أَوْلَىٰ بِبَعْضٍ فِى كِتَـٰبِ ٱللَّهِ مِنَ ٱلْمُؤْمِنِينَ وَٱلْمُهَـٰجِرِينَ إِلَّآ أَن تَفْعَلُوٓا۟ إِلَىٰٓ أَوْلِيَآئِكُم مَّعْرُوفًا ۚ كَانَ ذَٰلِكَ فِى ٱلْكِتَـٰبِ مَسْطُورًا','verse_number' => '6','verse_key' => '33:6','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '418','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3540','chapter_id' => '33','arabic_name' => 'وَإِذْ أَخَذْنَا مِنَ ٱلنَّبِيِّـۧنَ مِيثَـٰقَهُمْ وَمِنكَ وَمِن نُّوحٍ وَإِبْرَٰهِيمَ وَمُوسَىٰ وَعِيسَى ٱبْنِ مَرْيَمَ ۖ وَأَخَذْنَا مِنْهُم مِّيثَـٰقًا غَلِيظًا','verse_number' => '7','verse_key' => '33:7','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3541','chapter_id' => '33','arabic_name' => 'لِّيَسْـَٔلَ ٱلصَّـٰدِقِينَ عَن صِدْقِهِمْ ۚ وَأَعَدَّ لِلْكَـٰفِرِينَ عَذَابًا أَلِيمًا','verse_number' => '8','verse_key' => '33:8','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '363','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3542','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱذْكُرُوا۟ نِعْمَةَ ٱللَّهِ عَلَيْكُمْ إِذْ جَآءَتْكُمْ جُنُودٌ فَأَرْسَلْنَا عَلَيْهِمْ رِيحًا وَجُنُودًا لَّمْ تَرَوْهَا ۚ وَكَانَ ٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرًا','verse_number' => '9','verse_key' => '33:9','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3543','chapter_id' => '33','arabic_name' => 'إِذْ جَآءُوكُم مِّن فَوْقِكُمْ وَمِنْ أَسْفَلَ مِنكُمْ وَإِذْ زَاغَتِ ٱلْأَبْصَـٰرُ وَبَلَغَتِ ٱلْقُلُوبُ ٱلْحَنَاجِرَ وَتَظُنُّونَ بِٱللَّهِ ٱلظُّنُونَا۠','verse_number' => '10','verse_key' => '33:10','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3544','chapter_id' => '33','arabic_name' => 'هُنَالِكَ ٱبْتُلِىَ ٱلْمُؤْمِنُونَ وَزُلْزِلُوا۟ زِلْزَالًا شَدِيدًا','verse_number' => '11','verse_key' => '33:11','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3545','chapter_id' => '33','arabic_name' => 'وَإِذْ يَقُولُ ٱلْمُنَـٰفِقُونَ وَٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ مَّا وَعَدَنَا ٱللَّهُ وَرَسُولُهُۥٓ إِلَّا غُرُورًا','verse_number' => '12','verse_key' => '33:12','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3546','chapter_id' => '33','arabic_name' => 'وَإِذْ قَالَت طَّآئِفَةٌ مِّنْهُمْ يَـٰٓأَهْلَ يَثْرِبَ لَا مُقَامَ لَكُمْ فَٱرْجِعُوا۟ ۚ وَيَسْتَـْٔذِنُ فَرِيقٌ مِّنْهُمُ ٱلنَّبِىَّ يَقُولُونَ إِنَّ بُيُوتَنَا عَوْرَةٌ وَمَا هِىَ بِعَوْرَةٍ ۖ إِن يُرِيدُونَ إِلَّا فِرَارًا','verse_number' => '13','verse_key' => '33:13','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3547','chapter_id' => '33','arabic_name' => 'وَلَوْ دُخِلَتْ عَلَيْهِم مِّنْ أَقْطَارِهَا ثُمَّ سُئِلُوا۟ ٱلْفِتْنَةَ لَـَٔاتَوْهَا وَمَا تَلَبَّثُوا۟ بِهَآ إِلَّا يَسِيرًا','verse_number' => '14','verse_key' => '33:14','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3548','chapter_id' => '33','arabic_name' => 'وَلَقَدْ كَانُوا۟ عَـٰهَدُوا۟ ٱللَّهَ مِن قَبْلُ لَا يُوَلُّونَ ٱلْأَدْبَـٰرَ ۚ وَكَانَ عَهْدُ ٱللَّهِ مَسْـُٔولًا','verse_number' => '15','verse_key' => '33:15','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '419','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3549','chapter_id' => '33','arabic_name' => 'قُل لَّن يَنفَعَكُمُ ٱلْفِرَارُ إِن فَرَرْتُم مِّنَ ٱلْمَوْتِ أَوِ ٱلْقَتْلِ وَإِذًا لَّا تُمَتَّعُونَ إِلَّا قَلِيلًا','verse_number' => '16','verse_key' => '33:16','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '420','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3550','chapter_id' => '33','arabic_name' => 'قُلْ مَن ذَا ٱلَّذِى يَعْصِمُكُم مِّنَ ٱللَّهِ إِنْ أَرَادَ بِكُمْ سُوٓءًا أَوْ أَرَادَ بِكُمْ رَحْمَةً ۚ وَلَا يَجِدُونَ لَهُم مِّن دُونِ ٱللَّهِ وَلِيًّا وَلَا نَصِيرًا','verse_number' => '17','verse_key' => '33:17','hizb_number' => '42','rub_el_hizb_number' => '167','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '420','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3551','chapter_id' => '33','arabic_name' => '۞ قَدْ يَعْلَمُ ٱللَّهُ ٱلْمُعَوِّقِينَ مِنكُمْ وَٱلْقَآئِلِينَ لِإِخْوَٰنِهِمْ هَلُمَّ إِلَيْنَا ۖ وَلَا يَأْتُونَ ٱلْبَأْسَ إِلَّا قَلِيلًا','verse_number' => '18','verse_key' => '33:18','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '420','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3552','chapter_id' => '33','arabic_name' => 'أَشِحَّةً عَلَيْكُمْ ۖ فَإِذَا جَآءَ ٱلْخَوْفُ رَأَيْتَهُمْ يَنظُرُونَ إِلَيْكَ تَدُورُ أَعْيُنُهُمْ كَٱلَّذِى يُغْشَىٰ عَلَيْهِ مِنَ ٱلْمَوْتِ ۖ فَإِذَا ذَهَبَ ٱلْخَوْفُ سَلَقُوكُم بِأَلْسِنَةٍ حِدَادٍ أَشِحَّةً عَلَى ٱلْخَيْرِ ۚ أُو۟لَـٰٓئِكَ لَمْ يُؤْمِنُوا۟ فَأَحْبَطَ ٱللَّهُ أَعْمَـٰلَهُمْ ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًا','verse_number' => '19','verse_key' => '33:19','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '420','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3553','chapter_id' => '33','arabic_name' => 'يَحْسَبُونَ ٱلْأَحْزَابَ لَمْ يَذْهَبُوا۟ ۖ وَإِن يَأْتِ ٱلْأَحْزَابُ يَوَدُّوا۟ لَوْ أَنَّهُم بَادُونَ فِى ٱلْأَعْرَابِ يَسْـَٔلُونَ عَنْ أَنۢبَآئِكُمْ ۖ وَلَوْ كَانُوا۟ فِيكُم مَّا قَـٰتَلُوٓا۟ إِلَّا قَلِيلًا','verse_number' => '20','verse_key' => '33:20','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '364','manzil_number' => '5','sajdah_number' => '0','page_number' => '420','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3554','chapter_id' => '33','arabic_name' => 'لَّقَدْ كَانَ لَكُمْ فِى رَسُولِ ٱللَّهِ أُسْوَةٌ حَسَنَةٌ لِّمَن كَانَ يَرْجُوا۟ ٱللَّهَ وَٱلْيَوْمَ ٱلْـَٔاخِرَ وَذَكَرَ ٱللَّهَ كَثِيرًا','verse_number' => '21','verse_key' => '33:21','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '365','manzil_number' => '5','sajdah_number' => '0','page_number' => '420','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3555','chapter_id' => '33','arabic_name' => 'وَلَمَّا رَءَا ٱلْمُؤْمِنُونَ ٱلْأَحْزَابَ قَالُوا۟ هَـٰذَا مَا وَعَدَنَا ٱللَّهُ وَرَسُولُهُۥ وَصَدَقَ ٱللَّهُ وَرَسُولُهُۥ ۚ وَمَا زَادَهُمْ إِلَّآ إِيمَـٰنًا وَتَسْلِيمًا','verse_number' => '22','verse_key' => '33:22','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '365','manzil_number' => '5','sajdah_number' => '0','page_number' => '420','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3556','chapter_id' => '33','arabic_name' => 'مِّنَ ٱلْمُؤْمِنِينَ رِجَالٌ صَدَقُوا۟ مَا عَـٰهَدُوا۟ ٱللَّهَ عَلَيْهِ ۖ فَمِنْهُم مَّن قَضَىٰ نَحْبَهُۥ وَمِنْهُم مَّن يَنتَظِرُ ۖ وَمَا بَدَّلُوا۟ تَبْدِيلًا','verse_number' => '23','verse_key' => '33:23','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '365','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3557','chapter_id' => '33','arabic_name' => 'لِّيَجْزِىَ ٱللَّهُ ٱلصَّـٰدِقِينَ بِصِدْقِهِمْ وَيُعَذِّبَ ٱلْمُنَـٰفِقِينَ إِن شَآءَ أَوْ يَتُوبَ عَلَيْهِمْ ۚ إِنَّ ٱللَّهَ كَانَ غَفُورًا رَّحِيمًا','verse_number' => '24','verse_key' => '33:24','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '365','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3558','chapter_id' => '33','arabic_name' => 'وَرَدَّ ٱللَّهُ ٱلَّذِينَ كَفَرُوا۟ بِغَيْظِهِمْ لَمْ يَنَالُوا۟ خَيْرًا ۚ وَكَفَى ٱللَّهُ ٱلْمُؤْمِنِينَ ٱلْقِتَالَ ۚ وَكَانَ ٱللَّهُ قَوِيًّا عَزِيزًا','verse_number' => '25','verse_key' => '33:25','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '365','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3559','chapter_id' => '33','arabic_name' => 'وَأَنزَلَ ٱلَّذِينَ ظَـٰهَرُوهُم مِّنْ أَهْلِ ٱلْكِتَـٰبِ مِن صَيَاصِيهِمْ وَقَذَفَ فِى قُلُوبِهِمُ ٱلرُّعْبَ فَرِيقًا تَقْتُلُونَ وَتَأْسِرُونَ فَرِيقًا','verse_number' => '26','verse_key' => '33:26','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '365','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3560','chapter_id' => '33','arabic_name' => 'وَأَوْرَثَكُمْ أَرْضَهُمْ وَدِيَـٰرَهُمْ وَأَمْوَٰلَهُمْ وَأَرْضًا لَّمْ تَطَـُٔوهَا ۚ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرًا','verse_number' => '27','verse_key' => '33:27','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '365','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3561','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ قُل لِّأَزْوَٰجِكَ إِن كُنتُنَّ تُرِدْنَ ٱلْحَيَوٰةَ ٱلدُّنْيَا وَزِينَتَهَا فَتَعَالَيْنَ أُمَتِّعْكُنَّ وَأُسَرِّحْكُنَّ سَرَاحًا جَمِيلًا','verse_number' => '28','verse_key' => '33:28','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '366','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3562','chapter_id' => '33','arabic_name' => 'وَإِن كُنتُنَّ تُرِدْنَ ٱللَّهَ وَرَسُولَهُۥ وَٱلدَّارَ ٱلْـَٔاخِرَةَ فَإِنَّ ٱللَّهَ أَعَدَّ لِلْمُحْسِنَـٰتِ مِنكُنَّ أَجْرًا عَظِيمًا','verse_number' => '29','verse_key' => '33:29','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '366','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3563','chapter_id' => '33','arabic_name' => 'يَـٰنِسَآءَ ٱلنَّبِىِّ مَن يَأْتِ مِنكُنَّ بِفَـٰحِشَةٍ مُّبَيِّنَةٍ يُضَـٰعَفْ لَهَا ٱلْعَذَابُ ضِعْفَيْنِ ۚ وَكَانَ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرًا','verse_number' => '30','verse_key' => '33:30','hizb_number' => '42','rub_el_hizb_number' => '168','ruku_number' => '366','manzil_number' => '5','sajdah_number' => '0','page_number' => '421','juz_number' => '21','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3564','chapter_id' => '33','arabic_name' => '۞ وَمَن يَقْنُتْ مِنكُنَّ لِلَّهِ وَرَسُولِهِۦ وَتَعْمَلْ صَـٰلِحًا نُّؤْتِهَآ أَجْرَهَا مَرَّتَيْنِ وَأَعْتَدْنَا لَهَا رِزْقًا كَرِيمًا','verse_number' => '31','verse_key' => '33:31','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '366','manzil_number' => '5','sajdah_number' => '0','page_number' => '422','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3565','chapter_id' => '33','arabic_name' => 'يَـٰنِسَآءَ ٱلنَّبِىِّ لَسْتُنَّ كَأَحَدٍ مِّنَ ٱلنِّسَآءِ ۚ إِنِ ٱتَّقَيْتُنَّ فَلَا تَخْضَعْنَ بِٱلْقَوْلِ فَيَطْمَعَ ٱلَّذِى فِى قَلْبِهِۦ مَرَضٌ وَقُلْنَ قَوْلًا مَّعْرُوفًا','verse_number' => '32','verse_key' => '33:32','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '366','manzil_number' => '5','sajdah_number' => '0','page_number' => '422','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3566','chapter_id' => '33','arabic_name' => 'وَقَرْنَ فِى بُيُوتِكُنَّ وَلَا تَبَرَّجْنَ تَبَرُّجَ ٱلْجَـٰهِلِيَّةِ ٱلْأُولَىٰ ۖ وَأَقِمْنَ ٱلصَّلَوٰةَ وَءَاتِينَ ٱلزَّكَوٰةَ وَأَطِعْنَ ٱللَّهَ وَرَسُولَهُۥٓ ۚ إِنَّمَا يُرِيدُ ٱللَّهُ لِيُذْهِبَ عَنكُمُ ٱلرِّجْسَ أَهْلَ ٱلْبَيْتِ وَيُطَهِّرَكُمْ تَطْهِيرًا','verse_number' => '33','verse_key' => '33:33','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '366','manzil_number' => '5','sajdah_number' => '0','page_number' => '422','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3567','chapter_id' => '33','arabic_name' => 'وَٱذْكُرْنَ مَا يُتْلَىٰ فِى بُيُوتِكُنَّ مِنْ ءَايَـٰتِ ٱللَّهِ وَٱلْحِكْمَةِ ۚ إِنَّ ٱللَّهَ كَانَ لَطِيفًا خَبِيرًا','verse_number' => '34','verse_key' => '33:34','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '366','manzil_number' => '5','sajdah_number' => '0','page_number' => '422','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3568','chapter_id' => '33','arabic_name' => 'إِنَّ ٱلْمُسْلِمِينَ وَٱلْمُسْلِمَـٰتِ وَٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ وَٱلْقَـٰنِتِينَ وَٱلْقَـٰنِتَـٰتِ وَٱلصَّـٰدِقِينَ وَٱلصَّـٰدِقَـٰتِ وَٱلصَّـٰبِرِينَ وَٱلصَّـٰبِرَٰتِ وَٱلْخَـٰشِعِينَ وَٱلْخَـٰشِعَـٰتِ وَٱلْمُتَصَدِّقِينَ وَٱلْمُتَصَدِّقَـٰتِ وَٱلصَّـٰٓئِمِينَ وَٱلصَّـٰٓئِمَـٰتِ وَٱلْحَـٰفِظِينَ فُرُوجَهُمْ وَٱلْحَـٰفِظَـٰتِ وَٱلذَّٰكِرِينَ ٱللَّهَ كَثِيرًا وَٱلذَّٰكِرَٰتِ أَعَدَّ ٱللَّهُ لَهُم مَّغْفِرَةً وَأَجْرًا عَظِيمًا','verse_number' => '35','verse_key' => '33:35','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '367','manzil_number' => '5','sajdah_number' => '0','page_number' => '422','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3569','chapter_id' => '33','arabic_name' => 'وَمَا كَانَ لِمُؤْمِنٍ وَلَا مُؤْمِنَةٍ إِذَا قَضَى ٱللَّهُ وَرَسُولُهُۥٓ أَمْرًا أَن يَكُونَ لَهُمُ ٱلْخِيَرَةُ مِنْ أَمْرِهِمْ ۗ وَمَن يَعْصِ ٱللَّهَ وَرَسُولَهُۥ فَقَدْ ضَلَّ ضَلَـٰلًا مُّبِينًا','verse_number' => '36','verse_key' => '33:36','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '367','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3570','chapter_id' => '33','arabic_name' => 'وَإِذْ تَقُولُ لِلَّذِىٓ أَنْعَمَ ٱللَّهُ عَلَيْهِ وَأَنْعَمْتَ عَلَيْهِ أَمْسِكْ عَلَيْكَ زَوْجَكَ وَٱتَّقِ ٱللَّهَ وَتُخْفِى فِى نَفْسِكَ مَا ٱللَّهُ مُبْدِيهِ وَتَخْشَى ٱلنَّاسَ وَٱللَّهُ أَحَقُّ أَن تَخْشَىٰهُ ۖ فَلَمَّا قَضَىٰ زَيْدٌ مِّنْهَا وَطَرًا زَوَّجْنَـٰكَهَا لِكَىْ لَا يَكُونَ عَلَى ٱلْمُؤْمِنِينَ حَرَجٌ فِىٓ أَزْوَٰجِ أَدْعِيَآئِهِمْ إِذَا قَضَوْا۟ مِنْهُنَّ وَطَرًا ۚ وَكَانَ أَمْرُ ٱللَّهِ مَفْعُولًا','verse_number' => '37','verse_key' => '33:37','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '367','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3571','chapter_id' => '33','arabic_name' => 'مَّا كَانَ عَلَى ٱلنَّبِىِّ مِنْ حَرَجٍ فِيمَا فَرَضَ ٱللَّهُ لَهُۥ ۖ سُنَّةَ ٱللَّهِ فِى ٱلَّذِينَ خَلَوْا۟ مِن قَبْلُ ۚ وَكَانَ أَمْرُ ٱللَّهِ قَدَرًا مَّقْدُورًا','verse_number' => '38','verse_key' => '33:38','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '367','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3572','chapter_id' => '33','arabic_name' => 'ٱلَّذِينَ يُبَلِّغُونَ رِسَـٰلَـٰتِ ٱللَّهِ وَيَخْشَوْنَهُۥ وَلَا يَخْشَوْنَ أَحَدًا إِلَّا ٱللَّهَ ۗ وَكَفَىٰ بِٱللَّهِ حَسِيبًا','verse_number' => '39','verse_key' => '33:39','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '367','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3573','chapter_id' => '33','arabic_name' => 'مَّا كَانَ مُحَمَّدٌ أَبَآ أَحَدٍ مِّن رِّجَالِكُمْ وَلَـٰكِن رَّسُولَ ٱللَّهِ وَخَاتَمَ ٱلنَّبِيِّـۧنَ ۗ وَكَانَ ٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمًا','verse_number' => '40','verse_key' => '33:40','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '367','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3574','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱذْكُرُوا۟ ٱللَّهَ ذِكْرًا كَثِيرًا','verse_number' => '41','verse_key' => '33:41','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3575','chapter_id' => '33','arabic_name' => 'وَسَبِّحُوهُ بُكْرَةً وَأَصِيلًا','verse_number' => '42','verse_key' => '33:42','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3576','chapter_id' => '33','arabic_name' => 'هُوَ ٱلَّذِى يُصَلِّى عَلَيْكُمْ وَمَلَـٰٓئِكَتُهُۥ لِيُخْرِجَكُم مِّنَ ٱلظُّلُمَـٰتِ إِلَى ٱلنُّورِ ۚ وَكَانَ بِٱلْمُؤْمِنِينَ رَحِيمًا','verse_number' => '43','verse_key' => '33:43','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '423','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3577','chapter_id' => '33','arabic_name' => 'تَحِيَّتُهُمْ يَوْمَ يَلْقَوْنَهُۥ سَلَـٰمٌ ۚ وَأَعَدَّ لَهُمْ أَجْرًا كَرِيمًا','verse_number' => '44','verse_key' => '33:44','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '424','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3578','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ إِنَّآ أَرْسَلْنَـٰكَ شَـٰهِدًا وَمُبَشِّرًا وَنَذِيرًا','verse_number' => '45','verse_key' => '33:45','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '424','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3579','chapter_id' => '33','arabic_name' => 'وَدَاعِيًا إِلَى ٱللَّهِ بِإِذْنِهِۦ وَسِرَاجًا مُّنِيرًا','verse_number' => '46','verse_key' => '33:46','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '424','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3580','chapter_id' => '33','arabic_name' => 'وَبَشِّرِ ٱلْمُؤْمِنِينَ بِأَنَّ لَهُم مِّنَ ٱللَّهِ فَضْلًا كَبِيرًا','verse_number' => '47','verse_key' => '33:47','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '424','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3581','chapter_id' => '33','arabic_name' => 'وَلَا تُطِعِ ٱلْكَـٰفِرِينَ وَٱلْمُنَـٰفِقِينَ وَدَعْ أَذَىٰهُمْ وَتَوَكَّلْ عَلَى ٱللَّهِ ۚ وَكَفَىٰ بِٱللَّهِ وَكِيلًا','verse_number' => '48','verse_key' => '33:48','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '424','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3582','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا نَكَحْتُمُ ٱلْمُؤْمِنَـٰتِ ثُمَّ طَلَّقْتُمُوهُنَّ مِن قَبْلِ أَن تَمَسُّوهُنَّ فَمَا لَكُمْ عَلَيْهِنَّ مِنْ عِدَّةٍ تَعْتَدُّونَهَا ۖ فَمَتِّعُوهُنَّ وَسَرِّحُوهُنَّ سَرَاحًا جَمِيلًا','verse_number' => '49','verse_key' => '33:49','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '424','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3583','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ إِنَّآ أَحْلَلْنَا لَكَ أَزْوَٰجَكَ ٱلَّـٰتِىٓ ءَاتَيْتَ أُجُورَهُنَّ وَمَا مَلَكَتْ يَمِينُكَ مِمَّآ أَفَآءَ ٱللَّهُ عَلَيْكَ وَبَنَاتِ عَمِّكَ وَبَنَاتِ عَمَّـٰتِكَ وَبَنَاتِ خَالِكَ وَبَنَاتِ خَـٰلَـٰتِكَ ٱلَّـٰتِى هَاجَرْنَ مَعَكَ وَٱمْرَأَةً مُّؤْمِنَةً إِن وَهَبَتْ نَفْسَهَا لِلنَّبِىِّ إِنْ أَرَادَ ٱلنَّبِىُّ أَن يَسْتَنكِحَهَا خَالِصَةً لَّكَ مِن دُونِ ٱلْمُؤْمِنِينَ ۗ قَدْ عَلِمْنَا مَا فَرَضْنَا عَلَيْهِمْ فِىٓ أَزْوَٰجِهِمْ وَمَا مَلَكَتْ أَيْمَـٰنُهُمْ لِكَيْلَا يَكُونَ عَلَيْكَ حَرَجٌ ۗ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '50','verse_key' => '33:50','hizb_number' => '43','rub_el_hizb_number' => '169','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '424','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3584','chapter_id' => '33','arabic_name' => '۞ تُرْجِى مَن تَشَآءُ مِنْهُنَّ وَتُـْٔوِىٓ إِلَيْكَ مَن تَشَآءُ ۖ وَمَنِ ٱبْتَغَيْتَ مِمَّنْ عَزَلْتَ فَلَا جُنَاحَ عَلَيْكَ ۚ ذَٰلِكَ أَدْنَىٰٓ أَن تَقَرَّ أَعْيُنُهُنَّ وَلَا يَحْزَنَّ وَيَرْضَيْنَ بِمَآ ءَاتَيْتَهُنَّ كُلُّهُنَّ ۚ وَٱللَّهُ يَعْلَمُ مَا فِى قُلُوبِكُمْ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَلِيمًا','verse_number' => '51','verse_key' => '33:51','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '425','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3585','chapter_id' => '33','arabic_name' => 'لَّا يَحِلُّ لَكَ ٱلنِّسَآءُ مِنۢ بَعْدُ وَلَآ أَن تَبَدَّلَ بِهِنَّ مِنْ أَزْوَٰجٍ وَلَوْ أَعْجَبَكَ حُسْنُهُنَّ إِلَّا مَا مَلَكَتْ يَمِينُكَ ۗ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ رَّقِيبًا','verse_number' => '52','verse_key' => '33:52','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '368','manzil_number' => '5','sajdah_number' => '0','page_number' => '425','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3586','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَدْخُلُوا۟ بُيُوتَ ٱلنَّبِىِّ إِلَّآ أَن يُؤْذَنَ لَكُمْ إِلَىٰ طَعَامٍ غَيْرَ نَـٰظِرِينَ إِنَىٰهُ وَلَـٰكِنْ إِذَا دُعِيتُمْ فَٱدْخُلُوا۟ فَإِذَا طَعِمْتُمْ فَٱنتَشِرُوا۟ وَلَا مُسْتَـْٔنِسِينَ لِحَدِيثٍ ۚ إِنَّ ذَٰلِكُمْ كَانَ يُؤْذِى ٱلنَّبِىَّ فَيَسْتَحْىِۦ مِنكُمْ ۖ وَٱللَّهُ لَا يَسْتَحْىِۦ مِنَ ٱلْحَقِّ ۚ وَإِذَا سَأَلْتُمُوهُنَّ مَتَـٰعًا فَسْـَٔلُوهُنَّ مِن وَرَآءِ حِجَابٍ ۚ ذَٰلِكُمْ أَطْهَرُ لِقُلُوبِكُمْ وَقُلُوبِهِنَّ ۚ وَمَا كَانَ لَكُمْ أَن تُؤْذُوا۟ رَسُولَ ٱللَّهِ وَلَآ أَن تَنكِحُوٓا۟ أَزْوَٰجَهُۥ مِنۢ بَعْدِهِۦٓ أَبَدًا ۚ إِنَّ ذَٰلِكُمْ كَانَ عِندَ ٱللَّهِ عَظِيمًا','verse_number' => '53','verse_key' => '33:53','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '369','manzil_number' => '5','sajdah_number' => '0','page_number' => '425','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3587','chapter_id' => '33','arabic_name' => 'إِن تُبْدُوا۟ شَيْـًٔا أَوْ تُخْفُوهُ فَإِنَّ ٱللَّهَ كَانَ بِكُلِّ شَىْءٍ عَلِيمًا','verse_number' => '54','verse_key' => '33:54','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '369','manzil_number' => '5','sajdah_number' => '0','page_number' => '425','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3588','chapter_id' => '33','arabic_name' => 'لَّا جُنَاحَ عَلَيْهِنَّ فِىٓ ءَابَآئِهِنَّ وَلَآ أَبْنَآئِهِنَّ وَلَآ إِخْوَٰنِهِنَّ وَلَآ أَبْنَآءِ إِخْوَٰنِهِنَّ وَلَآ أَبْنَآءِ أَخَوَٰتِهِنَّ وَلَا نِسَآئِهِنَّ وَلَا مَا مَلَكَتْ أَيْمَـٰنُهُنَّ ۗ وَٱتَّقِينَ ٱللَّهَ ۚ إِنَّ ٱللَّهَ كَانَ عَلَىٰ كُلِّ شَىْءٍ شَهِيدًا','verse_number' => '55','verse_key' => '33:55','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '369','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3589','chapter_id' => '33','arabic_name' => 'إِنَّ ٱللَّهَ وَمَلَـٰٓئِكَتَهُۥ يُصَلُّونَ عَلَى ٱلنَّبِىِّ ۚ يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ صَلُّوا۟ عَلَيْهِ وَسَلِّمُوا۟ تَسْلِيمًا','verse_number' => '56','verse_key' => '33:56','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '369','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3590','chapter_id' => '33','arabic_name' => 'إِنَّ ٱلَّذِينَ يُؤْذُونَ ٱللَّهَ وَرَسُولَهُۥ لَعَنَهُمُ ٱللَّهُ فِى ٱلدُّنْيَا وَٱلْـَٔاخِرَةِ وَأَعَدَّ لَهُمْ عَذَابًا مُّهِينًا','verse_number' => '57','verse_key' => '33:57','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '369','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3591','chapter_id' => '33','arabic_name' => 'وَٱلَّذِينَ يُؤْذُونَ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ بِغَيْرِ مَا ٱكْتَسَبُوا۟ فَقَدِ ٱحْتَمَلُوا۟ بُهْتَـٰنًا وَإِثْمًا مُّبِينًا','verse_number' => '58','verse_key' => '33:58','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '369','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3592','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ قُل لِّأَزْوَٰجِكَ وَبَنَاتِكَ وَنِسَآءِ ٱلْمُؤْمِنِينَ يُدْنِينَ عَلَيْهِنَّ مِن جَلَـٰبِيبِهِنَّ ۚ ذَٰلِكَ أَدْنَىٰٓ أَن يُعْرَفْنَ فَلَا يُؤْذَيْنَ ۗ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '59','verse_key' => '33:59','hizb_number' => '43','rub_el_hizb_number' => '170','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3593','chapter_id' => '33','arabic_name' => '۞ لَّئِن لَّمْ يَنتَهِ ٱلْمُنَـٰفِقُونَ وَٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ وَٱلْمُرْجِفُونَ فِى ٱلْمَدِينَةِ لَنُغْرِيَنَّكَ بِهِمْ ثُمَّ لَا يُجَاوِرُونَكَ فِيهَآ إِلَّا قَلِيلًا','verse_number' => '60','verse_key' => '33:60','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3594','chapter_id' => '33','arabic_name' => 'مَّلْعُونِينَ ۖ أَيْنَمَا ثُقِفُوٓا۟ أُخِذُوا۟ وَقُتِّلُوا۟ تَقْتِيلًا','verse_number' => '61','verse_key' => '33:61','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3595','chapter_id' => '33','arabic_name' => 'سُنَّةَ ٱللَّهِ فِى ٱلَّذِينَ خَلَوْا۟ مِن قَبْلُ ۖ وَلَن تَجِدَ لِسُنَّةِ ٱللَّهِ تَبْدِيلًا','verse_number' => '62','verse_key' => '33:62','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '426','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3596','chapter_id' => '33','arabic_name' => 'يَسْـَٔلُكَ ٱلنَّاسُ عَنِ ٱلسَّاعَةِ ۖ قُلْ إِنَّمَا عِلْمُهَا عِندَ ٱللَّهِ ۚ وَمَا يُدْرِيكَ لَعَلَّ ٱلسَّاعَةَ تَكُونُ قَرِيبًا','verse_number' => '63','verse_key' => '33:63','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3597','chapter_id' => '33','arabic_name' => 'إِنَّ ٱللَّهَ لَعَنَ ٱلْكَـٰفِرِينَ وَأَعَدَّ لَهُمْ سَعِيرًا','verse_number' => '64','verse_key' => '33:64','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3598','chapter_id' => '33','arabic_name' => 'خَـٰلِدِينَ فِيهَآ أَبَدًا ۖ لَّا يَجِدُونَ وَلِيًّا وَلَا نَصِيرًا','verse_number' => '65','verse_key' => '33:65','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3599','chapter_id' => '33','arabic_name' => 'يَوْمَ تُقَلَّبُ وُجُوهُهُمْ فِى ٱلنَّارِ يَقُولُونَ يَـٰلَيْتَنَآ أَطَعْنَا ٱللَّهَ وَأَطَعْنَا ٱلرَّسُولَا۠','verse_number' => '66','verse_key' => '33:66','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3600','chapter_id' => '33','arabic_name' => 'وَقَالُوا۟ رَبَّنَآ إِنَّآ أَطَعْنَا سَادَتَنَا وَكُبَرَآءَنَا فَأَضَلُّونَا ٱلسَّبِيلَا۠','verse_number' => '67','verse_key' => '33:67','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3601','chapter_id' => '33','arabic_name' => 'رَبَّنَآ ءَاتِهِمْ ضِعْفَيْنِ مِنَ ٱلْعَذَابِ وَٱلْعَنْهُمْ لَعْنًا كَبِيرًا','verse_number' => '68','verse_key' => '33:68','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '370','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3602','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَكُونُوا۟ كَٱلَّذِينَ ءَاذَوْا۟ مُوسَىٰ فَبَرَّأَهُ ٱللَّهُ مِمَّا قَالُوا۟ ۚ وَكَانَ عِندَ ٱللَّهِ وَجِيهًا','verse_number' => '69','verse_key' => '33:69','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '371','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3603','chapter_id' => '33','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَقُولُوا۟ قَوْلًا سَدِيدًا','verse_number' => '70','verse_key' => '33:70','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '371','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3604','chapter_id' => '33','arabic_name' => 'يُصْلِحْ لَكُمْ أَعْمَـٰلَكُمْ وَيَغْفِرْ لَكُمْ ذُنُوبَكُمْ ۗ وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ فَقَدْ فَازَ فَوْزًا عَظِيمًا','verse_number' => '71','verse_key' => '33:71','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '371','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3605','chapter_id' => '33','arabic_name' => 'إِنَّا عَرَضْنَا ٱلْأَمَانَةَ عَلَى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَٱلْجِبَالِ فَأَبَيْنَ أَن يَحْمِلْنَهَا وَأَشْفَقْنَ مِنْهَا وَحَمَلَهَا ٱلْإِنسَـٰنُ ۖ إِنَّهُۥ كَانَ ظَلُومًا جَهُولًا','verse_number' => '72','verse_key' => '33:72','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '371','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3606','chapter_id' => '33','arabic_name' => 'لِّيُعَذِّبَ ٱللَّهُ ٱلْمُنَـٰفِقِينَ وَٱلْمُنَـٰفِقَـٰتِ وَٱلْمُشْرِكِينَ وَٱلْمُشْرِكَـٰتِ وَيَتُوبَ ٱللَّهُ عَلَى ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ ۗ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًۢا','verse_number' => '73','verse_key' => '33:73','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '371','manzil_number' => '5','sajdah_number' => '0','page_number' => '427','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3607','chapter_id' => '34','arabic_name' => 'ٱلْحَمْدُ لِلَّهِ ٱلَّذِى لَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ وَلَهُ ٱلْحَمْدُ فِى ٱلْـَٔاخِرَةِ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْخَبِيرُ','verse_number' => '1','verse_key' => '34:1','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '428','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3608','chapter_id' => '34','arabic_name' => 'يَعْلَمُ مَا يَلِجُ فِى ٱلْأَرْضِ وَمَا يَخْرُجُ مِنْهَا وَمَا يَنزِلُ مِنَ ٱلسَّمَآءِ وَمَا يَعْرُجُ فِيهَا ۚ وَهُوَ ٱلرَّحِيمُ ٱلْغَفُورُ','verse_number' => '2','verse_key' => '34:2','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '428','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3609','chapter_id' => '34','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَا تَأْتِينَا ٱلسَّاعَةُ ۖ قُلْ بَلَىٰ وَرَبِّى لَتَأْتِيَنَّكُمْ عَـٰلِمِ ٱلْغَيْبِ ۖ لَا يَعْزُبُ عَنْهُ مِثْقَالُ ذَرَّةٍ فِى ٱلسَّمَـٰوَٰتِ وَلَا فِى ٱلْأَرْضِ وَلَآ أَصْغَرُ مِن ذَٰلِكَ وَلَآ أَكْبَرُ إِلَّا فِى كِتَـٰبٍ مُّبِينٍ','verse_number' => '3','verse_key' => '34:3','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '428','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3610','chapter_id' => '34','arabic_name' => 'لِّيَجْزِىَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ ۚ أُو۟لَـٰٓئِكَ لَهُم مَّغْفِرَةٌ وَرِزْقٌ كَرِيمٌ','verse_number' => '4','verse_key' => '34:4','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '428','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3611','chapter_id' => '34','arabic_name' => 'وَٱلَّذِينَ سَعَوْ فِىٓ ءَايَـٰتِنَا مُعَـٰجِزِينَ أُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ مِّن رِّجْزٍ أَلِيمٌ','verse_number' => '5','verse_key' => '34:5','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '428','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3612','chapter_id' => '34','arabic_name' => 'وَيَرَى ٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ ٱلَّذِىٓ أُنزِلَ إِلَيْكَ مِن رَّبِّكَ هُوَ ٱلْحَقَّ وَيَهْدِىٓ إِلَىٰ صِرَٰطِ ٱلْعَزِيزِ ٱلْحَمِيدِ','verse_number' => '6','verse_key' => '34:6','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '428','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3613','chapter_id' => '34','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ هَلْ نَدُلُّكُمْ عَلَىٰ رَجُلٍ يُنَبِّئُكُمْ إِذَا مُزِّقْتُمْ كُلَّ مُمَزَّقٍ إِنَّكُمْ لَفِى خَلْقٍ جَدِيدٍ','verse_number' => '7','verse_key' => '34:7','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '428','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3614','chapter_id' => '34','arabic_name' => 'أَفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا أَم بِهِۦ جِنَّةٌۢ ۗ بَلِ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ فِى ٱلْعَذَابِ وَٱلضَّلَـٰلِ ٱلْبَعِيدِ','verse_number' => '8','verse_key' => '34:8','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '429','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3615','chapter_id' => '34','arabic_name' => 'أَفَلَمْ يَرَوْا۟ إِلَىٰ مَا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ ۚ إِن نَّشَأْ نَخْسِفْ بِهِمُ ٱلْأَرْضَ أَوْ نُسْقِطْ عَلَيْهِمْ كِسَفًا مِّنَ ٱلسَّمَآءِ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَةً لِّكُلِّ عَبْدٍ مُّنِيبٍ','verse_number' => '9','verse_key' => '34:9','hizb_number' => '43','rub_el_hizb_number' => '171','ruku_number' => '372','manzil_number' => '5','sajdah_number' => '0','page_number' => '429','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3616','chapter_id' => '34','arabic_name' => '۞ وَلَقَدْ ءَاتَيْنَا دَاوُۥدَ مِنَّا فَضْلًا ۖ يَـٰجِبَالُ أَوِّبِى مَعَهُۥ وَٱلطَّيْرَ ۖ وَأَلَنَّا لَهُ ٱلْحَدِيدَ','verse_number' => '10','verse_key' => '34:10','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '429','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3617','chapter_id' => '34','arabic_name' => 'أَنِ ٱعْمَلْ سَـٰبِغَـٰتٍ وَقَدِّرْ فِى ٱلسَّرْدِ ۖ وَٱعْمَلُوا۟ صَـٰلِحًا ۖ إِنِّى بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '11','verse_key' => '34:11','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '429','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3618','chapter_id' => '34','arabic_name' => 'وَلِسُلَيْمَـٰنَ ٱلرِّيحَ غُدُوُّهَا شَهْرٌ وَرَوَاحُهَا شَهْرٌ ۖ وَأَسَلْنَا لَهُۥ عَيْنَ ٱلْقِطْرِ ۖ وَمِنَ ٱلْجِنِّ مَن يَعْمَلُ بَيْنَ يَدَيْهِ بِإِذْنِ رَبِّهِۦ ۖ وَمَن يَزِغْ مِنْهُمْ عَنْ أَمْرِنَا نُذِقْهُ مِنْ عَذَابِ ٱلسَّعِيرِ','verse_number' => '12','verse_key' => '34:12','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '429','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3619','chapter_id' => '34','arabic_name' => 'يَعْمَلُونَ لَهُۥ مَا يَشَآءُ مِن مَّحَـٰرِيبَ وَتَمَـٰثِيلَ وَجِفَانٍ كَٱلْجَوَابِ وَقُدُورٍ رَّاسِيَـٰتٍ ۚ ٱعْمَلُوٓا۟ ءَالَ دَاوُۥدَ شُكْرًا ۚ وَقَلِيلٌ مِّنْ عِبَادِىَ ٱلشَّكُورُ','verse_number' => '13','verse_key' => '34:13','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '429','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3620','chapter_id' => '34','arabic_name' => 'فَلَمَّا قَضَيْنَا عَلَيْهِ ٱلْمَوْتَ مَا دَلَّهُمْ عَلَىٰ مَوْتِهِۦٓ إِلَّا دَآبَّةُ ٱلْأَرْضِ تَأْكُلُ مِنسَأَتَهُۥ ۖ فَلَمَّا خَرَّ تَبَيَّنَتِ ٱلْجِنُّ أَن لَّوْ كَانُوا۟ يَعْلَمُونَ ٱلْغَيْبَ مَا لَبِثُوا۟ فِى ٱلْعَذَابِ ٱلْمُهِينِ','verse_number' => '14','verse_key' => '34:14','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '429','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3621','chapter_id' => '34','arabic_name' => 'لَقَدْ كَانَ لِسَبَإٍ فِى مَسْكَنِهِمْ ءَايَةٌ ۖ جَنَّتَانِ عَن يَمِينٍ وَشِمَالٍ ۖ كُلُوا۟ مِن رِّزْقِ رَبِّكُمْ وَٱشْكُرُوا۟ لَهُۥ ۚ بَلْدَةٌ طَيِّبَةٌ وَرَبٌّ غَفُورٌ','verse_number' => '15','verse_key' => '34:15','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3622','chapter_id' => '34','arabic_name' => 'فَأَعْرَضُوا۟ فَأَرْسَلْنَا عَلَيْهِمْ سَيْلَ ٱلْعَرِمِ وَبَدَّلْنَـٰهُم بِجَنَّتَيْهِمْ جَنَّتَيْنِ ذَوَاتَىْ أُكُلٍ خَمْطٍ وَأَثْلٍ وَشَىْءٍ مِّن سِدْرٍ قَلِيلٍ','verse_number' => '16','verse_key' => '34:16','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3623','chapter_id' => '34','arabic_name' => 'ذَٰلِكَ جَزَيْنَـٰهُم بِمَا كَفَرُوا۟ ۖ وَهَلْ نُجَـٰزِىٓ إِلَّا ٱلْكَفُورَ','verse_number' => '17','verse_key' => '34:17','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3624','chapter_id' => '34','arabic_name' => 'وَجَعَلْنَا بَيْنَهُمْ وَبَيْنَ ٱلْقُرَى ٱلَّتِى بَـٰرَكْنَا فِيهَا قُرًى ظَـٰهِرَةً وَقَدَّرْنَا فِيهَا ٱلسَّيْرَ ۖ سِيرُوا۟ فِيهَا لَيَالِىَ وَأَيَّامًا ءَامِنِينَ','verse_number' => '18','verse_key' => '34:18','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3625','chapter_id' => '34','arabic_name' => 'فَقَالُوا۟ رَبَّنَا بَـٰعِدْ بَيْنَ أَسْفَارِنَا وَظَلَمُوٓا۟ أَنفُسَهُمْ فَجَعَلْنَـٰهُمْ أَحَادِيثَ وَمَزَّقْنَـٰهُمْ كُلَّ مُمَزَّقٍ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّكُلِّ صَبَّارٍ شَكُورٍ','verse_number' => '19','verse_key' => '34:19','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3626','chapter_id' => '34','arabic_name' => 'وَلَقَدْ صَدَّقَ عَلَيْهِمْ إِبْلِيسُ ظَنَّهُۥ فَٱتَّبَعُوهُ إِلَّا فَرِيقًا مِّنَ ٱلْمُؤْمِنِينَ','verse_number' => '20','verse_key' => '34:20','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3627','chapter_id' => '34','arabic_name' => 'وَمَا كَانَ لَهُۥ عَلَيْهِم مِّن سُلْطَـٰنٍ إِلَّا لِنَعْلَمَ مَن يُؤْمِنُ بِٱلْـَٔاخِرَةِ مِمَّنْ هُوَ مِنْهَا فِى شَكٍّ ۗ وَرَبُّكَ عَلَىٰ كُلِّ شَىْءٍ حَفِيظٌ','verse_number' => '21','verse_key' => '34:21','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '373','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3628','chapter_id' => '34','arabic_name' => 'قُلِ ٱدْعُوا۟ ٱلَّذِينَ زَعَمْتُم مِّن دُونِ ٱللَّهِ ۖ لَا يَمْلِكُونَ مِثْقَالَ ذَرَّةٍ فِى ٱلسَّمَـٰوَٰتِ وَلَا فِى ٱلْأَرْضِ وَمَا لَهُمْ فِيهِمَا مِن شِرْكٍ وَمَا لَهُۥ مِنْهُم مِّن ظَهِيرٍ','verse_number' => '22','verse_key' => '34:22','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '430','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3629','chapter_id' => '34','arabic_name' => 'وَلَا تَنفَعُ ٱلشَّفَـٰعَةُ عِندَهُۥٓ إِلَّا لِمَنْ أَذِنَ لَهُۥ ۚ حَتَّىٰٓ إِذَا فُزِّعَ عَن قُلُوبِهِمْ قَالُوا۟ مَاذَا قَالَ رَبُّكُمْ ۖ قَالُوا۟ ٱلْحَقَّ ۖ وَهُوَ ٱلْعَلِىُّ ٱلْكَبِيرُ','verse_number' => '23','verse_key' => '34:23','hizb_number' => '43','rub_el_hizb_number' => '172','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3630','chapter_id' => '34','arabic_name' => '۞ قُلْ مَن يَرْزُقُكُم مِّنَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ قُلِ ٱللَّهُ ۖ وَإِنَّآ أَوْ إِيَّاكُمْ لَعَلَىٰ هُدًى أَوْ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '24','verse_key' => '34:24','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3631','chapter_id' => '34','arabic_name' => 'قُل لَّا تُسْـَٔلُونَ عَمَّآ أَجْرَمْنَا وَلَا نُسْـَٔلُ عَمَّا تَعْمَلُونَ','verse_number' => '25','verse_key' => '34:25','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3632','chapter_id' => '34','arabic_name' => 'قُلْ يَجْمَعُ بَيْنَنَا رَبُّنَا ثُمَّ يَفْتَحُ بَيْنَنَا بِٱلْحَقِّ وَهُوَ ٱلْفَتَّاحُ ٱلْعَلِيمُ','verse_number' => '26','verse_key' => '34:26','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3633','chapter_id' => '34','arabic_name' => 'قُلْ أَرُونِىَ ٱلَّذِينَ أَلْحَقْتُم بِهِۦ شُرَكَآءَ ۖ كَلَّا ۚ بَلْ هُوَ ٱللَّهُ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '27','verse_key' => '34:27','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3634','chapter_id' => '34','arabic_name' => 'وَمَآ أَرْسَلْنَـٰكَ إِلَّا كَآفَّةً لِّلنَّاسِ بَشِيرًا وَنَذِيرًا وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '28','verse_key' => '34:28','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3635','chapter_id' => '34','arabic_name' => 'وَيَقُولُونَ مَتَىٰ هَـٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '29','verse_key' => '34:29','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3636','chapter_id' => '34','arabic_name' => 'قُل لَّكُم مِّيعَادُ يَوْمٍ لَّا تَسْتَـْٔخِرُونَ عَنْهُ سَاعَةً وَلَا تَسْتَقْدِمُونَ','verse_number' => '30','verse_key' => '34:30','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '374','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3637','chapter_id' => '34','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَن نُّؤْمِنَ بِهَـٰذَا ٱلْقُرْءَانِ وَلَا بِٱلَّذِى بَيْنَ يَدَيْهِ ۗ وَلَوْ تَرَىٰٓ إِذِ ٱلظَّـٰلِمُونَ مَوْقُوفُونَ عِندَ رَبِّهِمْ يَرْجِعُ بَعْضُهُمْ إِلَىٰ بَعْضٍ ٱلْقَوْلَ يَقُولُ ٱلَّذِينَ ٱسْتُضْعِفُوا۟ لِلَّذِينَ ٱسْتَكْبَرُوا۟ لَوْلَآ أَنتُمْ لَكُنَّا مُؤْمِنِينَ','verse_number' => '31','verse_key' => '34:31','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '375','manzil_number' => '5','sajdah_number' => '0','page_number' => '431','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3638','chapter_id' => '34','arabic_name' => 'قَالَ ٱلَّذِينَ ٱسْتَكْبَرُوا۟ لِلَّذِينَ ٱسْتُضْعِفُوٓا۟ أَنَحْنُ صَدَدْنَـٰكُمْ عَنِ ٱلْهُدَىٰ بَعْدَ إِذْ جَآءَكُم ۖ بَلْ كُنتُم مُّجْرِمِينَ','verse_number' => '32','verse_key' => '34:32','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '375','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3639','chapter_id' => '34','arabic_name' => 'وَقَالَ ٱلَّذِينَ ٱسْتُضْعِفُوا۟ لِلَّذِينَ ٱسْتَكْبَرُوا۟ بَلْ مَكْرُ ٱلَّيْلِ وَٱلنَّهَارِ إِذْ تَأْمُرُونَنَآ أَن نَّكْفُرَ بِٱللَّهِ وَنَجْعَلَ لَهُۥٓ أَندَادًا ۚ وَأَسَرُّوا۟ ٱلنَّدَامَةَ لَمَّا رَأَوُا۟ ٱلْعَذَابَ وَجَعَلْنَا ٱلْأَغْلَـٰلَ فِىٓ أَعْنَاقِ ٱلَّذِينَ كَفَرُوا۟ ۚ هَلْ يُجْزَوْنَ إِلَّا مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '33','verse_key' => '34:33','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '375','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3640','chapter_id' => '34','arabic_name' => 'وَمَآ أَرْسَلْنَا فِى قَرْيَةٍ مِّن نَّذِيرٍ إِلَّا قَالَ مُتْرَفُوهَآ إِنَّا بِمَآ أُرْسِلْتُم بِهِۦ كَـٰفِرُونَ','verse_number' => '34','verse_key' => '34:34','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '375','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3641','chapter_id' => '34','arabic_name' => 'وَقَالُوا۟ نَحْنُ أَكْثَرُ أَمْوَٰلًا وَأَوْلَـٰدًا وَمَا نَحْنُ بِمُعَذَّبِينَ','verse_number' => '35','verse_key' => '34:35','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '375','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3642','chapter_id' => '34','arabic_name' => 'قُلْ إِنَّ رَبِّى يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '36','verse_key' => '34:36','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '375','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3643','chapter_id' => '34','arabic_name' => 'وَمَآ أَمْوَٰلُكُمْ وَلَآ أَوْلَـٰدُكُم بِٱلَّتِى تُقَرِّبُكُمْ عِندَنَا زُلْفَىٰٓ إِلَّا مَنْ ءَامَنَ وَعَمِلَ صَـٰلِحًا فَأُو۟لَـٰٓئِكَ لَهُمْ جَزَآءُ ٱلضِّعْفِ بِمَا عَمِلُوا۟ وَهُمْ فِى ٱلْغُرُفَـٰتِ ءَامِنُونَ','verse_number' => '37','verse_key' => '34:37','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3644','chapter_id' => '34','arabic_name' => 'وَٱلَّذِينَ يَسْعَوْنَ فِىٓ ءَايَـٰتِنَا مُعَـٰجِزِينَ أُو۟لَـٰٓئِكَ فِى ٱلْعَذَابِ مُحْضَرُونَ','verse_number' => '38','verse_key' => '34:38','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3645','chapter_id' => '34','arabic_name' => 'قُلْ إِنَّ رَبِّى يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ مِنْ عِبَادِهِۦ وَيَقْدِرُ لَهُۥ ۚ وَمَآ أَنفَقْتُم مِّن شَىْءٍ فَهُوَ يُخْلِفُهُۥ ۖ وَهُوَ خَيْرُ ٱلرَّٰزِقِينَ','verse_number' => '39','verse_key' => '34:39','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '432','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3646','chapter_id' => '34','arabic_name' => 'وَيَوْمَ يَحْشُرُهُمْ جَمِيعًا ثُمَّ يَقُولُ لِلْمَلَـٰٓئِكَةِ أَهَـٰٓؤُلَآءِ إِيَّاكُمْ كَانُوا۟ يَعْبُدُونَ','verse_number' => '40','verse_key' => '34:40','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3647','chapter_id' => '34','arabic_name' => 'قَالُوا۟ سُبْحَـٰنَكَ أَنتَ وَلِيُّنَا مِن دُونِهِم ۖ بَلْ كَانُوا۟ يَعْبُدُونَ ٱلْجِنَّ ۖ أَكْثَرُهُم بِهِم مُّؤْمِنُونَ','verse_number' => '41','verse_key' => '34:41','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3648','chapter_id' => '34','arabic_name' => 'فَٱلْيَوْمَ لَا يَمْلِكُ بَعْضُكُمْ لِبَعْضٍ نَّفْعًا وَلَا ضَرًّا وَنَقُولُ لِلَّذِينَ ظَلَمُوا۟ ذُوقُوا۟ عَذَابَ ٱلنَّارِ ٱلَّتِى كُنتُم بِهَا تُكَذِّبُونَ','verse_number' => '42','verse_key' => '34:42','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3649','chapter_id' => '34','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَـٰتُنَا بَيِّنَـٰتٍ قَالُوا۟ مَا هَـٰذَآ إِلَّا رَجُلٌ يُرِيدُ أَن يَصُدَّكُمْ عَمَّا كَانَ يَعْبُدُ ءَابَآؤُكُمْ وَقَالُوا۟ مَا هَـٰذَآ إِلَّآ إِفْكٌ مُّفْتَرًى ۚ وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِلْحَقِّ لَمَّا جَآءَهُمْ إِنْ هَـٰذَآ إِلَّا سِحْرٌ مُّبِينٌ','verse_number' => '43','verse_key' => '34:43','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3650','chapter_id' => '34','arabic_name' => 'وَمَآ ءَاتَيْنَـٰهُم مِّن كُتُبٍ يَدْرُسُونَهَا ۖ وَمَآ أَرْسَلْنَآ إِلَيْهِمْ قَبْلَكَ مِن نَّذِيرٍ','verse_number' => '44','verse_key' => '34:44','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3651','chapter_id' => '34','arabic_name' => 'وَكَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ وَمَا بَلَغُوا۟ مِعْشَارَ مَآ ءَاتَيْنَـٰهُمْ فَكَذَّبُوا۟ رُسُلِى ۖ فَكَيْفَ كَانَ نَكِيرِ','verse_number' => '45','verse_key' => '34:45','hizb_number' => '44','rub_el_hizb_number' => '173','ruku_number' => '376','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3652','chapter_id' => '34','arabic_name' => '۞ قُلْ إِنَّمَآ أَعِظُكُم بِوَٰحِدَةٍ ۖ أَن تَقُومُوا۟ لِلَّهِ مَثْنَىٰ وَفُرَٰدَىٰ ثُمَّ تَتَفَكَّرُوا۟ ۚ مَا بِصَاحِبِكُم مِّن جِنَّةٍ ۚ إِنْ هُوَ إِلَّا نَذِيرٌ لَّكُم بَيْنَ يَدَىْ عَذَابٍ شَدِيدٍ','verse_number' => '46','verse_key' => '34:46','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3653','chapter_id' => '34','arabic_name' => 'قُلْ مَا سَأَلْتُكُم مِّنْ أَجْرٍ فَهُوَ لَكُمْ ۖ إِنْ أَجْرِىَ إِلَّا عَلَى ٱللَّهِ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ شَهِيدٌ','verse_number' => '47','verse_key' => '34:47','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3654','chapter_id' => '34','arabic_name' => 'قُلْ إِنَّ رَبِّى يَقْذِفُ بِٱلْحَقِّ عَلَّـٰمُ ٱلْغُيُوبِ','verse_number' => '48','verse_key' => '34:48','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '433','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3655','chapter_id' => '34','arabic_name' => 'قُلْ جَآءَ ٱلْحَقُّ وَمَا يُبْدِئُ ٱلْبَـٰطِلُ وَمَا يُعِيدُ','verse_number' => '49','verse_key' => '34:49','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3656','chapter_id' => '34','arabic_name' => 'قُلْ إِن ضَلَلْتُ فَإِنَّمَآ أَضِلُّ عَلَىٰ نَفْسِى ۖ وَإِنِ ٱهْتَدَيْتُ فَبِمَا يُوحِىٓ إِلَىَّ رَبِّىٓ ۚ إِنَّهُۥ سَمِيعٌ قَرِيبٌ','verse_number' => '50','verse_key' => '34:50','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3657','chapter_id' => '34','arabic_name' => 'وَلَوْ تَرَىٰٓ إِذْ فَزِعُوا۟ فَلَا فَوْتَ وَأُخِذُوا۟ مِن مَّكَانٍ قَرِيبٍ','verse_number' => '51','verse_key' => '34:51','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3658','chapter_id' => '34','arabic_name' => 'وَقَالُوٓا۟ ءَامَنَّا بِهِۦ وَأَنَّىٰ لَهُمُ ٱلتَّنَاوُشُ مِن مَّكَانٍۭ بَعِيدٍ','verse_number' => '52','verse_key' => '34:52','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3659','chapter_id' => '34','arabic_name' => 'وَقَدْ كَفَرُوا۟ بِهِۦ مِن قَبْلُ ۖ وَيَقْذِفُونَ بِٱلْغَيْبِ مِن مَّكَانٍۭ بَعِيدٍ','verse_number' => '53','verse_key' => '34:53','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3660','chapter_id' => '34','arabic_name' => 'وَحِيلَ بَيْنَهُمْ وَبَيْنَ مَا يَشْتَهُونَ كَمَا فُعِلَ بِأَشْيَاعِهِم مِّن قَبْلُ ۚ إِنَّهُمْ كَانُوا۟ فِى شَكٍّ مُّرِيبٍۭ','verse_number' => '54','verse_key' => '34:54','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '377','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3661','chapter_id' => '35','arabic_name' => 'ٱلْحَمْدُ لِلَّهِ فَاطِرِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ جَاعِلِ ٱلْمَلَـٰٓئِكَةِ رُسُلًا أُو۟لِىٓ أَجْنِحَةٍ مَّثْنَىٰ وَثُلَـٰثَ وَرُبَـٰعَ ۚ يَزِيدُ فِى ٱلْخَلْقِ مَا يَشَآءُ ۚ إِنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '1','verse_key' => '35:1','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '378','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3662','chapter_id' => '35','arabic_name' => 'مَّا يَفْتَحِ ٱللَّهُ لِلنَّاسِ مِن رَّحْمَةٍ فَلَا مُمْسِكَ لَهَا ۖ وَمَا يُمْسِكْ فَلَا مُرْسِلَ لَهُۥ مِنۢ بَعْدِهِۦ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '2','verse_key' => '35:2','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '378','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3663','chapter_id' => '35','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ ٱذْكُرُوا۟ نِعْمَتَ ٱللَّهِ عَلَيْكُمْ ۚ هَلْ مِنْ خَـٰلِقٍ غَيْرُ ٱللَّهِ يَرْزُقُكُم مِّنَ ٱلسَّمَآءِ وَٱلْأَرْضِ ۚ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ فَأَنَّىٰ تُؤْفَكُونَ','verse_number' => '3','verse_key' => '35:3','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '378','manzil_number' => '5','sajdah_number' => '0','page_number' => '434','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3664','chapter_id' => '35','arabic_name' => 'وَإِن يُكَذِّبُوكَ فَقَدْ كُذِّبَتْ رُسُلٌ مِّن قَبْلِكَ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ','verse_number' => '4','verse_key' => '35:4','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '378','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3665','chapter_id' => '35','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ ۖ فَلَا تَغُرَّنَّكُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۖ وَلَا يَغُرَّنَّكُم بِٱللَّهِ ٱلْغَرُورُ','verse_number' => '5','verse_key' => '35:5','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '378','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3666','chapter_id' => '35','arabic_name' => 'إِنَّ ٱلشَّيْطَـٰنَ لَكُمْ عَدُوٌّ فَٱتَّخِذُوهُ عَدُوًّا ۚ إِنَّمَا يَدْعُوا۟ حِزْبَهُۥ لِيَكُونُوا۟ مِنْ أَصْحَـٰبِ ٱلسَّعِيرِ','verse_number' => '6','verse_key' => '35:6','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '378','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3667','chapter_id' => '35','arabic_name' => 'ٱلَّذِينَ كَفَرُوا۟ لَهُمْ عَذَابٌ شَدِيدٌ ۖ وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَهُم مَّغْفِرَةٌ وَأَجْرٌ كَبِيرٌ','verse_number' => '7','verse_key' => '35:7','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '378','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3668','chapter_id' => '35','arabic_name' => 'أَفَمَن زُيِّنَ لَهُۥ سُوٓءُ عَمَلِهِۦ فَرَءَاهُ حَسَنًا ۖ فَإِنَّ ٱللَّهَ يُضِلُّ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۖ فَلَا تَذْهَبْ نَفْسُكَ عَلَيْهِمْ حَسَرَٰتٍ ۚ إِنَّ ٱللَّهَ عَلِيمٌۢ بِمَا يَصْنَعُونَ','verse_number' => '8','verse_key' => '35:8','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '379','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3669','chapter_id' => '35','arabic_name' => 'وَٱللَّهُ ٱلَّذِىٓ أَرْسَلَ ٱلرِّيَـٰحَ فَتُثِيرُ سَحَابًا فَسُقْنَـٰهُ إِلَىٰ بَلَدٍ مَّيِّتٍ فَأَحْيَيْنَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا ۚ كَذَٰلِكَ ٱلنُّشُورُ','verse_number' => '9','verse_key' => '35:9','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '379','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3670','chapter_id' => '35','arabic_name' => 'مَن كَانَ يُرِيدُ ٱلْعِزَّةَ فَلِلَّهِ ٱلْعِزَّةُ جَمِيعًا ۚ إِلَيْهِ يَصْعَدُ ٱلْكَلِمُ ٱلطَّيِّبُ وَٱلْعَمَلُ ٱلصَّـٰلِحُ يَرْفَعُهُۥ ۚ وَٱلَّذِينَ يَمْكُرُونَ ٱلسَّيِّـَٔاتِ لَهُمْ عَذَابٌ شَدِيدٌ ۖ وَمَكْرُ أُو۟لَـٰٓئِكَ هُوَ يَبُورُ','verse_number' => '10','verse_key' => '35:10','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '379','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3671','chapter_id' => '35','arabic_name' => 'وَٱللَّهُ خَلَقَكُم مِّن تُرَابٍ ثُمَّ مِن نُّطْفَةٍ ثُمَّ جَعَلَكُمْ أَزْوَٰجًا ۚ وَمَا تَحْمِلُ مِنْ أُنثَىٰ وَلَا تَضَعُ إِلَّا بِعِلْمِهِۦ ۚ وَمَا يُعَمَّرُ مِن مُّعَمَّرٍ وَلَا يُنقَصُ مِنْ عُمُرِهِۦٓ إِلَّا فِى كِتَـٰبٍ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌ','verse_number' => '11','verse_key' => '35:11','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '379','manzil_number' => '5','sajdah_number' => '0','page_number' => '435','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3672','chapter_id' => '35','arabic_name' => 'وَمَا يَسْتَوِى ٱلْبَحْرَانِ هَـٰذَا عَذْبٌ فُرَاتٌ سَآئِغٌ شَرَابُهُۥ وَهَـٰذَا مِلْحٌ أُجَاجٌ ۖ وَمِن كُلٍّ تَأْكُلُونَ لَحْمًا طَرِيًّا وَتَسْتَخْرِجُونَ حِلْيَةً تَلْبَسُونَهَا ۖ وَتَرَى ٱلْفُلْكَ فِيهِ مَوَاخِرَ لِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '12','verse_key' => '35:12','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '379','manzil_number' => '5','sajdah_number' => '0','page_number' => '436','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3673','chapter_id' => '35','arabic_name' => 'يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ كُلٌّ يَجْرِى لِأَجَلٍ مُّسَمًّى ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ لَهُ ٱلْمُلْكُ ۚ وَٱلَّذِينَ تَدْعُونَ مِن دُونِهِۦ مَا يَمْلِكُونَ مِن قِطْمِيرٍ','verse_number' => '13','verse_key' => '35:13','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '379','manzil_number' => '5','sajdah_number' => '0','page_number' => '436','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3674','chapter_id' => '35','arabic_name' => 'إِن تَدْعُوهُمْ لَا يَسْمَعُوا۟ دُعَآءَكُمْ وَلَوْ سَمِعُوا۟ مَا ٱسْتَجَابُوا۟ لَكُمْ ۖ وَيَوْمَ ٱلْقِيَـٰمَةِ يَكْفُرُونَ بِشِرْكِكُمْ ۚ وَلَا يُنَبِّئُكَ مِثْلُ خَبِيرٍ','verse_number' => '14','verse_key' => '35:14','hizb_number' => '44','rub_el_hizb_number' => '174','ruku_number' => '379','manzil_number' => '5','sajdah_number' => '0','page_number' => '436','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3675','chapter_id' => '35','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلنَّاسُ أَنتُمُ ٱلْفُقَرَآءُ إِلَى ٱللَّهِ ۖ وَٱللَّهُ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ','verse_number' => '15','verse_key' => '35:15','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '436','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3676','chapter_id' => '35','arabic_name' => 'إِن يَشَأْ يُذْهِبْكُمْ وَيَأْتِ بِخَلْقٍ جَدِيدٍ','verse_number' => '16','verse_key' => '35:16','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '436','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3677','chapter_id' => '35','arabic_name' => 'وَمَا ذَٰلِكَ عَلَى ٱللَّهِ بِعَزِيزٍ','verse_number' => '17','verse_key' => '35:17','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '436','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3678','chapter_id' => '35','arabic_name' => 'وَلَا تَزِرُ وَازِرَةٌ وِزْرَ أُخْرَىٰ ۚ وَإِن تَدْعُ مُثْقَلَةٌ إِلَىٰ حِمْلِهَا لَا يُحْمَلْ مِنْهُ شَىْءٌ وَلَوْ كَانَ ذَا قُرْبَىٰٓ ۗ إِنَّمَا تُنذِرُ ٱلَّذِينَ يَخْشَوْنَ رَبَّهُم بِٱلْغَيْبِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ ۚ وَمَن تَزَكَّىٰ فَإِنَّمَا يَتَزَكَّىٰ لِنَفْسِهِۦ ۚ وَإِلَى ٱللَّهِ ٱلْمَصِيرُ','verse_number' => '18','verse_key' => '35:18','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '436','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3679','chapter_id' => '35','arabic_name' => 'وَمَا يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ','verse_number' => '19','verse_key' => '35:19','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3680','chapter_id' => '35','arabic_name' => 'وَلَا ٱلظُّلُمَـٰتُ وَلَا ٱلنُّورُ','verse_number' => '20','verse_key' => '35:20','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3681','chapter_id' => '35','arabic_name' => 'وَلَا ٱلظِّلُّ وَلَا ٱلْحَرُورُ','verse_number' => '21','verse_key' => '35:21','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3682','chapter_id' => '35','arabic_name' => 'وَمَا يَسْتَوِى ٱلْأَحْيَآءُ وَلَا ٱلْأَمْوَٰتُ ۚ إِنَّ ٱللَّهَ يُسْمِعُ مَن يَشَآءُ ۖ وَمَآ أَنتَ بِمُسْمِعٍ مَّن فِى ٱلْقُبُورِ','verse_number' => '22','verse_key' => '35:22','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3683','chapter_id' => '35','arabic_name' => 'إِنْ أَنتَ إِلَّا نَذِيرٌ','verse_number' => '23','verse_key' => '35:23','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3684','chapter_id' => '35','arabic_name' => 'إِنَّآ أَرْسَلْنَـٰكَ بِٱلْحَقِّ بَشِيرًا وَنَذِيرًا ۚ وَإِن مِّنْ أُمَّةٍ إِلَّا خَلَا فِيهَا نَذِيرٌ','verse_number' => '24','verse_key' => '35:24','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3685','chapter_id' => '35','arabic_name' => 'وَإِن يُكَذِّبُوكَ فَقَدْ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ وَبِٱلزُّبُرِ وَبِٱلْكِتَـٰبِ ٱلْمُنِيرِ','verse_number' => '25','verse_key' => '35:25','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3686','chapter_id' => '35','arabic_name' => 'ثُمَّ أَخَذْتُ ٱلَّذِينَ كَفَرُوا۟ ۖ فَكَيْفَ كَانَ نَكِيرِ','verse_number' => '26','verse_key' => '35:26','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '380','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3687','chapter_id' => '35','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَأَخْرَجْنَا بِهِۦ ثَمَرَٰتٍ مُّخْتَلِفًا أَلْوَٰنُهَا ۚ وَمِنَ ٱلْجِبَالِ جُدَدٌۢ بِيضٌ وَحُمْرٌ مُّخْتَلِفٌ أَلْوَٰنُهَا وَغَرَابِيبُ سُودٌ','verse_number' => '27','verse_key' => '35:27','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3688','chapter_id' => '35','arabic_name' => 'وَمِنَ ٱلنَّاسِ وَٱلدَّوَآبِّ وَٱلْأَنْعَـٰمِ مُخْتَلِفٌ أَلْوَٰنُهُۥ كَذَٰلِكَ ۗ إِنَّمَا يَخْشَى ٱللَّهَ مِنْ عِبَادِهِ ٱلْعُلَمَـٰٓؤُا۟ ۗ إِنَّ ٱللَّهَ عَزِيزٌ غَفُورٌ','verse_number' => '28','verse_key' => '35:28','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3689','chapter_id' => '35','arabic_name' => 'إِنَّ ٱلَّذِينَ يَتْلُونَ كِتَـٰبَ ٱللَّهِ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَأَنفَقُوا۟ مِمَّا رَزَقْنَـٰهُمْ سِرًّا وَعَلَانِيَةً يَرْجُونَ تِجَـٰرَةً لَّن تَبُورَ','verse_number' => '29','verse_key' => '35:29','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3690','chapter_id' => '35','arabic_name' => 'لِيُوَفِّيَهُمْ أُجُورَهُمْ وَيَزِيدَهُم مِّن فَضْلِهِۦٓ ۚ إِنَّهُۥ غَفُورٌ شَكُورٌ','verse_number' => '30','verse_key' => '35:30','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '437','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3691','chapter_id' => '35','arabic_name' => 'وَٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ مِنَ ٱلْكِتَـٰبِ هُوَ ٱلْحَقُّ مُصَدِّقًا لِّمَا بَيْنَ يَدَيْهِ ۗ إِنَّ ٱللَّهَ بِعِبَادِهِۦ لَخَبِيرٌۢ بَصِيرٌ','verse_number' => '31','verse_key' => '35:31','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3692','chapter_id' => '35','arabic_name' => 'ثُمَّ أَوْرَثْنَا ٱلْكِتَـٰبَ ٱلَّذِينَ ٱصْطَفَيْنَا مِنْ عِبَادِنَا ۖ فَمِنْهُمْ ظَالِمٌ لِّنَفْسِهِۦ وَمِنْهُم مُّقْتَصِدٌ وَمِنْهُمْ سَابِقٌۢ بِٱلْخَيْرَٰتِ بِإِذْنِ ٱللَّهِ ۚ ذَٰلِكَ هُوَ ٱلْفَضْلُ ٱلْكَبِيرُ','verse_number' => '32','verse_key' => '35:32','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3693','chapter_id' => '35','arabic_name' => 'جَنَّـٰتُ عَدْنٍ يَدْخُلُونَهَا يُحَلَّوْنَ فِيهَا مِنْ أَسَاوِرَ مِن ذَهَبٍ وَلُؤْلُؤًا ۖ وَلِبَاسُهُمْ فِيهَا حَرِيرٌ','verse_number' => '33','verse_key' => '35:33','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3694','chapter_id' => '35','arabic_name' => 'وَقَالُوا۟ ٱلْحَمْدُ لِلَّهِ ٱلَّذِىٓ أَذْهَبَ عَنَّا ٱلْحَزَنَ ۖ إِنَّ رَبَّنَا لَغَفُورٌ شَكُورٌ','verse_number' => '34','verse_key' => '35:34','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3695','chapter_id' => '35','arabic_name' => 'ٱلَّذِىٓ أَحَلَّنَا دَارَ ٱلْمُقَامَةِ مِن فَضْلِهِۦ لَا يَمَسُّنَا فِيهَا نَصَبٌ وَلَا يَمَسُّنَا فِيهَا لُغُوبٌ','verse_number' => '35','verse_key' => '35:35','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3696','chapter_id' => '35','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ لَهُمْ نَارُ جَهَنَّمَ لَا يُقْضَىٰ عَلَيْهِمْ فَيَمُوتُوا۟ وَلَا يُخَفَّفُ عَنْهُم مِّنْ عَذَابِهَا ۚ كَذَٰلِكَ نَجْزِى كُلَّ كَفُورٍ','verse_number' => '36','verse_key' => '35:36','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3697','chapter_id' => '35','arabic_name' => 'وَهُمْ يَصْطَرِخُونَ فِيهَا رَبَّنَآ أَخْرِجْنَا نَعْمَلْ صَـٰلِحًا غَيْرَ ٱلَّذِى كُنَّا نَعْمَلُ ۚ أَوَلَمْ نُعَمِّرْكُم مَّا يَتَذَكَّرُ فِيهِ مَن تَذَكَّرَ وَجَآءَكُمُ ٱلنَّذِيرُ ۖ فَذُوقُوا۟ فَمَا لِلظَّـٰلِمِينَ مِن نَّصِيرٍ','verse_number' => '37','verse_key' => '35:37','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '381','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3698','chapter_id' => '35','arabic_name' => 'إِنَّ ٱللَّهَ عَـٰلِمُ غَيْبِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '38','verse_key' => '35:38','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '438','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3699','chapter_id' => '35','arabic_name' => 'هُوَ ٱلَّذِى جَعَلَكُمْ خَلَـٰٓئِفَ فِى ٱلْأَرْضِ ۚ فَمَن كَفَرَ فَعَلَيْهِ كُفْرُهُۥ ۖ وَلَا يَزِيدُ ٱلْكَـٰفِرِينَ كُفْرُهُمْ عِندَ رَبِّهِمْ إِلَّا مَقْتًا ۖ وَلَا يَزِيدُ ٱلْكَـٰفِرِينَ كُفْرُهُمْ إِلَّا خَسَارًا','verse_number' => '39','verse_key' => '35:39','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '439','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3700','chapter_id' => '35','arabic_name' => 'قُلْ أَرَءَيْتُمْ شُرَكَآءَكُمُ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ أَرُونِى مَاذَا خَلَقُوا۟ مِنَ ٱلْأَرْضِ أَمْ لَهُمْ شِرْكٌ فِى ٱلسَّمَـٰوَٰتِ أَمْ ءَاتَيْنَـٰهُمْ كِتَـٰبًا فَهُمْ عَلَىٰ بَيِّنَتٍ مِّنْهُ ۚ بَلْ إِن يَعِدُ ٱلظَّـٰلِمُونَ بَعْضُهُم بَعْضًا إِلَّا غُرُورًا','verse_number' => '40','verse_key' => '35:40','hizb_number' => '44','rub_el_hizb_number' => '175','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '439','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3701','chapter_id' => '35','arabic_name' => '۞ إِنَّ ٱللَّهَ يُمْسِكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ أَن تَزُولَا ۚ وَلَئِن زَالَتَآ إِنْ أَمْسَكَهُمَا مِنْ أَحَدٍ مِّنۢ بَعْدِهِۦٓ ۚ إِنَّهُۥ كَانَ حَلِيمًا غَفُورًا','verse_number' => '41','verse_key' => '35:41','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '439','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3702','chapter_id' => '35','arabic_name' => 'وَأَقْسَمُوا۟ بِٱللَّهِ جَهْدَ أَيْمَـٰنِهِمْ لَئِن جَآءَهُمْ نَذِيرٌ لَّيَكُونُنَّ أَهْدَىٰ مِنْ إِحْدَى ٱلْأُمَمِ ۖ فَلَمَّا جَآءَهُمْ نَذِيرٌ مَّا زَادَهُمْ إِلَّا نُفُورًا','verse_number' => '42','verse_key' => '35:42','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '439','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3703','chapter_id' => '35','arabic_name' => 'ٱسْتِكْبَارًا فِى ٱلْأَرْضِ وَمَكْرَ ٱلسَّيِّئِ ۚ وَلَا يَحِيقُ ٱلْمَكْرُ ٱلسَّيِّئُ إِلَّا بِأَهْلِهِۦ ۚ فَهَلْ يَنظُرُونَ إِلَّا سُنَّتَ ٱلْأَوَّلِينَ ۚ فَلَن تَجِدَ لِسُنَّتِ ٱللَّهِ تَبْدِيلًا ۖ وَلَن تَجِدَ لِسُنَّتِ ٱللَّهِ تَحْوِيلًا','verse_number' => '43','verse_key' => '35:43','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '439','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3704','chapter_id' => '35','arabic_name' => 'أَوَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ وَكَانُوٓا۟ أَشَدَّ مِنْهُمْ قُوَّةً ۚ وَمَا كَانَ ٱللَّهُ لِيُعْجِزَهُۥ مِن شَىْءٍ فِى ٱلسَّمَـٰوَٰتِ وَلَا فِى ٱلْأَرْضِ ۚ إِنَّهُۥ كَانَ عَلِيمًا قَدِيرًا','verse_number' => '44','verse_key' => '35:44','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '439','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3705','chapter_id' => '35','arabic_name' => 'وَلَوْ يُؤَاخِذُ ٱللَّهُ ٱلنَّاسَ بِمَا كَسَبُوا۟ مَا تَرَكَ عَلَىٰ ظَهْرِهَا مِن دَآبَّةٍ وَلَـٰكِن يُؤَخِّرُهُمْ إِلَىٰٓ أَجَلٍ مُّسَمًّى ۖ فَإِذَا جَآءَ أَجَلُهُمْ فَإِنَّ ٱللَّهَ كَانَ بِعِبَادِهِۦ بَصِيرًۢا','verse_number' => '45','verse_key' => '35:45','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '382','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3706','chapter_id' => '36','arabic_name' => 'يسٓ','verse_number' => '1','verse_key' => '36:1','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3707','chapter_id' => '36','arabic_name' => 'وَٱلْقُرْءَانِ ٱلْحَكِيمِ','verse_number' => '2','verse_key' => '36:2','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3708','chapter_id' => '36','arabic_name' => 'إِنَّكَ لَمِنَ ٱلْمُرْسَلِينَ','verse_number' => '3','verse_key' => '36:3','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3709','chapter_id' => '36','arabic_name' => 'عَلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '4','verse_key' => '36:4','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3710','chapter_id' => '36','arabic_name' => 'تَنزِيلَ ٱلْعَزِيزِ ٱلرَّحِيمِ','verse_number' => '5','verse_key' => '36:5','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3711','chapter_id' => '36','arabic_name' => 'لِتُنذِرَ قَوْمًا مَّآ أُنذِرَ ءَابَآؤُهُمْ فَهُمْ غَـٰفِلُونَ','verse_number' => '6','verse_key' => '36:6','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3712','chapter_id' => '36','arabic_name' => 'لَقَدْ حَقَّ ٱلْقَوْلُ عَلَىٰٓ أَكْثَرِهِمْ فَهُمْ لَا يُؤْمِنُونَ','verse_number' => '7','verse_key' => '36:7','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3713','chapter_id' => '36','arabic_name' => 'إِنَّا جَعَلْنَا فِىٓ أَعْنَـٰقِهِمْ أَغْلَـٰلًا فَهِىَ إِلَى ٱلْأَذْقَانِ فَهُم مُّقْمَحُونَ','verse_number' => '8','verse_key' => '36:8','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3714','chapter_id' => '36','arabic_name' => 'وَجَعَلْنَا مِنۢ بَيْنِ أَيْدِيهِمْ سَدًّا وَمِنْ خَلْفِهِمْ سَدًّا فَأَغْشَيْنَـٰهُمْ فَهُمْ لَا يُبْصِرُونَ','verse_number' => '9','verse_key' => '36:9','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3715','chapter_id' => '36','arabic_name' => 'وَسَوَآءٌ عَلَيْهِمْ ءَأَنذَرْتَهُمْ أَمْ لَمْ تُنذِرْهُمْ لَا يُؤْمِنُونَ','verse_number' => '10','verse_key' => '36:10','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3716','chapter_id' => '36','arabic_name' => 'إِنَّمَا تُنذِرُ مَنِ ٱتَّبَعَ ٱلذِّكْرَ وَخَشِىَ ٱلرَّحْمَـٰنَ بِٱلْغَيْبِ ۖ فَبَشِّرْهُ بِمَغْفِرَةٍ وَأَجْرٍ كَرِيمٍ','verse_number' => '11','verse_key' => '36:11','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3717','chapter_id' => '36','arabic_name' => 'إِنَّا نَحْنُ نُحْىِ ٱلْمَوْتَىٰ وَنَكْتُبُ مَا قَدَّمُوا۟ وَءَاثَـٰرَهُمْ ۚ وَكُلَّ شَىْءٍ أَحْصَيْنَـٰهُ فِىٓ إِمَامٍ مُّبِينٍ','verse_number' => '12','verse_key' => '36:12','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '383','manzil_number' => '5','sajdah_number' => '0','page_number' => '440','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3718','chapter_id' => '36','arabic_name' => 'وَٱضْرِبْ لَهُم مَّثَلًا أَصْحَـٰبَ ٱلْقَرْيَةِ إِذْ جَآءَهَا ٱلْمُرْسَلُونَ','verse_number' => '13','verse_key' => '36:13','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3719','chapter_id' => '36','arabic_name' => 'إِذْ أَرْسَلْنَآ إِلَيْهِمُ ٱثْنَيْنِ فَكَذَّبُوهُمَا فَعَزَّزْنَا بِثَالِثٍ فَقَالُوٓا۟ إِنَّآ إِلَيْكُم مُّرْسَلُونَ','verse_number' => '14','verse_key' => '36:14','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3720','chapter_id' => '36','arabic_name' => 'قَالُوا۟ مَآ أَنتُمْ إِلَّا بَشَرٌ مِّثْلُنَا وَمَآ أَنزَلَ ٱلرَّحْمَـٰنُ مِن شَىْءٍ إِنْ أَنتُمْ إِلَّا تَكْذِبُونَ','verse_number' => '15','verse_key' => '36:15','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3721','chapter_id' => '36','arabic_name' => 'قَالُوا۟ رَبُّنَا يَعْلَمُ إِنَّآ إِلَيْكُمْ لَمُرْسَلُونَ','verse_number' => '16','verse_key' => '36:16','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3722','chapter_id' => '36','arabic_name' => 'وَمَا عَلَيْنَآ إِلَّا ٱلْبَلَـٰغُ ٱلْمُبِينُ','verse_number' => '17','verse_key' => '36:17','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3723','chapter_id' => '36','arabic_name' => 'قَالُوٓا۟ إِنَّا تَطَيَّرْنَا بِكُمْ ۖ لَئِن لَّمْ تَنتَهُوا۟ لَنَرْجُمَنَّكُمْ وَلَيَمَسَّنَّكُم مِّنَّا عَذَابٌ أَلِيمٌ','verse_number' => '18','verse_key' => '36:18','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3724','chapter_id' => '36','arabic_name' => 'قَالُوا۟ طَـٰٓئِرُكُم مَّعَكُمْ ۚ أَئِن ذُكِّرْتُم ۚ بَلْ أَنتُمْ قَوْمٌ مُّسْرِفُونَ','verse_number' => '19','verse_key' => '36:19','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3725','chapter_id' => '36','arabic_name' => 'وَجَآءَ مِنْ أَقْصَا ٱلْمَدِينَةِ رَجُلٌ يَسْعَىٰ قَالَ يَـٰقَوْمِ ٱتَّبِعُوا۟ ٱلْمُرْسَلِينَ','verse_number' => '20','verse_key' => '36:20','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3726','chapter_id' => '36','arabic_name' => 'ٱتَّبِعُوا۟ مَن لَّا يَسْـَٔلُكُمْ أَجْرًا وَهُم مُّهْتَدُونَ','verse_number' => '21','verse_key' => '36:21','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3727','chapter_id' => '36','arabic_name' => 'وَمَا لِىَ لَآ أَعْبُدُ ٱلَّذِى فَطَرَنِى وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '22','verse_key' => '36:22','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3728','chapter_id' => '36','arabic_name' => 'ءَأَتَّخِذُ مِن دُونِهِۦٓ ءَالِهَةً إِن يُرِدْنِ ٱلرَّحْمَـٰنُ بِضُرٍّ لَّا تُغْنِ عَنِّى شَفَـٰعَتُهُمْ شَيْـًٔا وَلَا يُنقِذُونِ','verse_number' => '23','verse_key' => '36:23','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3729','chapter_id' => '36','arabic_name' => 'إِنِّىٓ إِذًا لَّفِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '24','verse_key' => '36:24','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3730','chapter_id' => '36','arabic_name' => 'إِنِّىٓ ءَامَنتُ بِرَبِّكُمْ فَٱسْمَعُونِ','verse_number' => '25','verse_key' => '36:25','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3731','chapter_id' => '36','arabic_name' => 'قِيلَ ٱدْخُلِ ٱلْجَنَّةَ ۖ قَالَ يَـٰلَيْتَ قَوْمِى يَعْلَمُونَ','verse_number' => '26','verse_key' => '36:26','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3732','chapter_id' => '36','arabic_name' => 'بِمَا غَفَرَ لِى رَبِّى وَجَعَلَنِى مِنَ ٱلْمُكْرَمِينَ','verse_number' => '27','verse_key' => '36:27','hizb_number' => '44','rub_el_hizb_number' => '176','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '441','juz_number' => '22','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3733','chapter_id' => '36','arabic_name' => '۞ وَمَآ أَنزَلْنَا عَلَىٰ قَوْمِهِۦ مِنۢ بَعْدِهِۦ مِن جُندٍ مِّنَ ٱلسَّمَآءِ وَمَا كُنَّا مُنزِلِينَ','verse_number' => '28','verse_key' => '36:28','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3734','chapter_id' => '36','arabic_name' => 'إِن كَانَتْ إِلَّا صَيْحَةً وَٰحِدَةً فَإِذَا هُمْ خَـٰمِدُونَ','verse_number' => '29','verse_key' => '36:29','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3735','chapter_id' => '36','arabic_name' => 'يَـٰحَسْرَةً عَلَى ٱلْعِبَادِ ۚ مَا يَأْتِيهِم مِّن رَّسُولٍ إِلَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '30','verse_key' => '36:30','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3736','chapter_id' => '36','arabic_name' => 'أَلَمْ يَرَوْا۟ كَمْ أَهْلَكْنَا قَبْلَهُم مِّنَ ٱلْقُرُونِ أَنَّهُمْ إِلَيْهِمْ لَا يَرْجِعُونَ','verse_number' => '31','verse_key' => '36:31','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3737','chapter_id' => '36','arabic_name' => 'وَإِن كُلٌّ لَّمَّا جَمِيعٌ لَّدَيْنَا مُحْضَرُونَ','verse_number' => '32','verse_key' => '36:32','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '384','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3738','chapter_id' => '36','arabic_name' => 'وَءَايَةٌ لَّهُمُ ٱلْأَرْضُ ٱلْمَيْتَةُ أَحْيَيْنَـٰهَا وَأَخْرَجْنَا مِنْهَا حَبًّا فَمِنْهُ يَأْكُلُونَ','verse_number' => '33','verse_key' => '36:33','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3739','chapter_id' => '36','arabic_name' => 'وَجَعَلْنَا فِيهَا جَنَّـٰتٍ مِّن نَّخِيلٍ وَأَعْنَـٰبٍ وَفَجَّرْنَا فِيهَا مِنَ ٱلْعُيُونِ','verse_number' => '34','verse_key' => '36:34','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3740','chapter_id' => '36','arabic_name' => 'لِيَأْكُلُوا۟ مِن ثَمَرِهِۦ وَمَا عَمِلَتْهُ أَيْدِيهِمْ ۖ أَفَلَا يَشْكُرُونَ','verse_number' => '35','verse_key' => '36:35','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3741','chapter_id' => '36','arabic_name' => 'سُبْحَـٰنَ ٱلَّذِى خَلَقَ ٱلْأَزْوَٰجَ كُلَّهَا مِمَّا تُنۢبِتُ ٱلْأَرْضُ وَمِنْ أَنفُسِهِمْ وَمِمَّا لَا يَعْلَمُونَ','verse_number' => '36','verse_key' => '36:36','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3742','chapter_id' => '36','arabic_name' => 'وَءَايَةٌ لَّهُمُ ٱلَّيْلُ نَسْلَخُ مِنْهُ ٱلنَّهَارَ فَإِذَا هُم مُّظْلِمُونَ','verse_number' => '37','verse_key' => '36:37','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3743','chapter_id' => '36','arabic_name' => 'وَٱلشَّمْسُ تَجْرِى لِمُسْتَقَرٍّ لَّهَا ۚ ذَٰلِكَ تَقْدِيرُ ٱلْعَزِيزِ ٱلْعَلِيمِ','verse_number' => '38','verse_key' => '36:38','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3744','chapter_id' => '36','arabic_name' => 'وَٱلْقَمَرَ قَدَّرْنَـٰهُ مَنَازِلَ حَتَّىٰ عَادَ كَٱلْعُرْجُونِ ٱلْقَدِيمِ','verse_number' => '39','verse_key' => '36:39','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3745','chapter_id' => '36','arabic_name' => 'لَا ٱلشَّمْسُ يَنۢبَغِى لَهَآ أَن تُدْرِكَ ٱلْقَمَرَ وَلَا ٱلَّيْلُ سَابِقُ ٱلنَّهَارِ ۚ وَكُلٌّ فِى فَلَكٍ يَسْبَحُونَ','verse_number' => '40','verse_key' => '36:40','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '442','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3746','chapter_id' => '36','arabic_name' => 'وَءَايَةٌ لَّهُمْ أَنَّا حَمَلْنَا ذُرِّيَّتَهُمْ فِى ٱلْفُلْكِ ٱلْمَشْحُونِ','verse_number' => '41','verse_key' => '36:41','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3747','chapter_id' => '36','arabic_name' => 'وَخَلَقْنَا لَهُم مِّن مِّثْلِهِۦ مَا يَرْكَبُونَ','verse_number' => '42','verse_key' => '36:42','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3748','chapter_id' => '36','arabic_name' => 'وَإِن نَّشَأْ نُغْرِقْهُمْ فَلَا صَرِيخَ لَهُمْ وَلَا هُمْ يُنقَذُونَ','verse_number' => '43','verse_key' => '36:43','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3749','chapter_id' => '36','arabic_name' => 'إِلَّا رَحْمَةً مِّنَّا وَمَتَـٰعًا إِلَىٰ حِينٍ','verse_number' => '44','verse_key' => '36:44','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3750','chapter_id' => '36','arabic_name' => 'وَإِذَا قِيلَ لَهُمُ ٱتَّقُوا۟ مَا بَيْنَ أَيْدِيكُمْ وَمَا خَلْفَكُمْ لَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '45','verse_key' => '36:45','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3751','chapter_id' => '36','arabic_name' => 'وَمَا تَأْتِيهِم مِّنْ ءَايَةٍ مِّنْ ءَايَـٰتِ رَبِّهِمْ إِلَّا كَانُوا۟ عَنْهَا مُعْرِضِينَ','verse_number' => '46','verse_key' => '36:46','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3752','chapter_id' => '36','arabic_name' => 'وَإِذَا قِيلَ لَهُمْ أَنفِقُوا۟ مِمَّا رَزَقَكُمُ ٱللَّهُ قَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوٓا۟ أَنُطْعِمُ مَن لَّوْ يَشَآءُ ٱللَّهُ أَطْعَمَهُۥٓ إِنْ أَنتُمْ إِلَّا فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '47','verse_key' => '36:47','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3753','chapter_id' => '36','arabic_name' => 'وَيَقُولُونَ مَتَىٰ هَـٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '48','verse_key' => '36:48','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3754','chapter_id' => '36','arabic_name' => 'مَا يَنظُرُونَ إِلَّا صَيْحَةً وَٰحِدَةً تَأْخُذُهُمْ وَهُمْ يَخِصِّمُونَ','verse_number' => '49','verse_key' => '36:49','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3755','chapter_id' => '36','arabic_name' => 'فَلَا يَسْتَطِيعُونَ تَوْصِيَةً وَلَآ إِلَىٰٓ أَهْلِهِمْ يَرْجِعُونَ','verse_number' => '50','verse_key' => '36:50','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '385','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3756','chapter_id' => '36','arabic_name' => 'وَنُفِخَ فِى ٱلصُّورِ فَإِذَا هُم مِّنَ ٱلْأَجْدَاثِ إِلَىٰ رَبِّهِمْ يَنسِلُونَ','verse_number' => '51','verse_key' => '36:51','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3757','chapter_id' => '36','arabic_name' => 'قَالُوا۟ يَـٰوَيْلَنَا مَنۢ بَعَثَنَا مِن مَّرْقَدِنَا ۜ ۗ هَـٰذَا مَا وَعَدَ ٱلرَّحْمَـٰنُ وَصَدَقَ ٱلْمُرْسَلُونَ','verse_number' => '52','verse_key' => '36:52','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3758','chapter_id' => '36','arabic_name' => 'إِن كَانَتْ إِلَّا صَيْحَةً وَٰحِدَةً فَإِذَا هُمْ جَمِيعٌ لَّدَيْنَا مُحْضَرُونَ','verse_number' => '53','verse_key' => '36:53','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3759','chapter_id' => '36','arabic_name' => 'فَٱلْيَوْمَ لَا تُظْلَمُ نَفْسٌ شَيْـًٔا وَلَا تُجْزَوْنَ إِلَّا مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '54','verse_key' => '36:54','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '443','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3760','chapter_id' => '36','arabic_name' => 'إِنَّ أَصْحَـٰبَ ٱلْجَنَّةِ ٱلْيَوْمَ فِى شُغُلٍ فَـٰكِهُونَ','verse_number' => '55','verse_key' => '36:55','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3761','chapter_id' => '36','arabic_name' => 'هُمْ وَأَزْوَٰجُهُمْ فِى ظِلَـٰلٍ عَلَى ٱلْأَرَآئِكِ مُتَّكِـُٔونَ','verse_number' => '56','verse_key' => '36:56','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3762','chapter_id' => '36','arabic_name' => 'لَهُمْ فِيهَا فَـٰكِهَةٌ وَلَهُم مَّا يَدَّعُونَ','verse_number' => '57','verse_key' => '36:57','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3763','chapter_id' => '36','arabic_name' => 'سَلَـٰمٌ قَوْلًا مِّن رَّبٍّ رَّحِيمٍ','verse_number' => '58','verse_key' => '36:58','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3764','chapter_id' => '36','arabic_name' => 'وَٱمْتَـٰزُوا۟ ٱلْيَوْمَ أَيُّهَا ٱلْمُجْرِمُونَ','verse_number' => '59','verse_key' => '36:59','hizb_number' => '45','rub_el_hizb_number' => '177','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3765','chapter_id' => '36','arabic_name' => '۞ أَلَمْ أَعْهَدْ إِلَيْكُمْ يَـٰبَنِىٓ ءَادَمَ أَن لَّا تَعْبُدُوا۟ ٱلشَّيْطَـٰنَ ۖ إِنَّهُۥ لَكُمْ عَدُوٌّ مُّبِينٌ','verse_number' => '60','verse_key' => '36:60','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3766','chapter_id' => '36','arabic_name' => 'وَأَنِ ٱعْبُدُونِى ۚ هَـٰذَا صِرَٰطٌ مُّسْتَقِيمٌ','verse_number' => '61','verse_key' => '36:61','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3767','chapter_id' => '36','arabic_name' => 'وَلَقَدْ أَضَلَّ مِنكُمْ جِبِلًّا كَثِيرًا ۖ أَفَلَمْ تَكُونُوا۟ تَعْقِلُونَ','verse_number' => '62','verse_key' => '36:62','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3768','chapter_id' => '36','arabic_name' => 'هَـٰذِهِۦ جَهَنَّمُ ٱلَّتِى كُنتُمْ تُوعَدُونَ','verse_number' => '63','verse_key' => '36:63','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3769','chapter_id' => '36','arabic_name' => 'ٱصْلَوْهَا ٱلْيَوْمَ بِمَا كُنتُمْ تَكْفُرُونَ','verse_number' => '64','verse_key' => '36:64','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3770','chapter_id' => '36','arabic_name' => 'ٱلْيَوْمَ نَخْتِمُ عَلَىٰٓ أَفْوَٰهِهِمْ وَتُكَلِّمُنَآ أَيْدِيهِمْ وَتَشْهَدُ أَرْجُلُهُم بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '65','verse_key' => '36:65','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3771','chapter_id' => '36','arabic_name' => 'وَلَوْ نَشَآءُ لَطَمَسْنَا عَلَىٰٓ أَعْيُنِهِمْ فَٱسْتَبَقُوا۟ ٱلصِّرَٰطَ فَأَنَّىٰ يُبْصِرُونَ','verse_number' => '66','verse_key' => '36:66','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3772','chapter_id' => '36','arabic_name' => 'وَلَوْ نَشَآءُ لَمَسَخْنَـٰهُمْ عَلَىٰ مَكَانَتِهِمْ فَمَا ٱسْتَطَـٰعُوا۟ مُضِيًّا وَلَا يَرْجِعُونَ','verse_number' => '67','verse_key' => '36:67','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '386','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3773','chapter_id' => '36','arabic_name' => 'وَمَن نُّعَمِّرْهُ نُنَكِّسْهُ فِى ٱلْخَلْقِ ۖ أَفَلَا يَعْقِلُونَ','verse_number' => '68','verse_key' => '36:68','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3774','chapter_id' => '36','arabic_name' => 'وَمَا عَلَّمْنَـٰهُ ٱلشِّعْرَ وَمَا يَنۢبَغِى لَهُۥٓ ۚ إِنْ هُوَ إِلَّا ذِكْرٌ وَقُرْءَانٌ مُّبِينٌ','verse_number' => '69','verse_key' => '36:69','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3775','chapter_id' => '36','arabic_name' => 'لِّيُنذِرَ مَن كَانَ حَيًّا وَيَحِقَّ ٱلْقَوْلُ عَلَى ٱلْكَـٰفِرِينَ','verse_number' => '70','verse_key' => '36:70','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '444','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3776','chapter_id' => '36','arabic_name' => 'أَوَلَمْ يَرَوْا۟ أَنَّا خَلَقْنَا لَهُم مِّمَّا عَمِلَتْ أَيْدِينَآ أَنْعَـٰمًا فَهُمْ لَهَا مَـٰلِكُونَ','verse_number' => '71','verse_key' => '36:71','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3777','chapter_id' => '36','arabic_name' => 'وَذَلَّلْنَـٰهَا لَهُمْ فَمِنْهَا رَكُوبُهُمْ وَمِنْهَا يَأْكُلُونَ','verse_number' => '72','verse_key' => '36:72','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3778','chapter_id' => '36','arabic_name' => 'وَلَهُمْ فِيهَا مَنَـٰفِعُ وَمَشَارِبُ ۖ أَفَلَا يَشْكُرُونَ','verse_number' => '73','verse_key' => '36:73','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3779','chapter_id' => '36','arabic_name' => 'وَٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ ءَالِهَةً لَّعَلَّهُمْ يُنصَرُونَ','verse_number' => '74','verse_key' => '36:74','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3780','chapter_id' => '36','arabic_name' => 'لَا يَسْتَطِيعُونَ نَصْرَهُمْ وَهُمْ لَهُمْ جُندٌ مُّحْضَرُونَ','verse_number' => '75','verse_key' => '36:75','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3781','chapter_id' => '36','arabic_name' => 'فَلَا يَحْزُنكَ قَوْلُهُمْ ۘ إِنَّا نَعْلَمُ مَا يُسِرُّونَ وَمَا يُعْلِنُونَ','verse_number' => '76','verse_key' => '36:76','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3782','chapter_id' => '36','arabic_name' => 'أَوَلَمْ يَرَ ٱلْإِنسَـٰنُ أَنَّا خَلَقْنَـٰهُ مِن نُّطْفَةٍ فَإِذَا هُوَ خَصِيمٌ مُّبِينٌ','verse_number' => '77','verse_key' => '36:77','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3783','chapter_id' => '36','arabic_name' => 'وَضَرَبَ لَنَا مَثَلًا وَنَسِىَ خَلْقَهُۥ ۖ قَالَ مَن يُحْىِ ٱلْعِظَـٰمَ وَهِىَ رَمِيمٌ','verse_number' => '78','verse_key' => '36:78','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3784','chapter_id' => '36','arabic_name' => 'قُلْ يُحْيِيهَا ٱلَّذِىٓ أَنشَأَهَآ أَوَّلَ مَرَّةٍ ۖ وَهُوَ بِكُلِّ خَلْقٍ عَلِيمٌ','verse_number' => '79','verse_key' => '36:79','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3785','chapter_id' => '36','arabic_name' => 'ٱلَّذِى جَعَلَ لَكُم مِّنَ ٱلشَّجَرِ ٱلْأَخْضَرِ نَارًا فَإِذَآ أَنتُم مِّنْهُ تُوقِدُونَ','verse_number' => '80','verse_key' => '36:80','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3786','chapter_id' => '36','arabic_name' => 'أَوَلَيْسَ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِقَـٰدِرٍ عَلَىٰٓ أَن يَخْلُقَ مِثْلَهُم ۚ بَلَىٰ وَهُوَ ٱلْخَلَّـٰقُ ٱلْعَلِيمُ','verse_number' => '81','verse_key' => '36:81','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3787','chapter_id' => '36','arabic_name' => 'إِنَّمَآ أَمْرُهُۥٓ إِذَآ أَرَادَ شَيْـًٔا أَن يَقُولَ لَهُۥ كُن فَيَكُونُ','verse_number' => '82','verse_key' => '36:82','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3788','chapter_id' => '36','arabic_name' => 'فَسُبْحَـٰنَ ٱلَّذِى بِيَدِهِۦ مَلَكُوتُ كُلِّ شَىْءٍ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '83','verse_key' => '36:83','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '387','manzil_number' => '5','sajdah_number' => '0','page_number' => '445','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3789','chapter_id' => '37','arabic_name' => 'وَٱلصَّـٰٓفَّـٰتِ صَفًّا','verse_number' => '1','verse_key' => '37:1','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3790','chapter_id' => '37','arabic_name' => 'فَٱلزَّٰجِرَٰتِ زَجْرًا','verse_number' => '2','verse_key' => '37:2','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3791','chapter_id' => '37','arabic_name' => 'فَٱلتَّـٰلِيَـٰتِ ذِكْرًا','verse_number' => '3','verse_key' => '37:3','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3792','chapter_id' => '37','arabic_name' => 'إِنَّ إِلَـٰهَكُمْ لَوَٰحِدٌ','verse_number' => '4','verse_key' => '37:4','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3793','chapter_id' => '37','arabic_name' => 'رَّبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا وَرَبُّ ٱلْمَشَـٰرِقِ','verse_number' => '5','verse_key' => '37:5','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3794','chapter_id' => '37','arabic_name' => 'إِنَّا زَيَّنَّا ٱلسَّمَآءَ ٱلدُّنْيَا بِزِينَةٍ ٱلْكَوَاكِبِ','verse_number' => '6','verse_key' => '37:6','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3795','chapter_id' => '37','arabic_name' => 'وَحِفْظًا مِّن كُلِّ شَيْطَـٰنٍ مَّارِدٍ','verse_number' => '7','verse_key' => '37:7','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3796','chapter_id' => '37','arabic_name' => 'لَّا يَسَّمَّعُونَ إِلَى ٱلْمَلَإِ ٱلْأَعْلَىٰ وَيُقْذَفُونَ مِن كُلِّ جَانِبٍ','verse_number' => '8','verse_key' => '37:8','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3797','chapter_id' => '37','arabic_name' => 'دُحُورًا ۖ وَلَهُمْ عَذَابٌ وَاصِبٌ','verse_number' => '9','verse_key' => '37:9','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3798','chapter_id' => '37','arabic_name' => 'إِلَّا مَنْ خَطِفَ ٱلْخَطْفَةَ فَأَتْبَعَهُۥ شِهَابٌ ثَاقِبٌ','verse_number' => '10','verse_key' => '37:10','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3799','chapter_id' => '37','arabic_name' => 'فَٱسْتَفْتِهِمْ أَهُمْ أَشَدُّ خَلْقًا أَم مَّنْ خَلَقْنَآ ۚ إِنَّا خَلَقْنَـٰهُم مِّن طِينٍ لَّازِبٍۭ','verse_number' => '11','verse_key' => '37:11','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3800','chapter_id' => '37','arabic_name' => 'بَلْ عَجِبْتَ وَيَسْخَرُونَ','verse_number' => '12','verse_key' => '37:12','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3801','chapter_id' => '37','arabic_name' => 'وَإِذَا ذُكِّرُوا۟ لَا يَذْكُرُونَ','verse_number' => '13','verse_key' => '37:13','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3802','chapter_id' => '37','arabic_name' => 'وَإِذَا رَأَوْا۟ ءَايَةً يَسْتَسْخِرُونَ','verse_number' => '14','verse_key' => '37:14','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3803','chapter_id' => '37','arabic_name' => 'وَقَالُوٓا۟ إِنْ هَـٰذَآ إِلَّا سِحْرٌ مُّبِينٌ','verse_number' => '15','verse_key' => '37:15','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3804','chapter_id' => '37','arabic_name' => 'أَءِذَا مِتْنَا وَكُنَّا تُرَابًا وَعِظَـٰمًا أَءِنَّا لَمَبْعُوثُونَ','verse_number' => '16','verse_key' => '37:16','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3805','chapter_id' => '37','arabic_name' => 'أَوَءَابَآؤُنَا ٱلْأَوَّلُونَ','verse_number' => '17','verse_key' => '37:17','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3806','chapter_id' => '37','arabic_name' => 'قُلْ نَعَمْ وَأَنتُمْ دَٰخِرُونَ','verse_number' => '18','verse_key' => '37:18','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3807','chapter_id' => '37','arabic_name' => 'فَإِنَّمَا هِىَ زَجْرَةٌ وَٰحِدَةٌ فَإِذَا هُمْ يَنظُرُونَ','verse_number' => '19','verse_key' => '37:19','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3808','chapter_id' => '37','arabic_name' => 'وَقَالُوا۟ يَـٰوَيْلَنَا هَـٰذَا يَوْمُ ٱلدِّينِ','verse_number' => '20','verse_key' => '37:20','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3809','chapter_id' => '37','arabic_name' => 'هَـٰذَا يَوْمُ ٱلْفَصْلِ ٱلَّذِى كُنتُم بِهِۦ تُكَذِّبُونَ','verse_number' => '21','verse_key' => '37:21','hizb_number' => '45','rub_el_hizb_number' => '178','ruku_number' => '388','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3810','chapter_id' => '37','arabic_name' => '۞ ٱحْشُرُوا۟ ٱلَّذِينَ ظَلَمُوا۟ وَأَزْوَٰجَهُمْ وَمَا كَانُوا۟ يَعْبُدُونَ','verse_number' => '22','verse_key' => '37:22','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3811','chapter_id' => '37','arabic_name' => 'مِن دُونِ ٱللَّهِ فَٱهْدُوهُمْ إِلَىٰ صِرَٰطِ ٱلْجَحِيمِ','verse_number' => '23','verse_key' => '37:23','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3812','chapter_id' => '37','arabic_name' => 'وَقِفُوهُمْ ۖ إِنَّهُم مَّسْـُٔولُونَ','verse_number' => '24','verse_key' => '37:24','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '446','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3813','chapter_id' => '37','arabic_name' => 'مَا لَكُمْ لَا تَنَاصَرُونَ','verse_number' => '25','verse_key' => '37:25','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3814','chapter_id' => '37','arabic_name' => 'بَلْ هُمُ ٱلْيَوْمَ مُسْتَسْلِمُونَ','verse_number' => '26','verse_key' => '37:26','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3815','chapter_id' => '37','arabic_name' => 'وَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍ يَتَسَآءَلُونَ','verse_number' => '27','verse_key' => '37:27','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3816','chapter_id' => '37','arabic_name' => 'قَالُوٓا۟ إِنَّكُمْ كُنتُمْ تَأْتُونَنَا عَنِ ٱلْيَمِينِ','verse_number' => '28','verse_key' => '37:28','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3817','chapter_id' => '37','arabic_name' => 'قَالُوا۟ بَل لَّمْ تَكُونُوا۟ مُؤْمِنِينَ','verse_number' => '29','verse_key' => '37:29','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3818','chapter_id' => '37','arabic_name' => 'وَمَا كَانَ لَنَا عَلَيْكُم مِّن سُلْطَـٰنٍۭ ۖ بَلْ كُنتُمْ قَوْمًا طَـٰغِينَ','verse_number' => '30','verse_key' => '37:30','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3819','chapter_id' => '37','arabic_name' => 'فَحَقَّ عَلَيْنَا قَوْلُ رَبِّنَآ ۖ إِنَّا لَذَآئِقُونَ','verse_number' => '31','verse_key' => '37:31','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3820','chapter_id' => '37','arabic_name' => 'فَأَغْوَيْنَـٰكُمْ إِنَّا كُنَّا غَـٰوِينَ','verse_number' => '32','verse_key' => '37:32','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3821','chapter_id' => '37','arabic_name' => 'فَإِنَّهُمْ يَوْمَئِذٍ فِى ٱلْعَذَابِ مُشْتَرِكُونَ','verse_number' => '33','verse_key' => '37:33','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3822','chapter_id' => '37','arabic_name' => 'إِنَّا كَذَٰلِكَ نَفْعَلُ بِٱلْمُجْرِمِينَ','verse_number' => '34','verse_key' => '37:34','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3823','chapter_id' => '37','arabic_name' => 'إِنَّهُمْ كَانُوٓا۟ إِذَا قِيلَ لَهُمْ لَآ إِلَـٰهَ إِلَّا ٱللَّهُ يَسْتَكْبِرُونَ','verse_number' => '35','verse_key' => '37:35','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3824','chapter_id' => '37','arabic_name' => 'وَيَقُولُونَ أَئِنَّا لَتَارِكُوٓا۟ ءَالِهَتِنَا لِشَاعِرٍ مَّجْنُونٍۭ','verse_number' => '36','verse_key' => '37:36','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3825','chapter_id' => '37','arabic_name' => 'بَلْ جَآءَ بِٱلْحَقِّ وَصَدَّقَ ٱلْمُرْسَلِينَ','verse_number' => '37','verse_key' => '37:37','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3826','chapter_id' => '37','arabic_name' => 'إِنَّكُمْ لَذَآئِقُوا۟ ٱلْعَذَابِ ٱلْأَلِيمِ','verse_number' => '38','verse_key' => '37:38','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3827','chapter_id' => '37','arabic_name' => 'وَمَا تُجْزَوْنَ إِلَّا مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '39','verse_key' => '37:39','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3828','chapter_id' => '37','arabic_name' => 'إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ','verse_number' => '40','verse_key' => '37:40','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3829','chapter_id' => '37','arabic_name' => 'أُو۟لَـٰٓئِكَ لَهُمْ رِزْقٌ مَّعْلُومٌ','verse_number' => '41','verse_key' => '37:41','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3830','chapter_id' => '37','arabic_name' => 'فَوَٰكِهُ ۖ وَهُم مُّكْرَمُونَ','verse_number' => '42','verse_key' => '37:42','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3831','chapter_id' => '37','arabic_name' => 'فِى جَنَّـٰتِ ٱلنَّعِيمِ','verse_number' => '43','verse_key' => '37:43','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3832','chapter_id' => '37','arabic_name' => 'عَلَىٰ سُرُرٍ مُّتَقَـٰبِلِينَ','verse_number' => '44','verse_key' => '37:44','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3833','chapter_id' => '37','arabic_name' => 'يُطَافُ عَلَيْهِم بِكَأْسٍ مِّن مَّعِينٍۭ','verse_number' => '45','verse_key' => '37:45','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3834','chapter_id' => '37','arabic_name' => 'بَيْضَآءَ لَذَّةٍ لِّلشَّـٰرِبِينَ','verse_number' => '46','verse_key' => '37:46','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3835','chapter_id' => '37','arabic_name' => 'لَا فِيهَا غَوْلٌ وَلَا هُمْ عَنْهَا يُنزَفُونَ','verse_number' => '47','verse_key' => '37:47','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3836','chapter_id' => '37','arabic_name' => 'وَعِندَهُمْ قَـٰصِرَٰتُ ٱلطَّرْفِ عِينٌ','verse_number' => '48','verse_key' => '37:48','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3837','chapter_id' => '37','arabic_name' => 'كَأَنَّهُنَّ بَيْضٌ مَّكْنُونٌ','verse_number' => '49','verse_key' => '37:49','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3838','chapter_id' => '37','arabic_name' => 'فَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍ يَتَسَآءَلُونَ','verse_number' => '50','verse_key' => '37:50','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3839','chapter_id' => '37','arabic_name' => 'قَالَ قَآئِلٌ مِّنْهُمْ إِنِّى كَانَ لِى قَرِينٌ','verse_number' => '51','verse_key' => '37:51','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '447','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3840','chapter_id' => '37','arabic_name' => 'يَقُولُ أَءِنَّكَ لَمِنَ ٱلْمُصَدِّقِينَ','verse_number' => '52','verse_key' => '37:52','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3841','chapter_id' => '37','arabic_name' => 'أَءِذَا مِتْنَا وَكُنَّا تُرَابًا وَعِظَـٰمًا أَءِنَّا لَمَدِينُونَ','verse_number' => '53','verse_key' => '37:53','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3842','chapter_id' => '37','arabic_name' => 'قَالَ هَلْ أَنتُم مُّطَّلِعُونَ','verse_number' => '54','verse_key' => '37:54','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3843','chapter_id' => '37','arabic_name' => 'فَٱطَّلَعَ فَرَءَاهُ فِى سَوَآءِ ٱلْجَحِيمِ','verse_number' => '55','verse_key' => '37:55','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3844','chapter_id' => '37','arabic_name' => 'قَالَ تَٱللَّهِ إِن كِدتَّ لَتُرْدِينِ','verse_number' => '56','verse_key' => '37:56','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3845','chapter_id' => '37','arabic_name' => 'وَلَوْلَا نِعْمَةُ رَبِّى لَكُنتُ مِنَ ٱلْمُحْضَرِينَ','verse_number' => '57','verse_key' => '37:57','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3846','chapter_id' => '37','arabic_name' => 'أَفَمَا نَحْنُ بِمَيِّتِينَ','verse_number' => '58','verse_key' => '37:58','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3847','chapter_id' => '37','arabic_name' => 'إِلَّا مَوْتَتَنَا ٱلْأُولَىٰ وَمَا نَحْنُ بِمُعَذَّبِينَ','verse_number' => '59','verse_key' => '37:59','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3848','chapter_id' => '37','arabic_name' => 'إِنَّ هَـٰذَا لَهُوَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '60','verse_key' => '37:60','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3849','chapter_id' => '37','arabic_name' => 'لِمِثْلِ هَـٰذَا فَلْيَعْمَلِ ٱلْعَـٰمِلُونَ','verse_number' => '61','verse_key' => '37:61','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3850','chapter_id' => '37','arabic_name' => 'أَذَٰلِكَ خَيْرٌ نُّزُلًا أَمْ شَجَرَةُ ٱلزَّقُّومِ','verse_number' => '62','verse_key' => '37:62','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3851','chapter_id' => '37','arabic_name' => 'إِنَّا جَعَلْنَـٰهَا فِتْنَةً لِّلظَّـٰلِمِينَ','verse_number' => '63','verse_key' => '37:63','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3852','chapter_id' => '37','arabic_name' => 'إِنَّهَا شَجَرَةٌ تَخْرُجُ فِىٓ أَصْلِ ٱلْجَحِيمِ','verse_number' => '64','verse_key' => '37:64','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3853','chapter_id' => '37','arabic_name' => 'طَلْعُهَا كَأَنَّهُۥ رُءُوسُ ٱلشَّيَـٰطِينِ','verse_number' => '65','verse_key' => '37:65','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3854','chapter_id' => '37','arabic_name' => 'فَإِنَّهُمْ لَـَٔاكِلُونَ مِنْهَا فَمَالِـُٔونَ مِنْهَا ٱلْبُطُونَ','verse_number' => '66','verse_key' => '37:66','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3855','chapter_id' => '37','arabic_name' => 'ثُمَّ إِنَّ لَهُمْ عَلَيْهَا لَشَوْبًا مِّنْ حَمِيمٍ','verse_number' => '67','verse_key' => '37:67','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3856','chapter_id' => '37','arabic_name' => 'ثُمَّ إِنَّ مَرْجِعَهُمْ لَإِلَى ٱلْجَحِيمِ','verse_number' => '68','verse_key' => '37:68','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3857','chapter_id' => '37','arabic_name' => 'إِنَّهُمْ أَلْفَوْا۟ ءَابَآءَهُمْ ضَآلِّينَ','verse_number' => '69','verse_key' => '37:69','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3858','chapter_id' => '37','arabic_name' => 'فَهُمْ عَلَىٰٓ ءَاثَـٰرِهِمْ يُهْرَعُونَ','verse_number' => '70','verse_key' => '37:70','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3859','chapter_id' => '37','arabic_name' => 'وَلَقَدْ ضَلَّ قَبْلَهُمْ أَكْثَرُ ٱلْأَوَّلِينَ','verse_number' => '71','verse_key' => '37:71','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3860','chapter_id' => '37','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا فِيهِم مُّنذِرِينَ','verse_number' => '72','verse_key' => '37:72','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3861','chapter_id' => '37','arabic_name' => 'فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُنذَرِينَ','verse_number' => '73','verse_key' => '37:73','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3862','chapter_id' => '37','arabic_name' => 'إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ','verse_number' => '74','verse_key' => '37:74','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '389','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3863','chapter_id' => '37','arabic_name' => 'وَلَقَدْ نَادَىٰنَا نُوحٌ فَلَنِعْمَ ٱلْمُجِيبُونَ','verse_number' => '75','verse_key' => '37:75','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3864','chapter_id' => '37','arabic_name' => 'وَنَجَّيْنَـٰهُ وَأَهْلَهُۥ مِنَ ٱلْكَرْبِ ٱلْعَظِيمِ','verse_number' => '76','verse_key' => '37:76','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '448','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3865','chapter_id' => '37','arabic_name' => 'وَجَعَلْنَا ذُرِّيَّتَهُۥ هُمُ ٱلْبَاقِينَ','verse_number' => '77','verse_key' => '37:77','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3866','chapter_id' => '37','arabic_name' => 'وَتَرَكْنَا عَلَيْهِ فِى ٱلْـَٔاخِرِينَ','verse_number' => '78','verse_key' => '37:78','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3867','chapter_id' => '37','arabic_name' => 'سَلَـٰمٌ عَلَىٰ نُوحٍ فِى ٱلْعَـٰلَمِينَ','verse_number' => '79','verse_key' => '37:79','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3868','chapter_id' => '37','arabic_name' => 'إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '80','verse_key' => '37:80','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3869','chapter_id' => '37','arabic_name' => 'إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ','verse_number' => '81','verse_key' => '37:81','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3870','chapter_id' => '37','arabic_name' => 'ثُمَّ أَغْرَقْنَا ٱلْـَٔاخَرِينَ','verse_number' => '82','verse_key' => '37:82','hizb_number' => '45','rub_el_hizb_number' => '179','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3871','chapter_id' => '37','arabic_name' => '۞ وَإِنَّ مِن شِيعَتِهِۦ لَإِبْرَٰهِيمَ','verse_number' => '83','verse_key' => '37:83','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3872','chapter_id' => '37','arabic_name' => 'إِذْ جَآءَ رَبَّهُۥ بِقَلْبٍ سَلِيمٍ','verse_number' => '84','verse_key' => '37:84','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3873','chapter_id' => '37','arabic_name' => 'إِذْ قَالَ لِأَبِيهِ وَقَوْمِهِۦ مَاذَا تَعْبُدُونَ','verse_number' => '85','verse_key' => '37:85','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3874','chapter_id' => '37','arabic_name' => 'أَئِفْكًا ءَالِهَةً دُونَ ٱللَّهِ تُرِيدُونَ','verse_number' => '86','verse_key' => '37:86','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3875','chapter_id' => '37','arabic_name' => 'فَمَا ظَنُّكُم بِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '87','verse_key' => '37:87','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3876','chapter_id' => '37','arabic_name' => 'فَنَظَرَ نَظْرَةً فِى ٱلنُّجُومِ','verse_number' => '88','verse_key' => '37:88','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3877','chapter_id' => '37','arabic_name' => 'فَقَالَ إِنِّى سَقِيمٌ','verse_number' => '89','verse_key' => '37:89','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3878','chapter_id' => '37','arabic_name' => 'فَتَوَلَّوْا۟ عَنْهُ مُدْبِرِينَ','verse_number' => '90','verse_key' => '37:90','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3879','chapter_id' => '37','arabic_name' => 'فَرَاغَ إِلَىٰٓ ءَالِهَتِهِمْ فَقَالَ أَلَا تَأْكُلُونَ','verse_number' => '91','verse_key' => '37:91','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3880','chapter_id' => '37','arabic_name' => 'مَا لَكُمْ لَا تَنطِقُونَ','verse_number' => '92','verse_key' => '37:92','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3881','chapter_id' => '37','arabic_name' => 'فَرَاغَ عَلَيْهِمْ ضَرْبًۢا بِٱلْيَمِينِ','verse_number' => '93','verse_key' => '37:93','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3882','chapter_id' => '37','arabic_name' => 'فَأَقْبَلُوٓا۟ إِلَيْهِ يَزِفُّونَ','verse_number' => '94','verse_key' => '37:94','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3883','chapter_id' => '37','arabic_name' => 'قَالَ أَتَعْبُدُونَ مَا تَنْحِتُونَ','verse_number' => '95','verse_key' => '37:95','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3884','chapter_id' => '37','arabic_name' => 'وَٱللَّهُ خَلَقَكُمْ وَمَا تَعْمَلُونَ','verse_number' => '96','verse_key' => '37:96','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3885','chapter_id' => '37','arabic_name' => 'قَالُوا۟ ٱبْنُوا۟ لَهُۥ بُنْيَـٰنًا فَأَلْقُوهُ فِى ٱلْجَحِيمِ','verse_number' => '97','verse_key' => '37:97','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3886','chapter_id' => '37','arabic_name' => 'فَأَرَادُوا۟ بِهِۦ كَيْدًا فَجَعَلْنَـٰهُمُ ٱلْأَسْفَلِينَ','verse_number' => '98','verse_key' => '37:98','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3887','chapter_id' => '37','arabic_name' => 'وَقَالَ إِنِّى ذَاهِبٌ إِلَىٰ رَبِّى سَيَهْدِينِ','verse_number' => '99','verse_key' => '37:99','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3888','chapter_id' => '37','arabic_name' => 'رَبِّ هَبْ لِى مِنَ ٱلصَّـٰلِحِينَ','verse_number' => '100','verse_key' => '37:100','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3889','chapter_id' => '37','arabic_name' => 'فَبَشَّرْنَـٰهُ بِغُلَـٰمٍ حَلِيمٍ','verse_number' => '101','verse_key' => '37:101','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3890','chapter_id' => '37','arabic_name' => 'فَلَمَّا بَلَغَ مَعَهُ ٱلسَّعْىَ قَالَ يَـٰبُنَىَّ إِنِّىٓ أَرَىٰ فِى ٱلْمَنَامِ أَنِّىٓ أَذْبَحُكَ فَٱنظُرْ مَاذَا تَرَىٰ ۚ قَالَ يَـٰٓأَبَتِ ٱفْعَلْ مَا تُؤْمَرُ ۖ سَتَجِدُنِىٓ إِن شَآءَ ٱللَّهُ مِنَ ٱلصَّـٰبِرِينَ','verse_number' => '102','verse_key' => '37:102','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '449','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3891','chapter_id' => '37','arabic_name' => 'فَلَمَّآ أَسْلَمَا وَتَلَّهُۥ لِلْجَبِينِ','verse_number' => '103','verse_key' => '37:103','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3892','chapter_id' => '37','arabic_name' => 'وَنَـٰدَيْنَـٰهُ أَن يَـٰٓإِبْرَٰهِيمُ','verse_number' => '104','verse_key' => '37:104','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3893','chapter_id' => '37','arabic_name' => 'قَدْ صَدَّقْتَ ٱلرُّءْيَآ ۚ إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '105','verse_key' => '37:105','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3894','chapter_id' => '37','arabic_name' => 'إِنَّ هَـٰذَا لَهُوَ ٱلْبَلَـٰٓؤُا۟ ٱلْمُبِينُ','verse_number' => '106','verse_key' => '37:106','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3895','chapter_id' => '37','arabic_name' => 'وَفَدَيْنَـٰهُ بِذِبْحٍ عَظِيمٍ','verse_number' => '107','verse_key' => '37:107','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3896','chapter_id' => '37','arabic_name' => 'وَتَرَكْنَا عَلَيْهِ فِى ٱلْـَٔاخِرِينَ','verse_number' => '108','verse_key' => '37:108','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3897','chapter_id' => '37','arabic_name' => 'سَلَـٰمٌ عَلَىٰٓ إِبْرَٰهِيمَ','verse_number' => '109','verse_key' => '37:109','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3898','chapter_id' => '37','arabic_name' => 'كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '110','verse_key' => '37:110','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3899','chapter_id' => '37','arabic_name' => 'إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ','verse_number' => '111','verse_key' => '37:111','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3900','chapter_id' => '37','arabic_name' => 'وَبَشَّرْنَـٰهُ بِإِسْحَـٰقَ نَبِيًّا مِّنَ ٱلصَّـٰلِحِينَ','verse_number' => '112','verse_key' => '37:112','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3901','chapter_id' => '37','arabic_name' => 'وَبَـٰرَكْنَا عَلَيْهِ وَعَلَىٰٓ إِسْحَـٰقَ ۚ وَمِن ذُرِّيَّتِهِمَا مُحْسِنٌ وَظَالِمٌ لِّنَفْسِهِۦ مُبِينٌ','verse_number' => '113','verse_key' => '37:113','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '390','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3902','chapter_id' => '37','arabic_name' => 'وَلَقَدْ مَنَنَّا عَلَىٰ مُوسَىٰ وَهَـٰرُونَ','verse_number' => '114','verse_key' => '37:114','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3903','chapter_id' => '37','arabic_name' => 'وَنَجَّيْنَـٰهُمَا وَقَوْمَهُمَا مِنَ ٱلْكَرْبِ ٱلْعَظِيمِ','verse_number' => '115','verse_key' => '37:115','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3904','chapter_id' => '37','arabic_name' => 'وَنَصَرْنَـٰهُمْ فَكَانُوا۟ هُمُ ٱلْغَـٰلِبِينَ','verse_number' => '116','verse_key' => '37:116','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3905','chapter_id' => '37','arabic_name' => 'وَءَاتَيْنَـٰهُمَا ٱلْكِتَـٰبَ ٱلْمُسْتَبِينَ','verse_number' => '117','verse_key' => '37:117','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3906','chapter_id' => '37','arabic_name' => 'وَهَدَيْنَـٰهُمَا ٱلصِّرَٰطَ ٱلْمُسْتَقِيمَ','verse_number' => '118','verse_key' => '37:118','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3907','chapter_id' => '37','arabic_name' => 'وَتَرَكْنَا عَلَيْهِمَا فِى ٱلْـَٔاخِرِينَ','verse_number' => '119','verse_key' => '37:119','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3908','chapter_id' => '37','arabic_name' => 'سَلَـٰمٌ عَلَىٰ مُوسَىٰ وَهَـٰرُونَ','verse_number' => '120','verse_key' => '37:120','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3909','chapter_id' => '37','arabic_name' => 'إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '121','verse_key' => '37:121','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3910','chapter_id' => '37','arabic_name' => 'إِنَّهُمَا مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ','verse_number' => '122','verse_key' => '37:122','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3911','chapter_id' => '37','arabic_name' => 'وَإِنَّ إِلْيَاسَ لَمِنَ ٱلْمُرْسَلِينَ','verse_number' => '123','verse_key' => '37:123','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3912','chapter_id' => '37','arabic_name' => 'إِذْ قَالَ لِقَوْمِهِۦٓ أَلَا تَتَّقُونَ','verse_number' => '124','verse_key' => '37:124','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3913','chapter_id' => '37','arabic_name' => 'أَتَدْعُونَ بَعْلًا وَتَذَرُونَ أَحْسَنَ ٱلْخَـٰلِقِينَ','verse_number' => '125','verse_key' => '37:125','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3914','chapter_id' => '37','arabic_name' => 'ٱللَّهَ رَبَّكُمْ وَرَبَّ ءَابَآئِكُمُ ٱلْأَوَّلِينَ','verse_number' => '126','verse_key' => '37:126','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '450','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3915','chapter_id' => '37','arabic_name' => 'فَكَذَّبُوهُ فَإِنَّهُمْ لَمُحْضَرُونَ','verse_number' => '127','verse_key' => '37:127','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3916','chapter_id' => '37','arabic_name' => 'إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ','verse_number' => '128','verse_key' => '37:128','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3917','chapter_id' => '37','arabic_name' => 'وَتَرَكْنَا عَلَيْهِ فِى ٱلْـَٔاخِرِينَ','verse_number' => '129','verse_key' => '37:129','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3918','chapter_id' => '37','arabic_name' => 'سَلَـٰمٌ عَلَىٰٓ إِلْ يَاسِينَ','verse_number' => '130','verse_key' => '37:130','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3919','chapter_id' => '37','arabic_name' => 'إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '131','verse_key' => '37:131','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3920','chapter_id' => '37','arabic_name' => 'إِنَّهُۥ مِنْ عِبَادِنَا ٱلْمُؤْمِنِينَ','verse_number' => '132','verse_key' => '37:132','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3921','chapter_id' => '37','arabic_name' => 'وَإِنَّ لُوطًا لَّمِنَ ٱلْمُرْسَلِينَ','verse_number' => '133','verse_key' => '37:133','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3922','chapter_id' => '37','arabic_name' => 'إِذْ نَجَّيْنَـٰهُ وَأَهْلَهُۥٓ أَجْمَعِينَ','verse_number' => '134','verse_key' => '37:134','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3923','chapter_id' => '37','arabic_name' => 'إِلَّا عَجُوزًا فِى ٱلْغَـٰبِرِينَ','verse_number' => '135','verse_key' => '37:135','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3924','chapter_id' => '37','arabic_name' => 'ثُمَّ دَمَّرْنَا ٱلْـَٔاخَرِينَ','verse_number' => '136','verse_key' => '37:136','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3925','chapter_id' => '37','arabic_name' => 'وَإِنَّكُمْ لَتَمُرُّونَ عَلَيْهِم مُّصْبِحِينَ','verse_number' => '137','verse_key' => '37:137','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3926','chapter_id' => '37','arabic_name' => 'وَبِٱلَّيْلِ ۗ أَفَلَا تَعْقِلُونَ','verse_number' => '138','verse_key' => '37:138','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '391','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3927','chapter_id' => '37','arabic_name' => 'وَإِنَّ يُونُسَ لَمِنَ ٱلْمُرْسَلِينَ','verse_number' => '139','verse_key' => '37:139','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3928','chapter_id' => '37','arabic_name' => 'إِذْ أَبَقَ إِلَى ٱلْفُلْكِ ٱلْمَشْحُونِ','verse_number' => '140','verse_key' => '37:140','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3929','chapter_id' => '37','arabic_name' => 'فَسَاهَمَ فَكَانَ مِنَ ٱلْمُدْحَضِينَ','verse_number' => '141','verse_key' => '37:141','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3930','chapter_id' => '37','arabic_name' => 'فَٱلْتَقَمَهُ ٱلْحُوتُ وَهُوَ مُلِيمٌ','verse_number' => '142','verse_key' => '37:142','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3931','chapter_id' => '37','arabic_name' => 'فَلَوْلَآ أَنَّهُۥ كَانَ مِنَ ٱلْمُسَبِّحِينَ','verse_number' => '143','verse_key' => '37:143','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3932','chapter_id' => '37','arabic_name' => 'لَلَبِثَ فِى بَطْنِهِۦٓ إِلَىٰ يَوْمِ يُبْعَثُونَ','verse_number' => '144','verse_key' => '37:144','hizb_number' => '45','rub_el_hizb_number' => '180','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3933','chapter_id' => '37','arabic_name' => '۞ فَنَبَذْنَـٰهُ بِٱلْعَرَآءِ وَهُوَ سَقِيمٌ','verse_number' => '145','verse_key' => '37:145','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3934','chapter_id' => '37','arabic_name' => 'وَأَنۢبَتْنَا عَلَيْهِ شَجَرَةً مِّن يَقْطِينٍ','verse_number' => '146','verse_key' => '37:146','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3935','chapter_id' => '37','arabic_name' => 'وَأَرْسَلْنَـٰهُ إِلَىٰ مِا۟ئَةِ أَلْفٍ أَوْ يَزِيدُونَ','verse_number' => '147','verse_key' => '37:147','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3936','chapter_id' => '37','arabic_name' => 'فَـَٔامَنُوا۟ فَمَتَّعْنَـٰهُمْ إِلَىٰ حِينٍ','verse_number' => '148','verse_key' => '37:148','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3937','chapter_id' => '37','arabic_name' => 'فَٱسْتَفْتِهِمْ أَلِرَبِّكَ ٱلْبَنَاتُ وَلَهُمُ ٱلْبَنُونَ','verse_number' => '149','verse_key' => '37:149','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3938','chapter_id' => '37','arabic_name' => 'أَمْ خَلَقْنَا ٱلْمَلَـٰٓئِكَةَ إِنَـٰثًا وَهُمْ شَـٰهِدُونَ','verse_number' => '150','verse_key' => '37:150','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3939','chapter_id' => '37','arabic_name' => 'أَلَآ إِنَّهُم مِّنْ إِفْكِهِمْ لَيَقُولُونَ','verse_number' => '151','verse_key' => '37:151','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3940','chapter_id' => '37','arabic_name' => 'وَلَدَ ٱللَّهُ وَإِنَّهُمْ لَكَـٰذِبُونَ','verse_number' => '152','verse_key' => '37:152','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3941','chapter_id' => '37','arabic_name' => 'أَصْطَفَى ٱلْبَنَاتِ عَلَى ٱلْبَنِينَ','verse_number' => '153','verse_key' => '37:153','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '451','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3942','chapter_id' => '37','arabic_name' => 'مَا لَكُمْ كَيْفَ تَحْكُمُونَ','verse_number' => '154','verse_key' => '37:154','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3943','chapter_id' => '37','arabic_name' => 'أَفَلَا تَذَكَّرُونَ','verse_number' => '155','verse_key' => '37:155','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3944','chapter_id' => '37','arabic_name' => 'أَمْ لَكُمْ سُلْطَـٰنٌ مُّبِينٌ','verse_number' => '156','verse_key' => '37:156','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3945','chapter_id' => '37','arabic_name' => 'فَأْتُوا۟ بِكِتَـٰبِكُمْ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '157','verse_key' => '37:157','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3946','chapter_id' => '37','arabic_name' => 'وَجَعَلُوا۟ بَيْنَهُۥ وَبَيْنَ ٱلْجِنَّةِ نَسَبًا ۚ وَلَقَدْ عَلِمَتِ ٱلْجِنَّةُ إِنَّهُمْ لَمُحْضَرُونَ','verse_number' => '158','verse_key' => '37:158','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3947','chapter_id' => '37','arabic_name' => 'سُبْحَـٰنَ ٱللَّهِ عَمَّا يَصِفُونَ','verse_number' => '159','verse_key' => '37:159','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3948','chapter_id' => '37','arabic_name' => 'إِلَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ','verse_number' => '160','verse_key' => '37:160','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3949','chapter_id' => '37','arabic_name' => 'فَإِنَّكُمْ وَمَا تَعْبُدُونَ','verse_number' => '161','verse_key' => '37:161','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3950','chapter_id' => '37','arabic_name' => 'مَآ أَنتُمْ عَلَيْهِ بِفَـٰتِنِينَ','verse_number' => '162','verse_key' => '37:162','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3951','chapter_id' => '37','arabic_name' => 'إِلَّا مَنْ هُوَ صَالِ ٱلْجَحِيمِ','verse_number' => '163','verse_key' => '37:163','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3952','chapter_id' => '37','arabic_name' => 'وَمَا مِنَّآ إِلَّا لَهُۥ مَقَامٌ مَّعْلُومٌ','verse_number' => '164','verse_key' => '37:164','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3953','chapter_id' => '37','arabic_name' => 'وَإِنَّا لَنَحْنُ ٱلصَّآفُّونَ','verse_number' => '165','verse_key' => '37:165','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3954','chapter_id' => '37','arabic_name' => 'وَإِنَّا لَنَحْنُ ٱلْمُسَبِّحُونَ','verse_number' => '166','verse_key' => '37:166','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3955','chapter_id' => '37','arabic_name' => 'وَإِن كَانُوا۟ لَيَقُولُونَ','verse_number' => '167','verse_key' => '37:167','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3956','chapter_id' => '37','arabic_name' => 'لَوْ أَنَّ عِندَنَا ذِكْرًا مِّنَ ٱلْأَوَّلِينَ','verse_number' => '168','verse_key' => '37:168','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3957','chapter_id' => '37','arabic_name' => 'لَكُنَّا عِبَادَ ٱللَّهِ ٱلْمُخْلَصِينَ','verse_number' => '169','verse_key' => '37:169','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3958','chapter_id' => '37','arabic_name' => 'فَكَفَرُوا۟ بِهِۦ ۖ فَسَوْفَ يَعْلَمُونَ','verse_number' => '170','verse_key' => '37:170','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3959','chapter_id' => '37','arabic_name' => 'وَلَقَدْ سَبَقَتْ كَلِمَتُنَا لِعِبَادِنَا ٱلْمُرْسَلِينَ','verse_number' => '171','verse_key' => '37:171','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3960','chapter_id' => '37','arabic_name' => 'إِنَّهُمْ لَهُمُ ٱلْمَنصُورُونَ','verse_number' => '172','verse_key' => '37:172','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3961','chapter_id' => '37','arabic_name' => 'وَإِنَّ جُندَنَا لَهُمُ ٱلْغَـٰلِبُونَ','verse_number' => '173','verse_key' => '37:173','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3962','chapter_id' => '37','arabic_name' => 'فَتَوَلَّ عَنْهُمْ حَتَّىٰ حِينٍ','verse_number' => '174','verse_key' => '37:174','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3963','chapter_id' => '37','arabic_name' => 'وَأَبْصِرْهُمْ فَسَوْفَ يُبْصِرُونَ','verse_number' => '175','verse_key' => '37:175','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3964','chapter_id' => '37','arabic_name' => 'أَفَبِعَذَابِنَا يَسْتَعْجِلُونَ','verse_number' => '176','verse_key' => '37:176','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3965','chapter_id' => '37','arabic_name' => 'فَإِذَا نَزَلَ بِسَاحَتِهِمْ فَسَآءَ صَبَاحُ ٱلْمُنذَرِينَ','verse_number' => '177','verse_key' => '37:177','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3966','chapter_id' => '37','arabic_name' => 'وَتَوَلَّ عَنْهُمْ حَتَّىٰ حِينٍ','verse_number' => '178','verse_key' => '37:178','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3967','chapter_id' => '37','arabic_name' => 'وَأَبْصِرْ فَسَوْفَ يُبْصِرُونَ','verse_number' => '179','verse_key' => '37:179','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3968','chapter_id' => '37','arabic_name' => 'سُبْحَـٰنَ رَبِّكَ رَبِّ ٱلْعِزَّةِ عَمَّا يَصِفُونَ','verse_number' => '180','verse_key' => '37:180','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3969','chapter_id' => '37','arabic_name' => 'وَسَلَـٰمٌ عَلَى ٱلْمُرْسَلِينَ','verse_number' => '181','verse_key' => '37:181','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3970','chapter_id' => '37','arabic_name' => 'وَٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '182','verse_key' => '37:182','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '392','manzil_number' => '6','sajdah_number' => '0','page_number' => '452','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3971','chapter_id' => '38','arabic_name' => 'صٓ ۚ وَٱلْقُرْءَانِ ذِى ٱلذِّكْرِ','verse_number' => '1','verse_key' => '38:1','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3972','chapter_id' => '38','arabic_name' => 'بَلِ ٱلَّذِينَ كَفَرُوا۟ فِى عِزَّةٍ وَشِقَاقٍ','verse_number' => '2','verse_key' => '38:2','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3973','chapter_id' => '38','arabic_name' => 'كَمْ أَهْلَكْنَا مِن قَبْلِهِم مِّن قَرْنٍ فَنَادَوا۟ وَّلَاتَ حِينَ مَنَاصٍ','verse_number' => '3','verse_key' => '38:3','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3974','chapter_id' => '38','arabic_name' => 'وَعَجِبُوٓا۟ أَن جَآءَهُم مُّنذِرٌ مِّنْهُمْ ۖ وَقَالَ ٱلْكَـٰفِرُونَ هَـٰذَا سَـٰحِرٌ كَذَّابٌ','verse_number' => '4','verse_key' => '38:4','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3975','chapter_id' => '38','arabic_name' => 'أَجَعَلَ ٱلْـَٔالِهَةَ إِلَـٰهًا وَٰحِدًا ۖ إِنَّ هَـٰذَا لَشَىْءٌ عُجَابٌ','verse_number' => '5','verse_key' => '38:5','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3976','chapter_id' => '38','arabic_name' => 'وَٱنطَلَقَ ٱلْمَلَأُ مِنْهُمْ أَنِ ٱمْشُوا۟ وَٱصْبِرُوا۟ عَلَىٰٓ ءَالِهَتِكُمْ ۖ إِنَّ هَـٰذَا لَشَىْءٌ يُرَادُ','verse_number' => '6','verse_key' => '38:6','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3977','chapter_id' => '38','arabic_name' => 'مَا سَمِعْنَا بِهَـٰذَا فِى ٱلْمِلَّةِ ٱلْـَٔاخِرَةِ إِنْ هَـٰذَآ إِلَّا ٱخْتِلَـٰقٌ','verse_number' => '7','verse_key' => '38:7','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3978','chapter_id' => '38','arabic_name' => 'أَءُنزِلَ عَلَيْهِ ٱلذِّكْرُ مِنۢ بَيْنِنَا ۚ بَلْ هُمْ فِى شَكٍّ مِّن ذِكْرِى ۖ بَل لَّمَّا يَذُوقُوا۟ عَذَابِ','verse_number' => '8','verse_key' => '38:8','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3979','chapter_id' => '38','arabic_name' => 'أَمْ عِندَهُمْ خَزَآئِنُ رَحْمَةِ رَبِّكَ ٱلْعَزِيزِ ٱلْوَهَّابِ','verse_number' => '9','verse_key' => '38:9','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3980','chapter_id' => '38','arabic_name' => 'أَمْ لَهُم مُّلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ۖ فَلْيَرْتَقُوا۟ فِى ٱلْأَسْبَـٰبِ','verse_number' => '10','verse_key' => '38:10','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3981','chapter_id' => '38','arabic_name' => 'جُندٌ مَّا هُنَالِكَ مَهْزُومٌ مِّنَ ٱلْأَحْزَابِ','verse_number' => '11','verse_key' => '38:11','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3982','chapter_id' => '38','arabic_name' => 'كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍ وَعَادٌ وَفِرْعَوْنُ ذُو ٱلْأَوْتَادِ','verse_number' => '12','verse_key' => '38:12','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3983','chapter_id' => '38','arabic_name' => 'وَثَمُودُ وَقَوْمُ لُوطٍ وَأَصْحَـٰبُ لْـَٔيْكَةِ ۚ أُو۟لَـٰٓئِكَ ٱلْأَحْزَابُ','verse_number' => '13','verse_key' => '38:13','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3984','chapter_id' => '38','arabic_name' => 'إِن كُلٌّ إِلَّا كَذَّبَ ٱلرُّسُلَ فَحَقَّ عِقَابِ','verse_number' => '14','verse_key' => '38:14','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '393','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3985','chapter_id' => '38','arabic_name' => 'وَمَا يَنظُرُ هَـٰٓؤُلَآءِ إِلَّا صَيْحَةً وَٰحِدَةً مَّا لَهَا مِن فَوَاقٍ','verse_number' => '15','verse_key' => '38:15','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3986','chapter_id' => '38','arabic_name' => 'وَقَالُوا۟ رَبَّنَا عَجِّل لَّنَا قِطَّنَا قَبْلَ يَوْمِ ٱلْحِسَابِ','verse_number' => '16','verse_key' => '38:16','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '453','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3987','chapter_id' => '38','arabic_name' => 'ٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَٱذْكُرْ عَبْدَنَا دَاوُۥدَ ذَا ٱلْأَيْدِ ۖ إِنَّهُۥٓ أَوَّابٌ','verse_number' => '17','verse_key' => '38:17','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3988','chapter_id' => '38','arabic_name' => 'إِنَّا سَخَّرْنَا ٱلْجِبَالَ مَعَهُۥ يُسَبِّحْنَ بِٱلْعَشِىِّ وَٱلْإِشْرَاقِ','verse_number' => '18','verse_key' => '38:18','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3989','chapter_id' => '38','arabic_name' => 'وَٱلطَّيْرَ مَحْشُورَةً ۖ كُلٌّ لَّهُۥٓ أَوَّابٌ','verse_number' => '19','verse_key' => '38:19','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3990','chapter_id' => '38','arabic_name' => 'وَشَدَدْنَا مُلْكَهُۥ وَءَاتَيْنَـٰهُ ٱلْحِكْمَةَ وَفَصْلَ ٱلْخِطَابِ','verse_number' => '20','verse_key' => '38:20','hizb_number' => '46','rub_el_hizb_number' => '181','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3991','chapter_id' => '38','arabic_name' => '۞ وَهَلْ أَتَىٰكَ نَبَؤُا۟ ٱلْخَصْمِ إِذْ تَسَوَّرُوا۟ ٱلْمِحْرَابَ','verse_number' => '21','verse_key' => '38:21','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3992','chapter_id' => '38','arabic_name' => 'إِذْ دَخَلُوا۟ عَلَىٰ دَاوُۥدَ فَفَزِعَ مِنْهُمْ ۖ قَالُوا۟ لَا تَخَفْ ۖ خَصْمَانِ بَغَىٰ بَعْضُنَا عَلَىٰ بَعْضٍ فَٱحْكُم بَيْنَنَا بِٱلْحَقِّ وَلَا تُشْطِطْ وَٱهْدِنَآ إِلَىٰ سَوَآءِ ٱلصِّرَٰطِ','verse_number' => '22','verse_key' => '38:22','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3993','chapter_id' => '38','arabic_name' => 'إِنَّ هَـٰذَآ أَخِى لَهُۥ تِسْعٌ وَتِسْعُونَ نَعْجَةً وَلِىَ نَعْجَةٌ وَٰحِدَةٌ فَقَالَ أَكْفِلْنِيهَا وَعَزَّنِى فِى ٱلْخِطَابِ','verse_number' => '23','verse_key' => '38:23','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3994','chapter_id' => '38','arabic_name' => 'قَالَ لَقَدْ ظَلَمَكَ بِسُؤَالِ نَعْجَتِكَ إِلَىٰ نِعَاجِهِۦ ۖ وَإِنَّ كَثِيرًا مِّنَ ٱلْخُلَطَآءِ لَيَبْغِى بَعْضُهُمْ عَلَىٰ بَعْضٍ إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَقَلِيلٌ مَّا هُمْ ۗ وَظَنَّ دَاوُۥدُ أَنَّمَا فَتَنَّـٰهُ فَٱسْتَغْفَرَ رَبَّهُۥ وَخَرَّ رَاكِعًا وَأَنَابَ ۩','verse_number' => '24','verse_key' => '38:24','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '10','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3995','chapter_id' => '38','arabic_name' => 'فَغَفَرْنَا لَهُۥ ذَٰلِكَ ۖ وَإِنَّ لَهُۥ عِندَنَا لَزُلْفَىٰ وَحُسْنَ مَـَٔابٍ','verse_number' => '25','verse_key' => '38:25','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3996','chapter_id' => '38','arabic_name' => 'يَـٰدَاوُۥدُ إِنَّا جَعَلْنَـٰكَ خَلِيفَةً فِى ٱلْأَرْضِ فَٱحْكُم بَيْنَ ٱلنَّاسِ بِٱلْحَقِّ وَلَا تَتَّبِعِ ٱلْهَوَىٰ فَيُضِلَّكَ عَن سَبِيلِ ٱللَّهِ ۚ إِنَّ ٱلَّذِينَ يَضِلُّونَ عَن سَبِيلِ ٱللَّهِ لَهُمْ عَذَابٌ شَدِيدٌۢ بِمَا نَسُوا۟ يَوْمَ ٱلْحِسَابِ','verse_number' => '26','verse_key' => '38:26','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '394','manzil_number' => '6','sajdah_number' => '0','page_number' => '454','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3997','chapter_id' => '38','arabic_name' => 'وَمَا خَلَقْنَا ٱلسَّمَآءَ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا بَـٰطِلًا ۚ ذَٰلِكَ ظَنُّ ٱلَّذِينَ كَفَرُوا۟ ۚ فَوَيْلٌ لِّلَّذِينَ كَفَرُوا۟ مِنَ ٱلنَّارِ','verse_number' => '27','verse_key' => '38:27','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3998','chapter_id' => '38','arabic_name' => 'أَمْ نَجْعَلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ كَٱلْمُفْسِدِينَ فِى ٱلْأَرْضِ أَمْ نَجْعَلُ ٱلْمُتَّقِينَ كَٱلْفُجَّارِ','verse_number' => '28','verse_key' => '38:28','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '3999','chapter_id' => '38','arabic_name' => 'كِتَـٰبٌ أَنزَلْنَـٰهُ إِلَيْكَ مُبَـٰرَكٌ لِّيَدَّبَّرُوٓا۟ ءَايَـٰتِهِۦ وَلِيَتَذَكَّرَ أُو۟لُوا۟ ٱلْأَلْبَـٰبِ','verse_number' => '29','verse_key' => '38:29','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4000','chapter_id' => '38','arabic_name' => 'وَوَهَبْنَا لِدَاوُۥدَ سُلَيْمَـٰنَ ۚ نِعْمَ ٱلْعَبْدُ ۖ إِنَّهُۥٓ أَوَّابٌ','verse_number' => '30','verse_key' => '38:30','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),

        );
        DB::table('chapter_details')->insert($data);
    }
}
