<?php

namespace Database\Seeders\Quran\Chapter;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ChapterDetailSeeder5 extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = array(
            array('id' => '4001','chapter_id' => '38','arabic_name' => 'إِذْ عُرِضَ عَلَيْهِ بِٱلْعَشِىِّ ٱلصَّـٰفِنَـٰتُ ٱلْجِيَادُ','verse_number' => '31','verse_key' => '38:31','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4002','chapter_id' => '38','arabic_name' => 'فَقَالَ إِنِّىٓ أَحْبَبْتُ حُبَّ ٱلْخَيْرِ عَن ذِكْرِ رَبِّى حَتَّىٰ تَوَارَتْ بِٱلْحِجَابِ','verse_number' => '32','verse_key' => '38:32','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4003','chapter_id' => '38','arabic_name' => 'رُدُّوهَا عَلَىَّ ۖ فَطَفِقَ مَسْحًۢا بِٱلسُّوقِ وَٱلْأَعْنَاقِ','verse_number' => '33','verse_key' => '38:33','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4004','chapter_id' => '38','arabic_name' => 'وَلَقَدْ فَتَنَّا سُلَيْمَـٰنَ وَأَلْقَيْنَا عَلَىٰ كُرْسِيِّهِۦ جَسَدًا ثُمَّ أَنَابَ','verse_number' => '34','verse_key' => '38:34','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4005','chapter_id' => '38','arabic_name' => 'قَالَ رَبِّ ٱغْفِرْ لِى وَهَبْ لِى مُلْكًا لَّا يَنۢبَغِى لِأَحَدٍ مِّنۢ بَعْدِىٓ ۖ إِنَّكَ أَنتَ ٱلْوَهَّابُ','verse_number' => '35','verse_key' => '38:35','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4006','chapter_id' => '38','arabic_name' => 'فَسَخَّرْنَا لَهُ ٱلرِّيحَ تَجْرِى بِأَمْرِهِۦ رُخَآءً حَيْثُ أَصَابَ','verse_number' => '36','verse_key' => '38:36','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4007','chapter_id' => '38','arabic_name' => 'وَٱلشَّيَـٰطِينَ كُلَّ بَنَّآءٍ وَغَوَّاصٍ','verse_number' => '37','verse_key' => '38:37','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4008','chapter_id' => '38','arabic_name' => 'وَءَاخَرِينَ مُقَرَّنِينَ فِى ٱلْأَصْفَادِ','verse_number' => '38','verse_key' => '38:38','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4009','chapter_id' => '38','arabic_name' => 'هَـٰذَا عَطَآؤُنَا فَٱمْنُنْ أَوْ أَمْسِكْ بِغَيْرِ حِسَابٍ','verse_number' => '39','verse_key' => '38:39','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4010','chapter_id' => '38','arabic_name' => 'وَإِنَّ لَهُۥ عِندَنَا لَزُلْفَىٰ وَحُسْنَ مَـَٔابٍ','verse_number' => '40','verse_key' => '38:40','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '395','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4011','chapter_id' => '38','arabic_name' => 'وَٱذْكُرْ عَبْدَنَآ أَيُّوبَ إِذْ نَادَىٰ رَبَّهُۥٓ أَنِّى مَسَّنِىَ ٱلشَّيْطَـٰنُ بِنُصْبٍ وَعَذَابٍ','verse_number' => '41','verse_key' => '38:41','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4012','chapter_id' => '38','arabic_name' => 'ٱرْكُضْ بِرِجْلِكَ ۖ هَـٰذَا مُغْتَسَلٌۢ بَارِدٌ وَشَرَابٌ','verse_number' => '42','verse_key' => '38:42','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '455','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4013','chapter_id' => '38','arabic_name' => 'وَوَهَبْنَا لَهُۥٓ أَهْلَهُۥ وَمِثْلَهُم مَّعَهُمْ رَحْمَةً مِّنَّا وَذِكْرَىٰ لِأُو۟لِى ٱلْأَلْبَـٰبِ','verse_number' => '43','verse_key' => '38:43','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4014','chapter_id' => '38','arabic_name' => 'وَخُذْ بِيَدِكَ ضِغْثًا فَٱضْرِب بِّهِۦ وَلَا تَحْنَثْ ۗ إِنَّا وَجَدْنَـٰهُ صَابِرًا ۚ نِّعْمَ ٱلْعَبْدُ ۖ إِنَّهُۥٓ أَوَّابٌ','verse_number' => '44','verse_key' => '38:44','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4015','chapter_id' => '38','arabic_name' => 'وَٱذْكُرْ عِبَـٰدَنَآ إِبْرَٰهِيمَ وَإِسْحَـٰقَ وَيَعْقُوبَ أُو۟لِى ٱلْأَيْدِى وَٱلْأَبْصَـٰرِ','verse_number' => '45','verse_key' => '38:45','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4016','chapter_id' => '38','arabic_name' => 'إِنَّآ أَخْلَصْنَـٰهُم بِخَالِصَةٍ ذِكْرَى ٱلدَّارِ','verse_number' => '46','verse_key' => '38:46','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4017','chapter_id' => '38','arabic_name' => 'وَإِنَّهُمْ عِندَنَا لَمِنَ ٱلْمُصْطَفَيْنَ ٱلْأَخْيَارِ','verse_number' => '47','verse_key' => '38:47','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4018','chapter_id' => '38','arabic_name' => 'وَٱذْكُرْ إِسْمَـٰعِيلَ وَٱلْيَسَعَ وَذَا ٱلْكِفْلِ ۖ وَكُلٌّ مِّنَ ٱلْأَخْيَارِ','verse_number' => '48','verse_key' => '38:48','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4019','chapter_id' => '38','arabic_name' => 'هَـٰذَا ذِكْرٌ ۚ وَإِنَّ لِلْمُتَّقِينَ لَحُسْنَ مَـَٔابٍ','verse_number' => '49','verse_key' => '38:49','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4020','chapter_id' => '38','arabic_name' => 'جَنَّـٰتِ عَدْنٍ مُّفَتَّحَةً لَّهُمُ ٱلْأَبْوَٰبُ','verse_number' => '50','verse_key' => '38:50','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4021','chapter_id' => '38','arabic_name' => 'مُتَّكِـِٔينَ فِيهَا يَدْعُونَ فِيهَا بِفَـٰكِهَةٍ كَثِيرَةٍ وَشَرَابٍ','verse_number' => '51','verse_key' => '38:51','hizb_number' => '46','rub_el_hizb_number' => '182','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4022','chapter_id' => '38','arabic_name' => '۞ وَعِندَهُمْ قَـٰصِرَٰتُ ٱلطَّرْفِ أَتْرَابٌ','verse_number' => '52','verse_key' => '38:52','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4023','chapter_id' => '38','arabic_name' => 'هَـٰذَا مَا تُوعَدُونَ لِيَوْمِ ٱلْحِسَابِ','verse_number' => '53','verse_key' => '38:53','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4024','chapter_id' => '38','arabic_name' => 'إِنَّ هَـٰذَا لَرِزْقُنَا مَا لَهُۥ مِن نَّفَادٍ','verse_number' => '54','verse_key' => '38:54','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4025','chapter_id' => '38','arabic_name' => 'هَـٰذَا ۚ وَإِنَّ لِلطَّـٰغِينَ لَشَرَّ مَـَٔابٍ','verse_number' => '55','verse_key' => '38:55','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4026','chapter_id' => '38','arabic_name' => 'جَهَنَّمَ يَصْلَوْنَهَا فَبِئْسَ ٱلْمِهَادُ','verse_number' => '56','verse_key' => '38:56','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4027','chapter_id' => '38','arabic_name' => 'هَـٰذَا فَلْيَذُوقُوهُ حَمِيمٌ وَغَسَّاقٌ','verse_number' => '57','verse_key' => '38:57','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4028','chapter_id' => '38','arabic_name' => 'وَءَاخَرُ مِن شَكْلِهِۦٓ أَزْوَٰجٌ','verse_number' => '58','verse_key' => '38:58','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4029','chapter_id' => '38','arabic_name' => 'هَـٰذَا فَوْجٌ مُّقْتَحِمٌ مَّعَكُمْ ۖ لَا مَرْحَبًۢا بِهِمْ ۚ إِنَّهُمْ صَالُوا۟ ٱلنَّارِ','verse_number' => '59','verse_key' => '38:59','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4030','chapter_id' => '38','arabic_name' => 'قَالُوا۟ بَلْ أَنتُمْ لَا مَرْحَبًۢا بِكُمْ ۖ أَنتُمْ قَدَّمْتُمُوهُ لَنَا ۖ فَبِئْسَ ٱلْقَرَارُ','verse_number' => '60','verse_key' => '38:60','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4031','chapter_id' => '38','arabic_name' => 'قَالُوا۟ رَبَّنَا مَن قَدَّمَ لَنَا هَـٰذَا فَزِدْهُ عَذَابًا ضِعْفًا فِى ٱلنَّارِ','verse_number' => '61','verse_key' => '38:61','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '456','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4032','chapter_id' => '38','arabic_name' => 'وَقَالُوا۟ مَا لَنَا لَا نَرَىٰ رِجَالًا كُنَّا نَعُدُّهُم مِّنَ ٱلْأَشْرَارِ','verse_number' => '62','verse_key' => '38:62','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4033','chapter_id' => '38','arabic_name' => 'أَتَّخَذْنَـٰهُمْ سِخْرِيًّا أَمْ زَاغَتْ عَنْهُمُ ٱلْأَبْصَـٰرُ','verse_number' => '63','verse_key' => '38:63','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4034','chapter_id' => '38','arabic_name' => 'إِنَّ ذَٰلِكَ لَحَقٌّ تَخَاصُمُ أَهْلِ ٱلنَّارِ','verse_number' => '64','verse_key' => '38:64','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '396','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4035','chapter_id' => '38','arabic_name' => 'قُلْ إِنَّمَآ أَنَا۠ مُنذِرٌ ۖ وَمَا مِنْ إِلَـٰهٍ إِلَّا ٱللَّهُ ٱلْوَٰحِدُ ٱلْقَهَّارُ','verse_number' => '65','verse_key' => '38:65','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4036','chapter_id' => '38','arabic_name' => 'رَبُّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ٱلْعَزِيزُ ٱلْغَفَّـٰرُ','verse_number' => '66','verse_key' => '38:66','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4037','chapter_id' => '38','arabic_name' => 'قُلْ هُوَ نَبَؤٌا۟ عَظِيمٌ','verse_number' => '67','verse_key' => '38:67','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4038','chapter_id' => '38','arabic_name' => 'أَنتُمْ عَنْهُ مُعْرِضُونَ','verse_number' => '68','verse_key' => '38:68','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4039','chapter_id' => '38','arabic_name' => 'مَا كَانَ لِىَ مِنْ عِلْمٍۭ بِٱلْمَلَإِ ٱلْأَعْلَىٰٓ إِذْ يَخْتَصِمُونَ','verse_number' => '69','verse_key' => '38:69','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4040','chapter_id' => '38','arabic_name' => 'إِن يُوحَىٰٓ إِلَىَّ إِلَّآ أَنَّمَآ أَنَا۠ نَذِيرٌ مُّبِينٌ','verse_number' => '70','verse_key' => '38:70','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4041','chapter_id' => '38','arabic_name' => 'إِذْ قَالَ رَبُّكَ لِلْمَلَـٰٓئِكَةِ إِنِّى خَـٰلِقٌۢ بَشَرًا مِّن طِينٍ','verse_number' => '71','verse_key' => '38:71','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4042','chapter_id' => '38','arabic_name' => 'فَإِذَا سَوَّيْتُهُۥ وَنَفَخْتُ فِيهِ مِن رُّوحِى فَقَعُوا۟ لَهُۥ سَـٰجِدِينَ','verse_number' => '72','verse_key' => '38:72','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4043','chapter_id' => '38','arabic_name' => 'فَسَجَدَ ٱلْمَلَـٰٓئِكَةُ كُلُّهُمْ أَجْمَعُونَ','verse_number' => '73','verse_key' => '38:73','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4044','chapter_id' => '38','arabic_name' => 'إِلَّآ إِبْلِيسَ ٱسْتَكْبَرَ وَكَانَ مِنَ ٱلْكَـٰفِرِينَ','verse_number' => '74','verse_key' => '38:74','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4045','chapter_id' => '38','arabic_name' => 'قَالَ يَـٰٓإِبْلِيسُ مَا مَنَعَكَ أَن تَسْجُدَ لِمَا خَلَقْتُ بِيَدَىَّ ۖ أَسْتَكْبَرْتَ أَمْ كُنتَ مِنَ ٱلْعَالِينَ','verse_number' => '75','verse_key' => '38:75','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4046','chapter_id' => '38','arabic_name' => 'قَالَ أَنَا۠ خَيْرٌ مِّنْهُ ۖ خَلَقْتَنِى مِن نَّارٍ وَخَلَقْتَهُۥ مِن طِينٍ','verse_number' => '76','verse_key' => '38:76','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4047','chapter_id' => '38','arabic_name' => 'قَالَ فَٱخْرُجْ مِنْهَا فَإِنَّكَ رَجِيمٌ','verse_number' => '77','verse_key' => '38:77','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4048','chapter_id' => '38','arabic_name' => 'وَإِنَّ عَلَيْكَ لَعْنَتِىٓ إِلَىٰ يَوْمِ ٱلدِّينِ','verse_number' => '78','verse_key' => '38:78','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4049','chapter_id' => '38','arabic_name' => 'قَالَ رَبِّ فَأَنظِرْنِىٓ إِلَىٰ يَوْمِ يُبْعَثُونَ','verse_number' => '79','verse_key' => '38:79','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4050','chapter_id' => '38','arabic_name' => 'قَالَ فَإِنَّكَ مِنَ ٱلْمُنظَرِينَ','verse_number' => '80','verse_key' => '38:80','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4051','chapter_id' => '38','arabic_name' => 'إِلَىٰ يَوْمِ ٱلْوَقْتِ ٱلْمَعْلُومِ','verse_number' => '81','verse_key' => '38:81','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4052','chapter_id' => '38','arabic_name' => 'قَالَ فَبِعِزَّتِكَ لَأُغْوِيَنَّهُمْ أَجْمَعِينَ','verse_number' => '82','verse_key' => '38:82','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4053','chapter_id' => '38','arabic_name' => 'إِلَّا عِبَادَكَ مِنْهُمُ ٱلْمُخْلَصِينَ','verse_number' => '83','verse_key' => '38:83','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '457','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4054','chapter_id' => '38','arabic_name' => 'قَالَ فَٱلْحَقُّ وَٱلْحَقَّ أَقُولُ','verse_number' => '84','verse_key' => '38:84','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4055','chapter_id' => '38','arabic_name' => 'لَأَمْلَأَنَّ جَهَنَّمَ مِنكَ وَمِمَّن تَبِعَكَ مِنْهُمْ أَجْمَعِينَ','verse_number' => '85','verse_key' => '38:85','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4056','chapter_id' => '38','arabic_name' => 'قُلْ مَآ أَسْـَٔلُكُمْ عَلَيْهِ مِنْ أَجْرٍ وَمَآ أَنَا۠ مِنَ ٱلْمُتَكَلِّفِينَ','verse_number' => '86','verse_key' => '38:86','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4057','chapter_id' => '38','arabic_name' => 'إِنْ هُوَ إِلَّا ذِكْرٌ لِّلْعَـٰلَمِينَ','verse_number' => '87','verse_key' => '38:87','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4058','chapter_id' => '38','arabic_name' => 'وَلَتَعْلَمُنَّ نَبَأَهُۥ بَعْدَ حِينٍۭ','verse_number' => '88','verse_key' => '38:88','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '397','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4059','chapter_id' => '39','arabic_name' => 'تَنزِيلُ ٱلْكِتَـٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ','verse_number' => '1','verse_key' => '39:1','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4060','chapter_id' => '39','arabic_name' => 'إِنَّآ أَنزَلْنَآ إِلَيْكَ ٱلْكِتَـٰبَ بِٱلْحَقِّ فَٱعْبُدِ ٱللَّهَ مُخْلِصًا لَّهُ ٱلدِّينَ','verse_number' => '2','verse_key' => '39:2','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4061','chapter_id' => '39','arabic_name' => 'أَلَا لِلَّهِ ٱلدِّينُ ٱلْخَالِصُ ۚ وَٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ مَا نَعْبُدُهُمْ إِلَّا لِيُقَرِّبُونَآ إِلَى ٱللَّهِ زُلْفَىٰٓ إِنَّ ٱللَّهَ يَحْكُمُ بَيْنَهُمْ فِى مَا هُمْ فِيهِ يَخْتَلِفُونَ ۗ إِنَّ ٱللَّهَ لَا يَهْدِى مَنْ هُوَ كَـٰذِبٌ كَفَّارٌ','verse_number' => '3','verse_key' => '39:3','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4062','chapter_id' => '39','arabic_name' => 'لَّوْ أَرَادَ ٱللَّهُ أَن يَتَّخِذَ وَلَدًا لَّٱصْطَفَىٰ مِمَّا يَخْلُقُ مَا يَشَآءُ ۚ سُبْحَـٰنَهُۥ ۖ هُوَ ٱللَّهُ ٱلْوَٰحِدُ ٱلْقَهَّارُ','verse_number' => '4','verse_key' => '39:4','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4063','chapter_id' => '39','arabic_name' => 'خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ ۖ يُكَوِّرُ ٱلَّيْلَ عَلَى ٱلنَّهَارِ وَيُكَوِّرُ ٱلنَّهَارَ عَلَى ٱلَّيْلِ ۖ وَسَخَّرَ ٱلشَّمْسَ وَٱلْقَمَرَ ۖ كُلٌّ يَجْرِى لِأَجَلٍ مُّسَمًّى ۗ أَلَا هُوَ ٱلْعَزِيزُ ٱلْغَفَّـٰرُ','verse_number' => '5','verse_key' => '39:5','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '458','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4064','chapter_id' => '39','arabic_name' => 'خَلَقَكُم مِّن نَّفْسٍ وَٰحِدَةٍ ثُمَّ جَعَلَ مِنْهَا زَوْجَهَا وَأَنزَلَ لَكُم مِّنَ ٱلْأَنْعَـٰمِ ثَمَـٰنِيَةَ أَزْوَٰجٍ ۚ يَخْلُقُكُمْ فِى بُطُونِ أُمَّهَـٰتِكُمْ خَلْقًا مِّنۢ بَعْدِ خَلْقٍ فِى ظُلُمَـٰتٍ ثَلَـٰثٍ ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ لَهُ ٱلْمُلْكُ ۖ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ فَأَنَّىٰ تُصْرَفُونَ','verse_number' => '6','verse_key' => '39:6','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '459','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4065','chapter_id' => '39','arabic_name' => 'إِن تَكْفُرُوا۟ فَإِنَّ ٱللَّهَ غَنِىٌّ عَنكُمْ ۖ وَلَا يَرْضَىٰ لِعِبَادِهِ ٱلْكُفْرَ ۖ وَإِن تَشْكُرُوا۟ يَرْضَهُ لَكُمْ ۗ وَلَا تَزِرُ وَازِرَةٌ وِزْرَ أُخْرَىٰ ۗ ثُمَّ إِلَىٰ رَبِّكُم مَّرْجِعُكُمْ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '7','verse_key' => '39:7','hizb_number' => '46','rub_el_hizb_number' => '183','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '459','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4066','chapter_id' => '39','arabic_name' => '۞ وَإِذَا مَسَّ ٱلْإِنسَـٰنَ ضُرٌّ دَعَا رَبَّهُۥ مُنِيبًا إِلَيْهِ ثُمَّ إِذَا خَوَّلَهُۥ نِعْمَةً مِّنْهُ نَسِىَ مَا كَانَ يَدْعُوٓا۟ إِلَيْهِ مِن قَبْلُ وَجَعَلَ لِلَّهِ أَندَادًا لِّيُضِلَّ عَن سَبِيلِهِۦ ۚ قُلْ تَمَتَّعْ بِكُفْرِكَ قَلِيلًا ۖ إِنَّكَ مِنْ أَصْحَـٰبِ ٱلنَّارِ','verse_number' => '8','verse_key' => '39:8','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '459','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4067','chapter_id' => '39','arabic_name' => 'أَمَّنْ هُوَ قَـٰنِتٌ ءَانَآءَ ٱلَّيْلِ سَاجِدًا وَقَآئِمًا يَحْذَرُ ٱلْـَٔاخِرَةَ وَيَرْجُوا۟ رَحْمَةَ رَبِّهِۦ ۗ قُلْ هَلْ يَسْتَوِى ٱلَّذِينَ يَعْلَمُونَ وَٱلَّذِينَ لَا يَعْلَمُونَ ۗ إِنَّمَا يَتَذَكَّرُ أُو۟لُوا۟ ٱلْأَلْبَـٰبِ','verse_number' => '9','verse_key' => '39:9','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '398','manzil_number' => '6','sajdah_number' => '0','page_number' => '459','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4068','chapter_id' => '39','arabic_name' => 'قُلْ يَـٰعِبَادِ ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ رَبَّكُمْ ۚ لِلَّذِينَ أَحْسَنُوا۟ فِى هَـٰذِهِ ٱلدُّنْيَا حَسَنَةٌ ۗ وَأَرْضُ ٱللَّهِ وَٰسِعَةٌ ۗ إِنَّمَا يُوَفَّى ٱلصَّـٰبِرُونَ أَجْرَهُم بِغَيْرِ حِسَابٍ','verse_number' => '10','verse_key' => '39:10','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '459','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4069','chapter_id' => '39','arabic_name' => 'قُلْ إِنِّىٓ أُمِرْتُ أَنْ أَعْبُدَ ٱللَّهَ مُخْلِصًا لَّهُ ٱلدِّينَ','verse_number' => '11','verse_key' => '39:11','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4070','chapter_id' => '39','arabic_name' => 'وَأُمِرْتُ لِأَنْ أَكُونَ أَوَّلَ ٱلْمُسْلِمِينَ','verse_number' => '12','verse_key' => '39:12','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4071','chapter_id' => '39','arabic_name' => 'قُلْ إِنِّىٓ أَخَافُ إِنْ عَصَيْتُ رَبِّى عَذَابَ يَوْمٍ عَظِيمٍ','verse_number' => '13','verse_key' => '39:13','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4072','chapter_id' => '39','arabic_name' => 'قُلِ ٱللَّهَ أَعْبُدُ مُخْلِصًا لَّهُۥ دِينِى','verse_number' => '14','verse_key' => '39:14','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4073','chapter_id' => '39','arabic_name' => 'فَٱعْبُدُوا۟ مَا شِئْتُم مِّن دُونِهِۦ ۗ قُلْ إِنَّ ٱلْخَـٰسِرِينَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ وَأَهْلِيهِمْ يَوْمَ ٱلْقِيَـٰمَةِ ۗ أَلَا ذَٰلِكَ هُوَ ٱلْخُسْرَانُ ٱلْمُبِينُ','verse_number' => '15','verse_key' => '39:15','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4074','chapter_id' => '39','arabic_name' => 'لَهُم مِّن فَوْقِهِمْ ظُلَلٌ مِّنَ ٱلنَّارِ وَمِن تَحْتِهِمْ ظُلَلٌ ۚ ذَٰلِكَ يُخَوِّفُ ٱللَّهُ بِهِۦ عِبَادَهُۥ ۚ يَـٰعِبَادِ فَٱتَّقُونِ','verse_number' => '16','verse_key' => '39:16','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4075','chapter_id' => '39','arabic_name' => 'وَٱلَّذِينَ ٱجْتَنَبُوا۟ ٱلطَّـٰغُوتَ أَن يَعْبُدُوهَا وَأَنَابُوٓا۟ إِلَى ٱللَّهِ لَهُمُ ٱلْبُشْرَىٰ ۚ فَبَشِّرْ عِبَادِ','verse_number' => '17','verse_key' => '39:17','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4076','chapter_id' => '39','arabic_name' => 'ٱلَّذِينَ يَسْتَمِعُونَ ٱلْقَوْلَ فَيَتَّبِعُونَ أَحْسَنَهُۥٓ ۚ أُو۟لَـٰٓئِكَ ٱلَّذِينَ هَدَىٰهُمُ ٱللَّهُ ۖ وَأُو۟لَـٰٓئِكَ هُمْ أُو۟لُوا۟ ٱلْأَلْبَـٰبِ','verse_number' => '18','verse_key' => '39:18','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4077','chapter_id' => '39','arabic_name' => 'أَفَمَنْ حَقَّ عَلَيْهِ كَلِمَةُ ٱلْعَذَابِ أَفَأَنتَ تُنقِذُ مَن فِى ٱلنَّارِ','verse_number' => '19','verse_key' => '39:19','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4078','chapter_id' => '39','arabic_name' => 'لَـٰكِنِ ٱلَّذِينَ ٱتَّقَوْا۟ رَبَّهُمْ لَهُمْ غُرَفٌ مِّن فَوْقِهَا غُرَفٌ مَّبْنِيَّةٌ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۖ وَعْدَ ٱللَّهِ ۖ لَا يُخْلِفُ ٱللَّهُ ٱلْمِيعَادَ','verse_number' => '20','verse_key' => '39:20','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4079','chapter_id' => '39','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ أَنزَلَ مِنَ ٱلسَّمَآءِ مَآءً فَسَلَكَهُۥ يَنَـٰبِيعَ فِى ٱلْأَرْضِ ثُمَّ يُخْرِجُ بِهِۦ زَرْعًا مُّخْتَلِفًا أَلْوَٰنُهُۥ ثُمَّ يَهِيجُ فَتَرَىٰهُ مُصْفَرًّا ثُمَّ يَجْعَلُهُۥ حُطَـٰمًا ۚ إِنَّ فِى ذَٰلِكَ لَذِكْرَىٰ لِأُو۟لِى ٱلْأَلْبَـٰبِ','verse_number' => '21','verse_key' => '39:21','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '399','manzil_number' => '6','sajdah_number' => '0','page_number' => '460','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4080','chapter_id' => '39','arabic_name' => 'أَفَمَن شَرَحَ ٱللَّهُ صَدْرَهُۥ لِلْإِسْلَـٰمِ فَهُوَ عَلَىٰ نُورٍ مِّن رَّبِّهِۦ ۚ فَوَيْلٌ لِّلْقَـٰسِيَةِ قُلُوبُهُم مِّن ذِكْرِ ٱللَّهِ ۚ أُو۟لَـٰٓئِكَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '22','verse_key' => '39:22','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4081','chapter_id' => '39','arabic_name' => 'ٱللَّهُ نَزَّلَ أَحْسَنَ ٱلْحَدِيثِ كِتَـٰبًا مُّتَشَـٰبِهًا مَّثَانِىَ تَقْشَعِرُّ مِنْهُ جُلُودُ ٱلَّذِينَ يَخْشَوْنَ رَبَّهُمْ ثُمَّ تَلِينُ جُلُودُهُمْ وَقُلُوبُهُمْ إِلَىٰ ذِكْرِ ٱللَّهِ ۚ ذَٰلِكَ هُدَى ٱللَّهِ يَهْدِى بِهِۦ مَن يَشَآءُ ۚ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍ','verse_number' => '23','verse_key' => '39:23','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4082','chapter_id' => '39','arabic_name' => 'أَفَمَن يَتَّقِى بِوَجْهِهِۦ سُوٓءَ ٱلْعَذَابِ يَوْمَ ٱلْقِيَـٰمَةِ ۚ وَقِيلَ لِلظَّـٰلِمِينَ ذُوقُوا۟ مَا كُنتُمْ تَكْسِبُونَ','verse_number' => '24','verse_key' => '39:24','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4083','chapter_id' => '39','arabic_name' => 'كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ فَأَتَىٰهُمُ ٱلْعَذَابُ مِنْ حَيْثُ لَا يَشْعُرُونَ','verse_number' => '25','verse_key' => '39:25','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4084','chapter_id' => '39','arabic_name' => 'فَأَذَاقَهُمُ ٱللَّهُ ٱلْخِزْىَ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَعَذَابُ ٱلْـَٔاخِرَةِ أَكْبَرُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ','verse_number' => '26','verse_key' => '39:26','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4085','chapter_id' => '39','arabic_name' => 'وَلَقَدْ ضَرَبْنَا لِلنَّاسِ فِى هَـٰذَا ٱلْقُرْءَانِ مِن كُلِّ مَثَلٍ لَّعَلَّهُمْ يَتَذَكَّرُونَ','verse_number' => '27','verse_key' => '39:27','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4086','chapter_id' => '39','arabic_name' => 'قُرْءَانًا عَرَبِيًّا غَيْرَ ذِى عِوَجٍ لَّعَلَّهُمْ يَتَّقُونَ','verse_number' => '28','verse_key' => '39:28','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4087','chapter_id' => '39','arabic_name' => 'ضَرَبَ ٱللَّهُ مَثَلًا رَّجُلًا فِيهِ شُرَكَآءُ مُتَشَـٰكِسُونَ وَرَجُلًا سَلَمًا لِّرَجُلٍ هَلْ يَسْتَوِيَانِ مَثَلًا ۚ ٱلْحَمْدُ لِلَّهِ ۚ بَلْ أَكْثَرُهُمْ لَا يَعْلَمُونَ','verse_number' => '29','verse_key' => '39:29','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4088','chapter_id' => '39','arabic_name' => 'إِنَّكَ مَيِّتٌ وَإِنَّهُم مَّيِّتُونَ','verse_number' => '30','verse_key' => '39:30','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4089','chapter_id' => '39','arabic_name' => 'ثُمَّ إِنَّكُمْ يَوْمَ ٱلْقِيَـٰمَةِ عِندَ رَبِّكُمْ تَخْتَصِمُونَ','verse_number' => '31','verse_key' => '39:31','hizb_number' => '46','rub_el_hizb_number' => '184','ruku_number' => '400','manzil_number' => '6','sajdah_number' => '0','page_number' => '461','juz_number' => '23','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4090','chapter_id' => '39','arabic_name' => '۞ فَمَنْ أَظْلَمُ مِمَّن كَذَبَ عَلَى ٱللَّهِ وَكَذَّبَ بِٱلصِّدْقِ إِذْ جَآءَهُۥٓ ۚ أَلَيْسَ فِى جَهَنَّمَ مَثْوًى لِّلْكَـٰفِرِينَ','verse_number' => '32','verse_key' => '39:32','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4091','chapter_id' => '39','arabic_name' => 'وَٱلَّذِى جَآءَ بِٱلصِّدْقِ وَصَدَّقَ بِهِۦٓ ۙ أُو۟لَـٰٓئِكَ هُمُ ٱلْمُتَّقُونَ','verse_number' => '33','verse_key' => '39:33','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4092','chapter_id' => '39','arabic_name' => 'لَهُم مَّا يَشَآءُونَ عِندَ رَبِّهِمْ ۚ ذَٰلِكَ جَزَآءُ ٱلْمُحْسِنِينَ','verse_number' => '34','verse_key' => '39:34','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4093','chapter_id' => '39','arabic_name' => 'لِيُكَفِّرَ ٱللَّهُ عَنْهُمْ أَسْوَأَ ٱلَّذِى عَمِلُوا۟ وَيَجْزِيَهُمْ أَجْرَهُم بِأَحْسَنِ ٱلَّذِى كَانُوا۟ يَعْمَلُونَ','verse_number' => '35','verse_key' => '39:35','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4094','chapter_id' => '39','arabic_name' => 'أَلَيْسَ ٱللَّهُ بِكَافٍ عَبْدَهُۥ ۖ وَيُخَوِّفُونَكَ بِٱلَّذِينَ مِن دُونِهِۦ ۚ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍ','verse_number' => '36','verse_key' => '39:36','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4095','chapter_id' => '39','arabic_name' => 'وَمَن يَهْدِ ٱللَّهُ فَمَا لَهُۥ مِن مُّضِلٍّ ۗ أَلَيْسَ ٱللَّهُ بِعَزِيزٍ ذِى ٱنتِقَامٍ','verse_number' => '37','verse_key' => '39:37','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4096','chapter_id' => '39','arabic_name' => 'وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ لَيَقُولُنَّ ٱللَّهُ ۚ قُلْ أَفَرَءَيْتُم مَّا تَدْعُونَ مِن دُونِ ٱللَّهِ إِنْ أَرَادَنِىَ ٱللَّهُ بِضُرٍّ هَلْ هُنَّ كَـٰشِفَـٰتُ ضُرِّهِۦٓ أَوْ أَرَادَنِى بِرَحْمَةٍ هَلْ هُنَّ مُمْسِكَـٰتُ رَحْمَتِهِۦ ۚ قُلْ حَسْبِىَ ٱللَّهُ ۖ عَلَيْهِ يَتَوَكَّلُ ٱلْمُتَوَكِّلُونَ','verse_number' => '38','verse_key' => '39:38','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4097','chapter_id' => '39','arabic_name' => 'قُلْ يَـٰقَوْمِ ٱعْمَلُوا۟ عَلَىٰ مَكَانَتِكُمْ إِنِّى عَـٰمِلٌ ۖ فَسَوْفَ تَعْلَمُونَ','verse_number' => '39','verse_key' => '39:39','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4098','chapter_id' => '39','arabic_name' => 'مَن يَأْتِيهِ عَذَابٌ يُخْزِيهِ وَيَحِلُّ عَلَيْهِ عَذَابٌ مُّقِيمٌ','verse_number' => '40','verse_key' => '39:40','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '462','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4099','chapter_id' => '39','arabic_name' => 'إِنَّآ أَنزَلْنَا عَلَيْكَ ٱلْكِتَـٰبَ لِلنَّاسِ بِٱلْحَقِّ ۖ فَمَنِ ٱهْتَدَىٰ فَلِنَفْسِهِۦ ۖ وَمَن ضَلَّ فَإِنَّمَا يَضِلُّ عَلَيْهَا ۖ وَمَآ أَنتَ عَلَيْهِم بِوَكِيلٍ','verse_number' => '41','verse_key' => '39:41','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '401','manzil_number' => '6','sajdah_number' => '0','page_number' => '463','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4100','chapter_id' => '39','arabic_name' => 'ٱللَّهُ يَتَوَفَّى ٱلْأَنفُسَ حِينَ مَوْتِهَا وَٱلَّتِى لَمْ تَمُتْ فِى مَنَامِهَا ۖ فَيُمْسِكُ ٱلَّتِى قَضَىٰ عَلَيْهَا ٱلْمَوْتَ وَيُرْسِلُ ٱلْأُخْرَىٰٓ إِلَىٰٓ أَجَلٍ مُّسَمًّى ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَتَفَكَّرُونَ','verse_number' => '42','verse_key' => '39:42','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '463','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4101','chapter_id' => '39','arabic_name' => 'أَمِ ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ شُفَعَآءَ ۚ قُلْ أَوَلَوْ كَانُوا۟ لَا يَمْلِكُونَ شَيْـًٔا وَلَا يَعْقِلُونَ','verse_number' => '43','verse_key' => '39:43','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '463','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4102','chapter_id' => '39','arabic_name' => 'قُل لِّلَّهِ ٱلشَّفَـٰعَةُ جَمِيعًا ۖ لَّهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ ثُمَّ إِلَيْهِ تُرْجَعُونَ','verse_number' => '44','verse_key' => '39:44','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '463','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4103','chapter_id' => '39','arabic_name' => 'وَإِذَا ذُكِرَ ٱللَّهُ وَحْدَهُ ٱشْمَأَزَّتْ قُلُوبُ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ ۖ وَإِذَا ذُكِرَ ٱلَّذِينَ مِن دُونِهِۦٓ إِذَا هُمْ يَسْتَبْشِرُونَ','verse_number' => '45','verse_key' => '39:45','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '463','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4104','chapter_id' => '39','arabic_name' => 'قُلِ ٱللَّهُمَّ فَاطِرَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ عَـٰلِمَ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ أَنتَ تَحْكُمُ بَيْنَ عِبَادِكَ فِى مَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ','verse_number' => '46','verse_key' => '39:46','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '463','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4105','chapter_id' => '39','arabic_name' => 'وَلَوْ أَنَّ لِلَّذِينَ ظَلَمُوا۟ مَا فِى ٱلْأَرْضِ جَمِيعًا وَمِثْلَهُۥ مَعَهُۥ لَٱفْتَدَوْا۟ بِهِۦ مِن سُوٓءِ ٱلْعَذَابِ يَوْمَ ٱلْقِيَـٰمَةِ ۚ وَبَدَا لَهُم مِّنَ ٱللَّهِ مَا لَمْ يَكُونُوا۟ يَحْتَسِبُونَ','verse_number' => '47','verse_key' => '39:47','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '463','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4106','chapter_id' => '39','arabic_name' => 'وَبَدَا لَهُمْ سَيِّـَٔاتُ مَا كَسَبُوا۟ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '48','verse_key' => '39:48','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4107','chapter_id' => '39','arabic_name' => 'فَإِذَا مَسَّ ٱلْإِنسَـٰنَ ضُرٌّ دَعَانَا ثُمَّ إِذَا خَوَّلْنَـٰهُ نِعْمَةً مِّنَّا قَالَ إِنَّمَآ أُوتِيتُهُۥ عَلَىٰ عِلْمٍۭ ۚ بَلْ هِىَ فِتْنَةٌ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '49','verse_key' => '39:49','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4108','chapter_id' => '39','arabic_name' => 'قَدْ قَالَهَا ٱلَّذِينَ مِن قَبْلِهِمْ فَمَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يَكْسِبُونَ','verse_number' => '50','verse_key' => '39:50','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4109','chapter_id' => '39','arabic_name' => 'فَأَصَابَهُمْ سَيِّـَٔاتُ مَا كَسَبُوا۟ ۚ وَٱلَّذِينَ ظَلَمُوا۟ مِنْ هَـٰٓؤُلَآءِ سَيُصِيبُهُمْ سَيِّـَٔاتُ مَا كَسَبُوا۟ وَمَا هُم بِمُعْجِزِينَ','verse_number' => '51','verse_key' => '39:51','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4110','chapter_id' => '39','arabic_name' => 'أَوَلَمْ يَعْلَمُوٓا۟ أَنَّ ٱللَّهَ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يُؤْمِنُونَ','verse_number' => '52','verse_key' => '39:52','hizb_number' => '47','rub_el_hizb_number' => '185','ruku_number' => '402','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4111','chapter_id' => '39','arabic_name' => '۞ قُلْ يَـٰعِبَادِىَ ٱلَّذِينَ أَسْرَفُوا۟ عَلَىٰٓ أَنفُسِهِمْ لَا تَقْنَطُوا۟ مِن رَّحْمَةِ ٱللَّهِ ۚ إِنَّ ٱللَّهَ يَغْفِرُ ٱلذُّنُوبَ جَمِيعًا ۚ إِنَّهُۥ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ','verse_number' => '53','verse_key' => '39:53','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4112','chapter_id' => '39','arabic_name' => 'وَأَنِيبُوٓا۟ إِلَىٰ رَبِّكُمْ وَأَسْلِمُوا۟ لَهُۥ مِن قَبْلِ أَن يَأْتِيَكُمُ ٱلْعَذَابُ ثُمَّ لَا تُنصَرُونَ','verse_number' => '54','verse_key' => '39:54','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4113','chapter_id' => '39','arabic_name' => 'وَٱتَّبِعُوٓا۟ أَحْسَنَ مَآ أُنزِلَ إِلَيْكُم مِّن رَّبِّكُم مِّن قَبْلِ أَن يَأْتِيَكُمُ ٱلْعَذَابُ بَغْتَةً وَأَنتُمْ لَا تَشْعُرُونَ','verse_number' => '55','verse_key' => '39:55','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4114','chapter_id' => '39','arabic_name' => 'أَن تَقُولَ نَفْسٌ يَـٰحَسْرَتَىٰ عَلَىٰ مَا فَرَّطتُ فِى جَنۢبِ ٱللَّهِ وَإِن كُنتُ لَمِنَ ٱلسَّـٰخِرِينَ','verse_number' => '56','verse_key' => '39:56','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '464','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4115','chapter_id' => '39','arabic_name' => 'أَوْ تَقُولَ لَوْ أَنَّ ٱللَّهَ هَدَىٰنِى لَكُنتُ مِنَ ٱلْمُتَّقِينَ','verse_number' => '57','verse_key' => '39:57','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4116','chapter_id' => '39','arabic_name' => 'أَوْ تَقُولَ حِينَ تَرَى ٱلْعَذَابَ لَوْ أَنَّ لِى كَرَّةً فَأَكُونَ مِنَ ٱلْمُحْسِنِينَ','verse_number' => '58','verse_key' => '39:58','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4117','chapter_id' => '39','arabic_name' => 'بَلَىٰ قَدْ جَآءَتْكَ ءَايَـٰتِى فَكَذَّبْتَ بِهَا وَٱسْتَكْبَرْتَ وَكُنتَ مِنَ ٱلْكَـٰفِرِينَ','verse_number' => '59','verse_key' => '39:59','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4118','chapter_id' => '39','arabic_name' => 'وَيَوْمَ ٱلْقِيَـٰمَةِ تَرَى ٱلَّذِينَ كَذَبُوا۟ عَلَى ٱللَّهِ وُجُوهُهُم مُّسْوَدَّةٌ ۚ أَلَيْسَ فِى جَهَنَّمَ مَثْوًى لِّلْمُتَكَبِّرِينَ','verse_number' => '60','verse_key' => '39:60','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4119','chapter_id' => '39','arabic_name' => 'وَيُنَجِّى ٱللَّهُ ٱلَّذِينَ ٱتَّقَوْا۟ بِمَفَازَتِهِمْ لَا يَمَسُّهُمُ ٱلسُّوٓءُ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '61','verse_key' => '39:61','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4120','chapter_id' => '39','arabic_name' => 'ٱللَّهُ خَـٰلِقُ كُلِّ شَىْءٍ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ وَكِيلٌ','verse_number' => '62','verse_key' => '39:62','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4121','chapter_id' => '39','arabic_name' => 'لَّهُۥ مَقَالِيدُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۗ وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَـٰتِ ٱللَّهِ أُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '63','verse_key' => '39:63','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '403','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4122','chapter_id' => '39','arabic_name' => 'قُلْ أَفَغَيْرَ ٱللَّهِ تَأْمُرُوٓنِّىٓ أَعْبُدُ أَيُّهَا ٱلْجَـٰهِلُونَ','verse_number' => '64','verse_key' => '39:64','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '404','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4123','chapter_id' => '39','arabic_name' => 'وَلَقَدْ أُوحِىَ إِلَيْكَ وَإِلَى ٱلَّذِينَ مِن قَبْلِكَ لَئِنْ أَشْرَكْتَ لَيَحْبَطَنَّ عَمَلُكَ وَلَتَكُونَنَّ مِنَ ٱلْخَـٰسِرِينَ','verse_number' => '65','verse_key' => '39:65','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '404','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4124','chapter_id' => '39','arabic_name' => 'بَلِ ٱللَّهَ فَٱعْبُدْ وَكُن مِّنَ ٱلشَّـٰكِرِينَ','verse_number' => '66','verse_key' => '39:66','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '404','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4125','chapter_id' => '39','arabic_name' => 'وَمَا قَدَرُوا۟ ٱللَّهَ حَقَّ قَدْرِهِۦ وَٱلْأَرْضُ جَمِيعًا قَبْضَتُهُۥ يَوْمَ ٱلْقِيَـٰمَةِ وَٱلسَّمَـٰوَٰتُ مَطْوِيَّـٰتٌۢ بِيَمِينِهِۦ ۚ سُبْحَـٰنَهُۥ وَتَعَـٰلَىٰ عَمَّا يُشْرِكُونَ','verse_number' => '67','verse_key' => '39:67','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '404','manzil_number' => '6','sajdah_number' => '0','page_number' => '465','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4126','chapter_id' => '39','arabic_name' => 'وَنُفِخَ فِى ٱلصُّورِ فَصَعِقَ مَن فِى ٱلسَّمَـٰوَٰتِ وَمَن فِى ٱلْأَرْضِ إِلَّا مَن شَآءَ ٱللَّهُ ۖ ثُمَّ نُفِخَ فِيهِ أُخْرَىٰ فَإِذَا هُمْ قِيَامٌ يَنظُرُونَ','verse_number' => '68','verse_key' => '39:68','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '404','manzil_number' => '6','sajdah_number' => '0','page_number' => '466','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4127','chapter_id' => '39','arabic_name' => 'وَأَشْرَقَتِ ٱلْأَرْضُ بِنُورِ رَبِّهَا وَوُضِعَ ٱلْكِتَـٰبُ وَجِا۟ىٓءَ بِٱلنَّبِيِّـۧنَ وَٱلشُّهَدَآءِ وَقُضِىَ بَيْنَهُم بِٱلْحَقِّ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '69','verse_key' => '39:69','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '404','manzil_number' => '6','sajdah_number' => '0','page_number' => '466','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4128','chapter_id' => '39','arabic_name' => 'وَوُفِّيَتْ كُلُّ نَفْسٍ مَّا عَمِلَتْ وَهُوَ أَعْلَمُ بِمَا يَفْعَلُونَ','verse_number' => '70','verse_key' => '39:70','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '404','manzil_number' => '6','sajdah_number' => '0','page_number' => '466','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4129','chapter_id' => '39','arabic_name' => 'وَسِيقَ ٱلَّذِينَ كَفَرُوٓا۟ إِلَىٰ جَهَنَّمَ زُمَرًا ۖ حَتَّىٰٓ إِذَا جَآءُوهَا فُتِحَتْ أَبْوَٰبُهَا وَقَالَ لَهُمْ خَزَنَتُهَآ أَلَمْ يَأْتِكُمْ رُسُلٌ مِّنكُمْ يَتْلُونَ عَلَيْكُمْ ءَايَـٰتِ رَبِّكُمْ وَيُنذِرُونَكُمْ لِقَآءَ يَوْمِكُمْ هَـٰذَا ۚ قَالُوا۟ بَلَىٰ وَلَـٰكِنْ حَقَّتْ كَلِمَةُ ٱلْعَذَابِ عَلَى ٱلْكَـٰفِرِينَ','verse_number' => '71','verse_key' => '39:71','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '405','manzil_number' => '6','sajdah_number' => '0','page_number' => '466','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4130','chapter_id' => '39','arabic_name' => 'قِيلَ ٱدْخُلُوٓا۟ أَبْوَٰبَ جَهَنَّمَ خَـٰلِدِينَ فِيهَا ۖ فَبِئْسَ مَثْوَى ٱلْمُتَكَبِّرِينَ','verse_number' => '72','verse_key' => '39:72','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '405','manzil_number' => '6','sajdah_number' => '0','page_number' => '466','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4131','chapter_id' => '39','arabic_name' => 'وَسِيقَ ٱلَّذِينَ ٱتَّقَوْا۟ رَبَّهُمْ إِلَى ٱلْجَنَّةِ زُمَرًا ۖ حَتَّىٰٓ إِذَا جَآءُوهَا وَفُتِحَتْ أَبْوَٰبُهَا وَقَالَ لَهُمْ خَزَنَتُهَا سَلَـٰمٌ عَلَيْكُمْ طِبْتُمْ فَٱدْخُلُوهَا خَـٰلِدِينَ','verse_number' => '73','verse_key' => '39:73','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '405','manzil_number' => '6','sajdah_number' => '0','page_number' => '466','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4132','chapter_id' => '39','arabic_name' => 'وَقَالُوا۟ ٱلْحَمْدُ لِلَّهِ ٱلَّذِى صَدَقَنَا وَعْدَهُۥ وَأَوْرَثَنَا ٱلْأَرْضَ نَتَبَوَّأُ مِنَ ٱلْجَنَّةِ حَيْثُ نَشَآءُ ۖ فَنِعْمَ أَجْرُ ٱلْعَـٰمِلِينَ','verse_number' => '74','verse_key' => '39:74','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '405','manzil_number' => '6','sajdah_number' => '0','page_number' => '466','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4133','chapter_id' => '39','arabic_name' => 'وَتَرَى ٱلْمَلَـٰٓئِكَةَ حَآفِّينَ مِنْ حَوْلِ ٱلْعَرْشِ يُسَبِّحُونَ بِحَمْدِ رَبِّهِمْ ۖ وَقُضِىَ بَيْنَهُم بِٱلْحَقِّ وَقِيلَ ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '75','verse_key' => '39:75','hizb_number' => '47','rub_el_hizb_number' => '186','ruku_number' => '405','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4134','chapter_id' => '40','arabic_name' => 'حمٓ','verse_number' => '1','verse_key' => '40:1','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4135','chapter_id' => '40','arabic_name' => 'تَنزِيلُ ٱلْكِتَـٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْعَلِيمِ','verse_number' => '2','verse_key' => '40:2','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4136','chapter_id' => '40','arabic_name' => 'غَافِرِ ٱلذَّنۢبِ وَقَابِلِ ٱلتَّوْبِ شَدِيدِ ٱلْعِقَابِ ذِى ٱلطَّوْلِ ۖ لَآ إِلَـٰهَ إِلَّا هُوَ ۖ إِلَيْهِ ٱلْمَصِيرُ','verse_number' => '3','verse_key' => '40:3','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4137','chapter_id' => '40','arabic_name' => 'مَا يُجَـٰدِلُ فِىٓ ءَايَـٰتِ ٱللَّهِ إِلَّا ٱلَّذِينَ كَفَرُوا۟ فَلَا يَغْرُرْكَ تَقَلُّبُهُمْ فِى ٱلْبِلَـٰدِ','verse_number' => '4','verse_key' => '40:4','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4138','chapter_id' => '40','arabic_name' => 'كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍ وَٱلْأَحْزَابُ مِنۢ بَعْدِهِمْ ۖ وَهَمَّتْ كُلُّ أُمَّةٍۭ بِرَسُولِهِمْ لِيَأْخُذُوهُ ۖ وَجَـٰدَلُوا۟ بِٱلْبَـٰطِلِ لِيُدْحِضُوا۟ بِهِ ٱلْحَقَّ فَأَخَذْتُهُمْ ۖ فَكَيْفَ كَانَ عِقَابِ','verse_number' => '5','verse_key' => '40:5','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4139','chapter_id' => '40','arabic_name' => 'وَكَذَٰلِكَ حَقَّتْ كَلِمَتُ رَبِّكَ عَلَى ٱلَّذِينَ كَفَرُوٓا۟ أَنَّهُمْ أَصْحَـٰبُ ٱلنَّارِ','verse_number' => '6','verse_key' => '40:6','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4140','chapter_id' => '40','arabic_name' => 'ٱلَّذِينَ يَحْمِلُونَ ٱلْعَرْشَ وَمَنْ حَوْلَهُۥ يُسَبِّحُونَ بِحَمْدِ رَبِّهِمْ وَيُؤْمِنُونَ بِهِۦ وَيَسْتَغْفِرُونَ لِلَّذِينَ ءَامَنُوا۟ رَبَّنَا وَسِعْتَ كُلَّ شَىْءٍ رَّحْمَةً وَعِلْمًا فَٱغْفِرْ لِلَّذِينَ تَابُوا۟ وَٱتَّبَعُوا۟ سَبِيلَكَ وَقِهِمْ عَذَابَ ٱلْجَحِيمِ','verse_number' => '7','verse_key' => '40:7','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '467','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4141','chapter_id' => '40','arabic_name' => 'رَبَّنَا وَأَدْخِلْهُمْ جَنَّـٰتِ عَدْنٍ ٱلَّتِى وَعَدتَّهُمْ وَمَن صَلَحَ مِنْ ءَابَآئِهِمْ وَأَزْوَٰجِهِمْ وَذُرِّيَّـٰتِهِمْ ۚ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '8','verse_key' => '40:8','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4142','chapter_id' => '40','arabic_name' => 'وَقِهِمُ ٱلسَّيِّـَٔاتِ ۚ وَمَن تَقِ ٱلسَّيِّـَٔاتِ يَوْمَئِذٍ فَقَدْ رَحِمْتَهُۥ ۚ وَذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '9','verse_key' => '40:9','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '406','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4143','chapter_id' => '40','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ يُنَادَوْنَ لَمَقْتُ ٱللَّهِ أَكْبَرُ مِن مَّقْتِكُمْ أَنفُسَكُمْ إِذْ تُدْعَوْنَ إِلَى ٱلْإِيمَـٰنِ فَتَكْفُرُونَ','verse_number' => '10','verse_key' => '40:10','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4144','chapter_id' => '40','arabic_name' => 'قَالُوا۟ رَبَّنَآ أَمَتَّنَا ٱثْنَتَيْنِ وَأَحْيَيْتَنَا ٱثْنَتَيْنِ فَٱعْتَرَفْنَا بِذُنُوبِنَا فَهَلْ إِلَىٰ خُرُوجٍ مِّن سَبِيلٍ','verse_number' => '11','verse_key' => '40:11','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4145','chapter_id' => '40','arabic_name' => 'ذَٰلِكُم بِأَنَّهُۥٓ إِذَا دُعِىَ ٱللَّهُ وَحْدَهُۥ كَفَرْتُمْ ۖ وَإِن يُشْرَكْ بِهِۦ تُؤْمِنُوا۟ ۚ فَٱلْحُكْمُ لِلَّهِ ٱلْعَلِىِّ ٱلْكَبِيرِ','verse_number' => '12','verse_key' => '40:12','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4146','chapter_id' => '40','arabic_name' => 'هُوَ ٱلَّذِى يُرِيكُمْ ءَايَـٰتِهِۦ وَيُنَزِّلُ لَكُم مِّنَ ٱلسَّمَآءِ رِزْقًا ۚ وَمَا يَتَذَكَّرُ إِلَّا مَن يُنِيبُ','verse_number' => '13','verse_key' => '40:13','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4147','chapter_id' => '40','arabic_name' => 'فَٱدْعُوا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ وَلَوْ كَرِهَ ٱلْكَـٰفِرُونَ','verse_number' => '14','verse_key' => '40:14','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4148','chapter_id' => '40','arabic_name' => 'رَفِيعُ ٱلدَّرَجَـٰتِ ذُو ٱلْعَرْشِ يُلْقِى ٱلرُّوحَ مِنْ أَمْرِهِۦ عَلَىٰ مَن يَشَآءُ مِنْ عِبَادِهِۦ لِيُنذِرَ يَوْمَ ٱلتَّلَاقِ','verse_number' => '15','verse_key' => '40:15','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4149','chapter_id' => '40','arabic_name' => 'يَوْمَ هُم بَـٰرِزُونَ ۖ لَا يَخْفَىٰ عَلَى ٱللَّهِ مِنْهُمْ شَىْءٌ ۚ لِّمَنِ ٱلْمُلْكُ ٱلْيَوْمَ ۖ لِلَّهِ ٱلْوَٰحِدِ ٱلْقَهَّارِ','verse_number' => '16','verse_key' => '40:16','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '468','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4150','chapter_id' => '40','arabic_name' => 'ٱلْيَوْمَ تُجْزَىٰ كُلُّ نَفْسٍۭ بِمَا كَسَبَتْ ۚ لَا ظُلْمَ ٱلْيَوْمَ ۚ إِنَّ ٱللَّهَ سَرِيعُ ٱلْحِسَابِ','verse_number' => '17','verse_key' => '40:17','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4151','chapter_id' => '40','arabic_name' => 'وَأَنذِرْهُمْ يَوْمَ ٱلْـَٔازِفَةِ إِذِ ٱلْقُلُوبُ لَدَى ٱلْحَنَاجِرِ كَـٰظِمِينَ ۚ مَا لِلظَّـٰلِمِينَ مِنْ حَمِيمٍ وَلَا شَفِيعٍ يُطَاعُ','verse_number' => '18','verse_key' => '40:18','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4152','chapter_id' => '40','arabic_name' => 'يَعْلَمُ خَآئِنَةَ ٱلْأَعْيُنِ وَمَا تُخْفِى ٱلصُّدُورُ','verse_number' => '19','verse_key' => '40:19','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4153','chapter_id' => '40','arabic_name' => 'وَٱللَّهُ يَقْضِى بِٱلْحَقِّ ۖ وَٱلَّذِينَ يَدْعُونَ مِن دُونِهِۦ لَا يَقْضُونَ بِشَىْءٍ ۗ إِنَّ ٱللَّهَ هُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ','verse_number' => '20','verse_key' => '40:20','hizb_number' => '47','rub_el_hizb_number' => '187','ruku_number' => '407','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4154','chapter_id' => '40','arabic_name' => '۞ أَوَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلَّذِينَ كَانُوا۟ مِن قَبْلِهِمْ ۚ كَانُوا۟ هُمْ أَشَدَّ مِنْهُمْ قُوَّةً وَءَاثَارًا فِى ٱلْأَرْضِ فَأَخَذَهُمُ ٱللَّهُ بِذُنُوبِهِمْ وَمَا كَانَ لَهُم مِّنَ ٱللَّهِ مِن وَاقٍ','verse_number' => '21','verse_key' => '40:21','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '408','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4155','chapter_id' => '40','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمْ كَانَت تَّأْتِيهِمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ فَكَفَرُوا۟ فَأَخَذَهُمُ ٱللَّهُ ۚ إِنَّهُۥ قَوِىٌّ شَدِيدُ ٱلْعِقَابِ','verse_number' => '22','verse_key' => '40:22','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '408','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4156','chapter_id' => '40','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَـٰتِنَا وَسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '23','verse_key' => '40:23','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '408','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4157','chapter_id' => '40','arabic_name' => 'إِلَىٰ فِرْعَوْنَ وَهَـٰمَـٰنَ وَقَـٰرُونَ فَقَالُوا۟ سَـٰحِرٌ كَذَّابٌ','verse_number' => '24','verse_key' => '40:24','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '408','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4158','chapter_id' => '40','arabic_name' => 'فَلَمَّا جَآءَهُم بِٱلْحَقِّ مِنْ عِندِنَا قَالُوا۟ ٱقْتُلُوٓا۟ أَبْنَآءَ ٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ وَٱسْتَحْيُوا۟ نِسَآءَهُمْ ۚ وَمَا كَيْدُ ٱلْكَـٰفِرِينَ إِلَّا فِى ضَلَـٰلٍ','verse_number' => '25','verse_key' => '40:25','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '408','manzil_number' => '6','sajdah_number' => '0','page_number' => '469','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4159','chapter_id' => '40','arabic_name' => 'وَقَالَ فِرْعَوْنُ ذَرُونِىٓ أَقْتُلْ مُوسَىٰ وَلْيَدْعُ رَبَّهُۥٓ ۖ إِنِّىٓ أَخَافُ أَن يُبَدِّلَ دِينَكُمْ أَوْ أَن يُظْهِرَ فِى ٱلْأَرْضِ ٱلْفَسَادَ','verse_number' => '26','verse_key' => '40:26','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '408','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4160','chapter_id' => '40','arabic_name' => 'وَقَالَ مُوسَىٰٓ إِنِّى عُذْتُ بِرَبِّى وَرَبِّكُم مِّن كُلِّ مُتَكَبِّرٍ لَّا يُؤْمِنُ بِيَوْمِ ٱلْحِسَابِ','verse_number' => '27','verse_key' => '40:27','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '408','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4161','chapter_id' => '40','arabic_name' => 'وَقَالَ رَجُلٌ مُّؤْمِنٌ مِّنْ ءَالِ فِرْعَوْنَ يَكْتُمُ إِيمَـٰنَهُۥٓ أَتَقْتُلُونَ رَجُلًا أَن يَقُولَ رَبِّىَ ٱللَّهُ وَقَدْ جَآءَكُم بِٱلْبَيِّنَـٰتِ مِن رَّبِّكُمْ ۖ وَإِن يَكُ كَـٰذِبًا فَعَلَيْهِ كَذِبُهُۥ ۖ وَإِن يَكُ صَادِقًا يُصِبْكُم بَعْضُ ٱلَّذِى يَعِدُكُمْ ۖ إِنَّ ٱللَّهَ لَا يَهْدِى مَنْ هُوَ مُسْرِفٌ كَذَّابٌ','verse_number' => '28','verse_key' => '40:28','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4162','chapter_id' => '40','arabic_name' => 'يَـٰقَوْمِ لَكُمُ ٱلْمُلْكُ ٱلْيَوْمَ ظَـٰهِرِينَ فِى ٱلْأَرْضِ فَمَن يَنصُرُنَا مِنۢ بَأْسِ ٱللَّهِ إِن جَآءَنَا ۚ قَالَ فِرْعَوْنُ مَآ أُرِيكُمْ إِلَّا مَآ أَرَىٰ وَمَآ أَهْدِيكُمْ إِلَّا سَبِيلَ ٱلرَّشَادِ','verse_number' => '29','verse_key' => '40:29','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4163','chapter_id' => '40','arabic_name' => 'وَقَالَ ٱلَّذِىٓ ءَامَنَ يَـٰقَوْمِ إِنِّىٓ أَخَافُ عَلَيْكُم مِّثْلَ يَوْمِ ٱلْأَحْزَابِ','verse_number' => '30','verse_key' => '40:30','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4164','chapter_id' => '40','arabic_name' => 'مِثْلَ دَأْبِ قَوْمِ نُوحٍ وَعَادٍ وَثَمُودَ وَٱلَّذِينَ مِنۢ بَعْدِهِمْ ۚ وَمَا ٱللَّهُ يُرِيدُ ظُلْمًا لِّلْعِبَادِ','verse_number' => '31','verse_key' => '40:31','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4165','chapter_id' => '40','arabic_name' => 'وَيَـٰقَوْمِ إِنِّىٓ أَخَافُ عَلَيْكُمْ يَوْمَ ٱلتَّنَادِ','verse_number' => '32','verse_key' => '40:32','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4166','chapter_id' => '40','arabic_name' => 'يَوْمَ تُوَلُّونَ مُدْبِرِينَ مَا لَكُم مِّنَ ٱللَّهِ مِنْ عَاصِمٍ ۗ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِنْ هَادٍ','verse_number' => '33','verse_key' => '40:33','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '470','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4167','chapter_id' => '40','arabic_name' => 'وَلَقَدْ جَآءَكُمْ يُوسُفُ مِن قَبْلُ بِٱلْبَيِّنَـٰتِ فَمَا زِلْتُمْ فِى شَكٍّ مِّمَّا جَآءَكُم بِهِۦ ۖ حَتَّىٰٓ إِذَا هَلَكَ قُلْتُمْ لَن يَبْعَثَ ٱللَّهُ مِنۢ بَعْدِهِۦ رَسُولًا ۚ كَذَٰلِكَ يُضِلُّ ٱللَّهُ مَنْ هُوَ مُسْرِفٌ مُّرْتَابٌ','verse_number' => '34','verse_key' => '40:34','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '471','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4168','chapter_id' => '40','arabic_name' => 'ٱلَّذِينَ يُجَـٰدِلُونَ فِىٓ ءَايَـٰتِ ٱللَّهِ بِغَيْرِ سُلْطَـٰنٍ أَتَىٰهُمْ ۖ كَبُرَ مَقْتًا عِندَ ٱللَّهِ وَعِندَ ٱلَّذِينَ ءَامَنُوا۟ ۚ كَذَٰلِكَ يَطْبَعُ ٱللَّهُ عَلَىٰ كُلِّ قَلْبِ مُتَكَبِّرٍ جَبَّارٍ','verse_number' => '35','verse_key' => '40:35','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '471','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4169','chapter_id' => '40','arabic_name' => 'وَقَالَ فِرْعَوْنُ يَـٰهَـٰمَـٰنُ ٱبْنِ لِى صَرْحًا لَّعَلِّىٓ أَبْلُغُ ٱلْأَسْبَـٰبَ','verse_number' => '36','verse_key' => '40:36','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '471','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4170','chapter_id' => '40','arabic_name' => 'أَسْبَـٰبَ ٱلسَّمَـٰوَٰتِ فَأَطَّلِعَ إِلَىٰٓ إِلَـٰهِ مُوسَىٰ وَإِنِّى لَأَظُنُّهُۥ كَـٰذِبًا ۚ وَكَذَٰلِكَ زُيِّنَ لِفِرْعَوْنَ سُوٓءُ عَمَلِهِۦ وَصُدَّ عَنِ ٱلسَّبِيلِ ۚ وَمَا كَيْدُ فِرْعَوْنَ إِلَّا فِى تَبَابٍ','verse_number' => '37','verse_key' => '40:37','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '409','manzil_number' => '6','sajdah_number' => '0','page_number' => '471','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4171','chapter_id' => '40','arabic_name' => 'وَقَالَ ٱلَّذِىٓ ءَامَنَ يَـٰقَوْمِ ٱتَّبِعُونِ أَهْدِكُمْ سَبِيلَ ٱلرَّشَادِ','verse_number' => '38','verse_key' => '40:38','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '471','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4172','chapter_id' => '40','arabic_name' => 'يَـٰقَوْمِ إِنَّمَا هَـٰذِهِ ٱلْحَيَوٰةُ ٱلدُّنْيَا مَتَـٰعٌ وَإِنَّ ٱلْـَٔاخِرَةَ هِىَ دَارُ ٱلْقَرَارِ','verse_number' => '39','verse_key' => '40:39','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '471','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4173','chapter_id' => '40','arabic_name' => 'مَنْ عَمِلَ سَيِّئَةً فَلَا يُجْزَىٰٓ إِلَّا مِثْلَهَا ۖ وَمَنْ عَمِلَ صَـٰلِحًا مِّن ذَكَرٍ أَوْ أُنثَىٰ وَهُوَ مُؤْمِنٌ فَأُو۟لَـٰٓئِكَ يَدْخُلُونَ ٱلْجَنَّةَ يُرْزَقُونَ فِيهَا بِغَيْرِ حِسَابٍ','verse_number' => '40','verse_key' => '40:40','hizb_number' => '47','rub_el_hizb_number' => '188','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '471','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4174','chapter_id' => '40','arabic_name' => '۞ وَيَـٰقَوْمِ مَا لِىٓ أَدْعُوكُمْ إِلَى ٱلنَّجَوٰةِ وَتَدْعُونَنِىٓ إِلَى ٱلنَّارِ','verse_number' => '41','verse_key' => '40:41','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4175','chapter_id' => '40','arabic_name' => 'تَدْعُونَنِى لِأَكْفُرَ بِٱللَّهِ وَأُشْرِكَ بِهِۦ مَا لَيْسَ لِى بِهِۦ عِلْمٌ وَأَنَا۠ أَدْعُوكُمْ إِلَى ٱلْعَزِيزِ ٱلْغَفَّـٰرِ','verse_number' => '42','verse_key' => '40:42','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4176','chapter_id' => '40','arabic_name' => 'لَا جَرَمَ أَنَّمَا تَدْعُونَنِىٓ إِلَيْهِ لَيْسَ لَهُۥ دَعْوَةٌ فِى ٱلدُّنْيَا وَلَا فِى ٱلْـَٔاخِرَةِ وَأَنَّ مَرَدَّنَآ إِلَى ٱللَّهِ وَأَنَّ ٱلْمُسْرِفِينَ هُمْ أَصْحَـٰبُ ٱلنَّارِ','verse_number' => '43','verse_key' => '40:43','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4177','chapter_id' => '40','arabic_name' => 'فَسَتَذْكُرُونَ مَآ أَقُولُ لَكُمْ ۚ وَأُفَوِّضُ أَمْرِىٓ إِلَى ٱللَّهِ ۚ إِنَّ ٱللَّهَ بَصِيرٌۢ بِٱلْعِبَادِ','verse_number' => '44','verse_key' => '40:44','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4178','chapter_id' => '40','arabic_name' => 'فَوَقَىٰهُ ٱللَّهُ سَيِّـَٔاتِ مَا مَكَرُوا۟ ۖ وَحَاقَ بِـَٔالِ فِرْعَوْنَ سُوٓءُ ٱلْعَذَابِ','verse_number' => '45','verse_key' => '40:45','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4179','chapter_id' => '40','arabic_name' => 'ٱلنَّارُ يُعْرَضُونَ عَلَيْهَا غُدُوًّا وَعَشِيًّا ۖ وَيَوْمَ تَقُومُ ٱلسَّاعَةُ أَدْخِلُوٓا۟ ءَالَ فِرْعَوْنَ أَشَدَّ ٱلْعَذَابِ','verse_number' => '46','verse_key' => '40:46','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4180','chapter_id' => '40','arabic_name' => 'وَإِذْ يَتَحَآجُّونَ فِى ٱلنَّارِ فَيَقُولُ ٱلضُّعَفَـٰٓؤُا۟ لِلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا كُنَّا لَكُمْ تَبَعًا فَهَلْ أَنتُم مُّغْنُونَ عَنَّا نَصِيبًا مِّنَ ٱلنَّارِ','verse_number' => '47','verse_key' => '40:47','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4181','chapter_id' => '40','arabic_name' => 'قَالَ ٱلَّذِينَ ٱسْتَكْبَرُوٓا۟ إِنَّا كُلٌّ فِيهَآ إِنَّ ٱللَّهَ قَدْ حَكَمَ بَيْنَ ٱلْعِبَادِ','verse_number' => '48','verse_key' => '40:48','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4182','chapter_id' => '40','arabic_name' => 'وَقَالَ ٱلَّذِينَ فِى ٱلنَّارِ لِخَزَنَةِ جَهَنَّمَ ٱدْعُوا۟ رَبَّكُمْ يُخَفِّفْ عَنَّا يَوْمًا مِّنَ ٱلْعَذَابِ','verse_number' => '49','verse_key' => '40:49','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '472','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4183','chapter_id' => '40','arabic_name' => 'قَالُوٓا۟ أَوَلَمْ تَكُ تَأْتِيكُمْ رُسُلُكُم بِٱلْبَيِّنَـٰتِ ۖ قَالُوا۟ بَلَىٰ ۚ قَالُوا۟ فَٱدْعُوا۟ ۗ وَمَا دُعَـٰٓؤُا۟ ٱلْكَـٰفِرِينَ إِلَّا فِى ضَلَـٰلٍ','verse_number' => '50','verse_key' => '40:50','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '410','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4184','chapter_id' => '40','arabic_name' => 'إِنَّا لَنَنصُرُ رُسُلَنَا وَٱلَّذِينَ ءَامَنُوا۟ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَيَوْمَ يَقُومُ ٱلْأَشْهَـٰدُ','verse_number' => '51','verse_key' => '40:51','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4185','chapter_id' => '40','arabic_name' => 'يَوْمَ لَا يَنفَعُ ٱلظَّـٰلِمِينَ مَعْذِرَتُهُمْ ۖ وَلَهُمُ ٱللَّعْنَةُ وَلَهُمْ سُوٓءُ ٱلدَّارِ','verse_number' => '52','verse_key' => '40:52','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4186','chapter_id' => '40','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْهُدَىٰ وَأَوْرَثْنَا بَنِىٓ إِسْرَٰٓءِيلَ ٱلْكِتَـٰبَ','verse_number' => '53','verse_key' => '40:53','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4187','chapter_id' => '40','arabic_name' => 'هُدًى وَذِكْرَىٰ لِأُو۟لِى ٱلْأَلْبَـٰبِ','verse_number' => '54','verse_key' => '40:54','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4188','chapter_id' => '40','arabic_name' => 'فَٱصْبِرْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ وَٱسْتَغْفِرْ لِذَنۢبِكَ وَسَبِّحْ بِحَمْدِ رَبِّكَ بِٱلْعَشِىِّ وَٱلْإِبْكَـٰرِ','verse_number' => '55','verse_key' => '40:55','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4189','chapter_id' => '40','arabic_name' => 'إِنَّ ٱلَّذِينَ يُجَـٰدِلُونَ فِىٓ ءَايَـٰتِ ٱللَّهِ بِغَيْرِ سُلْطَـٰنٍ أَتَىٰهُمْ ۙ إِن فِى صُدُورِهِمْ إِلَّا كِبْرٌ مَّا هُم بِبَـٰلِغِيهِ ۚ فَٱسْتَعِذْ بِٱللَّهِ ۖ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ','verse_number' => '56','verse_key' => '40:56','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4190','chapter_id' => '40','arabic_name' => 'لَخَلْقُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ أَكْبَرُ مِنْ خَلْقِ ٱلنَّاسِ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '57','verse_key' => '40:57','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4191','chapter_id' => '40','arabic_name' => 'وَمَا يَسْتَوِى ٱلْأَعْمَىٰ وَٱلْبَصِيرُ وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَلَا ٱلْمُسِىٓءُ ۚ قَلِيلًا مَّا تَتَذَكَّرُونَ','verse_number' => '58','verse_key' => '40:58','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '473','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4192','chapter_id' => '40','arabic_name' => 'إِنَّ ٱلسَّاعَةَ لَـَٔاتِيَةٌ لَّا رَيْبَ فِيهَا وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يُؤْمِنُونَ','verse_number' => '59','verse_key' => '40:59','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4193','chapter_id' => '40','arabic_name' => 'وَقَالَ رَبُّكُمُ ٱدْعُونِىٓ أَسْتَجِبْ لَكُمْ ۚ إِنَّ ٱلَّذِينَ يَسْتَكْبِرُونَ عَنْ عِبَادَتِى سَيَدْخُلُونَ جَهَنَّمَ دَاخِرِينَ','verse_number' => '60','verse_key' => '40:60','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '411','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4194','chapter_id' => '40','arabic_name' => 'ٱللَّهُ ٱلَّذِى جَعَلَ لَكُمُ ٱلَّيْلَ لِتَسْكُنُوا۟ فِيهِ وَٱلنَّهَارَ مُبْصِرًا ۚ إِنَّ ٱللَّهَ لَذُو فَضْلٍ عَلَى ٱلنَّاسِ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَشْكُرُونَ','verse_number' => '61','verse_key' => '40:61','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4195','chapter_id' => '40','arabic_name' => 'ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ خَـٰلِقُ كُلِّ شَىْءٍ لَّآ إِلَـٰهَ إِلَّا هُوَ ۖ فَأَنَّىٰ تُؤْفَكُونَ','verse_number' => '62','verse_key' => '40:62','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4196','chapter_id' => '40','arabic_name' => 'كَذَٰلِكَ يُؤْفَكُ ٱلَّذِينَ كَانُوا۟ بِـَٔايَـٰتِ ٱللَّهِ يَجْحَدُونَ','verse_number' => '63','verse_key' => '40:63','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4197','chapter_id' => '40','arabic_name' => 'ٱللَّهُ ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ قَرَارًا وَٱلسَّمَآءَ بِنَآءً وَصَوَّرَكُمْ فَأَحْسَنَ صُوَرَكُمْ وَرَزَقَكُم مِّنَ ٱلطَّيِّبَـٰتِ ۚ ذَٰلِكُمُ ٱللَّهُ رَبُّكُمْ ۖ فَتَبَارَكَ ٱللَّهُ رَبُّ ٱلْعَـٰلَمِينَ','verse_number' => '64','verse_key' => '40:64','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4198','chapter_id' => '40','arabic_name' => 'هُوَ ٱلْحَىُّ لَآ إِلَـٰهَ إِلَّا هُوَ فَٱدْعُوهُ مُخْلِصِينَ لَهُ ٱلدِّينَ ۗ ٱلْحَمْدُ لِلَّهِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '65','verse_key' => '40:65','hizb_number' => '48','rub_el_hizb_number' => '189','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4199','chapter_id' => '40','arabic_name' => '۞ قُلْ إِنِّى نُهِيتُ أَنْ أَعْبُدَ ٱلَّذِينَ تَدْعُونَ مِن دُونِ ٱللَّهِ لَمَّا جَآءَنِىَ ٱلْبَيِّنَـٰتُ مِن رَّبِّى وَأُمِرْتُ أَنْ أُسْلِمَ لِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '66','verse_key' => '40:66','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '474','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4200','chapter_id' => '40','arabic_name' => 'هُوَ ٱلَّذِى خَلَقَكُم مِّن تُرَابٍ ثُمَّ مِن نُّطْفَةٍ ثُمَّ مِنْ عَلَقَةٍ ثُمَّ يُخْرِجُكُمْ طِفْلًا ثُمَّ لِتَبْلُغُوٓا۟ أَشُدَّكُمْ ثُمَّ لِتَكُونُوا۟ شُيُوخًا ۚ وَمِنكُم مَّن يُتَوَفَّىٰ مِن قَبْلُ ۖ وَلِتَبْلُغُوٓا۟ أَجَلًا مُّسَمًّى وَلَعَلَّكُمْ تَعْقِلُونَ','verse_number' => '67','verse_key' => '40:67','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4201','chapter_id' => '40','arabic_name' => 'هُوَ ٱلَّذِى يُحْىِۦ وَيُمِيتُ ۖ فَإِذَا قَضَىٰٓ أَمْرًا فَإِنَّمَا يَقُولُ لَهُۥ كُن فَيَكُونُ','verse_number' => '68','verse_key' => '40:68','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '412','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4202','chapter_id' => '40','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ يُجَـٰدِلُونَ فِىٓ ءَايَـٰتِ ٱللَّهِ أَنَّىٰ يُصْرَفُونَ','verse_number' => '69','verse_key' => '40:69','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4203','chapter_id' => '40','arabic_name' => 'ٱلَّذِينَ كَذَّبُوا۟ بِٱلْكِتَـٰبِ وَبِمَآ أَرْسَلْنَا بِهِۦ رُسُلَنَا ۖ فَسَوْفَ يَعْلَمُونَ','verse_number' => '70','verse_key' => '40:70','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4204','chapter_id' => '40','arabic_name' => 'إِذِ ٱلْأَغْلَـٰلُ فِىٓ أَعْنَـٰقِهِمْ وَٱلسَّلَـٰسِلُ يُسْحَبُونَ','verse_number' => '71','verse_key' => '40:71','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4205','chapter_id' => '40','arabic_name' => 'فِى ٱلْحَمِيمِ ثُمَّ فِى ٱلنَّارِ يُسْجَرُونَ','verse_number' => '72','verse_key' => '40:72','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4206','chapter_id' => '40','arabic_name' => 'ثُمَّ قِيلَ لَهُمْ أَيْنَ مَا كُنتُمْ تُشْرِكُونَ','verse_number' => '73','verse_key' => '40:73','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4207','chapter_id' => '40','arabic_name' => 'مِن دُونِ ٱللَّهِ ۖ قَالُوا۟ ضَلُّوا۟ عَنَّا بَل لَّمْ نَكُن نَّدْعُوا۟ مِن قَبْلُ شَيْـًٔا ۚ كَذَٰلِكَ يُضِلُّ ٱللَّهُ ٱلْكَـٰفِرِينَ','verse_number' => '74','verse_key' => '40:74','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4208','chapter_id' => '40','arabic_name' => 'ذَٰلِكُم بِمَا كُنتُمْ تَفْرَحُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَبِمَا كُنتُمْ تَمْرَحُونَ','verse_number' => '75','verse_key' => '40:75','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4209','chapter_id' => '40','arabic_name' => 'ٱدْخُلُوٓا۟ أَبْوَٰبَ جَهَنَّمَ خَـٰلِدِينَ فِيهَا ۖ فَبِئْسَ مَثْوَى ٱلْمُتَكَبِّرِينَ','verse_number' => '76','verse_key' => '40:76','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4210','chapter_id' => '40','arabic_name' => 'فَٱصْبِرْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ ۚ فَإِمَّا نُرِيَنَّكَ بَعْضَ ٱلَّذِى نَعِدُهُمْ أَوْ نَتَوَفَّيَنَّكَ فَإِلَيْنَا يُرْجَعُونَ','verse_number' => '77','verse_key' => '40:77','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '475','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4211','chapter_id' => '40','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا رُسُلًا مِّن قَبْلِكَ مِنْهُم مَّن قَصَصْنَا عَلَيْكَ وَمِنْهُم مَّن لَّمْ نَقْصُصْ عَلَيْكَ ۗ وَمَا كَانَ لِرَسُولٍ أَن يَأْتِىَ بِـَٔايَةٍ إِلَّا بِإِذْنِ ٱللَّهِ ۚ فَإِذَا جَآءَ أَمْرُ ٱللَّهِ قُضِىَ بِٱلْحَقِّ وَخَسِرَ هُنَالِكَ ٱلْمُبْطِلُونَ','verse_number' => '78','verse_key' => '40:78','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '413','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4212','chapter_id' => '40','arabic_name' => 'ٱللَّهُ ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَنْعَـٰمَ لِتَرْكَبُوا۟ مِنْهَا وَمِنْهَا تَأْكُلُونَ','verse_number' => '79','verse_key' => '40:79','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '414','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4213','chapter_id' => '40','arabic_name' => 'وَلَكُمْ فِيهَا مَنَـٰفِعُ وَلِتَبْلُغُوا۟ عَلَيْهَا حَاجَةً فِى صُدُورِكُمْ وَعَلَيْهَا وَعَلَى ٱلْفُلْكِ تُحْمَلُونَ','verse_number' => '80','verse_key' => '40:80','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '414','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4214','chapter_id' => '40','arabic_name' => 'وَيُرِيكُمْ ءَايَـٰتِهِۦ فَأَىَّ ءَايَـٰتِ ٱللَّهِ تُنكِرُونَ','verse_number' => '81','verse_key' => '40:81','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '414','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4215','chapter_id' => '40','arabic_name' => 'أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ كَانُوٓا۟ أَكْثَرَ مِنْهُمْ وَأَشَدَّ قُوَّةً وَءَاثَارًا فِى ٱلْأَرْضِ فَمَآ أَغْنَىٰ عَنْهُم مَّا كَانُوا۟ يَكْسِبُونَ','verse_number' => '82','verse_key' => '40:82','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '414','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4216','chapter_id' => '40','arabic_name' => 'فَلَمَّا جَآءَتْهُمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ فَرِحُوا۟ بِمَا عِندَهُم مِّنَ ٱلْعِلْمِ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '83','verse_key' => '40:83','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '414','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4217','chapter_id' => '40','arabic_name' => 'فَلَمَّا رَأَوْا۟ بَأْسَنَا قَالُوٓا۟ ءَامَنَّا بِٱللَّهِ وَحْدَهُۥ وَكَفَرْنَا بِمَا كُنَّا بِهِۦ مُشْرِكِينَ','verse_number' => '84','verse_key' => '40:84','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '414','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4218','chapter_id' => '40','arabic_name' => 'فَلَمْ يَكُ يَنفَعُهُمْ إِيمَـٰنُهُمْ لَمَّا رَأَوْا۟ بَأْسَنَا ۖ سُنَّتَ ٱللَّهِ ٱلَّتِى قَدْ خَلَتْ فِى عِبَادِهِۦ ۖ وَخَسِرَ هُنَالِكَ ٱلْكَـٰفِرُونَ','verse_number' => '85','verse_key' => '40:85','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '414','manzil_number' => '6','sajdah_number' => '0','page_number' => '476','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4219','chapter_id' => '41','arabic_name' => 'حمٓ','verse_number' => '1','verse_key' => '41:1','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4220','chapter_id' => '41','arabic_name' => 'تَنزِيلٌ مِّنَ ٱلرَّحْمَـٰنِ ٱلرَّحِيمِ','verse_number' => '2','verse_key' => '41:2','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4221','chapter_id' => '41','arabic_name' => 'كِتَـٰبٌ فُصِّلَتْ ءَايَـٰتُهُۥ قُرْءَانًا عَرَبِيًّا لِّقَوْمٍ يَعْلَمُونَ','verse_number' => '3','verse_key' => '41:3','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4222','chapter_id' => '41','arabic_name' => 'بَشِيرًا وَنَذِيرًا فَأَعْرَضَ أَكْثَرُهُمْ فَهُمْ لَا يَسْمَعُونَ','verse_number' => '4','verse_key' => '41:4','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4223','chapter_id' => '41','arabic_name' => 'وَقَالُوا۟ قُلُوبُنَا فِىٓ أَكِنَّةٍ مِّمَّا تَدْعُونَآ إِلَيْهِ وَفِىٓ ءَاذَانِنَا وَقْرٌ وَمِنۢ بَيْنِنَا وَبَيْنِكَ حِجَابٌ فَٱعْمَلْ إِنَّنَا عَـٰمِلُونَ','verse_number' => '5','verse_key' => '41:5','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4224','chapter_id' => '41','arabic_name' => 'قُلْ إِنَّمَآ أَنَا۠ بَشَرٌ مِّثْلُكُمْ يُوحَىٰٓ إِلَىَّ أَنَّمَآ إِلَـٰهُكُمْ إِلَـٰهٌ وَٰحِدٌ فَٱسْتَقِيمُوٓا۟ إِلَيْهِ وَٱسْتَغْفِرُوهُ ۗ وَوَيْلٌ لِّلْمُشْرِكِينَ','verse_number' => '6','verse_key' => '41:6','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4225','chapter_id' => '41','arabic_name' => 'ٱلَّذِينَ لَا يُؤْتُونَ ٱلزَّكَوٰةَ وَهُم بِٱلْـَٔاخِرَةِ هُمْ كَـٰفِرُونَ','verse_number' => '7','verse_key' => '41:7','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4226','chapter_id' => '41','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَهُمْ أَجْرٌ غَيْرُ مَمْنُونٍ','verse_number' => '8','verse_key' => '41:8','hizb_number' => '48','rub_el_hizb_number' => '190','ruku_number' => '415','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4227','chapter_id' => '41','arabic_name' => '۞ قُلْ أَئِنَّكُمْ لَتَكْفُرُونَ بِٱلَّذِى خَلَقَ ٱلْأَرْضَ فِى يَوْمَيْنِ وَتَجْعَلُونَ لَهُۥٓ أَندَادًا ۚ ذَٰلِكَ رَبُّ ٱلْعَـٰلَمِينَ','verse_number' => '9','verse_key' => '41:9','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4228','chapter_id' => '41','arabic_name' => 'وَجَعَلَ فِيهَا رَوَٰسِىَ مِن فَوْقِهَا وَبَـٰرَكَ فِيهَا وَقَدَّرَ فِيهَآ أَقْوَٰتَهَا فِىٓ أَرْبَعَةِ أَيَّامٍ سَوَآءً لِّلسَّآئِلِينَ','verse_number' => '10','verse_key' => '41:10','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4229','chapter_id' => '41','arabic_name' => 'ثُمَّ ٱسْتَوَىٰٓ إِلَى ٱلسَّمَآءِ وَهِىَ دُخَانٌ فَقَالَ لَهَا وَلِلْأَرْضِ ٱئْتِيَا طَوْعًا أَوْ كَرْهًا قَالَتَآ أَتَيْنَا طَآئِعِينَ','verse_number' => '11','verse_key' => '41:11','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '477','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4230','chapter_id' => '41','arabic_name' => 'فَقَضَىٰهُنَّ سَبْعَ سَمَـٰوَاتٍ فِى يَوْمَيْنِ وَأَوْحَىٰ فِى كُلِّ سَمَآءٍ أَمْرَهَا ۚ وَزَيَّنَّا ٱلسَّمَآءَ ٱلدُّنْيَا بِمَصَـٰبِيحَ وَحِفْظًا ۚ ذَٰلِكَ تَقْدِيرُ ٱلْعَزِيزِ ٱلْعَلِيمِ','verse_number' => '12','verse_key' => '41:12','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4231','chapter_id' => '41','arabic_name' => 'فَإِنْ أَعْرَضُوا۟ فَقُلْ أَنذَرْتُكُمْ صَـٰعِقَةً مِّثْلَ صَـٰعِقَةِ عَادٍ وَثَمُودَ','verse_number' => '13','verse_key' => '41:13','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4232','chapter_id' => '41','arabic_name' => 'إِذْ جَآءَتْهُمُ ٱلرُّسُلُ مِنۢ بَيْنِ أَيْدِيهِمْ وَمِنْ خَلْفِهِمْ أَلَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ ۖ قَالُوا۟ لَوْ شَآءَ رَبُّنَا لَأَنزَلَ مَلَـٰٓئِكَةً فَإِنَّا بِمَآ أُرْسِلْتُم بِهِۦ كَـٰفِرُونَ','verse_number' => '14','verse_key' => '41:14','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4233','chapter_id' => '41','arabic_name' => 'فَأَمَّا عَادٌ فَٱسْتَكْبَرُوا۟ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَقَالُوا۟ مَنْ أَشَدُّ مِنَّا قُوَّةً ۖ أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ ٱلَّذِى خَلَقَهُمْ هُوَ أَشَدُّ مِنْهُمْ قُوَّةً ۖ وَكَانُوا۟ بِـَٔايَـٰتِنَا يَجْحَدُونَ','verse_number' => '15','verse_key' => '41:15','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4234','chapter_id' => '41','arabic_name' => 'فَأَرْسَلْنَا عَلَيْهِمْ رِيحًا صَرْصَرًا فِىٓ أَيَّامٍ نَّحِسَاتٍ لِّنُذِيقَهُمْ عَذَابَ ٱلْخِزْىِ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَلَعَذَابُ ٱلْـَٔاخِرَةِ أَخْزَىٰ ۖ وَهُمْ لَا يُنصَرُونَ','verse_number' => '16','verse_key' => '41:16','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4235','chapter_id' => '41','arabic_name' => 'وَأَمَّا ثَمُودُ فَهَدَيْنَـٰهُمْ فَٱسْتَحَبُّوا۟ ٱلْعَمَىٰ عَلَى ٱلْهُدَىٰ فَأَخَذَتْهُمْ صَـٰعِقَةُ ٱلْعَذَابِ ٱلْهُونِ بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '17','verse_key' => '41:17','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4236','chapter_id' => '41','arabic_name' => 'وَنَجَّيْنَا ٱلَّذِينَ ءَامَنُوا۟ وَكَانُوا۟ يَتَّقُونَ','verse_number' => '18','verse_key' => '41:18','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '416','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4237','chapter_id' => '41','arabic_name' => 'وَيَوْمَ يُحْشَرُ أَعْدَآءُ ٱللَّهِ إِلَى ٱلنَّارِ فَهُمْ يُوزَعُونَ','verse_number' => '19','verse_key' => '41:19','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '417','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4238','chapter_id' => '41','arabic_name' => 'حَتَّىٰٓ إِذَا مَا جَآءُوهَا شَهِدَ عَلَيْهِمْ سَمْعُهُمْ وَأَبْصَـٰرُهُمْ وَجُلُودُهُم بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '20','verse_key' => '41:20','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '417','manzil_number' => '6','sajdah_number' => '0','page_number' => '478','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4239','chapter_id' => '41','arabic_name' => 'وَقَالُوا۟ لِجُلُودِهِمْ لِمَ شَهِدتُّمْ عَلَيْنَا ۖ قَالُوٓا۟ أَنطَقَنَا ٱللَّهُ ٱلَّذِىٓ أَنطَقَ كُلَّ شَىْءٍ وَهُوَ خَلَقَكُمْ أَوَّلَ مَرَّةٍ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '21','verse_key' => '41:21','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '417','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4240','chapter_id' => '41','arabic_name' => 'وَمَا كُنتُمْ تَسْتَتِرُونَ أَن يَشْهَدَ عَلَيْكُمْ سَمْعُكُمْ وَلَآ أَبْصَـٰرُكُمْ وَلَا جُلُودُكُمْ وَلَـٰكِن ظَنَنتُمْ أَنَّ ٱللَّهَ لَا يَعْلَمُ كَثِيرًا مِّمَّا تَعْمَلُونَ','verse_number' => '22','verse_key' => '41:22','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '417','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4241','chapter_id' => '41','arabic_name' => 'وَذَٰلِكُمْ ظَنُّكُمُ ٱلَّذِى ظَنَنتُم بِرَبِّكُمْ أَرْدَىٰكُمْ فَأَصْبَحْتُم مِّنَ ٱلْخَـٰسِرِينَ','verse_number' => '23','verse_key' => '41:23','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '417','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4242','chapter_id' => '41','arabic_name' => 'فَإِن يَصْبِرُوا۟ فَٱلنَّارُ مَثْوًى لَّهُمْ ۖ وَإِن يَسْتَعْتِبُوا۟ فَمَا هُم مِّنَ ٱلْمُعْتَبِينَ','verse_number' => '24','verse_key' => '41:24','hizb_number' => '48','rub_el_hizb_number' => '191','ruku_number' => '417','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4243','chapter_id' => '41','arabic_name' => '۞ وَقَيَّضْنَا لَهُمْ قُرَنَآءَ فَزَيَّنُوا۟ لَهُم مَّا بَيْنَ أَيْدِيهِمْ وَمَا خَلْفَهُمْ وَحَقَّ عَلَيْهِمُ ٱلْقَوْلُ فِىٓ أُمَمٍ قَدْ خَلَتْ مِن قَبْلِهِم مِّنَ ٱلْجِنِّ وَٱلْإِنسِ ۖ إِنَّهُمْ كَانُوا۟ خَـٰسِرِينَ','verse_number' => '25','verse_key' => '41:25','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '417','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4244','chapter_id' => '41','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لَا تَسْمَعُوا۟ لِهَـٰذَا ٱلْقُرْءَانِ وَٱلْغَوْا۟ فِيهِ لَعَلَّكُمْ تَغْلِبُونَ','verse_number' => '26','verse_key' => '41:26','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '418','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4245','chapter_id' => '41','arabic_name' => 'فَلَنُذِيقَنَّ ٱلَّذِينَ كَفَرُوا۟ عَذَابًا شَدِيدًا وَلَنَجْزِيَنَّهُمْ أَسْوَأَ ٱلَّذِى كَانُوا۟ يَعْمَلُونَ','verse_number' => '27','verse_key' => '41:27','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '418','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4246','chapter_id' => '41','arabic_name' => 'ذَٰلِكَ جَزَآءُ أَعْدَآءِ ٱللَّهِ ٱلنَّارُ ۖ لَهُمْ فِيهَا دَارُ ٱلْخُلْدِ ۖ جَزَآءًۢ بِمَا كَانُوا۟ بِـَٔايَـٰتِنَا يَجْحَدُونَ','verse_number' => '28','verse_key' => '41:28','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '418','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4247','chapter_id' => '41','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ رَبَّنَآ أَرِنَا ٱلَّذَيْنِ أَضَلَّانَا مِنَ ٱلْجِنِّ وَٱلْإِنسِ نَجْعَلْهُمَا تَحْتَ أَقْدَامِنَا لِيَكُونَا مِنَ ٱلْأَسْفَلِينَ','verse_number' => '29','verse_key' => '41:29','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '418','manzil_number' => '6','sajdah_number' => '0','page_number' => '479','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4248','chapter_id' => '41','arabic_name' => 'إِنَّ ٱلَّذِينَ قَالُوا۟ رَبُّنَا ٱللَّهُ ثُمَّ ٱسْتَقَـٰمُوا۟ تَتَنَزَّلُ عَلَيْهِمُ ٱلْمَلَـٰٓئِكَةُ أَلَّا تَخَافُوا۟ وَلَا تَحْزَنُوا۟ وَأَبْشِرُوا۟ بِٱلْجَنَّةِ ٱلَّتِى كُنتُمْ تُوعَدُونَ','verse_number' => '30','verse_key' => '41:30','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '418','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4249','chapter_id' => '41','arabic_name' => 'نَحْنُ أَوْلِيَآؤُكُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا وَفِى ٱلْـَٔاخِرَةِ ۖ وَلَكُمْ فِيهَا مَا تَشْتَهِىٓ أَنفُسُكُمْ وَلَكُمْ فِيهَا مَا تَدَّعُونَ','verse_number' => '31','verse_key' => '41:31','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '418','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4250','chapter_id' => '41','arabic_name' => 'نُزُلًا مِّنْ غَفُورٍ رَّحِيمٍ','verse_number' => '32','verse_key' => '41:32','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '418','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4251','chapter_id' => '41','arabic_name' => 'وَمَنْ أَحْسَنُ قَوْلًا مِّمَّن دَعَآ إِلَى ٱللَّهِ وَعَمِلَ صَـٰلِحًا وَقَالَ إِنَّنِى مِنَ ٱلْمُسْلِمِينَ','verse_number' => '33','verse_key' => '41:33','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4252','chapter_id' => '41','arabic_name' => 'وَلَا تَسْتَوِى ٱلْحَسَنَةُ وَلَا ٱلسَّيِّئَةُ ۚ ٱدْفَعْ بِٱلَّتِى هِىَ أَحْسَنُ فَإِذَا ٱلَّذِى بَيْنَكَ وَبَيْنَهُۥ عَدَٰوَةٌ كَأَنَّهُۥ وَلِىٌّ حَمِيمٌ','verse_number' => '34','verse_key' => '41:34','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4253','chapter_id' => '41','arabic_name' => 'وَمَا يُلَقَّىٰهَآ إِلَّا ٱلَّذِينَ صَبَرُوا۟ وَمَا يُلَقَّىٰهَآ إِلَّا ذُو حَظٍّ عَظِيمٍ','verse_number' => '35','verse_key' => '41:35','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4254','chapter_id' => '41','arabic_name' => 'وَإِمَّا يَنزَغَنَّكَ مِنَ ٱلشَّيْطَـٰنِ نَزْغٌ فَٱسْتَعِذْ بِٱللَّهِ ۖ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '36','verse_key' => '41:36','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4255','chapter_id' => '41','arabic_name' => 'وَمِنْ ءَايَـٰتِهِ ٱلَّيْلُ وَٱلنَّهَارُ وَٱلشَّمْسُ وَٱلْقَمَرُ ۚ لَا تَسْجُدُوا۟ لِلشَّمْسِ وَلَا لِلْقَمَرِ وَٱسْجُدُوا۟ لِلَّهِ ٱلَّذِى خَلَقَهُنَّ إِن كُنتُمْ إِيَّاهُ تَعْبُدُونَ','verse_number' => '37','verse_key' => '41:37','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4256','chapter_id' => '41','arabic_name' => 'فَإِنِ ٱسْتَكْبَرُوا۟ فَٱلَّذِينَ عِندَ رَبِّكَ يُسَبِّحُونَ لَهُۥ بِٱلَّيْلِ وَٱلنَّهَارِ وَهُمْ لَا يَسْـَٔمُونَ ۩','verse_number' => '38','verse_key' => '41:38','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '11','page_number' => '480','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4257','chapter_id' => '41','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦٓ أَنَّكَ تَرَى ٱلْأَرْضَ خَـٰشِعَةً فَإِذَآ أَنزَلْنَا عَلَيْهَا ٱلْمَآءَ ٱهْتَزَّتْ وَرَبَتْ ۚ إِنَّ ٱلَّذِىٓ أَحْيَاهَا لَمُحْىِ ٱلْمَوْتَىٰٓ ۚ إِنَّهُۥ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '39','verse_key' => '41:39','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4258','chapter_id' => '41','arabic_name' => 'إِنَّ ٱلَّذِينَ يُلْحِدُونَ فِىٓ ءَايَـٰتِنَا لَا يَخْفَوْنَ عَلَيْنَآ ۗ أَفَمَن يُلْقَىٰ فِى ٱلنَّارِ خَيْرٌ أَم مَّن يَأْتِىٓ ءَامِنًا يَوْمَ ٱلْقِيَـٰمَةِ ۚ ٱعْمَلُوا۟ مَا شِئْتُمْ ۖ إِنَّهُۥ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '40','verse_key' => '41:40','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4259','chapter_id' => '41','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ بِٱلذِّكْرِ لَمَّا جَآءَهُمْ ۖ وَإِنَّهُۥ لَكِتَـٰبٌ عَزِيزٌ','verse_number' => '41','verse_key' => '41:41','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4260','chapter_id' => '41','arabic_name' => 'لَّا يَأْتِيهِ ٱلْبَـٰطِلُ مِنۢ بَيْنِ يَدَيْهِ وَلَا مِنْ خَلْفِهِۦ ۖ تَنزِيلٌ مِّنْ حَكِيمٍ حَمِيدٍ','verse_number' => '42','verse_key' => '41:42','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4261','chapter_id' => '41','arabic_name' => 'مَّا يُقَالُ لَكَ إِلَّا مَا قَدْ قِيلَ لِلرُّسُلِ مِن قَبْلِكَ ۚ إِنَّ رَبَّكَ لَذُو مَغْفِرَةٍ وَذُو عِقَابٍ أَلِيمٍ','verse_number' => '43','verse_key' => '41:43','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4262','chapter_id' => '41','arabic_name' => 'وَلَوْ جَعَلْنَـٰهُ قُرْءَانًا أَعْجَمِيًّا لَّقَالُوا۟ لَوْلَا فُصِّلَتْ ءَايَـٰتُهُۥٓ ۖ ءَا۬عْجَمِىٌّ وَعَرَبِىٌّ ۗ قُلْ هُوَ لِلَّذِينَ ءَامَنُوا۟ هُدًى وَشِفَآءٌ ۖ وَٱلَّذِينَ لَا يُؤْمِنُونَ فِىٓ ءَاذَانِهِمْ وَقْرٌ وَهُوَ عَلَيْهِمْ عَمًى ۚ أُو۟لَـٰٓئِكَ يُنَادَوْنَ مِن مَّكَانٍۭ بَعِيدٍ','verse_number' => '44','verse_key' => '41:44','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '419','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4263','chapter_id' => '41','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا مُوسَى ٱلْكِتَـٰبَ فَٱخْتُلِفَ فِيهِ ۗ وَلَوْلَا كَلِمَةٌ سَبَقَتْ مِن رَّبِّكَ لَقُضِىَ بَيْنَهُمْ ۚ وَإِنَّهُمْ لَفِى شَكٍّ مِّنْهُ مُرِيبٍ','verse_number' => '45','verse_key' => '41:45','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4264','chapter_id' => '41','arabic_name' => 'مَّنْ عَمِلَ صَـٰلِحًا فَلِنَفْسِهِۦ ۖ وَمَنْ أَسَآءَ فَعَلَيْهَا ۗ وَمَا رَبُّكَ بِظَلَّـٰمٍ لِّلْعَبِيدِ','verse_number' => '46','verse_key' => '41:46','hizb_number' => '48','rub_el_hizb_number' => '192','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '481','juz_number' => '24','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4265','chapter_id' => '41','arabic_name' => '۞ إِلَيْهِ يُرَدُّ عِلْمُ ٱلسَّاعَةِ ۚ وَمَا تَخْرُجُ مِن ثَمَرَٰتٍ مِّنْ أَكْمَامِهَا وَمَا تَحْمِلُ مِنْ أُنثَىٰ وَلَا تَضَعُ إِلَّا بِعِلْمِهِۦ ۚ وَيَوْمَ يُنَادِيهِمْ أَيْنَ شُرَكَآءِى قَالُوٓا۟ ءَاذَنَّـٰكَ مَا مِنَّا مِن شَهِيدٍ','verse_number' => '47','verse_key' => '41:47','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4266','chapter_id' => '41','arabic_name' => 'وَضَلَّ عَنْهُم مَّا كَانُوا۟ يَدْعُونَ مِن قَبْلُ ۖ وَظَنُّوا۟ مَا لَهُم مِّن مَّحِيصٍ','verse_number' => '48','verse_key' => '41:48','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4267','chapter_id' => '41','arabic_name' => 'لَّا يَسْـَٔمُ ٱلْإِنسَـٰنُ مِن دُعَآءِ ٱلْخَيْرِ وَإِن مَّسَّهُ ٱلشَّرُّ فَيَـُٔوسٌ قَنُوطٌ','verse_number' => '49','verse_key' => '41:49','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4268','chapter_id' => '41','arabic_name' => 'وَلَئِنْ أَذَقْنَـٰهُ رَحْمَةً مِّنَّا مِنۢ بَعْدِ ضَرَّآءَ مَسَّتْهُ لَيَقُولَنَّ هَـٰذَا لِى وَمَآ أَظُنُّ ٱلسَّاعَةَ قَآئِمَةً وَلَئِن رُّجِعْتُ إِلَىٰ رَبِّىٓ إِنَّ لِى عِندَهُۥ لَلْحُسْنَىٰ ۚ فَلَنُنَبِّئَنَّ ٱلَّذِينَ كَفَرُوا۟ بِمَا عَمِلُوا۟ وَلَنُذِيقَنَّهُم مِّنْ عَذَابٍ غَلِيظٍ','verse_number' => '50','verse_key' => '41:50','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4269','chapter_id' => '41','arabic_name' => 'وَإِذَآ أَنْعَمْنَا عَلَى ٱلْإِنسَـٰنِ أَعْرَضَ وَنَـَٔا بِجَانِبِهِۦ وَإِذَا مَسَّهُ ٱلشَّرُّ فَذُو دُعَآءٍ عَرِيضٍ','verse_number' => '51','verse_key' => '41:51','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4270','chapter_id' => '41','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِن كَانَ مِنْ عِندِ ٱللَّهِ ثُمَّ كَفَرْتُم بِهِۦ مَنْ أَضَلُّ مِمَّنْ هُوَ فِى شِقَاقٍۭ بَعِيدٍ','verse_number' => '52','verse_key' => '41:52','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4271','chapter_id' => '41','arabic_name' => 'سَنُرِيهِمْ ءَايَـٰتِنَا فِى ٱلْـَٔافَاقِ وَفِىٓ أَنفُسِهِمْ حَتَّىٰ يَتَبَيَّنَ لَهُمْ أَنَّهُ ٱلْحَقُّ ۗ أَوَلَمْ يَكْفِ بِرَبِّكَ أَنَّهُۥ عَلَىٰ كُلِّ شَىْءٍ شَهِيدٌ','verse_number' => '53','verse_key' => '41:53','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4272','chapter_id' => '41','arabic_name' => 'أَلَآ إِنَّهُمْ فِى مِرْيَةٍ مِّن لِّقَآءِ رَبِّهِمْ ۗ أَلَآ إِنَّهُۥ بِكُلِّ شَىْءٍ مُّحِيطٌۢ','verse_number' => '54','verse_key' => '41:54','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '420','manzil_number' => '6','sajdah_number' => '0','page_number' => '482','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4273','chapter_id' => '42','arabic_name' => 'حمٓ','verse_number' => '1','verse_key' => '42:1','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4274','chapter_id' => '42','arabic_name' => 'عٓسٓقٓ','verse_number' => '2','verse_key' => '42:2','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4275','chapter_id' => '42','arabic_name' => 'كَذَٰلِكَ يُوحِىٓ إِلَيْكَ وَإِلَى ٱلَّذِينَ مِن قَبْلِكَ ٱللَّهُ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '3','verse_key' => '42:3','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4276','chapter_id' => '42','arabic_name' => 'لَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ وَهُوَ ٱلْعَلِىُّ ٱلْعَظِيمُ','verse_number' => '4','verse_key' => '42:4','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4277','chapter_id' => '42','arabic_name' => 'تَكَادُ ٱلسَّمَـٰوَٰتُ يَتَفَطَّرْنَ مِن فَوْقِهِنَّ ۚ وَٱلْمَلَـٰٓئِكَةُ يُسَبِّحُونَ بِحَمْدِ رَبِّهِمْ وَيَسْتَغْفِرُونَ لِمَن فِى ٱلْأَرْضِ ۗ أَلَآ إِنَّ ٱللَّهَ هُوَ ٱلْغَفُورُ ٱلرَّحِيمُ','verse_number' => '5','verse_key' => '42:5','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4278','chapter_id' => '42','arabic_name' => 'وَٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ ٱللَّهُ حَفِيظٌ عَلَيْهِمْ وَمَآ أَنتَ عَلَيْهِم بِوَكِيلٍ','verse_number' => '6','verse_key' => '42:6','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4279','chapter_id' => '42','arabic_name' => 'وَكَذَٰلِكَ أَوْحَيْنَآ إِلَيْكَ قُرْءَانًا عَرَبِيًّا لِّتُنذِرَ أُمَّ ٱلْقُرَىٰ وَمَنْ حَوْلَهَا وَتُنذِرَ يَوْمَ ٱلْجَمْعِ لَا رَيْبَ فِيهِ ۚ فَرِيقٌ فِى ٱلْجَنَّةِ وَفَرِيقٌ فِى ٱلسَّعِيرِ','verse_number' => '7','verse_key' => '42:7','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4280','chapter_id' => '42','arabic_name' => 'وَلَوْ شَآءَ ٱللَّهُ لَجَعَلَهُمْ أُمَّةً وَٰحِدَةً وَلَـٰكِن يُدْخِلُ مَن يَشَآءُ فِى رَحْمَتِهِۦ ۚ وَٱلظَّـٰلِمُونَ مَا لَهُم مِّن وَلِىٍّ وَلَا نَصِيرٍ','verse_number' => '8','verse_key' => '42:8','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4281','chapter_id' => '42','arabic_name' => 'أَمِ ٱتَّخَذُوا۟ مِن دُونِهِۦٓ أَوْلِيَآءَ ۖ فَٱللَّهُ هُوَ ٱلْوَلِىُّ وَهُوَ يُحْىِ ٱلْمَوْتَىٰ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '9','verse_key' => '42:9','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '421','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4282','chapter_id' => '42','arabic_name' => 'وَمَا ٱخْتَلَفْتُمْ فِيهِ مِن شَىْءٍ فَحُكْمُهُۥٓ إِلَى ٱللَّهِ ۚ ذَٰلِكُمُ ٱللَّهُ رَبِّى عَلَيْهِ تَوَكَّلْتُ وَإِلَيْهِ أُنِيبُ','verse_number' => '10','verse_key' => '42:10','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '483','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4283','chapter_id' => '42','arabic_name' => 'فَاطِرُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ جَعَلَ لَكُم مِّنْ أَنفُسِكُمْ أَزْوَٰجًا وَمِنَ ٱلْأَنْعَـٰمِ أَزْوَٰجًا ۖ يَذْرَؤُكُمْ فِيهِ ۚ لَيْسَ كَمِثْلِهِۦ شَىْءٌ ۖ وَهُوَ ٱلسَّمِيعُ ٱلْبَصِيرُ','verse_number' => '11','verse_key' => '42:11','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '484','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4284','chapter_id' => '42','arabic_name' => 'لَهُۥ مَقَالِيدُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ يَبْسُطُ ٱلرِّزْقَ لِمَن يَشَآءُ وَيَقْدِرُ ۚ إِنَّهُۥ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '12','verse_key' => '42:12','hizb_number' => '49','rub_el_hizb_number' => '193','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '484','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4285','chapter_id' => '42','arabic_name' => '۞ شَرَعَ لَكُم مِّنَ ٱلدِّينِ مَا وَصَّىٰ بِهِۦ نُوحًا وَٱلَّذِىٓ أَوْحَيْنَآ إِلَيْكَ وَمَا وَصَّيْنَا بِهِۦٓ إِبْرَٰهِيمَ وَمُوسَىٰ وَعِيسَىٰٓ ۖ أَنْ أَقِيمُوا۟ ٱلدِّينَ وَلَا تَتَفَرَّقُوا۟ فِيهِ ۚ كَبُرَ عَلَى ٱلْمُشْرِكِينَ مَا تَدْعُوهُمْ إِلَيْهِ ۚ ٱللَّهُ يَجْتَبِىٓ إِلَيْهِ مَن يَشَآءُ وَيَهْدِىٓ إِلَيْهِ مَن يُنِيبُ','verse_number' => '13','verse_key' => '42:13','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '484','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4286','chapter_id' => '42','arabic_name' => 'وَمَا تَفَرَّقُوٓا۟ إِلَّا مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْعِلْمُ بَغْيًۢا بَيْنَهُمْ ۚ وَلَوْلَا كَلِمَةٌ سَبَقَتْ مِن رَّبِّكَ إِلَىٰٓ أَجَلٍ مُّسَمًّى لَّقُضِىَ بَيْنَهُمْ ۚ وَإِنَّ ٱلَّذِينَ أُورِثُوا۟ ٱلْكِتَـٰبَ مِنۢ بَعْدِهِمْ لَفِى شَكٍّ مِّنْهُ مُرِيبٍ','verse_number' => '14','verse_key' => '42:14','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '484','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4287','chapter_id' => '42','arabic_name' => 'فَلِذَٰلِكَ فَٱدْعُ ۖ وَٱسْتَقِمْ كَمَآ أُمِرْتَ ۖ وَلَا تَتَّبِعْ أَهْوَآءَهُمْ ۖ وَقُلْ ءَامَنتُ بِمَآ أَنزَلَ ٱللَّهُ مِن كِتَـٰبٍ ۖ وَأُمِرْتُ لِأَعْدِلَ بَيْنَكُمُ ۖ ٱللَّهُ رَبُّنَا وَرَبُّكُمْ ۖ لَنَآ أَعْمَـٰلُنَا وَلَكُمْ أَعْمَـٰلُكُمْ ۖ لَا حُجَّةَ بَيْنَنَا وَبَيْنَكُمُ ۖ ٱللَّهُ يَجْمَعُ بَيْنَنَا ۖ وَإِلَيْهِ ٱلْمَصِيرُ','verse_number' => '15','verse_key' => '42:15','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '484','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4288','chapter_id' => '42','arabic_name' => 'وَٱلَّذِينَ يُحَآجُّونَ فِى ٱللَّهِ مِنۢ بَعْدِ مَا ٱسْتُجِيبَ لَهُۥ حُجَّتُهُمْ دَاحِضَةٌ عِندَ رَبِّهِمْ وَعَلَيْهِمْ غَضَبٌ وَلَهُمْ عَذَابٌ شَدِيدٌ','verse_number' => '16','verse_key' => '42:16','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '485','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4289','chapter_id' => '42','arabic_name' => 'ٱللَّهُ ٱلَّذِىٓ أَنزَلَ ٱلْكِتَـٰبَ بِٱلْحَقِّ وَٱلْمِيزَانَ ۗ وَمَا يُدْرِيكَ لَعَلَّ ٱلسَّاعَةَ قَرِيبٌ','verse_number' => '17','verse_key' => '42:17','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '485','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4290','chapter_id' => '42','arabic_name' => 'يَسْتَعْجِلُ بِهَا ٱلَّذِينَ لَا يُؤْمِنُونَ بِهَا ۖ وَٱلَّذِينَ ءَامَنُوا۟ مُشْفِقُونَ مِنْهَا وَيَعْلَمُونَ أَنَّهَا ٱلْحَقُّ ۗ أَلَآ إِنَّ ٱلَّذِينَ يُمَارُونَ فِى ٱلسَّاعَةِ لَفِى ضَلَـٰلٍۭ بَعِيدٍ','verse_number' => '18','verse_key' => '42:18','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '485','juz_number' => '25','created_at' => '2023-12-01 17:30:06','updated_at' => '2023-12-01 17:30:06'),
            array('id' => '4291','chapter_id' => '42','arabic_name' => 'ٱللَّهُ لَطِيفٌۢ بِعِبَادِهِۦ يَرْزُقُ مَن يَشَآءُ ۖ وَهُوَ ٱلْقَوِىُّ ٱلْعَزِيزُ','verse_number' => '19','verse_key' => '42:19','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '422','manzil_number' => '6','sajdah_number' => '0','page_number' => '485','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4292','chapter_id' => '42','arabic_name' => 'مَن كَانَ يُرِيدُ حَرْثَ ٱلْـَٔاخِرَةِ نَزِدْ لَهُۥ فِى حَرْثِهِۦ ۖ وَمَن كَانَ يُرِيدُ حَرْثَ ٱلدُّنْيَا نُؤْتِهِۦ مِنْهَا وَمَا لَهُۥ فِى ٱلْـَٔاخِرَةِ مِن نَّصِيبٍ','verse_number' => '20','verse_key' => '42:20','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '485','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4293','chapter_id' => '42','arabic_name' => 'أَمْ لَهُمْ شُرَكَـٰٓؤُا۟ شَرَعُوا۟ لَهُم مِّنَ ٱلدِّينِ مَا لَمْ يَأْذَنۢ بِهِ ٱللَّهُ ۚ وَلَوْلَا كَلِمَةُ ٱلْفَصْلِ لَقُضِىَ بَيْنَهُمْ ۗ وَإِنَّ ٱلظَّـٰلِمِينَ لَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '21','verse_key' => '42:21','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '485','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4294','chapter_id' => '42','arabic_name' => 'تَرَى ٱلظَّـٰلِمِينَ مُشْفِقِينَ مِمَّا كَسَبُوا۟ وَهُوَ وَاقِعٌۢ بِهِمْ ۗ وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فِى رَوْضَاتِ ٱلْجَنَّاتِ ۖ لَهُم مَّا يَشَآءُونَ عِندَ رَبِّهِمْ ۚ ذَٰلِكَ هُوَ ٱلْفَضْلُ ٱلْكَبِيرُ','verse_number' => '22','verse_key' => '42:22','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '485','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4295','chapter_id' => '42','arabic_name' => 'ذَٰلِكَ ٱلَّذِى يُبَشِّرُ ٱللَّهُ عِبَادَهُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ ۗ قُل لَّآ أَسْـَٔلُكُمْ عَلَيْهِ أَجْرًا إِلَّا ٱلْمَوَدَّةَ فِى ٱلْقُرْبَىٰ ۗ وَمَن يَقْتَرِفْ حَسَنَةً نَّزِدْ لَهُۥ فِيهَا حُسْنًا ۚ إِنَّ ٱللَّهَ غَفُورٌ شَكُورٌ','verse_number' => '23','verse_key' => '42:23','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4296','chapter_id' => '42','arabic_name' => 'أَمْ يَقُولُونَ ٱفْتَرَىٰ عَلَى ٱللَّهِ كَذِبًا ۖ فَإِن يَشَإِ ٱللَّهُ يَخْتِمْ عَلَىٰ قَلْبِكَ ۗ وَيَمْحُ ٱللَّهُ ٱلْبَـٰطِلَ وَيُحِقُّ ٱلْحَقَّ بِكَلِمَـٰتِهِۦٓ ۚ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '24','verse_key' => '42:24','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4297','chapter_id' => '42','arabic_name' => 'وَهُوَ ٱلَّذِى يَقْبَلُ ٱلتَّوْبَةَ عَنْ عِبَادِهِۦ وَيَعْفُوا۟ عَنِ ٱلسَّيِّـَٔاتِ وَيَعْلَمُ مَا تَفْعَلُونَ','verse_number' => '25','verse_key' => '42:25','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4298','chapter_id' => '42','arabic_name' => 'وَيَسْتَجِيبُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَيَزِيدُهُم مِّن فَضْلِهِۦ ۚ وَٱلْكَـٰفِرُونَ لَهُمْ عَذَابٌ شَدِيدٌ','verse_number' => '26','verse_key' => '42:26','hizb_number' => '49','rub_el_hizb_number' => '194','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4299','chapter_id' => '42','arabic_name' => '۞ وَلَوْ بَسَطَ ٱللَّهُ ٱلرِّزْقَ لِعِبَادِهِۦ لَبَغَوْا۟ فِى ٱلْأَرْضِ وَلَـٰكِن يُنَزِّلُ بِقَدَرٍ مَّا يَشَآءُ ۚ إِنَّهُۥ بِعِبَادِهِۦ خَبِيرٌۢ بَصِيرٌ','verse_number' => '27','verse_key' => '42:27','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4300','chapter_id' => '42','arabic_name' => 'وَهُوَ ٱلَّذِى يُنَزِّلُ ٱلْغَيْثَ مِنۢ بَعْدِ مَا قَنَطُوا۟ وَيَنشُرُ رَحْمَتَهُۥ ۚ وَهُوَ ٱلْوَلِىُّ ٱلْحَمِيدُ','verse_number' => '28','verse_key' => '42:28','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4301','chapter_id' => '42','arabic_name' => 'وَمِنْ ءَايَـٰتِهِۦ خَلْقُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَثَّ فِيهِمَا مِن دَآبَّةٍ ۚ وَهُوَ عَلَىٰ جَمْعِهِمْ إِذَا يَشَآءُ قَدِيرٌ','verse_number' => '29','verse_key' => '42:29','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '423','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4302','chapter_id' => '42','arabic_name' => 'وَمَآ أَصَـٰبَكُم مِّن مُّصِيبَةٍ فَبِمَا كَسَبَتْ أَيْدِيكُمْ وَيَعْفُوا۟ عَن كَثِيرٍ','verse_number' => '30','verse_key' => '42:30','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4303','chapter_id' => '42','arabic_name' => 'وَمَآ أَنتُم بِمُعْجِزِينَ فِى ٱلْأَرْضِ ۖ وَمَا لَكُم مِّن دُونِ ٱللَّهِ مِن وَلِىٍّ وَلَا نَصِيرٍ','verse_number' => '31','verse_key' => '42:31','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '486','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4304','chapter_id' => '42','arabic_name' => 'وَمِنْ ءَايَـٰتِهِ ٱلْجَوَارِ فِى ٱلْبَحْرِ كَٱلْأَعْلَـٰمِ','verse_number' => '32','verse_key' => '42:32','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4305','chapter_id' => '42','arabic_name' => 'إِن يَشَأْ يُسْكِنِ ٱلرِّيحَ فَيَظْلَلْنَ رَوَاكِدَ عَلَىٰ ظَهْرِهِۦٓ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّكُلِّ صَبَّارٍ شَكُورٍ','verse_number' => '33','verse_key' => '42:33','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4306','chapter_id' => '42','arabic_name' => 'أَوْ يُوبِقْهُنَّ بِمَا كَسَبُوا۟ وَيَعْفُ عَن كَثِيرٍ','verse_number' => '34','verse_key' => '42:34','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4307','chapter_id' => '42','arabic_name' => 'وَيَعْلَمَ ٱلَّذِينَ يُجَـٰدِلُونَ فِىٓ ءَايَـٰتِنَا مَا لَهُم مِّن مَّحِيصٍ','verse_number' => '35','verse_key' => '42:35','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4308','chapter_id' => '42','arabic_name' => 'فَمَآ أُوتِيتُم مِّن شَىْءٍ فَمَتَـٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۖ وَمَا عِندَ ٱللَّهِ خَيْرٌ وَأَبْقَىٰ لِلَّذِينَ ءَامَنُوا۟ وَعَلَىٰ رَبِّهِمْ يَتَوَكَّلُونَ','verse_number' => '36','verse_key' => '42:36','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4309','chapter_id' => '42','arabic_name' => 'وَٱلَّذِينَ يَجْتَنِبُونَ كَبَـٰٓئِرَ ٱلْإِثْمِ وَٱلْفَوَٰحِشَ وَإِذَا مَا غَضِبُوا۟ هُمْ يَغْفِرُونَ','verse_number' => '37','verse_key' => '42:37','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4310','chapter_id' => '42','arabic_name' => 'وَٱلَّذِينَ ٱسْتَجَابُوا۟ لِرَبِّهِمْ وَأَقَامُوا۟ ٱلصَّلَوٰةَ وَأَمْرُهُمْ شُورَىٰ بَيْنَهُمْ وَمِمَّا رَزَقْنَـٰهُمْ يُنفِقُونَ','verse_number' => '38','verse_key' => '42:38','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4311','chapter_id' => '42','arabic_name' => 'وَٱلَّذِينَ إِذَآ أَصَابَهُمُ ٱلْبَغْىُ هُمْ يَنتَصِرُونَ','verse_number' => '39','verse_key' => '42:39','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4312','chapter_id' => '42','arabic_name' => 'وَجَزَٰٓؤُا۟ سَيِّئَةٍ سَيِّئَةٌ مِّثْلُهَا ۖ فَمَنْ عَفَا وَأَصْلَحَ فَأَجْرُهُۥ عَلَى ٱللَّهِ ۚ إِنَّهُۥ لَا يُحِبُّ ٱلظَّـٰلِمِينَ','verse_number' => '40','verse_key' => '42:40','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4313','chapter_id' => '42','arabic_name' => 'وَلَمَنِ ٱنتَصَرَ بَعْدَ ظُلْمِهِۦ فَأُو۟لَـٰٓئِكَ مَا عَلَيْهِم مِّن سَبِيلٍ','verse_number' => '41','verse_key' => '42:41','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4314','chapter_id' => '42','arabic_name' => 'إِنَّمَا ٱلسَّبِيلُ عَلَى ٱلَّذِينَ يَظْلِمُونَ ٱلنَّاسَ وَيَبْغُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ ۚ أُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '42','verse_key' => '42:42','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4315','chapter_id' => '42','arabic_name' => 'وَلَمَن صَبَرَ وَغَفَرَ إِنَّ ذَٰلِكَ لَمِنْ عَزْمِ ٱلْأُمُورِ','verse_number' => '43','verse_key' => '42:43','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '424','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4316','chapter_id' => '42','arabic_name' => 'وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِن وَلِىٍّ مِّنۢ بَعْدِهِۦ ۗ وَتَرَى ٱلظَّـٰلِمِينَ لَمَّا رَأَوُا۟ ٱلْعَذَابَ يَقُولُونَ هَلْ إِلَىٰ مَرَدٍّ مِّن سَبِيلٍ','verse_number' => '44','verse_key' => '42:44','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '487','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4317','chapter_id' => '42','arabic_name' => 'وَتَرَىٰهُمْ يُعْرَضُونَ عَلَيْهَا خَـٰشِعِينَ مِنَ ٱلذُّلِّ يَنظُرُونَ مِن طَرْفٍ خَفِىٍّ ۗ وَقَالَ ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ ٱلْخَـٰسِرِينَ ٱلَّذِينَ خَسِرُوٓا۟ أَنفُسَهُمْ وَأَهْلِيهِمْ يَوْمَ ٱلْقِيَـٰمَةِ ۗ أَلَآ إِنَّ ٱلظَّـٰلِمِينَ فِى عَذَابٍ مُّقِيمٍ','verse_number' => '45','verse_key' => '42:45','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '488','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4318','chapter_id' => '42','arabic_name' => 'وَمَا كَانَ لَهُم مِّنْ أَوْلِيَآءَ يَنصُرُونَهُم مِّن دُونِ ٱللَّهِ ۗ وَمَن يُضْلِلِ ٱللَّهُ فَمَا لَهُۥ مِن سَبِيلٍ','verse_number' => '46','verse_key' => '42:46','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '488','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4319','chapter_id' => '42','arabic_name' => 'ٱسْتَجِيبُوا۟ لِرَبِّكُم مِّن قَبْلِ أَن يَأْتِىَ يَوْمٌ لَّا مَرَدَّ لَهُۥ مِنَ ٱللَّهِ ۚ مَا لَكُم مِّن مَّلْجَإٍ يَوْمَئِذٍ وَمَا لَكُم مِّن نَّكِيرٍ','verse_number' => '47','verse_key' => '42:47','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '488','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4320','chapter_id' => '42','arabic_name' => 'فَإِنْ أَعْرَضُوا۟ فَمَآ أَرْسَلْنَـٰكَ عَلَيْهِمْ حَفِيظًا ۖ إِنْ عَلَيْكَ إِلَّا ٱلْبَلَـٰغُ ۗ وَإِنَّآ إِذَآ أَذَقْنَا ٱلْإِنسَـٰنَ مِنَّا رَحْمَةً فَرِحَ بِهَا ۖ وَإِن تُصِبْهُمْ سَيِّئَةٌۢ بِمَا قَدَّمَتْ أَيْدِيهِمْ فَإِنَّ ٱلْإِنسَـٰنَ كَفُورٌ','verse_number' => '48','verse_key' => '42:48','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '488','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4321','chapter_id' => '42','arabic_name' => 'لِّلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ يَخْلُقُ مَا يَشَآءُ ۚ يَهَبُ لِمَن يَشَآءُ إِنَـٰثًا وَيَهَبُ لِمَن يَشَآءُ ٱلذُّكُورَ','verse_number' => '49','verse_key' => '42:49','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '488','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4322','chapter_id' => '42','arabic_name' => 'أَوْ يُزَوِّجُهُمْ ذُكْرَانًا وَإِنَـٰثًا ۖ وَيَجْعَلُ مَن يَشَآءُ عَقِيمًا ۚ إِنَّهُۥ عَلِيمٌ قَدِيرٌ','verse_number' => '50','verse_key' => '42:50','hizb_number' => '49','rub_el_hizb_number' => '195','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '488','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4323','chapter_id' => '42','arabic_name' => '۞ وَمَا كَانَ لِبَشَرٍ أَن يُكَلِّمَهُ ٱللَّهُ إِلَّا وَحْيًا أَوْ مِن وَرَآئِ حِجَابٍ أَوْ يُرْسِلَ رَسُولًا فَيُوحِىَ بِإِذْنِهِۦ مَا يَشَآءُ ۚ إِنَّهُۥ عَلِىٌّ حَكِيمٌ','verse_number' => '51','verse_key' => '42:51','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '488','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4324','chapter_id' => '42','arabic_name' => 'وَكَذَٰلِكَ أَوْحَيْنَآ إِلَيْكَ رُوحًا مِّنْ أَمْرِنَا ۚ مَا كُنتَ تَدْرِى مَا ٱلْكِتَـٰبُ وَلَا ٱلْإِيمَـٰنُ وَلَـٰكِن جَعَلْنَـٰهُ نُورًا نَّهْدِى بِهِۦ مَن نَّشَآءُ مِنْ عِبَادِنَا ۚ وَإِنَّكَ لَتَهْدِىٓ إِلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '52','verse_key' => '42:52','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4325','chapter_id' => '42','arabic_name' => 'صِرَٰطِ ٱللَّهِ ٱلَّذِى لَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۗ أَلَآ إِلَى ٱللَّهِ تَصِيرُ ٱلْأُمُورُ','verse_number' => '53','verse_key' => '42:53','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '425','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4326','chapter_id' => '43','arabic_name' => 'حمٓ','verse_number' => '1','verse_key' => '43:1','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4327','chapter_id' => '43','arabic_name' => 'وَٱلْكِتَـٰبِ ٱلْمُبِينِ','verse_number' => '2','verse_key' => '43:2','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4328','chapter_id' => '43','arabic_name' => 'إِنَّا جَعَلْنَـٰهُ قُرْءَٰنًا عَرَبِيًّا لَّعَلَّكُمْ تَعْقِلُونَ','verse_number' => '3','verse_key' => '43:3','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4329','chapter_id' => '43','arabic_name' => 'وَإِنَّهُۥ فِىٓ أُمِّ ٱلْكِتَـٰبِ لَدَيْنَا لَعَلِىٌّ حَكِيمٌ','verse_number' => '4','verse_key' => '43:4','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4330','chapter_id' => '43','arabic_name' => 'أَفَنَضْرِبُ عَنكُمُ ٱلذِّكْرَ صَفْحًا أَن كُنتُمْ قَوْمًا مُّسْرِفِينَ','verse_number' => '5','verse_key' => '43:5','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4331','chapter_id' => '43','arabic_name' => 'وَكَمْ أَرْسَلْنَا مِن نَّبِىٍّ فِى ٱلْأَوَّلِينَ','verse_number' => '6','verse_key' => '43:6','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4332','chapter_id' => '43','arabic_name' => 'وَمَا يَأْتِيهِم مِّن نَّبِىٍّ إِلَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '7','verse_key' => '43:7','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4333','chapter_id' => '43','arabic_name' => 'فَأَهْلَكْنَآ أَشَدَّ مِنْهُم بَطْشًا وَمَضَىٰ مَثَلُ ٱلْأَوَّلِينَ','verse_number' => '8','verse_key' => '43:8','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4334','chapter_id' => '43','arabic_name' => 'وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ لَيَقُولُنَّ خَلَقَهُنَّ ٱلْعَزِيزُ ٱلْعَلِيمُ','verse_number' => '9','verse_key' => '43:9','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4335','chapter_id' => '43','arabic_name' => 'ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ مَهْدًا وَجَعَلَ لَكُمْ فِيهَا سُبُلًا لَّعَلَّكُمْ تَهْتَدُونَ','verse_number' => '10','verse_key' => '43:10','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '489','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4336','chapter_id' => '43','arabic_name' => 'وَٱلَّذِى نَزَّلَ مِنَ ٱلسَّمَآءِ مَآءًۢ بِقَدَرٍ فَأَنشَرْنَا بِهِۦ بَلْدَةً مَّيْتًا ۚ كَذَٰلِكَ تُخْرَجُونَ','verse_number' => '11','verse_key' => '43:11','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4337','chapter_id' => '43','arabic_name' => 'وَٱلَّذِى خَلَقَ ٱلْأَزْوَٰجَ كُلَّهَا وَجَعَلَ لَكُم مِّنَ ٱلْفُلْكِ وَٱلْأَنْعَـٰمِ مَا تَرْكَبُونَ','verse_number' => '12','verse_key' => '43:12','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4338','chapter_id' => '43','arabic_name' => 'لِتَسْتَوُۥا۟ عَلَىٰ ظُهُورِهِۦ ثُمَّ تَذْكُرُوا۟ نِعْمَةَ رَبِّكُمْ إِذَا ٱسْتَوَيْتُمْ عَلَيْهِ وَتَقُولُوا۟ سُبْحَـٰنَ ٱلَّذِى سَخَّرَ لَنَا هَـٰذَا وَمَا كُنَّا لَهُۥ مُقْرِنِينَ','verse_number' => '13','verse_key' => '43:13','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4339','chapter_id' => '43','arabic_name' => 'وَإِنَّآ إِلَىٰ رَبِّنَا لَمُنقَلِبُونَ','verse_number' => '14','verse_key' => '43:14','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4340','chapter_id' => '43','arabic_name' => 'وَجَعَلُوا۟ لَهُۥ مِنْ عِبَادِهِۦ جُزْءًا ۚ إِنَّ ٱلْإِنسَـٰنَ لَكَفُورٌ مُّبِينٌ','verse_number' => '15','verse_key' => '43:15','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '426','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4341','chapter_id' => '43','arabic_name' => 'أَمِ ٱتَّخَذَ مِمَّا يَخْلُقُ بَنَاتٍ وَأَصْفَىٰكُم بِٱلْبَنِينَ','verse_number' => '16','verse_key' => '43:16','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4342','chapter_id' => '43','arabic_name' => 'وَإِذَا بُشِّرَ أَحَدُهُم بِمَا ضَرَبَ لِلرَّحْمَـٰنِ مَثَلًا ظَلَّ وَجْهُهُۥ مُسْوَدًّا وَهُوَ كَظِيمٌ','verse_number' => '17','verse_key' => '43:17','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4343','chapter_id' => '43','arabic_name' => 'أَوَمَن يُنَشَّؤُا۟ فِى ٱلْحِلْيَةِ وَهُوَ فِى ٱلْخِصَامِ غَيْرُ مُبِينٍ','verse_number' => '18','verse_key' => '43:18','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4344','chapter_id' => '43','arabic_name' => 'وَجَعَلُوا۟ ٱلْمَلَـٰٓئِكَةَ ٱلَّذِينَ هُمْ عِبَـٰدُ ٱلرَّحْمَـٰنِ إِنَـٰثًا ۚ أَشَهِدُوا۟ خَلْقَهُمْ ۚ سَتُكْتَبُ شَهَـٰدَتُهُمْ وَيُسْـَٔلُونَ','verse_number' => '19','verse_key' => '43:19','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4345','chapter_id' => '43','arabic_name' => 'وَقَالُوا۟ لَوْ شَآءَ ٱلرَّحْمَـٰنُ مَا عَبَدْنَـٰهُم ۗ مَّا لَهُم بِذَٰلِكَ مِنْ عِلْمٍ ۖ إِنْ هُمْ إِلَّا يَخْرُصُونَ','verse_number' => '20','verse_key' => '43:20','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4346','chapter_id' => '43','arabic_name' => 'أَمْ ءَاتَيْنَـٰهُمْ كِتَـٰبًا مِّن قَبْلِهِۦ فَهُم بِهِۦ مُسْتَمْسِكُونَ','verse_number' => '21','verse_key' => '43:21','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4347','chapter_id' => '43','arabic_name' => 'بَلْ قَالُوٓا۟ إِنَّا وَجَدْنَآ ءَابَآءَنَا عَلَىٰٓ أُمَّةٍ وَإِنَّا عَلَىٰٓ ءَاثَـٰرِهِم مُّهْتَدُونَ','verse_number' => '22','verse_key' => '43:22','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '490','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4348','chapter_id' => '43','arabic_name' => 'وَكَذَٰلِكَ مَآ أَرْسَلْنَا مِن قَبْلِكَ فِى قَرْيَةٍ مِّن نَّذِيرٍ إِلَّا قَالَ مُتْرَفُوهَآ إِنَّا وَجَدْنَآ ءَابَآءَنَا عَلَىٰٓ أُمَّةٍ وَإِنَّا عَلَىٰٓ ءَاثَـٰرِهِم مُّقْتَدُونَ','verse_number' => '23','verse_key' => '43:23','hizb_number' => '49','rub_el_hizb_number' => '196','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4349','chapter_id' => '43','arabic_name' => '۞ قَـٰلَ أَوَلَوْ جِئْتُكُم بِأَهْدَىٰ مِمَّا وَجَدتُّمْ عَلَيْهِ ءَابَآءَكُمْ ۖ قَالُوٓا۟ إِنَّا بِمَآ أُرْسِلْتُم بِهِۦ كَـٰفِرُونَ','verse_number' => '24','verse_key' => '43:24','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4350','chapter_id' => '43','arabic_name' => 'فَٱنتَقَمْنَا مِنْهُمْ ۖ فَٱنظُرْ كَيْفَ كَانَ عَـٰقِبَةُ ٱلْمُكَذِّبِينَ','verse_number' => '25','verse_key' => '43:25','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '427','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4351','chapter_id' => '43','arabic_name' => 'وَإِذْ قَالَ إِبْرَٰهِيمُ لِأَبِيهِ وَقَوْمِهِۦٓ إِنَّنِى بَرَآءٌ مِّمَّا تَعْبُدُونَ','verse_number' => '26','verse_key' => '43:26','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4352','chapter_id' => '43','arabic_name' => 'إِلَّا ٱلَّذِى فَطَرَنِى فَإِنَّهُۥ سَيَهْدِينِ','verse_number' => '27','verse_key' => '43:27','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4353','chapter_id' => '43','arabic_name' => 'وَجَعَلَهَا كَلِمَةًۢ بَاقِيَةً فِى عَقِبِهِۦ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '28','verse_key' => '43:28','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4354','chapter_id' => '43','arabic_name' => 'بَلْ مَتَّعْتُ هَـٰٓؤُلَآءِ وَءَابَآءَهُمْ حَتَّىٰ جَآءَهُمُ ٱلْحَقُّ وَرَسُولٌ مُّبِينٌ','verse_number' => '29','verse_key' => '43:29','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4355','chapter_id' => '43','arabic_name' => 'وَلَمَّا جَآءَهُمُ ٱلْحَقُّ قَالُوا۟ هَـٰذَا سِحْرٌ وَإِنَّا بِهِۦ كَـٰفِرُونَ','verse_number' => '30','verse_key' => '43:30','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4356','chapter_id' => '43','arabic_name' => 'وَقَالُوا۟ لَوْلَا نُزِّلَ هَـٰذَا ٱلْقُرْءَانُ عَلَىٰ رَجُلٍ مِّنَ ٱلْقَرْيَتَيْنِ عَظِيمٍ','verse_number' => '31','verse_key' => '43:31','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4357','chapter_id' => '43','arabic_name' => 'أَهُمْ يَقْسِمُونَ رَحْمَتَ رَبِّكَ ۚ نَحْنُ قَسَمْنَا بَيْنَهُم مَّعِيشَتَهُمْ فِى ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَرَفَعْنَا بَعْضَهُمْ فَوْقَ بَعْضٍ دَرَجَـٰتٍ لِّيَتَّخِذَ بَعْضُهُم بَعْضًا سُخْرِيًّا ۗ وَرَحْمَتُ رَبِّكَ خَيْرٌ مِّمَّا يَجْمَعُونَ','verse_number' => '32','verse_key' => '43:32','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4358','chapter_id' => '43','arabic_name' => 'وَلَوْلَآ أَن يَكُونَ ٱلنَّاسُ أُمَّةً وَٰحِدَةً لَّجَعَلْنَا لِمَن يَكْفُرُ بِٱلرَّحْمَـٰنِ لِبُيُوتِهِمْ سُقُفًا مِّن فِضَّةٍ وَمَعَارِجَ عَلَيْهَا يَظْهَرُونَ','verse_number' => '33','verse_key' => '43:33','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '491','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4359','chapter_id' => '43','arabic_name' => 'وَلِبُيُوتِهِمْ أَبْوَٰبًا وَسُرُرًا عَلَيْهَا يَتَّكِـُٔونَ','verse_number' => '34','verse_key' => '43:34','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4360','chapter_id' => '43','arabic_name' => 'وَزُخْرُفًا ۚ وَإِن كُلُّ ذَٰلِكَ لَمَّا مَتَـٰعُ ٱلْحَيَوٰةِ ٱلدُّنْيَا ۚ وَٱلْـَٔاخِرَةُ عِندَ رَبِّكَ لِلْمُتَّقِينَ','verse_number' => '35','verse_key' => '43:35','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '428','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4361','chapter_id' => '43','arabic_name' => 'وَمَن يَعْشُ عَن ذِكْرِ ٱلرَّحْمَـٰنِ نُقَيِّضْ لَهُۥ شَيْطَـٰنًا فَهُوَ لَهُۥ قَرِينٌ','verse_number' => '36','verse_key' => '43:36','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4362','chapter_id' => '43','arabic_name' => 'وَإِنَّهُمْ لَيَصُدُّونَهُمْ عَنِ ٱلسَّبِيلِ وَيَحْسَبُونَ أَنَّهُم مُّهْتَدُونَ','verse_number' => '37','verse_key' => '43:37','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4363','chapter_id' => '43','arabic_name' => 'حَتَّىٰٓ إِذَا جَآءَنَا قَالَ يَـٰلَيْتَ بَيْنِى وَبَيْنَكَ بُعْدَ ٱلْمَشْرِقَيْنِ فَبِئْسَ ٱلْقَرِينُ','verse_number' => '38','verse_key' => '43:38','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4364','chapter_id' => '43','arabic_name' => 'وَلَن يَنفَعَكُمُ ٱلْيَوْمَ إِذ ظَّلَمْتُمْ أَنَّكُمْ فِى ٱلْعَذَابِ مُشْتَرِكُونَ','verse_number' => '39','verse_key' => '43:39','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4365','chapter_id' => '43','arabic_name' => 'أَفَأَنتَ تُسْمِعُ ٱلصُّمَّ أَوْ تَهْدِى ٱلْعُمْىَ وَمَن كَانَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '40','verse_key' => '43:40','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4366','chapter_id' => '43','arabic_name' => 'فَإِمَّا نَذْهَبَنَّ بِكَ فَإِنَّا مِنْهُم مُّنتَقِمُونَ','verse_number' => '41','verse_key' => '43:41','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4367','chapter_id' => '43','arabic_name' => 'أَوْ نُرِيَنَّكَ ٱلَّذِى وَعَدْنَـٰهُمْ فَإِنَّا عَلَيْهِم مُّقْتَدِرُونَ','verse_number' => '42','verse_key' => '43:42','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4368','chapter_id' => '43','arabic_name' => 'فَٱسْتَمْسِكْ بِٱلَّذِىٓ أُوحِىَ إِلَيْكَ ۖ إِنَّكَ عَلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '43','verse_key' => '43:43','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4369','chapter_id' => '43','arabic_name' => 'وَإِنَّهُۥ لَذِكْرٌ لَّكَ وَلِقَوْمِكَ ۖ وَسَوْفَ تُسْـَٔلُونَ','verse_number' => '44','verse_key' => '43:44','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4370','chapter_id' => '43','arabic_name' => 'وَسْـَٔلْ مَنْ أَرْسَلْنَا مِن قَبْلِكَ مِن رُّسُلِنَآ أَجَعَلْنَا مِن دُونِ ٱلرَّحْمَـٰنِ ءَالِهَةً يُعْبَدُونَ','verse_number' => '45','verse_key' => '43:45','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '429','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4371','chapter_id' => '43','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا مُوسَىٰ بِـَٔايَـٰتِنَآ إِلَىٰ فِرْعَوْنَ وَمَلَإِي۟هِۦ فَقَالَ إِنِّى رَسُولُ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '46','verse_key' => '43:46','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4372','chapter_id' => '43','arabic_name' => 'فَلَمَّا جَآءَهُم بِـَٔايَـٰتِنَآ إِذَا هُم مِّنْهَا يَضْحَكُونَ','verse_number' => '47','verse_key' => '43:47','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '492','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4373','chapter_id' => '43','arabic_name' => 'وَمَا نُرِيهِم مِّنْ ءَايَةٍ إِلَّا هِىَ أَكْبَرُ مِنْ أُخْتِهَا ۖ وَأَخَذْنَـٰهُم بِٱلْعَذَابِ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '48','verse_key' => '43:48','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4374','chapter_id' => '43','arabic_name' => 'وَقَالُوا۟ يَـٰٓأَيُّهَ ٱلسَّاحِرُ ٱدْعُ لَنَا رَبَّكَ بِمَا عَهِدَ عِندَكَ إِنَّنَا لَمُهْتَدُونَ','verse_number' => '49','verse_key' => '43:49','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4375','chapter_id' => '43','arabic_name' => 'فَلَمَّا كَشَفْنَا عَنْهُمُ ٱلْعَذَابَ إِذَا هُمْ يَنكُثُونَ','verse_number' => '50','verse_key' => '43:50','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4376','chapter_id' => '43','arabic_name' => 'وَنَادَىٰ فِرْعَوْنُ فِى قَوْمِهِۦ قَالَ يَـٰقَوْمِ أَلَيْسَ لِى مُلْكُ مِصْرَ وَهَـٰذِهِ ٱلْأَنْهَـٰرُ تَجْرِى مِن تَحْتِىٓ ۖ أَفَلَا تُبْصِرُونَ','verse_number' => '51','verse_key' => '43:51','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4377','chapter_id' => '43','arabic_name' => 'أَمْ أَنَا۠ خَيْرٌ مِّنْ هَـٰذَا ٱلَّذِى هُوَ مَهِينٌ وَلَا يَكَادُ يُبِينُ','verse_number' => '52','verse_key' => '43:52','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4378','chapter_id' => '43','arabic_name' => 'فَلَوْلَآ أُلْقِىَ عَلَيْهِ أَسْوِرَةٌ مِّن ذَهَبٍ أَوْ جَآءَ مَعَهُ ٱلْمَلَـٰٓئِكَةُ مُقْتَرِنِينَ','verse_number' => '53','verse_key' => '43:53','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4379','chapter_id' => '43','arabic_name' => 'فَٱسْتَخَفَّ قَوْمَهُۥ فَأَطَاعُوهُ ۚ إِنَّهُمْ كَانُوا۟ قَوْمًا فَـٰسِقِينَ','verse_number' => '54','verse_key' => '43:54','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4380','chapter_id' => '43','arabic_name' => 'فَلَمَّآ ءَاسَفُونَا ٱنتَقَمْنَا مِنْهُمْ فَأَغْرَقْنَـٰهُمْ أَجْمَعِينَ','verse_number' => '55','verse_key' => '43:55','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4381','chapter_id' => '43','arabic_name' => 'فَجَعَلْنَـٰهُمْ سَلَفًا وَمَثَلًا لِّلْـَٔاخِرِينَ','verse_number' => '56','verse_key' => '43:56','hizb_number' => '50','rub_el_hizb_number' => '197','ruku_number' => '430','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4382','chapter_id' => '43','arabic_name' => '۞ وَلَمَّا ضُرِبَ ٱبْنُ مَرْيَمَ مَثَلًا إِذَا قَوْمُكَ مِنْهُ يَصِدُّونَ','verse_number' => '57','verse_key' => '43:57','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4383','chapter_id' => '43','arabic_name' => 'وَقَالُوٓا۟ ءَأَـٰلِهَتُنَا خَيْرٌ أَمْ هُوَ ۚ مَا ضَرَبُوهُ لَكَ إِلَّا جَدَلًۢا ۚ بَلْ هُمْ قَوْمٌ خَصِمُونَ','verse_number' => '58','verse_key' => '43:58','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4384','chapter_id' => '43','arabic_name' => 'إِنْ هُوَ إِلَّا عَبْدٌ أَنْعَمْنَا عَلَيْهِ وَجَعَلْنَـٰهُ مَثَلًا لِّبَنِىٓ إِسْرَٰٓءِيلَ','verse_number' => '59','verse_key' => '43:59','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4385','chapter_id' => '43','arabic_name' => 'وَلَوْ نَشَآءُ لَجَعَلْنَا مِنكُم مَّلَـٰٓئِكَةً فِى ٱلْأَرْضِ يَخْلُفُونَ','verse_number' => '60','verse_key' => '43:60','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '493','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4386','chapter_id' => '43','arabic_name' => 'وَإِنَّهُۥ لَعِلْمٌ لِّلسَّاعَةِ فَلَا تَمْتَرُنَّ بِهَا وَٱتَّبِعُونِ ۚ هَـٰذَا صِرَٰطٌ مُّسْتَقِيمٌ','verse_number' => '61','verse_key' => '43:61','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4387','chapter_id' => '43','arabic_name' => 'وَلَا يَصُدَّنَّكُمُ ٱلشَّيْطَـٰنُ ۖ إِنَّهُۥ لَكُمْ عَدُوٌّ مُّبِينٌ','verse_number' => '62','verse_key' => '43:62','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4388','chapter_id' => '43','arabic_name' => 'وَلَمَّا جَآءَ عِيسَىٰ بِٱلْبَيِّنَـٰتِ قَالَ قَدْ جِئْتُكُم بِٱلْحِكْمَةِ وَلِأُبَيِّنَ لَكُم بَعْضَ ٱلَّذِى تَخْتَلِفُونَ فِيهِ ۖ فَٱتَّقُوا۟ ٱللَّهَ وَأَطِيعُونِ','verse_number' => '63','verse_key' => '43:63','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4389','chapter_id' => '43','arabic_name' => 'إِنَّ ٱللَّهَ هُوَ رَبِّى وَرَبُّكُمْ فَٱعْبُدُوهُ ۚ هَـٰذَا صِرَٰطٌ مُّسْتَقِيمٌ','verse_number' => '64','verse_key' => '43:64','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4390','chapter_id' => '43','arabic_name' => 'فَٱخْتَلَفَ ٱلْأَحْزَابُ مِنۢ بَيْنِهِمْ ۖ فَوَيْلٌ لِّلَّذِينَ ظَلَمُوا۟ مِنْ عَذَابِ يَوْمٍ أَلِيمٍ','verse_number' => '65','verse_key' => '43:65','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4391','chapter_id' => '43','arabic_name' => 'هَلْ يَنظُرُونَ إِلَّا ٱلسَّاعَةَ أَن تَأْتِيَهُم بَغْتَةً وَهُمْ لَا يَشْعُرُونَ','verse_number' => '66','verse_key' => '43:66','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4392','chapter_id' => '43','arabic_name' => 'ٱلْأَخِلَّآءُ يَوْمَئِذٍۭ بَعْضُهُمْ لِبَعْضٍ عَدُوٌّ إِلَّا ٱلْمُتَّقِينَ','verse_number' => '67','verse_key' => '43:67','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '431','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4393','chapter_id' => '43','arabic_name' => 'يَـٰعِبَادِ لَا خَوْفٌ عَلَيْكُمُ ٱلْيَوْمَ وَلَآ أَنتُمْ تَحْزَنُونَ','verse_number' => '68','verse_key' => '43:68','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4394','chapter_id' => '43','arabic_name' => 'ٱلَّذِينَ ءَامَنُوا۟ بِـَٔايَـٰتِنَا وَكَانُوا۟ مُسْلِمِينَ','verse_number' => '69','verse_key' => '43:69','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4395','chapter_id' => '43','arabic_name' => 'ٱدْخُلُوا۟ ٱلْجَنَّةَ أَنتُمْ وَأَزْوَٰجُكُمْ تُحْبَرُونَ','verse_number' => '70','verse_key' => '43:70','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4396','chapter_id' => '43','arabic_name' => 'يُطَافُ عَلَيْهِم بِصِحَافٍ مِّن ذَهَبٍ وَأَكْوَابٍ ۖ وَفِيهَا مَا تَشْتَهِيهِ ٱلْأَنفُسُ وَتَلَذُّ ٱلْأَعْيُنُ ۖ وَأَنتُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '71','verse_key' => '43:71','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4397','chapter_id' => '43','arabic_name' => 'وَتِلْكَ ٱلْجَنَّةُ ٱلَّتِىٓ أُورِثْتُمُوهَا بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '72','verse_key' => '43:72','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4398','chapter_id' => '43','arabic_name' => 'لَكُمْ فِيهَا فَـٰكِهَةٌ كَثِيرَةٌ مِّنْهَا تَأْكُلُونَ','verse_number' => '73','verse_key' => '43:73','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '494','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4399','chapter_id' => '43','arabic_name' => 'إِنَّ ٱلْمُجْرِمِينَ فِى عَذَابِ جَهَنَّمَ خَـٰلِدُونَ','verse_number' => '74','verse_key' => '43:74','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4400','chapter_id' => '43','arabic_name' => 'لَا يُفَتَّرُ عَنْهُمْ وَهُمْ فِيهِ مُبْلِسُونَ','verse_number' => '75','verse_key' => '43:75','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4401','chapter_id' => '43','arabic_name' => 'وَمَا ظَلَمْنَـٰهُمْ وَلَـٰكِن كَانُوا۟ هُمُ ٱلظَّـٰلِمِينَ','verse_number' => '76','verse_key' => '43:76','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4402','chapter_id' => '43','arabic_name' => 'وَنَادَوْا۟ يَـٰمَـٰلِكُ لِيَقْضِ عَلَيْنَا رَبُّكَ ۖ قَالَ إِنَّكُم مَّـٰكِثُونَ','verse_number' => '77','verse_key' => '43:77','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4403','chapter_id' => '43','arabic_name' => 'لَقَدْ جِئْنَـٰكُم بِٱلْحَقِّ وَلَـٰكِنَّ أَكْثَرَكُمْ لِلْحَقِّ كَـٰرِهُونَ','verse_number' => '78','verse_key' => '43:78','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4404','chapter_id' => '43','arabic_name' => 'أَمْ أَبْرَمُوٓا۟ أَمْرًا فَإِنَّا مُبْرِمُونَ','verse_number' => '79','verse_key' => '43:79','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4405','chapter_id' => '43','arabic_name' => 'أَمْ يَحْسَبُونَ أَنَّا لَا نَسْمَعُ سِرَّهُمْ وَنَجْوَىٰهُم ۚ بَلَىٰ وَرُسُلُنَا لَدَيْهِمْ يَكْتُبُونَ','verse_number' => '80','verse_key' => '43:80','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4406','chapter_id' => '43','arabic_name' => 'قُلْ إِن كَانَ لِلرَّحْمَـٰنِ وَلَدٌ فَأَنَا۠ أَوَّلُ ٱلْعَـٰبِدِينَ','verse_number' => '81','verse_key' => '43:81','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4407','chapter_id' => '43','arabic_name' => 'سُبْحَـٰنَ رَبِّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ رَبِّ ٱلْعَرْشِ عَمَّا يَصِفُونَ','verse_number' => '82','verse_key' => '43:82','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4408','chapter_id' => '43','arabic_name' => 'فَذَرْهُمْ يَخُوضُوا۟ وَيَلْعَبُوا۟ حَتَّىٰ يُلَـٰقُوا۟ يَوْمَهُمُ ٱلَّذِى يُوعَدُونَ','verse_number' => '83','verse_key' => '43:83','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4409','chapter_id' => '43','arabic_name' => 'وَهُوَ ٱلَّذِى فِى ٱلسَّمَآءِ إِلَـٰهٌ وَفِى ٱلْأَرْضِ إِلَـٰهٌ ۚ وَهُوَ ٱلْحَكِيمُ ٱلْعَلِيمُ','verse_number' => '84','verse_key' => '43:84','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4410','chapter_id' => '43','arabic_name' => 'وَتَبَارَكَ ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا وَعِندَهُۥ عِلْمُ ٱلسَّاعَةِ وَإِلَيْهِ تُرْجَعُونَ','verse_number' => '85','verse_key' => '43:85','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4411','chapter_id' => '43','arabic_name' => 'وَلَا يَمْلِكُ ٱلَّذِينَ يَدْعُونَ مِن دُونِهِ ٱلشَّفَـٰعَةَ إِلَّا مَن شَهِدَ بِٱلْحَقِّ وَهُمْ يَعْلَمُونَ','verse_number' => '86','verse_key' => '43:86','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4412','chapter_id' => '43','arabic_name' => 'وَلَئِن سَأَلْتَهُم مَّنْ خَلَقَهُمْ لَيَقُولُنَّ ٱللَّهُ ۖ فَأَنَّىٰ يُؤْفَكُونَ','verse_number' => '87','verse_key' => '43:87','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4413','chapter_id' => '43','arabic_name' => 'وَقِيلِهِۦ يَـٰرَبِّ إِنَّ هَـٰٓؤُلَآءِ قَوْمٌ لَّا يُؤْمِنُونَ','verse_number' => '88','verse_key' => '43:88','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4414','chapter_id' => '43','arabic_name' => 'فَٱصْفَحْ عَنْهُمْ وَقُلْ سَلَـٰمٌ ۚ فَسَوْفَ يَعْلَمُونَ','verse_number' => '89','verse_key' => '43:89','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '432','manzil_number' => '6','sajdah_number' => '0','page_number' => '495','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4415','chapter_id' => '44','arabic_name' => 'حمٓ','verse_number' => '1','verse_key' => '44:1','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4416','chapter_id' => '44','arabic_name' => 'وَٱلْكِتَـٰبِ ٱلْمُبِينِ','verse_number' => '2','verse_key' => '44:2','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4417','chapter_id' => '44','arabic_name' => 'إِنَّآ أَنزَلْنَـٰهُ فِى لَيْلَةٍ مُّبَـٰرَكَةٍ ۚ إِنَّا كُنَّا مُنذِرِينَ','verse_number' => '3','verse_key' => '44:3','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4418','chapter_id' => '44','arabic_name' => 'فِيهَا يُفْرَقُ كُلُّ أَمْرٍ حَكِيمٍ','verse_number' => '4','verse_key' => '44:4','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4419','chapter_id' => '44','arabic_name' => 'أَمْرًا مِّنْ عِندِنَآ ۚ إِنَّا كُنَّا مُرْسِلِينَ','verse_number' => '5','verse_key' => '44:5','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4420','chapter_id' => '44','arabic_name' => 'رَحْمَةً مِّن رَّبِّكَ ۚ إِنَّهُۥ هُوَ ٱلسَّمِيعُ ٱلْعَلِيمُ','verse_number' => '6','verse_key' => '44:6','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4421','chapter_id' => '44','arabic_name' => 'رَبِّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَآ ۖ إِن كُنتُم مُّوقِنِينَ','verse_number' => '7','verse_key' => '44:7','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4422','chapter_id' => '44','arabic_name' => 'لَآ إِلَـٰهَ إِلَّا هُوَ يُحْىِۦ وَيُمِيتُ ۖ رَبُّكُمْ وَرَبُّ ءَابَآئِكُمُ ٱلْأَوَّلِينَ','verse_number' => '8','verse_key' => '44:8','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4423','chapter_id' => '44','arabic_name' => 'بَلْ هُمْ فِى شَكٍّ يَلْعَبُونَ','verse_number' => '9','verse_key' => '44:9','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4424','chapter_id' => '44','arabic_name' => 'فَٱرْتَقِبْ يَوْمَ تَأْتِى ٱلسَّمَآءُ بِدُخَانٍ مُّبِينٍ','verse_number' => '10','verse_key' => '44:10','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4425','chapter_id' => '44','arabic_name' => 'يَغْشَى ٱلنَّاسَ ۖ هَـٰذَا عَذَابٌ أَلِيمٌ','verse_number' => '11','verse_key' => '44:11','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4426','chapter_id' => '44','arabic_name' => 'رَّبَّنَا ٱكْشِفْ عَنَّا ٱلْعَذَابَ إِنَّا مُؤْمِنُونَ','verse_number' => '12','verse_key' => '44:12','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4427','chapter_id' => '44','arabic_name' => 'أَنَّىٰ لَهُمُ ٱلذِّكْرَىٰ وَقَدْ جَآءَهُمْ رَسُولٌ مُّبِينٌ','verse_number' => '13','verse_key' => '44:13','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4428','chapter_id' => '44','arabic_name' => 'ثُمَّ تَوَلَّوْا۟ عَنْهُ وَقَالُوا۟ مُعَلَّمٌ مَّجْنُونٌ','verse_number' => '14','verse_key' => '44:14','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4429','chapter_id' => '44','arabic_name' => 'إِنَّا كَاشِفُوا۟ ٱلْعَذَابِ قَلِيلًا ۚ إِنَّكُمْ عَآئِدُونَ','verse_number' => '15','verse_key' => '44:15','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4430','chapter_id' => '44','arabic_name' => 'يَوْمَ نَبْطِشُ ٱلْبَطْشَةَ ٱلْكُبْرَىٰٓ إِنَّا مُنتَقِمُونَ','verse_number' => '16','verse_key' => '44:16','hizb_number' => '50','rub_el_hizb_number' => '198','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4431','chapter_id' => '44','arabic_name' => '۞ وَلَقَدْ فَتَنَّا قَبْلَهُمْ قَوْمَ فِرْعَوْنَ وَجَآءَهُمْ رَسُولٌ كَرِيمٌ','verse_number' => '17','verse_key' => '44:17','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4432','chapter_id' => '44','arabic_name' => 'أَنْ أَدُّوٓا۟ إِلَىَّ عِبَادَ ٱللَّهِ ۖ إِنِّى لَكُمْ رَسُولٌ أَمِينٌ','verse_number' => '18','verse_key' => '44:18','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '496','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4433','chapter_id' => '44','arabic_name' => 'وَأَن لَّا تَعْلُوا۟ عَلَى ٱللَّهِ ۖ إِنِّىٓ ءَاتِيكُم بِسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '19','verse_key' => '44:19','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4434','chapter_id' => '44','arabic_name' => 'وَإِنِّى عُذْتُ بِرَبِّى وَرَبِّكُمْ أَن تَرْجُمُونِ','verse_number' => '20','verse_key' => '44:20','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4435','chapter_id' => '44','arabic_name' => 'وَإِن لَّمْ تُؤْمِنُوا۟ لِى فَٱعْتَزِلُونِ','verse_number' => '21','verse_key' => '44:21','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4436','chapter_id' => '44','arabic_name' => 'فَدَعَا رَبَّهُۥٓ أَنَّ هَـٰٓؤُلَآءِ قَوْمٌ مُّجْرِمُونَ','verse_number' => '22','verse_key' => '44:22','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4437','chapter_id' => '44','arabic_name' => 'فَأَسْرِ بِعِبَادِى لَيْلًا إِنَّكُم مُّتَّبَعُونَ','verse_number' => '23','verse_key' => '44:23','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4438','chapter_id' => '44','arabic_name' => 'وَٱتْرُكِ ٱلْبَحْرَ رَهْوًا ۖ إِنَّهُمْ جُندٌ مُّغْرَقُونَ','verse_number' => '24','verse_key' => '44:24','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4439','chapter_id' => '44','arabic_name' => 'كَمْ تَرَكُوا۟ مِن جَنَّـٰتٍ وَعُيُونٍ','verse_number' => '25','verse_key' => '44:25','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4440','chapter_id' => '44','arabic_name' => 'وَزُرُوعٍ وَمَقَامٍ كَرِيمٍ','verse_number' => '26','verse_key' => '44:26','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4441','chapter_id' => '44','arabic_name' => 'وَنَعْمَةٍ كَانُوا۟ فِيهَا فَـٰكِهِينَ','verse_number' => '27','verse_key' => '44:27','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4442','chapter_id' => '44','arabic_name' => 'كَذَٰلِكَ ۖ وَأَوْرَثْنَـٰهَا قَوْمًا ءَاخَرِينَ','verse_number' => '28','verse_key' => '44:28','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4443','chapter_id' => '44','arabic_name' => 'فَمَا بَكَتْ عَلَيْهِمُ ٱلسَّمَآءُ وَٱلْأَرْضُ وَمَا كَانُوا۟ مُنظَرِينَ','verse_number' => '29','verse_key' => '44:29','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '433','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4444','chapter_id' => '44','arabic_name' => 'وَلَقَدْ نَجَّيْنَا بَنِىٓ إِسْرَٰٓءِيلَ مِنَ ٱلْعَذَابِ ٱلْمُهِينِ','verse_number' => '30','verse_key' => '44:30','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4445','chapter_id' => '44','arabic_name' => 'مِن فِرْعَوْنَ ۚ إِنَّهُۥ كَانَ عَالِيًا مِّنَ ٱلْمُسْرِفِينَ','verse_number' => '31','verse_key' => '44:31','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4446','chapter_id' => '44','arabic_name' => 'وَلَقَدِ ٱخْتَرْنَـٰهُمْ عَلَىٰ عِلْمٍ عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '32','verse_key' => '44:32','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4447','chapter_id' => '44','arabic_name' => 'وَءَاتَيْنَـٰهُم مِّنَ ٱلْـَٔايَـٰتِ مَا فِيهِ بَلَـٰٓؤٌا۟ مُّبِينٌ','verse_number' => '33','verse_key' => '44:33','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4448','chapter_id' => '44','arabic_name' => 'إِنَّ هَـٰٓؤُلَآءِ لَيَقُولُونَ','verse_number' => '34','verse_key' => '44:34','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4449','chapter_id' => '44','arabic_name' => 'إِنْ هِىَ إِلَّا مَوْتَتُنَا ٱلْأُولَىٰ وَمَا نَحْنُ بِمُنشَرِينَ','verse_number' => '35','verse_key' => '44:35','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4450','chapter_id' => '44','arabic_name' => 'فَأْتُوا۟ بِـَٔابَآئِنَآ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '36','verse_key' => '44:36','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4451','chapter_id' => '44','arabic_name' => 'أَهُمْ خَيْرٌ أَمْ قَوْمُ تُبَّعٍ وَٱلَّذِينَ مِن قَبْلِهِمْ ۚ أَهْلَكْنَـٰهُمْ ۖ إِنَّهُمْ كَانُوا۟ مُجْرِمِينَ','verse_number' => '37','verse_key' => '44:37','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4452','chapter_id' => '44','arabic_name' => 'وَمَا خَلَقْنَا ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا لَـٰعِبِينَ','verse_number' => '38','verse_key' => '44:38','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4453','chapter_id' => '44','arabic_name' => 'مَا خَلَقْنَـٰهُمَآ إِلَّا بِٱلْحَقِّ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '39','verse_key' => '44:39','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '497','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4454','chapter_id' => '44','arabic_name' => 'إِنَّ يَوْمَ ٱلْفَصْلِ مِيقَـٰتُهُمْ أَجْمَعِينَ','verse_number' => '40','verse_key' => '44:40','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4455','chapter_id' => '44','arabic_name' => 'يَوْمَ لَا يُغْنِى مَوْلًى عَن مَّوْلًى شَيْـًٔا وَلَا هُمْ يُنصَرُونَ','verse_number' => '41','verse_key' => '44:41','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4456','chapter_id' => '44','arabic_name' => 'إِلَّا مَن رَّحِمَ ٱللَّهُ ۚ إِنَّهُۥ هُوَ ٱلْعَزِيزُ ٱلرَّحِيمُ','verse_number' => '42','verse_key' => '44:42','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '434','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4457','chapter_id' => '44','arabic_name' => 'إِنَّ شَجَرَتَ ٱلزَّقُّومِ','verse_number' => '43','verse_key' => '44:43','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4458','chapter_id' => '44','arabic_name' => 'طَعَامُ ٱلْأَثِيمِ','verse_number' => '44','verse_key' => '44:44','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4459','chapter_id' => '44','arabic_name' => 'كَٱلْمُهْلِ يَغْلِى فِى ٱلْبُطُونِ','verse_number' => '45','verse_key' => '44:45','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4460','chapter_id' => '44','arabic_name' => 'كَغَلْىِ ٱلْحَمِيمِ','verse_number' => '46','verse_key' => '44:46','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4461','chapter_id' => '44','arabic_name' => 'خُذُوهُ فَٱعْتِلُوهُ إِلَىٰ سَوَآءِ ٱلْجَحِيمِ','verse_number' => '47','verse_key' => '44:47','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4462','chapter_id' => '44','arabic_name' => 'ثُمَّ صُبُّوا۟ فَوْقَ رَأْسِهِۦ مِنْ عَذَابِ ٱلْحَمِيمِ','verse_number' => '48','verse_key' => '44:48','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4463','chapter_id' => '44','arabic_name' => 'ذُقْ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْكَرِيمُ','verse_number' => '49','verse_key' => '44:49','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4464','chapter_id' => '44','arabic_name' => 'إِنَّ هَـٰذَا مَا كُنتُم بِهِۦ تَمْتَرُونَ','verse_number' => '50','verse_key' => '44:50','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4465','chapter_id' => '44','arabic_name' => 'إِنَّ ٱلْمُتَّقِينَ فِى مَقَامٍ أَمِينٍ','verse_number' => '51','verse_key' => '44:51','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4466','chapter_id' => '44','arabic_name' => 'فِى جَنَّـٰتٍ وَعُيُونٍ','verse_number' => '52','verse_key' => '44:52','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4467','chapter_id' => '44','arabic_name' => 'يَلْبَسُونَ مِن سُندُسٍ وَإِسْتَبْرَقٍ مُّتَقَـٰبِلِينَ','verse_number' => '53','verse_key' => '44:53','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4468','chapter_id' => '44','arabic_name' => 'كَذَٰلِكَ وَزَوَّجْنَـٰهُم بِحُورٍ عِينٍ','verse_number' => '54','verse_key' => '44:54','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4469','chapter_id' => '44','arabic_name' => 'يَدْعُونَ فِيهَا بِكُلِّ فَـٰكِهَةٍ ءَامِنِينَ','verse_number' => '55','verse_key' => '44:55','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4470','chapter_id' => '44','arabic_name' => 'لَا يَذُوقُونَ فِيهَا ٱلْمَوْتَ إِلَّا ٱلْمَوْتَةَ ٱلْأُولَىٰ ۖ وَوَقَىٰهُمْ عَذَابَ ٱلْجَحِيمِ','verse_number' => '56','verse_key' => '44:56','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4471','chapter_id' => '44','arabic_name' => 'فَضْلًا مِّن رَّبِّكَ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '57','verse_key' => '44:57','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4472','chapter_id' => '44','arabic_name' => 'فَإِنَّمَا يَسَّرْنَـٰهُ بِلِسَانِكَ لَعَلَّهُمْ يَتَذَكَّرُونَ','verse_number' => '58','verse_key' => '44:58','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4473','chapter_id' => '44','arabic_name' => 'فَٱرْتَقِبْ إِنَّهُم مُّرْتَقِبُونَ','verse_number' => '59','verse_key' => '44:59','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '435','manzil_number' => '6','sajdah_number' => '0','page_number' => '498','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4474','chapter_id' => '45','arabic_name' => 'حمٓ','verse_number' => '1','verse_key' => '45:1','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4475','chapter_id' => '45','arabic_name' => 'تَنزِيلُ ٱلْكِتَـٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ','verse_number' => '2','verse_key' => '45:2','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4476','chapter_id' => '45','arabic_name' => 'إِنَّ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ لَـَٔايَـٰتٍ لِّلْمُؤْمِنِينَ','verse_number' => '3','verse_key' => '45:3','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4477','chapter_id' => '45','arabic_name' => 'وَفِى خَلْقِكُمْ وَمَا يَبُثُّ مِن دَآبَّةٍ ءَايَـٰتٌ لِّقَوْمٍ يُوقِنُونَ','verse_number' => '4','verse_key' => '45:4','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4478','chapter_id' => '45','arabic_name' => 'وَٱخْتِلَـٰفِ ٱلَّيْلِ وَٱلنَّهَارِ وَمَآ أَنزَلَ ٱللَّهُ مِنَ ٱلسَّمَآءِ مِن رِّزْقٍ فَأَحْيَا بِهِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا وَتَصْرِيفِ ٱلرِّيَـٰحِ ءَايَـٰتٌ لِّقَوْمٍ يَعْقِلُونَ','verse_number' => '5','verse_key' => '45:5','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4479','chapter_id' => '45','arabic_name' => 'تِلْكَ ءَايَـٰتُ ٱللَّهِ نَتْلُوهَا عَلَيْكَ بِٱلْحَقِّ ۖ فَبِأَىِّ حَدِيثٍۭ بَعْدَ ٱللَّهِ وَءَايَـٰتِهِۦ يُؤْمِنُونَ','verse_number' => '6','verse_key' => '45:6','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4480','chapter_id' => '45','arabic_name' => 'وَيْلٌ لِّكُلِّ أَفَّاكٍ أَثِيمٍ','verse_number' => '7','verse_key' => '45:7','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4481','chapter_id' => '45','arabic_name' => 'يَسْمَعُ ءَايَـٰتِ ٱللَّهِ تُتْلَىٰ عَلَيْهِ ثُمَّ يُصِرُّ مُسْتَكْبِرًا كَأَن لَّمْ يَسْمَعْهَا ۖ فَبَشِّرْهُ بِعَذَابٍ أَلِيمٍ','verse_number' => '8','verse_key' => '45:8','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4482','chapter_id' => '45','arabic_name' => 'وَإِذَا عَلِمَ مِنْ ءَايَـٰتِنَا شَيْـًٔا ٱتَّخَذَهَا هُزُوًا ۚ أُو۟لَـٰٓئِكَ لَهُمْ عَذَابٌ مُّهِينٌ','verse_number' => '9','verse_key' => '45:9','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4483','chapter_id' => '45','arabic_name' => 'مِّن وَرَآئِهِمْ جَهَنَّمُ ۖ وَلَا يُغْنِى عَنْهُم مَّا كَسَبُوا۟ شَيْـًٔا وَلَا مَا ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ أَوْلِيَآءَ ۖ وَلَهُمْ عَذَابٌ عَظِيمٌ','verse_number' => '10','verse_key' => '45:10','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4484','chapter_id' => '45','arabic_name' => 'هَـٰذَا هُدًى ۖ وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَـٰتِ رَبِّهِمْ لَهُمْ عَذَابٌ مِّن رِّجْزٍ أَلِيمٌ','verse_number' => '11','verse_key' => '45:11','hizb_number' => '50','rub_el_hizb_number' => '199','ruku_number' => '436','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4485','chapter_id' => '45','arabic_name' => '۞ ٱللَّهُ ٱلَّذِى سَخَّرَ لَكُمُ ٱلْبَحْرَ لِتَجْرِىَ ٱلْفُلْكُ فِيهِ بِأَمْرِهِۦ وَلِتَبْتَغُوا۟ مِن فَضْلِهِۦ وَلَعَلَّكُمْ تَشْكُرُونَ','verse_number' => '12','verse_key' => '45:12','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4486','chapter_id' => '45','arabic_name' => 'وَسَخَّرَ لَكُم مَّا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ جَمِيعًا مِّنْهُ ۚ إِنَّ فِى ذَٰلِكَ لَـَٔايَـٰتٍ لِّقَوْمٍ يَتَفَكَّرُونَ','verse_number' => '13','verse_key' => '45:13','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '499','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4487','chapter_id' => '45','arabic_name' => 'قُل لِّلَّذِينَ ءَامَنُوا۟ يَغْفِرُوا۟ لِلَّذِينَ لَا يَرْجُونَ أَيَّامَ ٱللَّهِ لِيَجْزِىَ قَوْمًۢا بِمَا كَانُوا۟ يَكْسِبُونَ','verse_number' => '14','verse_key' => '45:14','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4488','chapter_id' => '45','arabic_name' => 'مَنْ عَمِلَ صَـٰلِحًا فَلِنَفْسِهِۦ ۖ وَمَنْ أَسَآءَ فَعَلَيْهَا ۖ ثُمَّ إِلَىٰ رَبِّكُمْ تُرْجَعُونَ','verse_number' => '15','verse_key' => '45:15','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4489','chapter_id' => '45','arabic_name' => 'وَلَقَدْ ءَاتَيْنَا بَنِىٓ إِسْرَٰٓءِيلَ ٱلْكِتَـٰبَ وَٱلْحُكْمَ وَٱلنُّبُوَّةَ وَرَزَقْنَـٰهُم مِّنَ ٱلطَّيِّبَـٰتِ وَفَضَّلْنَـٰهُمْ عَلَى ٱلْعَـٰلَمِينَ','verse_number' => '16','verse_key' => '45:16','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4490','chapter_id' => '45','arabic_name' => 'وَءَاتَيْنَـٰهُم بَيِّنَـٰتٍ مِّنَ ٱلْأَمْرِ ۖ فَمَا ٱخْتَلَفُوٓا۟ إِلَّا مِنۢ بَعْدِ مَا جَآءَهُمُ ٱلْعِلْمُ بَغْيًۢا بَيْنَهُمْ ۚ إِنَّ رَبَّكَ يَقْضِى بَيْنَهُمْ يَوْمَ ٱلْقِيَـٰمَةِ فِيمَا كَانُوا۟ فِيهِ يَخْتَلِفُونَ','verse_number' => '17','verse_key' => '45:17','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4491','chapter_id' => '45','arabic_name' => 'ثُمَّ جَعَلْنَـٰكَ عَلَىٰ شَرِيعَةٍ مِّنَ ٱلْأَمْرِ فَٱتَّبِعْهَا وَلَا تَتَّبِعْ أَهْوَآءَ ٱلَّذِينَ لَا يَعْلَمُونَ','verse_number' => '18','verse_key' => '45:18','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4492','chapter_id' => '45','arabic_name' => 'إِنَّهُمْ لَن يُغْنُوا۟ عَنكَ مِنَ ٱللَّهِ شَيْـًٔا ۚ وَإِنَّ ٱلظَّـٰلِمِينَ بَعْضُهُمْ أَوْلِيَآءُ بَعْضٍ ۖ وَٱللَّهُ وَلِىُّ ٱلْمُتَّقِينَ','verse_number' => '19','verse_key' => '45:19','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4493','chapter_id' => '45','arabic_name' => 'هَـٰذَا بَصَـٰٓئِرُ لِلنَّاسِ وَهُدًى وَرَحْمَةٌ لِّقَوْمٍ يُوقِنُونَ','verse_number' => '20','verse_key' => '45:20','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4494','chapter_id' => '45','arabic_name' => 'أَمْ حَسِبَ ٱلَّذِينَ ٱجْتَرَحُوا۟ ٱلسَّيِّـَٔاتِ أَن نَّجْعَلَهُمْ كَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ سَوَآءً مَّحْيَاهُمْ وَمَمَاتُهُمْ ۚ سَآءَ مَا يَحْكُمُونَ','verse_number' => '21','verse_key' => '45:21','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '437','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4495','chapter_id' => '45','arabic_name' => 'وَخَلَقَ ٱللَّهُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ وَلِتُجْزَىٰ كُلُّ نَفْسٍۭ بِمَا كَسَبَتْ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '22','verse_key' => '45:22','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '438','manzil_number' => '6','sajdah_number' => '0','page_number' => '500','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4496','chapter_id' => '45','arabic_name' => 'أَفَرَءَيْتَ مَنِ ٱتَّخَذَ إِلَـٰهَهُۥ هَوَىٰهُ وَأَضَلَّهُ ٱللَّهُ عَلَىٰ عِلْمٍ وَخَتَمَ عَلَىٰ سَمْعِهِۦ وَقَلْبِهِۦ وَجَعَلَ عَلَىٰ بَصَرِهِۦ غِشَـٰوَةً فَمَن يَهْدِيهِ مِنۢ بَعْدِ ٱللَّهِ ۚ أَفَلَا تَذَكَّرُونَ','verse_number' => '23','verse_key' => '45:23','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '438','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4497','chapter_id' => '45','arabic_name' => 'وَقَالُوا۟ مَا هِىَ إِلَّا حَيَاتُنَا ٱلدُّنْيَا نَمُوتُ وَنَحْيَا وَمَا يُهْلِكُنَآ إِلَّا ٱلدَّهْرُ ۚ وَمَا لَهُم بِذَٰلِكَ مِنْ عِلْمٍ ۖ إِنْ هُمْ إِلَّا يَظُنُّونَ','verse_number' => '24','verse_key' => '45:24','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '438','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4498','chapter_id' => '45','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَـٰتُنَا بَيِّنَـٰتٍ مَّا كَانَ حُجَّتَهُمْ إِلَّآ أَن قَالُوا۟ ٱئْتُوا۟ بِـَٔابَآئِنَآ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '25','verse_key' => '45:25','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '438','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4499','chapter_id' => '45','arabic_name' => 'قُلِ ٱللَّهُ يُحْيِيكُمْ ثُمَّ يُمِيتُكُمْ ثُمَّ يَجْمَعُكُمْ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ لَا رَيْبَ فِيهِ وَلَـٰكِنَّ أَكْثَرَ ٱلنَّاسِ لَا يَعْلَمُونَ','verse_number' => '26','verse_key' => '45:26','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '438','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4500','chapter_id' => '45','arabic_name' => 'وَلِلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَيَوْمَ تَقُومُ ٱلسَّاعَةُ يَوْمَئِذٍ يَخْسَرُ ٱلْمُبْطِلُونَ','verse_number' => '27','verse_key' => '45:27','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4501','chapter_id' => '45','arabic_name' => 'وَتَرَىٰ كُلَّ أُمَّةٍ جَاثِيَةً ۚ كُلُّ أُمَّةٍ تُدْعَىٰٓ إِلَىٰ كِتَـٰبِهَا ٱلْيَوْمَ تُجْزَوْنَ مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '28','verse_key' => '45:28','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4502','chapter_id' => '45','arabic_name' => 'هَـٰذَا كِتَـٰبُنَا يَنطِقُ عَلَيْكُم بِٱلْحَقِّ ۚ إِنَّا كُنَّا نَسْتَنسِخُ مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '29','verse_key' => '45:29','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4503','chapter_id' => '45','arabic_name' => 'فَأَمَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فَيُدْخِلُهُمْ رَبُّهُمْ فِى رَحْمَتِهِۦ ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْمُبِينُ','verse_number' => '30','verse_key' => '45:30','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4504','chapter_id' => '45','arabic_name' => 'وَأَمَّا ٱلَّذِينَ كَفَرُوٓا۟ أَفَلَمْ تَكُنْ ءَايَـٰتِى تُتْلَىٰ عَلَيْكُمْ فَٱسْتَكْبَرْتُمْ وَكُنتُمْ قَوْمًا مُّجْرِمِينَ','verse_number' => '31','verse_key' => '45:31','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4505','chapter_id' => '45','arabic_name' => 'وَإِذَا قِيلَ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ وَٱلسَّاعَةُ لَا رَيْبَ فِيهَا قُلْتُم مَّا نَدْرِى مَا ٱلسَّاعَةُ إِن نَّظُنُّ إِلَّا ظَنًّا وَمَا نَحْنُ بِمُسْتَيْقِنِينَ','verse_number' => '32','verse_key' => '45:32','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '501','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4506','chapter_id' => '45','arabic_name' => 'وَبَدَا لَهُمْ سَيِّـَٔاتُ مَا عَمِلُوا۟ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '33','verse_key' => '45:33','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4507','chapter_id' => '45','arabic_name' => 'وَقِيلَ ٱلْيَوْمَ نَنسَىٰكُمْ كَمَا نَسِيتُمْ لِقَآءَ يَوْمِكُمْ هَـٰذَا وَمَأْوَىٰكُمُ ٱلنَّارُ وَمَا لَكُم مِّن نَّـٰصِرِينَ','verse_number' => '34','verse_key' => '45:34','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4508','chapter_id' => '45','arabic_name' => 'ذَٰلِكُم بِأَنَّكُمُ ٱتَّخَذْتُمْ ءَايَـٰتِ ٱللَّهِ هُزُوًا وَغَرَّتْكُمُ ٱلْحَيَوٰةُ ٱلدُّنْيَا ۚ فَٱلْيَوْمَ لَا يُخْرَجُونَ مِنْهَا وَلَا هُمْ يُسْتَعْتَبُونَ','verse_number' => '35','verse_key' => '45:35','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4509','chapter_id' => '45','arabic_name' => 'فَلِلَّهِ ٱلْحَمْدُ رَبِّ ٱلسَّمَـٰوَٰتِ وَرَبِّ ٱلْأَرْضِ رَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '36','verse_key' => '45:36','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4510','chapter_id' => '45','arabic_name' => 'وَلَهُ ٱلْكِبْرِيَآءُ فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '37','verse_key' => '45:37','hizb_number' => '50','rub_el_hizb_number' => '200','ruku_number' => '439','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '25','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4511','chapter_id' => '46','arabic_name' => 'حمٓ','verse_number' => '1','verse_key' => '46:1','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4512','chapter_id' => '46','arabic_name' => 'تَنزِيلُ ٱلْكِتَـٰبِ مِنَ ٱللَّهِ ٱلْعَزِيزِ ٱلْحَكِيمِ','verse_number' => '2','verse_key' => '46:2','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4513','chapter_id' => '46','arabic_name' => 'مَا خَلَقْنَا ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَآ إِلَّا بِٱلْحَقِّ وَأَجَلٍ مُّسَمًّى ۚ وَٱلَّذِينَ كَفَرُوا۟ عَمَّآ أُنذِرُوا۟ مُعْرِضُونَ','verse_number' => '3','verse_key' => '46:3','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4514','chapter_id' => '46','arabic_name' => 'قُلْ أَرَءَيْتُم مَّا تَدْعُونَ مِن دُونِ ٱللَّهِ أَرُونِى مَاذَا خَلَقُوا۟ مِنَ ٱلْأَرْضِ أَمْ لَهُمْ شِرْكٌ فِى ٱلسَّمَـٰوَٰتِ ۖ ٱئْتُونِى بِكِتَـٰبٍ مِّن قَبْلِ هَـٰذَآ أَوْ أَثَـٰرَةٍ مِّنْ عِلْمٍ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '4','verse_key' => '46:4','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4515','chapter_id' => '46','arabic_name' => 'وَمَنْ أَضَلُّ مِمَّن يَدْعُوا۟ مِن دُونِ ٱللَّهِ مَن لَّا يَسْتَجِيبُ لَهُۥٓ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ وَهُمْ عَن دُعَآئِهِمْ غَـٰفِلُونَ','verse_number' => '5','verse_key' => '46:5','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '502','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4516','chapter_id' => '46','arabic_name' => 'وَإِذَا حُشِرَ ٱلنَّاسُ كَانُوا۟ لَهُمْ أَعْدَآءً وَكَانُوا۟ بِعِبَادَتِهِمْ كَـٰفِرِينَ','verse_number' => '6','verse_key' => '46:6','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4517','chapter_id' => '46','arabic_name' => 'وَإِذَا تُتْلَىٰ عَلَيْهِمْ ءَايَـٰتُنَا بَيِّنَـٰتٍ قَالَ ٱلَّذِينَ كَفَرُوا۟ لِلْحَقِّ لَمَّا جَآءَهُمْ هَـٰذَا سِحْرٌ مُّبِينٌ','verse_number' => '7','verse_key' => '46:7','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4518','chapter_id' => '46','arabic_name' => 'أَمْ يَقُولُونَ ٱفْتَرَىٰهُ ۖ قُلْ إِنِ ٱفْتَرَيْتُهُۥ فَلَا تَمْلِكُونَ لِى مِنَ ٱللَّهِ شَيْـًٔا ۖ هُوَ أَعْلَمُ بِمَا تُفِيضُونَ فِيهِ ۖ كَفَىٰ بِهِۦ شَهِيدًۢا بَيْنِى وَبَيْنَكُمْ ۖ وَهُوَ ٱلْغَفُورُ ٱلرَّحِيمُ','verse_number' => '8','verse_key' => '46:8','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4519','chapter_id' => '46','arabic_name' => 'قُلْ مَا كُنتُ بِدْعًا مِّنَ ٱلرُّسُلِ وَمَآ أَدْرِى مَا يُفْعَلُ بِى وَلَا بِكُمْ ۖ إِنْ أَتَّبِعُ إِلَّا مَا يُوحَىٰٓ إِلَىَّ وَمَآ أَنَا۠ إِلَّا نَذِيرٌ مُّبِينٌ','verse_number' => '9','verse_key' => '46:9','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4520','chapter_id' => '46','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِن كَانَ مِنْ عِندِ ٱللَّهِ وَكَفَرْتُم بِهِۦ وَشَهِدَ شَاهِدٌ مِّنۢ بَنِىٓ إِسْرَٰٓءِيلَ عَلَىٰ مِثْلِهِۦ فَـَٔامَنَ وَٱسْتَكْبَرْتُمْ ۖ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '10','verse_key' => '46:10','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '440','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4521','chapter_id' => '46','arabic_name' => 'وَقَالَ ٱلَّذِينَ كَفَرُوا۟ لِلَّذِينَ ءَامَنُوا۟ لَوْ كَانَ خَيْرًا مَّا سَبَقُونَآ إِلَيْهِ ۚ وَإِذْ لَمْ يَهْتَدُوا۟ بِهِۦ فَسَيَقُولُونَ هَـٰذَآ إِفْكٌ قَدِيمٌ','verse_number' => '11','verse_key' => '46:11','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4522','chapter_id' => '46','arabic_name' => 'وَمِن قَبْلِهِۦ كِتَـٰبُ مُوسَىٰٓ إِمَامًا وَرَحْمَةً ۚ وَهَـٰذَا كِتَـٰبٌ مُّصَدِّقٌ لِّسَانًا عَرَبِيًّا لِّيُنذِرَ ٱلَّذِينَ ظَلَمُوا۟ وَبُشْرَىٰ لِلْمُحْسِنِينَ','verse_number' => '12','verse_key' => '46:12','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4523','chapter_id' => '46','arabic_name' => 'إِنَّ ٱلَّذِينَ قَالُوا۟ رَبُّنَا ٱللَّهُ ثُمَّ ٱسْتَقَـٰمُوا۟ فَلَا خَوْفٌ عَلَيْهِمْ وَلَا هُمْ يَحْزَنُونَ','verse_number' => '13','verse_key' => '46:13','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4524','chapter_id' => '46','arabic_name' => 'أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَنَّةِ خَـٰلِدِينَ فِيهَا جَزَآءًۢ بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '14','verse_key' => '46:14','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '503','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4525','chapter_id' => '46','arabic_name' => 'وَوَصَّيْنَا ٱلْإِنسَـٰنَ بِوَٰلِدَيْهِ إِحْسَـٰنًا ۖ حَمَلَتْهُ أُمُّهُۥ كُرْهًا وَوَضَعَتْهُ كُرْهًا ۖ وَحَمْلُهُۥ وَفِصَـٰلُهُۥ ثَلَـٰثُونَ شَهْرًا ۚ حَتَّىٰٓ إِذَا بَلَغَ أَشُدَّهُۥ وَبَلَغَ أَرْبَعِينَ سَنَةً قَالَ رَبِّ أَوْزِعْنِىٓ أَنْ أَشْكُرَ نِعْمَتَكَ ٱلَّتِىٓ أَنْعَمْتَ عَلَىَّ وَعَلَىٰ وَٰلِدَىَّ وَأَنْ أَعْمَلَ صَـٰلِحًا تَرْضَىٰهُ وَأَصْلِحْ لِى فِى ذُرِّيَّتِىٓ ۖ إِنِّى تُبْتُ إِلَيْكَ وَإِنِّى مِنَ ٱلْمُسْلِمِينَ','verse_number' => '15','verse_key' => '46:15','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '504','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4526','chapter_id' => '46','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ نَتَقَبَّلُ عَنْهُمْ أَحْسَنَ مَا عَمِلُوا۟ وَنَتَجَاوَزُ عَن سَيِّـَٔاتِهِمْ فِىٓ أَصْحَـٰبِ ٱلْجَنَّةِ ۖ وَعْدَ ٱلصِّدْقِ ٱلَّذِى كَانُوا۟ يُوعَدُونَ','verse_number' => '16','verse_key' => '46:16','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '504','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4527','chapter_id' => '46','arabic_name' => 'وَٱلَّذِى قَالَ لِوَٰلِدَيْهِ أُفٍّ لَّكُمَآ أَتَعِدَانِنِىٓ أَنْ أُخْرَجَ وَقَدْ خَلَتِ ٱلْقُرُونُ مِن قَبْلِى وَهُمَا يَسْتَغِيثَانِ ٱللَّهَ وَيْلَكَ ءَامِنْ إِنَّ وَعْدَ ٱللَّهِ حَقٌّ فَيَقُولُ مَا هَـٰذَآ إِلَّآ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '17','verse_key' => '46:17','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '504','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4528','chapter_id' => '46','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ حَقَّ عَلَيْهِمُ ٱلْقَوْلُ فِىٓ أُمَمٍ قَدْ خَلَتْ مِن قَبْلِهِم مِّنَ ٱلْجِنِّ وَٱلْإِنسِ ۖ إِنَّهُمْ كَانُوا۟ خَـٰسِرِينَ','verse_number' => '18','verse_key' => '46:18','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '504','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4529','chapter_id' => '46','arabic_name' => 'وَلِكُلٍّ دَرَجَـٰتٌ مِّمَّا عَمِلُوا۟ ۖ وَلِيُوَفِّيَهُمْ أَعْمَـٰلَهُمْ وَهُمْ لَا يُظْلَمُونَ','verse_number' => '19','verse_key' => '46:19','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '504','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4530','chapter_id' => '46','arabic_name' => 'وَيَوْمَ يُعْرَضُ ٱلَّذِينَ كَفَرُوا۟ عَلَى ٱلنَّارِ أَذْهَبْتُمْ طَيِّبَـٰتِكُمْ فِى حَيَاتِكُمُ ٱلدُّنْيَا وَٱسْتَمْتَعْتُم بِهَا فَٱلْيَوْمَ تُجْزَوْنَ عَذَابَ ٱلْهُونِ بِمَا كُنتُمْ تَسْتَكْبِرُونَ فِى ٱلْأَرْضِ بِغَيْرِ ٱلْحَقِّ وَبِمَا كُنتُمْ تَفْسُقُونَ','verse_number' => '20','verse_key' => '46:20','hizb_number' => '51','rub_el_hizb_number' => '201','ruku_number' => '441','manzil_number' => '6','sajdah_number' => '0','page_number' => '504','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4531','chapter_id' => '46','arabic_name' => '۞ وَٱذْكُرْ أَخَا عَادٍ إِذْ أَنذَرَ قَوْمَهُۥ بِٱلْأَحْقَافِ وَقَدْ خَلَتِ ٱلنُّذُرُ مِنۢ بَيْنِ يَدَيْهِ وَمِنْ خَلْفِهِۦٓ أَلَّا تَعْبُدُوٓا۟ إِلَّا ٱللَّهَ إِنِّىٓ أَخَافُ عَلَيْكُمْ عَذَابَ يَوْمٍ عَظِيمٍ','verse_number' => '21','verse_key' => '46:21','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '442','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4532','chapter_id' => '46','arabic_name' => 'قَالُوٓا۟ أَجِئْتَنَا لِتَأْفِكَنَا عَنْ ءَالِهَتِنَا فَأْتِنَا بِمَا تَعِدُنَآ إِن كُنتَ مِنَ ٱلصَّـٰدِقِينَ','verse_number' => '22','verse_key' => '46:22','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '442','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4533','chapter_id' => '46','arabic_name' => 'قَالَ إِنَّمَا ٱلْعِلْمُ عِندَ ٱللَّهِ وَأُبَلِّغُكُم مَّآ أُرْسِلْتُ بِهِۦ وَلَـٰكِنِّىٓ أَرَىٰكُمْ قَوْمًا تَجْهَلُونَ','verse_number' => '23','verse_key' => '46:23','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '442','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4534','chapter_id' => '46','arabic_name' => 'فَلَمَّا رَأَوْهُ عَارِضًا مُّسْتَقْبِلَ أَوْدِيَتِهِمْ قَالُوا۟ هَـٰذَا عَارِضٌ مُّمْطِرُنَا ۚ بَلْ هُوَ مَا ٱسْتَعْجَلْتُم بِهِۦ ۖ رِيحٌ فِيهَا عَذَابٌ أَلِيمٌ','verse_number' => '24','verse_key' => '46:24','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '442','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4535','chapter_id' => '46','arabic_name' => 'تُدَمِّرُ كُلَّ شَىْءٍۭ بِأَمْرِ رَبِّهَا فَأَصْبَحُوا۟ لَا يُرَىٰٓ إِلَّا مَسَـٰكِنُهُمْ ۚ كَذَٰلِكَ نَجْزِى ٱلْقَوْمَ ٱلْمُجْرِمِينَ','verse_number' => '25','verse_key' => '46:25','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '442','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4536','chapter_id' => '46','arabic_name' => 'وَلَقَدْ مَكَّنَّـٰهُمْ فِيمَآ إِن مَّكَّنَّـٰكُمْ فِيهِ وَجَعَلْنَا لَهُمْ سَمْعًا وَأَبْصَـٰرًا وَأَفْـِٔدَةً فَمَآ أَغْنَىٰ عَنْهُمْ سَمْعُهُمْ وَلَآ أَبْصَـٰرُهُمْ وَلَآ أَفْـِٔدَتُهُم مِّن شَىْءٍ إِذْ كَانُوا۟ يَجْحَدُونَ بِـَٔايَـٰتِ ٱللَّهِ وَحَاقَ بِهِم مَّا كَانُوا۟ بِهِۦ يَسْتَهْزِءُونَ','verse_number' => '26','verse_key' => '46:26','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '442','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4537','chapter_id' => '46','arabic_name' => 'وَلَقَدْ أَهْلَكْنَا مَا حَوْلَكُم مِّنَ ٱلْقُرَىٰ وَصَرَّفْنَا ٱلْـَٔايَـٰتِ لَعَلَّهُمْ يَرْجِعُونَ','verse_number' => '27','verse_key' => '46:27','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4538','chapter_id' => '46','arabic_name' => 'فَلَوْلَا نَصَرَهُمُ ٱلَّذِينَ ٱتَّخَذُوا۟ مِن دُونِ ٱللَّهِ قُرْبَانًا ءَالِهَةًۢ ۖ بَلْ ضَلُّوا۟ عَنْهُمْ ۚ وَذَٰلِكَ إِفْكُهُمْ وَمَا كَانُوا۟ يَفْتَرُونَ','verse_number' => '28','verse_key' => '46:28','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '505','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4539','chapter_id' => '46','arabic_name' => 'وَإِذْ صَرَفْنَآ إِلَيْكَ نَفَرًا مِّنَ ٱلْجِنِّ يَسْتَمِعُونَ ٱلْقُرْءَانَ فَلَمَّا حَضَرُوهُ قَالُوٓا۟ أَنصِتُوا۟ ۖ فَلَمَّا قُضِىَ وَلَّوْا۟ إِلَىٰ قَوْمِهِم مُّنذِرِينَ','verse_number' => '29','verse_key' => '46:29','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '506','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4540','chapter_id' => '46','arabic_name' => 'قَالُوا۟ يَـٰقَوْمَنَآ إِنَّا سَمِعْنَا كِتَـٰبًا أُنزِلَ مِنۢ بَعْدِ مُوسَىٰ مُصَدِّقًا لِّمَا بَيْنَ يَدَيْهِ يَهْدِىٓ إِلَى ٱلْحَقِّ وَإِلَىٰ طَرِيقٍ مُّسْتَقِيمٍ','verse_number' => '30','verse_key' => '46:30','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '506','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4541','chapter_id' => '46','arabic_name' => 'يَـٰقَوْمَنَآ أَجِيبُوا۟ دَاعِىَ ٱللَّهِ وَءَامِنُوا۟ بِهِۦ يَغْفِرْ لَكُم مِّن ذُنُوبِكُمْ وَيُجِرْكُم مِّنْ عَذَابٍ أَلِيمٍ','verse_number' => '31','verse_key' => '46:31','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '506','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4542','chapter_id' => '46','arabic_name' => 'وَمَن لَّا يُجِبْ دَاعِىَ ٱللَّهِ فَلَيْسَ بِمُعْجِزٍ فِى ٱلْأَرْضِ وَلَيْسَ لَهُۥ مِن دُونِهِۦٓ أَوْلِيَآءُ ۚ أُو۟لَـٰٓئِكَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '32','verse_key' => '46:32','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '506','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4543','chapter_id' => '46','arabic_name' => 'أَوَلَمْ يَرَوْا۟ أَنَّ ٱللَّهَ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَلَمْ يَعْىَ بِخَلْقِهِنَّ بِقَـٰدِرٍ عَلَىٰٓ أَن يُحْـِۧىَ ٱلْمَوْتَىٰ ۚ بَلَىٰٓ إِنَّهُۥ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '33','verse_key' => '46:33','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '506','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4544','chapter_id' => '46','arabic_name' => 'وَيَوْمَ يُعْرَضُ ٱلَّذِينَ كَفَرُوا۟ عَلَى ٱلنَّارِ أَلَيْسَ هَـٰذَا بِٱلْحَقِّ ۖ قَالُوا۟ بَلَىٰ وَرَبِّنَا ۚ قَالَ فَذُوقُوا۟ ٱلْعَذَابَ بِمَا كُنتُمْ تَكْفُرُونَ','verse_number' => '34','verse_key' => '46:34','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '506','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4545','chapter_id' => '46','arabic_name' => 'فَٱصْبِرْ كَمَا صَبَرَ أُو۟لُوا۟ ٱلْعَزْمِ مِنَ ٱلرُّسُلِ وَلَا تَسْتَعْجِل لَّهُمْ ۚ كَأَنَّهُمْ يَوْمَ يَرَوْنَ مَا يُوعَدُونَ لَمْ يَلْبَثُوٓا۟ إِلَّا سَاعَةً مِّن نَّهَارٍۭ ۚ بَلَـٰغٌ ۚ فَهَلْ يُهْلَكُ إِلَّا ٱلْقَوْمُ ٱلْفَـٰسِقُونَ','verse_number' => '35','verse_key' => '46:35','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '443','manzil_number' => '6','sajdah_number' => '0','page_number' => '506','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4546','chapter_id' => '47','arabic_name' => 'ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ أَضَلَّ أَعْمَـٰلَهُمْ','verse_number' => '1','verse_key' => '47:1','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4547','chapter_id' => '47','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَءَامَنُوا۟ بِمَا نُزِّلَ عَلَىٰ مُحَمَّدٍ وَهُوَ ٱلْحَقُّ مِن رَّبِّهِمْ ۙ كَفَّرَ عَنْهُمْ سَيِّـَٔاتِهِمْ وَأَصْلَحَ بَالَهُمْ','verse_number' => '2','verse_key' => '47:2','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4548','chapter_id' => '47','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱلَّذِينَ كَفَرُوا۟ ٱتَّبَعُوا۟ ٱلْبَـٰطِلَ وَأَنَّ ٱلَّذِينَ ءَامَنُوا۟ ٱتَّبَعُوا۟ ٱلْحَقَّ مِن رَّبِّهِمْ ۚ كَذَٰلِكَ يَضْرِبُ ٱللَّهُ لِلنَّاسِ أَمْثَـٰلَهُمْ','verse_number' => '3','verse_key' => '47:3','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4549','chapter_id' => '47','arabic_name' => 'فَإِذَا لَقِيتُمُ ٱلَّذِينَ كَفَرُوا۟ فَضَرْبَ ٱلرِّقَابِ حَتَّىٰٓ إِذَآ أَثْخَنتُمُوهُمْ فَشُدُّوا۟ ٱلْوَثَاقَ فَإِمَّا مَنًّۢا بَعْدُ وَإِمَّا فِدَآءً حَتَّىٰ تَضَعَ ٱلْحَرْبُ أَوْزَارَهَا ۚ ذَٰلِكَ وَلَوْ يَشَآءُ ٱللَّهُ لَٱنتَصَرَ مِنْهُمْ وَلَـٰكِن لِّيَبْلُوَا۟ بَعْضَكُم بِبَعْضٍ ۗ وَٱلَّذِينَ قُتِلُوا۟ فِى سَبِيلِ ٱللَّهِ فَلَن يُضِلَّ أَعْمَـٰلَهُمْ','verse_number' => '4','verse_key' => '47:4','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4550','chapter_id' => '47','arabic_name' => 'سَيَهْدِيهِمْ وَيُصْلِحُ بَالَهُمْ','verse_number' => '5','verse_key' => '47:5','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4551','chapter_id' => '47','arabic_name' => 'وَيُدْخِلُهُمُ ٱلْجَنَّةَ عَرَّفَهَا لَهُمْ','verse_number' => '6','verse_key' => '47:6','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4552','chapter_id' => '47','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن تَنصُرُوا۟ ٱللَّهَ يَنصُرْكُمْ وَيُثَبِّتْ أَقْدَامَكُمْ','verse_number' => '7','verse_key' => '47:7','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4553','chapter_id' => '47','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ فَتَعْسًا لَّهُمْ وَأَضَلَّ أَعْمَـٰلَهُمْ','verse_number' => '8','verse_key' => '47:8','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4554','chapter_id' => '47','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمْ كَرِهُوا۟ مَآ أَنزَلَ ٱللَّهُ فَأَحْبَطَ أَعْمَـٰلَهُمْ','verse_number' => '9','verse_key' => '47:9','hizb_number' => '51','rub_el_hizb_number' => '202','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4555','chapter_id' => '47','arabic_name' => '۞ أَفَلَمْ يَسِيرُوا۟ فِى ٱلْأَرْضِ فَيَنظُرُوا۟ كَيْفَ كَانَ عَـٰقِبَةُ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ دَمَّرَ ٱللَّهُ عَلَيْهِمْ ۖ وَلِلْكَـٰفِرِينَ أَمْثَـٰلُهَا','verse_number' => '10','verse_key' => '47:10','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4556','chapter_id' => '47','arabic_name' => 'ذَٰلِكَ بِأَنَّ ٱللَّهَ مَوْلَى ٱلَّذِينَ ءَامَنُوا۟ وَأَنَّ ٱلْكَـٰفِرِينَ لَا مَوْلَىٰ لَهُمْ','verse_number' => '11','verse_key' => '47:11','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '444','manzil_number' => '6','sajdah_number' => '0','page_number' => '507','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4557','chapter_id' => '47','arabic_name' => 'إِنَّ ٱللَّهَ يُدْخِلُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۖ وَٱلَّذِينَ كَفَرُوا۟ يَتَمَتَّعُونَ وَيَأْكُلُونَ كَمَا تَأْكُلُ ٱلْأَنْعَـٰمُ وَٱلنَّارُ مَثْوًى لَّهُمْ','verse_number' => '12','verse_key' => '47:12','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4558','chapter_id' => '47','arabic_name' => 'وَكَأَيِّن مِّن قَرْيَةٍ هِىَ أَشَدُّ قُوَّةً مِّن قَرْيَتِكَ ٱلَّتِىٓ أَخْرَجَتْكَ أَهْلَكْنَـٰهُمْ فَلَا نَاصِرَ لَهُمْ','verse_number' => '13','verse_key' => '47:13','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4559','chapter_id' => '47','arabic_name' => 'أَفَمَن كَانَ عَلَىٰ بَيِّنَةٍ مِّن رَّبِّهِۦ كَمَن زُيِّنَ لَهُۥ سُوٓءُ عَمَلِهِۦ وَٱتَّبَعُوٓا۟ أَهْوَآءَهُم','verse_number' => '14','verse_key' => '47:14','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4560','chapter_id' => '47','arabic_name' => 'مَّثَلُ ٱلْجَنَّةِ ٱلَّتِى وُعِدَ ٱلْمُتَّقُونَ ۖ فِيهَآ أَنْهَـٰرٌ مِّن مَّآءٍ غَيْرِ ءَاسِنٍ وَأَنْهَـٰرٌ مِّن لَّبَنٍ لَّمْ يَتَغَيَّرْ طَعْمُهُۥ وَأَنْهَـٰرٌ مِّنْ خَمْرٍ لَّذَّةٍ لِّلشَّـٰرِبِينَ وَأَنْهَـٰرٌ مِّنْ عَسَلٍ مُّصَفًّى ۖ وَلَهُمْ فِيهَا مِن كُلِّ ٱلثَّمَرَٰتِ وَمَغْفِرَةٌ مِّن رَّبِّهِمْ ۖ كَمَنْ هُوَ خَـٰلِدٌ فِى ٱلنَّارِ وَسُقُوا۟ مَآءً حَمِيمًا فَقَطَّعَ أَمْعَآءَهُمْ','verse_number' => '15','verse_key' => '47:15','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4561','chapter_id' => '47','arabic_name' => 'وَمِنْهُم مَّن يَسْتَمِعُ إِلَيْكَ حَتَّىٰٓ إِذَا خَرَجُوا۟ مِنْ عِندِكَ قَالُوا۟ لِلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ مَاذَا قَالَ ءَانِفًا ۚ أُو۟لَـٰٓئِكَ ٱلَّذِينَ طَبَعَ ٱللَّهُ عَلَىٰ قُلُوبِهِمْ وَٱتَّبَعُوٓا۟ أَهْوَآءَهُمْ','verse_number' => '16','verse_key' => '47:16','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4562','chapter_id' => '47','arabic_name' => 'وَٱلَّذِينَ ٱهْتَدَوْا۟ زَادَهُمْ هُدًى وَءَاتَىٰهُمْ تَقْوَىٰهُمْ','verse_number' => '17','verse_key' => '47:17','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4563','chapter_id' => '47','arabic_name' => 'فَهَلْ يَنظُرُونَ إِلَّا ٱلسَّاعَةَ أَن تَأْتِيَهُم بَغْتَةً ۖ فَقَدْ جَآءَ أَشْرَاطُهَا ۚ فَأَنَّىٰ لَهُمْ إِذَا جَآءَتْهُمْ ذِكْرَىٰهُمْ','verse_number' => '18','verse_key' => '47:18','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4564','chapter_id' => '47','arabic_name' => 'فَٱعْلَمْ أَنَّهُۥ لَآ إِلَـٰهَ إِلَّا ٱللَّهُ وَٱسْتَغْفِرْ لِذَنۢبِكَ وَلِلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ ۗ وَٱللَّهُ يَعْلَمُ مُتَقَلَّبَكُمْ وَمَثْوَىٰكُمْ','verse_number' => '19','verse_key' => '47:19','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '445','manzil_number' => '6','sajdah_number' => '0','page_number' => '508','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4565','chapter_id' => '47','arabic_name' => 'وَيَقُولُ ٱلَّذِينَ ءَامَنُوا۟ لَوْلَا نُزِّلَتْ سُورَةٌ ۖ فَإِذَآ أُنزِلَتْ سُورَةٌ مُّحْكَمَةٌ وَذُكِرَ فِيهَا ٱلْقِتَالُ ۙ رَأَيْتَ ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ يَنظُرُونَ إِلَيْكَ نَظَرَ ٱلْمَغْشِىِّ عَلَيْهِ مِنَ ٱلْمَوْتِ ۖ فَأَوْلَىٰ لَهُمْ','verse_number' => '20','verse_key' => '47:20','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4566','chapter_id' => '47','arabic_name' => 'طَاعَةٌ وَقَوْلٌ مَّعْرُوفٌ ۚ فَإِذَا عَزَمَ ٱلْأَمْرُ فَلَوْ صَدَقُوا۟ ٱللَّهَ لَكَانَ خَيْرًا لَّهُمْ','verse_number' => '21','verse_key' => '47:21','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4567','chapter_id' => '47','arabic_name' => 'فَهَلْ عَسَيْتُمْ إِن تَوَلَّيْتُمْ أَن تُفْسِدُوا۟ فِى ٱلْأَرْضِ وَتُقَطِّعُوٓا۟ أَرْحَامَكُمْ','verse_number' => '22','verse_key' => '47:22','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4568','chapter_id' => '47','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلَّذِينَ لَعَنَهُمُ ٱللَّهُ فَأَصَمَّهُمْ وَأَعْمَىٰٓ أَبْصَـٰرَهُمْ','verse_number' => '23','verse_key' => '47:23','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4569','chapter_id' => '47','arabic_name' => 'أَفَلَا يَتَدَبَّرُونَ ٱلْقُرْءَانَ أَمْ عَلَىٰ قُلُوبٍ أَقْفَالُهَآ','verse_number' => '24','verse_key' => '47:24','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4570','chapter_id' => '47','arabic_name' => 'إِنَّ ٱلَّذِينَ ٱرْتَدُّوا۟ عَلَىٰٓ أَدْبَـٰرِهِم مِّنۢ بَعْدِ مَا تَبَيَّنَ لَهُمُ ٱلْهُدَى ۙ ٱلشَّيْطَـٰنُ سَوَّلَ لَهُمْ وَأَمْلَىٰ لَهُمْ','verse_number' => '25','verse_key' => '47:25','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4571','chapter_id' => '47','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمْ قَالُوا۟ لِلَّذِينَ كَرِهُوا۟ مَا نَزَّلَ ٱللَّهُ سَنُطِيعُكُمْ فِى بَعْضِ ٱلْأَمْرِ ۖ وَٱللَّهُ يَعْلَمُ إِسْرَارَهُمْ','verse_number' => '26','verse_key' => '47:26','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4572','chapter_id' => '47','arabic_name' => 'فَكَيْفَ إِذَا تَوَفَّتْهُمُ ٱلْمَلَـٰٓئِكَةُ يَضْرِبُونَ وُجُوهَهُمْ وَأَدْبَـٰرَهُمْ','verse_number' => '27','verse_key' => '47:27','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4573','chapter_id' => '47','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمُ ٱتَّبَعُوا۟ مَآ أَسْخَطَ ٱللَّهَ وَكَرِهُوا۟ رِضْوَٰنَهُۥ فَأَحْبَطَ أَعْمَـٰلَهُمْ','verse_number' => '28','verse_key' => '47:28','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '446','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4574','chapter_id' => '47','arabic_name' => 'أَمْ حَسِبَ ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ أَن لَّن يُخْرِجَ ٱللَّهُ أَضْغَـٰنَهُمْ','verse_number' => '29','verse_key' => '47:29','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '509','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4575','chapter_id' => '47','arabic_name' => 'وَلَوْ نَشَآءُ لَأَرَيْنَـٰكَهُمْ فَلَعَرَفْتَهُم بِسِيمَـٰهُمْ ۚ وَلَتَعْرِفَنَّهُمْ فِى لَحْنِ ٱلْقَوْلِ ۚ وَٱللَّهُ يَعْلَمُ أَعْمَـٰلَكُمْ','verse_number' => '30','verse_key' => '47:30','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4576','chapter_id' => '47','arabic_name' => 'وَلَنَبْلُوَنَّكُمْ حَتَّىٰ نَعْلَمَ ٱلْمُجَـٰهِدِينَ مِنكُمْ وَٱلصَّـٰبِرِينَ وَنَبْلُوَا۟ أَخْبَارَكُمْ','verse_number' => '31','verse_key' => '47:31','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4577','chapter_id' => '47','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ وَشَآقُّوا۟ ٱلرَّسُولَ مِنۢ بَعْدِ مَا تَبَيَّنَ لَهُمُ ٱلْهُدَىٰ لَن يَضُرُّوا۟ ٱللَّهَ شَيْـًٔا وَسَيُحْبِطُ أَعْمَـٰلَهُمْ','verse_number' => '32','verse_key' => '47:32','hizb_number' => '51','rub_el_hizb_number' => '203','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4578','chapter_id' => '47','arabic_name' => '۞ يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ أَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ وَلَا تُبْطِلُوٓا۟ أَعْمَـٰلَكُمْ','verse_number' => '33','verse_key' => '47:33','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4579','chapter_id' => '47','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ ثُمَّ مَاتُوا۟ وَهُمْ كُفَّارٌ فَلَن يَغْفِرَ ٱللَّهُ لَهُمْ','verse_number' => '34','verse_key' => '47:34','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4580','chapter_id' => '47','arabic_name' => 'فَلَا تَهِنُوا۟ وَتَدْعُوٓا۟ إِلَى ٱلسَّلْمِ وَأَنتُمُ ٱلْأَعْلَوْنَ وَٱللَّهُ مَعَكُمْ وَلَن يَتِرَكُمْ أَعْمَـٰلَكُمْ','verse_number' => '35','verse_key' => '47:35','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4581','chapter_id' => '47','arabic_name' => 'إِنَّمَا ٱلْحَيَوٰةُ ٱلدُّنْيَا لَعِبٌ وَلَهْوٌ ۚ وَإِن تُؤْمِنُوا۟ وَتَتَّقُوا۟ يُؤْتِكُمْ أُجُورَكُمْ وَلَا يَسْـَٔلْكُمْ أَمْوَٰلَكُمْ','verse_number' => '36','verse_key' => '47:36','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4582','chapter_id' => '47','arabic_name' => 'إِن يَسْـَٔلْكُمُوهَا فَيُحْفِكُمْ تَبْخَلُوا۟ وَيُخْرِجْ أَضْغَـٰنَكُمْ','verse_number' => '37','verse_key' => '47:37','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4583','chapter_id' => '47','arabic_name' => 'هَـٰٓأَنتُمْ هَـٰٓؤُلَآءِ تُدْعَوْنَ لِتُنفِقُوا۟ فِى سَبِيلِ ٱللَّهِ فَمِنكُم مَّن يَبْخَلُ ۖ وَمَن يَبْخَلْ فَإِنَّمَا يَبْخَلُ عَن نَّفْسِهِۦ ۚ وَٱللَّهُ ٱلْغَنِىُّ وَأَنتُمُ ٱلْفُقَرَآءُ ۚ وَإِن تَتَوَلَّوْا۟ يَسْتَبْدِلْ قَوْمًا غَيْرَكُمْ ثُمَّ لَا يَكُونُوٓا۟ أَمْثَـٰلَكُم','verse_number' => '38','verse_key' => '47:38','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '447','manzil_number' => '6','sajdah_number' => '0','page_number' => '510','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4584','chapter_id' => '48','arabic_name' => 'إِنَّا فَتَحْنَا لَكَ فَتْحًا مُّبِينًا','verse_number' => '1','verse_key' => '48:1','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4585','chapter_id' => '48','arabic_name' => 'لِّيَغْفِرَ لَكَ ٱللَّهُ مَا تَقَدَّمَ مِن ذَنۢبِكَ وَمَا تَأَخَّرَ وَيُتِمَّ نِعْمَتَهُۥ عَلَيْكَ وَيَهْدِيَكَ صِرَٰطًا مُّسْتَقِيمًا','verse_number' => '2','verse_key' => '48:2','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4586','chapter_id' => '48','arabic_name' => 'وَيَنصُرَكَ ٱللَّهُ نَصْرًا عَزِيزًا','verse_number' => '3','verse_key' => '48:3','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4587','chapter_id' => '48','arabic_name' => 'هُوَ ٱلَّذِىٓ أَنزَلَ ٱلسَّكِينَةَ فِى قُلُوبِ ٱلْمُؤْمِنِينَ لِيَزْدَادُوٓا۟ إِيمَـٰنًا مَّعَ إِيمَـٰنِهِمْ ۗ وَلِلَّهِ جُنُودُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ عَلِيمًا حَكِيمًا','verse_number' => '4','verse_key' => '48:4','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4588','chapter_id' => '48','arabic_name' => 'لِّيُدْخِلَ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا وَيُكَفِّرَ عَنْهُمْ سَيِّـَٔاتِهِمْ ۚ وَكَانَ ذَٰلِكَ عِندَ ٱللَّهِ فَوْزًا عَظِيمًا','verse_number' => '5','verse_key' => '48:5','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4589','chapter_id' => '48','arabic_name' => 'وَيُعَذِّبَ ٱلْمُنَـٰفِقِينَ وَٱلْمُنَـٰفِقَـٰتِ وَٱلْمُشْرِكِينَ وَٱلْمُشْرِكَـٰتِ ٱلظَّآنِّينَ بِٱللَّهِ ظَنَّ ٱلسَّوْءِ ۚ عَلَيْهِمْ دَآئِرَةُ ٱلسَّوْءِ ۖ وَغَضِبَ ٱللَّهُ عَلَيْهِمْ وَلَعَنَهُمْ وَأَعَدَّ لَهُمْ جَهَنَّمَ ۖ وَسَآءَتْ مَصِيرًا','verse_number' => '6','verse_key' => '48:6','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4590','chapter_id' => '48','arabic_name' => 'وَلِلَّهِ جُنُودُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًا','verse_number' => '7','verse_key' => '48:7','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4591','chapter_id' => '48','arabic_name' => 'إِنَّآ أَرْسَلْنَـٰكَ شَـٰهِدًا وَمُبَشِّرًا وَنَذِيرًا','verse_number' => '8','verse_key' => '48:8','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4592','chapter_id' => '48','arabic_name' => 'لِّتُؤْمِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَتُعَزِّرُوهُ وَتُوَقِّرُوهُ وَتُسَبِّحُوهُ بُكْرَةً وَأَصِيلًا','verse_number' => '9','verse_key' => '48:9','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '511','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4593','chapter_id' => '48','arabic_name' => 'إِنَّ ٱلَّذِينَ يُبَايِعُونَكَ إِنَّمَا يُبَايِعُونَ ٱللَّهَ يَدُ ٱللَّهِ فَوْقَ أَيْدِيهِمْ ۚ فَمَن نَّكَثَ فَإِنَّمَا يَنكُثُ عَلَىٰ نَفْسِهِۦ ۖ وَمَنْ أَوْفَىٰ بِمَا عَـٰهَدَ عَلَيْهُ ٱللَّهَ فَسَيُؤْتِيهِ أَجْرًا عَظِيمًا','verse_number' => '10','verse_key' => '48:10','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '448','manzil_number' => '6','sajdah_number' => '0','page_number' => '512','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4594','chapter_id' => '48','arabic_name' => 'سَيَقُولُ لَكَ ٱلْمُخَلَّفُونَ مِنَ ٱلْأَعْرَابِ شَغَلَتْنَآ أَمْوَٰلُنَا وَأَهْلُونَا فَٱسْتَغْفِرْ لَنَا ۚ يَقُولُونَ بِأَلْسِنَتِهِم مَّا لَيْسَ فِى قُلُوبِهِمْ ۚ قُلْ فَمَن يَمْلِكُ لَكُم مِّنَ ٱللَّهِ شَيْـًٔا إِنْ أَرَادَ بِكُمْ ضَرًّا أَوْ أَرَادَ بِكُمْ نَفْعًۢا ۚ بَلْ كَانَ ٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرًۢا','verse_number' => '11','verse_key' => '48:11','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '449','manzil_number' => '6','sajdah_number' => '0','page_number' => '512','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4595','chapter_id' => '48','arabic_name' => 'بَلْ ظَنَنتُمْ أَن لَّن يَنقَلِبَ ٱلرَّسُولُ وَٱلْمُؤْمِنُونَ إِلَىٰٓ أَهْلِيهِمْ أَبَدًا وَزُيِّنَ ذَٰلِكَ فِى قُلُوبِكُمْ وَظَنَنتُمْ ظَنَّ ٱلسَّوْءِ وَكُنتُمْ قَوْمًۢا بُورًا','verse_number' => '12','verse_key' => '48:12','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '449','manzil_number' => '6','sajdah_number' => '0','page_number' => '512','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4596','chapter_id' => '48','arabic_name' => 'وَمَن لَّمْ يُؤْمِنۢ بِٱللَّهِ وَرَسُولِهِۦ فَإِنَّآ أَعْتَدْنَا لِلْكَـٰفِرِينَ سَعِيرًا','verse_number' => '13','verse_key' => '48:13','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '449','manzil_number' => '6','sajdah_number' => '0','page_number' => '512','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4597','chapter_id' => '48','arabic_name' => 'وَلِلَّهِ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ يَغْفِرُ لِمَن يَشَآءُ وَيُعَذِّبُ مَن يَشَآءُ ۚ وَكَانَ ٱللَّهُ غَفُورًا رَّحِيمًا','verse_number' => '14','verse_key' => '48:14','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '449','manzil_number' => '6','sajdah_number' => '0','page_number' => '512','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4598','chapter_id' => '48','arabic_name' => 'سَيَقُولُ ٱلْمُخَلَّفُونَ إِذَا ٱنطَلَقْتُمْ إِلَىٰ مَغَانِمَ لِتَأْخُذُوهَا ذَرُونَا نَتَّبِعْكُمْ ۖ يُرِيدُونَ أَن يُبَدِّلُوا۟ كَلَـٰمَ ٱللَّهِ ۚ قُل لَّن تَتَّبِعُونَا كَذَٰلِكُمْ قَالَ ٱللَّهُ مِن قَبْلُ ۖ فَسَيَقُولُونَ بَلْ تَحْسُدُونَنَا ۚ بَلْ كَانُوا۟ لَا يَفْقَهُونَ إِلَّا قَلِيلًا','verse_number' => '15','verse_key' => '48:15','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '449','manzil_number' => '6','sajdah_number' => '0','page_number' => '512','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4599','chapter_id' => '48','arabic_name' => 'قُل لِّلْمُخَلَّفِينَ مِنَ ٱلْأَعْرَابِ سَتُدْعَوْنَ إِلَىٰ قَوْمٍ أُو۟لِى بَأْسٍ شَدِيدٍ تُقَـٰتِلُونَهُمْ أَوْ يُسْلِمُونَ ۖ فَإِن تُطِيعُوا۟ يُؤْتِكُمُ ٱللَّهُ أَجْرًا حَسَنًا ۖ وَإِن تَتَوَلَّوْا۟ كَمَا تَوَلَّيْتُم مِّن قَبْلُ يُعَذِّبْكُمْ عَذَابًا أَلِيمًا','verse_number' => '16','verse_key' => '48:16','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '449','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4600','chapter_id' => '48','arabic_name' => 'لَّيْسَ عَلَى ٱلْأَعْمَىٰ حَرَجٌ وَلَا عَلَى ٱلْأَعْرَجِ حَرَجٌ وَلَا عَلَى ٱلْمَرِيضِ حَرَجٌ ۗ وَمَن يُطِعِ ٱللَّهَ وَرَسُولَهُۥ يُدْخِلْهُ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۖ وَمَن يَتَوَلَّ يُعَذِّبْهُ عَذَابًا أَلِيمًا','verse_number' => '17','verse_key' => '48:17','hizb_number' => '51','rub_el_hizb_number' => '204','ruku_number' => '449','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4601','chapter_id' => '48','arabic_name' => '۞ لَّقَدْ رَضِىَ ٱللَّهُ عَنِ ٱلْمُؤْمِنِينَ إِذْ يُبَايِعُونَكَ تَحْتَ ٱلشَّجَرَةِ فَعَلِمَ مَا فِى قُلُوبِهِمْ فَأَنزَلَ ٱلسَّكِينَةَ عَلَيْهِمْ وَأَثَـٰبَهُمْ فَتْحًا قَرِيبًا','verse_number' => '18','verse_key' => '48:18','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4602','chapter_id' => '48','arabic_name' => 'وَمَغَانِمَ كَثِيرَةً يَأْخُذُونَهَا ۗ وَكَانَ ٱللَّهُ عَزِيزًا حَكِيمًا','verse_number' => '19','verse_key' => '48:19','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4603','chapter_id' => '48','arabic_name' => 'وَعَدَكُمُ ٱللَّهُ مَغَانِمَ كَثِيرَةً تَأْخُذُونَهَا فَعَجَّلَ لَكُمْ هَـٰذِهِۦ وَكَفَّ أَيْدِىَ ٱلنَّاسِ عَنكُمْ وَلِتَكُونَ ءَايَةً لِّلْمُؤْمِنِينَ وَيَهْدِيَكُمْ صِرَٰطًا مُّسْتَقِيمًا','verse_number' => '20','verse_key' => '48:20','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4604','chapter_id' => '48','arabic_name' => 'وَأُخْرَىٰ لَمْ تَقْدِرُوا۟ عَلَيْهَا قَدْ أَحَاطَ ٱللَّهُ بِهَا ۚ وَكَانَ ٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرًا','verse_number' => '21','verse_key' => '48:21','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4605','chapter_id' => '48','arabic_name' => 'وَلَوْ قَـٰتَلَكُمُ ٱلَّذِينَ كَفَرُوا۟ لَوَلَّوُا۟ ٱلْأَدْبَـٰرَ ثُمَّ لَا يَجِدُونَ وَلِيًّا وَلَا نَصِيرًا','verse_number' => '22','verse_key' => '48:22','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4606','chapter_id' => '48','arabic_name' => 'سُنَّةَ ٱللَّهِ ٱلَّتِى قَدْ خَلَتْ مِن قَبْلُ ۖ وَلَن تَجِدَ لِسُنَّةِ ٱللَّهِ تَبْدِيلًا','verse_number' => '23','verse_key' => '48:23','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '513','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4607','chapter_id' => '48','arabic_name' => 'وَهُوَ ٱلَّذِى كَفَّ أَيْدِيَهُمْ عَنكُمْ وَأَيْدِيَكُمْ عَنْهُم بِبَطْنِ مَكَّةَ مِنۢ بَعْدِ أَنْ أَظْفَرَكُمْ عَلَيْهِمْ ۚ وَكَانَ ٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرًا','verse_number' => '24','verse_key' => '48:24','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '514','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4608','chapter_id' => '48','arabic_name' => 'هُمُ ٱلَّذِينَ كَفَرُوا۟ وَصَدُّوكُمْ عَنِ ٱلْمَسْجِدِ ٱلْحَرَامِ وَٱلْهَدْىَ مَعْكُوفًا أَن يَبْلُغَ مَحِلَّهُۥ ۚ وَلَوْلَا رِجَالٌ مُّؤْمِنُونَ وَنِسَآءٌ مُّؤْمِنَـٰتٌ لَّمْ تَعْلَمُوهُمْ أَن تَطَـُٔوهُمْ فَتُصِيبَكُم مِّنْهُم مَّعَرَّةٌۢ بِغَيْرِ عِلْمٍ ۖ لِّيُدْخِلَ ٱللَّهُ فِى رَحْمَتِهِۦ مَن يَشَآءُ ۚ لَوْ تَزَيَّلُوا۟ لَعَذَّبْنَا ٱلَّذِينَ كَفَرُوا۟ مِنْهُمْ عَذَابًا أَلِيمًا','verse_number' => '25','verse_key' => '48:25','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '514','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4609','chapter_id' => '48','arabic_name' => 'إِذْ جَعَلَ ٱلَّذِينَ كَفَرُوا۟ فِى قُلُوبِهِمُ ٱلْحَمِيَّةَ حَمِيَّةَ ٱلْجَـٰهِلِيَّةِ فَأَنزَلَ ٱللَّهُ سَكِينَتَهُۥ عَلَىٰ رَسُولِهِۦ وَعَلَى ٱلْمُؤْمِنِينَ وَأَلْزَمَهُمْ كَلِمَةَ ٱلتَّقْوَىٰ وَكَانُوٓا۟ أَحَقَّ بِهَا وَأَهْلَهَا ۚ وَكَانَ ٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمًا','verse_number' => '26','verse_key' => '48:26','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '450','manzil_number' => '6','sajdah_number' => '0','page_number' => '514','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4610','chapter_id' => '48','arabic_name' => 'لَّقَدْ صَدَقَ ٱللَّهُ رَسُولَهُ ٱلرُّءْيَا بِٱلْحَقِّ ۖ لَتَدْخُلُنَّ ٱلْمَسْجِدَ ٱلْحَرَامَ إِن شَآءَ ٱللَّهُ ءَامِنِينَ مُحَلِّقِينَ رُءُوسَكُمْ وَمُقَصِّرِينَ لَا تَخَافُونَ ۖ فَعَلِمَ مَا لَمْ تَعْلَمُوا۟ فَجَعَلَ مِن دُونِ ذَٰلِكَ فَتْحًا قَرِيبًا','verse_number' => '27','verse_key' => '48:27','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '451','manzil_number' => '6','sajdah_number' => '0','page_number' => '514','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4611','chapter_id' => '48','arabic_name' => 'هُوَ ٱلَّذِىٓ أَرْسَلَ رَسُولَهُۥ بِٱلْهُدَىٰ وَدِينِ ٱلْحَقِّ لِيُظْهِرَهُۥ عَلَى ٱلدِّينِ كُلِّهِۦ ۚ وَكَفَىٰ بِٱللَّهِ شَهِيدًا','verse_number' => '28','verse_key' => '48:28','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '451','manzil_number' => '6','sajdah_number' => '0','page_number' => '514','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4612','chapter_id' => '48','arabic_name' => 'مُّحَمَّدٌ رَّسُولُ ٱللَّهِ ۚ وَٱلَّذِينَ مَعَهُۥٓ أَشِدَّآءُ عَلَى ٱلْكُفَّارِ رُحَمَآءُ بَيْنَهُمْ ۖ تَرَىٰهُمْ رُكَّعًا سُجَّدًا يَبْتَغُونَ فَضْلًا مِّنَ ٱللَّهِ وَرِضْوَٰنًا ۖ سِيمَاهُمْ فِى وُجُوهِهِم مِّنْ أَثَرِ ٱلسُّجُودِ ۚ ذَٰلِكَ مَثَلُهُمْ فِى ٱلتَّوْرَىٰةِ ۚ وَمَثَلُهُمْ فِى ٱلْإِنجِيلِ كَزَرْعٍ أَخْرَجَ شَطْـَٔهُۥ فَـَٔازَرَهُۥ فَٱسْتَغْلَظَ فَٱسْتَوَىٰ عَلَىٰ سُوقِهِۦ يُعْجِبُ ٱلزُّرَّاعَ لِيَغِيظَ بِهِمُ ٱلْكُفَّارَ ۗ وَعَدَ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ مِنْهُم مَّغْفِرَةً وَأَجْرًا عَظِيمًۢا','verse_number' => '29','verse_key' => '48:29','hizb_number' => '52','rub_el_hizb_number' => '205','ruku_number' => '451','manzil_number' => '6','sajdah_number' => '0','page_number' => '515','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4613','chapter_id' => '49','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُقَدِّمُوا۟ بَيْنَ يَدَىِ ٱللَّهِ وَرَسُولِهِۦ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ سَمِيعٌ عَلِيمٌ','verse_number' => '1','verse_key' => '49:1','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '515','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4614','chapter_id' => '49','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَرْفَعُوٓا۟ أَصْوَٰتَكُمْ فَوْقَ صَوْتِ ٱلنَّبِىِّ وَلَا تَجْهَرُوا۟ لَهُۥ بِٱلْقَوْلِ كَجَهْرِ بَعْضِكُمْ لِبَعْضٍ أَن تَحْبَطَ أَعْمَـٰلُكُمْ وَأَنتُمْ لَا تَشْعُرُونَ','verse_number' => '2','verse_key' => '49:2','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '515','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4615','chapter_id' => '49','arabic_name' => 'إِنَّ ٱلَّذِينَ يَغُضُّونَ أَصْوَٰتَهُمْ عِندَ رَسُولِ ٱللَّهِ أُو۟لَـٰٓئِكَ ٱلَّذِينَ ٱمْتَحَنَ ٱللَّهُ قُلُوبَهُمْ لِلتَّقْوَىٰ ۚ لَهُم مَّغْفِرَةٌ وَأَجْرٌ عَظِيمٌ','verse_number' => '3','verse_key' => '49:3','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '515','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4616','chapter_id' => '49','arabic_name' => 'إِنَّ ٱلَّذِينَ يُنَادُونَكَ مِن وَرَآءِ ٱلْحُجُرَٰتِ أَكْثَرُهُمْ لَا يَعْقِلُونَ','verse_number' => '4','verse_key' => '49:4','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '515','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4617','chapter_id' => '49','arabic_name' => 'وَلَوْ أَنَّهُمْ صَبَرُوا۟ حَتَّىٰ تَخْرُجَ إِلَيْهِمْ لَكَانَ خَيْرًا لَّهُمْ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '5','verse_key' => '49:5','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '516','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4618','chapter_id' => '49','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِن جَآءَكُمْ فَاسِقٌۢ بِنَبَإٍ فَتَبَيَّنُوٓا۟ أَن تُصِيبُوا۟ قَوْمًۢا بِجَهَـٰلَةٍ فَتُصْبِحُوا۟ عَلَىٰ مَا فَعَلْتُمْ نَـٰدِمِينَ','verse_number' => '6','verse_key' => '49:6','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '516','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4619','chapter_id' => '49','arabic_name' => 'وَٱعْلَمُوٓا۟ أَنَّ فِيكُمْ رَسُولَ ٱللَّهِ ۚ لَوْ يُطِيعُكُمْ فِى كَثِيرٍ مِّنَ ٱلْأَمْرِ لَعَنِتُّمْ وَلَـٰكِنَّ ٱللَّهَ حَبَّبَ إِلَيْكُمُ ٱلْإِيمَـٰنَ وَزَيَّنَهُۥ فِى قُلُوبِكُمْ وَكَرَّهَ إِلَيْكُمُ ٱلْكُفْرَ وَٱلْفُسُوقَ وَٱلْعِصْيَانَ ۚ أُو۟لَـٰٓئِكَ هُمُ ٱلرَّٰشِدُونَ','verse_number' => '7','verse_key' => '49:7','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '516','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4620','chapter_id' => '49','arabic_name' => 'فَضْلًا مِّنَ ٱللَّهِ وَنِعْمَةً ۚ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '8','verse_key' => '49:8','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '516','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4621','chapter_id' => '49','arabic_name' => 'وَإِن طَآئِفَتَانِ مِنَ ٱلْمُؤْمِنِينَ ٱقْتَتَلُوا۟ فَأَصْلِحُوا۟ بَيْنَهُمَا ۖ فَإِنۢ بَغَتْ إِحْدَىٰهُمَا عَلَى ٱلْأُخْرَىٰ فَقَـٰتِلُوا۟ ٱلَّتِى تَبْغِى حَتَّىٰ تَفِىٓءَ إِلَىٰٓ أَمْرِ ٱللَّهِ ۚ فَإِن فَآءَتْ فَأَصْلِحُوا۟ بَيْنَهُمَا بِٱلْعَدْلِ وَأَقْسِطُوٓا۟ ۖ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُقْسِطِينَ','verse_number' => '9','verse_key' => '49:9','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '516','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4622','chapter_id' => '49','arabic_name' => 'إِنَّمَا ٱلْمُؤْمِنُونَ إِخْوَةٌ فَأَصْلِحُوا۟ بَيْنَ أَخَوَيْكُمْ ۚ وَٱتَّقُوا۟ ٱللَّهَ لَعَلَّكُمْ تُرْحَمُونَ','verse_number' => '10','verse_key' => '49:10','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '452','manzil_number' => '6','sajdah_number' => '0','page_number' => '516','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4623','chapter_id' => '49','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا يَسْخَرْ قَوْمٌ مِّن قَوْمٍ عَسَىٰٓ أَن يَكُونُوا۟ خَيْرًا مِّنْهُمْ وَلَا نِسَآءٌ مِّن نِّسَآءٍ عَسَىٰٓ أَن يَكُنَّ خَيْرًا مِّنْهُنَّ ۖ وَلَا تَلْمِزُوٓا۟ أَنفُسَكُمْ وَلَا تَنَابَزُوا۟ بِٱلْأَلْقَـٰبِ ۖ بِئْسَ ٱلِٱسْمُ ٱلْفُسُوقُ بَعْدَ ٱلْإِيمَـٰنِ ۚ وَمَن لَّمْ يَتُبْ فَأُو۟لَـٰٓئِكَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '11','verse_key' => '49:11','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '516','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4624','chapter_id' => '49','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱجْتَنِبُوا۟ كَثِيرًا مِّنَ ٱلظَّنِّ إِنَّ بَعْضَ ٱلظَّنِّ إِثْمٌ ۖ وَلَا تَجَسَّسُوا۟ وَلَا يَغْتَب بَّعْضُكُم بَعْضًا ۚ أَيُحِبُّ أَحَدُكُمْ أَن يَأْكُلَ لَحْمَ أَخِيهِ مَيْتًا فَكَرِهْتُمُوهُ ۚ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ تَوَّابٌ رَّحِيمٌ','verse_number' => '12','verse_key' => '49:12','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '517','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4625','chapter_id' => '49','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّاسُ إِنَّا خَلَقْنَـٰكُم مِّن ذَكَرٍ وَأُنثَىٰ وَجَعَلْنَـٰكُمْ شُعُوبًا وَقَبَآئِلَ لِتَعَارَفُوٓا۟ ۚ إِنَّ أَكْرَمَكُمْ عِندَ ٱللَّهِ أَتْقَىٰكُمْ ۚ إِنَّ ٱللَّهَ عَلِيمٌ خَبِيرٌ','verse_number' => '13','verse_key' => '49:13','hizb_number' => '52','rub_el_hizb_number' => '206','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '517','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4626','chapter_id' => '49','arabic_name' => '۞ قَالَتِ ٱلْأَعْرَابُ ءَامَنَّا ۖ قُل لَّمْ تُؤْمِنُوا۟ وَلَـٰكِن قُولُوٓا۟ أَسْلَمْنَا وَلَمَّا يَدْخُلِ ٱلْإِيمَـٰنُ فِى قُلُوبِكُمْ ۖ وَإِن تُطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ لَا يَلِتْكُم مِّنْ أَعْمَـٰلِكُمْ شَيْـًٔا ۚ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '14','verse_key' => '49:14','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '517','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4627','chapter_id' => '49','arabic_name' => 'إِنَّمَا ٱلْمُؤْمِنُونَ ٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ ثُمَّ لَمْ يَرْتَابُوا۟ وَجَـٰهَدُوا۟ بِأَمْوَٰلِهِمْ وَأَنفُسِهِمْ فِى سَبِيلِ ٱللَّهِ ۚ أُو۟لَـٰٓئِكَ هُمُ ٱلصَّـٰدِقُونَ','verse_number' => '15','verse_key' => '49:15','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '517','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4628','chapter_id' => '49','arabic_name' => 'قُلْ أَتُعَلِّمُونَ ٱللَّهَ بِدِينِكُمْ وَٱللَّهُ يَعْلَمُ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۚ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '16','verse_key' => '49:16','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '517','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4629','chapter_id' => '49','arabic_name' => 'يَمُنُّونَ عَلَيْكَ أَنْ أَسْلَمُوا۟ ۖ قُل لَّا تَمُنُّوا۟ عَلَىَّ إِسْلَـٰمَكُم ۖ بَلِ ٱللَّهُ يَمُنُّ عَلَيْكُمْ أَنْ هَدَىٰكُمْ لِلْإِيمَـٰنِ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '17','verse_key' => '49:17','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '517','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4630','chapter_id' => '49','arabic_name' => 'إِنَّ ٱللَّهَ يَعْلَمُ غَيْبَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَٱللَّهُ بَصِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '18','verse_key' => '49:18','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '453','manzil_number' => '6','sajdah_number' => '0','page_number' => '517','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4631','chapter_id' => '50','arabic_name' => 'قٓ ۚ وَٱلْقُرْءَانِ ٱلْمَجِيدِ','verse_number' => '1','verse_key' => '50:1','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4632','chapter_id' => '50','arabic_name' => 'بَلْ عَجِبُوٓا۟ أَن جَآءَهُم مُّنذِرٌ مِّنْهُمْ فَقَالَ ٱلْكَـٰفِرُونَ هَـٰذَا شَىْءٌ عَجِيبٌ','verse_number' => '2','verse_key' => '50:2','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4633','chapter_id' => '50','arabic_name' => 'أَءِذَا مِتْنَا وَكُنَّا تُرَابًا ۖ ذَٰلِكَ رَجْعٌۢ بَعِيدٌ','verse_number' => '3','verse_key' => '50:3','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4634','chapter_id' => '50','arabic_name' => 'قَدْ عَلِمْنَا مَا تَنقُصُ ٱلْأَرْضُ مِنْهُمْ ۖ وَعِندَنَا كِتَـٰبٌ حَفِيظٌۢ','verse_number' => '4','verse_key' => '50:4','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4635','chapter_id' => '50','arabic_name' => 'بَلْ كَذَّبُوا۟ بِٱلْحَقِّ لَمَّا جَآءَهُمْ فَهُمْ فِىٓ أَمْرٍ مَّرِيجٍ','verse_number' => '5','verse_key' => '50:5','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4636','chapter_id' => '50','arabic_name' => 'أَفَلَمْ يَنظُرُوٓا۟ إِلَى ٱلسَّمَآءِ فَوْقَهُمْ كَيْفَ بَنَيْنَـٰهَا وَزَيَّنَّـٰهَا وَمَا لَهَا مِن فُرُوجٍ','verse_number' => '6','verse_key' => '50:6','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4637','chapter_id' => '50','arabic_name' => 'وَٱلْأَرْضَ مَدَدْنَـٰهَا وَأَلْقَيْنَا فِيهَا رَوَٰسِىَ وَأَنۢبَتْنَا فِيهَا مِن كُلِّ زَوْجٍۭ بَهِيجٍ','verse_number' => '7','verse_key' => '50:7','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4638','chapter_id' => '50','arabic_name' => 'تَبْصِرَةً وَذِكْرَىٰ لِكُلِّ عَبْدٍ مُّنِيبٍ','verse_number' => '8','verse_key' => '50:8','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4639','chapter_id' => '50','arabic_name' => 'وَنَزَّلْنَا مِنَ ٱلسَّمَآءِ مَآءً مُّبَـٰرَكًا فَأَنۢبَتْنَا بِهِۦ جَنَّـٰتٍ وَحَبَّ ٱلْحَصِيدِ','verse_number' => '9','verse_key' => '50:9','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4640','chapter_id' => '50','arabic_name' => 'وَٱلنَّخْلَ بَاسِقَـٰتٍ لَّهَا طَلْعٌ نَّضِيدٌ','verse_number' => '10','verse_key' => '50:10','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4641','chapter_id' => '50','arabic_name' => 'رِّزْقًا لِّلْعِبَادِ ۖ وَأَحْيَيْنَا بِهِۦ بَلْدَةً مَّيْتًا ۚ كَذَٰلِكَ ٱلْخُرُوجُ','verse_number' => '11','verse_key' => '50:11','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4642','chapter_id' => '50','arabic_name' => 'كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍ وَأَصْحَـٰبُ ٱلرَّسِّ وَثَمُودُ','verse_number' => '12','verse_key' => '50:12','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4643','chapter_id' => '50','arabic_name' => 'وَعَادٌ وَفِرْعَوْنُ وَإِخْوَٰنُ لُوطٍ','verse_number' => '13','verse_key' => '50:13','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4644','chapter_id' => '50','arabic_name' => 'وَأَصْحَـٰبُ ٱلْأَيْكَةِ وَقَوْمُ تُبَّعٍ ۚ كُلٌّ كَذَّبَ ٱلرُّسُلَ فَحَقَّ وَعِيدِ','verse_number' => '14','verse_key' => '50:14','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4645','chapter_id' => '50','arabic_name' => 'أَفَعَيِينَا بِٱلْخَلْقِ ٱلْأَوَّلِ ۚ بَلْ هُمْ فِى لَبْسٍ مِّنْ خَلْقٍ جَدِيدٍ','verse_number' => '15','verse_key' => '50:15','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '454','manzil_number' => '7','sajdah_number' => '0','page_number' => '518','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4646','chapter_id' => '50','arabic_name' => 'وَلَقَدْ خَلَقْنَا ٱلْإِنسَـٰنَ وَنَعْلَمُ مَا تُوَسْوِسُ بِهِۦ نَفْسُهُۥ ۖ وَنَحْنُ أَقْرَبُ إِلَيْهِ مِنْ حَبْلِ ٱلْوَرِيدِ','verse_number' => '16','verse_key' => '50:16','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4647','chapter_id' => '50','arabic_name' => 'إِذْ يَتَلَقَّى ٱلْمُتَلَقِّيَانِ عَنِ ٱلْيَمِينِ وَعَنِ ٱلشِّمَالِ قَعِيدٌ','verse_number' => '17','verse_key' => '50:17','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4648','chapter_id' => '50','arabic_name' => 'مَّا يَلْفِظُ مِن قَوْلٍ إِلَّا لَدَيْهِ رَقِيبٌ عَتِيدٌ','verse_number' => '18','verse_key' => '50:18','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4649','chapter_id' => '50','arabic_name' => 'وَجَآءَتْ سَكْرَةُ ٱلْمَوْتِ بِٱلْحَقِّ ۖ ذَٰلِكَ مَا كُنتَ مِنْهُ تَحِيدُ','verse_number' => '19','verse_key' => '50:19','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4650','chapter_id' => '50','arabic_name' => 'وَنُفِخَ فِى ٱلصُّورِ ۚ ذَٰلِكَ يَوْمُ ٱلْوَعِيدِ','verse_number' => '20','verse_key' => '50:20','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4651','chapter_id' => '50','arabic_name' => 'وَجَآءَتْ كُلُّ نَفْسٍ مَّعَهَا سَآئِقٌ وَشَهِيدٌ','verse_number' => '21','verse_key' => '50:21','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4652','chapter_id' => '50','arabic_name' => 'لَّقَدْ كُنتَ فِى غَفْلَةٍ مِّنْ هَـٰذَا فَكَشَفْنَا عَنكَ غِطَآءَكَ فَبَصَرُكَ ٱلْيَوْمَ حَدِيدٌ','verse_number' => '22','verse_key' => '50:22','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4653','chapter_id' => '50','arabic_name' => 'وَقَالَ قَرِينُهُۥ هَـٰذَا مَا لَدَىَّ عَتِيدٌ','verse_number' => '23','verse_key' => '50:23','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4654','chapter_id' => '50','arabic_name' => 'أَلْقِيَا فِى جَهَنَّمَ كُلَّ كَفَّارٍ عَنِيدٍ','verse_number' => '24','verse_key' => '50:24','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4655','chapter_id' => '50','arabic_name' => 'مَّنَّاعٍ لِّلْخَيْرِ مُعْتَدٍ مُّرِيبٍ','verse_number' => '25','verse_key' => '50:25','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4656','chapter_id' => '50','arabic_name' => 'ٱلَّذِى جَعَلَ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ فَأَلْقِيَاهُ فِى ٱلْعَذَابِ ٱلشَّدِيدِ','verse_number' => '26','verse_key' => '50:26','hizb_number' => '52','rub_el_hizb_number' => '207','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4657','chapter_id' => '50','arabic_name' => '۞ قَالَ قَرِينُهُۥ رَبَّنَا مَآ أَطْغَيْتُهُۥ وَلَـٰكِن كَانَ فِى ضَلَـٰلٍۭ بَعِيدٍ','verse_number' => '27','verse_key' => '50:27','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4658','chapter_id' => '50','arabic_name' => 'قَالَ لَا تَخْتَصِمُوا۟ لَدَىَّ وَقَدْ قَدَّمْتُ إِلَيْكُم بِٱلْوَعِيدِ','verse_number' => '28','verse_key' => '50:28','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4659','chapter_id' => '50','arabic_name' => 'مَا يُبَدَّلُ ٱلْقَوْلُ لَدَىَّ وَمَآ أَنَا۠ بِظَلَّـٰمٍ لِّلْعَبِيدِ','verse_number' => '29','verse_key' => '50:29','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '455','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4660','chapter_id' => '50','arabic_name' => 'يَوْمَ نَقُولُ لِجَهَنَّمَ هَلِ ٱمْتَلَأْتِ وَتَقُولُ هَلْ مِن مَّزِيدٍ','verse_number' => '30','verse_key' => '50:30','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4661','chapter_id' => '50','arabic_name' => 'وَأُزْلِفَتِ ٱلْجَنَّةُ لِلْمُتَّقِينَ غَيْرَ بَعِيدٍ','verse_number' => '31','verse_key' => '50:31','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4662','chapter_id' => '50','arabic_name' => 'هَـٰذَا مَا تُوعَدُونَ لِكُلِّ أَوَّابٍ حَفِيظٍ','verse_number' => '32','verse_key' => '50:32','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4663','chapter_id' => '50','arabic_name' => 'مَّنْ خَشِىَ ٱلرَّحْمَـٰنَ بِٱلْغَيْبِ وَجَآءَ بِقَلْبٍ مُّنِيبٍ','verse_number' => '33','verse_key' => '50:33','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4664','chapter_id' => '50','arabic_name' => 'ٱدْخُلُوهَا بِسَلَـٰمٍ ۖ ذَٰلِكَ يَوْمُ ٱلْخُلُودِ','verse_number' => '34','verse_key' => '50:34','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4665','chapter_id' => '50','arabic_name' => 'لَهُم مَّا يَشَآءُونَ فِيهَا وَلَدَيْنَا مَزِيدٌ','verse_number' => '35','verse_key' => '50:35','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '519','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4666','chapter_id' => '50','arabic_name' => 'وَكَمْ أَهْلَكْنَا قَبْلَهُم مِّن قَرْنٍ هُمْ أَشَدُّ مِنْهُم بَطْشًا فَنَقَّبُوا۟ فِى ٱلْبِلَـٰدِ هَلْ مِن مَّحِيصٍ','verse_number' => '36','verse_key' => '50:36','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4667','chapter_id' => '50','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَذِكْرَىٰ لِمَن كَانَ لَهُۥ قَلْبٌ أَوْ أَلْقَى ٱلسَّمْعَ وَهُوَ شَهِيدٌ','verse_number' => '37','verse_key' => '50:37','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4668','chapter_id' => '50','arabic_name' => 'وَلَقَدْ خَلَقْنَا ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ وَمَا بَيْنَهُمَا فِى سِتَّةِ أَيَّامٍ وَمَا مَسَّنَا مِن لُّغُوبٍ','verse_number' => '38','verse_key' => '50:38','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4669','chapter_id' => '50','arabic_name' => 'فَٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَسَبِّحْ بِحَمْدِ رَبِّكَ قَبْلَ طُلُوعِ ٱلشَّمْسِ وَقَبْلَ ٱلْغُرُوبِ','verse_number' => '39','verse_key' => '50:39','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4670','chapter_id' => '50','arabic_name' => 'وَمِنَ ٱلَّيْلِ فَسَبِّحْهُ وَأَدْبَـٰرَ ٱلسُّجُودِ','verse_number' => '40','verse_key' => '50:40','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4671','chapter_id' => '50','arabic_name' => 'وَٱسْتَمِعْ يَوْمَ يُنَادِ ٱلْمُنَادِ مِن مَّكَانٍ قَرِيبٍ','verse_number' => '41','verse_key' => '50:41','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4672','chapter_id' => '50','arabic_name' => 'يَوْمَ يَسْمَعُونَ ٱلصَّيْحَةَ بِٱلْحَقِّ ۚ ذَٰلِكَ يَوْمُ ٱلْخُرُوجِ','verse_number' => '42','verse_key' => '50:42','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4673','chapter_id' => '50','arabic_name' => 'إِنَّا نَحْنُ نُحْىِۦ وَنُمِيتُ وَإِلَيْنَا ٱلْمَصِيرُ','verse_number' => '43','verse_key' => '50:43','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4674','chapter_id' => '50','arabic_name' => 'يَوْمَ تَشَقَّقُ ٱلْأَرْضُ عَنْهُمْ سِرَاعًا ۚ ذَٰلِكَ حَشْرٌ عَلَيْنَا يَسِيرٌ','verse_number' => '44','verse_key' => '50:44','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4675','chapter_id' => '50','arabic_name' => 'نَّحْنُ أَعْلَمُ بِمَا يَقُولُونَ ۖ وَمَآ أَنتَ عَلَيْهِم بِجَبَّارٍ ۖ فَذَكِّرْ بِٱلْقُرْءَانِ مَن يَخَافُ وَعِيدِ','verse_number' => '45','verse_key' => '50:45','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '456','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4676','chapter_id' => '51','arabic_name' => 'وَٱلذَّٰرِيَـٰتِ ذَرْوًا','verse_number' => '1','verse_key' => '51:1','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4677','chapter_id' => '51','arabic_name' => 'فَٱلْحَـٰمِلَـٰتِ وِقْرًا','verse_number' => '2','verse_key' => '51:2','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4678','chapter_id' => '51','arabic_name' => 'فَٱلْجَـٰرِيَـٰتِ يُسْرًا','verse_number' => '3','verse_key' => '51:3','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4679','chapter_id' => '51','arabic_name' => 'فَٱلْمُقَسِّمَـٰتِ أَمْرًا','verse_number' => '4','verse_key' => '51:4','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4680','chapter_id' => '51','arabic_name' => 'إِنَّمَا تُوعَدُونَ لَصَادِقٌ','verse_number' => '5','verse_key' => '51:5','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4681','chapter_id' => '51','arabic_name' => 'وَإِنَّ ٱلدِّينَ لَوَٰقِعٌ','verse_number' => '6','verse_key' => '51:6','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '520','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4682','chapter_id' => '51','arabic_name' => 'وَٱلسَّمَآءِ ذَاتِ ٱلْحُبُكِ','verse_number' => '7','verse_key' => '51:7','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4683','chapter_id' => '51','arabic_name' => 'إِنَّكُمْ لَفِى قَوْلٍ مُّخْتَلِفٍ','verse_number' => '8','verse_key' => '51:8','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4684','chapter_id' => '51','arabic_name' => 'يُؤْفَكُ عَنْهُ مَنْ أُفِكَ','verse_number' => '9','verse_key' => '51:9','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4685','chapter_id' => '51','arabic_name' => 'قُتِلَ ٱلْخَرَّٰصُونَ','verse_number' => '10','verse_key' => '51:10','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4686','chapter_id' => '51','arabic_name' => 'ٱلَّذِينَ هُمْ فِى غَمْرَةٍ سَاهُونَ','verse_number' => '11','verse_key' => '51:11','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4687','chapter_id' => '51','arabic_name' => 'يَسْـَٔلُونَ أَيَّانَ يَوْمُ ٱلدِّينِ','verse_number' => '12','verse_key' => '51:12','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4688','chapter_id' => '51','arabic_name' => 'يَوْمَ هُمْ عَلَى ٱلنَّارِ يُفْتَنُونَ','verse_number' => '13','verse_key' => '51:13','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4689','chapter_id' => '51','arabic_name' => 'ذُوقُوا۟ فِتْنَتَكُمْ هَـٰذَا ٱلَّذِى كُنتُم بِهِۦ تَسْتَعْجِلُونَ','verse_number' => '14','verse_key' => '51:14','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4690','chapter_id' => '51','arabic_name' => 'إِنَّ ٱلْمُتَّقِينَ فِى جَنَّـٰتٍ وَعُيُونٍ','verse_number' => '15','verse_key' => '51:15','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4691','chapter_id' => '51','arabic_name' => 'ءَاخِذِينَ مَآ ءَاتَىٰهُمْ رَبُّهُمْ ۚ إِنَّهُمْ كَانُوا۟ قَبْلَ ذَٰلِكَ مُحْسِنِينَ','verse_number' => '16','verse_key' => '51:16','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4692','chapter_id' => '51','arabic_name' => 'كَانُوا۟ قَلِيلًا مِّنَ ٱلَّيْلِ مَا يَهْجَعُونَ','verse_number' => '17','verse_key' => '51:17','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4693','chapter_id' => '51','arabic_name' => 'وَبِٱلْأَسْحَارِ هُمْ يَسْتَغْفِرُونَ','verse_number' => '18','verse_key' => '51:18','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4694','chapter_id' => '51','arabic_name' => 'وَفِىٓ أَمْوَٰلِهِمْ حَقٌّ لِّلسَّآئِلِ وَٱلْمَحْرُومِ','verse_number' => '19','verse_key' => '51:19','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4695','chapter_id' => '51','arabic_name' => 'وَفِى ٱلْأَرْضِ ءَايَـٰتٌ لِّلْمُوقِنِينَ','verse_number' => '20','verse_key' => '51:20','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4696','chapter_id' => '51','arabic_name' => 'وَفِىٓ أَنفُسِكُمْ ۚ أَفَلَا تُبْصِرُونَ','verse_number' => '21','verse_key' => '51:21','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4697','chapter_id' => '51','arabic_name' => 'وَفِى ٱلسَّمَآءِ رِزْقُكُمْ وَمَا تُوعَدُونَ','verse_number' => '22','verse_key' => '51:22','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4698','chapter_id' => '51','arabic_name' => 'فَوَرَبِّ ٱلسَّمَآءِ وَٱلْأَرْضِ إِنَّهُۥ لَحَقٌّ مِّثْلَ مَآ أَنَّكُمْ تَنطِقُونَ','verse_number' => '23','verse_key' => '51:23','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '457','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4699','chapter_id' => '51','arabic_name' => 'هَلْ أَتَىٰكَ حَدِيثُ ضَيْفِ إِبْرَٰهِيمَ ٱلْمُكْرَمِينَ','verse_number' => '24','verse_key' => '51:24','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4700','chapter_id' => '51','arabic_name' => 'إِذْ دَخَلُوا۟ عَلَيْهِ فَقَالُوا۟ سَلَـٰمًا ۖ قَالَ سَلَـٰمٌ قَوْمٌ مُّنكَرُونَ','verse_number' => '25','verse_key' => '51:25','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4701','chapter_id' => '51','arabic_name' => 'فَرَاغَ إِلَىٰٓ أَهْلِهِۦ فَجَآءَ بِعِجْلٍ سَمِينٍ','verse_number' => '26','verse_key' => '51:26','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4702','chapter_id' => '51','arabic_name' => 'فَقَرَّبَهُۥٓ إِلَيْهِمْ قَالَ أَلَا تَأْكُلُونَ','verse_number' => '27','verse_key' => '51:27','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4703','chapter_id' => '51','arabic_name' => 'فَأَوْجَسَ مِنْهُمْ خِيفَةً ۖ قَالُوا۟ لَا تَخَفْ ۖ وَبَشَّرُوهُ بِغُلَـٰمٍ عَلِيمٍ','verse_number' => '28','verse_key' => '51:28','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4704','chapter_id' => '51','arabic_name' => 'فَأَقْبَلَتِ ٱمْرَأَتُهُۥ فِى صَرَّةٍ فَصَكَّتْ وَجْهَهَا وَقَالَتْ عَجُوزٌ عَقِيمٌ','verse_number' => '29','verse_key' => '51:29','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4705','chapter_id' => '51','arabic_name' => 'قَالُوا۟ كَذَٰلِكِ قَالَ رَبُّكِ ۖ إِنَّهُۥ هُوَ ٱلْحَكِيمُ ٱلْعَلِيمُ','verse_number' => '30','verse_key' => '51:30','hizb_number' => '52','rub_el_hizb_number' => '208','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '521','juz_number' => '26','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4706','chapter_id' => '51','arabic_name' => '۞ قَالَ فَمَا خَطْبُكُمْ أَيُّهَا ٱلْمُرْسَلُونَ','verse_number' => '31','verse_key' => '51:31','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4707','chapter_id' => '51','arabic_name' => 'قَالُوٓا۟ إِنَّآ أُرْسِلْنَآ إِلَىٰ قَوْمٍ مُّجْرِمِينَ','verse_number' => '32','verse_key' => '51:32','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4708','chapter_id' => '51','arabic_name' => 'لِنُرْسِلَ عَلَيْهِمْ حِجَارَةً مِّن طِينٍ','verse_number' => '33','verse_key' => '51:33','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4709','chapter_id' => '51','arabic_name' => 'مُّسَوَّمَةً عِندَ رَبِّكَ لِلْمُسْرِفِينَ','verse_number' => '34','verse_key' => '51:34','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4710','chapter_id' => '51','arabic_name' => 'فَأَخْرَجْنَا مَن كَانَ فِيهَا مِنَ ٱلْمُؤْمِنِينَ','verse_number' => '35','verse_key' => '51:35','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4711','chapter_id' => '51','arabic_name' => 'فَمَا وَجَدْنَا فِيهَا غَيْرَ بَيْتٍ مِّنَ ٱلْمُسْلِمِينَ','verse_number' => '36','verse_key' => '51:36','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4712','chapter_id' => '51','arabic_name' => 'وَتَرَكْنَا فِيهَآ ءَايَةً لِّلَّذِينَ يَخَافُونَ ٱلْعَذَابَ ٱلْأَلِيمَ','verse_number' => '37','verse_key' => '51:37','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4713','chapter_id' => '51','arabic_name' => 'وَفِى مُوسَىٰٓ إِذْ أَرْسَلْنَـٰهُ إِلَىٰ فِرْعَوْنَ بِسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '38','verse_key' => '51:38','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4714','chapter_id' => '51','arabic_name' => 'فَتَوَلَّىٰ بِرُكْنِهِۦ وَقَالَ سَـٰحِرٌ أَوْ مَجْنُونٌ','verse_number' => '39','verse_key' => '51:39','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4715','chapter_id' => '51','arabic_name' => 'فَأَخَذْنَـٰهُ وَجُنُودَهُۥ فَنَبَذْنَـٰهُمْ فِى ٱلْيَمِّ وَهُوَ مُلِيمٌ','verse_number' => '40','verse_key' => '51:40','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4716','chapter_id' => '51','arabic_name' => 'وَفِى عَادٍ إِذْ أَرْسَلْنَا عَلَيْهِمُ ٱلرِّيحَ ٱلْعَقِيمَ','verse_number' => '41','verse_key' => '51:41','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4717','chapter_id' => '51','arabic_name' => 'مَا تَذَرُ مِن شَىْءٍ أَتَتْ عَلَيْهِ إِلَّا جَعَلَتْهُ كَٱلرَّمِيمِ','verse_number' => '42','verse_key' => '51:42','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4718','chapter_id' => '51','arabic_name' => 'وَفِى ثَمُودَ إِذْ قِيلَ لَهُمْ تَمَتَّعُوا۟ حَتَّىٰ حِينٍ','verse_number' => '43','verse_key' => '51:43','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4719','chapter_id' => '51','arabic_name' => 'فَعَتَوْا۟ عَنْ أَمْرِ رَبِّهِمْ فَأَخَذَتْهُمُ ٱلصَّـٰعِقَةُ وَهُمْ يَنظُرُونَ','verse_number' => '44','verse_key' => '51:44','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4720','chapter_id' => '51','arabic_name' => 'فَمَا ٱسْتَطَـٰعُوا۟ مِن قِيَامٍ وَمَا كَانُوا۟ مُنتَصِرِينَ','verse_number' => '45','verse_key' => '51:45','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4721','chapter_id' => '51','arabic_name' => 'وَقَوْمَ نُوحٍ مِّن قَبْلُ ۖ إِنَّهُمْ كَانُوا۟ قَوْمًا فَـٰسِقِينَ','verse_number' => '46','verse_key' => '51:46','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '458','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4722','chapter_id' => '51','arabic_name' => 'وَٱلسَّمَآءَ بَنَيْنَـٰهَا بِأَيْي۟دٍ وَإِنَّا لَمُوسِعُونَ','verse_number' => '47','verse_key' => '51:47','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4723','chapter_id' => '51','arabic_name' => 'وَٱلْأَرْضَ فَرَشْنَـٰهَا فَنِعْمَ ٱلْمَـٰهِدُونَ','verse_number' => '48','verse_key' => '51:48','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4724','chapter_id' => '51','arabic_name' => 'وَمِن كُلِّ شَىْءٍ خَلَقْنَا زَوْجَيْنِ لَعَلَّكُمْ تَذَكَّرُونَ','verse_number' => '49','verse_key' => '51:49','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4725','chapter_id' => '51','arabic_name' => 'فَفِرُّوٓا۟ إِلَى ٱللَّهِ ۖ إِنِّى لَكُم مِّنْهُ نَذِيرٌ مُّبِينٌ','verse_number' => '50','verse_key' => '51:50','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4726','chapter_id' => '51','arabic_name' => 'وَلَا تَجْعَلُوا۟ مَعَ ٱللَّهِ إِلَـٰهًا ءَاخَرَ ۖ إِنِّى لَكُم مِّنْهُ نَذِيرٌ مُّبِينٌ','verse_number' => '51','verse_key' => '51:51','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '522','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4727','chapter_id' => '51','arabic_name' => 'كَذَٰلِكَ مَآ أَتَى ٱلَّذِينَ مِن قَبْلِهِم مِّن رَّسُولٍ إِلَّا قَالُوا۟ سَاحِرٌ أَوْ مَجْنُونٌ','verse_number' => '52','verse_key' => '51:52','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4728','chapter_id' => '51','arabic_name' => 'أَتَوَاصَوْا۟ بِهِۦ ۚ بَلْ هُمْ قَوْمٌ طَاغُونَ','verse_number' => '53','verse_key' => '51:53','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4729','chapter_id' => '51','arabic_name' => 'فَتَوَلَّ عَنْهُمْ فَمَآ أَنتَ بِمَلُومٍ','verse_number' => '54','verse_key' => '51:54','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4730','chapter_id' => '51','arabic_name' => 'وَذَكِّرْ فَإِنَّ ٱلذِّكْرَىٰ تَنفَعُ ٱلْمُؤْمِنِينَ','verse_number' => '55','verse_key' => '51:55','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4731','chapter_id' => '51','arabic_name' => 'وَمَا خَلَقْتُ ٱلْجِنَّ وَٱلْإِنسَ إِلَّا لِيَعْبُدُونِ','verse_number' => '56','verse_key' => '51:56','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4732','chapter_id' => '51','arabic_name' => 'مَآ أُرِيدُ مِنْهُم مِّن رِّزْقٍ وَمَآ أُرِيدُ أَن يُطْعِمُونِ','verse_number' => '57','verse_key' => '51:57','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4733','chapter_id' => '51','arabic_name' => 'إِنَّ ٱللَّهَ هُوَ ٱلرَّزَّاقُ ذُو ٱلْقُوَّةِ ٱلْمَتِينُ','verse_number' => '58','verse_key' => '51:58','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4734','chapter_id' => '51','arabic_name' => 'فَإِنَّ لِلَّذِينَ ظَلَمُوا۟ ذَنُوبًا مِّثْلَ ذَنُوبِ أَصْحَـٰبِهِمْ فَلَا يَسْتَعْجِلُونِ','verse_number' => '59','verse_key' => '51:59','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4735','chapter_id' => '51','arabic_name' => 'فَوَيْلٌ لِّلَّذِينَ كَفَرُوا۟ مِن يَوْمِهِمُ ٱلَّذِى يُوعَدُونَ','verse_number' => '60','verse_key' => '51:60','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '459','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4736','chapter_id' => '52','arabic_name' => 'وَٱلطُّورِ','verse_number' => '1','verse_key' => '52:1','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4737','chapter_id' => '52','arabic_name' => 'وَكِتَـٰبٍ مَّسْطُورٍ','verse_number' => '2','verse_key' => '52:2','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4738','chapter_id' => '52','arabic_name' => 'فِى رَقٍّ مَّنشُورٍ','verse_number' => '3','verse_key' => '52:3','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4739','chapter_id' => '52','arabic_name' => 'وَٱلْبَيْتِ ٱلْمَعْمُورِ','verse_number' => '4','verse_key' => '52:4','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4740','chapter_id' => '52','arabic_name' => 'وَٱلسَّقْفِ ٱلْمَرْفُوعِ','verse_number' => '5','verse_key' => '52:5','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4741','chapter_id' => '52','arabic_name' => 'وَٱلْبَحْرِ ٱلْمَسْجُورِ','verse_number' => '6','verse_key' => '52:6','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4742','chapter_id' => '52','arabic_name' => 'إِنَّ عَذَابَ رَبِّكَ لَوَٰقِعٌ','verse_number' => '7','verse_key' => '52:7','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4743','chapter_id' => '52','arabic_name' => 'مَّا لَهُۥ مِن دَافِعٍ','verse_number' => '8','verse_key' => '52:8','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4744','chapter_id' => '52','arabic_name' => 'يَوْمَ تَمُورُ ٱلسَّمَآءُ مَوْرًا','verse_number' => '9','verse_key' => '52:9','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4745','chapter_id' => '52','arabic_name' => 'وَتَسِيرُ ٱلْجِبَالُ سَيْرًا','verse_number' => '10','verse_key' => '52:10','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4746','chapter_id' => '52','arabic_name' => 'فَوَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '11','verse_key' => '52:11','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4747','chapter_id' => '52','arabic_name' => 'ٱلَّذِينَ هُمْ فِى خَوْضٍ يَلْعَبُونَ','verse_number' => '12','verse_key' => '52:12','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4748','chapter_id' => '52','arabic_name' => 'يَوْمَ يُدَعُّونَ إِلَىٰ نَارِ جَهَنَّمَ دَعًّا','verse_number' => '13','verse_key' => '52:13','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4749','chapter_id' => '52','arabic_name' => 'هَـٰذِهِ ٱلنَّارُ ٱلَّتِى كُنتُم بِهَا تُكَذِّبُونَ','verse_number' => '14','verse_key' => '52:14','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '523','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4750','chapter_id' => '52','arabic_name' => 'أَفَسِحْرٌ هَـٰذَآ أَمْ أَنتُمْ لَا تُبْصِرُونَ','verse_number' => '15','verse_key' => '52:15','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4751','chapter_id' => '52','arabic_name' => 'ٱصْلَوْهَا فَٱصْبِرُوٓا۟ أَوْ لَا تَصْبِرُوا۟ سَوَآءٌ عَلَيْكُمْ ۖ إِنَّمَا تُجْزَوْنَ مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '16','verse_key' => '52:16','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4752','chapter_id' => '52','arabic_name' => 'إِنَّ ٱلْمُتَّقِينَ فِى جَنَّـٰتٍ وَنَعِيمٍ','verse_number' => '17','verse_key' => '52:17','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4753','chapter_id' => '52','arabic_name' => 'فَـٰكِهِينَ بِمَآ ءَاتَىٰهُمْ رَبُّهُمْ وَوَقَىٰهُمْ رَبُّهُمْ عَذَابَ ٱلْجَحِيمِ','verse_number' => '18','verse_key' => '52:18','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4754','chapter_id' => '52','arabic_name' => 'كُلُوا۟ وَٱشْرَبُوا۟ هَنِيٓـًٔۢا بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '19','verse_key' => '52:19','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4755','chapter_id' => '52','arabic_name' => 'مُتَّكِـِٔينَ عَلَىٰ سُرُرٍ مَّصْفُوفَةٍ ۖ وَزَوَّجْنَـٰهُم بِحُورٍ عِينٍ','verse_number' => '20','verse_key' => '52:20','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4756','chapter_id' => '52','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ وَٱتَّبَعَتْهُمْ ذُرِّيَّتُهُم بِإِيمَـٰنٍ أَلْحَقْنَا بِهِمْ ذُرِّيَّتَهُمْ وَمَآ أَلَتْنَـٰهُم مِّنْ عَمَلِهِم مِّن شَىْءٍ ۚ كُلُّ ٱمْرِئٍۭ بِمَا كَسَبَ رَهِينٌ','verse_number' => '21','verse_key' => '52:21','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4757','chapter_id' => '52','arabic_name' => 'وَأَمْدَدْنَـٰهُم بِفَـٰكِهَةٍ وَلَحْمٍ مِّمَّا يَشْتَهُونَ','verse_number' => '22','verse_key' => '52:22','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4758','chapter_id' => '52','arabic_name' => 'يَتَنَـٰزَعُونَ فِيهَا كَأْسًا لَّا لَغْوٌ فِيهَا وَلَا تَأْثِيمٌ','verse_number' => '23','verse_key' => '52:23','hizb_number' => '53','rub_el_hizb_number' => '209','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4759','chapter_id' => '52','arabic_name' => '۞ وَيَطُوفُ عَلَيْهِمْ غِلْمَانٌ لَّهُمْ كَأَنَّهُمْ لُؤْلُؤٌ مَّكْنُونٌ','verse_number' => '24','verse_key' => '52:24','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4760','chapter_id' => '52','arabic_name' => 'وَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍ يَتَسَآءَلُونَ','verse_number' => '25','verse_key' => '52:25','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4761','chapter_id' => '52','arabic_name' => 'قَالُوٓا۟ إِنَّا كُنَّا قَبْلُ فِىٓ أَهْلِنَا مُشْفِقِينَ','verse_number' => '26','verse_key' => '52:26','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4762','chapter_id' => '52','arabic_name' => 'فَمَنَّ ٱللَّهُ عَلَيْنَا وَوَقَىٰنَا عَذَابَ ٱلسَّمُومِ','verse_number' => '27','verse_key' => '52:27','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4763','chapter_id' => '52','arabic_name' => 'إِنَّا كُنَّا مِن قَبْلُ نَدْعُوهُ ۖ إِنَّهُۥ هُوَ ٱلْبَرُّ ٱلرَّحِيمُ','verse_number' => '28','verse_key' => '52:28','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '460','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4764','chapter_id' => '52','arabic_name' => 'فَذَكِّرْ فَمَآ أَنتَ بِنِعْمَتِ رَبِّكَ بِكَاهِنٍ وَلَا مَجْنُونٍ','verse_number' => '29','verse_key' => '52:29','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4765','chapter_id' => '52','arabic_name' => 'أَمْ يَقُولُونَ شَاعِرٌ نَّتَرَبَّصُ بِهِۦ رَيْبَ ٱلْمَنُونِ','verse_number' => '30','verse_key' => '52:30','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4766','chapter_id' => '52','arabic_name' => 'قُلْ تَرَبَّصُوا۟ فَإِنِّى مَعَكُم مِّنَ ٱلْمُتَرَبِّصِينَ','verse_number' => '31','verse_key' => '52:31','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '524','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4767','chapter_id' => '52','arabic_name' => 'أَمْ تَأْمُرُهُمْ أَحْلَـٰمُهُم بِهَـٰذَآ ۚ أَمْ هُمْ قَوْمٌ طَاغُونَ','verse_number' => '32','verse_key' => '52:32','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4768','chapter_id' => '52','arabic_name' => 'أَمْ يَقُولُونَ تَقَوَّلَهُۥ ۚ بَل لَّا يُؤْمِنُونَ','verse_number' => '33','verse_key' => '52:33','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4769','chapter_id' => '52','arabic_name' => 'فَلْيَأْتُوا۟ بِحَدِيثٍ مِّثْلِهِۦٓ إِن كَانُوا۟ صَـٰدِقِينَ','verse_number' => '34','verse_key' => '52:34','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4770','chapter_id' => '52','arabic_name' => 'أَمْ خُلِقُوا۟ مِنْ غَيْرِ شَىْءٍ أَمْ هُمُ ٱلْخَـٰلِقُونَ','verse_number' => '35','verse_key' => '52:35','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4771','chapter_id' => '52','arabic_name' => 'أَمْ خَلَقُوا۟ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ ۚ بَل لَّا يُوقِنُونَ','verse_number' => '36','verse_key' => '52:36','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4772','chapter_id' => '52','arabic_name' => 'أَمْ عِندَهُمْ خَزَآئِنُ رَبِّكَ أَمْ هُمُ ٱلْمُصَۣيْطِرُونَ','verse_number' => '37','verse_key' => '52:37','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4773','chapter_id' => '52','arabic_name' => 'أَمْ لَهُمْ سُلَّمٌ يَسْتَمِعُونَ فِيهِ ۖ فَلْيَأْتِ مُسْتَمِعُهُم بِسُلْطَـٰنٍ مُّبِينٍ','verse_number' => '38','verse_key' => '52:38','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4774','chapter_id' => '52','arabic_name' => 'أَمْ لَهُ ٱلْبَنَـٰتُ وَلَكُمُ ٱلْبَنُونَ','verse_number' => '39','verse_key' => '52:39','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4775','chapter_id' => '52','arabic_name' => 'أَمْ تَسْـَٔلُهُمْ أَجْرًا فَهُم مِّن مَّغْرَمٍ مُّثْقَلُونَ','verse_number' => '40','verse_key' => '52:40','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4776','chapter_id' => '52','arabic_name' => 'أَمْ عِندَهُمُ ٱلْغَيْبُ فَهُمْ يَكْتُبُونَ','verse_number' => '41','verse_key' => '52:41','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4777','chapter_id' => '52','arabic_name' => 'أَمْ يُرِيدُونَ كَيْدًا ۖ فَٱلَّذِينَ كَفَرُوا۟ هُمُ ٱلْمَكِيدُونَ','verse_number' => '42','verse_key' => '52:42','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4778','chapter_id' => '52','arabic_name' => 'أَمْ لَهُمْ إِلَـٰهٌ غَيْرُ ٱللَّهِ ۚ سُبْحَـٰنَ ٱللَّهِ عَمَّا يُشْرِكُونَ','verse_number' => '43','verse_key' => '52:43','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4779','chapter_id' => '52','arabic_name' => 'وَإِن يَرَوْا۟ كِسْفًا مِّنَ ٱلسَّمَآءِ سَاقِطًا يَقُولُوا۟ سَحَابٌ مَّرْكُومٌ','verse_number' => '44','verse_key' => '52:44','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4780','chapter_id' => '52','arabic_name' => 'فَذَرْهُمْ حَتَّىٰ يُلَـٰقُوا۟ يَوْمَهُمُ ٱلَّذِى فِيهِ يُصْعَقُونَ','verse_number' => '45','verse_key' => '52:45','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4781','chapter_id' => '52','arabic_name' => 'يَوْمَ لَا يُغْنِى عَنْهُمْ كَيْدُهُمْ شَيْـًٔا وَلَا هُمْ يُنصَرُونَ','verse_number' => '46','verse_key' => '52:46','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4782','chapter_id' => '52','arabic_name' => 'وَإِنَّ لِلَّذِينَ ظَلَمُوا۟ عَذَابًا دُونَ ذَٰلِكَ وَلَـٰكِنَّ أَكْثَرَهُمْ لَا يَعْلَمُونَ','verse_number' => '47','verse_key' => '52:47','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4783','chapter_id' => '52','arabic_name' => 'وَٱصْبِرْ لِحُكْمِ رَبِّكَ فَإِنَّكَ بِأَعْيُنِنَا ۖ وَسَبِّحْ بِحَمْدِ رَبِّكَ حِينَ تَقُومُ','verse_number' => '48','verse_key' => '52:48','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4784','chapter_id' => '52','arabic_name' => 'وَمِنَ ٱلَّيْلِ فَسَبِّحْهُ وَإِدْبَـٰرَ ٱلنُّجُومِ','verse_number' => '49','verse_key' => '52:49','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '461','manzil_number' => '7','sajdah_number' => '0','page_number' => '525','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4785','chapter_id' => '53','arabic_name' => 'وَٱلنَّجْمِ إِذَا هَوَىٰ','verse_number' => '1','verse_key' => '53:1','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4786','chapter_id' => '53','arabic_name' => 'مَا ضَلَّ صَاحِبُكُمْ وَمَا غَوَىٰ','verse_number' => '2','verse_key' => '53:2','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4787','chapter_id' => '53','arabic_name' => 'وَمَا يَنطِقُ عَنِ ٱلْهَوَىٰٓ','verse_number' => '3','verse_key' => '53:3','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4788','chapter_id' => '53','arabic_name' => 'إِنْ هُوَ إِلَّا وَحْىٌ يُوحَىٰ','verse_number' => '4','verse_key' => '53:4','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4789','chapter_id' => '53','arabic_name' => 'عَلَّمَهُۥ شَدِيدُ ٱلْقُوَىٰ','verse_number' => '5','verse_key' => '53:5','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4790','chapter_id' => '53','arabic_name' => 'ذُو مِرَّةٍ فَٱسْتَوَىٰ','verse_number' => '6','verse_key' => '53:6','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4791','chapter_id' => '53','arabic_name' => 'وَهُوَ بِٱلْأُفُقِ ٱلْأَعْلَىٰ','verse_number' => '7','verse_key' => '53:7','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4792','chapter_id' => '53','arabic_name' => 'ثُمَّ دَنَا فَتَدَلَّىٰ','verse_number' => '8','verse_key' => '53:8','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4793','chapter_id' => '53','arabic_name' => 'فَكَانَ قَابَ قَوْسَيْنِ أَوْ أَدْنَىٰ','verse_number' => '9','verse_key' => '53:9','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4794','chapter_id' => '53','arabic_name' => 'فَأَوْحَىٰٓ إِلَىٰ عَبْدِهِۦ مَآ أَوْحَىٰ','verse_number' => '10','verse_key' => '53:10','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4795','chapter_id' => '53','arabic_name' => 'مَا كَذَبَ ٱلْفُؤَادُ مَا رَأَىٰٓ','verse_number' => '11','verse_key' => '53:11','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4796','chapter_id' => '53','arabic_name' => 'أَفَتُمَـٰرُونَهُۥ عَلَىٰ مَا يَرَىٰ','verse_number' => '12','verse_key' => '53:12','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4797','chapter_id' => '53','arabic_name' => 'وَلَقَدْ رَءَاهُ نَزْلَةً أُخْرَىٰ','verse_number' => '13','verse_key' => '53:13','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4798','chapter_id' => '53','arabic_name' => 'عِندَ سِدْرَةِ ٱلْمُنتَهَىٰ','verse_number' => '14','verse_key' => '53:14','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4799','chapter_id' => '53','arabic_name' => 'عِندَهَا جَنَّةُ ٱلْمَأْوَىٰٓ','verse_number' => '15','verse_key' => '53:15','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4800','chapter_id' => '53','arabic_name' => 'إِذْ يَغْشَى ٱلسِّدْرَةَ مَا يَغْشَىٰ','verse_number' => '16','verse_key' => '53:16','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4801','chapter_id' => '53','arabic_name' => 'مَا زَاغَ ٱلْبَصَرُ وَمَا طَغَىٰ','verse_number' => '17','verse_key' => '53:17','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4802','chapter_id' => '53','arabic_name' => 'لَقَدْ رَأَىٰ مِنْ ءَايَـٰتِ رَبِّهِ ٱلْكُبْرَىٰٓ','verse_number' => '18','verse_key' => '53:18','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4803','chapter_id' => '53','arabic_name' => 'أَفَرَءَيْتُمُ ٱللَّـٰتَ وَٱلْعُزَّىٰ','verse_number' => '19','verse_key' => '53:19','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4804','chapter_id' => '53','arabic_name' => 'وَمَنَوٰةَ ٱلثَّالِثَةَ ٱلْأُخْرَىٰٓ','verse_number' => '20','verse_key' => '53:20','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4805','chapter_id' => '53','arabic_name' => 'أَلَكُمُ ٱلذَّكَرُ وَلَهُ ٱلْأُنثَىٰ','verse_number' => '21','verse_key' => '53:21','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4806','chapter_id' => '53','arabic_name' => 'تِلْكَ إِذًا قِسْمَةٌ ضِيزَىٰٓ','verse_number' => '22','verse_key' => '53:22','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4807','chapter_id' => '53','arabic_name' => 'إِنْ هِىَ إِلَّآ أَسْمَآءٌ سَمَّيْتُمُوهَآ أَنتُمْ وَءَابَآؤُكُم مَّآ أَنزَلَ ٱللَّهُ بِهَا مِن سُلْطَـٰنٍ ۚ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ وَمَا تَهْوَى ٱلْأَنفُسُ ۖ وَلَقَدْ جَآءَهُم مِّن رَّبِّهِمُ ٱلْهُدَىٰٓ','verse_number' => '23','verse_key' => '53:23','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4808','chapter_id' => '53','arabic_name' => 'أَمْ لِلْإِنسَـٰنِ مَا تَمَنَّىٰ','verse_number' => '24','verse_key' => '53:24','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4809','chapter_id' => '53','arabic_name' => 'فَلِلَّهِ ٱلْـَٔاخِرَةُ وَٱلْأُولَىٰ','verse_number' => '25','verse_key' => '53:25','hizb_number' => '53','rub_el_hizb_number' => '210','ruku_number' => '462','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4810','chapter_id' => '53','arabic_name' => '۞ وَكَم مِّن مَّلَكٍ فِى ٱلسَّمَـٰوَٰتِ لَا تُغْنِى شَفَـٰعَتُهُمْ شَيْـًٔا إِلَّا مِنۢ بَعْدِ أَن يَأْذَنَ ٱللَّهُ لِمَن يَشَآءُ وَيَرْضَىٰٓ','verse_number' => '26','verse_key' => '53:26','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '463','manzil_number' => '7','sajdah_number' => '0','page_number' => '526','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4811','chapter_id' => '53','arabic_name' => 'إِنَّ ٱلَّذِينَ لَا يُؤْمِنُونَ بِٱلْـَٔاخِرَةِ لَيُسَمُّونَ ٱلْمَلَـٰٓئِكَةَ تَسْمِيَةَ ٱلْأُنثَىٰ','verse_number' => '27','verse_key' => '53:27','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '463','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4812','chapter_id' => '53','arabic_name' => 'وَمَا لَهُم بِهِۦ مِنْ عِلْمٍ ۖ إِن يَتَّبِعُونَ إِلَّا ٱلظَّنَّ ۖ وَإِنَّ ٱلظَّنَّ لَا يُغْنِى مِنَ ٱلْحَقِّ شَيْـًٔا','verse_number' => '28','verse_key' => '53:28','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '463','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4813','chapter_id' => '53','arabic_name' => 'فَأَعْرِضْ عَن مَّن تَوَلَّىٰ عَن ذِكْرِنَا وَلَمْ يُرِدْ إِلَّا ٱلْحَيَوٰةَ ٱلدُّنْيَا','verse_number' => '29','verse_key' => '53:29','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '463','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4814','chapter_id' => '53','arabic_name' => 'ذَٰلِكَ مَبْلَغُهُم مِّنَ ٱلْعِلْمِ ۚ إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِمَن ضَلَّ عَن سَبِيلِهِۦ وَهُوَ أَعْلَمُ بِمَنِ ٱهْتَدَىٰ','verse_number' => '30','verse_key' => '53:30','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '463','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4815','chapter_id' => '53','arabic_name' => 'وَلِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ لِيَجْزِىَ ٱلَّذِينَ أَسَـٰٓـُٔوا۟ بِمَا عَمِلُوا۟ وَيَجْزِىَ ٱلَّذِينَ أَحْسَنُوا۟ بِٱلْحُسْنَى','verse_number' => '31','verse_key' => '53:31','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '463','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4816','chapter_id' => '53','arabic_name' => 'ٱلَّذِينَ يَجْتَنِبُونَ كَبَـٰٓئِرَ ٱلْإِثْمِ وَٱلْفَوَٰحِشَ إِلَّا ٱللَّمَمَ ۚ إِنَّ رَبَّكَ وَٰسِعُ ٱلْمَغْفِرَةِ ۚ هُوَ أَعْلَمُ بِكُمْ إِذْ أَنشَأَكُم مِّنَ ٱلْأَرْضِ وَإِذْ أَنتُمْ أَجِنَّةٌ فِى بُطُونِ أُمَّهَـٰتِكُمْ ۖ فَلَا تُزَكُّوٓا۟ أَنفُسَكُمْ ۖ هُوَ أَعْلَمُ بِمَنِ ٱتَّقَىٰٓ','verse_number' => '32','verse_key' => '53:32','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '463','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4817','chapter_id' => '53','arabic_name' => 'أَفَرَءَيْتَ ٱلَّذِى تَوَلَّىٰ','verse_number' => '33','verse_key' => '53:33','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4818','chapter_id' => '53','arabic_name' => 'وَأَعْطَىٰ قَلِيلًا وَأَكْدَىٰٓ','verse_number' => '34','verse_key' => '53:34','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4819','chapter_id' => '53','arabic_name' => 'أَعِندَهُۥ عِلْمُ ٱلْغَيْبِ فَهُوَ يَرَىٰٓ','verse_number' => '35','verse_key' => '53:35','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4820','chapter_id' => '53','arabic_name' => 'أَمْ لَمْ يُنَبَّأْ بِمَا فِى صُحُفِ مُوسَىٰ','verse_number' => '36','verse_key' => '53:36','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4821','chapter_id' => '53','arabic_name' => 'وَإِبْرَٰهِيمَ ٱلَّذِى وَفَّىٰٓ','verse_number' => '37','verse_key' => '53:37','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4822','chapter_id' => '53','arabic_name' => 'أَلَّا تَزِرُ وَازِرَةٌ وِزْرَ أُخْرَىٰ','verse_number' => '38','verse_key' => '53:38','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4823','chapter_id' => '53','arabic_name' => 'وَأَن لَّيْسَ لِلْإِنسَـٰنِ إِلَّا مَا سَعَىٰ','verse_number' => '39','verse_key' => '53:39','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4824','chapter_id' => '53','arabic_name' => 'وَأَنَّ سَعْيَهُۥ سَوْفَ يُرَىٰ','verse_number' => '40','verse_key' => '53:40','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4825','chapter_id' => '53','arabic_name' => 'ثُمَّ يُجْزَىٰهُ ٱلْجَزَآءَ ٱلْأَوْفَىٰ','verse_number' => '41','verse_key' => '53:41','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4826','chapter_id' => '53','arabic_name' => 'وَأَنَّ إِلَىٰ رَبِّكَ ٱلْمُنتَهَىٰ','verse_number' => '42','verse_key' => '53:42','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4827','chapter_id' => '53','arabic_name' => 'وَأَنَّهُۥ هُوَ أَضْحَكَ وَأَبْكَىٰ','verse_number' => '43','verse_key' => '53:43','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4828','chapter_id' => '53','arabic_name' => 'وَأَنَّهُۥ هُوَ أَمَاتَ وَأَحْيَا','verse_number' => '44','verse_key' => '53:44','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '527','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4829','chapter_id' => '53','arabic_name' => 'وَأَنَّهُۥ خَلَقَ ٱلزَّوْجَيْنِ ٱلذَّكَرَ وَٱلْأُنثَىٰ','verse_number' => '45','verse_key' => '53:45','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4830','chapter_id' => '53','arabic_name' => 'مِن نُّطْفَةٍ إِذَا تُمْنَىٰ','verse_number' => '46','verse_key' => '53:46','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4831','chapter_id' => '53','arabic_name' => 'وَأَنَّ عَلَيْهِ ٱلنَّشْأَةَ ٱلْأُخْرَىٰ','verse_number' => '47','verse_key' => '53:47','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4832','chapter_id' => '53','arabic_name' => 'وَأَنَّهُۥ هُوَ أَغْنَىٰ وَأَقْنَىٰ','verse_number' => '48','verse_key' => '53:48','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4833','chapter_id' => '53','arabic_name' => 'وَأَنَّهُۥ هُوَ رَبُّ ٱلشِّعْرَىٰ','verse_number' => '49','verse_key' => '53:49','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4834','chapter_id' => '53','arabic_name' => 'وَأَنَّهُۥٓ أَهْلَكَ عَادًا ٱلْأُولَىٰ','verse_number' => '50','verse_key' => '53:50','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4835','chapter_id' => '53','arabic_name' => 'وَثَمُودَا۟ فَمَآ أَبْقَىٰ','verse_number' => '51','verse_key' => '53:51','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4836','chapter_id' => '53','arabic_name' => 'وَقَوْمَ نُوحٍ مِّن قَبْلُ ۖ إِنَّهُمْ كَانُوا۟ هُمْ أَظْلَمَ وَأَطْغَىٰ','verse_number' => '52','verse_key' => '53:52','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4837','chapter_id' => '53','arabic_name' => 'وَٱلْمُؤْتَفِكَةَ أَهْوَىٰ','verse_number' => '53','verse_key' => '53:53','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4838','chapter_id' => '53','arabic_name' => 'فَغَشَّىٰهَا مَا غَشَّىٰ','verse_number' => '54','verse_key' => '53:54','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4839','chapter_id' => '53','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكَ تَتَمَارَىٰ','verse_number' => '55','verse_key' => '53:55','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4840','chapter_id' => '53','arabic_name' => 'هَـٰذَا نَذِيرٌ مِّنَ ٱلنُّذُرِ ٱلْأُولَىٰٓ','verse_number' => '56','verse_key' => '53:56','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4841','chapter_id' => '53','arabic_name' => 'أَزِفَتِ ٱلْـَٔازِفَةُ','verse_number' => '57','verse_key' => '53:57','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4842','chapter_id' => '53','arabic_name' => 'لَيْسَ لَهَا مِن دُونِ ٱللَّهِ كَاشِفَةٌ','verse_number' => '58','verse_key' => '53:58','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4843','chapter_id' => '53','arabic_name' => 'أَفَمِنْ هَـٰذَا ٱلْحَدِيثِ تَعْجَبُونَ','verse_number' => '59','verse_key' => '53:59','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4844','chapter_id' => '53','arabic_name' => 'وَتَضْحَكُونَ وَلَا تَبْكُونَ','verse_number' => '60','verse_key' => '53:60','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4845','chapter_id' => '53','arabic_name' => 'وَأَنتُمْ سَـٰمِدُونَ','verse_number' => '61','verse_key' => '53:61','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4846','chapter_id' => '53','arabic_name' => 'فَٱسْجُدُوا۟ لِلَّهِ وَٱعْبُدُوا۟ ۩','verse_number' => '62','verse_key' => '53:62','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '464','manzil_number' => '7','sajdah_number' => '12','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4847','chapter_id' => '54','arabic_name' => 'ٱقْتَرَبَتِ ٱلسَّاعَةُ وَٱنشَقَّ ٱلْقَمَرُ','verse_number' => '1','verse_key' => '54:1','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4848','chapter_id' => '54','arabic_name' => 'وَإِن يَرَوْا۟ ءَايَةً يُعْرِضُوا۟ وَيَقُولُوا۟ سِحْرٌ مُّسْتَمِرٌّ','verse_number' => '2','verse_key' => '54:2','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4849','chapter_id' => '54','arabic_name' => 'وَكَذَّبُوا۟ وَٱتَّبَعُوٓا۟ أَهْوَآءَهُمْ ۚ وَكُلُّ أَمْرٍ مُّسْتَقِرٌّ','verse_number' => '3','verse_key' => '54:3','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4850','chapter_id' => '54','arabic_name' => 'وَلَقَدْ جَآءَهُم مِّنَ ٱلْأَنۢبَآءِ مَا فِيهِ مُزْدَجَرٌ','verse_number' => '4','verse_key' => '54:4','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4851','chapter_id' => '54','arabic_name' => 'حِكْمَةٌۢ بَـٰلِغَةٌ ۖ فَمَا تُغْنِ ٱلنُّذُرُ','verse_number' => '5','verse_key' => '54:5','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4852','chapter_id' => '54','arabic_name' => 'فَتَوَلَّ عَنْهُمْ ۘ يَوْمَ يَدْعُ ٱلدَّاعِ إِلَىٰ شَىْءٍ نُّكُرٍ','verse_number' => '6','verse_key' => '54:6','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '528','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4853','chapter_id' => '54','arabic_name' => 'خُشَّعًا أَبْصَـٰرُهُمْ يَخْرُجُونَ مِنَ ٱلْأَجْدَاثِ كَأَنَّهُمْ جَرَادٌ مُّنتَشِرٌ','verse_number' => '7','verse_key' => '54:7','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4854','chapter_id' => '54','arabic_name' => 'مُّهْطِعِينَ إِلَى ٱلدَّاعِ ۖ يَقُولُ ٱلْكَـٰفِرُونَ هَـٰذَا يَوْمٌ عَسِرٌ','verse_number' => '8','verse_key' => '54:8','hizb_number' => '53','rub_el_hizb_number' => '211','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4855','chapter_id' => '54','arabic_name' => '۞ كَذَّبَتْ قَبْلَهُمْ قَوْمُ نُوحٍ فَكَذَّبُوا۟ عَبْدَنَا وَقَالُوا۟ مَجْنُونٌ وَٱزْدُجِرَ','verse_number' => '9','verse_key' => '54:9','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4856','chapter_id' => '54','arabic_name' => 'فَدَعَا رَبَّهُۥٓ أَنِّى مَغْلُوبٌ فَٱنتَصِرْ','verse_number' => '10','verse_key' => '54:10','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4857','chapter_id' => '54','arabic_name' => 'فَفَتَحْنَآ أَبْوَٰبَ ٱلسَّمَآءِ بِمَآءٍ مُّنْهَمِرٍ','verse_number' => '11','verse_key' => '54:11','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4858','chapter_id' => '54','arabic_name' => 'وَفَجَّرْنَا ٱلْأَرْضَ عُيُونًا فَٱلْتَقَى ٱلْمَآءُ عَلَىٰٓ أَمْرٍ قَدْ قُدِرَ','verse_number' => '12','verse_key' => '54:12','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4859','chapter_id' => '54','arabic_name' => 'وَحَمَلْنَـٰهُ عَلَىٰ ذَاتِ أَلْوَٰحٍ وَدُسُرٍ','verse_number' => '13','verse_key' => '54:13','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4860','chapter_id' => '54','arabic_name' => 'تَجْرِى بِأَعْيُنِنَا جَزَآءً لِّمَن كَانَ كُفِرَ','verse_number' => '14','verse_key' => '54:14','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4861','chapter_id' => '54','arabic_name' => 'وَلَقَد تَّرَكْنَـٰهَآ ءَايَةً فَهَلْ مِن مُّدَّكِرٍ','verse_number' => '15','verse_key' => '54:15','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4862','chapter_id' => '54','arabic_name' => 'فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ','verse_number' => '16','verse_key' => '54:16','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4863','chapter_id' => '54','arabic_name' => 'وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍ','verse_number' => '17','verse_key' => '54:17','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4864','chapter_id' => '54','arabic_name' => 'كَذَّبَتْ عَادٌ فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ','verse_number' => '18','verse_key' => '54:18','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4865','chapter_id' => '54','arabic_name' => 'إِنَّآ أَرْسَلْنَا عَلَيْهِمْ رِيحًا صَرْصَرًا فِى يَوْمِ نَحْسٍ مُّسْتَمِرٍّ','verse_number' => '19','verse_key' => '54:19','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4866','chapter_id' => '54','arabic_name' => 'تَنزِعُ ٱلنَّاسَ كَأَنَّهُمْ أَعْجَازُ نَخْلٍ مُّنقَعِرٍ','verse_number' => '20','verse_key' => '54:20','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4867','chapter_id' => '54','arabic_name' => 'فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ','verse_number' => '21','verse_key' => '54:21','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4868','chapter_id' => '54','arabic_name' => 'وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍ','verse_number' => '22','verse_key' => '54:22','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '465','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4869','chapter_id' => '54','arabic_name' => 'كَذَّبَتْ ثَمُودُ بِٱلنُّذُرِ','verse_number' => '23','verse_key' => '54:23','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4870','chapter_id' => '54','arabic_name' => 'فَقَالُوٓا۟ أَبَشَرًا مِّنَّا وَٰحِدًا نَّتَّبِعُهُۥٓ إِنَّآ إِذًا لَّفِى ضَلَـٰلٍ وَسُعُرٍ','verse_number' => '24','verse_key' => '54:24','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4871','chapter_id' => '54','arabic_name' => 'أَءُلْقِىَ ٱلذِّكْرُ عَلَيْهِ مِنۢ بَيْنِنَا بَلْ هُوَ كَذَّابٌ أَشِرٌ','verse_number' => '25','verse_key' => '54:25','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4872','chapter_id' => '54','arabic_name' => 'سَيَعْلَمُونَ غَدًا مَّنِ ٱلْكَذَّابُ ٱلْأَشِرُ','verse_number' => '26','verse_key' => '54:26','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4873','chapter_id' => '54','arabic_name' => 'إِنَّا مُرْسِلُوا۟ ٱلنَّاقَةِ فِتْنَةً لَّهُمْ فَٱرْتَقِبْهُمْ وَٱصْطَبِرْ','verse_number' => '27','verse_key' => '54:27','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '529','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4874','chapter_id' => '54','arabic_name' => 'وَنَبِّئْهُمْ أَنَّ ٱلْمَآءَ قِسْمَةٌۢ بَيْنَهُمْ ۖ كُلُّ شِرْبٍ مُّحْتَضَرٌ','verse_number' => '28','verse_key' => '54:28','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4875','chapter_id' => '54','arabic_name' => 'فَنَادَوْا۟ صَاحِبَهُمْ فَتَعَاطَىٰ فَعَقَرَ','verse_number' => '29','verse_key' => '54:29','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4876','chapter_id' => '54','arabic_name' => 'فَكَيْفَ كَانَ عَذَابِى وَنُذُرِ','verse_number' => '30','verse_key' => '54:30','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4877','chapter_id' => '54','arabic_name' => 'إِنَّآ أَرْسَلْنَا عَلَيْهِمْ صَيْحَةً وَٰحِدَةً فَكَانُوا۟ كَهَشِيمِ ٱلْمُحْتَظِرِ','verse_number' => '31','verse_key' => '54:31','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4878','chapter_id' => '54','arabic_name' => 'وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍ','verse_number' => '32','verse_key' => '54:32','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4879','chapter_id' => '54','arabic_name' => 'كَذَّبَتْ قَوْمُ لُوطٍۭ بِٱلنُّذُرِ','verse_number' => '33','verse_key' => '54:33','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4880','chapter_id' => '54','arabic_name' => 'إِنَّآ أَرْسَلْنَا عَلَيْهِمْ حَاصِبًا إِلَّآ ءَالَ لُوطٍ ۖ نَّجَّيْنَـٰهُم بِسَحَرٍ','verse_number' => '34','verse_key' => '54:34','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4881','chapter_id' => '54','arabic_name' => 'نِّعْمَةً مِّنْ عِندِنَا ۚ كَذَٰلِكَ نَجْزِى مَن شَكَرَ','verse_number' => '35','verse_key' => '54:35','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4882','chapter_id' => '54','arabic_name' => 'وَلَقَدْ أَنذَرَهُم بَطْشَتَنَا فَتَمَارَوْا۟ بِٱلنُّذُرِ','verse_number' => '36','verse_key' => '54:36','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4883','chapter_id' => '54','arabic_name' => 'وَلَقَدْ رَٰوَدُوهُ عَن ضَيْفِهِۦ فَطَمَسْنَآ أَعْيُنَهُمْ فَذُوقُوا۟ عَذَابِى وَنُذُرِ','verse_number' => '37','verse_key' => '54:37','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4884','chapter_id' => '54','arabic_name' => 'وَلَقَدْ صَبَّحَهُم بُكْرَةً عَذَابٌ مُّسْتَقِرٌّ','verse_number' => '38','verse_key' => '54:38','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4885','chapter_id' => '54','arabic_name' => 'فَذُوقُوا۟ عَذَابِى وَنُذُرِ','verse_number' => '39','verse_key' => '54:39','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4886','chapter_id' => '54','arabic_name' => 'وَلَقَدْ يَسَّرْنَا ٱلْقُرْءَانَ لِلذِّكْرِ فَهَلْ مِن مُّدَّكِرٍ','verse_number' => '40','verse_key' => '54:40','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '466','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4887','chapter_id' => '54','arabic_name' => 'وَلَقَدْ جَآءَ ءَالَ فِرْعَوْنَ ٱلنُّذُرُ','verse_number' => '41','verse_key' => '54:41','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4888','chapter_id' => '54','arabic_name' => 'كَذَّبُوا۟ بِـَٔايَـٰتِنَا كُلِّهَا فَأَخَذْنَـٰهُمْ أَخْذَ عَزِيزٍ مُّقْتَدِرٍ','verse_number' => '42','verse_key' => '54:42','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4889','chapter_id' => '54','arabic_name' => 'أَكُفَّارُكُمْ خَيْرٌ مِّنْ أُو۟لَـٰٓئِكُمْ أَمْ لَكُم بَرَآءَةٌ فِى ٱلزُّبُرِ','verse_number' => '43','verse_key' => '54:43','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4890','chapter_id' => '54','arabic_name' => 'أَمْ يَقُولُونَ نَحْنُ جَمِيعٌ مُّنتَصِرٌ','verse_number' => '44','verse_key' => '54:44','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4891','chapter_id' => '54','arabic_name' => 'سَيُهْزَمُ ٱلْجَمْعُ وَيُوَلُّونَ ٱلدُّبُرَ','verse_number' => '45','verse_key' => '54:45','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4892','chapter_id' => '54','arabic_name' => 'بَلِ ٱلسَّاعَةُ مَوْعِدُهُمْ وَٱلسَّاعَةُ أَدْهَىٰ وَأَمَرُّ','verse_number' => '46','verse_key' => '54:46','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4893','chapter_id' => '54','arabic_name' => 'إِنَّ ٱلْمُجْرِمِينَ فِى ضَلَـٰلٍ وَسُعُرٍ','verse_number' => '47','verse_key' => '54:47','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4894','chapter_id' => '54','arabic_name' => 'يَوْمَ يُسْحَبُونَ فِى ٱلنَّارِ عَلَىٰ وُجُوهِهِمْ ذُوقُوا۟ مَسَّ سَقَرَ','verse_number' => '48','verse_key' => '54:48','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4895','chapter_id' => '54','arabic_name' => 'إِنَّا كُلَّ شَىْءٍ خَلَقْنَـٰهُ بِقَدَرٍ','verse_number' => '49','verse_key' => '54:49','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '530','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4896','chapter_id' => '54','arabic_name' => 'وَمَآ أَمْرُنَآ إِلَّا وَٰحِدَةٌ كَلَمْحٍۭ بِٱلْبَصَرِ','verse_number' => '50','verse_key' => '54:50','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4897','chapter_id' => '54','arabic_name' => 'وَلَقَدْ أَهْلَكْنَآ أَشْيَاعَكُمْ فَهَلْ مِن مُّدَّكِرٍ','verse_number' => '51','verse_key' => '54:51','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4898','chapter_id' => '54','arabic_name' => 'وَكُلُّ شَىْءٍ فَعَلُوهُ فِى ٱلزُّبُرِ','verse_number' => '52','verse_key' => '54:52','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4899','chapter_id' => '54','arabic_name' => 'وَكُلُّ صَغِيرٍ وَكَبِيرٍ مُّسْتَطَرٌ','verse_number' => '53','verse_key' => '54:53','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4900','chapter_id' => '54','arabic_name' => 'إِنَّ ٱلْمُتَّقِينَ فِى جَنَّـٰتٍ وَنَهَرٍ','verse_number' => '54','verse_key' => '54:54','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4901','chapter_id' => '54','arabic_name' => 'فِى مَقْعَدِ صِدْقٍ عِندَ مَلِيكٍ مُّقْتَدِرٍۭ','verse_number' => '55','verse_key' => '54:55','hizb_number' => '53','rub_el_hizb_number' => '212','ruku_number' => '467','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4902','chapter_id' => '55','arabic_name' => 'ٱلرَّحْمَـٰنُ','verse_number' => '1','verse_key' => '55:1','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4903','chapter_id' => '55','arabic_name' => 'عَلَّمَ ٱلْقُرْءَانَ','verse_number' => '2','verse_key' => '55:2','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4904','chapter_id' => '55','arabic_name' => 'خَلَقَ ٱلْإِنسَـٰنَ','verse_number' => '3','verse_key' => '55:3','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4905','chapter_id' => '55','arabic_name' => 'عَلَّمَهُ ٱلْبَيَانَ','verse_number' => '4','verse_key' => '55:4','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4906','chapter_id' => '55','arabic_name' => 'ٱلشَّمْسُ وَٱلْقَمَرُ بِحُسْبَانٍ','verse_number' => '5','verse_key' => '55:5','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4907','chapter_id' => '55','arabic_name' => 'وَٱلنَّجْمُ وَٱلشَّجَرُ يَسْجُدَانِ','verse_number' => '6','verse_key' => '55:6','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4908','chapter_id' => '55','arabic_name' => 'وَٱلسَّمَآءَ رَفَعَهَا وَوَضَعَ ٱلْمِيزَانَ','verse_number' => '7','verse_key' => '55:7','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4909','chapter_id' => '55','arabic_name' => 'أَلَّا تَطْغَوْا۟ فِى ٱلْمِيزَانِ','verse_number' => '8','verse_key' => '55:8','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4910','chapter_id' => '55','arabic_name' => 'وَأَقِيمُوا۟ ٱلْوَزْنَ بِٱلْقِسْطِ وَلَا تُخْسِرُوا۟ ٱلْمِيزَانَ','verse_number' => '9','verse_key' => '55:9','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4911','chapter_id' => '55','arabic_name' => 'وَٱلْأَرْضَ وَضَعَهَا لِلْأَنَامِ','verse_number' => '10','verse_key' => '55:10','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4912','chapter_id' => '55','arabic_name' => 'فِيهَا فَـٰكِهَةٌ وَٱلنَّخْلُ ذَاتُ ٱلْأَكْمَامِ','verse_number' => '11','verse_key' => '55:11','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4913','chapter_id' => '55','arabic_name' => 'وَٱلْحَبُّ ذُو ٱلْعَصْفِ وَٱلرَّيْحَانُ','verse_number' => '12','verse_key' => '55:12','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4914','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '13','verse_key' => '55:13','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4915','chapter_id' => '55','arabic_name' => 'خَلَقَ ٱلْإِنسَـٰنَ مِن صَلْصَـٰلٍ كَٱلْفَخَّارِ','verse_number' => '14','verse_key' => '55:14','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4916','chapter_id' => '55','arabic_name' => 'وَخَلَقَ ٱلْجَآنَّ مِن مَّارِجٍ مِّن نَّارٍ','verse_number' => '15','verse_key' => '55:15','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4917','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '16','verse_key' => '55:16','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '531','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4918','chapter_id' => '55','arabic_name' => 'رَبُّ ٱلْمَشْرِقَيْنِ وَرَبُّ ٱلْمَغْرِبَيْنِ','verse_number' => '17','verse_key' => '55:17','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4919','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '18','verse_key' => '55:18','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4920','chapter_id' => '55','arabic_name' => 'مَرَجَ ٱلْبَحْرَيْنِ يَلْتَقِيَانِ','verse_number' => '19','verse_key' => '55:19','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4921','chapter_id' => '55','arabic_name' => 'بَيْنَهُمَا بَرْزَخٌ لَّا يَبْغِيَانِ','verse_number' => '20','verse_key' => '55:20','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4922','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '21','verse_key' => '55:21','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4923','chapter_id' => '55','arabic_name' => 'يَخْرُجُ مِنْهُمَا ٱللُّؤْلُؤُ وَٱلْمَرْجَانُ','verse_number' => '22','verse_key' => '55:22','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4924','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '23','verse_key' => '55:23','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4925','chapter_id' => '55','arabic_name' => 'وَلَهُ ٱلْجَوَارِ ٱلْمُنشَـَٔاتُ فِى ٱلْبَحْرِ كَٱلْأَعْلَـٰمِ','verse_number' => '24','verse_key' => '55:24','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4926','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '25','verse_key' => '55:25','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '468','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4927','chapter_id' => '55','arabic_name' => 'كُلُّ مَنْ عَلَيْهَا فَانٍ','verse_number' => '26','verse_key' => '55:26','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4928','chapter_id' => '55','arabic_name' => 'وَيَبْقَىٰ وَجْهُ رَبِّكَ ذُو ٱلْجَلَـٰلِ وَٱلْإِكْرَامِ','verse_number' => '27','verse_key' => '55:27','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4929','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '28','verse_key' => '55:28','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4930','chapter_id' => '55','arabic_name' => 'يَسْـَٔلُهُۥ مَن فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ كُلَّ يَوْمٍ هُوَ فِى شَأْنٍ','verse_number' => '29','verse_key' => '55:29','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4931','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '30','verse_key' => '55:30','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4932','chapter_id' => '55','arabic_name' => 'سَنَفْرُغُ لَكُمْ أَيُّهَ ٱلثَّقَلَانِ','verse_number' => '31','verse_key' => '55:31','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4933','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '32','verse_key' => '55:32','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4934','chapter_id' => '55','arabic_name' => 'يَـٰمَعْشَرَ ٱلْجِنِّ وَٱلْإِنسِ إِنِ ٱسْتَطَعْتُمْ أَن تَنفُذُوا۟ مِنْ أَقْطَارِ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ فَٱنفُذُوا۟ ۚ لَا تَنفُذُونَ إِلَّا بِسُلْطَـٰنٍ','verse_number' => '33','verse_key' => '55:33','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4935','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '34','verse_key' => '55:34','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4936','chapter_id' => '55','arabic_name' => 'يُرْسَلُ عَلَيْكُمَا شُوَاظٌ مِّن نَّارٍ وَنُحَاسٌ فَلَا تَنتَصِرَانِ','verse_number' => '35','verse_key' => '55:35','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4937','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '36','verse_key' => '55:36','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4938','chapter_id' => '55','arabic_name' => 'فَإِذَا ٱنشَقَّتِ ٱلسَّمَآءُ فَكَانَتْ وَرْدَةً كَٱلدِّهَانِ','verse_number' => '37','verse_key' => '55:37','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4939','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '38','verse_key' => '55:38','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4940','chapter_id' => '55','arabic_name' => 'فَيَوْمَئِذٍ لَّا يُسْـَٔلُ عَن ذَنۢبِهِۦٓ إِنسٌ وَلَا جَآنٌّ','verse_number' => '39','verse_key' => '55:39','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4941','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '40','verse_key' => '55:40','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '532','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4942','chapter_id' => '55','arabic_name' => 'يُعْرَفُ ٱلْمُجْرِمُونَ بِسِيمَـٰهُمْ فَيُؤْخَذُ بِٱلنَّوَٰصِى وَٱلْأَقْدَامِ','verse_number' => '41','verse_key' => '55:41','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4943','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '42','verse_key' => '55:42','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4944','chapter_id' => '55','arabic_name' => 'هَـٰذِهِۦ جَهَنَّمُ ٱلَّتِى يُكَذِّبُ بِهَا ٱلْمُجْرِمُونَ','verse_number' => '43','verse_key' => '55:43','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4945','chapter_id' => '55','arabic_name' => 'يَطُوفُونَ بَيْنَهَا وَبَيْنَ حَمِيمٍ ءَانٍ','verse_number' => '44','verse_key' => '55:44','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4946','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '45','verse_key' => '55:45','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '469','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4947','chapter_id' => '55','arabic_name' => 'وَلِمَنْ خَافَ مَقَامَ رَبِّهِۦ جَنَّتَانِ','verse_number' => '46','verse_key' => '55:46','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4948','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '47','verse_key' => '55:47','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4949','chapter_id' => '55','arabic_name' => 'ذَوَاتَآ أَفْنَانٍ','verse_number' => '48','verse_key' => '55:48','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4950','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '49','verse_key' => '55:49','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4951','chapter_id' => '55','arabic_name' => 'فِيهِمَا عَيْنَانِ تَجْرِيَانِ','verse_number' => '50','verse_key' => '55:50','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4952','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '51','verse_key' => '55:51','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4953','chapter_id' => '55','arabic_name' => 'فِيهِمَا مِن كُلِّ فَـٰكِهَةٍ زَوْجَانِ','verse_number' => '52','verse_key' => '55:52','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4954','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '53','verse_key' => '55:53','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4955','chapter_id' => '55','arabic_name' => 'مُتَّكِـِٔينَ عَلَىٰ فُرُشٍۭ بَطَآئِنُهَا مِنْ إِسْتَبْرَقٍ ۚ وَجَنَى ٱلْجَنَّتَيْنِ دَانٍ','verse_number' => '54','verse_key' => '55:54','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4956','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '55','verse_key' => '55:55','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4957','chapter_id' => '55','arabic_name' => 'فِيهِنَّ قَـٰصِرَٰتُ ٱلطَّرْفِ لَمْ يَطْمِثْهُنَّ إِنسٌ قَبْلَهُمْ وَلَا جَآنٌّ','verse_number' => '56','verse_key' => '55:56','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4958','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '57','verse_key' => '55:57','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4959','chapter_id' => '55','arabic_name' => 'كَأَنَّهُنَّ ٱلْيَاقُوتُ وَٱلْمَرْجَانُ','verse_number' => '58','verse_key' => '55:58','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4960','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '59','verse_key' => '55:59','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4961','chapter_id' => '55','arabic_name' => 'هَلْ جَزَآءُ ٱلْإِحْسَـٰنِ إِلَّا ٱلْإِحْسَـٰنُ','verse_number' => '60','verse_key' => '55:60','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4962','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '61','verse_key' => '55:61','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4963','chapter_id' => '55','arabic_name' => 'وَمِن دُونِهِمَا جَنَّتَانِ','verse_number' => '62','verse_key' => '55:62','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4964','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '63','verse_key' => '55:63','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4965','chapter_id' => '55','arabic_name' => 'مُدْهَآمَّتَانِ','verse_number' => '64','verse_key' => '55:64','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4966','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '65','verse_key' => '55:65','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4967','chapter_id' => '55','arabic_name' => 'فِيهِمَا عَيْنَانِ نَضَّاخَتَانِ','verse_number' => '66','verse_key' => '55:66','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4968','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '67','verse_key' => '55:67','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '533','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4969','chapter_id' => '55','arabic_name' => 'فِيهِمَا فَـٰكِهَةٌ وَنَخْلٌ وَرُمَّانٌ','verse_number' => '68','verse_key' => '55:68','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4970','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '69','verse_key' => '55:69','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4971','chapter_id' => '55','arabic_name' => 'فِيهِنَّ خَيْرَٰتٌ حِسَانٌ','verse_number' => '70','verse_key' => '55:70','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4972','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '71','verse_key' => '55:71','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4973','chapter_id' => '55','arabic_name' => 'حُورٌ مَّقْصُورَٰتٌ فِى ٱلْخِيَامِ','verse_number' => '72','verse_key' => '55:72','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4974','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '73','verse_key' => '55:73','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4975','chapter_id' => '55','arabic_name' => 'لَمْ يَطْمِثْهُنَّ إِنسٌ قَبْلَهُمْ وَلَا جَآنٌّ','verse_number' => '74','verse_key' => '55:74','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4976','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '75','verse_key' => '55:75','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4977','chapter_id' => '55','arabic_name' => 'مُتَّكِـِٔينَ عَلَىٰ رَفْرَفٍ خُضْرٍ وَعَبْقَرِىٍّ حِسَانٍ','verse_number' => '76','verse_key' => '55:76','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4978','chapter_id' => '55','arabic_name' => 'فَبِأَىِّ ءَالَآءِ رَبِّكُمَا تُكَذِّبَانِ','verse_number' => '77','verse_key' => '55:77','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4979','chapter_id' => '55','arabic_name' => 'تَبَـٰرَكَ ٱسْمُ رَبِّكَ ذِى ٱلْجَلَـٰلِ وَٱلْإِكْرَامِ','verse_number' => '78','verse_key' => '55:78','hizb_number' => '54','rub_el_hizb_number' => '213','ruku_number' => '470','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4980','chapter_id' => '56','arabic_name' => 'إِذَا وَقَعَتِ ٱلْوَاقِعَةُ','verse_number' => '1','verse_key' => '56:1','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4981','chapter_id' => '56','arabic_name' => 'لَيْسَ لِوَقْعَتِهَا كَاذِبَةٌ','verse_number' => '2','verse_key' => '56:2','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4982','chapter_id' => '56','arabic_name' => 'خَافِضَةٌ رَّافِعَةٌ','verse_number' => '3','verse_key' => '56:3','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4983','chapter_id' => '56','arabic_name' => 'إِذَا رُجَّتِ ٱلْأَرْضُ رَجًّا','verse_number' => '4','verse_key' => '56:4','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4984','chapter_id' => '56','arabic_name' => 'وَبُسَّتِ ٱلْجِبَالُ بَسًّا','verse_number' => '5','verse_key' => '56:5','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4985','chapter_id' => '56','arabic_name' => 'فَكَانَتْ هَبَآءً مُّنۢبَثًّا','verse_number' => '6','verse_key' => '56:6','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4986','chapter_id' => '56','arabic_name' => 'وَكُنتُمْ أَزْوَٰجًا ثَلَـٰثَةً','verse_number' => '7','verse_key' => '56:7','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4987','chapter_id' => '56','arabic_name' => 'فَأَصْحَـٰبُ ٱلْمَيْمَنَةِ مَآ أَصْحَـٰبُ ٱلْمَيْمَنَةِ','verse_number' => '8','verse_key' => '56:8','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4988','chapter_id' => '56','arabic_name' => 'وَأَصْحَـٰبُ ٱلْمَشْـَٔمَةِ مَآ أَصْحَـٰبُ ٱلْمَشْـَٔمَةِ','verse_number' => '9','verse_key' => '56:9','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4989','chapter_id' => '56','arabic_name' => 'وَٱلسَّـٰبِقُونَ ٱلسَّـٰبِقُونَ','verse_number' => '10','verse_key' => '56:10','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4990','chapter_id' => '56','arabic_name' => 'أُو۟لَـٰٓئِكَ ٱلْمُقَرَّبُونَ','verse_number' => '11','verse_key' => '56:11','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4991','chapter_id' => '56','arabic_name' => 'فِى جَنَّـٰتِ ٱلنَّعِيمِ','verse_number' => '12','verse_key' => '56:12','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4992','chapter_id' => '56','arabic_name' => 'ثُلَّةٌ مِّنَ ٱلْأَوَّلِينَ','verse_number' => '13','verse_key' => '56:13','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4993','chapter_id' => '56','arabic_name' => 'وَقَلِيلٌ مِّنَ ٱلْـَٔاخِرِينَ','verse_number' => '14','verse_key' => '56:14','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4994','chapter_id' => '56','arabic_name' => 'عَلَىٰ سُرُرٍ مَّوْضُونَةٍ','verse_number' => '15','verse_key' => '56:15','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4995','chapter_id' => '56','arabic_name' => 'مُّتَّكِـِٔينَ عَلَيْهَا مُتَقَـٰبِلِينَ','verse_number' => '16','verse_key' => '56:16','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '534','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4996','chapter_id' => '56','arabic_name' => 'يَطُوفُ عَلَيْهِمْ وِلْدَٰنٌ مُّخَلَّدُونَ','verse_number' => '17','verse_key' => '56:17','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4997','chapter_id' => '56','arabic_name' => 'بِأَكْوَابٍ وَأَبَارِيقَ وَكَأْسٍ مِّن مَّعِينٍ','verse_number' => '18','verse_key' => '56:18','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4998','chapter_id' => '56','arabic_name' => 'لَّا يُصَدَّعُونَ عَنْهَا وَلَا يُنزِفُونَ','verse_number' => '19','verse_key' => '56:19','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '4999','chapter_id' => '56','arabic_name' => 'وَفَـٰكِهَةٍ مِّمَّا يَتَخَيَّرُونَ','verse_number' => '20','verse_key' => '56:20','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5000','chapter_id' => '56','arabic_name' => 'وَلَحْمِ طَيْرٍ مِّمَّا يَشْتَهُونَ','verse_number' => '21','verse_key' => '56:21','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
        );

        DB::table('chapter_details')->insert($data);
    }
}
