<?php

namespace Database\Seeders\Quran\Chapter;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ChapterDetailSeeder6 extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = array(
            array('id' => '5001','chapter_id' => '56','arabic_name' => 'وَحُورٌ عِينٌ','verse_number' => '22','verse_key' => '56:22','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5002','chapter_id' => '56','arabic_name' => 'كَأَمْثَـٰلِ ٱللُّؤْلُؤِ ٱلْمَكْنُونِ','verse_number' => '23','verse_key' => '56:23','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5003','chapter_id' => '56','arabic_name' => 'جَزَآءًۢ بِمَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '24','verse_key' => '56:24','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5004','chapter_id' => '56','arabic_name' => 'لَا يَسْمَعُونَ فِيهَا لَغْوًا وَلَا تَأْثِيمًا','verse_number' => '25','verse_key' => '56:25','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5005','chapter_id' => '56','arabic_name' => 'إِلَّا قِيلًا سَلَـٰمًا سَلَـٰمًا','verse_number' => '26','verse_key' => '56:26','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5006','chapter_id' => '56','arabic_name' => 'وَأَصْحَـٰبُ ٱلْيَمِينِ مَآ أَصْحَـٰبُ ٱلْيَمِينِ','verse_number' => '27','verse_key' => '56:27','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5007','chapter_id' => '56','arabic_name' => 'فِى سِدْرٍ مَّخْضُودٍ','verse_number' => '28','verse_key' => '56:28','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5008','chapter_id' => '56','arabic_name' => 'وَطَلْحٍ مَّنضُودٍ','verse_number' => '29','verse_key' => '56:29','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5009','chapter_id' => '56','arabic_name' => 'وَظِلٍّ مَّمْدُودٍ','verse_number' => '30','verse_key' => '56:30','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5010','chapter_id' => '56','arabic_name' => 'وَمَآءٍ مَّسْكُوبٍ','verse_number' => '31','verse_key' => '56:31','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5011','chapter_id' => '56','arabic_name' => 'وَفَـٰكِهَةٍ كَثِيرَةٍ','verse_number' => '32','verse_key' => '56:32','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5012','chapter_id' => '56','arabic_name' => 'لَّا مَقْطُوعَةٍ وَلَا مَمْنُوعَةٍ','verse_number' => '33','verse_key' => '56:33','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5013','chapter_id' => '56','arabic_name' => 'وَفُرُشٍ مَّرْفُوعَةٍ','verse_number' => '34','verse_key' => '56:34','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5014','chapter_id' => '56','arabic_name' => 'إِنَّآ أَنشَأْنَـٰهُنَّ إِنشَآءً','verse_number' => '35','verse_key' => '56:35','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5015','chapter_id' => '56','arabic_name' => 'فَجَعَلْنَـٰهُنَّ أَبْكَارًا','verse_number' => '36','verse_key' => '56:36','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5016','chapter_id' => '56','arabic_name' => 'عُرُبًا أَتْرَابًا','verse_number' => '37','verse_key' => '56:37','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5017','chapter_id' => '56','arabic_name' => 'لِّأَصْحَـٰبِ ٱلْيَمِينِ','verse_number' => '38','verse_key' => '56:38','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '471','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5018','chapter_id' => '56','arabic_name' => 'ثُلَّةٌ مِّنَ ٱلْأَوَّلِينَ','verse_number' => '39','verse_key' => '56:39','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5019','chapter_id' => '56','arabic_name' => 'وَثُلَّةٌ مِّنَ ٱلْـَٔاخِرِينَ','verse_number' => '40','verse_key' => '56:40','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5020','chapter_id' => '56','arabic_name' => 'وَأَصْحَـٰبُ ٱلشِّمَالِ مَآ أَصْحَـٰبُ ٱلشِّمَالِ','verse_number' => '41','verse_key' => '56:41','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5021','chapter_id' => '56','arabic_name' => 'فِى سَمُومٍ وَحَمِيمٍ','verse_number' => '42','verse_key' => '56:42','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5022','chapter_id' => '56','arabic_name' => 'وَظِلٍّ مِّن يَحْمُومٍ','verse_number' => '43','verse_key' => '56:43','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5023','chapter_id' => '56','arabic_name' => 'لَّا بَارِدٍ وَلَا كَرِيمٍ','verse_number' => '44','verse_key' => '56:44','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5024','chapter_id' => '56','arabic_name' => 'إِنَّهُمْ كَانُوا۟ قَبْلَ ذَٰلِكَ مُتْرَفِينَ','verse_number' => '45','verse_key' => '56:45','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5025','chapter_id' => '56','arabic_name' => 'وَكَانُوا۟ يُصِرُّونَ عَلَى ٱلْحِنثِ ٱلْعَظِيمِ','verse_number' => '46','verse_key' => '56:46','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5026','chapter_id' => '56','arabic_name' => 'وَكَانُوا۟ يَقُولُونَ أَئِذَا مِتْنَا وَكُنَّا تُرَابًا وَعِظَـٰمًا أَءِنَّا لَمَبْعُوثُونَ','verse_number' => '47','verse_key' => '56:47','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5027','chapter_id' => '56','arabic_name' => 'أَوَءَابَآؤُنَا ٱلْأَوَّلُونَ','verse_number' => '48','verse_key' => '56:48','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5028','chapter_id' => '56','arabic_name' => 'قُلْ إِنَّ ٱلْأَوَّلِينَ وَٱلْـَٔاخِرِينَ','verse_number' => '49','verse_key' => '56:49','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5029','chapter_id' => '56','arabic_name' => 'لَمَجْمُوعُونَ إِلَىٰ مِيقَـٰتِ يَوْمٍ مَّعْلُومٍ','verse_number' => '50','verse_key' => '56:50','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '535','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5030','chapter_id' => '56','arabic_name' => 'ثُمَّ إِنَّكُمْ أَيُّهَا ٱلضَّآلُّونَ ٱلْمُكَذِّبُونَ','verse_number' => '51','verse_key' => '56:51','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5031','chapter_id' => '56','arabic_name' => 'لَـَٔاكِلُونَ مِن شَجَرٍ مِّن زَقُّومٍ','verse_number' => '52','verse_key' => '56:52','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5032','chapter_id' => '56','arabic_name' => 'فَمَالِـُٔونَ مِنْهَا ٱلْبُطُونَ','verse_number' => '53','verse_key' => '56:53','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5033','chapter_id' => '56','arabic_name' => 'فَشَـٰرِبُونَ عَلَيْهِ مِنَ ٱلْحَمِيمِ','verse_number' => '54','verse_key' => '56:54','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5034','chapter_id' => '56','arabic_name' => 'فَشَـٰرِبُونَ شُرْبَ ٱلْهِيمِ','verse_number' => '55','verse_key' => '56:55','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5035','chapter_id' => '56','arabic_name' => 'هَـٰذَا نُزُلُهُمْ يَوْمَ ٱلدِّينِ','verse_number' => '56','verse_key' => '56:56','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5036','chapter_id' => '56','arabic_name' => 'نَحْنُ خَلَقْنَـٰكُمْ فَلَوْلَا تُصَدِّقُونَ','verse_number' => '57','verse_key' => '56:57','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5037','chapter_id' => '56','arabic_name' => 'أَفَرَءَيْتُم مَّا تُمْنُونَ','verse_number' => '58','verse_key' => '56:58','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5038','chapter_id' => '56','arabic_name' => 'ءَأَنتُمْ تَخْلُقُونَهُۥٓ أَمْ نَحْنُ ٱلْخَـٰلِقُونَ','verse_number' => '59','verse_key' => '56:59','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5039','chapter_id' => '56','arabic_name' => 'نَحْنُ قَدَّرْنَا بَيْنَكُمُ ٱلْمَوْتَ وَمَا نَحْنُ بِمَسْبُوقِينَ','verse_number' => '60','verse_key' => '56:60','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5040','chapter_id' => '56','arabic_name' => 'عَلَىٰٓ أَن نُّبَدِّلَ أَمْثَـٰلَكُمْ وَنُنشِئَكُمْ فِى مَا لَا تَعْلَمُونَ','verse_number' => '61','verse_key' => '56:61','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5041','chapter_id' => '56','arabic_name' => 'وَلَقَدْ عَلِمْتُمُ ٱلنَّشْأَةَ ٱلْأُولَىٰ فَلَوْلَا تَذَكَّرُونَ','verse_number' => '62','verse_key' => '56:62','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5042','chapter_id' => '56','arabic_name' => 'أَفَرَءَيْتُم مَّا تَحْرُثُونَ','verse_number' => '63','verse_key' => '56:63','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5043','chapter_id' => '56','arabic_name' => 'ءَأَنتُمْ تَزْرَعُونَهُۥٓ أَمْ نَحْنُ ٱلزَّٰرِعُونَ','verse_number' => '64','verse_key' => '56:64','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5044','chapter_id' => '56','arabic_name' => 'لَوْ نَشَآءُ لَجَعَلْنَـٰهُ حُطَـٰمًا فَظَلْتُمْ تَفَكَّهُونَ','verse_number' => '65','verse_key' => '56:65','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5045','chapter_id' => '56','arabic_name' => 'إِنَّا لَمُغْرَمُونَ','verse_number' => '66','verse_key' => '56:66','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5046','chapter_id' => '56','arabic_name' => 'بَلْ نَحْنُ مَحْرُومُونَ','verse_number' => '67','verse_key' => '56:67','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5047','chapter_id' => '56','arabic_name' => 'أَفَرَءَيْتُمُ ٱلْمَآءَ ٱلَّذِى تَشْرَبُونَ','verse_number' => '68','verse_key' => '56:68','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5048','chapter_id' => '56','arabic_name' => 'ءَأَنتُمْ أَنزَلْتُمُوهُ مِنَ ٱلْمُزْنِ أَمْ نَحْنُ ٱلْمُنزِلُونَ','verse_number' => '69','verse_key' => '56:69','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5049','chapter_id' => '56','arabic_name' => 'لَوْ نَشَآءُ جَعَلْنَـٰهُ أُجَاجًا فَلَوْلَا تَشْكُرُونَ','verse_number' => '70','verse_key' => '56:70','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5050','chapter_id' => '56','arabic_name' => 'أَفَرَءَيْتُمُ ٱلنَّارَ ٱلَّتِى تُورُونَ','verse_number' => '71','verse_key' => '56:71','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5051','chapter_id' => '56','arabic_name' => 'ءَأَنتُمْ أَنشَأْتُمْ شَجَرَتَهَآ أَمْ نَحْنُ ٱلْمُنشِـُٔونَ','verse_number' => '72','verse_key' => '56:72','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5052','chapter_id' => '56','arabic_name' => 'نَحْنُ جَعَلْنَـٰهَا تَذْكِرَةً وَمَتَـٰعًا لِّلْمُقْوِينَ','verse_number' => '73','verse_key' => '56:73','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5053','chapter_id' => '56','arabic_name' => 'فَسَبِّحْ بِٱسْمِ رَبِّكَ ٱلْعَظِيمِ','verse_number' => '74','verse_key' => '56:74','hizb_number' => '54','rub_el_hizb_number' => '214','ruku_number' => '472','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5054','chapter_id' => '56','arabic_name' => '۞ فَلَآ أُقْسِمُ بِمَوَٰقِعِ ٱلنُّجُومِ','verse_number' => '75','verse_key' => '56:75','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5055','chapter_id' => '56','arabic_name' => 'وَإِنَّهُۥ لَقَسَمٌ لَّوْ تَعْلَمُونَ عَظِيمٌ','verse_number' => '76','verse_key' => '56:76','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '536','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5056','chapter_id' => '56','arabic_name' => 'إِنَّهُۥ لَقُرْءَانٌ كَرِيمٌ','verse_number' => '77','verse_key' => '56:77','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5057','chapter_id' => '56','arabic_name' => 'فِى كِتَـٰبٍ مَّكْنُونٍ','verse_number' => '78','verse_key' => '56:78','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5058','chapter_id' => '56','arabic_name' => 'لَّا يَمَسُّهُۥٓ إِلَّا ٱلْمُطَهَّرُونَ','verse_number' => '79','verse_key' => '56:79','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5059','chapter_id' => '56','arabic_name' => 'تَنزِيلٌ مِّن رَّبِّ ٱلْعَـٰلَمِينَ','verse_number' => '80','verse_key' => '56:80','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5060','chapter_id' => '56','arabic_name' => 'أَفَبِهَـٰذَا ٱلْحَدِيثِ أَنتُم مُّدْهِنُونَ','verse_number' => '81','verse_key' => '56:81','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5061','chapter_id' => '56','arabic_name' => 'وَتَجْعَلُونَ رِزْقَكُمْ أَنَّكُمْ تُكَذِّبُونَ','verse_number' => '82','verse_key' => '56:82','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5062','chapter_id' => '56','arabic_name' => 'فَلَوْلَآ إِذَا بَلَغَتِ ٱلْحُلْقُومَ','verse_number' => '83','verse_key' => '56:83','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5063','chapter_id' => '56','arabic_name' => 'وَأَنتُمْ حِينَئِذٍ تَنظُرُونَ','verse_number' => '84','verse_key' => '56:84','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5064','chapter_id' => '56','arabic_name' => 'وَنَحْنُ أَقْرَبُ إِلَيْهِ مِنكُمْ وَلَـٰكِن لَّا تُبْصِرُونَ','verse_number' => '85','verse_key' => '56:85','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5065','chapter_id' => '56','arabic_name' => 'فَلَوْلَآ إِن كُنتُمْ غَيْرَ مَدِينِينَ','verse_number' => '86','verse_key' => '56:86','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5066','chapter_id' => '56','arabic_name' => 'تَرْجِعُونَهَآ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '87','verse_key' => '56:87','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5067','chapter_id' => '56','arabic_name' => 'فَأَمَّآ إِن كَانَ مِنَ ٱلْمُقَرَّبِينَ','verse_number' => '88','verse_key' => '56:88','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5068','chapter_id' => '56','arabic_name' => 'فَرَوْحٌ وَرَيْحَانٌ وَجَنَّتُ نَعِيمٍ','verse_number' => '89','verse_key' => '56:89','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5069','chapter_id' => '56','arabic_name' => 'وَأَمَّآ إِن كَانَ مِنْ أَصْحَـٰبِ ٱلْيَمِينِ','verse_number' => '90','verse_key' => '56:90','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5070','chapter_id' => '56','arabic_name' => 'فَسَلَـٰمٌ لَّكَ مِنْ أَصْحَـٰبِ ٱلْيَمِينِ','verse_number' => '91','verse_key' => '56:91','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5071','chapter_id' => '56','arabic_name' => 'وَأَمَّآ إِن كَانَ مِنَ ٱلْمُكَذِّبِينَ ٱلضَّآلِّينَ','verse_number' => '92','verse_key' => '56:92','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5072','chapter_id' => '56','arabic_name' => 'فَنُزُلٌ مِّنْ حَمِيمٍ','verse_number' => '93','verse_key' => '56:93','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5073','chapter_id' => '56','arabic_name' => 'وَتَصْلِيَةُ جَحِيمٍ','verse_number' => '94','verse_key' => '56:94','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5074','chapter_id' => '56','arabic_name' => 'إِنَّ هَـٰذَا لَهُوَ حَقُّ ٱلْيَقِينِ','verse_number' => '95','verse_key' => '56:95','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5075','chapter_id' => '56','arabic_name' => 'فَسَبِّحْ بِٱسْمِ رَبِّكَ ٱلْعَظِيمِ','verse_number' => '96','verse_key' => '56:96','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '473','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5076','chapter_id' => '57','arabic_name' => 'سَبَّحَ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '1','verse_key' => '57:1','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5077','chapter_id' => '57','arabic_name' => 'لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ يُحْىِۦ وَيُمِيتُ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '2','verse_key' => '57:2','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5078','chapter_id' => '57','arabic_name' => 'هُوَ ٱلْأَوَّلُ وَٱلْـَٔاخِرُ وَٱلظَّـٰهِرُ وَٱلْبَاطِنُ ۖ وَهُوَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '3','verse_key' => '57:3','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '537','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5079','chapter_id' => '57','arabic_name' => 'هُوَ ٱلَّذِى خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ فِى سِتَّةِ أَيَّامٍ ثُمَّ ٱسْتَوَىٰ عَلَى ٱلْعَرْشِ ۚ يَعْلَمُ مَا يَلِجُ فِى ٱلْأَرْضِ وَمَا يَخْرُجُ مِنْهَا وَمَا يَنزِلُ مِنَ ٱلسَّمَآءِ وَمَا يَعْرُجُ فِيهَا ۖ وَهُوَ مَعَكُمْ أَيْنَ مَا كُنتُمْ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '4','verse_key' => '57:4','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5080','chapter_id' => '57','arabic_name' => 'لَّهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَإِلَى ٱللَّهِ تُرْجَعُ ٱلْأُمُورُ','verse_number' => '5','verse_key' => '57:5','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5081','chapter_id' => '57','arabic_name' => 'يُولِجُ ٱلَّيْلَ فِى ٱلنَّهَارِ وَيُولِجُ ٱلنَّهَارَ فِى ٱلَّيْلِ ۚ وَهُوَ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '6','verse_key' => '57:6','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5082','chapter_id' => '57','arabic_name' => 'ءَامِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَأَنفِقُوا۟ مِمَّا جَعَلَكُم مُّسْتَخْلَفِينَ فِيهِ ۖ فَٱلَّذِينَ ءَامَنُوا۟ مِنكُمْ وَأَنفَقُوا۟ لَهُمْ أَجْرٌ كَبِيرٌ','verse_number' => '7','verse_key' => '57:7','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5083','chapter_id' => '57','arabic_name' => 'وَمَا لَكُمْ لَا تُؤْمِنُونَ بِٱللَّهِ ۙ وَٱلرَّسُولُ يَدْعُوكُمْ لِتُؤْمِنُوا۟ بِرَبِّكُمْ وَقَدْ أَخَذَ مِيثَـٰقَكُمْ إِن كُنتُم مُّؤْمِنِينَ','verse_number' => '8','verse_key' => '57:8','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5084','chapter_id' => '57','arabic_name' => 'هُوَ ٱلَّذِى يُنَزِّلُ عَلَىٰ عَبْدِهِۦٓ ءَايَـٰتٍۭ بَيِّنَـٰتٍ لِّيُخْرِجَكُم مِّنَ ٱلظُّلُمَـٰتِ إِلَى ٱلنُّورِ ۚ وَإِنَّ ٱللَّهَ بِكُمْ لَرَءُوفٌ رَّحِيمٌ','verse_number' => '9','verse_key' => '57:9','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5085','chapter_id' => '57','arabic_name' => 'وَمَا لَكُمْ أَلَّا تُنفِقُوا۟ فِى سَبِيلِ ٱللَّهِ وَلِلَّهِ مِيرَٰثُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ لَا يَسْتَوِى مِنكُم مَّنْ أَنفَقَ مِن قَبْلِ ٱلْفَتْحِ وَقَـٰتَلَ ۚ أُو۟لَـٰٓئِكَ أَعْظَمُ دَرَجَةً مِّنَ ٱلَّذِينَ أَنفَقُوا۟ مِنۢ بَعْدُ وَقَـٰتَلُوا۟ ۚ وَكُلًّا وَعَدَ ٱللَّهُ ٱلْحُسْنَىٰ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '10','verse_key' => '57:10','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '474','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5086','chapter_id' => '57','arabic_name' => 'مَّن ذَا ٱلَّذِى يُقْرِضُ ٱللَّهَ قَرْضًا حَسَنًا فَيُضَـٰعِفَهُۥ لَهُۥ وَلَهُۥٓ أَجْرٌ كَرِيمٌ','verse_number' => '11','verse_key' => '57:11','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '538','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5087','chapter_id' => '57','arabic_name' => 'يَوْمَ تَرَى ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ يَسْعَىٰ نُورُهُم بَيْنَ أَيْدِيهِمْ وَبِأَيْمَـٰنِهِم بُشْرَىٰكُمُ ٱلْيَوْمَ جَنَّـٰتٌ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ ذَٰلِكَ هُوَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '12','verse_key' => '57:12','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '539','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5088','chapter_id' => '57','arabic_name' => 'يَوْمَ يَقُولُ ٱلْمُنَـٰفِقُونَ وَٱلْمُنَـٰفِقَـٰتُ لِلَّذِينَ ءَامَنُوا۟ ٱنظُرُونَا نَقْتَبِسْ مِن نُّورِكُمْ قِيلَ ٱرْجِعُوا۟ وَرَآءَكُمْ فَٱلْتَمِسُوا۟ نُورًا فَضُرِبَ بَيْنَهُم بِسُورٍ لَّهُۥ بَابٌۢ بَاطِنُهُۥ فِيهِ ٱلرَّحْمَةُ وَظَـٰهِرُهُۥ مِن قِبَلِهِ ٱلْعَذَابُ','verse_number' => '13','verse_key' => '57:13','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '539','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5089','chapter_id' => '57','arabic_name' => 'يُنَادُونَهُمْ أَلَمْ نَكُن مَّعَكُمْ ۖ قَالُوا۟ بَلَىٰ وَلَـٰكِنَّكُمْ فَتَنتُمْ أَنفُسَكُمْ وَتَرَبَّصْتُمْ وَٱرْتَبْتُمْ وَغَرَّتْكُمُ ٱلْأَمَانِىُّ حَتَّىٰ جَآءَ أَمْرُ ٱللَّهِ وَغَرَّكُم بِٱللَّهِ ٱلْغَرُورُ','verse_number' => '14','verse_key' => '57:14','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '539','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5090','chapter_id' => '57','arabic_name' => 'فَٱلْيَوْمَ لَا يُؤْخَذُ مِنكُمْ فِدْيَةٌ وَلَا مِنَ ٱلَّذِينَ كَفَرُوا۟ ۚ مَأْوَىٰكُمُ ٱلنَّارُ ۖ هِىَ مَوْلَىٰكُمْ ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '15','verse_key' => '57:15','hizb_number' => '54','rub_el_hizb_number' => '215','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '539','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5091','chapter_id' => '57','arabic_name' => '۞ أَلَمْ يَأْنِ لِلَّذِينَ ءَامَنُوٓا۟ أَن تَخْشَعَ قُلُوبُهُمْ لِذِكْرِ ٱللَّهِ وَمَا نَزَلَ مِنَ ٱلْحَقِّ وَلَا يَكُونُوا۟ كَٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ مِن قَبْلُ فَطَالَ عَلَيْهِمُ ٱلْأَمَدُ فَقَسَتْ قُلُوبُهُمْ ۖ وَكَثِيرٌ مِّنْهُمْ فَـٰسِقُونَ','verse_number' => '16','verse_key' => '57:16','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '539','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5092','chapter_id' => '57','arabic_name' => 'ٱعْلَمُوٓا۟ أَنَّ ٱللَّهَ يُحْىِ ٱلْأَرْضَ بَعْدَ مَوْتِهَا ۚ قَدْ بَيَّنَّا لَكُمُ ٱلْـَٔايَـٰتِ لَعَلَّكُمْ تَعْقِلُونَ','verse_number' => '17','verse_key' => '57:17','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '539','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5093','chapter_id' => '57','arabic_name' => 'إِنَّ ٱلْمُصَّدِّقِينَ وَٱلْمُصَّدِّقَـٰتِ وَأَقْرَضُوا۟ ٱللَّهَ قَرْضًا حَسَنًا يُضَـٰعَفُ لَهُمْ وَلَهُمْ أَجْرٌ كَرِيمٌ','verse_number' => '18','verse_key' => '57:18','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '539','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5094','chapter_id' => '57','arabic_name' => 'وَٱلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرُسُلِهِۦٓ أُو۟لَـٰٓئِكَ هُمُ ٱلصِّدِّيقُونَ ۖ وَٱلشُّهَدَآءُ عِندَ رَبِّهِمْ لَهُمْ أَجْرُهُمْ وَنُورُهُمْ ۖ وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَـٰتِنَآ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْجَحِيمِ','verse_number' => '19','verse_key' => '57:19','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '475','manzil_number' => '7','sajdah_number' => '0','page_number' => '540','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5095','chapter_id' => '57','arabic_name' => 'ٱعْلَمُوٓا۟ أَنَّمَا ٱلْحَيَوٰةُ ٱلدُّنْيَا لَعِبٌ وَلَهْوٌ وَزِينَةٌ وَتَفَاخُرٌۢ بَيْنَكُمْ وَتَكَاثُرٌ فِى ٱلْأَمْوَٰلِ وَٱلْأَوْلَـٰدِ ۖ كَمَثَلِ غَيْثٍ أَعْجَبَ ٱلْكُفَّارَ نَبَاتُهُۥ ثُمَّ يَهِيجُ فَتَرَىٰهُ مُصْفَرًّا ثُمَّ يَكُونُ حُطَـٰمًا ۖ وَفِى ٱلْـَٔاخِرَةِ عَذَابٌ شَدِيدٌ وَمَغْفِرَةٌ مِّنَ ٱللَّهِ وَرِضْوَٰنٌ ۚ وَمَا ٱلْحَيَوٰةُ ٱلدُّنْيَآ إِلَّا مَتَـٰعُ ٱلْغُرُورِ','verse_number' => '20','verse_key' => '57:20','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '476','manzil_number' => '7','sajdah_number' => '0','page_number' => '540','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5096','chapter_id' => '57','arabic_name' => 'سَابِقُوٓا۟ إِلَىٰ مَغْفِرَةٍ مِّن رَّبِّكُمْ وَجَنَّةٍ عَرْضُهَا كَعَرْضِ ٱلسَّمَآءِ وَٱلْأَرْضِ أُعِدَّتْ لِلَّذِينَ ءَامَنُوا۟ بِٱللَّهِ وَرُسُلِهِۦ ۚ ذَٰلِكَ فَضْلُ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ','verse_number' => '21','verse_key' => '57:21','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '476','manzil_number' => '7','sajdah_number' => '0','page_number' => '540','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5097','chapter_id' => '57','arabic_name' => 'مَآ أَصَابَ مِن مُّصِيبَةٍ فِى ٱلْأَرْضِ وَلَا فِىٓ أَنفُسِكُمْ إِلَّا فِى كِتَـٰبٍ مِّن قَبْلِ أَن نَّبْرَأَهَآ ۚ إِنَّ ذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌ','verse_number' => '22','verse_key' => '57:22','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '476','manzil_number' => '7','sajdah_number' => '0','page_number' => '540','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5098','chapter_id' => '57','arabic_name' => 'لِّكَيْلَا تَأْسَوْا۟ عَلَىٰ مَا فَاتَكُمْ وَلَا تَفْرَحُوا۟ بِمَآ ءَاتَىٰكُمْ ۗ وَٱللَّهُ لَا يُحِبُّ كُلَّ مُخْتَالٍ فَخُورٍ','verse_number' => '23','verse_key' => '57:23','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '476','manzil_number' => '7','sajdah_number' => '0','page_number' => '540','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5099','chapter_id' => '57','arabic_name' => 'ٱلَّذِينَ يَبْخَلُونَ وَيَأْمُرُونَ ٱلنَّاسَ بِٱلْبُخْلِ ۗ وَمَن يَتَوَلَّ فَإِنَّ ٱللَّهَ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ','verse_number' => '24','verse_key' => '57:24','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '476','manzil_number' => '7','sajdah_number' => '0','page_number' => '540','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5100','chapter_id' => '57','arabic_name' => 'لَقَدْ أَرْسَلْنَا رُسُلَنَا بِٱلْبَيِّنَـٰتِ وَأَنزَلْنَا مَعَهُمُ ٱلْكِتَـٰبَ وَٱلْمِيزَانَ لِيَقُومَ ٱلنَّاسُ بِٱلْقِسْطِ ۖ وَأَنزَلْنَا ٱلْحَدِيدَ فِيهِ بَأْسٌ شَدِيدٌ وَمَنَـٰفِعُ لِلنَّاسِ وَلِيَعْلَمَ ٱللَّهُ مَن يَنصُرُهُۥ وَرُسُلَهُۥ بِٱلْغَيْبِ ۚ إِنَّ ٱللَّهَ قَوِىٌّ عَزِيزٌ','verse_number' => '25','verse_key' => '57:25','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '476','manzil_number' => '7','sajdah_number' => '0','page_number' => '541','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5101','chapter_id' => '57','arabic_name' => 'وَلَقَدْ أَرْسَلْنَا نُوحًا وَإِبْرَٰهِيمَ وَجَعَلْنَا فِى ذُرِّيَّتِهِمَا ٱلنُّبُوَّةَ وَٱلْكِتَـٰبَ ۖ فَمِنْهُم مُّهْتَدٍ ۖ وَكَثِيرٌ مِّنْهُمْ فَـٰسِقُونَ','verse_number' => '26','verse_key' => '57:26','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '477','manzil_number' => '7','sajdah_number' => '0','page_number' => '541','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5102','chapter_id' => '57','arabic_name' => 'ثُمَّ قَفَّيْنَا عَلَىٰٓ ءَاثَـٰرِهِم بِرُسُلِنَا وَقَفَّيْنَا بِعِيسَى ٱبْنِ مَرْيَمَ وَءَاتَيْنَـٰهُ ٱلْإِنجِيلَ وَجَعَلْنَا فِى قُلُوبِ ٱلَّذِينَ ٱتَّبَعُوهُ رَأْفَةً وَرَحْمَةً وَرَهْبَانِيَّةً ٱبْتَدَعُوهَا مَا كَتَبْنَـٰهَا عَلَيْهِمْ إِلَّا ٱبْتِغَآءَ رِضْوَٰنِ ٱللَّهِ فَمَا رَعَوْهَا حَقَّ رِعَايَتِهَا ۖ فَـَٔاتَيْنَا ٱلَّذِينَ ءَامَنُوا۟ مِنْهُمْ أَجْرَهُمْ ۖ وَكَثِيرٌ مِّنْهُمْ فَـٰسِقُونَ','verse_number' => '27','verse_key' => '57:27','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '477','manzil_number' => '7','sajdah_number' => '0','page_number' => '541','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5103','chapter_id' => '57','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَءَامِنُوا۟ بِرَسُولِهِۦ يُؤْتِكُمْ كِفْلَيْنِ مِن رَّحْمَتِهِۦ وَيَجْعَل لَّكُمْ نُورًا تَمْشُونَ بِهِۦ وَيَغْفِرْ لَكُمْ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '28','verse_key' => '57:28','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '477','manzil_number' => '7','sajdah_number' => '0','page_number' => '541','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5104','chapter_id' => '57','arabic_name' => 'لِّئَلَّا يَعْلَمَ أَهْلُ ٱلْكِتَـٰبِ أَلَّا يَقْدِرُونَ عَلَىٰ شَىْءٍ مِّن فَضْلِ ٱللَّهِ ۙ وَأَنَّ ٱلْفَضْلَ بِيَدِ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ','verse_number' => '29','verse_key' => '57:29','hizb_number' => '54','rub_el_hizb_number' => '216','ruku_number' => '477','manzil_number' => '7','sajdah_number' => '0','page_number' => '541','juz_number' => '27','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5105','chapter_id' => '58','arabic_name' => 'قَدْ سَمِعَ ٱللَّهُ قَوْلَ ٱلَّتِى تُجَـٰدِلُكَ فِى زَوْجِهَا وَتَشْتَكِىٓ إِلَى ٱللَّهِ وَٱللَّهُ يَسْمَعُ تَحَاوُرَكُمَآ ۚ إِنَّ ٱللَّهَ سَمِيعٌۢ بَصِيرٌ','verse_number' => '1','verse_key' => '58:1','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '478','manzil_number' => '7','sajdah_number' => '0','page_number' => '542','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5106','chapter_id' => '58','arabic_name' => 'ٱلَّذِينَ يُظَـٰهِرُونَ مِنكُم مِّن نِّسَآئِهِم مَّا هُنَّ أُمَّهَـٰتِهِمْ ۖ إِنْ أُمَّهَـٰتُهُمْ إِلَّا ٱلَّـٰٓـِٔى وَلَدْنَهُمْ ۚ وَإِنَّهُمْ لَيَقُولُونَ مُنكَرًا مِّنَ ٱلْقَوْلِ وَزُورًا ۚ وَإِنَّ ٱللَّهَ لَعَفُوٌّ غَفُورٌ','verse_number' => '2','verse_key' => '58:2','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '478','manzil_number' => '7','sajdah_number' => '0','page_number' => '542','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5107','chapter_id' => '58','arabic_name' => 'وَٱلَّذِينَ يُظَـٰهِرُونَ مِن نِّسَآئِهِمْ ثُمَّ يَعُودُونَ لِمَا قَالُوا۟ فَتَحْرِيرُ رَقَبَةٍ مِّن قَبْلِ أَن يَتَمَآسَّا ۚ ذَٰلِكُمْ تُوعَظُونَ بِهِۦ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '3','verse_key' => '58:3','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '478','manzil_number' => '7','sajdah_number' => '0','page_number' => '542','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5108','chapter_id' => '58','arabic_name' => 'فَمَن لَّمْ يَجِدْ فَصِيَامُ شَهْرَيْنِ مُتَتَابِعَيْنِ مِن قَبْلِ أَن يَتَمَآسَّا ۖ فَمَن لَّمْ يَسْتَطِعْ فَإِطْعَامُ سِتِّينَ مِسْكِينًا ۚ ذَٰلِكَ لِتُؤْمِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ ۚ وَتِلْكَ حُدُودُ ٱللَّهِ ۗ وَلِلْكَـٰفِرِينَ عَذَابٌ أَلِيمٌ','verse_number' => '4','verse_key' => '58:4','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '478','manzil_number' => '7','sajdah_number' => '0','page_number' => '542','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5109','chapter_id' => '58','arabic_name' => 'إِنَّ ٱلَّذِينَ يُحَآدُّونَ ٱللَّهَ وَرَسُولَهُۥ كُبِتُوا۟ كَمَا كُبِتَ ٱلَّذِينَ مِن قَبْلِهِمْ ۚ وَقَدْ أَنزَلْنَآ ءَايَـٰتٍۭ بَيِّنَـٰتٍ ۚ وَلِلْكَـٰفِرِينَ عَذَابٌ مُّهِينٌ','verse_number' => '5','verse_key' => '58:5','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '478','manzil_number' => '7','sajdah_number' => '0','page_number' => '542','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5110','chapter_id' => '58','arabic_name' => 'يَوْمَ يَبْعَثُهُمُ ٱللَّهُ جَمِيعًا فَيُنَبِّئُهُم بِمَا عَمِلُوٓا۟ ۚ أَحْصَىٰهُ ٱللَّهُ وَنَسُوهُ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ شَهِيدٌ','verse_number' => '6','verse_key' => '58:6','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '478','manzil_number' => '7','sajdah_number' => '0','page_number' => '542','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5111','chapter_id' => '58','arabic_name' => 'أَلَمْ تَرَ أَنَّ ٱللَّهَ يَعْلَمُ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ مَا يَكُونُ مِن نَّجْوَىٰ ثَلَـٰثَةٍ إِلَّا هُوَ رَابِعُهُمْ وَلَا خَمْسَةٍ إِلَّا هُوَ سَادِسُهُمْ وَلَآ أَدْنَىٰ مِن ذَٰلِكَ وَلَآ أَكْثَرَ إِلَّا هُوَ مَعَهُمْ أَيْنَ مَا كَانُوا۟ ۖ ثُمَّ يُنَبِّئُهُم بِمَا عَمِلُوا۟ يَوْمَ ٱلْقِيَـٰمَةِ ۚ إِنَّ ٱللَّهَ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '7','verse_key' => '58:7','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '479','manzil_number' => '7','sajdah_number' => '0','page_number' => '543','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5112','chapter_id' => '58','arabic_name' => 'أَلَمْ تَرَ إِلَى ٱلَّذِينَ نُهُوا۟ عَنِ ٱلنَّجْوَىٰ ثُمَّ يَعُودُونَ لِمَا نُهُوا۟ عَنْهُ وَيَتَنَـٰجَوْنَ بِٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَمَعْصِيَتِ ٱلرَّسُولِ وَإِذَا جَآءُوكَ حَيَّوْكَ بِمَا لَمْ يُحَيِّكَ بِهِ ٱللَّهُ وَيَقُولُونَ فِىٓ أَنفُسِهِمْ لَوْلَا يُعَذِّبُنَا ٱللَّهُ بِمَا نَقُولُ ۚ حَسْبُهُمْ جَهَنَّمُ يَصْلَوْنَهَا ۖ فَبِئْسَ ٱلْمَصِيرُ','verse_number' => '8','verse_key' => '58:8','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '479','manzil_number' => '7','sajdah_number' => '0','page_number' => '543','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5113','chapter_id' => '58','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا تَنَـٰجَيْتُمْ فَلَا تَتَنَـٰجَوْا۟ بِٱلْإِثْمِ وَٱلْعُدْوَٰنِ وَمَعْصِيَتِ ٱلرَّسُولِ وَتَنَـٰجَوْا۟ بِٱلْبِرِّ وَٱلتَّقْوَىٰ ۖ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ إِلَيْهِ تُحْشَرُونَ','verse_number' => '9','verse_key' => '58:9','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '479','manzil_number' => '7','sajdah_number' => '0','page_number' => '543','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5114','chapter_id' => '58','arabic_name' => 'إِنَّمَا ٱلنَّجْوَىٰ مِنَ ٱلشَّيْطَـٰنِ لِيَحْزُنَ ٱلَّذِينَ ءَامَنُوا۟ وَلَيْسَ بِضَآرِّهِمْ شَيْـًٔا إِلَّا بِإِذْنِ ٱللَّهِ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ','verse_number' => '10','verse_key' => '58:10','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '479','manzil_number' => '7','sajdah_number' => '0','page_number' => '543','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5115','chapter_id' => '58','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا قِيلَ لَكُمْ تَفَسَّحُوا۟ فِى ٱلْمَجَـٰلِسِ فَٱفْسَحُوا۟ يَفْسَحِ ٱللَّهُ لَكُمْ ۖ وَإِذَا قِيلَ ٱنشُزُوا۟ فَٱنشُزُوا۟ يَرْفَعِ ٱللَّهُ ٱلَّذِينَ ءَامَنُوا۟ مِنكُمْ وَٱلَّذِينَ أُوتُوا۟ ٱلْعِلْمَ دَرَجَـٰتٍ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '11','verse_key' => '58:11','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '479','manzil_number' => '7','sajdah_number' => '0','page_number' => '543','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5116','chapter_id' => '58','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا نَـٰجَيْتُمُ ٱلرَّسُولَ فَقَدِّمُوا۟ بَيْنَ يَدَىْ نَجْوَىٰكُمْ صَدَقَةً ۚ ذَٰلِكَ خَيْرٌ لَّكُمْ وَأَطْهَرُ ۚ فَإِن لَّمْ تَجِدُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '12','verse_key' => '58:12','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '479','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5117','chapter_id' => '58','arabic_name' => 'ءَأَشْفَقْتُمْ أَن تُقَدِّمُوا۟ بَيْنَ يَدَىْ نَجْوَىٰكُمْ صَدَقَـٰتٍ ۚ فَإِذْ لَمْ تَفْعَلُوا۟ وَتَابَ ٱللَّهُ عَلَيْكُمْ فَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَأَطِيعُوا۟ ٱللَّهَ وَرَسُولَهُۥ ۚ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '13','verse_key' => '58:13','hizb_number' => '55','rub_el_hizb_number' => '217','ruku_number' => '479','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5118','chapter_id' => '58','arabic_name' => '۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ تَوَلَّوْا۟ قَوْمًا غَضِبَ ٱللَّهُ عَلَيْهِم مَّا هُم مِّنكُمْ وَلَا مِنْهُمْ وَيَحْلِفُونَ عَلَى ٱلْكَذِبِ وَهُمْ يَعْلَمُونَ','verse_number' => '14','verse_key' => '58:14','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5119','chapter_id' => '58','arabic_name' => 'أَعَدَّ ٱللَّهُ لَهُمْ عَذَابًا شَدِيدًا ۖ إِنَّهُمْ سَآءَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '15','verse_key' => '58:15','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5120','chapter_id' => '58','arabic_name' => 'ٱتَّخَذُوٓا۟ أَيْمَـٰنَهُمْ جُنَّةً فَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ فَلَهُمْ عَذَابٌ مُّهِينٌ','verse_number' => '16','verse_key' => '58:16','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5121','chapter_id' => '58','arabic_name' => 'لَّن تُغْنِىَ عَنْهُمْ أَمْوَٰلُهُمْ وَلَآ أَوْلَـٰدُهُم مِّنَ ٱللَّهِ شَيْـًٔا ۚ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ ۖ هُمْ فِيهَا خَـٰلِدُونَ','verse_number' => '17','verse_key' => '58:17','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5122','chapter_id' => '58','arabic_name' => 'يَوْمَ يَبْعَثُهُمُ ٱللَّهُ جَمِيعًا فَيَحْلِفُونَ لَهُۥ كَمَا يَحْلِفُونَ لَكُمْ ۖ وَيَحْسَبُونَ أَنَّهُمْ عَلَىٰ شَىْءٍ ۚ أَلَآ إِنَّهُمْ هُمُ ٱلْكَـٰذِبُونَ','verse_number' => '18','verse_key' => '58:18','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5123','chapter_id' => '58','arabic_name' => 'ٱسْتَحْوَذَ عَلَيْهِمُ ٱلشَّيْطَـٰنُ فَأَنسَىٰهُمْ ذِكْرَ ٱللَّهِ ۚ أُو۟لَـٰٓئِكَ حِزْبُ ٱلشَّيْطَـٰنِ ۚ أَلَآ إِنَّ حِزْبَ ٱلشَّيْطَـٰنِ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '19','verse_key' => '58:19','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5124','chapter_id' => '58','arabic_name' => 'إِنَّ ٱلَّذِينَ يُحَآدُّونَ ٱللَّهَ وَرَسُولَهُۥٓ أُو۟لَـٰٓئِكَ فِى ٱلْأَذَلِّينَ','verse_number' => '20','verse_key' => '58:20','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5125','chapter_id' => '58','arabic_name' => 'كَتَبَ ٱللَّهُ لَأَغْلِبَنَّ أَنَا۠ وَرُسُلِىٓ ۚ إِنَّ ٱللَّهَ قَوِىٌّ عَزِيزٌ','verse_number' => '21','verse_key' => '58:21','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '544','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5126','chapter_id' => '58','arabic_name' => 'لَّا تَجِدُ قَوْمًا يُؤْمِنُونَ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ يُوَآدُّونَ مَنْ حَآدَّ ٱللَّهَ وَرَسُولَهُۥ وَلَوْ كَانُوٓا۟ ءَابَآءَهُمْ أَوْ أَبْنَآءَهُمْ أَوْ إِخْوَٰنَهُمْ أَوْ عَشِيرَتَهُمْ ۚ أُو۟لَـٰٓئِكَ كَتَبَ فِى قُلُوبِهِمُ ٱلْإِيمَـٰنَ وَأَيَّدَهُم بِرُوحٍ مِّنْهُ ۖ وَيُدْخِلُهُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَا ۚ رَضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ ۚ أُو۟لَـٰٓئِكَ حِزْبُ ٱللَّهِ ۚ أَلَآ إِنَّ حِزْبَ ٱللَّهِ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '22','verse_key' => '58:22','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '480','manzil_number' => '7','sajdah_number' => '0','page_number' => '545','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5127','chapter_id' => '59','arabic_name' => 'سَبَّحَ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '1','verse_key' => '59:1','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '545','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5128','chapter_id' => '59','arabic_name' => 'هُوَ ٱلَّذِىٓ أَخْرَجَ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَـٰبِ مِن دِيَـٰرِهِمْ لِأَوَّلِ ٱلْحَشْرِ ۚ مَا ظَنَنتُمْ أَن يَخْرُجُوا۟ ۖ وَظَنُّوٓا۟ أَنَّهُم مَّانِعَتُهُمْ حُصُونُهُم مِّنَ ٱللَّهِ فَأَتَىٰهُمُ ٱللَّهُ مِنْ حَيْثُ لَمْ يَحْتَسِبُوا۟ ۖ وَقَذَفَ فِى قُلُوبِهِمُ ٱلرُّعْبَ ۚ يُخْرِبُونَ بُيُوتَهُم بِأَيْدِيهِمْ وَأَيْدِى ٱلْمُؤْمِنِينَ فَٱعْتَبِرُوا۟ يَـٰٓأُو۟لِى ٱلْأَبْصَـٰرِ','verse_number' => '2','verse_key' => '59:2','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '545','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5129','chapter_id' => '59','arabic_name' => 'وَلَوْلَآ أَن كَتَبَ ٱللَّهُ عَلَيْهِمُ ٱلْجَلَآءَ لَعَذَّبَهُمْ فِى ٱلدُّنْيَا ۖ وَلَهُمْ فِى ٱلْـَٔاخِرَةِ عَذَابُ ٱلنَّارِ','verse_number' => '3','verse_key' => '59:3','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '545','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5130','chapter_id' => '59','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمْ شَآقُّوا۟ ٱللَّهَ وَرَسُولَهُۥ ۖ وَمَن يُشَآقِّ ٱللَّهَ فَإِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ','verse_number' => '4','verse_key' => '59:4','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '546','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5131','chapter_id' => '59','arabic_name' => 'مَا قَطَعْتُم مِّن لِّينَةٍ أَوْ تَرَكْتُمُوهَا قَآئِمَةً عَلَىٰٓ أُصُولِهَا فَبِإِذْنِ ٱللَّهِ وَلِيُخْزِىَ ٱلْفَـٰسِقِينَ','verse_number' => '5','verse_key' => '59:5','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '546','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5132','chapter_id' => '59','arabic_name' => 'وَمَآ أَفَآءَ ٱللَّهُ عَلَىٰ رَسُولِهِۦ مِنْهُمْ فَمَآ أَوْجَفْتُمْ عَلَيْهِ مِنْ خَيْلٍ وَلَا رِكَابٍ وَلَـٰكِنَّ ٱللَّهَ يُسَلِّطُ رُسُلَهُۥ عَلَىٰ مَن يَشَآءُ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '6','verse_key' => '59:6','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '546','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5133','chapter_id' => '59','arabic_name' => 'مَّآ أَفَآءَ ٱللَّهُ عَلَىٰ رَسُولِهِۦ مِنْ أَهْلِ ٱلْقُرَىٰ فَلِلَّهِ وَلِلرَّسُولِ وَلِذِى ٱلْقُرْبَىٰ وَٱلْيَتَـٰمَىٰ وَٱلْمَسَـٰكِينِ وَٱبْنِ ٱلسَّبِيلِ كَىْ لَا يَكُونَ دُولَةًۢ بَيْنَ ٱلْأَغْنِيَآءِ مِنكُمْ ۚ وَمَآ ءَاتَىٰكُمُ ٱلرَّسُولُ فَخُذُوهُ وَمَا نَهَىٰكُمْ عَنْهُ فَٱنتَهُوا۟ ۚ وَٱتَّقُوا۟ ٱللَّهَ ۖ إِنَّ ٱللَّهَ شَدِيدُ ٱلْعِقَابِ','verse_number' => '7','verse_key' => '59:7','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '546','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5134','chapter_id' => '59','arabic_name' => 'لِلْفُقَرَآءِ ٱلْمُهَـٰجِرِينَ ٱلَّذِينَ أُخْرِجُوا۟ مِن دِيَـٰرِهِمْ وَأَمْوَٰلِهِمْ يَبْتَغُونَ فَضْلًا مِّنَ ٱللَّهِ وَرِضْوَٰنًا وَيَنصُرُونَ ٱللَّهَ وَرَسُولَهُۥٓ ۚ أُو۟لَـٰٓئِكَ هُمُ ٱلصَّـٰدِقُونَ','verse_number' => '8','verse_key' => '59:8','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '546','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5135','chapter_id' => '59','arabic_name' => 'وَٱلَّذِينَ تَبَوَّءُو ٱلدَّارَ وَٱلْإِيمَـٰنَ مِن قَبْلِهِمْ يُحِبُّونَ مَنْ هَاجَرَ إِلَيْهِمْ وَلَا يَجِدُونَ فِى صُدُورِهِمْ حَاجَةً مِّمَّآ أُوتُوا۟ وَيُؤْثِرُونَ عَلَىٰٓ أَنفُسِهِمْ وَلَوْ كَانَ بِهِمْ خَصَاصَةٌ ۚ وَمَن يُوقَ شُحَّ نَفْسِهِۦ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '9','verse_key' => '59:9','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '546','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5136','chapter_id' => '59','arabic_name' => 'وَٱلَّذِينَ جَآءُو مِنۢ بَعْدِهِمْ يَقُولُونَ رَبَّنَا ٱغْفِرْ لَنَا وَلِإِخْوَٰنِنَا ٱلَّذِينَ سَبَقُونَا بِٱلْإِيمَـٰنِ وَلَا تَجْعَلْ فِى قُلُوبِنَا غِلًّا لِّلَّذِينَ ءَامَنُوا۟ رَبَّنَآ إِنَّكَ رَءُوفٌ رَّحِيمٌ','verse_number' => '10','verse_key' => '59:10','hizb_number' => '55','rub_el_hizb_number' => '218','ruku_number' => '481','manzil_number' => '7','sajdah_number' => '0','page_number' => '547','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5137','chapter_id' => '59','arabic_name' => '۞ أَلَمْ تَرَ إِلَى ٱلَّذِينَ نَافَقُوا۟ يَقُولُونَ لِإِخْوَٰنِهِمُ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَـٰبِ لَئِنْ أُخْرِجْتُمْ لَنَخْرُجَنَّ مَعَكُمْ وَلَا نُطِيعُ فِيكُمْ أَحَدًا أَبَدًا وَإِن قُوتِلْتُمْ لَنَنصُرَنَّكُمْ وَٱللَّهُ يَشْهَدُ إِنَّهُمْ لَكَـٰذِبُونَ','verse_number' => '11','verse_key' => '59:11','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '482','manzil_number' => '7','sajdah_number' => '0','page_number' => '547','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5138','chapter_id' => '59','arabic_name' => 'لَئِنْ أُخْرِجُوا۟ لَا يَخْرُجُونَ مَعَهُمْ وَلَئِن قُوتِلُوا۟ لَا يَنصُرُونَهُمْ وَلَئِن نَّصَرُوهُمْ لَيُوَلُّنَّ ٱلْأَدْبَـٰرَ ثُمَّ لَا يُنصَرُونَ','verse_number' => '12','verse_key' => '59:12','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '482','manzil_number' => '7','sajdah_number' => '0','page_number' => '547','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5139','chapter_id' => '59','arabic_name' => 'لَأَنتُمْ أَشَدُّ رَهْبَةً فِى صُدُورِهِم مِّنَ ٱللَّهِ ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌ لَّا يَفْقَهُونَ','verse_number' => '13','verse_key' => '59:13','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '482','manzil_number' => '7','sajdah_number' => '0','page_number' => '547','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5140','chapter_id' => '59','arabic_name' => 'لَا يُقَـٰتِلُونَكُمْ جَمِيعًا إِلَّا فِى قُرًى مُّحَصَّنَةٍ أَوْ مِن وَرَآءِ جُدُرٍۭ ۚ بَأْسُهُم بَيْنَهُمْ شَدِيدٌ ۚ تَحْسَبُهُمْ جَمِيعًا وَقُلُوبُهُمْ شَتَّىٰ ۚ ذَٰلِكَ بِأَنَّهُمْ قَوْمٌ لَّا يَعْقِلُونَ','verse_number' => '14','verse_key' => '59:14','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '482','manzil_number' => '7','sajdah_number' => '0','page_number' => '547','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5141','chapter_id' => '59','arabic_name' => 'كَمَثَلِ ٱلَّذِينَ مِن قَبْلِهِمْ قَرِيبًا ۖ ذَاقُوا۟ وَبَالَ أَمْرِهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '15','verse_key' => '59:15','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '482','manzil_number' => '7','sajdah_number' => '0','page_number' => '547','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5142','chapter_id' => '59','arabic_name' => 'كَمَثَلِ ٱلشَّيْطَـٰنِ إِذْ قَالَ لِلْإِنسَـٰنِ ٱكْفُرْ فَلَمَّا كَفَرَ قَالَ إِنِّى بَرِىٓءٌ مِّنكَ إِنِّىٓ أَخَافُ ٱللَّهَ رَبَّ ٱلْعَـٰلَمِينَ','verse_number' => '16','verse_key' => '59:16','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '482','manzil_number' => '7','sajdah_number' => '0','page_number' => '547','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5143','chapter_id' => '59','arabic_name' => 'فَكَانَ عَـٰقِبَتَهُمَآ أَنَّهُمَا فِى ٱلنَّارِ خَـٰلِدَيْنِ فِيهَا ۚ وَذَٰلِكَ جَزَٰٓؤُا۟ ٱلظَّـٰلِمِينَ','verse_number' => '17','verse_key' => '59:17','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '482','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5144','chapter_id' => '59','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ ٱتَّقُوا۟ ٱللَّهَ وَلْتَنظُرْ نَفْسٌ مَّا قَدَّمَتْ لِغَدٍ ۖ وَٱتَّقُوا۟ ٱللَّهَ ۚ إِنَّ ٱللَّهَ خَبِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '18','verse_key' => '59:18','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '483','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5145','chapter_id' => '59','arabic_name' => 'وَلَا تَكُونُوا۟ كَٱلَّذِينَ نَسُوا۟ ٱللَّهَ فَأَنسَىٰهُمْ أَنفُسَهُمْ ۚ أُو۟لَـٰٓئِكَ هُمُ ٱلْفَـٰسِقُونَ','verse_number' => '19','verse_key' => '59:19','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '483','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5146','chapter_id' => '59','arabic_name' => 'لَا يَسْتَوِىٓ أَصْحَـٰبُ ٱلنَّارِ وَأَصْحَـٰبُ ٱلْجَنَّةِ ۚ أَصْحَـٰبُ ٱلْجَنَّةِ هُمُ ٱلْفَآئِزُونَ','verse_number' => '20','verse_key' => '59:20','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '483','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5147','chapter_id' => '59','arabic_name' => 'لَوْ أَنزَلْنَا هَـٰذَا ٱلْقُرْءَانَ عَلَىٰ جَبَلٍ لَّرَأَيْتَهُۥ خَـٰشِعًا مُّتَصَدِّعًا مِّنْ خَشْيَةِ ٱللَّهِ ۚ وَتِلْكَ ٱلْأَمْثَـٰلُ نَضْرِبُهَا لِلنَّاسِ لَعَلَّهُمْ يَتَفَكَّرُونَ','verse_number' => '21','verse_key' => '59:21','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '483','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5148','chapter_id' => '59','arabic_name' => 'هُوَ ٱللَّهُ ٱلَّذِى لَآ إِلَـٰهَ إِلَّا هُوَ ۖ عَـٰلِمُ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ ۖ هُوَ ٱلرَّحْمَـٰنُ ٱلرَّحِيمُ','verse_number' => '22','verse_key' => '59:22','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '483','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5149','chapter_id' => '59','arabic_name' => 'هُوَ ٱللَّهُ ٱلَّذِى لَآ إِلَـٰهَ إِلَّا هُوَ ٱلْمَلِكُ ٱلْقُدُّوسُ ٱلسَّلَـٰمُ ٱلْمُؤْمِنُ ٱلْمُهَيْمِنُ ٱلْعَزِيزُ ٱلْجَبَّارُ ٱلْمُتَكَبِّرُ ۚ سُبْحَـٰنَ ٱللَّهِ عَمَّا يُشْرِكُونَ','verse_number' => '23','verse_key' => '59:23','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '483','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5150','chapter_id' => '59','arabic_name' => 'هُوَ ٱللَّهُ ٱلْخَـٰلِقُ ٱلْبَارِئُ ٱلْمُصَوِّرُ ۖ لَهُ ٱلْأَسْمَآءُ ٱلْحُسْنَىٰ ۚ يُسَبِّحُ لَهُۥ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '24','verse_key' => '59:24','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '483','manzil_number' => '7','sajdah_number' => '0','page_number' => '548','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5151','chapter_id' => '60','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَّخِذُوا۟ عَدُوِّى وَعَدُوَّكُمْ أَوْلِيَآءَ تُلْقُونَ إِلَيْهِم بِٱلْمَوَدَّةِ وَقَدْ كَفَرُوا۟ بِمَا جَآءَكُم مِّنَ ٱلْحَقِّ يُخْرِجُونَ ٱلرَّسُولَ وَإِيَّاكُمْ ۙ أَن تُؤْمِنُوا۟ بِٱللَّهِ رَبِّكُمْ إِن كُنتُمْ خَرَجْتُمْ جِهَـٰدًا فِى سَبِيلِى وَٱبْتِغَآءَ مَرْضَاتِى ۚ تُسِرُّونَ إِلَيْهِم بِٱلْمَوَدَّةِ وَأَنَا۠ أَعْلَمُ بِمَآ أَخْفَيْتُمْ وَمَآ أَعْلَنتُمْ ۚ وَمَن يَفْعَلْهُ مِنكُمْ فَقَدْ ضَلَّ سَوَآءَ ٱلسَّبِيلِ','verse_number' => '1','verse_key' => '60:1','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '484','manzil_number' => '7','sajdah_number' => '0','page_number' => '549','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5152','chapter_id' => '60','arabic_name' => 'إِن يَثْقَفُوكُمْ يَكُونُوا۟ لَكُمْ أَعْدَآءً وَيَبْسُطُوٓا۟ إِلَيْكُمْ أَيْدِيَهُمْ وَأَلْسِنَتَهُم بِٱلسُّوٓءِ وَوَدُّوا۟ لَوْ تَكْفُرُونَ','verse_number' => '2','verse_key' => '60:2','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '484','manzil_number' => '7','sajdah_number' => '0','page_number' => '549','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5153','chapter_id' => '60','arabic_name' => 'لَن تَنفَعَكُمْ أَرْحَامُكُمْ وَلَآ أَوْلَـٰدُكُمْ ۚ يَوْمَ ٱلْقِيَـٰمَةِ يَفْصِلُ بَيْنَكُمْ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '3','verse_key' => '60:3','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '484','manzil_number' => '7','sajdah_number' => '0','page_number' => '549','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5154','chapter_id' => '60','arabic_name' => 'قَدْ كَانَتْ لَكُمْ أُسْوَةٌ حَسَنَةٌ فِىٓ إِبْرَٰهِيمَ وَٱلَّذِينَ مَعَهُۥٓ إِذْ قَالُوا۟ لِقَوْمِهِمْ إِنَّا بُرَءَٰٓؤُا۟ مِنكُمْ وَمِمَّا تَعْبُدُونَ مِن دُونِ ٱللَّهِ كَفَرْنَا بِكُمْ وَبَدَا بَيْنَنَا وَبَيْنَكُمُ ٱلْعَدَٰوَةُ وَٱلْبَغْضَآءُ أَبَدًا حَتَّىٰ تُؤْمِنُوا۟ بِٱللَّهِ وَحْدَهُۥٓ إِلَّا قَوْلَ إِبْرَٰهِيمَ لِأَبِيهِ لَأَسْتَغْفِرَنَّ لَكَ وَمَآ أَمْلِكُ لَكَ مِنَ ٱللَّهِ مِن شَىْءٍ ۖ رَّبَّنَا عَلَيْكَ تَوَكَّلْنَا وَإِلَيْكَ أَنَبْنَا وَإِلَيْكَ ٱلْمَصِيرُ','verse_number' => '4','verse_key' => '60:4','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '484','manzil_number' => '7','sajdah_number' => '0','page_number' => '549','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5155','chapter_id' => '60','arabic_name' => 'رَبَّنَا لَا تَجْعَلْنَا فِتْنَةً لِّلَّذِينَ كَفَرُوا۟ وَٱغْفِرْ لَنَا رَبَّنَآ ۖ إِنَّكَ أَنتَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '5','verse_key' => '60:5','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '484','manzil_number' => '7','sajdah_number' => '0','page_number' => '549','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5156','chapter_id' => '60','arabic_name' => 'لَقَدْ كَانَ لَكُمْ فِيهِمْ أُسْوَةٌ حَسَنَةٌ لِّمَن كَانَ يَرْجُوا۟ ٱللَّهَ وَٱلْيَوْمَ ٱلْـَٔاخِرَ ۚ وَمَن يَتَوَلَّ فَإِنَّ ٱللَّهَ هُوَ ٱلْغَنِىُّ ٱلْحَمِيدُ','verse_number' => '6','verse_key' => '60:6','hizb_number' => '55','rub_el_hizb_number' => '219','ruku_number' => '484','manzil_number' => '7','sajdah_number' => '0','page_number' => '550','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5157','chapter_id' => '60','arabic_name' => '۞ عَسَى ٱللَّهُ أَن يَجْعَلَ بَيْنَكُمْ وَبَيْنَ ٱلَّذِينَ عَادَيْتُم مِّنْهُم مَّوَدَّةً ۚ وَٱللَّهُ قَدِيرٌ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '7','verse_key' => '60:7','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '485','manzil_number' => '7','sajdah_number' => '0','page_number' => '550','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5158','chapter_id' => '60','arabic_name' => 'لَّا يَنْهَىٰكُمُ ٱللَّهُ عَنِ ٱلَّذِينَ لَمْ يُقَـٰتِلُوكُمْ فِى ٱلدِّينِ وَلَمْ يُخْرِجُوكُم مِّن دِيَـٰرِكُمْ أَن تَبَرُّوهُمْ وَتُقْسِطُوٓا۟ إِلَيْهِمْ ۚ إِنَّ ٱللَّهَ يُحِبُّ ٱلْمُقْسِطِينَ','verse_number' => '8','verse_key' => '60:8','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '485','manzil_number' => '7','sajdah_number' => '0','page_number' => '550','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5159','chapter_id' => '60','arabic_name' => 'إِنَّمَا يَنْهَىٰكُمُ ٱللَّهُ عَنِ ٱلَّذِينَ قَـٰتَلُوكُمْ فِى ٱلدِّينِ وَأَخْرَجُوكُم مِّن دِيَـٰرِكُمْ وَظَـٰهَرُوا۟ عَلَىٰٓ إِخْرَاجِكُمْ أَن تَوَلَّوْهُمْ ۚ وَمَن يَتَوَلَّهُمْ فَأُو۟لَـٰٓئِكَ هُمُ ٱلظَّـٰلِمُونَ','verse_number' => '9','verse_key' => '60:9','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '485','manzil_number' => '7','sajdah_number' => '0','page_number' => '550','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5160','chapter_id' => '60','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا جَآءَكُمُ ٱلْمُؤْمِنَـٰتُ مُهَـٰجِرَٰتٍ فَٱمْتَحِنُوهُنَّ ۖ ٱللَّهُ أَعْلَمُ بِإِيمَـٰنِهِنَّ ۖ فَإِنْ عَلِمْتُمُوهُنَّ مُؤْمِنَـٰتٍ فَلَا تَرْجِعُوهُنَّ إِلَى ٱلْكُفَّارِ ۖ لَا هُنَّ حِلٌّ لَّهُمْ وَلَا هُمْ يَحِلُّونَ لَهُنَّ ۖ وَءَاتُوهُم مَّآ أَنفَقُوا۟ ۚ وَلَا جُنَاحَ عَلَيْكُمْ أَن تَنكِحُوهُنَّ إِذَآ ءَاتَيْتُمُوهُنَّ أُجُورَهُنَّ ۚ وَلَا تُمْسِكُوا۟ بِعِصَمِ ٱلْكَوَافِرِ وَسْـَٔلُوا۟ مَآ أَنفَقْتُمْ وَلْيَسْـَٔلُوا۟ مَآ أَنفَقُوا۟ ۚ ذَٰلِكُمْ حُكْمُ ٱللَّهِ ۖ يَحْكُمُ بَيْنَكُمْ ۚ وَٱللَّهُ عَلِيمٌ حَكِيمٌ','verse_number' => '10','verse_key' => '60:10','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '485','manzil_number' => '7','sajdah_number' => '0','page_number' => '550','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5161','chapter_id' => '60','arabic_name' => 'وَإِن فَاتَكُمْ شَىْءٌ مِّنْ أَزْوَٰجِكُمْ إِلَى ٱلْكُفَّارِ فَعَاقَبْتُمْ فَـَٔاتُوا۟ ٱلَّذِينَ ذَهَبَتْ أَزْوَٰجُهُم مِّثْلَ مَآ أَنفَقُوا۟ ۚ وَٱتَّقُوا۟ ٱللَّهَ ٱلَّذِىٓ أَنتُم بِهِۦ مُؤْمِنُونَ','verse_number' => '11','verse_key' => '60:11','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '485','manzil_number' => '7','sajdah_number' => '0','page_number' => '550','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5162','chapter_id' => '60','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ إِذَا جَآءَكَ ٱلْمُؤْمِنَـٰتُ يُبَايِعْنَكَ عَلَىٰٓ أَن لَّا يُشْرِكْنَ بِٱللَّهِ شَيْـًٔا وَلَا يَسْرِقْنَ وَلَا يَزْنِينَ وَلَا يَقْتُلْنَ أَوْلَـٰدَهُنَّ وَلَا يَأْتِينَ بِبُهْتَـٰنٍ يَفْتَرِينَهُۥ بَيْنَ أَيْدِيهِنَّ وَأَرْجُلِهِنَّ وَلَا يَعْصِينَكَ فِى مَعْرُوفٍ ۙ فَبَايِعْهُنَّ وَٱسْتَغْفِرْ لَهُنَّ ٱللَّهَ ۖ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '12','verse_key' => '60:12','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '485','manzil_number' => '7','sajdah_number' => '0','page_number' => '551','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5163','chapter_id' => '60','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تَتَوَلَّوْا۟ قَوْمًا غَضِبَ ٱللَّهُ عَلَيْهِمْ قَدْ يَئِسُوا۟ مِنَ ٱلْـَٔاخِرَةِ كَمَا يَئِسَ ٱلْكُفَّارُ مِنْ أَصْحَـٰبِ ٱلْقُبُورِ','verse_number' => '13','verse_key' => '60:13','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '485','manzil_number' => '7','sajdah_number' => '0','page_number' => '551','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5164','chapter_id' => '61','arabic_name' => 'سَبَّحَ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '1','verse_key' => '61:1','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '551','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5165','chapter_id' => '61','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لِمَ تَقُولُونَ مَا لَا تَفْعَلُونَ','verse_number' => '2','verse_key' => '61:2','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '551','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5166','chapter_id' => '61','arabic_name' => 'كَبُرَ مَقْتًا عِندَ ٱللَّهِ أَن تَقُولُوا۟ مَا لَا تَفْعَلُونَ','verse_number' => '3','verse_key' => '61:3','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '551','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5167','chapter_id' => '61','arabic_name' => 'إِنَّ ٱللَّهَ يُحِبُّ ٱلَّذِينَ يُقَـٰتِلُونَ فِى سَبِيلِهِۦ صَفًّا كَأَنَّهُم بُنْيَـٰنٌ مَّرْصُوصٌ','verse_number' => '4','verse_key' => '61:4','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '551','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5168','chapter_id' => '61','arabic_name' => 'وَإِذْ قَالَ مُوسَىٰ لِقَوْمِهِۦ يَـٰقَوْمِ لِمَ تُؤْذُونَنِى وَقَد تَّعْلَمُونَ أَنِّى رَسُولُ ٱللَّهِ إِلَيْكُمْ ۖ فَلَمَّا زَاغُوٓا۟ أَزَاغَ ٱللَّهُ قُلُوبَهُمْ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَـٰسِقِينَ','verse_number' => '5','verse_key' => '61:5','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '551','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5169','chapter_id' => '61','arabic_name' => 'وَإِذْ قَالَ عِيسَى ٱبْنُ مَرْيَمَ يَـٰبَنِىٓ إِسْرَٰٓءِيلَ إِنِّى رَسُولُ ٱللَّهِ إِلَيْكُم مُّصَدِّقًا لِّمَا بَيْنَ يَدَىَّ مِنَ ٱلتَّوْرَىٰةِ وَمُبَشِّرًۢا بِرَسُولٍ يَأْتِى مِنۢ بَعْدِى ٱسْمُهُۥٓ أَحْمَدُ ۖ فَلَمَّا جَآءَهُم بِٱلْبَيِّنَـٰتِ قَالُوا۟ هَـٰذَا سِحْرٌ مُّبِينٌ','verse_number' => '6','verse_key' => '61:6','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5170','chapter_id' => '61','arabic_name' => 'وَمَنْ أَظْلَمُ مِمَّنِ ٱفْتَرَىٰ عَلَى ٱللَّهِ ٱلْكَذِبَ وَهُوَ يُدْعَىٰٓ إِلَى ٱلْإِسْلَـٰمِ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '7','verse_key' => '61:7','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5171','chapter_id' => '61','arabic_name' => 'يُرِيدُونَ لِيُطْفِـُٔوا۟ نُورَ ٱللَّهِ بِأَفْوَٰهِهِمْ وَٱللَّهُ مُتِمُّ نُورِهِۦ وَلَوْ كَرِهَ ٱلْكَـٰفِرُونَ','verse_number' => '8','verse_key' => '61:8','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5172','chapter_id' => '61','arabic_name' => 'هُوَ ٱلَّذِىٓ أَرْسَلَ رَسُولَهُۥ بِٱلْهُدَىٰ وَدِينِ ٱلْحَقِّ لِيُظْهِرَهُۥ عَلَى ٱلدِّينِ كُلِّهِۦ وَلَوْ كَرِهَ ٱلْمُشْرِكُونَ','verse_number' => '9','verse_key' => '61:9','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '486','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5173','chapter_id' => '61','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ هَلْ أَدُلُّكُمْ عَلَىٰ تِجَـٰرَةٍ تُنجِيكُم مِّنْ عَذَابٍ أَلِيمٍ','verse_number' => '10','verse_key' => '61:10','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '487','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5174','chapter_id' => '61','arabic_name' => 'تُؤْمِنُونَ بِٱللَّهِ وَرَسُولِهِۦ وَتُجَـٰهِدُونَ فِى سَبِيلِ ٱللَّهِ بِأَمْوَٰلِكُمْ وَأَنفُسِكُمْ ۚ ذَٰلِكُمْ خَيْرٌ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '11','verse_key' => '61:11','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '487','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5175','chapter_id' => '61','arabic_name' => 'يَغْفِرْ لَكُمْ ذُنُوبَكُمْ وَيُدْخِلْكُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ وَمَسَـٰكِنَ طَيِّبَةً فِى جَنَّـٰتِ عَدْنٍ ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '12','verse_key' => '61:12','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '487','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5176','chapter_id' => '61','arabic_name' => 'وَأُخْرَىٰ تُحِبُّونَهَا ۖ نَصْرٌ مِّنَ ٱللَّهِ وَفَتْحٌ قَرِيبٌ ۗ وَبَشِّرِ ٱلْمُؤْمِنِينَ','verse_number' => '13','verse_key' => '61:13','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '487','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5177','chapter_id' => '61','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ كُونُوٓا۟ أَنصَارَ ٱللَّهِ كَمَا قَالَ عِيسَى ٱبْنُ مَرْيَمَ لِلْحَوَارِيِّـۧنَ مَنْ أَنصَارِىٓ إِلَى ٱللَّهِ ۖ قَالَ ٱلْحَوَارِيُّونَ نَحْنُ أَنصَارُ ٱللَّهِ ۖ فَـَٔامَنَت طَّآئِفَةٌ مِّنۢ بَنِىٓ إِسْرَٰٓءِيلَ وَكَفَرَت طَّآئِفَةٌ ۖ فَأَيَّدْنَا ٱلَّذِينَ ءَامَنُوا۟ عَلَىٰ عَدُوِّهِمْ فَأَصْبَحُوا۟ ظَـٰهِرِينَ','verse_number' => '14','verse_key' => '61:14','hizb_number' => '55','rub_el_hizb_number' => '220','ruku_number' => '487','manzil_number' => '7','sajdah_number' => '0','page_number' => '552','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5178','chapter_id' => '62','arabic_name' => 'يُسَبِّحُ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ٱلْمَلِكِ ٱلْقُدُّوسِ ٱلْعَزِيزِ ٱلْحَكِيمِ','verse_number' => '1','verse_key' => '62:1','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5179','chapter_id' => '62','arabic_name' => 'هُوَ ٱلَّذِى بَعَثَ فِى ٱلْأُمِّيِّـۧنَ رَسُولًا مِّنْهُمْ يَتْلُوا۟ عَلَيْهِمْ ءَايَـٰتِهِۦ وَيُزَكِّيهِمْ وَيُعَلِّمُهُمُ ٱلْكِتَـٰبَ وَٱلْحِكْمَةَ وَإِن كَانُوا۟ مِن قَبْلُ لَفِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '2','verse_key' => '62:2','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5180','chapter_id' => '62','arabic_name' => 'وَءَاخَرِينَ مِنْهُمْ لَمَّا يَلْحَقُوا۟ بِهِمْ ۚ وَهُوَ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '3','verse_key' => '62:3','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5181','chapter_id' => '62','arabic_name' => 'ذَٰلِكَ فَضْلُ ٱللَّهِ يُؤْتِيهِ مَن يَشَآءُ ۚ وَٱللَّهُ ذُو ٱلْفَضْلِ ٱلْعَظِيمِ','verse_number' => '4','verse_key' => '62:4','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:07','updated_at' => '2023-12-01 17:30:07'),
            array('id' => '5182','chapter_id' => '62','arabic_name' => 'مَثَلُ ٱلَّذِينَ حُمِّلُوا۟ ٱلتَّوْرَىٰةَ ثُمَّ لَمْ يَحْمِلُوهَا كَمَثَلِ ٱلْحِمَارِ يَحْمِلُ أَسْفَارًۢا ۚ بِئْسَ مَثَلُ ٱلْقَوْمِ ٱلَّذِينَ كَذَّبُوا۟ بِـَٔايَـٰتِ ٱللَّهِ ۚ وَٱللَّهُ لَا يَهْدِى ٱلْقَوْمَ ٱلظَّـٰلِمِينَ','verse_number' => '5','verse_key' => '62:5','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5183','chapter_id' => '62','arabic_name' => 'قُلْ يَـٰٓأَيُّهَا ٱلَّذِينَ هَادُوٓا۟ إِن زَعَمْتُمْ أَنَّكُمْ أَوْلِيَآءُ لِلَّهِ مِن دُونِ ٱلنَّاسِ فَتَمَنَّوُا۟ ٱلْمَوْتَ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '6','verse_key' => '62:6','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5184','chapter_id' => '62','arabic_name' => 'وَلَا يَتَمَنَّوْنَهُۥٓ أَبَدًۢا بِمَا قَدَّمَتْ أَيْدِيهِمْ ۚ وَٱللَّهُ عَلِيمٌۢ بِٱلظَّـٰلِمِينَ','verse_number' => '7','verse_key' => '62:7','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5185','chapter_id' => '62','arabic_name' => 'قُلْ إِنَّ ٱلْمَوْتَ ٱلَّذِى تَفِرُّونَ مِنْهُ فَإِنَّهُۥ مُلَـٰقِيكُمْ ۖ ثُمَّ تُرَدُّونَ إِلَىٰ عَـٰلِمِ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ فَيُنَبِّئُكُم بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '8','verse_key' => '62:8','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '488','manzil_number' => '7','sajdah_number' => '0','page_number' => '553','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5186','chapter_id' => '62','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِذَا نُودِىَ لِلصَّلَوٰةِ مِن يَوْمِ ٱلْجُمُعَةِ فَٱسْعَوْا۟ إِلَىٰ ذِكْرِ ٱللَّهِ وَذَرُوا۟ ٱلْبَيْعَ ۚ ذَٰلِكُمْ خَيْرٌ لَّكُمْ إِن كُنتُمْ تَعْلَمُونَ','verse_number' => '9','verse_key' => '62:9','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '489','manzil_number' => '7','sajdah_number' => '0','page_number' => '554','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5187','chapter_id' => '62','arabic_name' => 'فَإِذَا قُضِيَتِ ٱلصَّلَوٰةُ فَٱنتَشِرُوا۟ فِى ٱلْأَرْضِ وَٱبْتَغُوا۟ مِن فَضْلِ ٱللَّهِ وَٱذْكُرُوا۟ ٱللَّهَ كَثِيرًا لَّعَلَّكُمْ تُفْلِحُونَ','verse_number' => '10','verse_key' => '62:10','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '489','manzil_number' => '7','sajdah_number' => '0','page_number' => '554','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5188','chapter_id' => '62','arabic_name' => 'وَإِذَا رَأَوْا۟ تِجَـٰرَةً أَوْ لَهْوًا ٱنفَضُّوٓا۟ إِلَيْهَا وَتَرَكُوكَ قَآئِمًا ۚ قُلْ مَا عِندَ ٱللَّهِ خَيْرٌ مِّنَ ٱللَّهْوِ وَمِنَ ٱلتِّجَـٰرَةِ ۚ وَٱللَّهُ خَيْرُ ٱلرَّٰزِقِينَ','verse_number' => '11','verse_key' => '62:11','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '489','manzil_number' => '7','sajdah_number' => '0','page_number' => '554','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5189','chapter_id' => '63','arabic_name' => 'إِذَا جَآءَكَ ٱلْمُنَـٰفِقُونَ قَالُوا۟ نَشْهَدُ إِنَّكَ لَرَسُولُ ٱللَّهِ ۗ وَٱللَّهُ يَعْلَمُ إِنَّكَ لَرَسُولُهُۥ وَٱللَّهُ يَشْهَدُ إِنَّ ٱلْمُنَـٰفِقِينَ لَكَـٰذِبُونَ','verse_number' => '1','verse_key' => '63:1','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '554','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5190','chapter_id' => '63','arabic_name' => 'ٱتَّخَذُوٓا۟ أَيْمَـٰنَهُمْ جُنَّةً فَصَدُّوا۟ عَن سَبِيلِ ٱللَّهِ ۚ إِنَّهُمْ سَآءَ مَا كَانُوا۟ يَعْمَلُونَ','verse_number' => '2','verse_key' => '63:2','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '554','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5191','chapter_id' => '63','arabic_name' => 'ذَٰلِكَ بِأَنَّهُمْ ءَامَنُوا۟ ثُمَّ كَفَرُوا۟ فَطُبِعَ عَلَىٰ قُلُوبِهِمْ فَهُمْ لَا يَفْقَهُونَ','verse_number' => '3','verse_key' => '63:3','hizb_number' => '56','rub_el_hizb_number' => '221','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '554','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5192','chapter_id' => '63','arabic_name' => '۞ وَإِذَا رَأَيْتَهُمْ تُعْجِبُكَ أَجْسَامُهُمْ ۖ وَإِن يَقُولُوا۟ تَسْمَعْ لِقَوْلِهِمْ ۖ كَأَنَّهُمْ خُشُبٌ مُّسَنَّدَةٌ ۖ يَحْسَبُونَ كُلَّ صَيْحَةٍ عَلَيْهِمْ ۚ هُمُ ٱلْعَدُوُّ فَٱحْذَرْهُمْ ۚ قَـٰتَلَهُمُ ٱللَّهُ ۖ أَنَّىٰ يُؤْفَكُونَ','verse_number' => '4','verse_key' => '63:4','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '554','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5193','chapter_id' => '63','arabic_name' => 'وَإِذَا قِيلَ لَهُمْ تَعَالَوْا۟ يَسْتَغْفِرْ لَكُمْ رَسُولُ ٱللَّهِ لَوَّوْا۟ رُءُوسَهُمْ وَرَأَيْتَهُمْ يَصُدُّونَ وَهُم مُّسْتَكْبِرُونَ','verse_number' => '5','verse_key' => '63:5','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '555','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5194','chapter_id' => '63','arabic_name' => 'سَوَآءٌ عَلَيْهِمْ أَسْتَغْفَرْتَ لَهُمْ أَمْ لَمْ تَسْتَغْفِرْ لَهُمْ لَن يَغْفِرَ ٱللَّهُ لَهُمْ ۚ إِنَّ ٱللَّهَ لَا يَهْدِى ٱلْقَوْمَ ٱلْفَـٰسِقِينَ','verse_number' => '6','verse_key' => '63:6','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '555','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5195','chapter_id' => '63','arabic_name' => 'هُمُ ٱلَّذِينَ يَقُولُونَ لَا تُنفِقُوا۟ عَلَىٰ مَنْ عِندَ رَسُولِ ٱللَّهِ حَتَّىٰ يَنفَضُّوا۟ ۗ وَلِلَّهِ خَزَآئِنُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَلَـٰكِنَّ ٱلْمُنَـٰفِقِينَ لَا يَفْقَهُونَ','verse_number' => '7','verse_key' => '63:7','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '555','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5196','chapter_id' => '63','arabic_name' => 'يَقُولُونَ لَئِن رَّجَعْنَآ إِلَى ٱلْمَدِينَةِ لَيُخْرِجَنَّ ٱلْأَعَزُّ مِنْهَا ٱلْأَذَلَّ ۚ وَلِلَّهِ ٱلْعِزَّةُ وَلِرَسُولِهِۦ وَلِلْمُؤْمِنِينَ وَلَـٰكِنَّ ٱلْمُنَـٰفِقِينَ لَا يَعْلَمُونَ','verse_number' => '8','verse_key' => '63:8','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '490','manzil_number' => '7','sajdah_number' => '0','page_number' => '555','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5197','chapter_id' => '63','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ لَا تُلْهِكُمْ أَمْوَٰلُكُمْ وَلَآ أَوْلَـٰدُكُمْ عَن ذِكْرِ ٱللَّهِ ۚ وَمَن يَفْعَلْ ذَٰلِكَ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْخَـٰسِرُونَ','verse_number' => '9','verse_key' => '63:9','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '491','manzil_number' => '7','sajdah_number' => '0','page_number' => '555','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5198','chapter_id' => '63','arabic_name' => 'وَأَنفِقُوا۟ مِن مَّا رَزَقْنَـٰكُم مِّن قَبْلِ أَن يَأْتِىَ أَحَدَكُمُ ٱلْمَوْتُ فَيَقُولَ رَبِّ لَوْلَآ أَخَّرْتَنِىٓ إِلَىٰٓ أَجَلٍ قَرِيبٍ فَأَصَّدَّقَ وَأَكُن مِّنَ ٱلصَّـٰلِحِينَ','verse_number' => '10','verse_key' => '63:10','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '491','manzil_number' => '7','sajdah_number' => '0','page_number' => '555','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5199','chapter_id' => '63','arabic_name' => 'وَلَن يُؤَخِّرَ ٱللَّهُ نَفْسًا إِذَا جَآءَ أَجَلُهَا ۚ وَٱللَّهُ خَبِيرٌۢ بِمَا تَعْمَلُونَ','verse_number' => '11','verse_key' => '63:11','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '491','manzil_number' => '7','sajdah_number' => '0','page_number' => '555','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5200','chapter_id' => '64','arabic_name' => 'يُسَبِّحُ لِلَّهِ مَا فِى ٱلسَّمَـٰوَٰتِ وَمَا فِى ٱلْأَرْضِ ۖ لَهُ ٱلْمُلْكُ وَلَهُ ٱلْحَمْدُ ۖ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '1','verse_key' => '64:1','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5201','chapter_id' => '64','arabic_name' => 'هُوَ ٱلَّذِى خَلَقَكُمْ فَمِنكُمْ كَافِرٌ وَمِنكُم مُّؤْمِنٌ ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ بَصِيرٌ','verse_number' => '2','verse_key' => '64:2','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5202','chapter_id' => '64','arabic_name' => 'خَلَقَ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضَ بِٱلْحَقِّ وَصَوَّرَكُمْ فَأَحْسَنَ صُوَرَكُمْ ۖ وَإِلَيْهِ ٱلْمَصِيرُ','verse_number' => '3','verse_key' => '64:3','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5203','chapter_id' => '64','arabic_name' => 'يَعْلَمُ مَا فِى ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَيَعْلَمُ مَا تُسِرُّونَ وَمَا تُعْلِنُونَ ۚ وَٱللَّهُ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '4','verse_key' => '64:4','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5204','chapter_id' => '64','arabic_name' => 'أَلَمْ يَأْتِكُمْ نَبَؤُا۟ ٱلَّذِينَ كَفَرُوا۟ مِن قَبْلُ فَذَاقُوا۟ وَبَالَ أَمْرِهِمْ وَلَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '5','verse_key' => '64:5','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5205','chapter_id' => '64','arabic_name' => 'ذَٰلِكَ بِأَنَّهُۥ كَانَت تَّأْتِيهِمْ رُسُلُهُم بِٱلْبَيِّنَـٰتِ فَقَالُوٓا۟ أَبَشَرٌ يَهْدُونَنَا فَكَفَرُوا۟ وَتَوَلَّوا۟ ۚ وَّٱسْتَغْنَى ٱللَّهُ ۚ وَٱللَّهُ غَنِىٌّ حَمِيدٌ','verse_number' => '6','verse_key' => '64:6','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5206','chapter_id' => '64','arabic_name' => 'زَعَمَ ٱلَّذِينَ كَفَرُوٓا۟ أَن لَّن يُبْعَثُوا۟ ۚ قُلْ بَلَىٰ وَرَبِّى لَتُبْعَثُنَّ ثُمَّ لَتُنَبَّؤُنَّ بِمَا عَمِلْتُمْ ۚ وَذَٰلِكَ عَلَى ٱللَّهِ يَسِيرٌ','verse_number' => '7','verse_key' => '64:7','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5207','chapter_id' => '64','arabic_name' => 'فَـَٔامِنُوا۟ بِٱللَّهِ وَرَسُولِهِۦ وَٱلنُّورِ ٱلَّذِىٓ أَنزَلْنَا ۚ وَٱللَّهُ بِمَا تَعْمَلُونَ خَبِيرٌ','verse_number' => '8','verse_key' => '64:8','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5208','chapter_id' => '64','arabic_name' => 'يَوْمَ يَجْمَعُكُمْ لِيَوْمِ ٱلْجَمْعِ ۖ ذَٰلِكَ يَوْمُ ٱلتَّغَابُنِ ۗ وَمَن يُؤْمِنۢ بِٱللَّهِ وَيَعْمَلْ صَـٰلِحًا يُكَفِّرْ عَنْهُ سَيِّـَٔاتِهِۦ وَيُدْخِلْهُ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَآ أَبَدًا ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْعَظِيمُ','verse_number' => '9','verse_key' => '64:9','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '556','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5209','chapter_id' => '64','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ وَكَذَّبُوا۟ بِـَٔايَـٰتِنَآ أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلنَّارِ خَـٰلِدِينَ فِيهَا ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '10','verse_key' => '64:10','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '492','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5210','chapter_id' => '64','arabic_name' => 'مَآ أَصَابَ مِن مُّصِيبَةٍ إِلَّا بِإِذْنِ ٱللَّهِ ۗ وَمَن يُؤْمِنۢ بِٱللَّهِ يَهْدِ قَلْبَهُۥ ۚ وَٱللَّهُ بِكُلِّ شَىْءٍ عَلِيمٌ','verse_number' => '11','verse_key' => '64:11','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5211','chapter_id' => '64','arabic_name' => 'وَأَطِيعُوا۟ ٱللَّهَ وَأَطِيعُوا۟ ٱلرَّسُولَ ۚ فَإِن تَوَلَّيْتُمْ فَإِنَّمَا عَلَىٰ رَسُولِنَا ٱلْبَلَـٰغُ ٱلْمُبِينُ','verse_number' => '12','verse_key' => '64:12','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5212','chapter_id' => '64','arabic_name' => 'ٱللَّهُ لَآ إِلَـٰهَ إِلَّا هُوَ ۚ وَعَلَى ٱللَّهِ فَلْيَتَوَكَّلِ ٱلْمُؤْمِنُونَ','verse_number' => '13','verse_key' => '64:13','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5213','chapter_id' => '64','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوٓا۟ إِنَّ مِنْ أَزْوَٰجِكُمْ وَأَوْلَـٰدِكُمْ عَدُوًّا لَّكُمْ فَٱحْذَرُوهُمْ ۚ وَإِن تَعْفُوا۟ وَتَصْفَحُوا۟ وَتَغْفِرُوا۟ فَإِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌ','verse_number' => '14','verse_key' => '64:14','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5214','chapter_id' => '64','arabic_name' => 'إِنَّمَآ أَمْوَٰلُكُمْ وَأَوْلَـٰدُكُمْ فِتْنَةٌ ۚ وَٱللَّهُ عِندَهُۥٓ أَجْرٌ عَظِيمٌ','verse_number' => '15','verse_key' => '64:15','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5215','chapter_id' => '64','arabic_name' => 'فَٱتَّقُوا۟ ٱللَّهَ مَا ٱسْتَطَعْتُمْ وَٱسْمَعُوا۟ وَأَطِيعُوا۟ وَأَنفِقُوا۟ خَيْرًا لِّأَنفُسِكُمْ ۗ وَمَن يُوقَ شُحَّ نَفْسِهِۦ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْمُفْلِحُونَ','verse_number' => '16','verse_key' => '64:16','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5216','chapter_id' => '64','arabic_name' => 'إِن تُقْرِضُوا۟ ٱللَّهَ قَرْضًا حَسَنًا يُضَـٰعِفْهُ لَكُمْ وَيَغْفِرْ لَكُمْ ۚ وَٱللَّهُ شَكُورٌ حَلِيمٌ','verse_number' => '17','verse_key' => '64:17','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5217','chapter_id' => '64','arabic_name' => 'عَـٰلِمُ ٱلْغَيْبِ وَٱلشَّهَـٰدَةِ ٱلْعَزِيزُ ٱلْحَكِيمُ','verse_number' => '18','verse_key' => '64:18','hizb_number' => '56','rub_el_hizb_number' => '222','ruku_number' => '493','manzil_number' => '7','sajdah_number' => '0','page_number' => '557','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5218','chapter_id' => '65','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ إِذَا طَلَّقْتُمُ ٱلنِّسَآءَ فَطَلِّقُوهُنَّ لِعِدَّتِهِنَّ وَأَحْصُوا۟ ٱلْعِدَّةَ ۖ وَٱتَّقُوا۟ ٱللَّهَ رَبَّكُمْ ۖ لَا تُخْرِجُوهُنَّ مِنۢ بُيُوتِهِنَّ وَلَا يَخْرُجْنَ إِلَّآ أَن يَأْتِينَ بِفَـٰحِشَةٍ مُّبَيِّنَةٍ ۚ وَتِلْكَ حُدُودُ ٱللَّهِ ۚ وَمَن يَتَعَدَّ حُدُودَ ٱللَّهِ فَقَدْ ظَلَمَ نَفْسَهُۥ ۚ لَا تَدْرِى لَعَلَّ ٱللَّهَ يُحْدِثُ بَعْدَ ذَٰلِكَ أَمْرًا','verse_number' => '1','verse_key' => '65:1','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '494','manzil_number' => '7','sajdah_number' => '0','page_number' => '558','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5219','chapter_id' => '65','arabic_name' => 'فَإِذَا بَلَغْنَ أَجَلَهُنَّ فَأَمْسِكُوهُنَّ بِمَعْرُوفٍ أَوْ فَارِقُوهُنَّ بِمَعْرُوفٍ وَأَشْهِدُوا۟ ذَوَىْ عَدْلٍ مِّنكُمْ وَأَقِيمُوا۟ ٱلشَّهَـٰدَةَ لِلَّهِ ۚ ذَٰلِكُمْ يُوعَظُ بِهِۦ مَن كَانَ يُؤْمِنُ بِٱللَّهِ وَٱلْيَوْمِ ٱلْـَٔاخِرِ ۚ وَمَن يَتَّقِ ٱللَّهَ يَجْعَل لَّهُۥ مَخْرَجًا','verse_number' => '2','verse_key' => '65:2','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '494','manzil_number' => '7','sajdah_number' => '0','page_number' => '558','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5220','chapter_id' => '65','arabic_name' => 'وَيَرْزُقْهُ مِنْ حَيْثُ لَا يَحْتَسِبُ ۚ وَمَن يَتَوَكَّلْ عَلَى ٱللَّهِ فَهُوَ حَسْبُهُۥٓ ۚ إِنَّ ٱللَّهَ بَـٰلِغُ أَمْرِهِۦ ۚ قَدْ جَعَلَ ٱللَّهُ لِكُلِّ شَىْءٍ قَدْرًا','verse_number' => '3','verse_key' => '65:3','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '494','manzil_number' => '7','sajdah_number' => '0','page_number' => '558','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5221','chapter_id' => '65','arabic_name' => 'وَٱلَّـٰٓـِٔى يَئِسْنَ مِنَ ٱلْمَحِيضِ مِن نِّسَآئِكُمْ إِنِ ٱرْتَبْتُمْ فَعِدَّتُهُنَّ ثَلَـٰثَةُ أَشْهُرٍ وَٱلَّـٰٓـِٔى لَمْ يَحِضْنَ ۚ وَأُو۟لَـٰتُ ٱلْأَحْمَالِ أَجَلُهُنَّ أَن يَضَعْنَ حَمْلَهُنَّ ۚ وَمَن يَتَّقِ ٱللَّهَ يَجْعَل لَّهُۥ مِنْ أَمْرِهِۦ يُسْرًا','verse_number' => '4','verse_key' => '65:4','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '494','manzil_number' => '7','sajdah_number' => '0','page_number' => '558','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5222','chapter_id' => '65','arabic_name' => 'ذَٰلِكَ أَمْرُ ٱللَّهِ أَنزَلَهُۥٓ إِلَيْكُمْ ۚ وَمَن يَتَّقِ ٱللَّهَ يُكَفِّرْ عَنْهُ سَيِّـَٔاتِهِۦ وَيُعْظِمْ لَهُۥٓ أَجْرًا','verse_number' => '5','verse_key' => '65:5','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '494','manzil_number' => '7','sajdah_number' => '0','page_number' => '558','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5223','chapter_id' => '65','arabic_name' => 'أَسْكِنُوهُنَّ مِنْ حَيْثُ سَكَنتُم مِّن وُجْدِكُمْ وَلَا تُضَآرُّوهُنَّ لِتُضَيِّقُوا۟ عَلَيْهِنَّ ۚ وَإِن كُنَّ أُو۟لَـٰتِ حَمْلٍ فَأَنفِقُوا۟ عَلَيْهِنَّ حَتَّىٰ يَضَعْنَ حَمْلَهُنَّ ۚ فَإِنْ أَرْضَعْنَ لَكُمْ فَـَٔاتُوهُنَّ أُجُورَهُنَّ ۖ وَأْتَمِرُوا۟ بَيْنَكُم بِمَعْرُوفٍ ۖ وَإِن تَعَاسَرْتُمْ فَسَتُرْضِعُ لَهُۥٓ أُخْرَىٰ','verse_number' => '6','verse_key' => '65:6','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '494','manzil_number' => '7','sajdah_number' => '0','page_number' => '559','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5224','chapter_id' => '65','arabic_name' => 'لِيُنفِقْ ذُو سَعَةٍ مِّن سَعَتِهِۦ ۖ وَمَن قُدِرَ عَلَيْهِ رِزْقُهُۥ فَلْيُنفِقْ مِمَّآ ءَاتَىٰهُ ٱللَّهُ ۚ لَا يُكَلِّفُ ٱللَّهُ نَفْسًا إِلَّا مَآ ءَاتَىٰهَا ۚ سَيَجْعَلُ ٱللَّهُ بَعْدَ عُسْرٍ يُسْرًا','verse_number' => '7','verse_key' => '65:7','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '494','manzil_number' => '7','sajdah_number' => '0','page_number' => '559','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5225','chapter_id' => '65','arabic_name' => 'وَكَأَيِّن مِّن قَرْيَةٍ عَتَتْ عَنْ أَمْرِ رَبِّهَا وَرُسُلِهِۦ فَحَاسَبْنَـٰهَا حِسَابًا شَدِيدًا وَعَذَّبْنَـٰهَا عَذَابًا نُّكْرًا','verse_number' => '8','verse_key' => '65:8','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '495','manzil_number' => '7','sajdah_number' => '0','page_number' => '559','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5226','chapter_id' => '65','arabic_name' => 'فَذَاقَتْ وَبَالَ أَمْرِهَا وَكَانَ عَـٰقِبَةُ أَمْرِهَا خُسْرًا','verse_number' => '9','verse_key' => '65:9','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '495','manzil_number' => '7','sajdah_number' => '0','page_number' => '559','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5227','chapter_id' => '65','arabic_name' => 'أَعَدَّ ٱللَّهُ لَهُمْ عَذَابًا شَدِيدًا ۖ فَٱتَّقُوا۟ ٱللَّهَ يَـٰٓأُو۟لِى ٱلْأَلْبَـٰبِ ٱلَّذِينَ ءَامَنُوا۟ ۚ قَدْ أَنزَلَ ٱللَّهُ إِلَيْكُمْ ذِكْرًا','verse_number' => '10','verse_key' => '65:10','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '495','manzil_number' => '7','sajdah_number' => '0','page_number' => '559','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5228','chapter_id' => '65','arabic_name' => 'رَّسُولًا يَتْلُوا۟ عَلَيْكُمْ ءَايَـٰتِ ٱللَّهِ مُبَيِّنَـٰتٍ لِّيُخْرِجَ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ مِنَ ٱلظُّلُمَـٰتِ إِلَى ٱلنُّورِ ۚ وَمَن يُؤْمِنۢ بِٱللَّهِ وَيَعْمَلْ صَـٰلِحًا يُدْخِلْهُ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَآ أَبَدًا ۖ قَدْ أَحْسَنَ ٱللَّهُ لَهُۥ رِزْقًا','verse_number' => '11','verse_key' => '65:11','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '495','manzil_number' => '7','sajdah_number' => '0','page_number' => '559','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5229','chapter_id' => '65','arabic_name' => 'ٱللَّهُ ٱلَّذِى خَلَقَ سَبْعَ سَمَـٰوَٰتٍ وَمِنَ ٱلْأَرْضِ مِثْلَهُنَّ يَتَنَزَّلُ ٱلْأَمْرُ بَيْنَهُنَّ لِتَعْلَمُوٓا۟ أَنَّ ٱللَّهَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ وَأَنَّ ٱللَّهَ قَدْ أَحَاطَ بِكُلِّ شَىْءٍ عِلْمًۢا','verse_number' => '12','verse_key' => '65:12','hizb_number' => '56','rub_el_hizb_number' => '223','ruku_number' => '495','manzil_number' => '7','sajdah_number' => '0','page_number' => '559','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5230','chapter_id' => '66','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ لِمَ تُحَرِّمُ مَآ أَحَلَّ ٱللَّهُ لَكَ ۖ تَبْتَغِى مَرْضَاتَ أَزْوَٰجِكَ ۚ وَٱللَّهُ غَفُورٌ رَّحِيمٌ','verse_number' => '1','verse_key' => '66:1','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '496','manzil_number' => '7','sajdah_number' => '0','page_number' => '560','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5231','chapter_id' => '66','arabic_name' => 'قَدْ فَرَضَ ٱللَّهُ لَكُمْ تَحِلَّةَ أَيْمَـٰنِكُمْ ۚ وَٱللَّهُ مَوْلَىٰكُمْ ۖ وَهُوَ ٱلْعَلِيمُ ٱلْحَكِيمُ','verse_number' => '2','verse_key' => '66:2','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '496','manzil_number' => '7','sajdah_number' => '0','page_number' => '560','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5232','chapter_id' => '66','arabic_name' => 'وَإِذْ أَسَرَّ ٱلنَّبِىُّ إِلَىٰ بَعْضِ أَزْوَٰجِهِۦ حَدِيثًا فَلَمَّا نَبَّأَتْ بِهِۦ وَأَظْهَرَهُ ٱللَّهُ عَلَيْهِ عَرَّفَ بَعْضَهُۥ وَأَعْرَضَ عَنۢ بَعْضٍ ۖ فَلَمَّا نَبَّأَهَا بِهِۦ قَالَتْ مَنْ أَنۢبَأَكَ هَـٰذَا ۖ قَالَ نَبَّأَنِىَ ٱلْعَلِيمُ ٱلْخَبِيرُ','verse_number' => '3','verse_key' => '66:3','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '496','manzil_number' => '7','sajdah_number' => '0','page_number' => '560','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5233','chapter_id' => '66','arabic_name' => 'إِن تَتُوبَآ إِلَى ٱللَّهِ فَقَدْ صَغَتْ قُلُوبُكُمَا ۖ وَإِن تَظَـٰهَرَا عَلَيْهِ فَإِنَّ ٱللَّهَ هُوَ مَوْلَىٰهُ وَجِبْرِيلُ وَصَـٰلِحُ ٱلْمُؤْمِنِينَ ۖ وَٱلْمَلَـٰٓئِكَةُ بَعْدَ ذَٰلِكَ ظَهِيرٌ','verse_number' => '4','verse_key' => '66:4','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '496','manzil_number' => '7','sajdah_number' => '0','page_number' => '560','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5234','chapter_id' => '66','arabic_name' => 'عَسَىٰ رَبُّهُۥٓ إِن طَلَّقَكُنَّ أَن يُبْدِلَهُۥٓ أَزْوَٰجًا خَيْرًا مِّنكُنَّ مُسْلِمَـٰتٍ مُّؤْمِنَـٰتٍ قَـٰنِتَـٰتٍ تَـٰٓئِبَـٰتٍ عَـٰبِدَٰتٍ سَـٰٓئِحَـٰتٍ ثَيِّبَـٰتٍ وَأَبْكَارًا','verse_number' => '5','verse_key' => '66:5','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '496','manzil_number' => '7','sajdah_number' => '0','page_number' => '560','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5235','chapter_id' => '66','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ قُوٓا۟ أَنفُسَكُمْ وَأَهْلِيكُمْ نَارًا وَقُودُهَا ٱلنَّاسُ وَٱلْحِجَارَةُ عَلَيْهَا مَلَـٰٓئِكَةٌ غِلَاظٌ شِدَادٌ لَّا يَعْصُونَ ٱللَّهَ مَآ أَمَرَهُمْ وَيَفْعَلُونَ مَا يُؤْمَرُونَ','verse_number' => '6','verse_key' => '66:6','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '496','manzil_number' => '7','sajdah_number' => '0','page_number' => '560','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5236','chapter_id' => '66','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ كَفَرُوا۟ لَا تَعْتَذِرُوا۟ ٱلْيَوْمَ ۖ إِنَّمَا تُجْزَوْنَ مَا كُنتُمْ تَعْمَلُونَ','verse_number' => '7','verse_key' => '66:7','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '496','manzil_number' => '7','sajdah_number' => '0','page_number' => '560','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5237','chapter_id' => '66','arabic_name' => 'يَـٰٓأَيُّهَا ٱلَّذِينَ ءَامَنُوا۟ تُوبُوٓا۟ إِلَى ٱللَّهِ تَوْبَةً نَّصُوحًا عَسَىٰ رَبُّكُمْ أَن يُكَفِّرَ عَنكُمْ سَيِّـَٔاتِكُمْ وَيُدْخِلَكُمْ جَنَّـٰتٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ يَوْمَ لَا يُخْزِى ٱللَّهُ ٱلنَّبِىَّ وَٱلَّذِينَ ءَامَنُوا۟ مَعَهُۥ ۖ نُورُهُمْ يَسْعَىٰ بَيْنَ أَيْدِيهِمْ وَبِأَيْمَـٰنِهِمْ يَقُولُونَ رَبَّنَآ أَتْمِمْ لَنَا نُورَنَا وَٱغْفِرْ لَنَآ ۖ إِنَّكَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '8','verse_key' => '66:8','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '497','manzil_number' => '7','sajdah_number' => '0','page_number' => '561','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5238','chapter_id' => '66','arabic_name' => 'يَـٰٓأَيُّهَا ٱلنَّبِىُّ جَـٰهِدِ ٱلْكُفَّارَ وَٱلْمُنَـٰفِقِينَ وَٱغْلُظْ عَلَيْهِمْ ۚ وَمَأْوَىٰهُمْ جَهَنَّمُ ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '9','verse_key' => '66:9','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '497','manzil_number' => '7','sajdah_number' => '0','page_number' => '561','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5239','chapter_id' => '66','arabic_name' => 'ضَرَبَ ٱللَّهُ مَثَلًا لِّلَّذِينَ كَفَرُوا۟ ٱمْرَأَتَ نُوحٍ وَٱمْرَأَتَ لُوطٍ ۖ كَانَتَا تَحْتَ عَبْدَيْنِ مِنْ عِبَادِنَا صَـٰلِحَيْنِ فَخَانَتَاهُمَا فَلَمْ يُغْنِيَا عَنْهُمَا مِنَ ٱللَّهِ شَيْـًٔا وَقِيلَ ٱدْخُلَا ٱلنَّارَ مَعَ ٱلدَّٰخِلِينَ','verse_number' => '10','verse_key' => '66:10','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '497','manzil_number' => '7','sajdah_number' => '0','page_number' => '561','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5240','chapter_id' => '66','arabic_name' => 'وَضَرَبَ ٱللَّهُ مَثَلًا لِّلَّذِينَ ءَامَنُوا۟ ٱمْرَأَتَ فِرْعَوْنَ إِذْ قَالَتْ رَبِّ ٱبْنِ لِى عِندَكَ بَيْتًا فِى ٱلْجَنَّةِ وَنَجِّنِى مِن فِرْعَوْنَ وَعَمَلِهِۦ وَنَجِّنِى مِنَ ٱلْقَوْمِ ٱلظَّـٰلِمِينَ','verse_number' => '11','verse_key' => '66:11','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '497','manzil_number' => '7','sajdah_number' => '0','page_number' => '561','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5241','chapter_id' => '66','arabic_name' => 'وَمَرْيَمَ ٱبْنَتَ عِمْرَٰنَ ٱلَّتِىٓ أَحْصَنَتْ فَرْجَهَا فَنَفَخْنَا فِيهِ مِن رُّوحِنَا وَصَدَّقَتْ بِكَلِمَـٰتِ رَبِّهَا وَكُتُبِهِۦ وَكَانَتْ مِنَ ٱلْقَـٰنِتِينَ','verse_number' => '12','verse_key' => '66:12','hizb_number' => '56','rub_el_hizb_number' => '224','ruku_number' => '497','manzil_number' => '7','sajdah_number' => '0','page_number' => '561','juz_number' => '28','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5242','chapter_id' => '67','arabic_name' => 'تَبَـٰرَكَ ٱلَّذِى بِيَدِهِ ٱلْمُلْكُ وَهُوَ عَلَىٰ كُلِّ شَىْءٍ قَدِيرٌ','verse_number' => '1','verse_key' => '67:1','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5243','chapter_id' => '67','arabic_name' => 'ٱلَّذِى خَلَقَ ٱلْمَوْتَ وَٱلْحَيَوٰةَ لِيَبْلُوَكُمْ أَيُّكُمْ أَحْسَنُ عَمَلًا ۚ وَهُوَ ٱلْعَزِيزُ ٱلْغَفُورُ','verse_number' => '2','verse_key' => '67:2','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5244','chapter_id' => '67','arabic_name' => 'ٱلَّذِى خَلَقَ سَبْعَ سَمَـٰوَٰتٍ طِبَاقًا ۖ مَّا تَرَىٰ فِى خَلْقِ ٱلرَّحْمَـٰنِ مِن تَفَـٰوُتٍ ۖ فَٱرْجِعِ ٱلْبَصَرَ هَلْ تَرَىٰ مِن فُطُورٍ','verse_number' => '3','verse_key' => '67:3','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5245','chapter_id' => '67','arabic_name' => 'ثُمَّ ٱرْجِعِ ٱلْبَصَرَ كَرَّتَيْنِ يَنقَلِبْ إِلَيْكَ ٱلْبَصَرُ خَاسِئًا وَهُوَ حَسِيرٌ','verse_number' => '4','verse_key' => '67:4','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5246','chapter_id' => '67','arabic_name' => 'وَلَقَدْ زَيَّنَّا ٱلسَّمَآءَ ٱلدُّنْيَا بِمَصَـٰبِيحَ وَجَعَلْنَـٰهَا رُجُومًا لِّلشَّيَـٰطِينِ ۖ وَأَعْتَدْنَا لَهُمْ عَذَابَ ٱلسَّعِيرِ','verse_number' => '5','verse_key' => '67:5','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5247','chapter_id' => '67','arabic_name' => 'وَلِلَّذِينَ كَفَرُوا۟ بِرَبِّهِمْ عَذَابُ جَهَنَّمَ ۖ وَبِئْسَ ٱلْمَصِيرُ','verse_number' => '6','verse_key' => '67:6','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5248','chapter_id' => '67','arabic_name' => 'إِذَآ أُلْقُوا۟ فِيهَا سَمِعُوا۟ لَهَا شَهِيقًا وَهِىَ تَفُورُ','verse_number' => '7','verse_key' => '67:7','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5249','chapter_id' => '67','arabic_name' => 'تَكَادُ تَمَيَّزُ مِنَ ٱلْغَيْظِ ۖ كُلَّمَآ أُلْقِىَ فِيهَا فَوْجٌ سَأَلَهُمْ خَزَنَتُهَآ أَلَمْ يَأْتِكُمْ نَذِيرٌ','verse_number' => '8','verse_key' => '67:8','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5250','chapter_id' => '67','arabic_name' => 'قَالُوا۟ بَلَىٰ قَدْ جَآءَنَا نَذِيرٌ فَكَذَّبْنَا وَقُلْنَا مَا نَزَّلَ ٱللَّهُ مِن شَىْءٍ إِنْ أَنتُمْ إِلَّا فِى ضَلَـٰلٍ كَبِيرٍ','verse_number' => '9','verse_key' => '67:9','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5251','chapter_id' => '67','arabic_name' => 'وَقَالُوا۟ لَوْ كُنَّا نَسْمَعُ أَوْ نَعْقِلُ مَا كُنَّا فِىٓ أَصْحَـٰبِ ٱلسَّعِيرِ','verse_number' => '10','verse_key' => '67:10','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5252','chapter_id' => '67','arabic_name' => 'فَٱعْتَرَفُوا۟ بِذَنۢبِهِمْ فَسُحْقًا لِّأَصْحَـٰبِ ٱلسَّعِيرِ','verse_number' => '11','verse_key' => '67:11','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5253','chapter_id' => '67','arabic_name' => 'إِنَّ ٱلَّذِينَ يَخْشَوْنَ رَبَّهُم بِٱلْغَيْبِ لَهُم مَّغْفِرَةٌ وَأَجْرٌ كَبِيرٌ','verse_number' => '12','verse_key' => '67:12','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '562','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5254','chapter_id' => '67','arabic_name' => 'وَأَسِرُّوا۟ قَوْلَكُمْ أَوِ ٱجْهَرُوا۟ بِهِۦٓ ۖ إِنَّهُۥ عَلِيمٌۢ بِذَاتِ ٱلصُّدُورِ','verse_number' => '13','verse_key' => '67:13','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5255','chapter_id' => '67','arabic_name' => 'أَلَا يَعْلَمُ مَنْ خَلَقَ وَهُوَ ٱللَّطِيفُ ٱلْخَبِيرُ','verse_number' => '14','verse_key' => '67:14','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '498','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5256','chapter_id' => '67','arabic_name' => 'هُوَ ٱلَّذِى جَعَلَ لَكُمُ ٱلْأَرْضَ ذَلُولًا فَٱمْشُوا۟ فِى مَنَاكِبِهَا وَكُلُوا۟ مِن رِّزْقِهِۦ ۖ وَإِلَيْهِ ٱلنُّشُورُ','verse_number' => '15','verse_key' => '67:15','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5257','chapter_id' => '67','arabic_name' => 'ءَأَمِنتُم مَّن فِى ٱلسَّمَآءِ أَن يَخْسِفَ بِكُمُ ٱلْأَرْضَ فَإِذَا هِىَ تَمُورُ','verse_number' => '16','verse_key' => '67:16','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5258','chapter_id' => '67','arabic_name' => 'أَمْ أَمِنتُم مَّن فِى ٱلسَّمَآءِ أَن يُرْسِلَ عَلَيْكُمْ حَاصِبًا ۖ فَسَتَعْلَمُونَ كَيْفَ نَذِيرِ','verse_number' => '17','verse_key' => '67:17','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5259','chapter_id' => '67','arabic_name' => 'وَلَقَدْ كَذَّبَ ٱلَّذِينَ مِن قَبْلِهِمْ فَكَيْفَ كَانَ نَكِيرِ','verse_number' => '18','verse_key' => '67:18','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5260','chapter_id' => '67','arabic_name' => 'أَوَلَمْ يَرَوْا۟ إِلَى ٱلطَّيْرِ فَوْقَهُمْ صَـٰٓفَّـٰتٍ وَيَقْبِضْنَ ۚ مَا يُمْسِكُهُنَّ إِلَّا ٱلرَّحْمَـٰنُ ۚ إِنَّهُۥ بِكُلِّ شَىْءٍۭ بَصِيرٌ','verse_number' => '19','verse_key' => '67:19','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5261','chapter_id' => '67','arabic_name' => 'أَمَّنْ هَـٰذَا ٱلَّذِى هُوَ جُندٌ لَّكُمْ يَنصُرُكُم مِّن دُونِ ٱلرَّحْمَـٰنِ ۚ إِنِ ٱلْكَـٰفِرُونَ إِلَّا فِى غُرُورٍ','verse_number' => '20','verse_key' => '67:20','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5262','chapter_id' => '67','arabic_name' => 'أَمَّنْ هَـٰذَا ٱلَّذِى يَرْزُقُكُمْ إِنْ أَمْسَكَ رِزْقَهُۥ ۚ بَل لَّجُّوا۟ فِى عُتُوٍّ وَنُفُورٍ','verse_number' => '21','verse_key' => '67:21','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5263','chapter_id' => '67','arabic_name' => 'أَفَمَن يَمْشِى مُكِبًّا عَلَىٰ وَجْهِهِۦٓ أَهْدَىٰٓ أَمَّن يَمْشِى سَوِيًّا عَلَىٰ صِرَٰطٍ مُّسْتَقِيمٍ','verse_number' => '22','verse_key' => '67:22','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5264','chapter_id' => '67','arabic_name' => 'قُلْ هُوَ ٱلَّذِىٓ أَنشَأَكُمْ وَجَعَلَ لَكُمُ ٱلسَّمْعَ وَٱلْأَبْصَـٰرَ وَٱلْأَفْـِٔدَةَ ۖ قَلِيلًا مَّا تَشْكُرُونَ','verse_number' => '23','verse_key' => '67:23','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5265','chapter_id' => '67','arabic_name' => 'قُلْ هُوَ ٱلَّذِى ذَرَأَكُمْ فِى ٱلْأَرْضِ وَإِلَيْهِ تُحْشَرُونَ','verse_number' => '24','verse_key' => '67:24','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5266','chapter_id' => '67','arabic_name' => 'وَيَقُولُونَ مَتَىٰ هَـٰذَا ٱلْوَعْدُ إِن كُنتُمْ صَـٰدِقِينَ','verse_number' => '25','verse_key' => '67:25','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5267','chapter_id' => '67','arabic_name' => 'قُلْ إِنَّمَا ٱلْعِلْمُ عِندَ ٱللَّهِ وَإِنَّمَآ أَنَا۠ نَذِيرٌ مُّبِينٌ','verse_number' => '26','verse_key' => '67:26','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '563','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5268','chapter_id' => '67','arabic_name' => 'فَلَمَّا رَأَوْهُ زُلْفَةً سِيٓـَٔتْ وُجُوهُ ٱلَّذِينَ كَفَرُوا۟ وَقِيلَ هَـٰذَا ٱلَّذِى كُنتُم بِهِۦ تَدَّعُونَ','verse_number' => '27','verse_key' => '67:27','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5269','chapter_id' => '67','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِنْ أَهْلَكَنِىَ ٱللَّهُ وَمَن مَّعِىَ أَوْ رَحِمَنَا فَمَن يُجِيرُ ٱلْكَـٰفِرِينَ مِنْ عَذَابٍ أَلِيمٍ','verse_number' => '28','verse_key' => '67:28','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5270','chapter_id' => '67','arabic_name' => 'قُلْ هُوَ ٱلرَّحْمَـٰنُ ءَامَنَّا بِهِۦ وَعَلَيْهِ تَوَكَّلْنَا ۖ فَسَتَعْلَمُونَ مَنْ هُوَ فِى ضَلَـٰلٍ مُّبِينٍ','verse_number' => '29','verse_key' => '67:29','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5271','chapter_id' => '67','arabic_name' => 'قُلْ أَرَءَيْتُمْ إِنْ أَصْبَحَ مَآؤُكُمْ غَوْرًا فَمَن يَأْتِيكُم بِمَآءٍ مَّعِينٍۭ','verse_number' => '30','verse_key' => '67:30','hizb_number' => '57','rub_el_hizb_number' => '225','ruku_number' => '499','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5272','chapter_id' => '68','arabic_name' => 'نٓ ۚ وَٱلْقَلَمِ وَمَا يَسْطُرُونَ','verse_number' => '1','verse_key' => '68:1','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5273','chapter_id' => '68','arabic_name' => 'مَآ أَنتَ بِنِعْمَةِ رَبِّكَ بِمَجْنُونٍ','verse_number' => '2','verse_key' => '68:2','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5274','chapter_id' => '68','arabic_name' => 'وَإِنَّ لَكَ لَأَجْرًا غَيْرَ مَمْنُونٍ','verse_number' => '3','verse_key' => '68:3','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5275','chapter_id' => '68','arabic_name' => 'وَإِنَّكَ لَعَلَىٰ خُلُقٍ عَظِيمٍ','verse_number' => '4','verse_key' => '68:4','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5276','chapter_id' => '68','arabic_name' => 'فَسَتُبْصِرُ وَيُبْصِرُونَ','verse_number' => '5','verse_key' => '68:5','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5277','chapter_id' => '68','arabic_name' => 'بِأَييِّكُمُ ٱلْمَفْتُونُ','verse_number' => '6','verse_key' => '68:6','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5278','chapter_id' => '68','arabic_name' => 'إِنَّ رَبَّكَ هُوَ أَعْلَمُ بِمَن ضَلَّ عَن سَبِيلِهِۦ وَهُوَ أَعْلَمُ بِٱلْمُهْتَدِينَ','verse_number' => '7','verse_key' => '68:7','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5279','chapter_id' => '68','arabic_name' => 'فَلَا تُطِعِ ٱلْمُكَذِّبِينَ','verse_number' => '8','verse_key' => '68:8','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5280','chapter_id' => '68','arabic_name' => 'وَدُّوا۟ لَوْ تُدْهِنُ فَيُدْهِنُونَ','verse_number' => '9','verse_key' => '68:9','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5281','chapter_id' => '68','arabic_name' => 'وَلَا تُطِعْ كُلَّ حَلَّافٍ مَّهِينٍ','verse_number' => '10','verse_key' => '68:10','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5282','chapter_id' => '68','arabic_name' => 'هَمَّازٍ مَّشَّآءٍۭ بِنَمِيمٍ','verse_number' => '11','verse_key' => '68:11','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5283','chapter_id' => '68','arabic_name' => 'مَّنَّاعٍ لِّلْخَيْرِ مُعْتَدٍ أَثِيمٍ','verse_number' => '12','verse_key' => '68:12','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5284','chapter_id' => '68','arabic_name' => 'عُتُلٍّۭ بَعْدَ ذَٰلِكَ زَنِيمٍ','verse_number' => '13','verse_key' => '68:13','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5285','chapter_id' => '68','arabic_name' => 'أَن كَانَ ذَا مَالٍ وَبَنِينَ','verse_number' => '14','verse_key' => '68:14','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5286','chapter_id' => '68','arabic_name' => 'إِذَا تُتْلَىٰ عَلَيْهِ ءَايَـٰتُنَا قَالَ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '15','verse_key' => '68:15','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '564','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5287','chapter_id' => '68','arabic_name' => 'سَنَسِمُهُۥ عَلَى ٱلْخُرْطُومِ','verse_number' => '16','verse_key' => '68:16','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5288','chapter_id' => '68','arabic_name' => 'إِنَّا بَلَوْنَـٰهُمْ كَمَا بَلَوْنَآ أَصْحَـٰبَ ٱلْجَنَّةِ إِذْ أَقْسَمُوا۟ لَيَصْرِمُنَّهَا مُصْبِحِينَ','verse_number' => '17','verse_key' => '68:17','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5289','chapter_id' => '68','arabic_name' => 'وَلَا يَسْتَثْنُونَ','verse_number' => '18','verse_key' => '68:18','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5290','chapter_id' => '68','arabic_name' => 'فَطَافَ عَلَيْهَا طَآئِفٌ مِّن رَّبِّكَ وَهُمْ نَآئِمُونَ','verse_number' => '19','verse_key' => '68:19','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5291','chapter_id' => '68','arabic_name' => 'فَأَصْبَحَتْ كَٱلصَّرِيمِ','verse_number' => '20','verse_key' => '68:20','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5292','chapter_id' => '68','arabic_name' => 'فَتَنَادَوْا۟ مُصْبِحِينَ','verse_number' => '21','verse_key' => '68:21','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5293','chapter_id' => '68','arabic_name' => 'أَنِ ٱغْدُوا۟ عَلَىٰ حَرْثِكُمْ إِن كُنتُمْ صَـٰرِمِينَ','verse_number' => '22','verse_key' => '68:22','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5294','chapter_id' => '68','arabic_name' => 'فَٱنطَلَقُوا۟ وَهُمْ يَتَخَـٰفَتُونَ','verse_number' => '23','verse_key' => '68:23','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5295','chapter_id' => '68','arabic_name' => 'أَن لَّا يَدْخُلَنَّهَا ٱلْيَوْمَ عَلَيْكُم مِّسْكِينٌ','verse_number' => '24','verse_key' => '68:24','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5296','chapter_id' => '68','arabic_name' => 'وَغَدَوْا۟ عَلَىٰ حَرْدٍ قَـٰدِرِينَ','verse_number' => '25','verse_key' => '68:25','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5297','chapter_id' => '68','arabic_name' => 'فَلَمَّا رَأَوْهَا قَالُوٓا۟ إِنَّا لَضَآلُّونَ','verse_number' => '26','verse_key' => '68:26','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5298','chapter_id' => '68','arabic_name' => 'بَلْ نَحْنُ مَحْرُومُونَ','verse_number' => '27','verse_key' => '68:27','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5299','chapter_id' => '68','arabic_name' => 'قَالَ أَوْسَطُهُمْ أَلَمْ أَقُل لَّكُمْ لَوْلَا تُسَبِّحُونَ','verse_number' => '28','verse_key' => '68:28','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5300','chapter_id' => '68','arabic_name' => 'قَالُوا۟ سُبْحَـٰنَ رَبِّنَآ إِنَّا كُنَّا ظَـٰلِمِينَ','verse_number' => '29','verse_key' => '68:29','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5301','chapter_id' => '68','arabic_name' => 'فَأَقْبَلَ بَعْضُهُمْ عَلَىٰ بَعْضٍ يَتَلَـٰوَمُونَ','verse_number' => '30','verse_key' => '68:30','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5302','chapter_id' => '68','arabic_name' => 'قَالُوا۟ يَـٰوَيْلَنَآ إِنَّا كُنَّا طَـٰغِينَ','verse_number' => '31','verse_key' => '68:31','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5303','chapter_id' => '68','arabic_name' => 'عَسَىٰ رَبُّنَآ أَن يُبْدِلَنَا خَيْرًا مِّنْهَآ إِنَّآ إِلَىٰ رَبِّنَا رَٰغِبُونَ','verse_number' => '32','verse_key' => '68:32','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5304','chapter_id' => '68','arabic_name' => 'كَذَٰلِكَ ٱلْعَذَابُ ۖ وَلَعَذَابُ ٱلْـَٔاخِرَةِ أَكْبَرُ ۚ لَوْ كَانُوا۟ يَعْلَمُونَ','verse_number' => '33','verse_key' => '68:33','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '500','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5305','chapter_id' => '68','arabic_name' => 'إِنَّ لِلْمُتَّقِينَ عِندَ رَبِّهِمْ جَنَّـٰتِ ٱلنَّعِيمِ','verse_number' => '34','verse_key' => '68:34','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5306','chapter_id' => '68','arabic_name' => 'أَفَنَجْعَلُ ٱلْمُسْلِمِينَ كَٱلْمُجْرِمِينَ','verse_number' => '35','verse_key' => '68:35','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5307','chapter_id' => '68','arabic_name' => 'مَا لَكُمْ كَيْفَ تَحْكُمُونَ','verse_number' => '36','verse_key' => '68:36','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5308','chapter_id' => '68','arabic_name' => 'أَمْ لَكُمْ كِتَـٰبٌ فِيهِ تَدْرُسُونَ','verse_number' => '37','verse_key' => '68:37','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5309','chapter_id' => '68','arabic_name' => 'إِنَّ لَكُمْ فِيهِ لَمَا تَخَيَّرُونَ','verse_number' => '38','verse_key' => '68:38','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5310','chapter_id' => '68','arabic_name' => 'أَمْ لَكُمْ أَيْمَـٰنٌ عَلَيْنَا بَـٰلِغَةٌ إِلَىٰ يَوْمِ ٱلْقِيَـٰمَةِ ۙ إِنَّ لَكُمْ لَمَا تَحْكُمُونَ','verse_number' => '39','verse_key' => '68:39','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5311','chapter_id' => '68','arabic_name' => 'سَلْهُمْ أَيُّهُم بِذَٰلِكَ زَعِيمٌ','verse_number' => '40','verse_key' => '68:40','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5312','chapter_id' => '68','arabic_name' => 'أَمْ لَهُمْ شُرَكَآءُ فَلْيَأْتُوا۟ بِشُرَكَآئِهِمْ إِن كَانُوا۟ صَـٰدِقِينَ','verse_number' => '41','verse_key' => '68:41','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5313','chapter_id' => '68','arabic_name' => 'يَوْمَ يُكْشَفُ عَن سَاقٍ وَيُدْعَوْنَ إِلَى ٱلسُّجُودِ فَلَا يَسْتَطِيعُونَ','verse_number' => '42','verse_key' => '68:42','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '565','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5314','chapter_id' => '68','arabic_name' => 'خَـٰشِعَةً أَبْصَـٰرُهُمْ تَرْهَقُهُمْ ذِلَّةٌ ۖ وَقَدْ كَانُوا۟ يُدْعَوْنَ إِلَى ٱلسُّجُودِ وَهُمْ سَـٰلِمُونَ','verse_number' => '43','verse_key' => '68:43','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5315','chapter_id' => '68','arabic_name' => 'فَذَرْنِى وَمَن يُكَذِّبُ بِهَـٰذَا ٱلْحَدِيثِ ۖ سَنَسْتَدْرِجُهُم مِّنْ حَيْثُ لَا يَعْلَمُونَ','verse_number' => '44','verse_key' => '68:44','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5316','chapter_id' => '68','arabic_name' => 'وَأُمْلِى لَهُمْ ۚ إِنَّ كَيْدِى مَتِينٌ','verse_number' => '45','verse_key' => '68:45','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5317','chapter_id' => '68','arabic_name' => 'أَمْ تَسْـَٔلُهُمْ أَجْرًا فَهُم مِّن مَّغْرَمٍ مُّثْقَلُونَ','verse_number' => '46','verse_key' => '68:46','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5318','chapter_id' => '68','arabic_name' => 'أَمْ عِندَهُمُ ٱلْغَيْبُ فَهُمْ يَكْتُبُونَ','verse_number' => '47','verse_key' => '68:47','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5319','chapter_id' => '68','arabic_name' => 'فَٱصْبِرْ لِحُكْمِ رَبِّكَ وَلَا تَكُن كَصَاحِبِ ٱلْحُوتِ إِذْ نَادَىٰ وَهُوَ مَكْظُومٌ','verse_number' => '48','verse_key' => '68:48','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5320','chapter_id' => '68','arabic_name' => 'لَّوْلَآ أَن تَدَٰرَكَهُۥ نِعْمَةٌ مِّن رَّبِّهِۦ لَنُبِذَ بِٱلْعَرَآءِ وَهُوَ مَذْمُومٌ','verse_number' => '49','verse_key' => '68:49','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5321','chapter_id' => '68','arabic_name' => 'فَٱجْتَبَـٰهُ رَبُّهُۥ فَجَعَلَهُۥ مِنَ ٱلصَّـٰلِحِينَ','verse_number' => '50','verse_key' => '68:50','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5322','chapter_id' => '68','arabic_name' => 'وَإِن يَكَادُ ٱلَّذِينَ كَفَرُوا۟ لَيُزْلِقُونَكَ بِأَبْصَـٰرِهِمْ لَمَّا سَمِعُوا۟ ٱلذِّكْرَ وَيَقُولُونَ إِنَّهُۥ لَمَجْنُونٌ','verse_number' => '51','verse_key' => '68:51','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5323','chapter_id' => '68','arabic_name' => 'وَمَا هُوَ إِلَّا ذِكْرٌ لِّلْعَـٰلَمِينَ','verse_number' => '52','verse_key' => '68:52','hizb_number' => '57','rub_el_hizb_number' => '226','ruku_number' => '501','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5324','chapter_id' => '69','arabic_name' => 'ٱلْحَآقَّةُ','verse_number' => '1','verse_key' => '69:1','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5325','chapter_id' => '69','arabic_name' => 'مَا ٱلْحَآقَّةُ','verse_number' => '2','verse_key' => '69:2','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5326','chapter_id' => '69','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا ٱلْحَآقَّةُ','verse_number' => '3','verse_key' => '69:3','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5327','chapter_id' => '69','arabic_name' => 'كَذَّبَتْ ثَمُودُ وَعَادٌۢ بِٱلْقَارِعَةِ','verse_number' => '4','verse_key' => '69:4','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5328','chapter_id' => '69','arabic_name' => 'فَأَمَّا ثَمُودُ فَأُهْلِكُوا۟ بِٱلطَّاغِيَةِ','verse_number' => '5','verse_key' => '69:5','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5329','chapter_id' => '69','arabic_name' => 'وَأَمَّا عَادٌ فَأُهْلِكُوا۟ بِرِيحٍ صَرْصَرٍ عَاتِيَةٍ','verse_number' => '6','verse_key' => '69:6','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5330','chapter_id' => '69','arabic_name' => 'سَخَّرَهَا عَلَيْهِمْ سَبْعَ لَيَالٍ وَثَمَـٰنِيَةَ أَيَّامٍ حُسُومًا فَتَرَى ٱلْقَوْمَ فِيهَا صَرْعَىٰ كَأَنَّهُمْ أَعْجَازُ نَخْلٍ خَاوِيَةٍ','verse_number' => '7','verse_key' => '69:7','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5331','chapter_id' => '69','arabic_name' => 'فَهَلْ تَرَىٰ لَهُم مِّنۢ بَاقِيَةٍ','verse_number' => '8','verse_key' => '69:8','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '566','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5332','chapter_id' => '69','arabic_name' => 'وَجَآءَ فِرْعَوْنُ وَمَن قَبْلَهُۥ وَٱلْمُؤْتَفِكَـٰتُ بِٱلْخَاطِئَةِ','verse_number' => '9','verse_key' => '69:9','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5333','chapter_id' => '69','arabic_name' => 'فَعَصَوْا۟ رَسُولَ رَبِّهِمْ فَأَخَذَهُمْ أَخْذَةً رَّابِيَةً','verse_number' => '10','verse_key' => '69:10','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5334','chapter_id' => '69','arabic_name' => 'إِنَّا لَمَّا طَغَا ٱلْمَآءُ حَمَلْنَـٰكُمْ فِى ٱلْجَارِيَةِ','verse_number' => '11','verse_key' => '69:11','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5335','chapter_id' => '69','arabic_name' => 'لِنَجْعَلَهَا لَكُمْ تَذْكِرَةً وَتَعِيَهَآ أُذُنٌ وَٰعِيَةٌ','verse_number' => '12','verse_key' => '69:12','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5336','chapter_id' => '69','arabic_name' => 'فَإِذَا نُفِخَ فِى ٱلصُّورِ نَفْخَةٌ وَٰحِدَةٌ','verse_number' => '13','verse_key' => '69:13','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5337','chapter_id' => '69','arabic_name' => 'وَحُمِلَتِ ٱلْأَرْضُ وَٱلْجِبَالُ فَدُكَّتَا دَكَّةً وَٰحِدَةً','verse_number' => '14','verse_key' => '69:14','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5338','chapter_id' => '69','arabic_name' => 'فَيَوْمَئِذٍ وَقَعَتِ ٱلْوَاقِعَةُ','verse_number' => '15','verse_key' => '69:15','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5339','chapter_id' => '69','arabic_name' => 'وَٱنشَقَّتِ ٱلسَّمَآءُ فَهِىَ يَوْمَئِذٍ وَاهِيَةٌ','verse_number' => '16','verse_key' => '69:16','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5340','chapter_id' => '69','arabic_name' => 'وَٱلْمَلَكُ عَلَىٰٓ أَرْجَآئِهَا ۚ وَيَحْمِلُ عَرْشَ رَبِّكَ فَوْقَهُمْ يَوْمَئِذٍ ثَمَـٰنِيَةٌ','verse_number' => '17','verse_key' => '69:17','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5341','chapter_id' => '69','arabic_name' => 'يَوْمَئِذٍ تُعْرَضُونَ لَا تَخْفَىٰ مِنكُمْ خَافِيَةٌ','verse_number' => '18','verse_key' => '69:18','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5342','chapter_id' => '69','arabic_name' => 'فَأَمَّا مَنْ أُوتِىَ كِتَـٰبَهُۥ بِيَمِينِهِۦ فَيَقُولُ هَآؤُمُ ٱقْرَءُوا۟ كِتَـٰبِيَهْ','verse_number' => '19','verse_key' => '69:19','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5343','chapter_id' => '69','arabic_name' => 'إِنِّى ظَنَنتُ أَنِّى مُلَـٰقٍ حِسَابِيَهْ','verse_number' => '20','verse_key' => '69:20','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5344','chapter_id' => '69','arabic_name' => 'فَهُوَ فِى عِيشَةٍ رَّاضِيَةٍ','verse_number' => '21','verse_key' => '69:21','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5345','chapter_id' => '69','arabic_name' => 'فِى جَنَّةٍ عَالِيَةٍ','verse_number' => '22','verse_key' => '69:22','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5346','chapter_id' => '69','arabic_name' => 'قُطُوفُهَا دَانِيَةٌ','verse_number' => '23','verse_key' => '69:23','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5347','chapter_id' => '69','arabic_name' => 'كُلُوا۟ وَٱشْرَبُوا۟ هَنِيٓـًٔۢا بِمَآ أَسْلَفْتُمْ فِى ٱلْأَيَّامِ ٱلْخَالِيَةِ','verse_number' => '24','verse_key' => '69:24','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5348','chapter_id' => '69','arabic_name' => 'وَأَمَّا مَنْ أُوتِىَ كِتَـٰبَهُۥ بِشِمَالِهِۦ فَيَقُولُ يَـٰلَيْتَنِى لَمْ أُوتَ كِتَـٰبِيَهْ','verse_number' => '25','verse_key' => '69:25','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5349','chapter_id' => '69','arabic_name' => 'وَلَمْ أَدْرِ مَا حِسَابِيَهْ','verse_number' => '26','verse_key' => '69:26','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5350','chapter_id' => '69','arabic_name' => 'يَـٰلَيْتَهَا كَانَتِ ٱلْقَاضِيَةَ','verse_number' => '27','verse_key' => '69:27','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5351','chapter_id' => '69','arabic_name' => 'مَآ أَغْنَىٰ عَنِّى مَالِيَهْ ۜ','verse_number' => '28','verse_key' => '69:28','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5352','chapter_id' => '69','arabic_name' => 'هَلَكَ عَنِّى سُلْطَـٰنِيَهْ','verse_number' => '29','verse_key' => '69:29','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5353','chapter_id' => '69','arabic_name' => 'خُذُوهُ فَغُلُّوهُ','verse_number' => '30','verse_key' => '69:30','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5354','chapter_id' => '69','arabic_name' => 'ثُمَّ ٱلْجَحِيمَ صَلُّوهُ','verse_number' => '31','verse_key' => '69:31','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5355','chapter_id' => '69','arabic_name' => 'ثُمَّ فِى سِلْسِلَةٍ ذَرْعُهَا سَبْعُونَ ذِرَاعًا فَٱسْلُكُوهُ','verse_number' => '32','verse_key' => '69:32','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5356','chapter_id' => '69','arabic_name' => 'إِنَّهُۥ كَانَ لَا يُؤْمِنُ بِٱللَّهِ ٱلْعَظِيمِ','verse_number' => '33','verse_key' => '69:33','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5357','chapter_id' => '69','arabic_name' => 'وَلَا يَحُضُّ عَلَىٰ طَعَامِ ٱلْمِسْكِينِ','verse_number' => '34','verse_key' => '69:34','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '567','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5358','chapter_id' => '69','arabic_name' => 'فَلَيْسَ لَهُ ٱلْيَوْمَ هَـٰهُنَا حَمِيمٌ','verse_number' => '35','verse_key' => '69:35','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5359','chapter_id' => '69','arabic_name' => 'وَلَا طَعَامٌ إِلَّا مِنْ غِسْلِينٍ','verse_number' => '36','verse_key' => '69:36','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5360','chapter_id' => '69','arabic_name' => 'لَّا يَأْكُلُهُۥٓ إِلَّا ٱلْخَـٰطِـُٔونَ','verse_number' => '37','verse_key' => '69:37','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '502','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5361','chapter_id' => '69','arabic_name' => 'فَلَآ أُقْسِمُ بِمَا تُبْصِرُونَ','verse_number' => '38','verse_key' => '69:38','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5362','chapter_id' => '69','arabic_name' => 'وَمَا لَا تُبْصِرُونَ','verse_number' => '39','verse_key' => '69:39','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5363','chapter_id' => '69','arabic_name' => 'إِنَّهُۥ لَقَوْلُ رَسُولٍ كَرِيمٍ','verse_number' => '40','verse_key' => '69:40','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5364','chapter_id' => '69','arabic_name' => 'وَمَا هُوَ بِقَوْلِ شَاعِرٍ ۚ قَلِيلًا مَّا تُؤْمِنُونَ','verse_number' => '41','verse_key' => '69:41','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5365','chapter_id' => '69','arabic_name' => 'وَلَا بِقَوْلِ كَاهِنٍ ۚ قَلِيلًا مَّا تَذَكَّرُونَ','verse_number' => '42','verse_key' => '69:42','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5366','chapter_id' => '69','arabic_name' => 'تَنزِيلٌ مِّن رَّبِّ ٱلْعَـٰلَمِينَ','verse_number' => '43','verse_key' => '69:43','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5367','chapter_id' => '69','arabic_name' => 'وَلَوْ تَقَوَّلَ عَلَيْنَا بَعْضَ ٱلْأَقَاوِيلِ','verse_number' => '44','verse_key' => '69:44','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5368','chapter_id' => '69','arabic_name' => 'لَأَخَذْنَا مِنْهُ بِٱلْيَمِينِ','verse_number' => '45','verse_key' => '69:45','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5369','chapter_id' => '69','arabic_name' => 'ثُمَّ لَقَطَعْنَا مِنْهُ ٱلْوَتِينَ','verse_number' => '46','verse_key' => '69:46','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5370','chapter_id' => '69','arabic_name' => 'فَمَا مِنكُم مِّنْ أَحَدٍ عَنْهُ حَـٰجِزِينَ','verse_number' => '47','verse_key' => '69:47','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5371','chapter_id' => '69','arabic_name' => 'وَإِنَّهُۥ لَتَذْكِرَةٌ لِّلْمُتَّقِينَ','verse_number' => '48','verse_key' => '69:48','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5372','chapter_id' => '69','arabic_name' => 'وَإِنَّا لَنَعْلَمُ أَنَّ مِنكُم مُّكَذِّبِينَ','verse_number' => '49','verse_key' => '69:49','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5373','chapter_id' => '69','arabic_name' => 'وَإِنَّهُۥ لَحَسْرَةٌ عَلَى ٱلْكَـٰفِرِينَ','verse_number' => '50','verse_key' => '69:50','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5374','chapter_id' => '69','arabic_name' => 'وَإِنَّهُۥ لَحَقُّ ٱلْيَقِينِ','verse_number' => '51','verse_key' => '69:51','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5375','chapter_id' => '69','arabic_name' => 'فَسَبِّحْ بِٱسْمِ رَبِّكَ ٱلْعَظِيمِ','verse_number' => '52','verse_key' => '69:52','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '503','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5376','chapter_id' => '70','arabic_name' => 'سَأَلَ سَآئِلٌۢ بِعَذَابٍ وَاقِعٍ','verse_number' => '1','verse_key' => '70:1','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5377','chapter_id' => '70','arabic_name' => 'لِّلْكَـٰفِرِينَ لَيْسَ لَهُۥ دَافِعٌ','verse_number' => '2','verse_key' => '70:2','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5378','chapter_id' => '70','arabic_name' => 'مِّنَ ٱللَّهِ ذِى ٱلْمَعَارِجِ','verse_number' => '3','verse_key' => '70:3','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5379','chapter_id' => '70','arabic_name' => 'تَعْرُجُ ٱلْمَلَـٰٓئِكَةُ وَٱلرُّوحُ إِلَيْهِ فِى يَوْمٍ كَانَ مِقْدَارُهُۥ خَمْسِينَ أَلْفَ سَنَةٍ','verse_number' => '4','verse_key' => '70:4','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5380','chapter_id' => '70','arabic_name' => 'فَٱصْبِرْ صَبْرًا جَمِيلًا','verse_number' => '5','verse_key' => '70:5','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5381','chapter_id' => '70','arabic_name' => 'إِنَّهُمْ يَرَوْنَهُۥ بَعِيدًا','verse_number' => '6','verse_key' => '70:6','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5382','chapter_id' => '70','arabic_name' => 'وَنَرَىٰهُ قَرِيبًا','verse_number' => '7','verse_key' => '70:7','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5383','chapter_id' => '70','arabic_name' => 'يَوْمَ تَكُونُ ٱلسَّمَآءُ كَٱلْمُهْلِ','verse_number' => '8','verse_key' => '70:8','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5384','chapter_id' => '70','arabic_name' => 'وَتَكُونُ ٱلْجِبَالُ كَٱلْعِهْنِ','verse_number' => '9','verse_key' => '70:9','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5385','chapter_id' => '70','arabic_name' => 'وَلَا يَسْـَٔلُ حَمِيمٌ حَمِيمًا','verse_number' => '10','verse_key' => '70:10','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '568','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5386','chapter_id' => '70','arabic_name' => 'يُبَصَّرُونَهُمْ ۚ يَوَدُّ ٱلْمُجْرِمُ لَوْ يَفْتَدِى مِنْ عَذَابِ يَوْمِئِذٍۭ بِبَنِيهِ','verse_number' => '11','verse_key' => '70:11','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5387','chapter_id' => '70','arabic_name' => 'وَصَـٰحِبَتِهِۦ وَأَخِيهِ','verse_number' => '12','verse_key' => '70:12','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5388','chapter_id' => '70','arabic_name' => 'وَفَصِيلَتِهِ ٱلَّتِى تُـْٔوِيهِ','verse_number' => '13','verse_key' => '70:13','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5389','chapter_id' => '70','arabic_name' => 'وَمَن فِى ٱلْأَرْضِ جَمِيعًا ثُمَّ يُنجِيهِ','verse_number' => '14','verse_key' => '70:14','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5390','chapter_id' => '70','arabic_name' => 'كَلَّآ ۖ إِنَّهَا لَظَىٰ','verse_number' => '15','verse_key' => '70:15','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5391','chapter_id' => '70','arabic_name' => 'نَزَّاعَةً لِّلشَّوَىٰ','verse_number' => '16','verse_key' => '70:16','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5392','chapter_id' => '70','arabic_name' => 'تَدْعُوا۟ مَنْ أَدْبَرَ وَتَوَلَّىٰ','verse_number' => '17','verse_key' => '70:17','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5393','chapter_id' => '70','arabic_name' => 'وَجَمَعَ فَأَوْعَىٰٓ','verse_number' => '18','verse_key' => '70:18','hizb_number' => '57','rub_el_hizb_number' => '227','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5394','chapter_id' => '70','arabic_name' => '۞ إِنَّ ٱلْإِنسَـٰنَ خُلِقَ هَلُوعًا','verse_number' => '19','verse_key' => '70:19','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5395','chapter_id' => '70','arabic_name' => 'إِذَا مَسَّهُ ٱلشَّرُّ جَزُوعًا','verse_number' => '20','verse_key' => '70:20','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5396','chapter_id' => '70','arabic_name' => 'وَإِذَا مَسَّهُ ٱلْخَيْرُ مَنُوعًا','verse_number' => '21','verse_key' => '70:21','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5397','chapter_id' => '70','arabic_name' => 'إِلَّا ٱلْمُصَلِّينَ','verse_number' => '22','verse_key' => '70:22','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5398','chapter_id' => '70','arabic_name' => 'ٱلَّذِينَ هُمْ عَلَىٰ صَلَاتِهِمْ دَآئِمُونَ','verse_number' => '23','verse_key' => '70:23','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5399','chapter_id' => '70','arabic_name' => 'وَٱلَّذِينَ فِىٓ أَمْوَٰلِهِمْ حَقٌّ مَّعْلُومٌ','verse_number' => '24','verse_key' => '70:24','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5400','chapter_id' => '70','arabic_name' => 'لِّلسَّآئِلِ وَٱلْمَحْرُومِ','verse_number' => '25','verse_key' => '70:25','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5401','chapter_id' => '70','arabic_name' => 'وَٱلَّذِينَ يُصَدِّقُونَ بِيَوْمِ ٱلدِّينِ','verse_number' => '26','verse_key' => '70:26','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5402','chapter_id' => '70','arabic_name' => 'وَٱلَّذِينَ هُم مِّنْ عَذَابِ رَبِّهِم مُّشْفِقُونَ','verse_number' => '27','verse_key' => '70:27','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5403','chapter_id' => '70','arabic_name' => 'إِنَّ عَذَابَ رَبِّهِمْ غَيْرُ مَأْمُونٍ','verse_number' => '28','verse_key' => '70:28','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5404','chapter_id' => '70','arabic_name' => 'وَٱلَّذِينَ هُمْ لِفُرُوجِهِمْ حَـٰفِظُونَ','verse_number' => '29','verse_key' => '70:29','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5405','chapter_id' => '70','arabic_name' => 'إِلَّا عَلَىٰٓ أَزْوَٰجِهِمْ أَوْ مَا مَلَكَتْ أَيْمَـٰنُهُمْ فَإِنَّهُمْ غَيْرُ مَلُومِينَ','verse_number' => '30','verse_key' => '70:30','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5406','chapter_id' => '70','arabic_name' => 'فَمَنِ ٱبْتَغَىٰ وَرَآءَ ذَٰلِكَ فَأُو۟لَـٰٓئِكَ هُمُ ٱلْعَادُونَ','verse_number' => '31','verse_key' => '70:31','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5407','chapter_id' => '70','arabic_name' => 'وَٱلَّذِينَ هُمْ لِأَمَـٰنَـٰتِهِمْ وَعَهْدِهِمْ رَٰعُونَ','verse_number' => '32','verse_key' => '70:32','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5408','chapter_id' => '70','arabic_name' => 'وَٱلَّذِينَ هُم بِشَهَـٰدَٰتِهِمْ قَآئِمُونَ','verse_number' => '33','verse_key' => '70:33','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5409','chapter_id' => '70','arabic_name' => 'وَٱلَّذِينَ هُمْ عَلَىٰ صَلَاتِهِمْ يُحَافِظُونَ','verse_number' => '34','verse_key' => '70:34','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5410','chapter_id' => '70','arabic_name' => 'أُو۟لَـٰٓئِكَ فِى جَنَّـٰتٍ مُّكْرَمُونَ','verse_number' => '35','verse_key' => '70:35','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '504','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5411','chapter_id' => '70','arabic_name' => 'فَمَالِ ٱلَّذِينَ كَفَرُوا۟ قِبَلَكَ مُهْطِعِينَ','verse_number' => '36','verse_key' => '70:36','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5412','chapter_id' => '70','arabic_name' => 'عَنِ ٱلْيَمِينِ وَعَنِ ٱلشِّمَالِ عِزِينَ','verse_number' => '37','verse_key' => '70:37','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5413','chapter_id' => '70','arabic_name' => 'أَيَطْمَعُ كُلُّ ٱمْرِئٍ مِّنْهُمْ أَن يُدْخَلَ جَنَّةَ نَعِيمٍ','verse_number' => '38','verse_key' => '70:38','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5414','chapter_id' => '70','arabic_name' => 'كَلَّآ ۖ إِنَّا خَلَقْنَـٰهُم مِّمَّا يَعْلَمُونَ','verse_number' => '39','verse_key' => '70:39','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '569','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5415','chapter_id' => '70','arabic_name' => 'فَلَآ أُقْسِمُ بِرَبِّ ٱلْمَشَـٰرِقِ وَٱلْمَغَـٰرِبِ إِنَّا لَقَـٰدِرُونَ','verse_number' => '40','verse_key' => '70:40','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5416','chapter_id' => '70','arabic_name' => 'عَلَىٰٓ أَن نُّبَدِّلَ خَيْرًا مِّنْهُمْ وَمَا نَحْنُ بِمَسْبُوقِينَ','verse_number' => '41','verse_key' => '70:41','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5417','chapter_id' => '70','arabic_name' => 'فَذَرْهُمْ يَخُوضُوا۟ وَيَلْعَبُوا۟ حَتَّىٰ يُلَـٰقُوا۟ يَوْمَهُمُ ٱلَّذِى يُوعَدُونَ','verse_number' => '42','verse_key' => '70:42','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5418','chapter_id' => '70','arabic_name' => 'يَوْمَ يَخْرُجُونَ مِنَ ٱلْأَجْدَاثِ سِرَاعًا كَأَنَّهُمْ إِلَىٰ نُصُبٍ يُوفِضُونَ','verse_number' => '43','verse_key' => '70:43','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5419','chapter_id' => '70','arabic_name' => 'خَـٰشِعَةً أَبْصَـٰرُهُمْ تَرْهَقُهُمْ ذِلَّةٌ ۚ ذَٰلِكَ ٱلْيَوْمُ ٱلَّذِى كَانُوا۟ يُوعَدُونَ','verse_number' => '44','verse_key' => '70:44','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '505','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5420','chapter_id' => '71','arabic_name' => 'إِنَّآ أَرْسَلْنَا نُوحًا إِلَىٰ قَوْمِهِۦٓ أَنْ أَنذِرْ قَوْمَكَ مِن قَبْلِ أَن يَأْتِيَهُمْ عَذَابٌ أَلِيمٌ','verse_number' => '1','verse_key' => '71:1','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5421','chapter_id' => '71','arabic_name' => 'قَالَ يَـٰقَوْمِ إِنِّى لَكُمْ نَذِيرٌ مُّبِينٌ','verse_number' => '2','verse_key' => '71:2','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5422','chapter_id' => '71','arabic_name' => 'أَنِ ٱعْبُدُوا۟ ٱللَّهَ وَٱتَّقُوهُ وَأَطِيعُونِ','verse_number' => '3','verse_key' => '71:3','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5423','chapter_id' => '71','arabic_name' => 'يَغْفِرْ لَكُم مِّن ذُنُوبِكُمْ وَيُؤَخِّرْكُمْ إِلَىٰٓ أَجَلٍ مُّسَمًّى ۚ إِنَّ أَجَلَ ٱللَّهِ إِذَا جَآءَ لَا يُؤَخَّرُ ۖ لَوْ كُنتُمْ تَعْلَمُونَ','verse_number' => '4','verse_key' => '71:4','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5424','chapter_id' => '71','arabic_name' => 'قَالَ رَبِّ إِنِّى دَعَوْتُ قَوْمِى لَيْلًا وَنَهَارًا','verse_number' => '5','verse_key' => '71:5','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5425','chapter_id' => '71','arabic_name' => 'فَلَمْ يَزِدْهُمْ دُعَآءِىٓ إِلَّا فِرَارًا','verse_number' => '6','verse_key' => '71:6','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5426','chapter_id' => '71','arabic_name' => 'وَإِنِّى كُلَّمَا دَعَوْتُهُمْ لِتَغْفِرَ لَهُمْ جَعَلُوٓا۟ أَصَـٰبِعَهُمْ فِىٓ ءَاذَانِهِمْ وَٱسْتَغْشَوْا۟ ثِيَابَهُمْ وَأَصَرُّوا۟ وَٱسْتَكْبَرُوا۟ ٱسْتِكْبَارًا','verse_number' => '7','verse_key' => '71:7','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5427','chapter_id' => '71','arabic_name' => 'ثُمَّ إِنِّى دَعَوْتُهُمْ جِهَارًا','verse_number' => '8','verse_key' => '71:8','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5428','chapter_id' => '71','arabic_name' => 'ثُمَّ إِنِّىٓ أَعْلَنتُ لَهُمْ وَأَسْرَرْتُ لَهُمْ إِسْرَارًا','verse_number' => '9','verse_key' => '71:9','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5429','chapter_id' => '71','arabic_name' => 'فَقُلْتُ ٱسْتَغْفِرُوا۟ رَبَّكُمْ إِنَّهُۥ كَانَ غَفَّارًا','verse_number' => '10','verse_key' => '71:10','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '570','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5430','chapter_id' => '71','arabic_name' => 'يُرْسِلِ ٱلسَّمَآءَ عَلَيْكُم مِّدْرَارًا','verse_number' => '11','verse_key' => '71:11','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5431','chapter_id' => '71','arabic_name' => 'وَيُمْدِدْكُم بِأَمْوَٰلٍ وَبَنِينَ وَيَجْعَل لَّكُمْ جَنَّـٰتٍ وَيَجْعَل لَّكُمْ أَنْهَـٰرًا','verse_number' => '12','verse_key' => '71:12','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5432','chapter_id' => '71','arabic_name' => 'مَّا لَكُمْ لَا تَرْجُونَ لِلَّهِ وَقَارًا','verse_number' => '13','verse_key' => '71:13','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5433','chapter_id' => '71','arabic_name' => 'وَقَدْ خَلَقَكُمْ أَطْوَارًا','verse_number' => '14','verse_key' => '71:14','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5434','chapter_id' => '71','arabic_name' => 'أَلَمْ تَرَوْا۟ كَيْفَ خَلَقَ ٱللَّهُ سَبْعَ سَمَـٰوَٰتٍ طِبَاقًا','verse_number' => '15','verse_key' => '71:15','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5435','chapter_id' => '71','arabic_name' => 'وَجَعَلَ ٱلْقَمَرَ فِيهِنَّ نُورًا وَجَعَلَ ٱلشَّمْسَ سِرَاجًا','verse_number' => '16','verse_key' => '71:16','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5436','chapter_id' => '71','arabic_name' => 'وَٱللَّهُ أَنۢبَتَكُم مِّنَ ٱلْأَرْضِ نَبَاتًا','verse_number' => '17','verse_key' => '71:17','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5437','chapter_id' => '71','arabic_name' => 'ثُمَّ يُعِيدُكُمْ فِيهَا وَيُخْرِجُكُمْ إِخْرَاجًا','verse_number' => '18','verse_key' => '71:18','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5438','chapter_id' => '71','arabic_name' => 'وَٱللَّهُ جَعَلَ لَكُمُ ٱلْأَرْضَ بِسَاطًا','verse_number' => '19','verse_key' => '71:19','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5439','chapter_id' => '71','arabic_name' => 'لِّتَسْلُكُوا۟ مِنْهَا سُبُلًا فِجَاجًا','verse_number' => '20','verse_key' => '71:20','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '506','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5440','chapter_id' => '71','arabic_name' => 'قَالَ نُوحٌ رَّبِّ إِنَّهُمْ عَصَوْنِى وَٱتَّبَعُوا۟ مَن لَّمْ يَزِدْهُ مَالُهُۥ وَوَلَدُهُۥٓ إِلَّا خَسَارًا','verse_number' => '21','verse_key' => '71:21','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5441','chapter_id' => '71','arabic_name' => 'وَمَكَرُوا۟ مَكْرًا كُبَّارًا','verse_number' => '22','verse_key' => '71:22','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5442','chapter_id' => '71','arabic_name' => 'وَقَالُوا۟ لَا تَذَرُنَّ ءَالِهَتَكُمْ وَلَا تَذَرُنَّ وَدًّا وَلَا سُوَاعًا وَلَا يَغُوثَ وَيَعُوقَ وَنَسْرًا','verse_number' => '23','verse_key' => '71:23','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5443','chapter_id' => '71','arabic_name' => 'وَقَدْ أَضَلُّوا۟ كَثِيرًا ۖ وَلَا تَزِدِ ٱلظَّـٰلِمِينَ إِلَّا ضَلَـٰلًا','verse_number' => '24','verse_key' => '71:24','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5444','chapter_id' => '71','arabic_name' => 'مِّمَّا خَطِيٓـَٔـٰتِهِمْ أُغْرِقُوا۟ فَأُدْخِلُوا۟ نَارًا فَلَمْ يَجِدُوا۟ لَهُم مِّن دُونِ ٱللَّهِ أَنصَارًا','verse_number' => '25','verse_key' => '71:25','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5445','chapter_id' => '71','arabic_name' => 'وَقَالَ نُوحٌ رَّبِّ لَا تَذَرْ عَلَى ٱلْأَرْضِ مِنَ ٱلْكَـٰفِرِينَ دَيَّارًا','verse_number' => '26','verse_key' => '71:26','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5446','chapter_id' => '71','arabic_name' => 'إِنَّكَ إِن تَذَرْهُمْ يُضِلُّوا۟ عِبَادَكَ وَلَا يَلِدُوٓا۟ إِلَّا فَاجِرًا كَفَّارًا','verse_number' => '27','verse_key' => '71:27','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5447','chapter_id' => '71','arabic_name' => 'رَّبِّ ٱغْفِرْ لِى وَلِوَٰلِدَىَّ وَلِمَن دَخَلَ بَيْتِىَ مُؤْمِنًا وَلِلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ وَلَا تَزِدِ ٱلظَّـٰلِمِينَ إِلَّا تَبَارًۢا','verse_number' => '28','verse_key' => '71:28','hizb_number' => '57','rub_el_hizb_number' => '228','ruku_number' => '507','manzil_number' => '7','sajdah_number' => '0','page_number' => '571','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5448','chapter_id' => '72','arabic_name' => 'قُلْ أُوحِىَ إِلَىَّ أَنَّهُ ٱسْتَمَعَ نَفَرٌ مِّنَ ٱلْجِنِّ فَقَالُوٓا۟ إِنَّا سَمِعْنَا قُرْءَانًا عَجَبًا','verse_number' => '1','verse_key' => '72:1','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5449','chapter_id' => '72','arabic_name' => 'يَهْدِىٓ إِلَى ٱلرُّشْدِ فَـَٔامَنَّا بِهِۦ ۖ وَلَن نُّشْرِكَ بِرَبِّنَآ أَحَدًا','verse_number' => '2','verse_key' => '72:2','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5450','chapter_id' => '72','arabic_name' => 'وَأَنَّهُۥ تَعَـٰلَىٰ جَدُّ رَبِّنَا مَا ٱتَّخَذَ صَـٰحِبَةً وَلَا وَلَدًا','verse_number' => '3','verse_key' => '72:3','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5451','chapter_id' => '72','arabic_name' => 'وَأَنَّهُۥ كَانَ يَقُولُ سَفِيهُنَا عَلَى ٱللَّهِ شَطَطًا','verse_number' => '4','verse_key' => '72:4','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5452','chapter_id' => '72','arabic_name' => 'وَأَنَّا ظَنَنَّآ أَن لَّن تَقُولَ ٱلْإِنسُ وَٱلْجِنُّ عَلَى ٱللَّهِ كَذِبًا','verse_number' => '5','verse_key' => '72:5','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5453','chapter_id' => '72','arabic_name' => 'وَأَنَّهُۥ كَانَ رِجَالٌ مِّنَ ٱلْإِنسِ يَعُوذُونَ بِرِجَالٍ مِّنَ ٱلْجِنِّ فَزَادُوهُمْ رَهَقًا','verse_number' => '6','verse_key' => '72:6','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5454','chapter_id' => '72','arabic_name' => 'وَأَنَّهُمْ ظَنُّوا۟ كَمَا ظَنَنتُمْ أَن لَّن يَبْعَثَ ٱللَّهُ أَحَدًا','verse_number' => '7','verse_key' => '72:7','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5455','chapter_id' => '72','arabic_name' => 'وَأَنَّا لَمَسْنَا ٱلسَّمَآءَ فَوَجَدْنَـٰهَا مُلِئَتْ حَرَسًا شَدِيدًا وَشُهُبًا','verse_number' => '8','verse_key' => '72:8','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5456','chapter_id' => '72','arabic_name' => 'وَأَنَّا كُنَّا نَقْعُدُ مِنْهَا مَقَـٰعِدَ لِلسَّمْعِ ۖ فَمَن يَسْتَمِعِ ٱلْـَٔانَ يَجِدْ لَهُۥ شِهَابًا رَّصَدًا','verse_number' => '9','verse_key' => '72:9','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5457','chapter_id' => '72','arabic_name' => 'وَأَنَّا لَا نَدْرِىٓ أَشَرٌّ أُرِيدَ بِمَن فِى ٱلْأَرْضِ أَمْ أَرَادَ بِهِمْ رَبُّهُمْ رَشَدًا','verse_number' => '10','verse_key' => '72:10','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5458','chapter_id' => '72','arabic_name' => 'وَأَنَّا مِنَّا ٱلصَّـٰلِحُونَ وَمِنَّا دُونَ ذَٰلِكَ ۖ كُنَّا طَرَآئِقَ قِدَدًا','verse_number' => '11','verse_key' => '72:11','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5459','chapter_id' => '72','arabic_name' => 'وَأَنَّا ظَنَنَّآ أَن لَّن نُّعْجِزَ ٱللَّهَ فِى ٱلْأَرْضِ وَلَن نُّعْجِزَهُۥ هَرَبًا','verse_number' => '12','verse_key' => '72:12','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5460','chapter_id' => '72','arabic_name' => 'وَأَنَّا لَمَّا سَمِعْنَا ٱلْهُدَىٰٓ ءَامَنَّا بِهِۦ ۖ فَمَن يُؤْمِنۢ بِرَبِّهِۦ فَلَا يَخَافُ بَخْسًا وَلَا رَهَقًا','verse_number' => '13','verse_key' => '72:13','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '572','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5461','chapter_id' => '72','arabic_name' => 'وَأَنَّا مِنَّا ٱلْمُسْلِمُونَ وَمِنَّا ٱلْقَـٰسِطُونَ ۖ فَمَنْ أَسْلَمَ فَأُو۟لَـٰٓئِكَ تَحَرَّوْا۟ رَشَدًا','verse_number' => '14','verse_key' => '72:14','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5462','chapter_id' => '72','arabic_name' => 'وَأَمَّا ٱلْقَـٰسِطُونَ فَكَانُوا۟ لِجَهَنَّمَ حَطَبًا','verse_number' => '15','verse_key' => '72:15','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5463','chapter_id' => '72','arabic_name' => 'وَأَلَّوِ ٱسْتَقَـٰمُوا۟ عَلَى ٱلطَّرِيقَةِ لَأَسْقَيْنَـٰهُم مَّآءً غَدَقًا','verse_number' => '16','verse_key' => '72:16','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5464','chapter_id' => '72','arabic_name' => 'لِّنَفْتِنَهُمْ فِيهِ ۚ وَمَن يُعْرِضْ عَن ذِكْرِ رَبِّهِۦ يَسْلُكْهُ عَذَابًا صَعَدًا','verse_number' => '17','verse_key' => '72:17','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5465','chapter_id' => '72','arabic_name' => 'وَأَنَّ ٱلْمَسَـٰجِدَ لِلَّهِ فَلَا تَدْعُوا۟ مَعَ ٱللَّهِ أَحَدًا','verse_number' => '18','verse_key' => '72:18','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5466','chapter_id' => '72','arabic_name' => 'وَأَنَّهُۥ لَمَّا قَامَ عَبْدُ ٱللَّهِ يَدْعُوهُ كَادُوا۟ يَكُونُونَ عَلَيْهِ لِبَدًا','verse_number' => '19','verse_key' => '72:19','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '508','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5467','chapter_id' => '72','arabic_name' => 'قُلْ إِنَّمَآ أَدْعُوا۟ رَبِّى وَلَآ أُشْرِكُ بِهِۦٓ أَحَدًا','verse_number' => '20','verse_key' => '72:20','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5468','chapter_id' => '72','arabic_name' => 'قُلْ إِنِّى لَآ أَمْلِكُ لَكُمْ ضَرًّا وَلَا رَشَدًا','verse_number' => '21','verse_key' => '72:21','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5469','chapter_id' => '72','arabic_name' => 'قُلْ إِنِّى لَن يُجِيرَنِى مِنَ ٱللَّهِ أَحَدٌ وَلَنْ أَجِدَ مِن دُونِهِۦ مُلْتَحَدًا','verse_number' => '22','verse_key' => '72:22','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5470','chapter_id' => '72','arabic_name' => 'إِلَّا بَلَـٰغًا مِّنَ ٱللَّهِ وَرِسَـٰلَـٰتِهِۦ ۚ وَمَن يَعْصِ ٱللَّهَ وَرَسُولَهُۥ فَإِنَّ لَهُۥ نَارَ جَهَنَّمَ خَـٰلِدِينَ فِيهَآ أَبَدًا','verse_number' => '23','verse_key' => '72:23','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5471','chapter_id' => '72','arabic_name' => 'حَتَّىٰٓ إِذَا رَأَوْا۟ مَا يُوعَدُونَ فَسَيَعْلَمُونَ مَنْ أَضْعَفُ نَاصِرًا وَأَقَلُّ عَدَدًا','verse_number' => '24','verse_key' => '72:24','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5472','chapter_id' => '72','arabic_name' => 'قُلْ إِنْ أَدْرِىٓ أَقَرِيبٌ مَّا تُوعَدُونَ أَمْ يَجْعَلُ لَهُۥ رَبِّىٓ أَمَدًا','verse_number' => '25','verse_key' => '72:25','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5473','chapter_id' => '72','arabic_name' => 'عَـٰلِمُ ٱلْغَيْبِ فَلَا يُظْهِرُ عَلَىٰ غَيْبِهِۦٓ أَحَدًا','verse_number' => '26','verse_key' => '72:26','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5474','chapter_id' => '72','arabic_name' => 'إِلَّا مَنِ ٱرْتَضَىٰ مِن رَّسُولٍ فَإِنَّهُۥ يَسْلُكُ مِنۢ بَيْنِ يَدَيْهِ وَمِنْ خَلْفِهِۦ رَصَدًا','verse_number' => '27','verse_key' => '72:27','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5475','chapter_id' => '72','arabic_name' => 'لِّيَعْلَمَ أَن قَدْ أَبْلَغُوا۟ رِسَـٰلَـٰتِ رَبِّهِمْ وَأَحَاطَ بِمَا لَدَيْهِمْ وَأَحْصَىٰ كُلَّ شَىْءٍ عَدَدًۢا','verse_number' => '28','verse_key' => '72:28','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '509','manzil_number' => '7','sajdah_number' => '0','page_number' => '573','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5476','chapter_id' => '73','arabic_name' => 'يَـٰٓأَيُّهَا ٱلْمُزَّمِّلُ','verse_number' => '1','verse_key' => '73:1','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5477','chapter_id' => '73','arabic_name' => 'قُمِ ٱلَّيْلَ إِلَّا قَلِيلًا','verse_number' => '2','verse_key' => '73:2','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5478','chapter_id' => '73','arabic_name' => 'نِّصْفَهُۥٓ أَوِ ٱنقُصْ مِنْهُ قَلِيلًا','verse_number' => '3','verse_key' => '73:3','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5479','chapter_id' => '73','arabic_name' => 'أَوْ زِدْ عَلَيْهِ وَرَتِّلِ ٱلْقُرْءَانَ تَرْتِيلًا','verse_number' => '4','verse_key' => '73:4','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5480','chapter_id' => '73','arabic_name' => 'إِنَّا سَنُلْقِى عَلَيْكَ قَوْلًا ثَقِيلًا','verse_number' => '5','verse_key' => '73:5','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5481','chapter_id' => '73','arabic_name' => 'إِنَّ نَاشِئَةَ ٱلَّيْلِ هِىَ أَشَدُّ وَطْـًٔا وَأَقْوَمُ قِيلًا','verse_number' => '6','verse_key' => '73:6','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5482','chapter_id' => '73','arabic_name' => 'إِنَّ لَكَ فِى ٱلنَّهَارِ سَبْحًا طَوِيلًا','verse_number' => '7','verse_key' => '73:7','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5483','chapter_id' => '73','arabic_name' => 'وَٱذْكُرِ ٱسْمَ رَبِّكَ وَتَبَتَّلْ إِلَيْهِ تَبْتِيلًا','verse_number' => '8','verse_key' => '73:8','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5484','chapter_id' => '73','arabic_name' => 'رَّبُّ ٱلْمَشْرِقِ وَٱلْمَغْرِبِ لَآ إِلَـٰهَ إِلَّا هُوَ فَٱتَّخِذْهُ وَكِيلًا','verse_number' => '9','verse_key' => '73:9','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5485','chapter_id' => '73','arabic_name' => 'وَٱصْبِرْ عَلَىٰ مَا يَقُولُونَ وَٱهْجُرْهُمْ هَجْرًا جَمِيلًا','verse_number' => '10','verse_key' => '73:10','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5486','chapter_id' => '73','arabic_name' => 'وَذَرْنِى وَٱلْمُكَذِّبِينَ أُو۟لِى ٱلنَّعْمَةِ وَمَهِّلْهُمْ قَلِيلًا','verse_number' => '11','verse_key' => '73:11','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5487','chapter_id' => '73','arabic_name' => 'إِنَّ لَدَيْنَآ أَنكَالًا وَجَحِيمًا','verse_number' => '12','verse_key' => '73:12','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5488','chapter_id' => '73','arabic_name' => 'وَطَعَامًا ذَا غُصَّةٍ وَعَذَابًا أَلِيمًا','verse_number' => '13','verse_key' => '73:13','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5489','chapter_id' => '73','arabic_name' => 'يَوْمَ تَرْجُفُ ٱلْأَرْضُ وَٱلْجِبَالُ وَكَانَتِ ٱلْجِبَالُ كَثِيبًا مَّهِيلًا','verse_number' => '14','verse_key' => '73:14','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5490','chapter_id' => '73','arabic_name' => 'إِنَّآ أَرْسَلْنَآ إِلَيْكُمْ رَسُولًا شَـٰهِدًا عَلَيْكُمْ كَمَآ أَرْسَلْنَآ إِلَىٰ فِرْعَوْنَ رَسُولًا','verse_number' => '15','verse_key' => '73:15','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5491','chapter_id' => '73','arabic_name' => 'فَعَصَىٰ فِرْعَوْنُ ٱلرَّسُولَ فَأَخَذْنَـٰهُ أَخْذًا وَبِيلًا','verse_number' => '16','verse_key' => '73:16','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5492','chapter_id' => '73','arabic_name' => 'فَكَيْفَ تَتَّقُونَ إِن كَفَرْتُمْ يَوْمًا يَجْعَلُ ٱلْوِلْدَٰنَ شِيبًا','verse_number' => '17','verse_key' => '73:17','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5493','chapter_id' => '73','arabic_name' => 'ٱلسَّمَآءُ مُنفَطِرٌۢ بِهِۦ ۚ كَانَ وَعْدُهُۥ مَفْعُولًا','verse_number' => '18','verse_key' => '73:18','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5494','chapter_id' => '73','arabic_name' => 'إِنَّ هَـٰذِهِۦ تَذْكِرَةٌ ۖ فَمَن شَآءَ ٱتَّخَذَ إِلَىٰ رَبِّهِۦ سَبِيلًا','verse_number' => '19','verse_key' => '73:19','hizb_number' => '58','rub_el_hizb_number' => '229','ruku_number' => '510','manzil_number' => '7','sajdah_number' => '0','page_number' => '574','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5495','chapter_id' => '73','arabic_name' => '۞ إِنَّ رَبَّكَ يَعْلَمُ أَنَّكَ تَقُومُ أَدْنَىٰ مِن ثُلُثَىِ ٱلَّيْلِ وَنِصْفَهُۥ وَثُلُثَهُۥ وَطَآئِفَةٌ مِّنَ ٱلَّذِينَ مَعَكَ ۚ وَٱللَّهُ يُقَدِّرُ ٱلَّيْلَ وَٱلنَّهَارَ ۚ عَلِمَ أَن لَّن تُحْصُوهُ فَتَابَ عَلَيْكُمْ ۖ فَٱقْرَءُوا۟ مَا تَيَسَّرَ مِنَ ٱلْقُرْءَانِ ۚ عَلِمَ أَن سَيَكُونُ مِنكُم مَّرْضَىٰ ۙ وَءَاخَرُونَ يَضْرِبُونَ فِى ٱلْأَرْضِ يَبْتَغُونَ مِن فَضْلِ ٱللَّهِ ۙ وَءَاخَرُونَ يُقَـٰتِلُونَ فِى سَبِيلِ ٱللَّهِ ۖ فَٱقْرَءُوا۟ مَا تَيَسَّرَ مِنْهُ ۚ وَأَقِيمُوا۟ ٱلصَّلَوٰةَ وَءَاتُوا۟ ٱلزَّكَوٰةَ وَأَقْرِضُوا۟ ٱللَّهَ قَرْضًا حَسَنًا ۚ وَمَا تُقَدِّمُوا۟ لِأَنفُسِكُم مِّنْ خَيْرٍ تَجِدُوهُ عِندَ ٱللَّهِ هُوَ خَيْرًا وَأَعْظَمَ أَجْرًا ۚ وَٱسْتَغْفِرُوا۟ ٱللَّهَ ۖ إِنَّ ٱللَّهَ غَفُورٌ رَّحِيمٌۢ','verse_number' => '20','verse_key' => '73:20','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '511','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5496','chapter_id' => '74','arabic_name' => 'يَـٰٓأَيُّهَا ٱلْمُدَّثِّرُ','verse_number' => '1','verse_key' => '74:1','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5497','chapter_id' => '74','arabic_name' => 'قُمْ فَأَنذِرْ','verse_number' => '2','verse_key' => '74:2','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5498','chapter_id' => '74','arabic_name' => 'وَرَبَّكَ فَكَبِّرْ','verse_number' => '3','verse_key' => '74:3','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5499','chapter_id' => '74','arabic_name' => 'وَثِيَابَكَ فَطَهِّرْ','verse_number' => '4','verse_key' => '74:4','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5500','chapter_id' => '74','arabic_name' => 'وَٱلرُّجْزَ فَٱهْجُرْ','verse_number' => '5','verse_key' => '74:5','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5501','chapter_id' => '74','arabic_name' => 'وَلَا تَمْنُن تَسْتَكْثِرُ','verse_number' => '6','verse_key' => '74:6','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5502','chapter_id' => '74','arabic_name' => 'وَلِرَبِّكَ فَٱصْبِرْ','verse_number' => '7','verse_key' => '74:7','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5503','chapter_id' => '74','arabic_name' => 'فَإِذَا نُقِرَ فِى ٱلنَّاقُورِ','verse_number' => '8','verse_key' => '74:8','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5504','chapter_id' => '74','arabic_name' => 'فَذَٰلِكَ يَوْمَئِذٍ يَوْمٌ عَسِيرٌ','verse_number' => '9','verse_key' => '74:9','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5505','chapter_id' => '74','arabic_name' => 'عَلَى ٱلْكَـٰفِرِينَ غَيْرُ يَسِيرٍ','verse_number' => '10','verse_key' => '74:10','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5506','chapter_id' => '74','arabic_name' => 'ذَرْنِى وَمَنْ خَلَقْتُ وَحِيدًا','verse_number' => '11','verse_key' => '74:11','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5507','chapter_id' => '74','arabic_name' => 'وَجَعَلْتُ لَهُۥ مَالًا مَّمْدُودًا','verse_number' => '12','verse_key' => '74:12','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5508','chapter_id' => '74','arabic_name' => 'وَبَنِينَ شُهُودًا','verse_number' => '13','verse_key' => '74:13','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5509','chapter_id' => '74','arabic_name' => 'وَمَهَّدتُّ لَهُۥ تَمْهِيدًا','verse_number' => '14','verse_key' => '74:14','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5510','chapter_id' => '74','arabic_name' => 'ثُمَّ يَطْمَعُ أَنْ أَزِيدَ','verse_number' => '15','verse_key' => '74:15','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5511','chapter_id' => '74','arabic_name' => 'كَلَّآ ۖ إِنَّهُۥ كَانَ لِـَٔايَـٰتِنَا عَنِيدًا','verse_number' => '16','verse_key' => '74:16','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5512','chapter_id' => '74','arabic_name' => 'سَأُرْهِقُهُۥ صَعُودًا','verse_number' => '17','verse_key' => '74:17','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '575','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5513','chapter_id' => '74','arabic_name' => 'إِنَّهُۥ فَكَّرَ وَقَدَّرَ','verse_number' => '18','verse_key' => '74:18','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5514','chapter_id' => '74','arabic_name' => 'فَقُتِلَ كَيْفَ قَدَّرَ','verse_number' => '19','verse_key' => '74:19','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5515','chapter_id' => '74','arabic_name' => 'ثُمَّ قُتِلَ كَيْفَ قَدَّرَ','verse_number' => '20','verse_key' => '74:20','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5516','chapter_id' => '74','arabic_name' => 'ثُمَّ نَظَرَ','verse_number' => '21','verse_key' => '74:21','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5517','chapter_id' => '74','arabic_name' => 'ثُمَّ عَبَسَ وَبَسَرَ','verse_number' => '22','verse_key' => '74:22','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5518','chapter_id' => '74','arabic_name' => 'ثُمَّ أَدْبَرَ وَٱسْتَكْبَرَ','verse_number' => '23','verse_key' => '74:23','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5519','chapter_id' => '74','arabic_name' => 'فَقَالَ إِنْ هَـٰذَآ إِلَّا سِحْرٌ يُؤْثَرُ','verse_number' => '24','verse_key' => '74:24','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5520','chapter_id' => '74','arabic_name' => 'إِنْ هَـٰذَآ إِلَّا قَوْلُ ٱلْبَشَرِ','verse_number' => '25','verse_key' => '74:25','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5521','chapter_id' => '74','arabic_name' => 'سَأُصْلِيهِ سَقَرَ','verse_number' => '26','verse_key' => '74:26','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5522','chapter_id' => '74','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا سَقَرُ','verse_number' => '27','verse_key' => '74:27','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5523','chapter_id' => '74','arabic_name' => 'لَا تُبْقِى وَلَا تَذَرُ','verse_number' => '28','verse_key' => '74:28','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5524','chapter_id' => '74','arabic_name' => 'لَوَّاحَةٌ لِّلْبَشَرِ','verse_number' => '29','verse_key' => '74:29','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5525','chapter_id' => '74','arabic_name' => 'عَلَيْهَا تِسْعَةَ عَشَرَ','verse_number' => '30','verse_key' => '74:30','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5526','chapter_id' => '74','arabic_name' => 'وَمَا جَعَلْنَآ أَصْحَـٰبَ ٱلنَّارِ إِلَّا مَلَـٰٓئِكَةً ۙ وَمَا جَعَلْنَا عِدَّتَهُمْ إِلَّا فِتْنَةً لِّلَّذِينَ كَفَرُوا۟ لِيَسْتَيْقِنَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ وَيَزْدَادَ ٱلَّذِينَ ءَامَنُوٓا۟ إِيمَـٰنًا ۙ وَلَا يَرْتَابَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ وَٱلْمُؤْمِنُونَ ۙ وَلِيَقُولَ ٱلَّذِينَ فِى قُلُوبِهِم مَّرَضٌ وَٱلْكَـٰفِرُونَ مَاذَآ أَرَادَ ٱللَّهُ بِهَـٰذَا مَثَلًا ۚ كَذَٰلِكَ يُضِلُّ ٱللَّهُ مَن يَشَآءُ وَيَهْدِى مَن يَشَآءُ ۚ وَمَا يَعْلَمُ جُنُودَ رَبِّكَ إِلَّا هُوَ ۚ وَمَا هِىَ إِلَّا ذِكْرَىٰ لِلْبَشَرِ','verse_number' => '31','verse_key' => '74:31','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '512','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5527','chapter_id' => '74','arabic_name' => 'كَلَّا وَٱلْقَمَرِ','verse_number' => '32','verse_key' => '74:32','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5528','chapter_id' => '74','arabic_name' => 'وَٱلَّيْلِ إِذْ أَدْبَرَ','verse_number' => '33','verse_key' => '74:33','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5529','chapter_id' => '74','arabic_name' => 'وَٱلصُّبْحِ إِذَآ أَسْفَرَ','verse_number' => '34','verse_key' => '74:34','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5530','chapter_id' => '74','arabic_name' => 'إِنَّهَا لَإِحْدَى ٱلْكُبَرِ','verse_number' => '35','verse_key' => '74:35','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5531','chapter_id' => '74','arabic_name' => 'نَذِيرًا لِّلْبَشَرِ','verse_number' => '36','verse_key' => '74:36','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5532','chapter_id' => '74','arabic_name' => 'لِمَن شَآءَ مِنكُمْ أَن يَتَقَدَّمَ أَوْ يَتَأَخَّرَ','verse_number' => '37','verse_key' => '74:37','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5533','chapter_id' => '74','arabic_name' => 'كُلُّ نَفْسٍۭ بِمَا كَسَبَتْ رَهِينَةٌ','verse_number' => '38','verse_key' => '74:38','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5534','chapter_id' => '74','arabic_name' => 'إِلَّآ أَصْحَـٰبَ ٱلْيَمِينِ','verse_number' => '39','verse_key' => '74:39','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5535','chapter_id' => '74','arabic_name' => 'فِى جَنَّـٰتٍ يَتَسَآءَلُونَ','verse_number' => '40','verse_key' => '74:40','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5536','chapter_id' => '74','arabic_name' => 'عَنِ ٱلْمُجْرِمِينَ','verse_number' => '41','verse_key' => '74:41','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5537','chapter_id' => '74','arabic_name' => 'مَا سَلَكَكُمْ فِى سَقَرَ','verse_number' => '42','verse_key' => '74:42','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5538','chapter_id' => '74','arabic_name' => 'قَالُوا۟ لَمْ نَكُ مِنَ ٱلْمُصَلِّينَ','verse_number' => '43','verse_key' => '74:43','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5539','chapter_id' => '74','arabic_name' => 'وَلَمْ نَكُ نُطْعِمُ ٱلْمِسْكِينَ','verse_number' => '44','verse_key' => '74:44','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5540','chapter_id' => '74','arabic_name' => 'وَكُنَّا نَخُوضُ مَعَ ٱلْخَآئِضِينَ','verse_number' => '45','verse_key' => '74:45','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5541','chapter_id' => '74','arabic_name' => 'وَكُنَّا نُكَذِّبُ بِيَوْمِ ٱلدِّينِ','verse_number' => '46','verse_key' => '74:46','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5542','chapter_id' => '74','arabic_name' => 'حَتَّىٰٓ أَتَىٰنَا ٱلْيَقِينُ','verse_number' => '47','verse_key' => '74:47','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '576','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5543','chapter_id' => '74','arabic_name' => 'فَمَا تَنفَعُهُمْ شَفَـٰعَةُ ٱلشَّـٰفِعِينَ','verse_number' => '48','verse_key' => '74:48','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5544','chapter_id' => '74','arabic_name' => 'فَمَا لَهُمْ عَنِ ٱلتَّذْكِرَةِ مُعْرِضِينَ','verse_number' => '49','verse_key' => '74:49','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5545','chapter_id' => '74','arabic_name' => 'كَأَنَّهُمْ حُمُرٌ مُّسْتَنفِرَةٌ','verse_number' => '50','verse_key' => '74:50','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5546','chapter_id' => '74','arabic_name' => 'فَرَّتْ مِن قَسْوَرَةٍۭ','verse_number' => '51','verse_key' => '74:51','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5547','chapter_id' => '74','arabic_name' => 'بَلْ يُرِيدُ كُلُّ ٱمْرِئٍ مِّنْهُمْ أَن يُؤْتَىٰ صُحُفًا مُّنَشَّرَةً','verse_number' => '52','verse_key' => '74:52','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5548','chapter_id' => '74','arabic_name' => 'كَلَّا ۖ بَل لَّا يَخَافُونَ ٱلْـَٔاخِرَةَ','verse_number' => '53','verse_key' => '74:53','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5549','chapter_id' => '74','arabic_name' => 'كَلَّآ إِنَّهُۥ تَذْكِرَةٌ','verse_number' => '54','verse_key' => '74:54','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5550','chapter_id' => '74','arabic_name' => 'فَمَن شَآءَ ذَكَرَهُۥ','verse_number' => '55','verse_key' => '74:55','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5551','chapter_id' => '74','arabic_name' => 'وَمَا يَذْكُرُونَ إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ هُوَ أَهْلُ ٱلتَّقْوَىٰ وَأَهْلُ ٱلْمَغْفِرَةِ','verse_number' => '56','verse_key' => '74:56','hizb_number' => '58','rub_el_hizb_number' => '230','ruku_number' => '513','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5552','chapter_id' => '75','arabic_name' => 'لَآ أُقْسِمُ بِيَوْمِ ٱلْقِيَـٰمَةِ','verse_number' => '1','verse_key' => '75:1','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5553','chapter_id' => '75','arabic_name' => 'وَلَآ أُقْسِمُ بِٱلنَّفْسِ ٱللَّوَّامَةِ','verse_number' => '2','verse_key' => '75:2','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5554','chapter_id' => '75','arabic_name' => 'أَيَحْسَبُ ٱلْإِنسَـٰنُ أَلَّن نَّجْمَعَ عِظَامَهُۥ','verse_number' => '3','verse_key' => '75:3','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5555','chapter_id' => '75','arabic_name' => 'بَلَىٰ قَـٰدِرِينَ عَلَىٰٓ أَن نُّسَوِّىَ بَنَانَهُۥ','verse_number' => '4','verse_key' => '75:4','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5556','chapter_id' => '75','arabic_name' => 'بَلْ يُرِيدُ ٱلْإِنسَـٰنُ لِيَفْجُرَ أَمَامَهُۥ','verse_number' => '5','verse_key' => '75:5','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5557','chapter_id' => '75','arabic_name' => 'يَسْـَٔلُ أَيَّانَ يَوْمُ ٱلْقِيَـٰمَةِ','verse_number' => '6','verse_key' => '75:6','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5558','chapter_id' => '75','arabic_name' => 'فَإِذَا بَرِقَ ٱلْبَصَرُ','verse_number' => '7','verse_key' => '75:7','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5559','chapter_id' => '75','arabic_name' => 'وَخَسَفَ ٱلْقَمَرُ','verse_number' => '8','verse_key' => '75:8','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5560','chapter_id' => '75','arabic_name' => 'وَجُمِعَ ٱلشَّمْسُ وَٱلْقَمَرُ','verse_number' => '9','verse_key' => '75:9','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5561','chapter_id' => '75','arabic_name' => 'يَقُولُ ٱلْإِنسَـٰنُ يَوْمَئِذٍ أَيْنَ ٱلْمَفَرُّ','verse_number' => '10','verse_key' => '75:10','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5562','chapter_id' => '75','arabic_name' => 'كَلَّا لَا وَزَرَ','verse_number' => '11','verse_key' => '75:11','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5563','chapter_id' => '75','arabic_name' => 'إِلَىٰ رَبِّكَ يَوْمَئِذٍ ٱلْمُسْتَقَرُّ','verse_number' => '12','verse_key' => '75:12','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5564','chapter_id' => '75','arabic_name' => 'يُنَبَّؤُا۟ ٱلْإِنسَـٰنُ يَوْمَئِذٍۭ بِمَا قَدَّمَ وَأَخَّرَ','verse_number' => '13','verse_key' => '75:13','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5565','chapter_id' => '75','arabic_name' => 'بَلِ ٱلْإِنسَـٰنُ عَلَىٰ نَفْسِهِۦ بَصِيرَةٌ','verse_number' => '14','verse_key' => '75:14','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5566','chapter_id' => '75','arabic_name' => 'وَلَوْ أَلْقَىٰ مَعَاذِيرَهُۥ','verse_number' => '15','verse_key' => '75:15','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5567','chapter_id' => '75','arabic_name' => 'لَا تُحَرِّكْ بِهِۦ لِسَانَكَ لِتَعْجَلَ بِهِۦٓ','verse_number' => '16','verse_key' => '75:16','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5568','chapter_id' => '75','arabic_name' => 'إِنَّ عَلَيْنَا جَمْعَهُۥ وَقُرْءَانَهُۥ','verse_number' => '17','verse_key' => '75:17','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5569','chapter_id' => '75','arabic_name' => 'فَإِذَا قَرَأْنَـٰهُ فَٱتَّبِعْ قُرْءَانَهُۥ','verse_number' => '18','verse_key' => '75:18','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5570','chapter_id' => '75','arabic_name' => 'ثُمَّ إِنَّ عَلَيْنَا بَيَانَهُۥ','verse_number' => '19','verse_key' => '75:19','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '577','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5571','chapter_id' => '75','arabic_name' => 'كَلَّا بَلْ تُحِبُّونَ ٱلْعَاجِلَةَ','verse_number' => '20','verse_key' => '75:20','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5572','chapter_id' => '75','arabic_name' => 'وَتَذَرُونَ ٱلْـَٔاخِرَةَ','verse_number' => '21','verse_key' => '75:21','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5573','chapter_id' => '75','arabic_name' => 'وُجُوهٌ يَوْمَئِذٍ نَّاضِرَةٌ','verse_number' => '22','verse_key' => '75:22','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5574','chapter_id' => '75','arabic_name' => 'إِلَىٰ رَبِّهَا نَاظِرَةٌ','verse_number' => '23','verse_key' => '75:23','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5575','chapter_id' => '75','arabic_name' => 'وَوُجُوهٌ يَوْمَئِذٍۭ بَاسِرَةٌ','verse_number' => '24','verse_key' => '75:24','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5576','chapter_id' => '75','arabic_name' => 'تَظُنُّ أَن يُفْعَلَ بِهَا فَاقِرَةٌ','verse_number' => '25','verse_key' => '75:25','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5577','chapter_id' => '75','arabic_name' => 'كَلَّآ إِذَا بَلَغَتِ ٱلتَّرَاقِىَ','verse_number' => '26','verse_key' => '75:26','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5578','chapter_id' => '75','arabic_name' => 'وَقِيلَ مَنْ ۜ رَاقٍ','verse_number' => '27','verse_key' => '75:27','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5579','chapter_id' => '75','arabic_name' => 'وَظَنَّ أَنَّهُ ٱلْفِرَاقُ','verse_number' => '28','verse_key' => '75:28','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5580','chapter_id' => '75','arabic_name' => 'وَٱلْتَفَّتِ ٱلسَّاقُ بِٱلسَّاقِ','verse_number' => '29','verse_key' => '75:29','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5581','chapter_id' => '75','arabic_name' => 'إِلَىٰ رَبِّكَ يَوْمَئِذٍ ٱلْمَسَاقُ','verse_number' => '30','verse_key' => '75:30','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '514','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5582','chapter_id' => '75','arabic_name' => 'فَلَا صَدَّقَ وَلَا صَلَّىٰ','verse_number' => '31','verse_key' => '75:31','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5583','chapter_id' => '75','arabic_name' => 'وَلَـٰكِن كَذَّبَ وَتَوَلَّىٰ','verse_number' => '32','verse_key' => '75:32','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5584','chapter_id' => '75','arabic_name' => 'ثُمَّ ذَهَبَ إِلَىٰٓ أَهْلِهِۦ يَتَمَطَّىٰٓ','verse_number' => '33','verse_key' => '75:33','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5585','chapter_id' => '75','arabic_name' => 'أَوْلَىٰ لَكَ فَأَوْلَىٰ','verse_number' => '34','verse_key' => '75:34','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5586','chapter_id' => '75','arabic_name' => 'ثُمَّ أَوْلَىٰ لَكَ فَأَوْلَىٰٓ','verse_number' => '35','verse_key' => '75:35','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5587','chapter_id' => '75','arabic_name' => 'أَيَحْسَبُ ٱلْإِنسَـٰنُ أَن يُتْرَكَ سُدًى','verse_number' => '36','verse_key' => '75:36','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5588','chapter_id' => '75','arabic_name' => 'أَلَمْ يَكُ نُطْفَةً مِّن مَّنِىٍّ يُمْنَىٰ','verse_number' => '37','verse_key' => '75:37','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5589','chapter_id' => '75','arabic_name' => 'ثُمَّ كَانَ عَلَقَةً فَخَلَقَ فَسَوَّىٰ','verse_number' => '38','verse_key' => '75:38','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5590','chapter_id' => '75','arabic_name' => 'فَجَعَلَ مِنْهُ ٱلزَّوْجَيْنِ ٱلذَّكَرَ وَٱلْأُنثَىٰٓ','verse_number' => '39','verse_key' => '75:39','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5591','chapter_id' => '75','arabic_name' => 'أَلَيْسَ ذَٰلِكَ بِقَـٰدِرٍ عَلَىٰٓ أَن يُحْـِۧىَ ٱلْمَوْتَىٰ','verse_number' => '40','verse_key' => '75:40','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '515','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5592','chapter_id' => '76','arabic_name' => 'هَلْ أَتَىٰ عَلَى ٱلْإِنسَـٰنِ حِينٌ مِّنَ ٱلدَّهْرِ لَمْ يَكُن شَيْـًٔا مَّذْكُورًا','verse_number' => '1','verse_key' => '76:1','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5593','chapter_id' => '76','arabic_name' => 'إِنَّا خَلَقْنَا ٱلْإِنسَـٰنَ مِن نُّطْفَةٍ أَمْشَاجٍ نَّبْتَلِيهِ فَجَعَلْنَـٰهُ سَمِيعًۢا بَصِيرًا','verse_number' => '2','verse_key' => '76:2','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5594','chapter_id' => '76','arabic_name' => 'إِنَّا هَدَيْنَـٰهُ ٱلسَّبِيلَ إِمَّا شَاكِرًا وَإِمَّا كَفُورًا','verse_number' => '3','verse_key' => '76:3','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5595','chapter_id' => '76','arabic_name' => 'إِنَّآ أَعْتَدْنَا لِلْكَـٰفِرِينَ سَلَـٰسِلَا۟ وَأَغْلَـٰلًا وَسَعِيرًا','verse_number' => '4','verse_key' => '76:4','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5596','chapter_id' => '76','arabic_name' => 'إِنَّ ٱلْأَبْرَارَ يَشْرَبُونَ مِن كَأْسٍ كَانَ مِزَاجُهَا كَافُورًا','verse_number' => '5','verse_key' => '76:5','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '578','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5597','chapter_id' => '76','arabic_name' => 'عَيْنًا يَشْرَبُ بِهَا عِبَادُ ٱللَّهِ يُفَجِّرُونَهَا تَفْجِيرًا','verse_number' => '6','verse_key' => '76:6','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5598','chapter_id' => '76','arabic_name' => 'يُوفُونَ بِٱلنَّذْرِ وَيَخَافُونَ يَوْمًا كَانَ شَرُّهُۥ مُسْتَطِيرًا','verse_number' => '7','verse_key' => '76:7','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5599','chapter_id' => '76','arabic_name' => 'وَيُطْعِمُونَ ٱلطَّعَامَ عَلَىٰ حُبِّهِۦ مِسْكِينًا وَيَتِيمًا وَأَسِيرًا','verse_number' => '8','verse_key' => '76:8','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5600','chapter_id' => '76','arabic_name' => 'إِنَّمَا نُطْعِمُكُمْ لِوَجْهِ ٱللَّهِ لَا نُرِيدُ مِنكُمْ جَزَآءً وَلَا شُكُورًا','verse_number' => '9','verse_key' => '76:9','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5601','chapter_id' => '76','arabic_name' => 'إِنَّا نَخَافُ مِن رَّبِّنَا يَوْمًا عَبُوسًا قَمْطَرِيرًا','verse_number' => '10','verse_key' => '76:10','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5602','chapter_id' => '76','arabic_name' => 'فَوَقَىٰهُمُ ٱللَّهُ شَرَّ ذَٰلِكَ ٱلْيَوْمِ وَلَقَّىٰهُمْ نَضْرَةً وَسُرُورًا','verse_number' => '11','verse_key' => '76:11','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5603','chapter_id' => '76','arabic_name' => 'وَجَزَىٰهُم بِمَا صَبَرُوا۟ جَنَّةً وَحَرِيرًا','verse_number' => '12','verse_key' => '76:12','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5604','chapter_id' => '76','arabic_name' => 'مُّتَّكِـِٔينَ فِيهَا عَلَى ٱلْأَرَآئِكِ ۖ لَا يَرَوْنَ فِيهَا شَمْسًا وَلَا زَمْهَرِيرًا','verse_number' => '13','verse_key' => '76:13','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5605','chapter_id' => '76','arabic_name' => 'وَدَانِيَةً عَلَيْهِمْ ظِلَـٰلُهَا وَذُلِّلَتْ قُطُوفُهَا تَذْلِيلًا','verse_number' => '14','verse_key' => '76:14','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5606','chapter_id' => '76','arabic_name' => 'وَيُطَافُ عَلَيْهِم بِـَٔانِيَةٍ مِّن فِضَّةٍ وَأَكْوَابٍ كَانَتْ قَوَارِيرَا۠','verse_number' => '15','verse_key' => '76:15','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5607','chapter_id' => '76','arabic_name' => 'قَوَارِيرَا۟ مِن فِضَّةٍ قَدَّرُوهَا تَقْدِيرًا','verse_number' => '16','verse_key' => '76:16','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5608','chapter_id' => '76','arabic_name' => 'وَيُسْقَوْنَ فِيهَا كَأْسًا كَانَ مِزَاجُهَا زَنجَبِيلًا','verse_number' => '17','verse_key' => '76:17','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5609','chapter_id' => '76','arabic_name' => 'عَيْنًا فِيهَا تُسَمَّىٰ سَلْسَبِيلًا','verse_number' => '18','verse_key' => '76:18','hizb_number' => '58','rub_el_hizb_number' => '231','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5610','chapter_id' => '76','arabic_name' => '۞ وَيَطُوفُ عَلَيْهِمْ وِلْدَٰنٌ مُّخَلَّدُونَ إِذَا رَأَيْتَهُمْ حَسِبْتَهُمْ لُؤْلُؤًا مَّنثُورًا','verse_number' => '19','verse_key' => '76:19','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5611','chapter_id' => '76','arabic_name' => 'وَإِذَا رَأَيْتَ ثَمَّ رَأَيْتَ نَعِيمًا وَمُلْكًا كَبِيرًا','verse_number' => '20','verse_key' => '76:20','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5612','chapter_id' => '76','arabic_name' => 'عَـٰلِيَهُمْ ثِيَابُ سُندُسٍ خُضْرٌ وَإِسْتَبْرَقٌ ۖ وَحُلُّوٓا۟ أَسَاوِرَ مِن فِضَّةٍ وَسَقَىٰهُمْ رَبُّهُمْ شَرَابًا طَهُورًا','verse_number' => '21','verse_key' => '76:21','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5613','chapter_id' => '76','arabic_name' => 'إِنَّ هَـٰذَا كَانَ لَكُمْ جَزَآءً وَكَانَ سَعْيُكُم مَّشْكُورًا','verse_number' => '22','verse_key' => '76:22','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '516','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5614','chapter_id' => '76','arabic_name' => 'إِنَّا نَحْنُ نَزَّلْنَا عَلَيْكَ ٱلْقُرْءَانَ تَنزِيلًا','verse_number' => '23','verse_key' => '76:23','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5615','chapter_id' => '76','arabic_name' => 'فَٱصْبِرْ لِحُكْمِ رَبِّكَ وَلَا تُطِعْ مِنْهُمْ ءَاثِمًا أَوْ كَفُورًا','verse_number' => '24','verse_key' => '76:24','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5616','chapter_id' => '76','arabic_name' => 'وَٱذْكُرِ ٱسْمَ رَبِّكَ بُكْرَةً وَأَصِيلًا','verse_number' => '25','verse_key' => '76:25','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '579','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5617','chapter_id' => '76','arabic_name' => 'وَمِنَ ٱلَّيْلِ فَٱسْجُدْ لَهُۥ وَسَبِّحْهُ لَيْلًا طَوِيلًا','verse_number' => '26','verse_key' => '76:26','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5618','chapter_id' => '76','arabic_name' => 'إِنَّ هَـٰٓؤُلَآءِ يُحِبُّونَ ٱلْعَاجِلَةَ وَيَذَرُونَ وَرَآءَهُمْ يَوْمًا ثَقِيلًا','verse_number' => '27','verse_key' => '76:27','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5619','chapter_id' => '76','arabic_name' => 'نَّحْنُ خَلَقْنَـٰهُمْ وَشَدَدْنَآ أَسْرَهُمْ ۖ وَإِذَا شِئْنَا بَدَّلْنَآ أَمْثَـٰلَهُمْ تَبْدِيلًا','verse_number' => '28','verse_key' => '76:28','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5620','chapter_id' => '76','arabic_name' => 'إِنَّ هَـٰذِهِۦ تَذْكِرَةٌ ۖ فَمَن شَآءَ ٱتَّخَذَ إِلَىٰ رَبِّهِۦ سَبِيلًا','verse_number' => '29','verse_key' => '76:29','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5621','chapter_id' => '76','arabic_name' => 'وَمَا تَشَآءُونَ إِلَّآ أَن يَشَآءَ ٱللَّهُ ۚ إِنَّ ٱللَّهَ كَانَ عَلِيمًا حَكِيمًا','verse_number' => '30','verse_key' => '76:30','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5622','chapter_id' => '76','arabic_name' => 'يُدْخِلُ مَن يَشَآءُ فِى رَحْمَتِهِۦ ۚ وَٱلظَّـٰلِمِينَ أَعَدَّ لَهُمْ عَذَابًا أَلِيمًۢا','verse_number' => '31','verse_key' => '76:31','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '517','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5623','chapter_id' => '77','arabic_name' => 'وَٱلْمُرْسَلَـٰتِ عُرْفًا','verse_number' => '1','verse_key' => '77:1','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5624','chapter_id' => '77','arabic_name' => 'فَٱلْعَـٰصِفَـٰتِ عَصْفًا','verse_number' => '2','verse_key' => '77:2','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5625','chapter_id' => '77','arabic_name' => 'وَٱلنَّـٰشِرَٰتِ نَشْرًا','verse_number' => '3','verse_key' => '77:3','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5626','chapter_id' => '77','arabic_name' => 'فَٱلْفَـٰرِقَـٰتِ فَرْقًا','verse_number' => '4','verse_key' => '77:4','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5627','chapter_id' => '77','arabic_name' => 'فَٱلْمُلْقِيَـٰتِ ذِكْرًا','verse_number' => '5','verse_key' => '77:5','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5628','chapter_id' => '77','arabic_name' => 'عُذْرًا أَوْ نُذْرًا','verse_number' => '6','verse_key' => '77:6','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5629','chapter_id' => '77','arabic_name' => 'إِنَّمَا تُوعَدُونَ لَوَٰقِعٌ','verse_number' => '7','verse_key' => '77:7','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5630','chapter_id' => '77','arabic_name' => 'فَإِذَا ٱلنُّجُومُ طُمِسَتْ','verse_number' => '8','verse_key' => '77:8','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5631','chapter_id' => '77','arabic_name' => 'وَإِذَا ٱلسَّمَآءُ فُرِجَتْ','verse_number' => '9','verse_key' => '77:9','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5632','chapter_id' => '77','arabic_name' => 'وَإِذَا ٱلْجِبَالُ نُسِفَتْ','verse_number' => '10','verse_key' => '77:10','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5633','chapter_id' => '77','arabic_name' => 'وَإِذَا ٱلرُّسُلُ أُقِّتَتْ','verse_number' => '11','verse_key' => '77:11','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5634','chapter_id' => '77','arabic_name' => 'لِأَىِّ يَوْمٍ أُجِّلَتْ','verse_number' => '12','verse_key' => '77:12','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5635','chapter_id' => '77','arabic_name' => 'لِيَوْمِ ٱلْفَصْلِ','verse_number' => '13','verse_key' => '77:13','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5636','chapter_id' => '77','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا يَوْمُ ٱلْفَصْلِ','verse_number' => '14','verse_key' => '77:14','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5637','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '15','verse_key' => '77:15','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5638','chapter_id' => '77','arabic_name' => 'أَلَمْ نُهْلِكِ ٱلْأَوَّلِينَ','verse_number' => '16','verse_key' => '77:16','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5639','chapter_id' => '77','arabic_name' => 'ثُمَّ نُتْبِعُهُمُ ٱلْـَٔاخِرِينَ','verse_number' => '17','verse_key' => '77:17','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5640','chapter_id' => '77','arabic_name' => 'كَذَٰلِكَ نَفْعَلُ بِٱلْمُجْرِمِينَ','verse_number' => '18','verse_key' => '77:18','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5641','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '19','verse_key' => '77:19','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '580','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5642','chapter_id' => '77','arabic_name' => 'أَلَمْ نَخْلُقكُّم مِّن مَّآءٍ مَّهِينٍ','verse_number' => '20','verse_key' => '77:20','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5643','chapter_id' => '77','arabic_name' => 'فَجَعَلْنَـٰهُ فِى قَرَارٍ مَّكِينٍ','verse_number' => '21','verse_key' => '77:21','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5644','chapter_id' => '77','arabic_name' => 'إِلَىٰ قَدَرٍ مَّعْلُومٍ','verse_number' => '22','verse_key' => '77:22','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5645','chapter_id' => '77','arabic_name' => 'فَقَدَرْنَا فَنِعْمَ ٱلْقَـٰدِرُونَ','verse_number' => '23','verse_key' => '77:23','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5646','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '24','verse_key' => '77:24','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5647','chapter_id' => '77','arabic_name' => 'أَلَمْ نَجْعَلِ ٱلْأَرْضَ كِفَاتًا','verse_number' => '25','verse_key' => '77:25','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5648','chapter_id' => '77','arabic_name' => 'أَحْيَآءً وَأَمْوَٰتًا','verse_number' => '26','verse_key' => '77:26','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5649','chapter_id' => '77','arabic_name' => 'وَجَعَلْنَا فِيهَا رَوَٰسِىَ شَـٰمِخَـٰتٍ وَأَسْقَيْنَـٰكُم مَّآءً فُرَاتًا','verse_number' => '27','verse_key' => '77:27','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5650','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '28','verse_key' => '77:28','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5651','chapter_id' => '77','arabic_name' => 'ٱنطَلِقُوٓا۟ إِلَىٰ مَا كُنتُم بِهِۦ تُكَذِّبُونَ','verse_number' => '29','verse_key' => '77:29','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5652','chapter_id' => '77','arabic_name' => 'ٱنطَلِقُوٓا۟ إِلَىٰ ظِلٍّ ذِى ثَلَـٰثِ شُعَبٍ','verse_number' => '30','verse_key' => '77:30','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5653','chapter_id' => '77','arabic_name' => 'لَّا ظَلِيلٍ وَلَا يُغْنِى مِنَ ٱللَّهَبِ','verse_number' => '31','verse_key' => '77:31','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5654','chapter_id' => '77','arabic_name' => 'إِنَّهَا تَرْمِى بِشَرَرٍ كَٱلْقَصْرِ','verse_number' => '32','verse_key' => '77:32','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5655','chapter_id' => '77','arabic_name' => 'كَأَنَّهُۥ جِمَـٰلَتٌ صُفْرٌ','verse_number' => '33','verse_key' => '77:33','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5656','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '34','verse_key' => '77:34','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5657','chapter_id' => '77','arabic_name' => 'هَـٰذَا يَوْمُ لَا يَنطِقُونَ','verse_number' => '35','verse_key' => '77:35','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5658','chapter_id' => '77','arabic_name' => 'وَلَا يُؤْذَنُ لَهُمْ فَيَعْتَذِرُونَ','verse_number' => '36','verse_key' => '77:36','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5659','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '37','verse_key' => '77:37','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5660','chapter_id' => '77','arabic_name' => 'هَـٰذَا يَوْمُ ٱلْفَصْلِ ۖ جَمَعْنَـٰكُمْ وَٱلْأَوَّلِينَ','verse_number' => '38','verse_key' => '77:38','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5661','chapter_id' => '77','arabic_name' => 'فَإِن كَانَ لَكُمْ كَيْدٌ فَكِيدُونِ','verse_number' => '39','verse_key' => '77:39','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5662','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '40','verse_key' => '77:40','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '518','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5663','chapter_id' => '77','arabic_name' => 'إِنَّ ٱلْمُتَّقِينَ فِى ظِلَـٰلٍ وَعُيُونٍ','verse_number' => '41','verse_key' => '77:41','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5664','chapter_id' => '77','arabic_name' => 'وَفَوَٰكِهَ مِمَّا يَشْتَهُونَ','verse_number' => '42','verse_key' => '77:42','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5665','chapter_id' => '77','arabic_name' => 'كُلُوا۟ وَٱشْرَبُوا۟ هَنِيٓـًٔۢا بِمَا كُنتُمْ تَعْمَلُونَ','verse_number' => '43','verse_key' => '77:43','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5666','chapter_id' => '77','arabic_name' => 'إِنَّا كَذَٰلِكَ نَجْزِى ٱلْمُحْسِنِينَ','verse_number' => '44','verse_key' => '77:44','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5667','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '45','verse_key' => '77:45','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5668','chapter_id' => '77','arabic_name' => 'كُلُوا۟ وَتَمَتَّعُوا۟ قَلِيلًا إِنَّكُم مُّجْرِمُونَ','verse_number' => '46','verse_key' => '77:46','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5669','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '47','verse_key' => '77:47','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5670','chapter_id' => '77','arabic_name' => 'وَإِذَا قِيلَ لَهُمُ ٱرْكَعُوا۟ لَا يَرْكَعُونَ','verse_number' => '48','verse_key' => '77:48','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5671','chapter_id' => '77','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '49','verse_key' => '77:49','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5672','chapter_id' => '77','arabic_name' => 'فَبِأَىِّ حَدِيثٍۭ بَعْدَهُۥ يُؤْمِنُونَ','verse_number' => '50','verse_key' => '77:50','hizb_number' => '58','rub_el_hizb_number' => '232','ruku_number' => '519','manzil_number' => '7','sajdah_number' => '0','page_number' => '581','juz_number' => '29','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5673','chapter_id' => '78','arabic_name' => 'عَمَّ يَتَسَآءَلُونَ','verse_number' => '1','verse_key' => '78:1','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5674','chapter_id' => '78','arabic_name' => 'عَنِ ٱلنَّبَإِ ٱلْعَظِيمِ','verse_number' => '2','verse_key' => '78:2','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5675','chapter_id' => '78','arabic_name' => 'ٱلَّذِى هُمْ فِيهِ مُخْتَلِفُونَ','verse_number' => '3','verse_key' => '78:3','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5676','chapter_id' => '78','arabic_name' => 'كَلَّا سَيَعْلَمُونَ','verse_number' => '4','verse_key' => '78:4','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5677','chapter_id' => '78','arabic_name' => 'ثُمَّ كَلَّا سَيَعْلَمُونَ','verse_number' => '5','verse_key' => '78:5','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5678','chapter_id' => '78','arabic_name' => 'أَلَمْ نَجْعَلِ ٱلْأَرْضَ مِهَـٰدًا','verse_number' => '6','verse_key' => '78:6','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5679','chapter_id' => '78','arabic_name' => 'وَٱلْجِبَالَ أَوْتَادًا','verse_number' => '7','verse_key' => '78:7','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5680','chapter_id' => '78','arabic_name' => 'وَخَلَقْنَـٰكُمْ أَزْوَٰجًا','verse_number' => '8','verse_key' => '78:8','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5681','chapter_id' => '78','arabic_name' => 'وَجَعَلْنَا نَوْمَكُمْ سُبَاتًا','verse_number' => '9','verse_key' => '78:9','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5682','chapter_id' => '78','arabic_name' => 'وَجَعَلْنَا ٱلَّيْلَ لِبَاسًا','verse_number' => '10','verse_key' => '78:10','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5683','chapter_id' => '78','arabic_name' => 'وَجَعَلْنَا ٱلنَّهَارَ مَعَاشًا','verse_number' => '11','verse_key' => '78:11','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5684','chapter_id' => '78','arabic_name' => 'وَبَنَيْنَا فَوْقَكُمْ سَبْعًا شِدَادًا','verse_number' => '12','verse_key' => '78:12','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5685','chapter_id' => '78','arabic_name' => 'وَجَعَلْنَا سِرَاجًا وَهَّاجًا','verse_number' => '13','verse_key' => '78:13','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5686','chapter_id' => '78','arabic_name' => 'وَأَنزَلْنَا مِنَ ٱلْمُعْصِرَٰتِ مَآءً ثَجَّاجًا','verse_number' => '14','verse_key' => '78:14','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5687','chapter_id' => '78','arabic_name' => 'لِّنُخْرِجَ بِهِۦ حَبًّا وَنَبَاتًا','verse_number' => '15','verse_key' => '78:15','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5688','chapter_id' => '78','arabic_name' => 'وَجَنَّـٰتٍ أَلْفَافًا','verse_number' => '16','verse_key' => '78:16','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5689','chapter_id' => '78','arabic_name' => 'إِنَّ يَوْمَ ٱلْفَصْلِ كَانَ مِيقَـٰتًا','verse_number' => '17','verse_key' => '78:17','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5690','chapter_id' => '78','arabic_name' => 'يَوْمَ يُنفَخُ فِى ٱلصُّورِ فَتَأْتُونَ أَفْوَاجًا','verse_number' => '18','verse_key' => '78:18','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5691','chapter_id' => '78','arabic_name' => 'وَفُتِحَتِ ٱلسَّمَآءُ فَكَانَتْ أَبْوَٰبًا','verse_number' => '19','verse_key' => '78:19','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5692','chapter_id' => '78','arabic_name' => 'وَسُيِّرَتِ ٱلْجِبَالُ فَكَانَتْ سَرَابًا','verse_number' => '20','verse_key' => '78:20','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5693','chapter_id' => '78','arabic_name' => 'إِنَّ جَهَنَّمَ كَانَتْ مِرْصَادًا','verse_number' => '21','verse_key' => '78:21','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5694','chapter_id' => '78','arabic_name' => 'لِّلطَّـٰغِينَ مَـَٔابًا','verse_number' => '22','verse_key' => '78:22','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5695','chapter_id' => '78','arabic_name' => 'لَّـٰبِثِينَ فِيهَآ أَحْقَابًا','verse_number' => '23','verse_key' => '78:23','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5696','chapter_id' => '78','arabic_name' => 'لَّا يَذُوقُونَ فِيهَا بَرْدًا وَلَا شَرَابًا','verse_number' => '24','verse_key' => '78:24','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5697','chapter_id' => '78','arabic_name' => 'إِلَّا حَمِيمًا وَغَسَّاقًا','verse_number' => '25','verse_key' => '78:25','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5698','chapter_id' => '78','arabic_name' => 'جَزَآءً وِفَاقًا','verse_number' => '26','verse_key' => '78:26','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5699','chapter_id' => '78','arabic_name' => 'إِنَّهُمْ كَانُوا۟ لَا يَرْجُونَ حِسَابًا','verse_number' => '27','verse_key' => '78:27','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5700','chapter_id' => '78','arabic_name' => 'وَكَذَّبُوا۟ بِـَٔايَـٰتِنَا كِذَّابًا','verse_number' => '28','verse_key' => '78:28','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5701','chapter_id' => '78','arabic_name' => 'وَكُلَّ شَىْءٍ أَحْصَيْنَـٰهُ كِتَـٰبًا','verse_number' => '29','verse_key' => '78:29','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5702','chapter_id' => '78','arabic_name' => 'فَذُوقُوا۟ فَلَن نَّزِيدَكُمْ إِلَّا عَذَابًا','verse_number' => '30','verse_key' => '78:30','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '520','manzil_number' => '7','sajdah_number' => '0','page_number' => '582','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5703','chapter_id' => '78','arabic_name' => 'إِنَّ لِلْمُتَّقِينَ مَفَازًا','verse_number' => '31','verse_key' => '78:31','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5704','chapter_id' => '78','arabic_name' => 'حَدَآئِقَ وَأَعْنَـٰبًا','verse_number' => '32','verse_key' => '78:32','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5705','chapter_id' => '78','arabic_name' => 'وَكَوَاعِبَ أَتْرَابًا','verse_number' => '33','verse_key' => '78:33','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5706','chapter_id' => '78','arabic_name' => 'وَكَأْسًا دِهَاقًا','verse_number' => '34','verse_key' => '78:34','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5707','chapter_id' => '78','arabic_name' => 'لَّا يَسْمَعُونَ فِيهَا لَغْوًا وَلَا كِذَّٰبًا','verse_number' => '35','verse_key' => '78:35','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5708','chapter_id' => '78','arabic_name' => 'جَزَآءً مِّن رَّبِّكَ عَطَآءً حِسَابًا','verse_number' => '36','verse_key' => '78:36','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5709','chapter_id' => '78','arabic_name' => 'رَّبِّ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ وَمَا بَيْنَهُمَا ٱلرَّحْمَـٰنِ ۖ لَا يَمْلِكُونَ مِنْهُ خِطَابًا','verse_number' => '37','verse_key' => '78:37','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5710','chapter_id' => '78','arabic_name' => 'يَوْمَ يَقُومُ ٱلرُّوحُ وَٱلْمَلَـٰٓئِكَةُ صَفًّا ۖ لَّا يَتَكَلَّمُونَ إِلَّا مَنْ أَذِنَ لَهُ ٱلرَّحْمَـٰنُ وَقَالَ صَوَابًا','verse_number' => '38','verse_key' => '78:38','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5711','chapter_id' => '78','arabic_name' => 'ذَٰلِكَ ٱلْيَوْمُ ٱلْحَقُّ ۖ فَمَن شَآءَ ٱتَّخَذَ إِلَىٰ رَبِّهِۦ مَـَٔابًا','verse_number' => '39','verse_key' => '78:39','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5712','chapter_id' => '78','arabic_name' => 'إِنَّآ أَنذَرْنَـٰكُمْ عَذَابًا قَرِيبًا يَوْمَ يَنظُرُ ٱلْمَرْءُ مَا قَدَّمَتْ يَدَاهُ وَيَقُولُ ٱلْكَافِرُ يَـٰلَيْتَنِى كُنتُ تُرَٰبًۢا','verse_number' => '40','verse_key' => '78:40','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '521','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5713','chapter_id' => '79','arabic_name' => 'وَٱلنَّـٰزِعَـٰتِ غَرْقًا','verse_number' => '1','verse_key' => '79:1','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5714','chapter_id' => '79','arabic_name' => 'وَٱلنَّـٰشِطَـٰتِ نَشْطًا','verse_number' => '2','verse_key' => '79:2','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5715','chapter_id' => '79','arabic_name' => 'وَٱلسَّـٰبِحَـٰتِ سَبْحًا','verse_number' => '3','verse_key' => '79:3','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5716','chapter_id' => '79','arabic_name' => 'فَٱلسَّـٰبِقَـٰتِ سَبْقًا','verse_number' => '4','verse_key' => '79:4','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5717','chapter_id' => '79','arabic_name' => 'فَٱلْمُدَبِّرَٰتِ أَمْرًا','verse_number' => '5','verse_key' => '79:5','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5718','chapter_id' => '79','arabic_name' => 'يَوْمَ تَرْجُفُ ٱلرَّاجِفَةُ','verse_number' => '6','verse_key' => '79:6','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5719','chapter_id' => '79','arabic_name' => 'تَتْبَعُهَا ٱلرَّادِفَةُ','verse_number' => '7','verse_key' => '79:7','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5720','chapter_id' => '79','arabic_name' => 'قُلُوبٌ يَوْمَئِذٍ وَاجِفَةٌ','verse_number' => '8','verse_key' => '79:8','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5721','chapter_id' => '79','arabic_name' => 'أَبْصَـٰرُهَا خَـٰشِعَةٌ','verse_number' => '9','verse_key' => '79:9','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5722','chapter_id' => '79','arabic_name' => 'يَقُولُونَ أَءِنَّا لَمَرْدُودُونَ فِى ٱلْحَافِرَةِ','verse_number' => '10','verse_key' => '79:10','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5723','chapter_id' => '79','arabic_name' => 'أَءِذَا كُنَّا عِظَـٰمًا نَّخِرَةً','verse_number' => '11','verse_key' => '79:11','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5724','chapter_id' => '79','arabic_name' => 'قَالُوا۟ تِلْكَ إِذًا كَرَّةٌ خَاسِرَةٌ','verse_number' => '12','verse_key' => '79:12','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5725','chapter_id' => '79','arabic_name' => 'فَإِنَّمَا هِىَ زَجْرَةٌ وَٰحِدَةٌ','verse_number' => '13','verse_key' => '79:13','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5726','chapter_id' => '79','arabic_name' => 'فَإِذَا هُم بِٱلسَّاهِرَةِ','verse_number' => '14','verse_key' => '79:14','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5727','chapter_id' => '79','arabic_name' => 'هَلْ أَتَىٰكَ حَدِيثُ مُوسَىٰٓ','verse_number' => '15','verse_key' => '79:15','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '583','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5728','chapter_id' => '79','arabic_name' => 'إِذْ نَادَىٰهُ رَبُّهُۥ بِٱلْوَادِ ٱلْمُقَدَّسِ طُوًى','verse_number' => '16','verse_key' => '79:16','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5729','chapter_id' => '79','arabic_name' => 'ٱذْهَبْ إِلَىٰ فِرْعَوْنَ إِنَّهُۥ طَغَىٰ','verse_number' => '17','verse_key' => '79:17','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5730','chapter_id' => '79','arabic_name' => 'فَقُلْ هَل لَّكَ إِلَىٰٓ أَن تَزَكَّىٰ','verse_number' => '18','verse_key' => '79:18','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5731','chapter_id' => '79','arabic_name' => 'وَأَهْدِيَكَ إِلَىٰ رَبِّكَ فَتَخْشَىٰ','verse_number' => '19','verse_key' => '79:19','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5732','chapter_id' => '79','arabic_name' => 'فَأَرَىٰهُ ٱلْـَٔايَةَ ٱلْكُبْرَىٰ','verse_number' => '20','verse_key' => '79:20','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5733','chapter_id' => '79','arabic_name' => 'فَكَذَّبَ وَعَصَىٰ','verse_number' => '21','verse_key' => '79:21','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5734','chapter_id' => '79','arabic_name' => 'ثُمَّ أَدْبَرَ يَسْعَىٰ','verse_number' => '22','verse_key' => '79:22','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5735','chapter_id' => '79','arabic_name' => 'فَحَشَرَ فَنَادَىٰ','verse_number' => '23','verse_key' => '79:23','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5736','chapter_id' => '79','arabic_name' => 'فَقَالَ أَنَا۠ رَبُّكُمُ ٱلْأَعْلَىٰ','verse_number' => '24','verse_key' => '79:24','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5737','chapter_id' => '79','arabic_name' => 'فَأَخَذَهُ ٱللَّهُ نَكَالَ ٱلْـَٔاخِرَةِ وَٱلْأُولَىٰٓ','verse_number' => '25','verse_key' => '79:25','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5738','chapter_id' => '79','arabic_name' => 'إِنَّ فِى ذَٰلِكَ لَعِبْرَةً لِّمَن يَخْشَىٰٓ','verse_number' => '26','verse_key' => '79:26','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '522','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5739','chapter_id' => '79','arabic_name' => 'ءَأَنتُمْ أَشَدُّ خَلْقًا أَمِ ٱلسَّمَآءُ ۚ بَنَىٰهَا','verse_number' => '27','verse_key' => '79:27','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5740','chapter_id' => '79','arabic_name' => 'رَفَعَ سَمْكَهَا فَسَوَّىٰهَا','verse_number' => '28','verse_key' => '79:28','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5741','chapter_id' => '79','arabic_name' => 'وَأَغْطَشَ لَيْلَهَا وَأَخْرَجَ ضُحَىٰهَا','verse_number' => '29','verse_key' => '79:29','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5742','chapter_id' => '79','arabic_name' => 'وَٱلْأَرْضَ بَعْدَ ذَٰلِكَ دَحَىٰهَآ','verse_number' => '30','verse_key' => '79:30','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5743','chapter_id' => '79','arabic_name' => 'أَخْرَجَ مِنْهَا مَآءَهَا وَمَرْعَىٰهَا','verse_number' => '31','verse_key' => '79:31','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5744','chapter_id' => '79','arabic_name' => 'وَٱلْجِبَالَ أَرْسَىٰهَا','verse_number' => '32','verse_key' => '79:32','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5745','chapter_id' => '79','arabic_name' => 'مَتَـٰعًا لَّكُمْ وَلِأَنْعَـٰمِكُمْ','verse_number' => '33','verse_key' => '79:33','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5746','chapter_id' => '79','arabic_name' => 'فَإِذَا جَآءَتِ ٱلطَّآمَّةُ ٱلْكُبْرَىٰ','verse_number' => '34','verse_key' => '79:34','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5747','chapter_id' => '79','arabic_name' => 'يَوْمَ يَتَذَكَّرُ ٱلْإِنسَـٰنُ مَا سَعَىٰ','verse_number' => '35','verse_key' => '79:35','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5748','chapter_id' => '79','arabic_name' => 'وَبُرِّزَتِ ٱلْجَحِيمُ لِمَن يَرَىٰ','verse_number' => '36','verse_key' => '79:36','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5749','chapter_id' => '79','arabic_name' => 'فَأَمَّا مَن طَغَىٰ','verse_number' => '37','verse_key' => '79:37','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5750','chapter_id' => '79','arabic_name' => 'وَءَاثَرَ ٱلْحَيَوٰةَ ٱلدُّنْيَا','verse_number' => '38','verse_key' => '79:38','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5751','chapter_id' => '79','arabic_name' => 'فَإِنَّ ٱلْجَحِيمَ هِىَ ٱلْمَأْوَىٰ','verse_number' => '39','verse_key' => '79:39','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5752','chapter_id' => '79','arabic_name' => 'وَأَمَّا مَنْ خَافَ مَقَامَ رَبِّهِۦ وَنَهَى ٱلنَّفْسَ عَنِ ٱلْهَوَىٰ','verse_number' => '40','verse_key' => '79:40','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5753','chapter_id' => '79','arabic_name' => 'فَإِنَّ ٱلْجَنَّةَ هِىَ ٱلْمَأْوَىٰ','verse_number' => '41','verse_key' => '79:41','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5754','chapter_id' => '79','arabic_name' => 'يَسْـَٔلُونَكَ عَنِ ٱلسَّاعَةِ أَيَّانَ مُرْسَىٰهَا','verse_number' => '42','verse_key' => '79:42','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5755','chapter_id' => '79','arabic_name' => 'فِيمَ أَنتَ مِن ذِكْرَىٰهَآ','verse_number' => '43','verse_key' => '79:43','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5756','chapter_id' => '79','arabic_name' => 'إِلَىٰ رَبِّكَ مُنتَهَىٰهَآ','verse_number' => '44','verse_key' => '79:44','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5757','chapter_id' => '79','arabic_name' => 'إِنَّمَآ أَنتَ مُنذِرُ مَن يَخْشَىٰهَا','verse_number' => '45','verse_key' => '79:45','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5758','chapter_id' => '79','arabic_name' => 'كَأَنَّهُمْ يَوْمَ يَرَوْنَهَا لَمْ يَلْبَثُوٓا۟ إِلَّا عَشِيَّةً أَوْ ضُحَىٰهَا','verse_number' => '46','verse_key' => '79:46','hizb_number' => '59','rub_el_hizb_number' => '233','ruku_number' => '523','manzil_number' => '7','sajdah_number' => '0','page_number' => '584','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5759','chapter_id' => '80','arabic_name' => 'عَبَسَ وَتَوَلَّىٰٓ','verse_number' => '1','verse_key' => '80:1','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5760','chapter_id' => '80','arabic_name' => 'أَن جَآءَهُ ٱلْأَعْمَىٰ','verse_number' => '2','verse_key' => '80:2','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5761','chapter_id' => '80','arabic_name' => 'وَمَا يُدْرِيكَ لَعَلَّهُۥ يَزَّكَّىٰٓ','verse_number' => '3','verse_key' => '80:3','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5762','chapter_id' => '80','arabic_name' => 'أَوْ يَذَّكَّرُ فَتَنفَعَهُ ٱلذِّكْرَىٰٓ','verse_number' => '4','verse_key' => '80:4','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5763','chapter_id' => '80','arabic_name' => 'أَمَّا مَنِ ٱسْتَغْنَىٰ','verse_number' => '5','verse_key' => '80:5','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5764','chapter_id' => '80','arabic_name' => 'فَأَنتَ لَهُۥ تَصَدَّىٰ','verse_number' => '6','verse_key' => '80:6','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5765','chapter_id' => '80','arabic_name' => 'وَمَا عَلَيْكَ أَلَّا يَزَّكَّىٰ','verse_number' => '7','verse_key' => '80:7','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5766','chapter_id' => '80','arabic_name' => 'وَأَمَّا مَن جَآءَكَ يَسْعَىٰ','verse_number' => '8','verse_key' => '80:8','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5767','chapter_id' => '80','arabic_name' => 'وَهُوَ يَخْشَىٰ','verse_number' => '9','verse_key' => '80:9','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5768','chapter_id' => '80','arabic_name' => 'فَأَنتَ عَنْهُ تَلَهَّىٰ','verse_number' => '10','verse_key' => '80:10','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5769','chapter_id' => '80','arabic_name' => 'كَلَّآ إِنَّهَا تَذْكِرَةٌ','verse_number' => '11','verse_key' => '80:11','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5770','chapter_id' => '80','arabic_name' => 'فَمَن شَآءَ ذَكَرَهُۥ','verse_number' => '12','verse_key' => '80:12','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5771','chapter_id' => '80','arabic_name' => 'فِى صُحُفٍ مُّكَرَّمَةٍ','verse_number' => '13','verse_key' => '80:13','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5772','chapter_id' => '80','arabic_name' => 'مَّرْفُوعَةٍ مُّطَهَّرَةٍۭ','verse_number' => '14','verse_key' => '80:14','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5773','chapter_id' => '80','arabic_name' => 'بِأَيْدِى سَفَرَةٍ','verse_number' => '15','verse_key' => '80:15','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5774','chapter_id' => '80','arabic_name' => 'كِرَامٍۭ بَرَرَةٍ','verse_number' => '16','verse_key' => '80:16','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5775','chapter_id' => '80','arabic_name' => 'قُتِلَ ٱلْإِنسَـٰنُ مَآ أَكْفَرَهُۥ','verse_number' => '17','verse_key' => '80:17','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5776','chapter_id' => '80','arabic_name' => 'مِنْ أَىِّ شَىْءٍ خَلَقَهُۥ','verse_number' => '18','verse_key' => '80:18','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5777','chapter_id' => '80','arabic_name' => 'مِن نُّطْفَةٍ خَلَقَهُۥ فَقَدَّرَهُۥ','verse_number' => '19','verse_key' => '80:19','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5778','chapter_id' => '80','arabic_name' => 'ثُمَّ ٱلسَّبِيلَ يَسَّرَهُۥ','verse_number' => '20','verse_key' => '80:20','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5779','chapter_id' => '80','arabic_name' => 'ثُمَّ أَمَاتَهُۥ فَأَقْبَرَهُۥ','verse_number' => '21','verse_key' => '80:21','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5780','chapter_id' => '80','arabic_name' => 'ثُمَّ إِذَا شَآءَ أَنشَرَهُۥ','verse_number' => '22','verse_key' => '80:22','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5781','chapter_id' => '80','arabic_name' => 'كَلَّا لَمَّا يَقْضِ مَآ أَمَرَهُۥ','verse_number' => '23','verse_key' => '80:23','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5782','chapter_id' => '80','arabic_name' => 'فَلْيَنظُرِ ٱلْإِنسَـٰنُ إِلَىٰ طَعَامِهِۦٓ','verse_number' => '24','verse_key' => '80:24','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5783','chapter_id' => '80','arabic_name' => 'أَنَّا صَبَبْنَا ٱلْمَآءَ صَبًّا','verse_number' => '25','verse_key' => '80:25','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5784','chapter_id' => '80','arabic_name' => 'ثُمَّ شَقَقْنَا ٱلْأَرْضَ شَقًّا','verse_number' => '26','verse_key' => '80:26','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5785','chapter_id' => '80','arabic_name' => 'فَأَنۢبَتْنَا فِيهَا حَبًّا','verse_number' => '27','verse_key' => '80:27','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5786','chapter_id' => '80','arabic_name' => 'وَعِنَبًا وَقَضْبًا','verse_number' => '28','verse_key' => '80:28','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5787','chapter_id' => '80','arabic_name' => 'وَزَيْتُونًا وَنَخْلًا','verse_number' => '29','verse_key' => '80:29','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5788','chapter_id' => '80','arabic_name' => 'وَحَدَآئِقَ غُلْبًا','verse_number' => '30','verse_key' => '80:30','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5789','chapter_id' => '80','arabic_name' => 'وَفَـٰكِهَةً وَأَبًّا','verse_number' => '31','verse_key' => '80:31','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5790','chapter_id' => '80','arabic_name' => 'مَّتَـٰعًا لَّكُمْ وَلِأَنْعَـٰمِكُمْ','verse_number' => '32','verse_key' => '80:32','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5791','chapter_id' => '80','arabic_name' => 'فَإِذَا جَآءَتِ ٱلصَّآخَّةُ','verse_number' => '33','verse_key' => '80:33','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5792','chapter_id' => '80','arabic_name' => 'يَوْمَ يَفِرُّ ٱلْمَرْءُ مِنْ أَخِيهِ','verse_number' => '34','verse_key' => '80:34','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5793','chapter_id' => '80','arabic_name' => 'وَأُمِّهِۦ وَأَبِيهِ','verse_number' => '35','verse_key' => '80:35','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5794','chapter_id' => '80','arabic_name' => 'وَصَـٰحِبَتِهِۦ وَبَنِيهِ','verse_number' => '36','verse_key' => '80:36','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5795','chapter_id' => '80','arabic_name' => 'لِكُلِّ ٱمْرِئٍ مِّنْهُمْ يَوْمَئِذٍ شَأْنٌ يُغْنِيهِ','verse_number' => '37','verse_key' => '80:37','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5796','chapter_id' => '80','arabic_name' => 'وُجُوهٌ يَوْمَئِذٍ مُّسْفِرَةٌ','verse_number' => '38','verse_key' => '80:38','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5797','chapter_id' => '80','arabic_name' => 'ضَاحِكَةٌ مُّسْتَبْشِرَةٌ','verse_number' => '39','verse_key' => '80:39','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5798','chapter_id' => '80','arabic_name' => 'وَوُجُوهٌ يَوْمَئِذٍ عَلَيْهَا غَبَرَةٌ','verse_number' => '40','verse_key' => '80:40','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5799','chapter_id' => '80','arabic_name' => 'تَرْهَقُهَا قَتَرَةٌ','verse_number' => '41','verse_key' => '80:41','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5800','chapter_id' => '80','arabic_name' => 'أُو۟لَـٰٓئِكَ هُمُ ٱلْكَفَرَةُ ٱلْفَجَرَةُ','verse_number' => '42','verse_key' => '80:42','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '524','manzil_number' => '7','sajdah_number' => '0','page_number' => '585','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5801','chapter_id' => '81','arabic_name' => 'إِذَا ٱلشَّمْسُ كُوِّرَتْ','verse_number' => '1','verse_key' => '81:1','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5802','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلنُّجُومُ ٱنكَدَرَتْ','verse_number' => '2','verse_key' => '81:2','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5803','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلْجِبَالُ سُيِّرَتْ','verse_number' => '3','verse_key' => '81:3','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5804','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلْعِشَارُ عُطِّلَتْ','verse_number' => '4','verse_key' => '81:4','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5805','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلْوُحُوشُ حُشِرَتْ','verse_number' => '5','verse_key' => '81:5','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5806','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلْبِحَارُ سُجِّرَتْ','verse_number' => '6','verse_key' => '81:6','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5807','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلنُّفُوسُ زُوِّجَتْ','verse_number' => '7','verse_key' => '81:7','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5808','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلْمَوْءُۥدَةُ سُئِلَتْ','verse_number' => '8','verse_key' => '81:8','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5809','chapter_id' => '81','arabic_name' => 'بِأَىِّ ذَنۢبٍ قُتِلَتْ','verse_number' => '9','verse_key' => '81:9','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5810','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلصُّحُفُ نُشِرَتْ','verse_number' => '10','verse_key' => '81:10','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5811','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلسَّمَآءُ كُشِطَتْ','verse_number' => '11','verse_key' => '81:11','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5812','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلْجَحِيمُ سُعِّرَتْ','verse_number' => '12','verse_key' => '81:12','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5813','chapter_id' => '81','arabic_name' => 'وَإِذَا ٱلْجَنَّةُ أُزْلِفَتْ','verse_number' => '13','verse_key' => '81:13','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5814','chapter_id' => '81','arabic_name' => 'عَلِمَتْ نَفْسٌ مَّآ أَحْضَرَتْ','verse_number' => '14','verse_key' => '81:14','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5815','chapter_id' => '81','arabic_name' => 'فَلَآ أُقْسِمُ بِٱلْخُنَّسِ','verse_number' => '15','verse_key' => '81:15','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5816','chapter_id' => '81','arabic_name' => 'ٱلْجَوَارِ ٱلْكُنَّسِ','verse_number' => '16','verse_key' => '81:16','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5817','chapter_id' => '81','arabic_name' => 'وَٱلَّيْلِ إِذَا عَسْعَسَ','verse_number' => '17','verse_key' => '81:17','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5818','chapter_id' => '81','arabic_name' => 'وَٱلصُّبْحِ إِذَا تَنَفَّسَ','verse_number' => '18','verse_key' => '81:18','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5819','chapter_id' => '81','arabic_name' => 'إِنَّهُۥ لَقَوْلُ رَسُولٍ كَرِيمٍ','verse_number' => '19','verse_key' => '81:19','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5820','chapter_id' => '81','arabic_name' => 'ذِى قُوَّةٍ عِندَ ذِى ٱلْعَرْشِ مَكِينٍ','verse_number' => '20','verse_key' => '81:20','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5821','chapter_id' => '81','arabic_name' => 'مُّطَاعٍ ثَمَّ أَمِينٍ','verse_number' => '21','verse_key' => '81:21','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5822','chapter_id' => '81','arabic_name' => 'وَمَا صَاحِبُكُم بِمَجْنُونٍ','verse_number' => '22','verse_key' => '81:22','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5823','chapter_id' => '81','arabic_name' => 'وَلَقَدْ رَءَاهُ بِٱلْأُفُقِ ٱلْمُبِينِ','verse_number' => '23','verse_key' => '81:23','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5824','chapter_id' => '81','arabic_name' => 'وَمَا هُوَ عَلَى ٱلْغَيْبِ بِضَنِينٍ','verse_number' => '24','verse_key' => '81:24','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5825','chapter_id' => '81','arabic_name' => 'وَمَا هُوَ بِقَوْلِ شَيْطَـٰنٍ رَّجِيمٍ','verse_number' => '25','verse_key' => '81:25','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5826','chapter_id' => '81','arabic_name' => 'فَأَيْنَ تَذْهَبُونَ','verse_number' => '26','verse_key' => '81:26','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5827','chapter_id' => '81','arabic_name' => 'إِنْ هُوَ إِلَّا ذِكْرٌ لِّلْعَـٰلَمِينَ','verse_number' => '27','verse_key' => '81:27','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5828','chapter_id' => '81','arabic_name' => 'لِمَن شَآءَ مِنكُمْ أَن يَسْتَقِيمَ','verse_number' => '28','verse_key' => '81:28','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5829','chapter_id' => '81','arabic_name' => 'وَمَا تَشَآءُونَ إِلَّآ أَن يَشَآءَ ٱللَّهُ رَبُّ ٱلْعَـٰلَمِينَ','verse_number' => '29','verse_key' => '81:29','hizb_number' => '59','rub_el_hizb_number' => '234','ruku_number' => '525','manzil_number' => '7','sajdah_number' => '0','page_number' => '586','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5830','chapter_id' => '82','arabic_name' => 'إِذَا ٱلسَّمَآءُ ٱنفَطَرَتْ','verse_number' => '1','verse_key' => '82:1','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5831','chapter_id' => '82','arabic_name' => 'وَإِذَا ٱلْكَوَاكِبُ ٱنتَثَرَتْ','verse_number' => '2','verse_key' => '82:2','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5832','chapter_id' => '82','arabic_name' => 'وَإِذَا ٱلْبِحَارُ فُجِّرَتْ','verse_number' => '3','verse_key' => '82:3','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5833','chapter_id' => '82','arabic_name' => 'وَإِذَا ٱلْقُبُورُ بُعْثِرَتْ','verse_number' => '4','verse_key' => '82:4','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5834','chapter_id' => '82','arabic_name' => 'عَلِمَتْ نَفْسٌ مَّا قَدَّمَتْ وَأَخَّرَتْ','verse_number' => '5','verse_key' => '82:5','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5835','chapter_id' => '82','arabic_name' => 'يَـٰٓأَيُّهَا ٱلْإِنسَـٰنُ مَا غَرَّكَ بِرَبِّكَ ٱلْكَرِيمِ','verse_number' => '6','verse_key' => '82:6','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5836','chapter_id' => '82','arabic_name' => 'ٱلَّذِى خَلَقَكَ فَسَوَّىٰكَ فَعَدَلَكَ','verse_number' => '7','verse_key' => '82:7','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5837','chapter_id' => '82','arabic_name' => 'فِىٓ أَىِّ صُورَةٍ مَّا شَآءَ رَكَّبَكَ','verse_number' => '8','verse_key' => '82:8','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5838','chapter_id' => '82','arabic_name' => 'كَلَّا بَلْ تُكَذِّبُونَ بِٱلدِّينِ','verse_number' => '9','verse_key' => '82:9','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5839','chapter_id' => '82','arabic_name' => 'وَإِنَّ عَلَيْكُمْ لَحَـٰفِظِينَ','verse_number' => '10','verse_key' => '82:10','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5840','chapter_id' => '82','arabic_name' => 'كِرَامًا كَـٰتِبِينَ','verse_number' => '11','verse_key' => '82:11','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5841','chapter_id' => '82','arabic_name' => 'يَعْلَمُونَ مَا تَفْعَلُونَ','verse_number' => '12','verse_key' => '82:12','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5842','chapter_id' => '82','arabic_name' => 'إِنَّ ٱلْأَبْرَارَ لَفِى نَعِيمٍ','verse_number' => '13','verse_key' => '82:13','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5843','chapter_id' => '82','arabic_name' => 'وَإِنَّ ٱلْفُجَّارَ لَفِى جَحِيمٍ','verse_number' => '14','verse_key' => '82:14','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5844','chapter_id' => '82','arabic_name' => 'يَصْلَوْنَهَا يَوْمَ ٱلدِّينِ','verse_number' => '15','verse_key' => '82:15','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5845','chapter_id' => '82','arabic_name' => 'وَمَا هُمْ عَنْهَا بِغَآئِبِينَ','verse_number' => '16','verse_key' => '82:16','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5846','chapter_id' => '82','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا يَوْمُ ٱلدِّينِ','verse_number' => '17','verse_key' => '82:17','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5847','chapter_id' => '82','arabic_name' => 'ثُمَّ مَآ أَدْرَىٰكَ مَا يَوْمُ ٱلدِّينِ','verse_number' => '18','verse_key' => '82:18','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5848','chapter_id' => '82','arabic_name' => 'يَوْمَ لَا تَمْلِكُ نَفْسٌ لِّنَفْسٍ شَيْـًٔا ۖ وَٱلْأَمْرُ يَوْمَئِذٍ لِّلَّهِ','verse_number' => '19','verse_key' => '82:19','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '526','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5849','chapter_id' => '83','arabic_name' => 'وَيْلٌ لِّلْمُطَفِّفِينَ','verse_number' => '1','verse_key' => '83:1','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5850','chapter_id' => '83','arabic_name' => 'ٱلَّذِينَ إِذَا ٱكْتَالُوا۟ عَلَى ٱلنَّاسِ يَسْتَوْفُونَ','verse_number' => '2','verse_key' => '83:2','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5851','chapter_id' => '83','arabic_name' => 'وَإِذَا كَالُوهُمْ أَو وَّزَنُوهُمْ يُخْسِرُونَ','verse_number' => '3','verse_key' => '83:3','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5852','chapter_id' => '83','arabic_name' => 'أَلَا يَظُنُّ أُو۟لَـٰٓئِكَ أَنَّهُم مَّبْعُوثُونَ','verse_number' => '4','verse_key' => '83:4','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5853','chapter_id' => '83','arabic_name' => 'لِيَوْمٍ عَظِيمٍ','verse_number' => '5','verse_key' => '83:5','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5854','chapter_id' => '83','arabic_name' => 'يَوْمَ يَقُومُ ٱلنَّاسُ لِرَبِّ ٱلْعَـٰلَمِينَ','verse_number' => '6','verse_key' => '83:6','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '587','juz_number' => '30','created_at' => '2023-12-01 17:30:08','updated_at' => '2023-12-01 17:30:08'),
            array('id' => '5855','chapter_id' => '83','arabic_name' => 'كَلَّآ إِنَّ كِتَـٰبَ ٱلْفُجَّارِ لَفِى سِجِّينٍ','verse_number' => '7','verse_key' => '83:7','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5856','chapter_id' => '83','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا سِجِّينٌ','verse_number' => '8','verse_key' => '83:8','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5857','chapter_id' => '83','arabic_name' => 'كِتَـٰبٌ مَّرْقُومٌ','verse_number' => '9','verse_key' => '83:9','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5858','chapter_id' => '83','arabic_name' => 'وَيْلٌ يَوْمَئِذٍ لِّلْمُكَذِّبِينَ','verse_number' => '10','verse_key' => '83:10','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5859','chapter_id' => '83','arabic_name' => 'ٱلَّذِينَ يُكَذِّبُونَ بِيَوْمِ ٱلدِّينِ','verse_number' => '11','verse_key' => '83:11','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5860','chapter_id' => '83','arabic_name' => 'وَمَا يُكَذِّبُ بِهِۦٓ إِلَّا كُلُّ مُعْتَدٍ أَثِيمٍ','verse_number' => '12','verse_key' => '83:12','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5861','chapter_id' => '83','arabic_name' => 'إِذَا تُتْلَىٰ عَلَيْهِ ءَايَـٰتُنَا قَالَ أَسَـٰطِيرُ ٱلْأَوَّلِينَ','verse_number' => '13','verse_key' => '83:13','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5862','chapter_id' => '83','arabic_name' => 'كَلَّا ۖ بَلْ ۜ رَانَ عَلَىٰ قُلُوبِهِم مَّا كَانُوا۟ يَكْسِبُونَ','verse_number' => '14','verse_key' => '83:14','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5863','chapter_id' => '83','arabic_name' => 'كَلَّآ إِنَّهُمْ عَن رَّبِّهِمْ يَوْمَئِذٍ لَّمَحْجُوبُونَ','verse_number' => '15','verse_key' => '83:15','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5864','chapter_id' => '83','arabic_name' => 'ثُمَّ إِنَّهُمْ لَصَالُوا۟ ٱلْجَحِيمِ','verse_number' => '16','verse_key' => '83:16','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5865','chapter_id' => '83','arabic_name' => 'ثُمَّ يُقَالُ هَـٰذَا ٱلَّذِى كُنتُم بِهِۦ تُكَذِّبُونَ','verse_number' => '17','verse_key' => '83:17','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5866','chapter_id' => '83','arabic_name' => 'كَلَّآ إِنَّ كِتَـٰبَ ٱلْأَبْرَارِ لَفِى عِلِّيِّينَ','verse_number' => '18','verse_key' => '83:18','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5867','chapter_id' => '83','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا عِلِّيُّونَ','verse_number' => '19','verse_key' => '83:19','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5868','chapter_id' => '83','arabic_name' => 'كِتَـٰبٌ مَّرْقُومٌ','verse_number' => '20','verse_key' => '83:20','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5869','chapter_id' => '83','arabic_name' => 'يَشْهَدُهُ ٱلْمُقَرَّبُونَ','verse_number' => '21','verse_key' => '83:21','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5870','chapter_id' => '83','arabic_name' => 'إِنَّ ٱلْأَبْرَارَ لَفِى نَعِيمٍ','verse_number' => '22','verse_key' => '83:22','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5871','chapter_id' => '83','arabic_name' => 'عَلَى ٱلْأَرَآئِكِ يَنظُرُونَ','verse_number' => '23','verse_key' => '83:23','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5872','chapter_id' => '83','arabic_name' => 'تَعْرِفُ فِى وُجُوهِهِمْ نَضْرَةَ ٱلنَّعِيمِ','verse_number' => '24','verse_key' => '83:24','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5873','chapter_id' => '83','arabic_name' => 'يُسْقَوْنَ مِن رَّحِيقٍ مَّخْتُومٍ','verse_number' => '25','verse_key' => '83:25','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5874','chapter_id' => '83','arabic_name' => 'خِتَـٰمُهُۥ مِسْكٌ ۚ وَفِى ذَٰلِكَ فَلْيَتَنَافَسِ ٱلْمُتَنَـٰفِسُونَ','verse_number' => '26','verse_key' => '83:26','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5875','chapter_id' => '83','arabic_name' => 'وَمِزَاجُهُۥ مِن تَسْنِيمٍ','verse_number' => '27','verse_key' => '83:27','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5876','chapter_id' => '83','arabic_name' => 'عَيْنًا يَشْرَبُ بِهَا ٱلْمُقَرَّبُونَ','verse_number' => '28','verse_key' => '83:28','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5877','chapter_id' => '83','arabic_name' => 'إِنَّ ٱلَّذِينَ أَجْرَمُوا۟ كَانُوا۟ مِنَ ٱلَّذِينَ ءَامَنُوا۟ يَضْحَكُونَ','verse_number' => '29','verse_key' => '83:29','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5878','chapter_id' => '83','arabic_name' => 'وَإِذَا مَرُّوا۟ بِهِمْ يَتَغَامَزُونَ','verse_number' => '30','verse_key' => '83:30','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5879','chapter_id' => '83','arabic_name' => 'وَإِذَا ٱنقَلَبُوٓا۟ إِلَىٰٓ أَهْلِهِمُ ٱنقَلَبُوا۟ فَكِهِينَ','verse_number' => '31','verse_key' => '83:31','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5880','chapter_id' => '83','arabic_name' => 'وَإِذَا رَأَوْهُمْ قَالُوٓا۟ إِنَّ هَـٰٓؤُلَآءِ لَضَآلُّونَ','verse_number' => '32','verse_key' => '83:32','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5881','chapter_id' => '83','arabic_name' => 'وَمَآ أُرْسِلُوا۟ عَلَيْهِمْ حَـٰفِظِينَ','verse_number' => '33','verse_key' => '83:33','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5882','chapter_id' => '83','arabic_name' => 'فَٱلْيَوْمَ ٱلَّذِينَ ءَامَنُوا۟ مِنَ ٱلْكُفَّارِ يَضْحَكُونَ','verse_number' => '34','verse_key' => '83:34','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '588','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5883','chapter_id' => '83','arabic_name' => 'عَلَى ٱلْأَرَآئِكِ يَنظُرُونَ','verse_number' => '35','verse_key' => '83:35','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5884','chapter_id' => '83','arabic_name' => 'هَلْ ثُوِّبَ ٱلْكُفَّارُ مَا كَانُوا۟ يَفْعَلُونَ','verse_number' => '36','verse_key' => '83:36','hizb_number' => '59','rub_el_hizb_number' => '235','ruku_number' => '527','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5885','chapter_id' => '84','arabic_name' => 'إِذَا ٱلسَّمَآءُ ٱنشَقَّتْ','verse_number' => '1','verse_key' => '84:1','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5886','chapter_id' => '84','arabic_name' => 'وَأَذِنَتْ لِرَبِّهَا وَحُقَّتْ','verse_number' => '2','verse_key' => '84:2','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5887','chapter_id' => '84','arabic_name' => 'وَإِذَا ٱلْأَرْضُ مُدَّتْ','verse_number' => '3','verse_key' => '84:3','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5888','chapter_id' => '84','arabic_name' => 'وَأَلْقَتْ مَا فِيهَا وَتَخَلَّتْ','verse_number' => '4','verse_key' => '84:4','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5889','chapter_id' => '84','arabic_name' => 'وَأَذِنَتْ لِرَبِّهَا وَحُقَّتْ','verse_number' => '5','verse_key' => '84:5','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5890','chapter_id' => '84','arabic_name' => 'يَـٰٓأَيُّهَا ٱلْإِنسَـٰنُ إِنَّكَ كَادِحٌ إِلَىٰ رَبِّكَ كَدْحًا فَمُلَـٰقِيهِ','verse_number' => '6','verse_key' => '84:6','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5891','chapter_id' => '84','arabic_name' => 'فَأَمَّا مَنْ أُوتِىَ كِتَـٰبَهُۥ بِيَمِينِهِۦ','verse_number' => '7','verse_key' => '84:7','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5892','chapter_id' => '84','arabic_name' => 'فَسَوْفَ يُحَاسَبُ حِسَابًا يَسِيرًا','verse_number' => '8','verse_key' => '84:8','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5893','chapter_id' => '84','arabic_name' => 'وَيَنقَلِبُ إِلَىٰٓ أَهْلِهِۦ مَسْرُورًا','verse_number' => '9','verse_key' => '84:9','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5894','chapter_id' => '84','arabic_name' => 'وَأَمَّا مَنْ أُوتِىَ كِتَـٰبَهُۥ وَرَآءَ ظَهْرِهِۦ','verse_number' => '10','verse_key' => '84:10','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5895','chapter_id' => '84','arabic_name' => 'فَسَوْفَ يَدْعُوا۟ ثُبُورًا','verse_number' => '11','verse_key' => '84:11','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5896','chapter_id' => '84','arabic_name' => 'وَيَصْلَىٰ سَعِيرًا','verse_number' => '12','verse_key' => '84:12','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5897','chapter_id' => '84','arabic_name' => 'إِنَّهُۥ كَانَ فِىٓ أَهْلِهِۦ مَسْرُورًا','verse_number' => '13','verse_key' => '84:13','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5898','chapter_id' => '84','arabic_name' => 'إِنَّهُۥ ظَنَّ أَن لَّن يَحُورَ','verse_number' => '14','verse_key' => '84:14','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5899','chapter_id' => '84','arabic_name' => 'بَلَىٰٓ إِنَّ رَبَّهُۥ كَانَ بِهِۦ بَصِيرًا','verse_number' => '15','verse_key' => '84:15','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5900','chapter_id' => '84','arabic_name' => 'فَلَآ أُقْسِمُ بِٱلشَّفَقِ','verse_number' => '16','verse_key' => '84:16','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5901','chapter_id' => '84','arabic_name' => 'وَٱلَّيْلِ وَمَا وَسَقَ','verse_number' => '17','verse_key' => '84:17','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5902','chapter_id' => '84','arabic_name' => 'وَٱلْقَمَرِ إِذَا ٱتَّسَقَ','verse_number' => '18','verse_key' => '84:18','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5903','chapter_id' => '84','arabic_name' => 'لَتَرْكَبُنَّ طَبَقًا عَن طَبَقٍ','verse_number' => '19','verse_key' => '84:19','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5904','chapter_id' => '84','arabic_name' => 'فَمَا لَهُمْ لَا يُؤْمِنُونَ','verse_number' => '20','verse_key' => '84:20','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5905','chapter_id' => '84','arabic_name' => 'وَإِذَا قُرِئَ عَلَيْهِمُ ٱلْقُرْءَانُ لَا يَسْجُدُونَ ۩','verse_number' => '21','verse_key' => '84:21','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '13','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5906','chapter_id' => '84','arabic_name' => 'بَلِ ٱلَّذِينَ كَفَرُوا۟ يُكَذِّبُونَ','verse_number' => '22','verse_key' => '84:22','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5907','chapter_id' => '84','arabic_name' => 'وَٱللَّهُ أَعْلَمُ بِمَا يُوعُونَ','verse_number' => '23','verse_key' => '84:23','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5908','chapter_id' => '84','arabic_name' => 'فَبَشِّرْهُم بِعَذَابٍ أَلِيمٍ','verse_number' => '24','verse_key' => '84:24','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5909','chapter_id' => '84','arabic_name' => 'إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَهُمْ أَجْرٌ غَيْرُ مَمْنُونٍۭ','verse_number' => '25','verse_key' => '84:25','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '528','manzil_number' => '7','sajdah_number' => '0','page_number' => '589','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5910','chapter_id' => '85','arabic_name' => 'وَٱلسَّمَآءِ ذَاتِ ٱلْبُرُوجِ','verse_number' => '1','verse_key' => '85:1','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5911','chapter_id' => '85','arabic_name' => 'وَٱلْيَوْمِ ٱلْمَوْعُودِ','verse_number' => '2','verse_key' => '85:2','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5912','chapter_id' => '85','arabic_name' => 'وَشَاهِدٍ وَمَشْهُودٍ','verse_number' => '3','verse_key' => '85:3','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5913','chapter_id' => '85','arabic_name' => 'قُتِلَ أَصْحَـٰبُ ٱلْأُخْدُودِ','verse_number' => '4','verse_key' => '85:4','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5914','chapter_id' => '85','arabic_name' => 'ٱلنَّارِ ذَاتِ ٱلْوَقُودِ','verse_number' => '5','verse_key' => '85:5','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5915','chapter_id' => '85','arabic_name' => 'إِذْ هُمْ عَلَيْهَا قُعُودٌ','verse_number' => '6','verse_key' => '85:6','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5916','chapter_id' => '85','arabic_name' => 'وَهُمْ عَلَىٰ مَا يَفْعَلُونَ بِٱلْمُؤْمِنِينَ شُهُودٌ','verse_number' => '7','verse_key' => '85:7','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5917','chapter_id' => '85','arabic_name' => 'وَمَا نَقَمُوا۟ مِنْهُمْ إِلَّآ أَن يُؤْمِنُوا۟ بِٱللَّهِ ٱلْعَزِيزِ ٱلْحَمِيدِ','verse_number' => '8','verse_key' => '85:8','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5918','chapter_id' => '85','arabic_name' => 'ٱلَّذِى لَهُۥ مُلْكُ ٱلسَّمَـٰوَٰتِ وَٱلْأَرْضِ ۚ وَٱللَّهُ عَلَىٰ كُلِّ شَىْءٍ شَهِيدٌ','verse_number' => '9','verse_key' => '85:9','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5919','chapter_id' => '85','arabic_name' => 'إِنَّ ٱلَّذِينَ فَتَنُوا۟ ٱلْمُؤْمِنِينَ وَٱلْمُؤْمِنَـٰتِ ثُمَّ لَمْ يَتُوبُوا۟ فَلَهُمْ عَذَابُ جَهَنَّمَ وَلَهُمْ عَذَابُ ٱلْحَرِيقِ','verse_number' => '10','verse_key' => '85:10','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5920','chapter_id' => '85','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ لَهُمْ جَنَّـٰتٌ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ ۚ ذَٰلِكَ ٱلْفَوْزُ ٱلْكَبِيرُ','verse_number' => '11','verse_key' => '85:11','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5921','chapter_id' => '85','arabic_name' => 'إِنَّ بَطْشَ رَبِّكَ لَشَدِيدٌ','verse_number' => '12','verse_key' => '85:12','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5922','chapter_id' => '85','arabic_name' => 'إِنَّهُۥ هُوَ يُبْدِئُ وَيُعِيدُ','verse_number' => '13','verse_key' => '85:13','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5923','chapter_id' => '85','arabic_name' => 'وَهُوَ ٱلْغَفُورُ ٱلْوَدُودُ','verse_number' => '14','verse_key' => '85:14','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5924','chapter_id' => '85','arabic_name' => 'ذُو ٱلْعَرْشِ ٱلْمَجِيدُ','verse_number' => '15','verse_key' => '85:15','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5925','chapter_id' => '85','arabic_name' => 'فَعَّالٌ لِّمَا يُرِيدُ','verse_number' => '16','verse_key' => '85:16','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5926','chapter_id' => '85','arabic_name' => 'هَلْ أَتَىٰكَ حَدِيثُ ٱلْجُنُودِ','verse_number' => '17','verse_key' => '85:17','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5927','chapter_id' => '85','arabic_name' => 'فِرْعَوْنَ وَثَمُودَ','verse_number' => '18','verse_key' => '85:18','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5928','chapter_id' => '85','arabic_name' => 'بَلِ ٱلَّذِينَ كَفَرُوا۟ فِى تَكْذِيبٍ','verse_number' => '19','verse_key' => '85:19','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5929','chapter_id' => '85','arabic_name' => 'وَٱللَّهُ مِن وَرَآئِهِم مُّحِيطٌۢ','verse_number' => '20','verse_key' => '85:20','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5930','chapter_id' => '85','arabic_name' => 'بَلْ هُوَ قُرْءَانٌ مَّجِيدٌ','verse_number' => '21','verse_key' => '85:21','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5931','chapter_id' => '85','arabic_name' => 'فِى لَوْحٍ مَّحْفُوظٍۭ','verse_number' => '22','verse_key' => '85:22','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '529','manzil_number' => '7','sajdah_number' => '0','page_number' => '590','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5932','chapter_id' => '86','arabic_name' => 'وَٱلسَّمَآءِ وَٱلطَّارِقِ','verse_number' => '1','verse_key' => '86:1','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5933','chapter_id' => '86','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا ٱلطَّارِقُ','verse_number' => '2','verse_key' => '86:2','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5934','chapter_id' => '86','arabic_name' => 'ٱلنَّجْمُ ٱلثَّاقِبُ','verse_number' => '3','verse_key' => '86:3','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5935','chapter_id' => '86','arabic_name' => 'إِن كُلُّ نَفْسٍ لَّمَّا عَلَيْهَا حَافِظٌ','verse_number' => '4','verse_key' => '86:4','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5936','chapter_id' => '86','arabic_name' => 'فَلْيَنظُرِ ٱلْإِنسَـٰنُ مِمَّ خُلِقَ','verse_number' => '5','verse_key' => '86:5','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5937','chapter_id' => '86','arabic_name' => 'خُلِقَ مِن مَّآءٍ دَافِقٍ','verse_number' => '6','verse_key' => '86:6','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5938','chapter_id' => '86','arabic_name' => 'يَخْرُجُ مِنۢ بَيْنِ ٱلصُّلْبِ وَٱلتَّرَآئِبِ','verse_number' => '7','verse_key' => '86:7','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5939','chapter_id' => '86','arabic_name' => 'إِنَّهُۥ عَلَىٰ رَجْعِهِۦ لَقَادِرٌ','verse_number' => '8','verse_key' => '86:8','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5940','chapter_id' => '86','arabic_name' => 'يَوْمَ تُبْلَى ٱلسَّرَآئِرُ','verse_number' => '9','verse_key' => '86:9','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5941','chapter_id' => '86','arabic_name' => 'فَمَا لَهُۥ مِن قُوَّةٍ وَلَا نَاصِرٍ','verse_number' => '10','verse_key' => '86:10','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5942','chapter_id' => '86','arabic_name' => 'وَٱلسَّمَآءِ ذَاتِ ٱلرَّجْعِ','verse_number' => '11','verse_key' => '86:11','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5943','chapter_id' => '86','arabic_name' => 'وَٱلْأَرْضِ ذَاتِ ٱلصَّدْعِ','verse_number' => '12','verse_key' => '86:12','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5944','chapter_id' => '86','arabic_name' => 'إِنَّهُۥ لَقَوْلٌ فَصْلٌ','verse_number' => '13','verse_key' => '86:13','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5945','chapter_id' => '86','arabic_name' => 'وَمَا هُوَ بِٱلْهَزْلِ','verse_number' => '14','verse_key' => '86:14','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5946','chapter_id' => '86','arabic_name' => 'إِنَّهُمْ يَكِيدُونَ كَيْدًا','verse_number' => '15','verse_key' => '86:15','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5947','chapter_id' => '86','arabic_name' => 'وَأَكِيدُ كَيْدًا','verse_number' => '16','verse_key' => '86:16','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5948','chapter_id' => '86','arabic_name' => 'فَمَهِّلِ ٱلْكَـٰفِرِينَ أَمْهِلْهُمْ رُوَيْدًۢا','verse_number' => '17','verse_key' => '86:17','hizb_number' => '59','rub_el_hizb_number' => '236','ruku_number' => '530','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5949','chapter_id' => '87','arabic_name' => 'سَبِّحِ ٱسْمَ رَبِّكَ ٱلْأَعْلَى','verse_number' => '1','verse_key' => '87:1','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5950','chapter_id' => '87','arabic_name' => 'ٱلَّذِى خَلَقَ فَسَوَّىٰ','verse_number' => '2','verse_key' => '87:2','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5951','chapter_id' => '87','arabic_name' => 'وَٱلَّذِى قَدَّرَ فَهَدَىٰ','verse_number' => '3','verse_key' => '87:3','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5952','chapter_id' => '87','arabic_name' => 'وَٱلَّذِىٓ أَخْرَجَ ٱلْمَرْعَىٰ','verse_number' => '4','verse_key' => '87:4','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5953','chapter_id' => '87','arabic_name' => 'فَجَعَلَهُۥ غُثَآءً أَحْوَىٰ','verse_number' => '5','verse_key' => '87:5','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5954','chapter_id' => '87','arabic_name' => 'سَنُقْرِئُكَ فَلَا تَنسَىٰٓ','verse_number' => '6','verse_key' => '87:6','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5955','chapter_id' => '87','arabic_name' => 'إِلَّا مَا شَآءَ ٱللَّهُ ۚ إِنَّهُۥ يَعْلَمُ ٱلْجَهْرَ وَمَا يَخْفَىٰ','verse_number' => '7','verse_key' => '87:7','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5956','chapter_id' => '87','arabic_name' => 'وَنُيَسِّرُكَ لِلْيُسْرَىٰ','verse_number' => '8','verse_key' => '87:8','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5957','chapter_id' => '87','arabic_name' => 'فَذَكِّرْ إِن نَّفَعَتِ ٱلذِّكْرَىٰ','verse_number' => '9','verse_key' => '87:9','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5958','chapter_id' => '87','arabic_name' => 'سَيَذَّكَّرُ مَن يَخْشَىٰ','verse_number' => '10','verse_key' => '87:10','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5959','chapter_id' => '87','arabic_name' => 'وَيَتَجَنَّبُهَا ٱلْأَشْقَى','verse_number' => '11','verse_key' => '87:11','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5960','chapter_id' => '87','arabic_name' => 'ٱلَّذِى يَصْلَى ٱلنَّارَ ٱلْكُبْرَىٰ','verse_number' => '12','verse_key' => '87:12','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5961','chapter_id' => '87','arabic_name' => 'ثُمَّ لَا يَمُوتُ فِيهَا وَلَا يَحْيَىٰ','verse_number' => '13','verse_key' => '87:13','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5962','chapter_id' => '87','arabic_name' => 'قَدْ أَفْلَحَ مَن تَزَكَّىٰ','verse_number' => '14','verse_key' => '87:14','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5963','chapter_id' => '87','arabic_name' => 'وَذَكَرَ ٱسْمَ رَبِّهِۦ فَصَلَّىٰ','verse_number' => '15','verse_key' => '87:15','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '591','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5964','chapter_id' => '87','arabic_name' => 'بَلْ تُؤْثِرُونَ ٱلْحَيَوٰةَ ٱلدُّنْيَا','verse_number' => '16','verse_key' => '87:16','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5965','chapter_id' => '87','arabic_name' => 'وَٱلْـَٔاخِرَةُ خَيْرٌ وَأَبْقَىٰٓ','verse_number' => '17','verse_key' => '87:17','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5966','chapter_id' => '87','arabic_name' => 'إِنَّ هَـٰذَا لَفِى ٱلصُّحُفِ ٱلْأُولَىٰ','verse_number' => '18','verse_key' => '87:18','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5967','chapter_id' => '87','arabic_name' => 'صُحُفِ إِبْرَٰهِيمَ وَمُوسَىٰ','verse_number' => '19','verse_key' => '87:19','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '531','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5968','chapter_id' => '88','arabic_name' => 'هَلْ أَتَىٰكَ حَدِيثُ ٱلْغَـٰشِيَةِ','verse_number' => '1','verse_key' => '88:1','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5969','chapter_id' => '88','arabic_name' => 'وُجُوهٌ يَوْمَئِذٍ خَـٰشِعَةٌ','verse_number' => '2','verse_key' => '88:2','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5970','chapter_id' => '88','arabic_name' => 'عَامِلَةٌ نَّاصِبَةٌ','verse_number' => '3','verse_key' => '88:3','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5971','chapter_id' => '88','arabic_name' => 'تَصْلَىٰ نَارًا حَامِيَةً','verse_number' => '4','verse_key' => '88:4','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5972','chapter_id' => '88','arabic_name' => 'تُسْقَىٰ مِنْ عَيْنٍ ءَانِيَةٍ','verse_number' => '5','verse_key' => '88:5','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5973','chapter_id' => '88','arabic_name' => 'لَّيْسَ لَهُمْ طَعَامٌ إِلَّا مِن ضَرِيعٍ','verse_number' => '6','verse_key' => '88:6','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5974','chapter_id' => '88','arabic_name' => 'لَّا يُسْمِنُ وَلَا يُغْنِى مِن جُوعٍ','verse_number' => '7','verse_key' => '88:7','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5975','chapter_id' => '88','arabic_name' => 'وُجُوهٌ يَوْمَئِذٍ نَّاعِمَةٌ','verse_number' => '8','verse_key' => '88:8','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5976','chapter_id' => '88','arabic_name' => 'لِّسَعْيِهَا رَاضِيَةٌ','verse_number' => '9','verse_key' => '88:9','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5977','chapter_id' => '88','arabic_name' => 'فِى جَنَّةٍ عَالِيَةٍ','verse_number' => '10','verse_key' => '88:10','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5978','chapter_id' => '88','arabic_name' => 'لَّا تَسْمَعُ فِيهَا لَـٰغِيَةً','verse_number' => '11','verse_key' => '88:11','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5979','chapter_id' => '88','arabic_name' => 'فِيهَا عَيْنٌ جَارِيَةٌ','verse_number' => '12','verse_key' => '88:12','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5980','chapter_id' => '88','arabic_name' => 'فِيهَا سُرُرٌ مَّرْفُوعَةٌ','verse_number' => '13','verse_key' => '88:13','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5981','chapter_id' => '88','arabic_name' => 'وَأَكْوَابٌ مَّوْضُوعَةٌ','verse_number' => '14','verse_key' => '88:14','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5982','chapter_id' => '88','arabic_name' => 'وَنَمَارِقُ مَصْفُوفَةٌ','verse_number' => '15','verse_key' => '88:15','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5983','chapter_id' => '88','arabic_name' => 'وَزَرَابِىُّ مَبْثُوثَةٌ','verse_number' => '16','verse_key' => '88:16','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5984','chapter_id' => '88','arabic_name' => 'أَفَلَا يَنظُرُونَ إِلَى ٱلْإِبِلِ كَيْفَ خُلِقَتْ','verse_number' => '17','verse_key' => '88:17','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5985','chapter_id' => '88','arabic_name' => 'وَإِلَى ٱلسَّمَآءِ كَيْفَ رُفِعَتْ','verse_number' => '18','verse_key' => '88:18','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5986','chapter_id' => '88','arabic_name' => 'وَإِلَى ٱلْجِبَالِ كَيْفَ نُصِبَتْ','verse_number' => '19','verse_key' => '88:19','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5987','chapter_id' => '88','arabic_name' => 'وَإِلَى ٱلْأَرْضِ كَيْفَ سُطِحَتْ','verse_number' => '20','verse_key' => '88:20','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5988','chapter_id' => '88','arabic_name' => 'فَذَكِّرْ إِنَّمَآ أَنتَ مُذَكِّرٌ','verse_number' => '21','verse_key' => '88:21','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5989','chapter_id' => '88','arabic_name' => 'لَّسْتَ عَلَيْهِم بِمُصَيْطِرٍ','verse_number' => '22','verse_key' => '88:22','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5990','chapter_id' => '88','arabic_name' => 'إِلَّا مَن تَوَلَّىٰ وَكَفَرَ','verse_number' => '23','verse_key' => '88:23','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5991','chapter_id' => '88','arabic_name' => 'فَيُعَذِّبُهُ ٱللَّهُ ٱلْعَذَابَ ٱلْأَكْبَرَ','verse_number' => '24','verse_key' => '88:24','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5992','chapter_id' => '88','arabic_name' => 'إِنَّ إِلَيْنَآ إِيَابَهُمْ','verse_number' => '25','verse_key' => '88:25','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5993','chapter_id' => '88','arabic_name' => 'ثُمَّ إِنَّ عَلَيْنَا حِسَابَهُم','verse_number' => '26','verse_key' => '88:26','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '532','manzil_number' => '7','sajdah_number' => '0','page_number' => '592','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5994','chapter_id' => '89','arabic_name' => 'وَٱلْفَجْرِ','verse_number' => '1','verse_key' => '89:1','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5995','chapter_id' => '89','arabic_name' => 'وَلَيَالٍ عَشْرٍ','verse_number' => '2','verse_key' => '89:2','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5996','chapter_id' => '89','arabic_name' => 'وَٱلشَّفْعِ وَٱلْوَتْرِ','verse_number' => '3','verse_key' => '89:3','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5997','chapter_id' => '89','arabic_name' => 'وَٱلَّيْلِ إِذَا يَسْرِ','verse_number' => '4','verse_key' => '89:4','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5998','chapter_id' => '89','arabic_name' => 'هَلْ فِى ذَٰلِكَ قَسَمٌ لِّذِى حِجْرٍ','verse_number' => '5','verse_key' => '89:5','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '5999','chapter_id' => '89','arabic_name' => 'أَلَمْ تَرَ كَيْفَ فَعَلَ رَبُّكَ بِعَادٍ','verse_number' => '6','verse_key' => '89:6','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6000','chapter_id' => '89','arabic_name' => 'إِرَمَ ذَاتِ ٱلْعِمَادِ','verse_number' => '7','verse_key' => '89:7','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6001','chapter_id' => '89','arabic_name' => 'ٱلَّتِى لَمْ يُخْلَقْ مِثْلُهَا فِى ٱلْبِلَـٰدِ','verse_number' => '8','verse_key' => '89:8','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6002','chapter_id' => '89','arabic_name' => 'وَثَمُودَ ٱلَّذِينَ جَابُوا۟ ٱلصَّخْرَ بِٱلْوَادِ','verse_number' => '9','verse_key' => '89:9','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6003','chapter_id' => '89','arabic_name' => 'وَفِرْعَوْنَ ذِى ٱلْأَوْتَادِ','verse_number' => '10','verse_key' => '89:10','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6004','chapter_id' => '89','arabic_name' => 'ٱلَّذِينَ طَغَوْا۟ فِى ٱلْبِلَـٰدِ','verse_number' => '11','verse_key' => '89:11','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6005','chapter_id' => '89','arabic_name' => 'فَأَكْثَرُوا۟ فِيهَا ٱلْفَسَادَ','verse_number' => '12','verse_key' => '89:12','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6006','chapter_id' => '89','arabic_name' => 'فَصَبَّ عَلَيْهِمْ رَبُّكَ سَوْطَ عَذَابٍ','verse_number' => '13','verse_key' => '89:13','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6007','chapter_id' => '89','arabic_name' => 'إِنَّ رَبَّكَ لَبِٱلْمِرْصَادِ','verse_number' => '14','verse_key' => '89:14','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6008','chapter_id' => '89','arabic_name' => 'فَأَمَّا ٱلْإِنسَـٰنُ إِذَا مَا ٱبْتَلَىٰهُ رَبُّهُۥ فَأَكْرَمَهُۥ وَنَعَّمَهُۥ فَيَقُولُ رَبِّىٓ أَكْرَمَنِ','verse_number' => '15','verse_key' => '89:15','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6009','chapter_id' => '89','arabic_name' => 'وَأَمَّآ إِذَا مَا ٱبْتَلَىٰهُ فَقَدَرَ عَلَيْهِ رِزْقَهُۥ فَيَقُولُ رَبِّىٓ أَهَـٰنَنِ','verse_number' => '16','verse_key' => '89:16','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6010','chapter_id' => '89','arabic_name' => 'كَلَّا ۖ بَل لَّا تُكْرِمُونَ ٱلْيَتِيمَ','verse_number' => '17','verse_key' => '89:17','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6011','chapter_id' => '89','arabic_name' => 'وَلَا تَحَـٰٓضُّونَ عَلَىٰ طَعَامِ ٱلْمِسْكِينِ','verse_number' => '18','verse_key' => '89:18','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6012','chapter_id' => '89','arabic_name' => 'وَتَأْكُلُونَ ٱلتُّرَاثَ أَكْلًا لَّمًّا','verse_number' => '19','verse_key' => '89:19','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6013','chapter_id' => '89','arabic_name' => 'وَتُحِبُّونَ ٱلْمَالَ حُبًّا جَمًّا','verse_number' => '20','verse_key' => '89:20','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6014','chapter_id' => '89','arabic_name' => 'كَلَّآ إِذَا دُكَّتِ ٱلْأَرْضُ دَكًّا دَكًّا','verse_number' => '21','verse_key' => '89:21','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6015','chapter_id' => '89','arabic_name' => 'وَجَآءَ رَبُّكَ وَٱلْمَلَكُ صَفًّا صَفًّا','verse_number' => '22','verse_key' => '89:22','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6016','chapter_id' => '89','arabic_name' => 'وَجِا۟ىٓءَ يَوْمَئِذٍۭ بِجَهَنَّمَ ۚ يَوْمَئِذٍ يَتَذَكَّرُ ٱلْإِنسَـٰنُ وَأَنَّىٰ لَهُ ٱلذِّكْرَىٰ','verse_number' => '23','verse_key' => '89:23','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '593','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6017','chapter_id' => '89','arabic_name' => 'يَقُولُ يَـٰلَيْتَنِى قَدَّمْتُ لِحَيَاتِى','verse_number' => '24','verse_key' => '89:24','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6018','chapter_id' => '89','arabic_name' => 'فَيَوْمَئِذٍ لَّا يُعَذِّبُ عَذَابَهُۥٓ أَحَدٌ','verse_number' => '25','verse_key' => '89:25','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6019','chapter_id' => '89','arabic_name' => 'وَلَا يُوثِقُ وَثَاقَهُۥٓ أَحَدٌ','verse_number' => '26','verse_key' => '89:26','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6020','chapter_id' => '89','arabic_name' => 'يَـٰٓأَيَّتُهَا ٱلنَّفْسُ ٱلْمُطْمَئِنَّةُ','verse_number' => '27','verse_key' => '89:27','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6021','chapter_id' => '89','arabic_name' => 'ٱرْجِعِىٓ إِلَىٰ رَبِّكِ رَاضِيَةً مَّرْضِيَّةً','verse_number' => '28','verse_key' => '89:28','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6022','chapter_id' => '89','arabic_name' => 'فَٱدْخُلِى فِى عِبَـٰدِى','verse_number' => '29','verse_key' => '89:29','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6023','chapter_id' => '89','arabic_name' => 'وَٱدْخُلِى جَنَّتِى','verse_number' => '30','verse_key' => '89:30','hizb_number' => '60','rub_el_hizb_number' => '237','ruku_number' => '533','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6024','chapter_id' => '90','arabic_name' => 'لَآ أُقْسِمُ بِهَـٰذَا ٱلْبَلَدِ','verse_number' => '1','verse_key' => '90:1','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6025','chapter_id' => '90','arabic_name' => 'وَأَنتَ حِلٌّۢ بِهَـٰذَا ٱلْبَلَدِ','verse_number' => '2','verse_key' => '90:2','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6026','chapter_id' => '90','arabic_name' => 'وَوَالِدٍ وَمَا وَلَدَ','verse_number' => '3','verse_key' => '90:3','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6027','chapter_id' => '90','arabic_name' => 'لَقَدْ خَلَقْنَا ٱلْإِنسَـٰنَ فِى كَبَدٍ','verse_number' => '4','verse_key' => '90:4','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6028','chapter_id' => '90','arabic_name' => 'أَيَحْسَبُ أَن لَّن يَقْدِرَ عَلَيْهِ أَحَدٌ','verse_number' => '5','verse_key' => '90:5','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6029','chapter_id' => '90','arabic_name' => 'يَقُولُ أَهْلَكْتُ مَالًا لُّبَدًا','verse_number' => '6','verse_key' => '90:6','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6030','chapter_id' => '90','arabic_name' => 'أَيَحْسَبُ أَن لَّمْ يَرَهُۥٓ أَحَدٌ','verse_number' => '7','verse_key' => '90:7','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6031','chapter_id' => '90','arabic_name' => 'أَلَمْ نَجْعَل لَّهُۥ عَيْنَيْنِ','verse_number' => '8','verse_key' => '90:8','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6032','chapter_id' => '90','arabic_name' => 'وَلِسَانًا وَشَفَتَيْنِ','verse_number' => '9','verse_key' => '90:9','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6033','chapter_id' => '90','arabic_name' => 'وَهَدَيْنَـٰهُ ٱلنَّجْدَيْنِ','verse_number' => '10','verse_key' => '90:10','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6034','chapter_id' => '90','arabic_name' => 'فَلَا ٱقْتَحَمَ ٱلْعَقَبَةَ','verse_number' => '11','verse_key' => '90:11','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6035','chapter_id' => '90','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا ٱلْعَقَبَةُ','verse_number' => '12','verse_key' => '90:12','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6036','chapter_id' => '90','arabic_name' => 'فَكُّ رَقَبَةٍ','verse_number' => '13','verse_key' => '90:13','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6037','chapter_id' => '90','arabic_name' => 'أَوْ إِطْعَـٰمٌ فِى يَوْمٍ ذِى مَسْغَبَةٍ','verse_number' => '14','verse_key' => '90:14','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6038','chapter_id' => '90','arabic_name' => 'يَتِيمًا ذَا مَقْرَبَةٍ','verse_number' => '15','verse_key' => '90:15','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6039','chapter_id' => '90','arabic_name' => 'أَوْ مِسْكِينًا ذَا مَتْرَبَةٍ','verse_number' => '16','verse_key' => '90:16','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6040','chapter_id' => '90','arabic_name' => 'ثُمَّ كَانَ مِنَ ٱلَّذِينَ ءَامَنُوا۟ وَتَوَاصَوْا۟ بِٱلصَّبْرِ وَتَوَاصَوْا۟ بِٱلْمَرْحَمَةِ','verse_number' => '17','verse_key' => '90:17','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6041','chapter_id' => '90','arabic_name' => 'أُو۟لَـٰٓئِكَ أَصْحَـٰبُ ٱلْمَيْمَنَةِ','verse_number' => '18','verse_key' => '90:18','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6042','chapter_id' => '90','arabic_name' => 'وَٱلَّذِينَ كَفَرُوا۟ بِـَٔايَـٰتِنَا هُمْ أَصْحَـٰبُ ٱلْمَشْـَٔمَةِ','verse_number' => '19','verse_key' => '90:19','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6043','chapter_id' => '90','arabic_name' => 'عَلَيْهِمْ نَارٌ مُّؤْصَدَةٌۢ','verse_number' => '20','verse_key' => '90:20','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '534','manzil_number' => '7','sajdah_number' => '0','page_number' => '594','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6044','chapter_id' => '91','arabic_name' => 'وَٱلشَّمْسِ وَضُحَىٰهَا','verse_number' => '1','verse_key' => '91:1','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6045','chapter_id' => '91','arabic_name' => 'وَٱلْقَمَرِ إِذَا تَلَىٰهَا','verse_number' => '2','verse_key' => '91:2','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6046','chapter_id' => '91','arabic_name' => 'وَٱلنَّهَارِ إِذَا جَلَّىٰهَا','verse_number' => '3','verse_key' => '91:3','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6047','chapter_id' => '91','arabic_name' => 'وَٱلَّيْلِ إِذَا يَغْشَىٰهَا','verse_number' => '4','verse_key' => '91:4','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6048','chapter_id' => '91','arabic_name' => 'وَٱلسَّمَآءِ وَمَا بَنَىٰهَا','verse_number' => '5','verse_key' => '91:5','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6049','chapter_id' => '91','arabic_name' => 'وَٱلْأَرْضِ وَمَا طَحَىٰهَا','verse_number' => '6','verse_key' => '91:6','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6050','chapter_id' => '91','arabic_name' => 'وَنَفْسٍ وَمَا سَوَّىٰهَا','verse_number' => '7','verse_key' => '91:7','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6051','chapter_id' => '91','arabic_name' => 'فَأَلْهَمَهَا فُجُورَهَا وَتَقْوَىٰهَا','verse_number' => '8','verse_key' => '91:8','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6052','chapter_id' => '91','arabic_name' => 'قَدْ أَفْلَحَ مَن زَكَّىٰهَا','verse_number' => '9','verse_key' => '91:9','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6053','chapter_id' => '91','arabic_name' => 'وَقَدْ خَابَ مَن دَسَّىٰهَا','verse_number' => '10','verse_key' => '91:10','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6054','chapter_id' => '91','arabic_name' => 'كَذَّبَتْ ثَمُودُ بِطَغْوَىٰهَآ','verse_number' => '11','verse_key' => '91:11','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6055','chapter_id' => '91','arabic_name' => 'إِذِ ٱنۢبَعَثَ أَشْقَىٰهَا','verse_number' => '12','verse_key' => '91:12','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6056','chapter_id' => '91','arabic_name' => 'فَقَالَ لَهُمْ رَسُولُ ٱللَّهِ نَاقَةَ ٱللَّهِ وَسُقْيَـٰهَا','verse_number' => '13','verse_key' => '91:13','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6057','chapter_id' => '91','arabic_name' => 'فَكَذَّبُوهُ فَعَقَرُوهَا فَدَمْدَمَ عَلَيْهِمْ رَبُّهُم بِذَنۢبِهِمْ فَسَوَّىٰهَا','verse_number' => '14','verse_key' => '91:14','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6058','chapter_id' => '91','arabic_name' => 'وَلَا يَخَافُ عُقْبَـٰهَا','verse_number' => '15','verse_key' => '91:15','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '535','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6059','chapter_id' => '92','arabic_name' => 'وَٱلَّيْلِ إِذَا يَغْشَىٰ','verse_number' => '1','verse_key' => '92:1','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6060','chapter_id' => '92','arabic_name' => 'وَٱلنَّهَارِ إِذَا تَجَلَّىٰ','verse_number' => '2','verse_key' => '92:2','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6061','chapter_id' => '92','arabic_name' => 'وَمَا خَلَقَ ٱلذَّكَرَ وَٱلْأُنثَىٰٓ','verse_number' => '3','verse_key' => '92:3','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6062','chapter_id' => '92','arabic_name' => 'إِنَّ سَعْيَكُمْ لَشَتَّىٰ','verse_number' => '4','verse_key' => '92:4','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6063','chapter_id' => '92','arabic_name' => 'فَأَمَّا مَنْ أَعْطَىٰ وَٱتَّقَىٰ','verse_number' => '5','verse_key' => '92:5','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6064','chapter_id' => '92','arabic_name' => 'وَصَدَّقَ بِٱلْحُسْنَىٰ','verse_number' => '6','verse_key' => '92:6','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6065','chapter_id' => '92','arabic_name' => 'فَسَنُيَسِّرُهُۥ لِلْيُسْرَىٰ','verse_number' => '7','verse_key' => '92:7','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6066','chapter_id' => '92','arabic_name' => 'وَأَمَّا مَنۢ بَخِلَ وَٱسْتَغْنَىٰ','verse_number' => '8','verse_key' => '92:8','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6067','chapter_id' => '92','arabic_name' => 'وَكَذَّبَ بِٱلْحُسْنَىٰ','verse_number' => '9','verse_key' => '92:9','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6068','chapter_id' => '92','arabic_name' => 'فَسَنُيَسِّرُهُۥ لِلْعُسْرَىٰ','verse_number' => '10','verse_key' => '92:10','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6069','chapter_id' => '92','arabic_name' => 'وَمَا يُغْنِى عَنْهُ مَالُهُۥٓ إِذَا تَرَدَّىٰٓ','verse_number' => '11','verse_key' => '92:11','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6070','chapter_id' => '92','arabic_name' => 'إِنَّ عَلَيْنَا لَلْهُدَىٰ','verse_number' => '12','verse_key' => '92:12','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6071','chapter_id' => '92','arabic_name' => 'وَإِنَّ لَنَا لَلْـَٔاخِرَةَ وَٱلْأُولَىٰ','verse_number' => '13','verse_key' => '92:13','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6072','chapter_id' => '92','arabic_name' => 'فَأَنذَرْتُكُمْ نَارًا تَلَظَّىٰ','verse_number' => '14','verse_key' => '92:14','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '595','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6073','chapter_id' => '92','arabic_name' => 'لَا يَصْلَىٰهَآ إِلَّا ٱلْأَشْقَى','verse_number' => '15','verse_key' => '92:15','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6074','chapter_id' => '92','arabic_name' => 'ٱلَّذِى كَذَّبَ وَتَوَلَّىٰ','verse_number' => '16','verse_key' => '92:16','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6075','chapter_id' => '92','arabic_name' => 'وَسَيُجَنَّبُهَا ٱلْأَتْقَى','verse_number' => '17','verse_key' => '92:17','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6076','chapter_id' => '92','arabic_name' => 'ٱلَّذِى يُؤْتِى مَالَهُۥ يَتَزَكَّىٰ','verse_number' => '18','verse_key' => '92:18','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6077','chapter_id' => '92','arabic_name' => 'وَمَا لِأَحَدٍ عِندَهُۥ مِن نِّعْمَةٍ تُجْزَىٰٓ','verse_number' => '19','verse_key' => '92:19','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6078','chapter_id' => '92','arabic_name' => 'إِلَّا ٱبْتِغَآءَ وَجْهِ رَبِّهِ ٱلْأَعْلَىٰ','verse_number' => '20','verse_key' => '92:20','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6079','chapter_id' => '92','arabic_name' => 'وَلَسَوْفَ يَرْضَىٰ','verse_number' => '21','verse_key' => '92:21','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '536','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6080','chapter_id' => '93','arabic_name' => 'وَٱلضُّحَىٰ','verse_number' => '1','verse_key' => '93:1','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6081','chapter_id' => '93','arabic_name' => 'وَٱلَّيْلِ إِذَا سَجَىٰ','verse_number' => '2','verse_key' => '93:2','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6082','chapter_id' => '93','arabic_name' => 'مَا وَدَّعَكَ رَبُّكَ وَمَا قَلَىٰ','verse_number' => '3','verse_key' => '93:3','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6083','chapter_id' => '93','arabic_name' => 'وَلَلْـَٔاخِرَةُ خَيْرٌ لَّكَ مِنَ ٱلْأُولَىٰ','verse_number' => '4','verse_key' => '93:4','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6084','chapter_id' => '93','arabic_name' => 'وَلَسَوْفَ يُعْطِيكَ رَبُّكَ فَتَرْضَىٰٓ','verse_number' => '5','verse_key' => '93:5','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6085','chapter_id' => '93','arabic_name' => 'أَلَمْ يَجِدْكَ يَتِيمًا فَـَٔاوَىٰ','verse_number' => '6','verse_key' => '93:6','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6086','chapter_id' => '93','arabic_name' => 'وَوَجَدَكَ ضَآلًّا فَهَدَىٰ','verse_number' => '7','verse_key' => '93:7','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6087','chapter_id' => '93','arabic_name' => 'وَوَجَدَكَ عَآئِلًا فَأَغْنَىٰ','verse_number' => '8','verse_key' => '93:8','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6088','chapter_id' => '93','arabic_name' => 'فَأَمَّا ٱلْيَتِيمَ فَلَا تَقْهَرْ','verse_number' => '9','verse_key' => '93:9','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6089','chapter_id' => '93','arabic_name' => 'وَأَمَّا ٱلسَّآئِلَ فَلَا تَنْهَرْ','verse_number' => '10','verse_key' => '93:10','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6090','chapter_id' => '93','arabic_name' => 'وَأَمَّا بِنِعْمَةِ رَبِّكَ فَحَدِّثْ','verse_number' => '11','verse_key' => '93:11','hizb_number' => '60','rub_el_hizb_number' => '238','ruku_number' => '537','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6091','chapter_id' => '94','arabic_name' => 'أَلَمْ نَشْرَحْ لَكَ صَدْرَكَ','verse_number' => '1','verse_key' => '94:1','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6092','chapter_id' => '94','arabic_name' => 'وَوَضَعْنَا عَنكَ وِزْرَكَ','verse_number' => '2','verse_key' => '94:2','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6093','chapter_id' => '94','arabic_name' => 'ٱلَّذِىٓ أَنقَضَ ظَهْرَكَ','verse_number' => '3','verse_key' => '94:3','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6094','chapter_id' => '94','arabic_name' => 'وَرَفَعْنَا لَكَ ذِكْرَكَ','verse_number' => '4','verse_key' => '94:4','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6095','chapter_id' => '94','arabic_name' => 'فَإِنَّ مَعَ ٱلْعُسْرِ يُسْرًا','verse_number' => '5','verse_key' => '94:5','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6096','chapter_id' => '94','arabic_name' => 'إِنَّ مَعَ ٱلْعُسْرِ يُسْرًا','verse_number' => '6','verse_key' => '94:6','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6097','chapter_id' => '94','arabic_name' => 'فَإِذَا فَرَغْتَ فَٱنصَبْ','verse_number' => '7','verse_key' => '94:7','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6098','chapter_id' => '94','arabic_name' => 'وَإِلَىٰ رَبِّكَ فَٱرْغَب','verse_number' => '8','verse_key' => '94:8','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '538','manzil_number' => '7','sajdah_number' => '0','page_number' => '596','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6099','chapter_id' => '95','arabic_name' => 'بِّسْمِ ٱللَّهِ ٱلرَّحْمَـٰنِ ٱلرَّحِيمِ وَٱلتِّينِ وَٱلزَّيْتُونِ','verse_number' => '1','verse_key' => '95:1','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6100','chapter_id' => '95','arabic_name' => 'وَطُورِ سِينِينَ','verse_number' => '2','verse_key' => '95:2','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6101','chapter_id' => '95','arabic_name' => 'وَهَـٰذَا ٱلْبَلَدِ ٱلْأَمِينِ','verse_number' => '3','verse_key' => '95:3','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6102','chapter_id' => '95','arabic_name' => 'لَقَدْ خَلَقْنَا ٱلْإِنسَـٰنَ فِىٓ أَحْسَنِ تَقْوِيمٍ','verse_number' => '4','verse_key' => '95:4','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6103','chapter_id' => '95','arabic_name' => 'ثُمَّ رَدَدْنَـٰهُ أَسْفَلَ سَـٰفِلِينَ','verse_number' => '5','verse_key' => '95:5','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6104','chapter_id' => '95','arabic_name' => 'إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ فَلَهُمْ أَجْرٌ غَيْرُ مَمْنُونٍ','verse_number' => '6','verse_key' => '95:6','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6105','chapter_id' => '95','arabic_name' => 'فَمَا يُكَذِّبُكَ بَعْدُ بِٱلدِّينِ','verse_number' => '7','verse_key' => '95:7','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6106','chapter_id' => '95','arabic_name' => 'أَلَيْسَ ٱللَّهُ بِأَحْكَمِ ٱلْحَـٰكِمِينَ','verse_number' => '8','verse_key' => '95:8','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '539','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6107','chapter_id' => '96','arabic_name' => 'ٱقْرَأْ بِٱسْمِ رَبِّكَ ٱلَّذِى خَلَقَ','verse_number' => '1','verse_key' => '96:1','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6108','chapter_id' => '96','arabic_name' => 'خَلَقَ ٱلْإِنسَـٰنَ مِنْ عَلَقٍ','verse_number' => '2','verse_key' => '96:2','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6109','chapter_id' => '96','arabic_name' => 'ٱقْرَأْ وَرَبُّكَ ٱلْأَكْرَمُ','verse_number' => '3','verse_key' => '96:3','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6110','chapter_id' => '96','arabic_name' => 'ٱلَّذِى عَلَّمَ بِٱلْقَلَمِ','verse_number' => '4','verse_key' => '96:4','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6111','chapter_id' => '96','arabic_name' => 'عَلَّمَ ٱلْإِنسَـٰنَ مَا لَمْ يَعْلَمْ','verse_number' => '5','verse_key' => '96:5','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6112','chapter_id' => '96','arabic_name' => 'كَلَّآ إِنَّ ٱلْإِنسَـٰنَ لَيَطْغَىٰٓ','verse_number' => '6','verse_key' => '96:6','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6113','chapter_id' => '96','arabic_name' => 'أَن رَّءَاهُ ٱسْتَغْنَىٰٓ','verse_number' => '7','verse_key' => '96:7','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6114','chapter_id' => '96','arabic_name' => 'إِنَّ إِلَىٰ رَبِّكَ ٱلرُّجْعَىٰٓ','verse_number' => '8','verse_key' => '96:8','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6115','chapter_id' => '96','arabic_name' => 'أَرَءَيْتَ ٱلَّذِى يَنْهَىٰ','verse_number' => '9','verse_key' => '96:9','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6116','chapter_id' => '96','arabic_name' => 'عَبْدًا إِذَا صَلَّىٰٓ','verse_number' => '10','verse_key' => '96:10','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6117','chapter_id' => '96','arabic_name' => 'أَرَءَيْتَ إِن كَانَ عَلَى ٱلْهُدَىٰٓ','verse_number' => '11','verse_key' => '96:11','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6118','chapter_id' => '96','arabic_name' => 'أَوْ أَمَرَ بِٱلتَّقْوَىٰٓ','verse_number' => '12','verse_key' => '96:12','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6119','chapter_id' => '96','arabic_name' => 'أَرَءَيْتَ إِن كَذَّبَ وَتَوَلَّىٰٓ','verse_number' => '13','verse_key' => '96:13','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6120','chapter_id' => '96','arabic_name' => 'أَلَمْ يَعْلَم بِأَنَّ ٱللَّهَ يَرَىٰ','verse_number' => '14','verse_key' => '96:14','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6121','chapter_id' => '96','arabic_name' => 'كَلَّا لَئِن لَّمْ يَنتَهِ لَنَسْفَعًۢا بِٱلنَّاصِيَةِ','verse_number' => '15','verse_key' => '96:15','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6122','chapter_id' => '96','arabic_name' => 'نَاصِيَةٍ كَـٰذِبَةٍ خَاطِئَةٍ','verse_number' => '16','verse_key' => '96:16','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6123','chapter_id' => '96','arabic_name' => 'فَلْيَدْعُ نَادِيَهُۥ','verse_number' => '17','verse_key' => '96:17','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6124','chapter_id' => '96','arabic_name' => 'سَنَدْعُ ٱلزَّبَانِيَةَ','verse_number' => '18','verse_key' => '96:18','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '0','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6125','chapter_id' => '96','arabic_name' => 'كَلَّا لَا تُطِعْهُ وَٱسْجُدْ وَٱقْتَرِب ۩','verse_number' => '19','verse_key' => '96:19','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '540','manzil_number' => '7','sajdah_number' => '14','page_number' => '597','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6126','chapter_id' => '97','arabic_name' => 'بِّسْمِ ٱللَّهِ ٱلرَّحْمَـٰنِ ٱلرَّحِيمِ إِنَّآ أَنزَلْنَـٰهُ فِى لَيْلَةِ ٱلْقَدْرِ','verse_number' => '1','verse_key' => '97:1','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '541','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6127','chapter_id' => '97','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا لَيْلَةُ ٱلْقَدْرِ','verse_number' => '2','verse_key' => '97:2','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '541','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6128','chapter_id' => '97','arabic_name' => 'لَيْلَةُ ٱلْقَدْرِ خَيْرٌ مِّنْ أَلْفِ شَهْرٍ','verse_number' => '3','verse_key' => '97:3','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '541','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6129','chapter_id' => '97','arabic_name' => 'تَنَزَّلُ ٱلْمَلَـٰٓئِكَةُ وَٱلرُّوحُ فِيهَا بِإِذْنِ رَبِّهِم مِّن كُلِّ أَمْرٍ','verse_number' => '4','verse_key' => '97:4','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '541','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6130','chapter_id' => '97','arabic_name' => 'سَلَـٰمٌ هِىَ حَتَّىٰ مَطْلَعِ ٱلْفَجْرِ','verse_number' => '5','verse_key' => '97:5','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '541','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6131','chapter_id' => '98','arabic_name' => 'لَمْ يَكُنِ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَـٰبِ وَٱلْمُشْرِكِينَ مُنفَكِّينَ حَتَّىٰ تَأْتِيَهُمُ ٱلْبَيِّنَةُ','verse_number' => '1','verse_key' => '98:1','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6132','chapter_id' => '98','arabic_name' => 'رَسُولٌ مِّنَ ٱللَّهِ يَتْلُوا۟ صُحُفًا مُّطَهَّرَةً','verse_number' => '2','verse_key' => '98:2','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6133','chapter_id' => '98','arabic_name' => 'فِيهَا كُتُبٌ قَيِّمَةٌ','verse_number' => '3','verse_key' => '98:3','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6134','chapter_id' => '98','arabic_name' => 'وَمَا تَفَرَّقَ ٱلَّذِينَ أُوتُوا۟ ٱلْكِتَـٰبَ إِلَّا مِنۢ بَعْدِ مَا جَآءَتْهُمُ ٱلْبَيِّنَةُ','verse_number' => '4','verse_key' => '98:4','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6135','chapter_id' => '98','arabic_name' => 'وَمَآ أُمِرُوٓا۟ إِلَّا لِيَعْبُدُوا۟ ٱللَّهَ مُخْلِصِينَ لَهُ ٱلدِّينَ حُنَفَآءَ وَيُقِيمُوا۟ ٱلصَّلَوٰةَ وَيُؤْتُوا۟ ٱلزَّكَوٰةَ ۚ وَذَٰلِكَ دِينُ ٱلْقَيِّمَةِ','verse_number' => '5','verse_key' => '98:5','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6136','chapter_id' => '98','arabic_name' => 'إِنَّ ٱلَّذِينَ كَفَرُوا۟ مِنْ أَهْلِ ٱلْكِتَـٰبِ وَٱلْمُشْرِكِينَ فِى نَارِ جَهَنَّمَ خَـٰلِدِينَ فِيهَآ ۚ أُو۟لَـٰٓئِكَ هُمْ شَرُّ ٱلْبَرِيَّةِ','verse_number' => '6','verse_key' => '98:6','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6137','chapter_id' => '98','arabic_name' => 'إِنَّ ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ أُو۟لَـٰٓئِكَ هُمْ خَيْرُ ٱلْبَرِيَّةِ','verse_number' => '7','verse_key' => '98:7','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '598','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6138','chapter_id' => '98','arabic_name' => 'جَزَآؤُهُمْ عِندَ رَبِّهِمْ جَنَّـٰتُ عَدْنٍ تَجْرِى مِن تَحْتِهَا ٱلْأَنْهَـٰرُ خَـٰلِدِينَ فِيهَآ أَبَدًا ۖ رَّضِىَ ٱللَّهُ عَنْهُمْ وَرَضُوا۟ عَنْهُ ۚ ذَٰلِكَ لِمَنْ خَشِىَ رَبَّهُۥ','verse_number' => '8','verse_key' => '98:8','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '542','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6139','chapter_id' => '99','arabic_name' => 'إِذَا زُلْزِلَتِ ٱلْأَرْضُ زِلْزَالَهَا','verse_number' => '1','verse_key' => '99:1','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6140','chapter_id' => '99','arabic_name' => 'وَأَخْرَجَتِ ٱلْأَرْضُ أَثْقَالَهَا','verse_number' => '2','verse_key' => '99:2','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6141','chapter_id' => '99','arabic_name' => 'وَقَالَ ٱلْإِنسَـٰنُ مَا لَهَا','verse_number' => '3','verse_key' => '99:3','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6142','chapter_id' => '99','arabic_name' => 'يَوْمَئِذٍ تُحَدِّثُ أَخْبَارَهَا','verse_number' => '4','verse_key' => '99:4','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6143','chapter_id' => '99','arabic_name' => 'بِأَنَّ رَبَّكَ أَوْحَىٰ لَهَا','verse_number' => '5','verse_key' => '99:5','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6144','chapter_id' => '99','arabic_name' => 'يَوْمَئِذٍ يَصْدُرُ ٱلنَّاسُ أَشْتَاتًا لِّيُرَوْا۟ أَعْمَـٰلَهُمْ','verse_number' => '6','verse_key' => '99:6','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6145','chapter_id' => '99','arabic_name' => 'فَمَن يَعْمَلْ مِثْقَالَ ذَرَّةٍ خَيْرًا يَرَهُۥ','verse_number' => '7','verse_key' => '99:7','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6146','chapter_id' => '99','arabic_name' => 'وَمَن يَعْمَلْ مِثْقَالَ ذَرَّةٍ شَرًّا يَرَهُۥ','verse_number' => '8','verse_key' => '99:8','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '543','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6147','chapter_id' => '100','arabic_name' => 'وَٱلْعَـٰدِيَـٰتِ ضَبْحًا','verse_number' => '1','verse_key' => '100:1','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6148','chapter_id' => '100','arabic_name' => 'فَٱلْمُورِيَـٰتِ قَدْحًا','verse_number' => '2','verse_key' => '100:2','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6149','chapter_id' => '100','arabic_name' => 'فَٱلْمُغِيرَٰتِ صُبْحًا','verse_number' => '3','verse_key' => '100:3','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6150','chapter_id' => '100','arabic_name' => 'فَأَثَرْنَ بِهِۦ نَقْعًا','verse_number' => '4','verse_key' => '100:4','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6151','chapter_id' => '100','arabic_name' => 'فَوَسَطْنَ بِهِۦ جَمْعًا','verse_number' => '5','verse_key' => '100:5','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6152','chapter_id' => '100','arabic_name' => 'إِنَّ ٱلْإِنسَـٰنَ لِرَبِّهِۦ لَكَنُودٌ','verse_number' => '6','verse_key' => '100:6','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6153','chapter_id' => '100','arabic_name' => 'وَإِنَّهُۥ عَلَىٰ ذَٰلِكَ لَشَهِيدٌ','verse_number' => '7','verse_key' => '100:7','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6154','chapter_id' => '100','arabic_name' => 'وَإِنَّهُۥ لِحُبِّ ٱلْخَيْرِ لَشَدِيدٌ','verse_number' => '8','verse_key' => '100:8','hizb_number' => '60','rub_el_hizb_number' => '239','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6155','chapter_id' => '100','arabic_name' => '۞ أَفَلَا يَعْلَمُ إِذَا بُعْثِرَ مَا فِى ٱلْقُبُورِ','verse_number' => '9','verse_key' => '100:9','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '599','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6156','chapter_id' => '100','arabic_name' => 'وَحُصِّلَ مَا فِى ٱلصُّدُورِ','verse_number' => '10','verse_key' => '100:10','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6157','chapter_id' => '100','arabic_name' => 'إِنَّ رَبَّهُم بِهِمْ يَوْمَئِذٍ لَّخَبِيرٌۢ','verse_number' => '11','verse_key' => '100:11','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '544','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6158','chapter_id' => '101','arabic_name' => 'ٱلْقَارِعَةُ','verse_number' => '1','verse_key' => '101:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6159','chapter_id' => '101','arabic_name' => 'مَا ٱلْقَارِعَةُ','verse_number' => '2','verse_key' => '101:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6160','chapter_id' => '101','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا ٱلْقَارِعَةُ','verse_number' => '3','verse_key' => '101:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6161','chapter_id' => '101','arabic_name' => 'يَوْمَ يَكُونُ ٱلنَّاسُ كَٱلْفَرَاشِ ٱلْمَبْثُوثِ','verse_number' => '4','verse_key' => '101:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6162','chapter_id' => '101','arabic_name' => 'وَتَكُونُ ٱلْجِبَالُ كَٱلْعِهْنِ ٱلْمَنفُوشِ','verse_number' => '5','verse_key' => '101:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6163','chapter_id' => '101','arabic_name' => 'فَأَمَّا مَن ثَقُلَتْ مَوَٰزِينُهُۥ','verse_number' => '6','verse_key' => '101:6','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6164','chapter_id' => '101','arabic_name' => 'فَهُوَ فِى عِيشَةٍ رَّاضِيَةٍ','verse_number' => '7','verse_key' => '101:7','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6165','chapter_id' => '101','arabic_name' => 'وَأَمَّا مَنْ خَفَّتْ مَوَٰزِينُهُۥ','verse_number' => '8','verse_key' => '101:8','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6166','chapter_id' => '101','arabic_name' => 'فَأُمُّهُۥ هَاوِيَةٌ','verse_number' => '9','verse_key' => '101:9','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6167','chapter_id' => '101','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا هِيَهْ','verse_number' => '10','verse_key' => '101:10','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6168','chapter_id' => '101','arabic_name' => 'نَارٌ حَامِيَةٌۢ','verse_number' => '11','verse_key' => '101:11','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '545','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6169','chapter_id' => '102','arabic_name' => 'أَلْهَىٰكُمُ ٱلتَّكَاثُرُ','verse_number' => '1','verse_key' => '102:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6170','chapter_id' => '102','arabic_name' => 'حَتَّىٰ زُرْتُمُ ٱلْمَقَابِرَ','verse_number' => '2','verse_key' => '102:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6171','chapter_id' => '102','arabic_name' => 'كَلَّا سَوْفَ تَعْلَمُونَ','verse_number' => '3','verse_key' => '102:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6172','chapter_id' => '102','arabic_name' => 'ثُمَّ كَلَّا سَوْفَ تَعْلَمُونَ','verse_number' => '4','verse_key' => '102:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6173','chapter_id' => '102','arabic_name' => 'كَلَّا لَوْ تَعْلَمُونَ عِلْمَ ٱلْيَقِينِ','verse_number' => '5','verse_key' => '102:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6174','chapter_id' => '102','arabic_name' => 'لَتَرَوُنَّ ٱلْجَحِيمَ','verse_number' => '6','verse_key' => '102:6','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6175','chapter_id' => '102','arabic_name' => 'ثُمَّ لَتَرَوُنَّهَا عَيْنَ ٱلْيَقِينِ','verse_number' => '7','verse_key' => '102:7','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6176','chapter_id' => '102','arabic_name' => 'ثُمَّ لَتُسْـَٔلُنَّ يَوْمَئِذٍ عَنِ ٱلنَّعِيمِ','verse_number' => '8','verse_key' => '102:8','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '546','manzil_number' => '7','sajdah_number' => '0','page_number' => '600','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6177','chapter_id' => '103','arabic_name' => 'وَٱلْعَصْرِ','verse_number' => '1','verse_key' => '103:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '547','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6178','chapter_id' => '103','arabic_name' => 'إِنَّ ٱلْإِنسَـٰنَ لَفِى خُسْرٍ','verse_number' => '2','verse_key' => '103:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '547','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6179','chapter_id' => '103','arabic_name' => 'إِلَّا ٱلَّذِينَ ءَامَنُوا۟ وَعَمِلُوا۟ ٱلصَّـٰلِحَـٰتِ وَتَوَاصَوْا۟ بِٱلْحَقِّ وَتَوَاصَوْا۟ بِٱلصَّبْرِ','verse_number' => '3','verse_key' => '103:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '547','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6180','chapter_id' => '104','arabic_name' => 'وَيْلٌ لِّكُلِّ هُمَزَةٍ لُّمَزَةٍ','verse_number' => '1','verse_key' => '104:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6181','chapter_id' => '104','arabic_name' => 'ٱلَّذِى جَمَعَ مَالًا وَعَدَّدَهُۥ','verse_number' => '2','verse_key' => '104:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6182','chapter_id' => '104','arabic_name' => 'يَحْسَبُ أَنَّ مَالَهُۥٓ أَخْلَدَهُۥ','verse_number' => '3','verse_key' => '104:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6183','chapter_id' => '104','arabic_name' => 'كَلَّا ۖ لَيُنۢبَذَنَّ فِى ٱلْحُطَمَةِ','verse_number' => '4','verse_key' => '104:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6184','chapter_id' => '104','arabic_name' => 'وَمَآ أَدْرَىٰكَ مَا ٱلْحُطَمَةُ','verse_number' => '5','verse_key' => '104:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6185','chapter_id' => '104','arabic_name' => 'نَارُ ٱللَّهِ ٱلْمُوقَدَةُ','verse_number' => '6','verse_key' => '104:6','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6186','chapter_id' => '104','arabic_name' => 'ٱلَّتِى تَطَّلِعُ عَلَى ٱلْأَفْـِٔدَةِ','verse_number' => '7','verse_key' => '104:7','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6187','chapter_id' => '104','arabic_name' => 'إِنَّهَا عَلَيْهِم مُّؤْصَدَةٌ','verse_number' => '8','verse_key' => '104:8','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6188','chapter_id' => '104','arabic_name' => 'فِى عَمَدٍ مُّمَدَّدَةٍۭ','verse_number' => '9','verse_key' => '104:9','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '548','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6189','chapter_id' => '105','arabic_name' => 'أَلَمْ تَرَ كَيْفَ فَعَلَ رَبُّكَ بِأَصْحَـٰبِ ٱلْفِيلِ','verse_number' => '1','verse_key' => '105:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '549','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6190','chapter_id' => '105','arabic_name' => 'أَلَمْ يَجْعَلْ كَيْدَهُمْ فِى تَضْلِيلٍ','verse_number' => '2','verse_key' => '105:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '549','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6191','chapter_id' => '105','arabic_name' => 'وَأَرْسَلَ عَلَيْهِمْ طَيْرًا أَبَابِيلَ','verse_number' => '3','verse_key' => '105:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '549','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6192','chapter_id' => '105','arabic_name' => 'تَرْمِيهِم بِحِجَارَةٍ مِّن سِجِّيلٍ','verse_number' => '4','verse_key' => '105:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '549','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6193','chapter_id' => '105','arabic_name' => 'فَجَعَلَهُمْ كَعَصْفٍ مَّأْكُولٍۭ','verse_number' => '5','verse_key' => '105:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '549','manzil_number' => '7','sajdah_number' => '0','page_number' => '601','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6194','chapter_id' => '106','arabic_name' => 'لِإِيلَـٰفِ قُرَيْشٍ','verse_number' => '1','verse_key' => '106:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '550','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6195','chapter_id' => '106','arabic_name' => 'إِۦلَـٰفِهِمْ رِحْلَةَ ٱلشِّتَآءِ وَٱلصَّيْفِ','verse_number' => '2','verse_key' => '106:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '550','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6196','chapter_id' => '106','arabic_name' => 'فَلْيَعْبُدُوا۟ رَبَّ هَـٰذَا ٱلْبَيْتِ','verse_number' => '3','verse_key' => '106:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '550','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6197','chapter_id' => '106','arabic_name' => 'ٱلَّذِىٓ أَطْعَمَهُم مِّن جُوعٍ وَءَامَنَهُم مِّنْ خَوْفٍۭ','verse_number' => '4','verse_key' => '106:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '550','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6198','chapter_id' => '107','arabic_name' => 'أَرَءَيْتَ ٱلَّذِى يُكَذِّبُ بِٱلدِّينِ','verse_number' => '1','verse_key' => '107:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '551','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6199','chapter_id' => '107','arabic_name' => 'فَذَٰلِكَ ٱلَّذِى يَدُعُّ ٱلْيَتِيمَ','verse_number' => '2','verse_key' => '107:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '551','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6200','chapter_id' => '107','arabic_name' => 'وَلَا يَحُضُّ عَلَىٰ طَعَامِ ٱلْمِسْكِينِ','verse_number' => '3','verse_key' => '107:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '551','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6201','chapter_id' => '107','arabic_name' => 'فَوَيْلٌ لِّلْمُصَلِّينَ','verse_number' => '4','verse_key' => '107:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '551','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6202','chapter_id' => '107','arabic_name' => 'ٱلَّذِينَ هُمْ عَن صَلَاتِهِمْ سَاهُونَ','verse_number' => '5','verse_key' => '107:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '551','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6203','chapter_id' => '107','arabic_name' => 'ٱلَّذِينَ هُمْ يُرَآءُونَ','verse_number' => '6','verse_key' => '107:6','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '551','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6204','chapter_id' => '107','arabic_name' => 'وَيَمْنَعُونَ ٱلْمَاعُونَ','verse_number' => '7','verse_key' => '107:7','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '551','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6205','chapter_id' => '108','arabic_name' => 'إِنَّآ أَعْطَيْنَـٰكَ ٱلْكَوْثَرَ','verse_number' => '1','verse_key' => '108:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '552','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6206','chapter_id' => '108','arabic_name' => 'فَصَلِّ لِرَبِّكَ وَٱنْحَرْ','verse_number' => '2','verse_key' => '108:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '552','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6207','chapter_id' => '108','arabic_name' => 'إِنَّ شَانِئَكَ هُوَ ٱلْأَبْتَرُ','verse_number' => '3','verse_key' => '108:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '552','manzil_number' => '7','sajdah_number' => '0','page_number' => '602','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6208','chapter_id' => '109','arabic_name' => 'قُلْ يَـٰٓأَيُّهَا ٱلْكَـٰفِرُونَ','verse_number' => '1','verse_key' => '109:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '553','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6209','chapter_id' => '109','arabic_name' => 'لَآ أَعْبُدُ مَا تَعْبُدُونَ','verse_number' => '2','verse_key' => '109:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '553','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6210','chapter_id' => '109','arabic_name' => 'وَلَآ أَنتُمْ عَـٰبِدُونَ مَآ أَعْبُدُ','verse_number' => '3','verse_key' => '109:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '553','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6211','chapter_id' => '109','arabic_name' => 'وَلَآ أَنَا۠ عَابِدٌ مَّا عَبَدتُّمْ','verse_number' => '4','verse_key' => '109:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '553','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6212','chapter_id' => '109','arabic_name' => 'وَلَآ أَنتُمْ عَـٰبِدُونَ مَآ أَعْبُدُ','verse_number' => '5','verse_key' => '109:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '553','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6213','chapter_id' => '109','arabic_name' => 'لَكُمْ دِينُكُمْ وَلِىَ دِينِ','verse_number' => '6','verse_key' => '109:6','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '553','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6214','chapter_id' => '110','arabic_name' => 'إِذَا جَآءَ نَصْرُ ٱللَّهِ وَٱلْفَتْحُ','verse_number' => '1','verse_key' => '110:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '554','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6215','chapter_id' => '110','arabic_name' => 'وَرَأَيْتَ ٱلنَّاسَ يَدْخُلُونَ فِى دِينِ ٱللَّهِ أَفْوَاجًا','verse_number' => '2','verse_key' => '110:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '554','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6216','chapter_id' => '110','arabic_name' => 'فَسَبِّحْ بِحَمْدِ رَبِّكَ وَٱسْتَغْفِرْهُ ۚ إِنَّهُۥ كَانَ تَوَّابًۢا','verse_number' => '3','verse_key' => '110:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '554','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6217','chapter_id' => '111','arabic_name' => 'تَبَّتْ يَدَآ أَبِى لَهَبٍ وَتَبَّ','verse_number' => '1','verse_key' => '111:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '555','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6218','chapter_id' => '111','arabic_name' => 'مَآ أَغْنَىٰ عَنْهُ مَالُهُۥ وَمَا كَسَبَ','verse_number' => '2','verse_key' => '111:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '555','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6219','chapter_id' => '111','arabic_name' => 'سَيَصْلَىٰ نَارًا ذَاتَ لَهَبٍ','verse_number' => '3','verse_key' => '111:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '555','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6220','chapter_id' => '111','arabic_name' => 'وَٱمْرَأَتُهُۥ حَمَّالَةَ ٱلْحَطَبِ','verse_number' => '4','verse_key' => '111:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '555','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6221','chapter_id' => '111','arabic_name' => 'فِى جِيدِهَا حَبْلٌ مِّن مَّسَدٍۭ','verse_number' => '5','verse_key' => '111:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '555','manzil_number' => '7','sajdah_number' => '0','page_number' => '603','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6222','chapter_id' => '112','arabic_name' => 'قُلْ هُوَ ٱللَّهُ أَحَدٌ','verse_number' => '1','verse_key' => '112:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '556','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6223','chapter_id' => '112','arabic_name' => 'ٱللَّهُ ٱلصَّمَدُ','verse_number' => '2','verse_key' => '112:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '556','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6224','chapter_id' => '112','arabic_name' => 'لَمْ يَلِدْ وَلَمْ يُولَدْ','verse_number' => '3','verse_key' => '112:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '556','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6225','chapter_id' => '112','arabic_name' => 'وَلَمْ يَكُن لَّهُۥ كُفُوًا أَحَدٌۢ','verse_number' => '4','verse_key' => '112:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '556','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6226','chapter_id' => '113','arabic_name' => 'قُلْ أَعُوذُ بِرَبِّ ٱلْفَلَقِ','verse_number' => '1','verse_key' => '113:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '557','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6227','chapter_id' => '113','arabic_name' => 'مِن شَرِّ مَا خَلَقَ','verse_number' => '2','verse_key' => '113:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '557','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6228','chapter_id' => '113','arabic_name' => 'وَمِن شَرِّ غَاسِقٍ إِذَا وَقَبَ','verse_number' => '3','verse_key' => '113:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '557','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6229','chapter_id' => '113','arabic_name' => 'وَمِن شَرِّ ٱلنَّفَّـٰثَـٰتِ فِى ٱلْعُقَدِ','verse_number' => '4','verse_key' => '113:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '557','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6230','chapter_id' => '113','arabic_name' => 'وَمِن شَرِّ حَاسِدٍ إِذَا حَسَدَ','verse_number' => '5','verse_key' => '113:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '557','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6231','chapter_id' => '114','arabic_name' => 'قُلْ أَعُوذُ بِرَبِّ ٱلنَّاسِ','verse_number' => '1','verse_key' => '114:1','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '558','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6232','chapter_id' => '114','arabic_name' => 'مَلِكِ ٱلنَّاسِ','verse_number' => '2','verse_key' => '114:2','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '558','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6233','chapter_id' => '114','arabic_name' => 'إِلَـٰهِ ٱلنَّاسِ','verse_number' => '3','verse_key' => '114:3','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '558','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6234','chapter_id' => '114','arabic_name' => 'مِن شَرِّ ٱلْوَسْوَاسِ ٱلْخَنَّاسِ','verse_number' => '4','verse_key' => '114:4','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '558','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6235','chapter_id' => '114','arabic_name' => 'ٱلَّذِى يُوَسْوِسُ فِى صُدُورِ ٱلنَّاسِ','verse_number' => '5','verse_key' => '114:5','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '558','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09'),
            array('id' => '6236','chapter_id' => '114','arabic_name' => 'مِنَ ٱلْجِنَّةِ وَٱلنَّاسِ','verse_number' => '6','verse_key' => '114:6','hizb_number' => '60','rub_el_hizb_number' => '240','ruku_number' => '558','manzil_number' => '7','sajdah_number' => '0','page_number' => '604','juz_number' => '30','created_at' => '2023-12-01 17:30:09','updated_at' => '2023-12-01 17:30:09')
        );

        DB::table('chapter_details')->insert($data);
    }
}
