<?php

namespace Database\Seeders\Quran\Chapter\Verse\Arabic;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class VerseArabicJalalSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $verse_translations = array(

            array('id' => '18709','chapter_id' => '1','chapter_detail_id' => '1','translator_id' => '4','verse_number' => '1','translate_name' => '«بسم الله الرحمن الرحيم»','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18710','chapter_id' => '1','chapter_detail_id' => '2','translator_id' => '4','verse_number' => '2','translate_name' => '«الحمد لله» جملة خبرية قصد بها الثناء على الله بمضمونها من أنه تعالى: مالك لجميع الحمد من الخلق أو مستحق لأن يحمدوه، والله علم على المعبود بحق «ربِّ العالمين» أي مالك جميع الخلق من الإنس والجن والملائكة والدواب وغيرهم، وكل منها يُطلق عليه عالم، يقال عالم الإنس وعالم الجن إلى غير ذلك، وغلب في جمعه بالياء والنون أولي العلم على غيرهم، وهو من العلامة لأنه علامة على موجده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18711','chapter_id' => '1','chapter_detail_id' => '3','translator_id' => '4','verse_number' => '3','translate_name' => '«الرحمن الرحيم» أي ذي الرحمة وهي إرادة الخير لأهله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18712','chapter_id' => '1','chapter_detail_id' => '4','translator_id' => '4','verse_number' => '4','translate_name' => 'أي الجزاء وهو يوم القيامة، وخص بالذكر لأنه لا ملك ظاهرًا فيه لأحد إلا الله تعالى بدليل «لمن الملك اليوم؟ لله» ومن قرأ مالك فمعناه الأمر كله في يوم القيامة أو هو موصوف بذلك دائمًا «كغافر الذنب» فصح وقوعه صفة لمعرفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18713','chapter_id' => '1','chapter_detail_id' => '5','translator_id' => '4','verse_number' => '5','translate_name' => '«إيَّاك نعبد وإياك نستعين» أي نخصك بالعبادة من توحيد وغيره ونطلب المعونة على العبادة وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18714','chapter_id' => '1','chapter_detail_id' => '6','translator_id' => '4','verse_number' => '6','translate_name' => '«اهدنا الصراط المستقيم» أي أرشدنا إليه، ويبدَل منه:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18715','chapter_id' => '1','chapter_detail_id' => '7','translator_id' => '4','verse_number' => '7','translate_name' => '«صراط الَّذين أنعمت عليهم» بالهداية ويبدل من الذين بصلته «غير المغضوب عليهم» وهم اليهود «ولا» وغير «الضالِّين» وهم النصارى ونكتة البدل إفادة أن المهتدين ليسوا يهوداً ولا نصارى. والله أعلم بالصواب، وإليه المرجع والمآب، وصلى الله على سيدنا محمد وعلى اَله وصحبه وسلم تسليما كثيراً دائما أبداً، وحسبنا الله ونعم الوكيل، ولا حول ولا قوة إلا بالله العلي العظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18716','chapter_id' => '2','chapter_detail_id' => '8','translator_id' => '4','verse_number' => '1','translate_name' => '«الم» الله أعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18717','chapter_id' => '2','chapter_detail_id' => '9','translator_id' => '4','verse_number' => '2','translate_name' => '«ذلك» أي هذا «الكتاب» الذي يقرؤه محمد «لا ريب» لا شك «فيه» أنه من عند الله وجملة النفي خبر مبتدؤه ذلك والإشارة به للتعظيم «هدىً» خبر ثان أي هاد «للمتقين» الصائرين إلى التقوى بامتثال الأوامر واجتناب النواهي لاتقائهم بذلك النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18718','chapter_id' => '2','chapter_detail_id' => '10','translator_id' => '4','verse_number' => '3','translate_name' => '«الذين يؤمنون» يصدِّقون «بالغيب» بما غاب عنهم من البعث والجنة والنار «ويقيمون الصلاة» أي يأتون بها بحقوقها «ومما رزقناهم» أعطيناهم «ينفقون» في طاعة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18719','chapter_id' => '2','chapter_detail_id' => '11','translator_id' => '4','verse_number' => '4','translate_name' => '«والذين يؤمنون بما أنزل إليك» أي القراَن «وما أنزل من قبلك» أي التوراة والإنجيل وغيرهما «وبالآخرة هم يوقنون» يعلمون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18720','chapter_id' => '2','chapter_detail_id' => '12','translator_id' => '4','verse_number' => '5','translate_name' => '«أولئك» الموصوفون بما ذكر «على هدىّ من ربِّهم وأولئك هم المفلحون» الفائزون بالجنة الناجون من النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18721','chapter_id' => '2','chapter_detail_id' => '13','translator_id' => '4','verse_number' => '6','translate_name' => '«إن الذين كفروا» كأبي جهل وأبي لهب ونحوهما «سواء عليهم أأنذرتهم» بتحقيق الهمزتين وإبدال الثانية ألفاً وتسهيلها وإدخال ألف بين المسهلة والأخرى وتركه «أم لم تنذرهم لا يؤمنون» لعلم الله منهم ذلك فلا تطمع في إيمانهم، والإنذار إعلام مع تخويف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18722','chapter_id' => '2','chapter_detail_id' => '14','translator_id' => '4','verse_number' => '7','translate_name' => '«ختم الله على قلوبهم» طبع عليها واستوثق فلا يدخلها خير «وعلى سمعهم» أي مواضعه فلا ينتفعون بما يسمعونه من الحق «وعلى أبصارهم غشاوة» غطاء فلا يبصرون الحق «ولهم عذاب عظيم» قوي دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18723','chapter_id' => '2','chapter_detail_id' => '15','translator_id' => '4','verse_number' => '8','translate_name' => 'ونزل في المنافقين: «ومن الناس من يقول آمنا بالله وباليوم الآخر» أي يوم القيامة لأنه آخر الأيام «وما هم بمؤمنين» روعي فيه معنى من، وفي ضمير يقول لفظها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18724','chapter_id' => '2','chapter_detail_id' => '16','translator_id' => '4','verse_number' => '9','translate_name' => '«يخادعون الله والذين آمنوا» بإظهار خلاف ما أبطنوه من الكفر ليدفعوا عنهم أحكامه الدنيوية «وما يخدعون إلا أنفسهم» لأن وبال خداعهم راجع إليهم فيفتضحون في الدنيا بإطلاع الله نبيه على ما أبطنوه ويعاقبون في الآخرة «وما يشعرون» يعلمون أن خداعهم لأنفسهم، والمخادعة هنا من واحد كعاقبت اللص وذكر الله فيها تحسين، وفي قراءة وما يخدعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18725','chapter_id' => '2','chapter_detail_id' => '17','translator_id' => '4','verse_number' => '10','translate_name' => '«في قلوبهم مرض» شك ونفاق فهو يمرض قلوبهم أي يضعفها «فزادهم الله مرضاً» بما أنزله من القرآن لكفرهم به «ولهم عذاب أليم» مؤلم «بما كانوا يُكذّبوِن» بالتشديد أي: نبي الله، وبالتخفيف أي قولهم آمنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18726','chapter_id' => '2','chapter_detail_id' => '18','translator_id' => '4','verse_number' => '11','translate_name' => '«وإذا قيل لهم» أي لهؤلاء «لا تفسدوا في الأرض» بالكفر والتعويق عن الإيمان. «قالوا إنما نحن مصلحون» وليس ما نحن فيه بفساد. قال الله تعالى رداً عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18727','chapter_id' => '2','chapter_detail_id' => '19','translator_id' => '4','verse_number' => '12','translate_name' => '«ألا» للتنبيه «إنهم هم المفسدون ولكن لا يشعرون» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18728','chapter_id' => '2','chapter_detail_id' => '20','translator_id' => '4','verse_number' => '13','translate_name' => '«وإذا قيل لهم آمنوا كما آمن الناس» أصحاب النبي «قالوا أنؤمن كما آمن السفهاء» الجهال أي لا نفعل كفعلهم. قال تعالى ردا َعليهم: «ألا إنهم هم السفهاء ولكن لا يعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18729','chapter_id' => '2','chapter_detail_id' => '21','translator_id' => '4','verse_number' => '14','translate_name' => '«وإذا لقوا» أصله لقيوا حذفت الضمة للاستثقال ثم الياء لالتقائها ساكنة مع الواو «الذين آمنوا قالوا آمنا وإذا خلوا» منهم ورجعوا «إلى شياطينهم» رؤسائهم «قالوا إنا معكم» في الدين «إِنَّما نحن مستهزئون» بهم بإظهار الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18730','chapter_id' => '2','chapter_detail_id' => '22','translator_id' => '4','verse_number' => '15','translate_name' => '«الله يستهزئ بهم» يجازيهم باستهزائهم «ويمدهم» يُمهلهم «في طغيانهم» بتجاوزهم الحد بالكفر «يعمهون» يترددون تحيراً حال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18731','chapter_id' => '2','chapter_detail_id' => '23','translator_id' => '4','verse_number' => '16','translate_name' => '«أولئك الذين اشتروا الضلالة بالهدى» أي استبدلوها به «فما ربحت تجارتهم» أي ما ربحوا فيها بل خسروا لمصيرهم إلي النار المؤبدة عليهم «وما كانوا مهتدين» فيما فعلوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18732','chapter_id' => '2','chapter_detail_id' => '24','translator_id' => '4','verse_number' => '17','translate_name' => '«مثلهم» صفتهم في نفاقهم «كمثل الذي استوقد» أوقد «ناراً» في ظلمة «فلما أضاءت» أنارت «ما حوله» فأبصر واستدفأ وأمن مما يخافه «ذهب الله بنورهم» أطفأه وجُمع الضمير مراعاة لمعنى الذي «وتركهم في ظلمات لا يبصرون» ما حولهم متحيرين عن الطريق خائفين فكذلك هؤلاء أمِنوا بإظهار كلمة الإيمان فإذا ماتوا جاءهم الخوف والعذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18733','chapter_id' => '2','chapter_detail_id' => '25','translator_id' => '4','verse_number' => '18','translate_name' => 'هم «صمٌّ» عن الحق فلا يسمعونه سماع قبول «بكم» خرس عن الخير فلا يقولونه «عميٌ» عن طريق الهدى فلا يرونه «فهم لا يرجعون» عن الضلالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18734','chapter_id' => '2','chapter_detail_id' => '26','translator_id' => '4','verse_number' => '19','translate_name' => '«أو» مثلهم «كصيِّب» أي كأصحاب مطر وأصله صيوب من صاب يصوب أي ينزل «من السماء» السحاب «فيه» أي السحاب «ظلمات» متكاثفة «ورعد» هو الملك الموكَّل به وقيل صوته «وبرق» لمعان صوته الذي يزجره به «يجعلون» أي أصحاب الصيِّب «أصابعهم» أي أناملها «في آذانهم من» أجل «الصواعق» شدة صوت الرعد لئلا يسمعوها «حذر» خوف «الموت» من سماعها. كذلك هؤلاء: إذا نزل القرآن وفيه ذكر الكفر المشبه بالظلمات والوعيد عليه المشبه بالرعد والحجج البينة المشبهة بالبرق، يسدون آذانهم لئلا يسمعوه فيميلوا إلى الإيمان وترك دينهم وهو عندهم موت «والله محيط بالكافرين» علماً وقدرة فلا يفوتونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18735','chapter_id' => '2','chapter_detail_id' => '27','translator_id' => '4','verse_number' => '20','translate_name' => '«يكاد» يقرب «البرق يخطف أبصارهم» بأخذها بسرعة «كلما أضاء لهم مشوا فيه» أي في ضوئه «وإذا أظلم عليهم قاموا» وقفوا، تمثيل لإزعاج ما في القرآن من الحجج قلوبهم وتصديقهم لما سمعوا فيه مما يحبون ووقوفهم عما يكرهون. «ولو شاء الله لذهب بسمعهم» بمعنى أسماعهم «وأبصارهم» الظاهرة كما ذهب بالباطنة «إن الله على كل شيء» شاءه «قدير» ومنه إذهاب ما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18736','chapter_id' => '2','chapter_detail_id' => '28','translator_id' => '4','verse_number' => '21','translate_name' => '«يا أيُّها الناس» أي أهل مكة «اعبدوا» وحِّدوا «ربَّكم الذي خلقكم» أنشأكم ولم تكونوا شيئاً «و» خلق «الذين من قبلكم لعلكم تتقون» بعبادته عقابَه، ولعل: في الأصل للترجي، وفي كلامه تعالى للتحقيق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18737','chapter_id' => '2','chapter_detail_id' => '29','translator_id' => '4','verse_number' => '22','translate_name' => '«الذي جعل» خلق «لكم الأرض فراشا» حال بساطا يفترش لا غاية في الصلابة أو الليونة فلا يمكن الاستقرار عليها «والسماء بناءً» سقفاً «وأنزل من السماء ماءً فأخرج به من» أنواع «الثمرات رزقاً لكم» تأكلونه وتعلفون دوابكم «فلا تجعلوا لله أنداداً» شركاء في العبادة «وأنتم تعلمون» أنه الخالق ولا تخلقون، ولا يكون إلهاً إلا من يخلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18738','chapter_id' => '2','chapter_detail_id' => '30','translator_id' => '4','verse_number' => '23','translate_name' => '«وإن كنتم في ريب» شك «مما نزلنا على عبدنا» محمد من القرآن أنه من عند الله «فأتوا بسورة من مثله» أي المنزل ومن للبيان أي هي مثله في البلاغة وحسن النظم والإخبار عن الغيب. والسورة قطعة لها أول وآخر أقلها ثلاث آيات «وادعوا شهداءكم" آلهتكم التي تعبدونها» من دون الله» أي غيره لتعينكم «إن كنتم صادقين» في أن محمدا قاله من عند نفسه فافعلوا ذلك فإنكم عربيون فصحاء مثله ولما عجزوا عن ذلك قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18739','chapter_id' => '2','chapter_detail_id' => '31','translator_id' => '4','verse_number' => '24','translate_name' => '«فإن لم تفعلوا» ما ذكر لعجزكم «ولن تفعلوا» ذلك أبداً لظهور إعجازه- اعتراض «فاتقوا» بالإيمان بالله وانه ليس من كلام البشر «النارَ التي وقودها الناس» الكفار «والحجارة» كأصنامهم منها، يعني أنها مفرطة الحرارة تتقد بما ذكر، لا كنار الدنيا تتقد بالحطب ونحوه «أعدَّت» هُيئت «للكافرين» يعذَّبون بها، جملة مستأنفة أو حال لازمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18740','chapter_id' => '2','chapter_detail_id' => '32','translator_id' => '4','verse_number' => '25','translate_name' => '«وَبَشِّر» أخبر «الذين آمنوا» صَّدقوا بالله «وعملوا الصالحات» من الفروض والنوافل «أن» أي بأن «لهم جناتِ» حدائق ذات أشجار ومساكن «تجري من تحتها» أي تحت أشجارها وقصورها «الأنهار» أي المياه فيها، والنهر الموضع الذي يجري فيه الماء لأن الماء ينهره أي يحفره وإسناد الجري إليه مجاز «كلما رزقوا منها» أطعموا من تلك الجنات. «من ثمرة رزقاً قالوا هذا الذي» أي مثل ما «رزقنا من قبل» أي قبله في الجنة لتشابه ثمارها بقرينة «وأُتوا به» أي جيئوا بالرزق «متشابهاً» يشبه بعضه بعضا لونا ويختلف طعما «ولهم فيها أزواج» من الحور وغيرها «مطهَّرة» من الحيض وكل قذر «وهم فيها خالدون» ماكثون أبداً لا يفنون ولا يخرجون. ونزل رداً لقول اليهود لما ضرب الله المثل بالذباب في قوله: (وإن يسلبهم الذباب شيئاً) والعنكبوت في قوله (كمثل العنكبوت) ما أراد الله بذكر هذه الأشياء؟ الخسيسة فأنزل الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18741','chapter_id' => '2','chapter_detail_id' => '33','translator_id' => '4','verse_number' => '26','translate_name' => '«إن الله لا يستحيي أن يضرب» يجعل «مثلا» مفعول أول «ما» نكرة موصوفة بما بعدها مفعول ثان أيَّ مثل كان أو زائدة لتأكيد الخسة فما بعدها المفعول الثاني «بعوضة» مفرد البعوض وهو صغار البق «فما فوقها» أي أكبر منها أي لا يترك بيانه لما فيه من الحكم «فأما الذين آمنوا فيعلمون أنه» أي المثل «الحق» الثابت الواقع موقعه «من ربِّهم وأما الذين كفروا فيقولون ماذا أراد الله بهذا مثلاً» تمييز أي بهذا المثل، وما استفهام إنكار مبتدأ، وذا بمعنى الذي بصلته خبره أي: أيّ فائدة فيه قال الله تعالى في جوابهم «يضل به» أي بهذا المثل «كثيراً» عن الحق لكفرهم به «ويهدي به كثيراً» من المؤمنين لتصديقهم به «وما يضل به إلا الفاسقين» الخارجين عن طاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18742','chapter_id' => '2','chapter_detail_id' => '34','translator_id' => '4','verse_number' => '27','translate_name' => '«الذين» نعت «ينقضون عهد الله» ما عهده إليهم في الكتب من الإيمان بمحمد * «من بعد ميثاقه» توكيده عليهم «ويقطعون ما أمر الله به أن يوُصل» من الإيمان بالنبي والرحم وغير ذلك وأن بدل من ضمير به «ويفسدون في الأرض» بالمعاصي والتعويق عن الإيمان «أولئك» الموصوفون بما ذكر «هم الخاسرون» لمصيرهم إلى النار المؤبدة عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18743','chapter_id' => '2','chapter_detail_id' => '35','translator_id' => '4','verse_number' => '28','translate_name' => '«كيف تكفرون» يا أهل مكة «بالله و» قد «كنتم أمواتاً» نطفاً في الأصلاب «فأحياكم» في الأرحام والدنيا بنفخ الروح فيكم، والاستفهام للتعجيب من كفرهم مع قيام البرهان أو للتوبيْخ «ثم يميتكم» عند انتهاء آجالكم «ثم يحييكم» بالبعث «ثم إليه ترجعون» تردون بعد البعث فيجازيكم بأعمالكم. وقال دليلا على البعث لما أنكروه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18744','chapter_id' => '2','chapter_detail_id' => '36','translator_id' => '4','verse_number' => '29','translate_name' => '«هو الذي خلق لكم ما في الأرض» أي الأرض وما فيها «جميعاً» لتنتفعوا به وتعتبروا «ثم استوى» بعد خلق الأرض أي قصد «إلى السماء فسواهن» الضمير يرجع إلى السماء لأنها في معنى الجمع الآيلة إليه: أي صيَّرها كما في آية أخرى (فقضاهن) «سبع سماوات وهو بكل شيء عليم» مجملا ومفصلا أفلا تعتبرون أن القادر على خلق ذلك ابتداءً وهو أعظم منكم قادر على إعادتكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18745','chapter_id' => '2','chapter_detail_id' => '37','translator_id' => '4','verse_number' => '30','translate_name' => '«و» اذكر يا محمد «إذ قال ربُّك للملائكة إني جاعل في الأرض خليفة» يخلفني في تنفيذ أحكامي فيها وهو آدم «قالوا أتجعل فيها من يفسد فيها» بالمعاصي «ويسفك الدماء» يريقها بالقتل كما فعل بنو الجان وكانوا فيها فلما أفسدوا أرسل الله عليهم الملائكة فطردوهم إلى الجزائر والجبال «ونحن نسبِّح» متلبسين «بحمدك» أي نقول سبحان الله وبحمده «ونقِّدس لك» ننزهك عمالا يليق بك فاللام زائدة والجملة حال أي فنحن أحق بالاستخلاف «قال» تعالى «إني أعلم ما لا تعلمون» من المصلحة في استخلاف آدم، وأن ذريته فيهم المطيع والعاصي فيظهر العدل بينهم فقالوا لن يخلق ربنا خلقاً أكرم عليه منا ولا أعلم لسبقنا له ورؤيتنا ما لم يره فخلق الله تعالى آدم من أديم الأرض أي وجهها، بأن قبض منها قبضة من جميع ألوانها وعجنت بالمياه المختلفة وسوَّاهُ ونفخ فيه الروح فصار حيواناً حسَّاساً بعد أن كان جماداً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18746','chapter_id' => '2','chapter_detail_id' => '38','translator_id' => '4','verse_number' => '31','translate_name' => '«وعلَّم آدم الأسماء» أي أسماء المسميات «كلها» بأن ألقى في قلبه علمها «ثم عرضهم» أي المسميات وفيه تغليب العقلاء «على الملائكة فقال» لهم تبكيتاً «أنبئوني» أخبروني «بأسماء هؤلاء» المسميات «إن كنتم صادقين» في أني لا أخلق أعلم منكم أو أنكم أحق بالخلافة، وجواب الشرط دل عليه ما قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18747','chapter_id' => '2','chapter_detail_id' => '39','translator_id' => '4','verse_number' => '32','translate_name' => '«قالوا سبحانك» تنزيهاً لك عن الاعتراض عليك «لا علم لنا إلا ما علمَّتنا» إياه «إنَّك أنت» تأكيد للكاف «العليم الحكيم» الذي لا يخرج شيء عن علمه وحكمته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18748','chapter_id' => '2','chapter_detail_id' => '40','translator_id' => '4','verse_number' => '33','translate_name' => '«قال» تعالى «يا آدم أنبئهم» أي الملائكة «بأسمائهم» المسميات فسمى كل شيء باسمه وذكر حكمته التي خلق لها «فلما أنبأهم بأسمائهم قال» تعالى لهم موبخاً «ألم أقل لكم إنَّي أعلم غيب السماوات والأرض» ما غاب فيهما «وأعلم ما تبدون» ما تظهرون من قولكم أتجعل فيها الخ «وما كنتم تكتمون» تسرون من قولكم لن يخلق الله أكرم عليه منا ولا أعلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18749','chapter_id' => '2','chapter_detail_id' => '41','translator_id' => '4','verse_number' => '34','translate_name' => '«و» اذكر «إذ قلنا للملائكة اسجدوا لآدم» سجود تحية بالانحناء «فسجدوا إلا إبليس» هو أبو الجن كان بين الملائكة «أبى» امتنع من السجود «واستكبر» تكبَّر عنه وقال: أنا خير منه «وكان من الكافرين» في علم الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18750','chapter_id' => '2','chapter_detail_id' => '42','translator_id' => '4','verse_number' => '35','translate_name' => '«وقلنا يا آدم اسكن أنت» تأكيد للضمير المستتر ليعطف عليه «وزوجك» حواء بالمد وكان خلقها من ضلعه الأيسر «الجنة وكلا منها» أكلاً «رغداً» واسعا لاحجر فيه «حيث شئتما ولا تقربا هذه الشجرة» بالأكل منها وهى الحنطة أو الكرم أو غيرهما «فتكونا» فتصيرا «من الظالمين» العاصين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18751','chapter_id' => '2','chapter_detail_id' => '43','translator_id' => '4','verse_number' => '36','translate_name' => '«فأزلَّهما الشيطان» إبليس أذهبهما، وفي قراءة ـ فأزالهما ـ نحَّاهما «عنها» أي الجنة بأن قال لهما: هل أدلُّكما على شجرة الخلد وقاسمهما بالله إنه لهما لمن الناصحين فأكلا منها «فأخرجهما مما كانا فيه» من النعيم «وقلنا اهبطوا» إلى الأرض أي أنتما بما اشتملتما عليه من ذريتكما «بعضكم» بعض الذرية «لبعض عدوُّ» من ظلم بعضكم بعضاً «ولكم في الأرض مستقرُّ» موضع قرار «ومتاع» ما تتمتعون به من نباتها «إلى حين» وقت انقضاء آجالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18752','chapter_id' => '2','chapter_detail_id' => '44','translator_id' => '4','verse_number' => '37','translate_name' => '«فتلقى آدمُ من ربِّه كلماتٍ» ألهمه إياها وفي قراءة بنصب آدم ورفع كلمات، أي جاءه وهى (ربَّنا ظلمنا أنفسا) الآية فدعا بها «فتاب عليه» قبل توبته «إنه هو التواب» على عباده «الرحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18753','chapter_id' => '2','chapter_detail_id' => '45','translator_id' => '4','verse_number' => '38','translate_name' => '«قلنا اهبطوا منها» من الجنة «جميعاً» كرره ليعطف عليه «فإما» فيه إدغام نون إن الشرطية في ما الزائدة «يأتينكم مني هدىً» كتاب ورسول «فمن تبع هداي» فآمن بي وعمل بطاعتي «فلا خوف عليهم ولا هم يحزنون» في الآخرة بأن يدخلوا الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18754','chapter_id' => '2','chapter_detail_id' => '46','translator_id' => '4','verse_number' => '39','translate_name' => '«والذين كفروا وكذبوا بآياتنا» كتبنا «أولئك أصحاب النار هم فيها خالدون» ماكثون أبداً لا يفنون ولا يخرجون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18755','chapter_id' => '2','chapter_detail_id' => '47','translator_id' => '4','verse_number' => '40','translate_name' => '«يا بنى إسرائيل» أولاد يعقوب «اذكروا نعمتي التي أنعمت عليكم» أي على آبائكم من الإنجاء من فرعون وفلق البحر وتظليل الغمام وغير ذلك بأن تشكروها بطاعتي «وأوفوا بعهدي» الذي عهدته إليكم من الإيمان بمحمد «أوف بعهدكم» الذي عهدت إليكم من الثواب عليه بدخول الجنة «وإياي فارهبون» خافونِ في ترك الوفاء به دون غيري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18756','chapter_id' => '2','chapter_detail_id' => '48','translator_id' => '4','verse_number' => '41','translate_name' => '«وآمنوا بما أنزلت» من القرآن «مصدِّقاً لما معكم» من التوراة بموافقته له في التوحيد والنبوة «ولا تكونوا أوَّل كافر به» من أهل الكتاب لأنَّ خلفكم تبع لكم فإثمهم عليكم «ولا تشتروا» تستبدلوا «بآياتي» التي في كتابكم من نعت محمد «ثمناً قليلا» عوضاً يسيرا من الدنيا أي لا تكتموها خوف فوات ما تأخذونه من سفلتكم «وإياي فاتقون» خافون في ذلك دون غيري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18757','chapter_id' => '2','chapter_detail_id' => '49','translator_id' => '4','verse_number' => '42','translate_name' => '«ولا تلبسوا» تخلطوا «الحق» الذي أنزلت عليكم «بالباطل» الذي تفترونه «و» لا «تكتموا الحق» نعت محمد «وأنتم تعلمون» أنه حق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18758','chapter_id' => '2','chapter_detail_id' => '50','translator_id' => '4','verse_number' => '43','translate_name' => '«وأقيموا الصلاة وآتوا الزكاة واركعوا مع الراكعين» صلوا مع المصلين محمد وأصحابه، ونزل في علمائهم وكانوا يقولون لأقربائهم المسلمين اثبتوا على دين محمد فإنه الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18759','chapter_id' => '2','chapter_detail_id' => '51','translator_id' => '4','verse_number' => '44','translate_name' => '«أتأمرون الناس بالبر» بالإيمان بمحمد «وتنسون أنفسكم» تتركونها فلا تأمرونها به «وأنتم تتلون الكتاب» التوراة وفيها الوعيد على مخالفة القول العمل «أفلا تعقلون» سوء فعلكم فترجعون، فجملة النسيان محل الاستفهام الإنكاري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18760','chapter_id' => '2','chapter_detail_id' => '52','translator_id' => '4','verse_number' => '45','translate_name' => '«واستعينوا» اطلبوا المعونة على أموركم «بالصبر» الحبس للنفس على ما تكره «والصلاة» أفردها بالذكر تعظيما لشأنها وفي الحديث (كان صلى الله عليه وسلم إذا حزبه أمر بادر إلى الصلاة) وقيل الخطاب لليهود لما عاقهم عن الإيمان الشره وحب الرياسة فأمروا بالصبر وهو الصوم لأنه يكسر الشهوة والصلاة لأنها تورث الخشوع وتنفي الكبر «وإنها» أي الصلاة «لكبيرة» ثقيلة «إلا على الخاشعين» الساكنين إلى الطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18761','chapter_id' => '2','chapter_detail_id' => '53','translator_id' => '4','verse_number' => '46','translate_name' => '«الَّذين يظنون» يوقنون «أنهم ملاقو ربِّهم» بالبعث «وأنهم إليه راجعون» في الآخرة فيجازيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18762','chapter_id' => '2','chapter_detail_id' => '54','translator_id' => '4','verse_number' => '47','translate_name' => '«يا بني إسرائيل اذكروا نعمتي التي أنعمت عليكم» بالشكر عليها بطاعتي «وأني فضَّلتكم» أي آباءكم «على العالمين» عالمي زمانهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18763','chapter_id' => '2','chapter_detail_id' => '55','translator_id' => '4','verse_number' => '48','translate_name' => '«واتقوا» خافوا «يوما لا تجزي» فيه «نفس عن نفسٍ شيئاً» وهو يوم القيامة «ولا تُقبل» بالتاء والياء «منها شفاعة» أي ليس لها شفاعة فتقبل (فما لنا من شافعين) «ولا يؤخذ منها عدل» فداء «ولا هم ينصرون» يمنعون من عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18764','chapter_id' => '2','chapter_detail_id' => '56','translator_id' => '4','verse_number' => '49','translate_name' => '«و» اذكروا «إذ نجيناكم» أي آباءكم، والخطاب به وبما بعده للموجودين في زمن نبينا بما أنعم الله على آبائهم تذكيراً لهم بنعمة الله تعالى ليؤمنوا «من آل فرعون يسومونكم» يذيقونكم «سوء العذاب» أشده والجملة حال من ضمير نجيناكم «يُذبّحون» بيان لما قبله «أبناءكم» المولودين «ويستحيون» يستبقون «نساءكم» لقول بعض الكهنة له إن مولوداً يولد في بني إسرائيل يكون سبباً لذهاب ملكك «وفي ذلكم» العذاب أو الإنجاء «بلاء» ابتلاء أو إنعام «من ربكم عظيمْ».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18765','chapter_id' => '2','chapter_detail_id' => '57','translator_id' => '4','verse_number' => '50','translate_name' => '«و» اذكروا «إذا فرقنا» فلقنا «بكم» بسببكم «البحر» حتى دخلتموه هاربين من عدوكم «فأنجيناكم» من الغرق «وأغرقنا آل فرعون» قومه معه «وأنتم تنظرون» إلى انطباق البحر عليهم','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18766','chapter_id' => '2','chapter_detail_id' => '58','translator_id' => '4','verse_number' => '51','translate_name' => '«وإذا واعدنا» بألف ودونها «موسى أربعين ليلة» نعطيه عند انقضائها التوراة لتعلموا بها «ثم اتخذتم العجل» الذي صاغه لكم السامري إلهاً «من بعده» أي بعد ذهابه إلى ميعادنا «وأنتم ظالمون» باتخاذه لوضعكم العبادة في غير محلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18767','chapter_id' => '2','chapter_detail_id' => '59','translator_id' => '4','verse_number' => '52','translate_name' => '«ثم عفونا عنكم» محونا ذنوبكم «من بعد ذلك» الاتخاذ «لعلّكم تشكرون» نعمتنا عليكم','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18768','chapter_id' => '2','chapter_detail_id' => '60','translator_id' => '4','verse_number' => '53','translate_name' => '«وإذ آتينا موسى الكتاب» التوراة «والفرقان» عطف تفسير، أي الفارق بين الحق والباطل والحلال والحرام «لعلكم تهتدون» به من الضلال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18769','chapter_id' => '2','chapter_detail_id' => '61','translator_id' => '4','verse_number' => '54','translate_name' => '«وإذ قال موسى لقومه» الذين عبدوا العجل «يا قوم إنكم ظلمتم أنفسكم باتخاذكم العجل» إلهاً «فتوبوا إلى بارئكم» خالقكم من عبادته «فاقتلوا أنفسكم» أي ليقتل البريءُ منكم المجرم «ذلكم» القتل «خير لكم عند بارئكم» فوفقكم لفعل ذلك وأرسل عليكم سحابة سوداء لئلا يبصر بعضكم بعضا فيرحمه حتى قتل منكم نحو سبعين ألفا «فتاب عليكم» قبل توبتكم «أنه هو التواب الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18770','chapter_id' => '2','chapter_detail_id' => '62','translator_id' => '4','verse_number' => '55','translate_name' => '«وإذ قلتم» وقد خرجتم مع موسى لتعتذروا إلى الله من عبادة العجل وسمعتم كلامه «يا موسى لن نؤمن لك حتى نرى الله جهرة» عيانا «فأخذتكم الصاعقة» الصيحة فمتم «وأنتم تنظرون» ما حل بكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18771','chapter_id' => '2','chapter_detail_id' => '63','translator_id' => '4','verse_number' => '56','translate_name' => '«ثم بعثناكم» أحييناكم «من بعد موتكم لعلكم تشكرون» نعمتنا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18772','chapter_id' => '2','chapter_detail_id' => '64','translator_id' => '4','verse_number' => '57','translate_name' => '«وظلَّلنا عليكم الغمام» سترناكم بالسحاب الرقيق من حر الشمس في التيه «وأنزلنا عليكم» فيه «المن والسلوى» هما الترنجبين والطير السماني بتخفيف الميم والقصر، وقلنا: «كلوا من طيبات ما رزقناكم» ولا تدَّخروا، فكفروا النعمة وادخروا فقطع عنهم «وما ظلمونا» بذلك «ولكن كانوا أنفسهم يظلمون» لأن وباله عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18773','chapter_id' => '2','chapter_detail_id' => '65','translator_id' => '4','verse_number' => '58','translate_name' => '«وإذ قلنا» لهم بعد خروجهم من التيه «ادخلوا هذه القرية» بيت المقدس أو أريحا «فكلوا منها حيث شئتم رغدا» واسعا لاَ حَجْرَ فيه «وادخلوا الباب» أي بابها «سجداً» منحنين «وقولوا» مسألتنا «حطة» أي أن تحط عنا خطايانا «نغفر» وفي قراءة بالياء والتاء مبنياً للمفعول فيهما «لكم خطاياكم وسنزيد المحسنين» بالطاعة ثواباً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18774','chapter_id' => '2','chapter_detail_id' => '66','translator_id' => '4','verse_number' => '59','translate_name' => '«فبدل الذين ظلموا» منهم «قولا غير الذي قيل لهم» فقالوا: حبة في شعرة ودخلوا يزحفون على أستاههم «فأنزلنا على الذين ظلموا» فيه وضع الظاهر موضع المضمر مبالغة في تقبيح شأنهم «رجزاً» عذاباً طاعوناً «من السماء بما كانوا يفسقون» بسب فسقهم أي خروجهم عن الطاعة فهلك منهم في ساعة سبعون ألفاً أو أقل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18775','chapter_id' => '2','chapter_detail_id' => '67','translator_id' => '4','verse_number' => '60','translate_name' => '«و» اذكر «إذ استسقى موسى» أي طلب السقيا «لقومه» وقد عطشوا في التيه «فقلنا اضرب بعصاك الحجر» وهو الذي فر بثوبه خفيف مربع كرأس الرجل رخام أو كذان فضربه «فانفجرت» انشقت وسالت «منه اثنتا عشرة عيناً» بعدد الأسباط «قد علم كل أناس» سبط منهم «مشربهم» موضع شربهم فلا يشركهم فيه غيرهم وقلنا لهم «كلوا واشربوا من رزق الله ولا تعثوا في الأرض مفسدين» حال مؤكدة لعاملها من عثى بكسر المثلثة أفسد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18776','chapter_id' => '2','chapter_detail_id' => '68','translator_id' => '4','verse_number' => '61','translate_name' => '«وإذا قلتم يا موسى لن نصبر على طعام» أي نوع منه «واحد» وهو المن والسلوى «فادع لنا ربَّك يُخرج لنا» شيئاً «مما تنبت الأرض من» للبيان «بقلها وقثائها وفومها» حنطتها «وعدسها وبصلها قال» لهم موسى «أتستبدلون الذي هو أدنى» أخس «بالذي هو خير» أشرف أي أتأخذونه بدله، والهمزة للإنكار فأبوا أن يرجعوا فدعا الله تعالى فقال تعالى «اهبطوا» انزلوا «مصراً» من الأمصار «فإن لكم» فيه «ما سألتم» من النبات «وضُربت» جعلت «عليهم الذلة» الذل والهوان «والمسكنة» أي أثر الفقر من السكون والخزي فهي لازمة لهم، وإن كانوا أغنياء لزوم الدرهم المضروب لسكته «وباءُوا» رجعوا «بغضب من الله ذلك» أي الضرب والغضب «بأنهم» أي بسبب أنهم «كانوا يكفرون بآيات الله ويقتلون النبيين» كزكريا ويحيى «بغير الحق» أي ظلماً «ذلك بما عصوا وكانوا يعتدون» يتجاوزون الحد في المعاصي وكرره للتأكيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18777','chapter_id' => '2','chapter_detail_id' => '69','translator_id' => '4','verse_number' => '62','translate_name' => '«إن الذين آمنوا» بالأنبياء من قبل «والذين هادوا» هم اليهود «والنصارى والصابئين» طائفة من اليهود أو النصارى «من آمن» منهم «بالله واليوم الآخر» في زمن نبينا «وعمل صالحاً» بشريعته «فلهم أجرهم» أي ثواب أعمالهم «عند ربهم ولا خوف عليهم ولا هم يحزنون» رُوعي في ضمير آمن وعمل لفظ من وفيما بعده معناها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18778','chapter_id' => '2','chapter_detail_id' => '70','translator_id' => '4','verse_number' => '63','translate_name' => '«و» اذكر «إذ أخذنا ميثاقكم» عهدكم بالعمل بما في التوراة «و» قد «رفعنا فوقكم الطور» الجبل اقتلعناه من أصله عليكم لما أبيتم قبولها وقلنا «خذوا ما آتيناكم بقوة» بجد واجتهاد «واذكروا ما فيه» بالعمل به «لعلكم تتقون» النار أو المعاصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18779','chapter_id' => '2','chapter_detail_id' => '71','translator_id' => '4','verse_number' => '64','translate_name' => '«ثم توليتم» أعرضتم «من بعد ذلك» الميثاق عن الطاعة «فلولا فضل الله عليكم ورحمته» لكم بالتوبة أو تأخير العذاب «لكنتم من الخاسرين» الهالكين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18780','chapter_id' => '2','chapter_detail_id' => '72','translator_id' => '4','verse_number' => '65','translate_name' => '«ولقد» لام قسم «علمتم» عرفتم «الذين اعتدوا» تجاوزوا الحد «منكم في السبت» بصيد السمك وقد نهيناهم عنه وهم أهل آيلة «فقلنا لهم كونوا قردة خاسئين» مبعدين فكانوا وهلكوا بعد ثلاثة أيام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18781','chapter_id' => '2','chapter_detail_id' => '73','translator_id' => '4','verse_number' => '66','translate_name' => '«فجعلناها» أي تلك العقوبة «نكالاً» عبرة مانعة من ارتكاب مثل ما عملوا «لما بين يديها وما خلفها» أي للأمم التي في زمانها وبعدها «وموعظة للمتقين» الله وخصوا بالذكر لأنهم المنتفعون بخلاف غيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18782','chapter_id' => '2','chapter_detail_id' => '74','translator_id' => '4','verse_number' => '67','translate_name' => '«و» اذكر «إذ قال موسى لقومه» وقد قُتل لهم قتيل لا يُدرى قاتله وسألوه أن يدعو الله أن يبينه لهم فدعاه «إن الله يأمركم أن تذبحوا بقرة قالوا أتتخذنا هزواً» مهزوءاً بنا حيث تجيبنا بمثل ذلك «قال أعوذ» أمتنع «بالله أن أكون من الجاهلين» المستهزئين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18783','chapter_id' => '2','chapter_detail_id' => '75','translator_id' => '4','verse_number' => '68','translate_name' => 'فلما علموا أنه عزم «قالوا ادع لنا ربك يبيّن لنا ما هي» أي ما سنها «قال» موسى «إنه» أي الله «يقول إنها بقرة لا فارضٌ» مسنة «ولا بكرٌ» صغيرة «عوانٌ» نصف «بين ذلك» المذكور من السنين «فافعلوا ما تؤمرون» به من ذبحها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18784','chapter_id' => '2','chapter_detail_id' => '76','translator_id' => '4','verse_number' => '69','translate_name' => '«قالوا ادع لنا ربك يبين لنا ما لونها قال إنه يقول إنها بقرة صفراء فاقع لونها» شديد الصفرة، «تسر الناظرين» إليها بحسنها أي تعجبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18785','chapter_id' => '2','chapter_detail_id' => '77','translator_id' => '4','verse_number' => '70','translate_name' => '«قالوا ادع لنا ربك يبين لنا ما هي» أسائمة أم عاملة «إن البقر» أي جنسه المنعوت بما ذكر «تشابه علينا» لكثرته فلم نهتد إلى المقصودة «وإنا إن شاء الله لمهتدون» إليها وفي الحديث (لو لم يستثنوا لما بينت لهم لآخر الأبد).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18786','chapter_id' => '2','chapter_detail_id' => '78','translator_id' => '4','verse_number' => '71','translate_name' => '«قال إنه يقول إنها بقرة لا ذلول» غير مذللة بالعمل «تثير الأرض» تقلبها للزراعة والجملة صفة ذلول داخلة في النهي «ولا تسقي الحرث» الأرض المهيأة للزراعة «مسلمة» من العيوب وآثار العمل «لا شية» لون «فيها» غير لونها «قالوا الآن جئت بالحق» نطقت بالبيان التام فطلبوها فوجدوها عند الفتى البار بأمه فاشتروها بملء مسكها ذهبا «فذبحوها وما كادوا يفعلون» لغلاء ثمنها وفي الحديث: (لو ذبحوا أي بقرة كانت لأجزأتهم ولكن شددوا على أنفسهم فشدد الله عليهم).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18787','chapter_id' => '2','chapter_detail_id' => '79','translator_id' => '4','verse_number' => '72','translate_name' => '«وإذا قتلتم نفساً فأدّارأتم» فيه إدغام التاء في الأصل في الدال أي تخاصمتم وتدافعتم «فيها والله مخرج» مظهر «ما كنتم تكتمون» من أمرها وهذا اعتراض وهو أول القصة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18788','chapter_id' => '2','chapter_detail_id' => '80','translator_id' => '4','verse_number' => '73','translate_name' => '«فقلنا اضربوه» أي القتيل «ببعضها» فضرب بلسانها أو عَجْب ذنبها فحييَ وقال: قتلني فلان وفلان لاِبْنيْ عمه ومات فحرما الميراث وقتلا، قال تعالى: «كذلك» الإحياء «يحيي الله الموتى ويريكم آياته» دلائل قدرته «لعلكم تعقلون» تتدبرون فتعلمون أن القادر على إحياء نفس واحدة قادر على إحياء نفوس كثيرة فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18789','chapter_id' => '2','chapter_detail_id' => '81','translator_id' => '4','verse_number' => '74','translate_name' => '«ثم قست قلوبكم» أيها اليهود صلبت عن قبول الحق «من بعد ذلك» المذكور من إحياء القتيل وما قبله من الآيات «فهي كالحجارة» في القسوة «أو أشد قسوة» منها «وإن من الحجارة لما يتفجَّر منه الأنهار وإن منها لما يشقق» فيه إدغام التاء في الأصل في الشين «فيخرج منه الماء وإن منها لما يهبط» ينزل من علو إلى أسفل «من خشية الله» وقلوبكم لا تتأثر ولا تلين ولا تخشع «وما الله بغافل عما تعلمون» وإنما يؤخركم لوقتكم وفي قراءة بالتحتانية وفيه التفات عن الخطاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18790','chapter_id' => '2','chapter_detail_id' => '82','translator_id' => '4','verse_number' => '75','translate_name' => '«أفتطعمون» أيها المؤمنون «أن يؤمنوا لكم» أي اليهود لكم. «وقد كان فريق» طائفة «منهم» أحبارهم «يسمعون كلام الله» في التوراة «ثم يحرّفونه» يغيرونه «من بعد ما عقلوه» فهموه «وهم يعلمون» أنهم مفترون والهمزة للإنكار أي لا تطمعوا فلهم سابقة بالكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18791','chapter_id' => '2','chapter_detail_id' => '83','translator_id' => '4','verse_number' => '76','translate_name' => '«وإذا لقوا» أي منافقوا اليهود «الذين آمنوا قالوا آمنا» بأن محمداً نبي وهو المبشر به في كتابنا «وإذا خلا» رجع «بعضهم إلى بعض قالوا» أي رؤساؤهم الذين لم ينافقوا لمن نافق «أتحدثونهم» أي المؤمنين «بما فتح الله عليكم» أي عرَّفكم في التوراة من نعت محمد * «ليحاجوكم» ليخاصموكم واللامُ للصيرورة «به عند ربكم» في الآخرة ويقيموا عليكم الحجة في ترك اتِّباعه مع علمكم بصدقه «أفلا تعقلون» أنهم يحاجونكم إذا حدثتموهم فتنتهوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18792','chapter_id' => '2','chapter_detail_id' => '84','translator_id' => '4','verse_number' => '77','translate_name' => 'قال تعالى «أو لا يعلمون» الاستفهام للتقرير والواو الداخلة عليها للعطف «أن الله يعلم ما يسرون وما يعلنون» ما يخفون وما يظهرون من ذلك وغيره فيرعَوُوا عن ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18793','chapter_id' => '2','chapter_detail_id' => '85','translator_id' => '4','verse_number' => '78','translate_name' => '«ومنهم» أي اليهود «أميون» عوام «لا يعلمون الكتاب» التوراة «إلا» لكن «أمانيَّ» أكاذيب تلقَّوْها من رؤسائهم فاعتمدوها «وإن» ما «هم» في جحد نبوة النبي وغيره مما يختلقونه «‌إلا يظنون» ظناً ولا علم لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18794','chapter_id' => '2','chapter_detail_id' => '86','translator_id' => '4','verse_number' => '79','translate_name' => '«فويل» شدة عذاب «للذين يكتبون الكتاب بأيديهم» أي مختلقاً من عندهم «ثم يقولون هذا من عند الله ليشتروا به ثمناً قليلا» من الدنيا وهم اليهود غيَّروا صفة النبي في التوراة وآية الرجم وغيرها وكتبوها على خلاف ما أنزل «فويل لهم مما كتبت أيديهم» من المختلق «وويل لهم مما يكسبون» من الرشا جمع رشوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18795','chapter_id' => '2','chapter_detail_id' => '87','translator_id' => '4','verse_number' => '80','translate_name' => '«وقالوا» لما وعدهم النبيُّ النار «لن تمسَّنا» تصيبنا «النار إلا أياماً معدودة» قليلة أربعين يوماً مدة عبادة آبائهم العجل ثم تزول «قل» لهم يا محمد «أتخذتم» حذفت منه همزة الوصل استغناءً بهمزة الاستفهام «عند الله عهداً» ميثاقاً منه بذلك «فلن يُخلف الله عهده» به؟ لا «أم» بل «تقولون على الله ما لا تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18796','chapter_id' => '2','chapter_detail_id' => '88','translator_id' => '4','verse_number' => '81','translate_name' => '«بلى» تمسكم وتخلدون فيها «من كسب سيئة» شركاً «وأحاطت به خطيئته» بالإفراد والجمع أي استولت عليه وأحدقت به من كل جانب بأن مات مشركاً «فأولئك أصحاب النار هم فيها خالدون» روعي فيه معنى من.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18797','chapter_id' => '2','chapter_detail_id' => '89','translator_id' => '4','verse_number' => '82','translate_name' => '«والذين آمنوا وعملوا الصالحات أولئك أصحاب الجنة هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18798','chapter_id' => '2','chapter_detail_id' => '90','translator_id' => '4','verse_number' => '83','translate_name' => '«و» اذكر «إذ أخذنا ميثاق بني إسرائيل» في التوراة وقلنا «لا تعبدون» بالتاء والياء «إلا الله» خبر بمعنى النهي، وقرئ: لا تعبدوا «و» أحسنوا «بالوالدين إحساناً» براً «وذي القربى» القرابة عطف على الوالدين «واليتامى والمساكين وقولوا للناس» قولا «حسناً» من الأمر بالمعروف والنهي عن المنكر والصدق في شأن محمد والرفق بهم، وفي قراءة بضم الحاء وسكون السين مصدر وصف به مبالغة «وأقيموا الصلاة وآتوا الزكاة» فقبلتم ذلك «ثم تولَّيتم» أعرضتم عن الوفاء به، فيه التفات عن الغيبة والمراد آباؤهم «إلا قليلا منكم وأنتم معرضون» عنه كآبائكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18799','chapter_id' => '2','chapter_detail_id' => '91','translator_id' => '4','verse_number' => '84','translate_name' => '«وإذ أخذنا ميثاقكم» وقلنا «لا تسفكون دماءكم» تريقونها بقتل بعضكم بعضاً «ولا تخرجون أنفسكم من دياركم» لا يخرج بعضكم بعضا من داره «ثم أقررتم» قبلتم ذلك الميثاق «وأنتم تشهدون» على أنفسكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18800','chapter_id' => '2','chapter_detail_id' => '92','translator_id' => '4','verse_number' => '85','translate_name' => '«ثم أنتم» يا «هؤلاء تقتلون أنفسكم» بقتل بعضكم بعضا «وتخرجون فريقا منكم من ديارهم تَظَّاهَرُونَ» فيه إدغام التاء في الأصل في الظاء، وفي قراءة بالتخفيف على حذفها تتعاونون «عليهم بالإثم» بالمعصية «والعدوان» الظلم «وإن يأتوكم أسارى» وفي قراءة أسرى «تَفْدُوهُمْ» وفي قراءة «تُفَادُوهُمْ» تنقذوهم من الأسر بالمال أو غيره وهو مما عهد إليهم «وهو» أي الشأن «محرَّم عليكم إخراجهم» متصل بقوله وتخرجون والجملة بينهما اعتراض: أي كما حرم ترك الفداء، وكانت قريظةُ حالفوا الأوسَ، والنضيرُ الخزرجَ فكان كل فريق يقاتل مع حلفائه ويخرب ديارهم ويخرجهم فإذا أسروا فدوهم، وكانوا إذا سئلوا لم تقاتلونهم وتفدونهم؟ قالوا أمرنا بالفداء فيقال فَلِمَ تقاتلونهم؟ فيقولون حياء أن تستذل حلفاؤنا. قال تعالى: «أفتؤمنون ببعض الكتاب» وهو الفداء «وتكفرون ببعض» وهو ترك القتل والإخراج والمظاهرة «فما جزاء من يفعل ذلك منكم إلا خزيٌ» هوان وذلّ «في الحياة الدنيا» وقد خزوا بقتل قريظة ونفي النضير إلى الشام وضرب الجزية «ويوم القيامة يردون إلى أشد العذاب وما الله بغافلِ عما يعملون» بالياء والتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18801','chapter_id' => '2','chapter_detail_id' => '93','translator_id' => '4','verse_number' => '86','translate_name' => '«أولئك الذين اشتروا الحياة الدنيا بالآخرة» بأن آثروها عليها «فلا يخفَّف عنهم العذاب ولا هم يُنصرون» يمنعون منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18802','chapter_id' => '2','chapter_detail_id' => '94','translator_id' => '4','verse_number' => '87','translate_name' => '«ولقد آتينا موسى الكتاب» التوراة «وقفيَّنا من بعده بالرسل» أي اتبعناهم رسولا في إثر رسول «وآتينا عيسى ابن مريم البينات» المعجزات كإحياء الموتى وإبراء الأكمه والأبرص «وأيدناه» قويناه «بروح القدس» من إضافة الموصوف إلى الصفة أي الروح المقدسة جبريل لطهارته يسير معه حيث سار فلم تستقيموا «أفكلما جاءكم رسول بما لا تهوى» تحب «أنفسُكم» من الحق «استكبرتم» تكبرتم عن إتباعه جواب كلما وهو محل الاستفهام، والمراد به التوبيخ «ففريقا» منهم «كذبتم» كعيسى «وفريقاً تقتلون» المضارع لحكاية الحال الماضية: أي قتلتم كزكريا ويحيى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18803','chapter_id' => '2','chapter_detail_id' => '95','translator_id' => '4','verse_number' => '88','translate_name' => '«وقالوا» للنبي استهزاء «قلوبنا غُلْفٌ» جمع أغلف أي مغشاة بأغطية فلا تعي ما تقول قال تعالى: «بل» للإضراب «لعنهم الله» أبعدهم من رحمته وخذلهم عن القبول «بكفرهم» وليس عدم قبولهم لخلل في قلوبهم «فقليلا ما يؤمنون» ما زائدة لتأكيد القلة أي: إيمانهم قليل جداً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18804','chapter_id' => '2','chapter_detail_id' => '96','translator_id' => '4','verse_number' => '89','translate_name' => '«ولما جاءهم كتاب من عند الله مصدق لما معهم» من التوراة: هو القرآن «وكانوا من قبل» قبل مجيئه «يستفتحون» يستنصرون «على الذين كفروا» يقولون اللهم انصرنا عليهم بالنبي المبعوث آخر الزمان «فلما جاءهم ما عرفوا» من الحق وهو بعثة النبي «كفروا به» جحداً وخوفاً على الرياسة وجوابُ لما الأولى دل عليه جواب الثانية «فلعنة الله على الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18805','chapter_id' => '2','chapter_detail_id' => '97','translator_id' => '4','verse_number' => '90','translate_name' => '«بئسما اشتروا» باعوا «به أنفسهم» أي حظها من الثواب، وما: نكرة بمعنى شيئاً تمييز لفاعل بئس والمخصوص بالذم «أن يكفروا» أي كفرهم «بما أنزل الله» من القرآن «بغياً» مفعول له ليكفروا: أي حسداً على «أن ينزل الله» بالتخفيف والتشديد «من فضله» الوحي «على من يشاء» للرسالة «من عباده فباءوا» رجعوا «بغضب» من الله بكفرهم بما أنزل والتنكيرُ للتعظيم «على غضب» استحقوه من قبل بتضييع التوراة والكفر بعيسى «وللكافرين عذاب مُهين» ذو إهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18806','chapter_id' => '2','chapter_detail_id' => '98','translator_id' => '4','verse_number' => '91','translate_name' => '«وإذا قيل لهم آمِنوا بما أنزل الله» القرآن وغيره «قالوا نؤمن بما أنزل علينا» أي التوراة قال تعالى: «ويكفرون» الواو للحال «بما وراءه» سواه أو بعده من القرآن «وهو الحق» حال «مصدقاً» حال ثانية مؤكدة «لما معهم قل» لهم «فلم تقتلون» أي قتلتم «أنبياء الله من قبل إن كنتم مؤمنين» بالتوراة وقد نهيتم فيها عن قتلهم والخطاب للموجودين في زمن نبينا بما فعل آباؤهم لرضاهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18807','chapter_id' => '2','chapter_detail_id' => '99','translator_id' => '4','verse_number' => '92','translate_name' => '«ولقد جاءكم موسى بالبينات» بالمعجزات كالعصا واليد وفلق البحر «ثم اتخذتم العجل» إلَهاً «من بعده» من بعد ذهابه إلى الميقات، «وأنتم ظالمون» باتخاذه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18808','chapter_id' => '2','chapter_detail_id' => '100','translator_id' => '4','verse_number' => '93','translate_name' => '«وإذ أخذنا ميثاقكم» على العمل بما في التوراة «و» قد «رفعنا فوقكم الطور» الجبل حين امتنعتم من قبولها ليسقط عليكم وقلنا «خذوا ما آتيناكم بقوة» بجد واجتهاد «واسمعوا» ما تؤمرون به سماع قبول «قالوا سمعنا» قولك «وعصينا» أمرك «وأشربوا في قلوبهم العجل» أي خالط حبه قلوبهم كما يخالط الشراب «بكفرهم، قل» لهم «بئسما» شيئا «يأمركم به إيمانكم» بالتوراة عبادة العجل «إن كنتم مؤمنين» بها كما زعمتم. المعنى لستم بمؤمنين لأن الإيمان لا يأمر بعبادة العجل، والمراد آباؤهم: أي فكذلك أنتم لستم بمؤمنين بالتوراة وقد كذَّبتم محمداً والإيمان بها لا يأمر بتكذيبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18809','chapter_id' => '2','chapter_detail_id' => '101','translator_id' => '4','verse_number' => '94','translate_name' => '«قل» لهم «إن كانت لكم الدار الآخرة» أي الجنة «عند الله خالصة» خاصة «من دون الناس» كما زعمتم «فتمنوا الموت إن كنتم صادقين» تعلق بتمنوا الشرطان على أن الأول قيد في الثاني أي إن صدقتم في زعمكم أنها لكم ومن كانت له يؤثرها والموصل إليها الموت فتمنوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18810','chapter_id' => '2','chapter_detail_id' => '102','translator_id' => '4','verse_number' => '95','translate_name' => '«ولن يتمنَّوه أبداً بما قدمت أيديهم» من كفرهم بالنبي المستلزم لكذبهم «والله عليم بالظالمين» الكافرين فيجازيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18811','chapter_id' => '2','chapter_detail_id' => '103','translator_id' => '4','verse_number' => '96','translate_name' => '«ولتجدنهم» لام قسم «أحرص الناس على حياة و» أحرص «من الذين أشركوا» المنكرين للبعث عليها لعلمهم بأن مصيرهم النار دون المشركين لإنكارهم له «يودُّ» يتمنى «أحدهم لو يعمر ألف سنة» لو مصدرية بمعنى أن وهي بصلتها في تأويل مصدر مفعول يود «وما هو» أي أحدهم «بمزحزحه» مبعده «من العذاب» النار «أن يعمَّر» فاعل مزحزحه أي تعميره «والله بصير بما يعملون» بالياء والتاء فيجازيهم وسأل ابن صوريا النبي أو عمر عمن يأتي بالوحي من الملائكة فقال جبريل فقال هو عدونا يأتي بالعذاب ولو كان ميكائيل لآمنا لأنه يأتي بالخصب والسلم فنزل:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18812','chapter_id' => '2','chapter_detail_id' => '104','translator_id' => '4','verse_number' => '97','translate_name' => '«قل» لهم «من كان عدوّاً لجبريل» فليمت غيظاً «فإنه نزَّله» أي القرآن «على قلبك بإذن» بأمر «الله مصدقاً لما بين يديه» قلبه من الكتب «وهدىً» من الضلالة «وبشرى» بالجنة «للمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18813','chapter_id' => '2','chapter_detail_id' => '105','translator_id' => '4','verse_number' => '98','translate_name' => '«من كان عدواً لله وملائكته ورسله وجبريل» بكسر الجيم وفتحها بلا همز وبه بياء ودونها «وميكال» عطف على الملائكة من عطف الخاص على العام وفي قراءة ميكائيل بهمزة وياء وفي أخرى بلا ياء «فإن الله عدوٌ للكافرين» وأوقعه موقع لهم بياناً لحالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18814','chapter_id' => '2','chapter_detail_id' => '106','translator_id' => '4','verse_number' => '99','translate_name' => '«ولقد أنزلنا إليك» يا محمد «آيات بينات» أي واضحات حال، رد لقول ابن صوريا للنبي ما جئتنا بشيء «وما يكفر بها إلا الفاسقون» كفروا بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18815','chapter_id' => '2','chapter_detail_id' => '107','translator_id' => '4','verse_number' => '100','translate_name' => '«أو كلما عاهدوا» الله «عهداً» على الإيمان بالنبي إن خرج، أو النبيَّ أن لا يعاونوا عليه المشركين «نبذه» طرحه «فريق منهم» بنقضه، جواب كلما وهو محل الاستفهام الإنكاري «بل» للانتقال «أكثرهم لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18816','chapter_id' => '2','chapter_detail_id' => '108','translator_id' => '4','verse_number' => '101','translate_name' => '«ولما جاءهم رسول من عند الله» محمد «مصدق لما معهم نبذ فريق من الذين أوتوا الكتاب كتاب الله» أي التوراة «وراء ظهورهم» أي لم يعملوا بما فيها من الإيمان بالرسول وغيره «كأنهم لا يعلمون» ما فيها من أنه نبي حق أو أنها كتاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18817','chapter_id' => '2','chapter_detail_id' => '109','translator_id' => '4','verse_number' => '102','translate_name' => '«واتبعوا» عطف على نبذ «ما تتلوا» أي تلت «الشياطين على» عهد «ملك سليمان» من السحر وكانت دفنته تحت كرسيه لما نزع ملكه أو كانت تسترق السمع وتضم إليه أكاذيب وتلقيه إلى الكهنة فيدونونه وفشا ذلك وشاع أن الجن تعلم الغيب فجمع سليمان الكتب ودفنها فلما مات دلت الشياطين عليها الناس فاستخرجوها فوجدوا فيها السحر فقالوا إنما ملككم بهذا فتعلموه فرفضوا كتب أنبيائهم قال تعالى تبرئه لسليمان ورداً على اليهود في قولهم انظروا إلى محمد يذكر سليمان في الأنبياء وما كان إلا ساحراً: «وما كفر سليمان» أي لم يعمل السحر لأنه كفر «ولكن» بالتشديد والتخفيف «الشياطين كفروا يعلمون الناس السحر» الجملة حال من ضمير كفروا «و» يعلمونهم «ما أنزل على الملكين» أي ألهماه من السحر وقرئ بكسر اللام الكائنين «ببابل» بلد في سواد العراق «هاروت وماروت» بدل أو عطف بيان للملكين قال ابن عباس هما ساحران كانا يعلمان السحر وقيل ملكان أنزلا لتعليمه ابتلاء من الله للناس «وما يعلمان من» زائدة «أحد حتى يقولا» له نصحاً «إنما نحن فتنة» بلية من الله إلى الناس ليمتحنهم بتعليمه فمن تعلمه كفر ومن تركه فهو مؤمن «فلا تكفر» بتعلمه فإن أبى إلا التعليم علماه «فيتعلمون منهما ما يفرقون به بين المرء وزوجه» بأن يبغض كلا إلى الآخر «وما هم» أي السحرة «بضارين به» بالسحر «من» زائدة «أحد إلا بإذن الله» بإرادته «ويتعلمون ما يضرهم» في الآخرة «ولا ينفعهم» وهو السحر «ولقد» لام قسم «علموا» أي اليهود «لمن» لام ابتداء معلقة لما قبلها ومن موصلة «اشتراه» اختاره أو استبدله بكتاب الله «ماله في الآخرة من خلاق» نصيب في الجنة «ولبئس ما» شيئاً «شروا» باعوا «به أنفسهم» أي الشارين: أي حظها من الآخرة إن تعلموه حيث أوجب لهم النار «لو كانوا يعلمون» حقيقة ما يصيرون إليه من العذاب ما تعلَّموه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18818','chapter_id' => '2','chapter_detail_id' => '110','translator_id' => '4','verse_number' => '103','translate_name' => '«ولو أنهم» أي اليهود «آمنوا» بالنبي والقرآن «واتقوا» عقاب الله بترك معاصيه كالسحر، وجوابُ لو محذوف: أي لأثيبوا دل عليه «لمثوبة» ثواب وهو مبتدأ واللام فيه للقسم «من عند الله خير» خبره مما شروا به أنفسهم «لو كانوا يعلمون» أنه خير لما آثروه عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18819','chapter_id' => '2','chapter_detail_id' => '111','translator_id' => '4','verse_number' => '104','translate_name' => '«يا أيها الذين أمنوا لا تقولوا» للنبي «راعنا» أمر من المراعاة وكانوا يقولون له ذلك وهي بلغة اليهود سب من الرعونة فسُرُّوا بذلك وخاطبوا بها النبي فنُهى المؤمنون عنها «وقولوا» بدلها «انظرنا» أي انظر إلينا «واسمعوا» ما تؤمرون به سماع قبول «وللكافرين عذاب أليم» مؤلم هو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18820','chapter_id' => '2','chapter_detail_id' => '112','translator_id' => '4','verse_number' => '105','translate_name' => '«ما يود الذين كفروا من أهل الكتاب ولا المشركين» من العرب عطف على أهل الكتاب ومن للبيان «أن يُنَزَّلَ عليكم من» زائدة «خير» وحي «من ربكم» حسداً لكم «والله يختص برحمته» نبوته «من يشاء والله ذو الفضل العظيم»','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18821','chapter_id' => '2','chapter_detail_id' => '113','translator_id' => '4','verse_number' => '106','translate_name' => 'ولما طعن الكفار في النسخ وقالوا إن محمداً يأمر أصحابه اليوم بأمر وينهى عنه غداً نزل: «ما» شرطية «ننسخ من أية» أي ننزل حكمها: إما مع لفظها أو لا وفي قراءة بضم النون من أنسخ: أي نأمرك أو جبريل بنسخها «أو ننسها» نؤخرها، فلا ننزل حكمها ونرفع تلاوتها أو نؤخرها في اللوح المحفوظ وفي قراءة بلا همز من النسيان أي ننسها، أي نمحها من قلبك وجواب الشرط «نأت بخير منها» أنفع للعباد في السهولة أو كثرة الأجر «أو مثلها» في التكليف والثواب «ألم تعلم أن الله على كل شئ قدير» ومنه النسخ والتبديل، والاستفهام للتقرير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18822','chapter_id' => '2','chapter_detail_id' => '114','translator_id' => '4','verse_number' => '107','translate_name' => '«ألم تعلم أن الله له ملك السموات والأرض» يفعل ما يشاء «وما لكم من دون الله» أي غيره «من» زائدة «وليٌ» يحفظكم «ولا نصير» يمنع عنكم عذابه إن أتاكم، ونزل لما سأله أهل مكة أن يوسعها ويجعل الصفا ذهباً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18823','chapter_id' => '2','chapter_detail_id' => '115','translator_id' => '4','verse_number' => '108','translate_name' => '«أم» بل «تريدون أن تسألوا رسولكم كما سئل موسى» أي سأله قومه «من قبل» من قولهم: أرنا الله جهرة وغير ذلك «ومن يتبدل الكفر بالإيمان» أي يأخذ بدله بترك النظر في الآيات البينات واقتراح غيرها «فقد ضل سواء السبيل» أخطأ الطريق الحق والسواءُ في الأصل الوسط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18824','chapter_id' => '2','chapter_detail_id' => '116','translator_id' => '4','verse_number' => '109','translate_name' => '«ودَّ كثير من أهل الكتاب لو» مصدرية «يردونكم من بعد إيمانكم كفارا حسدا» مفعول له كائنا «من عند أنفسهم» أي حملتهم عليه أنفسهم الخبيثة «من بعد ما تبين لهم» في التوراة «الحق» في شأن النبي «فاعفوا» عنهم أي اتركوهم «واصفحوا» أعرضوا فلا تجازوهم «حتى يأتي الله بأمره» فيهم من القتال «إن الله على كل شئ قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18825','chapter_id' => '2','chapter_detail_id' => '117','translator_id' => '4','verse_number' => '110','translate_name' => '«وأقيموا الصلاة وآتوا الزكاة وما تقدموا لأنفسكم من خير» طاعة كصلة وصدقة «تجدوه» أي ثوابه «عند الله إن الله بما تعملون بصير» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18826','chapter_id' => '2','chapter_detail_id' => '118','translator_id' => '4','verse_number' => '111','translate_name' => '«وقالوا لن يدخل الجنة إلا من كان هوداً» جمع هائد «أو نصارى» قال ذلك يهود المدينة ونصارى نجران لما تناظروا بين يدي النبي أي قال اليهود لن يدخلها إلا اليهود وقال النصارى لن يدخلها إلا النصارى «تلك» القولة «أمانيهم» شهواتهم الباطلة «قل» لهم «هاتوا برهانكم» حجتكم على ذلك «إن كنتم صادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18827','chapter_id' => '2','chapter_detail_id' => '119','translator_id' => '4','verse_number' => '112','translate_name' => '«بلى» يدخل الجنة غيرهم «من أسلم وجهه لله» أي انقاد لأمره. وخص الوجه لأنه أشرف الأعضاء فغيره أولى «وهو محسن» موحد «فله أجره عند ربِّه» أي ثواب عمله الجنة «ولا خوف عليهم ولا هم يحزنون» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18828','chapter_id' => '2','chapter_detail_id' => '120','translator_id' => '4','verse_number' => '113','translate_name' => '«وقالت اليهود ليست النصارى على شئ» معتد به وكفرت بعيسى «وقالت النصارى ليست اليهود على شئ» معتد به وكفرت بموسى «وهم» أي الفريقان «يتلون الكتاب» المنزل عليهم، وفي كتاب اليهود تصديق عيسى، وفي كتاب النصارى تصديق موسى والجملة حال «كذلك» كما قال هؤلاء «قال الذين لا يعلمون» أي المشركون من العرب وغيرهم «مثل قولهم» بيان لمعنى ذلك: أي قالوا لكل ذي دين ليسوا على شئ «فالله يحكم بينهم يوم القيامة فيما كانوا فيه يختلفون» من أمر الدين فيدخل المحقُّ الجنة والمبطل النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18829','chapter_id' => '2','chapter_detail_id' => '121','translator_id' => '4','verse_number' => '114','translate_name' => '«ومن أظلم» أي لا أحد أظلم «ممن منع مساجد الله أن يذكر فيها اسمه» بالصلاة والتسبيح «وسعى في خرابها» بالهدم أو التعطيل، نزلت إخباراً عن الروم الذين خربوا بيت المقدس أو في المشركين لما صدوا النبي عام الحديبية عن البيت «أولئك ما كان لهم أن يدخلوها إلا خائفين» خبر بمعنى الأمر أي أخيفوهم بالجهاد فلا يدخلها أحد آمناً. «لهم في الدنيا خزي» هوان بالقتل والسبي والجزية «ولهم في الآخرة عذاب عظيم» هو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18830','chapter_id' => '2','chapter_detail_id' => '122','translator_id' => '4','verse_number' => '115','translate_name' => 'ونزل لما طعن اليهود في نسخ القبلة أو في صلاة النافلة على الراحلة في السفر حيثما توجهت «ولله المشرق والمغرب» أي الأرض كلها لأنهما ناحيتها «فأينما تولوا» وجوهكم في الصلاة بأمره «فثمَّ» هناك «وجه الله» قبلته التي رضيها «إن الله واسع» يسع فضله كل شئ «عليم» بتدبير خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18831','chapter_id' => '2','chapter_detail_id' => '123','translator_id' => '4','verse_number' => '116','translate_name' => '«وقالوا» بواو وبدونها اليهود والنصارى ومن زعم أن الملائكة بنات الله «اتخذ الله ولداً» قال تعالى «سبحانه» تنزيها له عنه «بل له ما في السماوات والأرض» ملكا وخلقا وعبيدا والملكية تنافي الولادة وعبر بما تغليبا لما لا يعقل «كل له قانتون» مطيعون كل بما يراد منه وفيه تغليب العاقل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18832','chapter_id' => '2','chapter_detail_id' => '124','translator_id' => '4','verse_number' => '117','translate_name' => '«بديع السماوات والأرض» موجدهم لا على مثال سبق «وإذا قضى» أراد «أمرا» أي إيجاده «فإنما يقول له كن فيكون» أي فهو يكون وفى قراءة بالنصب جوابا للأمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18833','chapter_id' => '2','chapter_detail_id' => '125','translator_id' => '4','verse_number' => '118','translate_name' => '«وقال الذين لا يعلمون» أي كفار مكة للنبي «لولا» هلا «يكلمنا الله» بأنك رسوله «أو تأتينا آية» مما اقترحناه على صدقك «كذلك» كما قال هؤلاء «قال الذين من قبلهم» من كفار الأمم الماضية لأنبيائهم «مثل قولهم» من التعنت وطلب الآيات «تشابهت قلوبهم» في الكفر والعناد، فيه تسلية للنبي «قد بينا الآيات لقوم يوقنون» يعلمون أنها آيات فيؤمنون فاقتراحُ آية معها تعنُّت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18834','chapter_id' => '2','chapter_detail_id' => '126','translator_id' => '4','verse_number' => '119','translate_name' => '«إنا أرسلناك» يا محمد «بالحق» بالهدى «بشيرا» من أجاب إليه بالجنة «ونذيرا» من لم يجب إليه بالنار «ولا تُسأل عن أصحاب الجحيم» النار، أي الكفار ما لهم لم يؤمنوا إنما عليك البلاغ، وفي قراءة بجزم تسأل نهيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18835','chapter_id' => '2','chapter_detail_id' => '127','translator_id' => '4','verse_number' => '120','translate_name' => '«ولن ترضى عنك اليهود ولا النصارى حتى تتبع ملَّتهم» دينهم «قل إن هدى الله» أي الإسلام «هو الهدى» وما عداه ضلال «ولئن» لام قسم «اتبعت أهواءهم» التي يدعونك إليها فرضاً «بعد الذي جاءك من العلم» الوحي من الله «مالك من الله من ولي» يحفظك «ولا نصير» يمنعك منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18836','chapter_id' => '2','chapter_detail_id' => '128','translator_id' => '4','verse_number' => '121','translate_name' => '«الذين آتيناهم الكتاب» مبتدأً «يتلونه حق تلاوته» أي يقرؤونه كما أنزل والجملة حال وحق نصب على المصدر والخبر «أولئك يؤمنون به» نزلت في جماعة قدموا من الحبشة وأسلموا «ومن يكفر به» أي بالكتاب المؤتى بأن يحرفه «فأولئك هم الخاسرون» لمصيرهم إلى النار المؤبدة عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18837','chapter_id' => '2','chapter_detail_id' => '129','translator_id' => '4','verse_number' => '122','translate_name' => '«يابني إسرائيل اذكروا نعمتي التي أنعمت عليكم و أني فضَّلتكم على العالمين» تقدم مثله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18838','chapter_id' => '2','chapter_detail_id' => '130','translator_id' => '4','verse_number' => '123','translate_name' => '«واتقوا» خافوا «يوما لا تجزي» تغني «نفس عن نفس» فيه «شيئا ولا يُقبل منها عدل» فداء «ولا تنفعها شفاعة ولا هم يُنصرون» يمنعون من عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18839','chapter_id' => '2','chapter_detail_id' => '131','translator_id' => '4','verse_number' => '124','translate_name' => '«و» اذكر «إذا ابتلى» اختبر «إبراهيم» وفي قراءة إبراهام. «ربُّه بكلمات» بأوامر ونواه كلَّفه بها، قيل هي مناسك الحج، وقيل المضمضة والاستنشاق والسواك وقص الشارب وفرق الرأس وقلم الأظافر ونتف الإبط وحلق العانة والختان والاستنجاء «فأتمهن» أداهن تامات «قال» تعالى له «إني جاعلك للناس إماما» قدوة في الدين «قال ومن ذرِّيتي» أولادي اجعل أئمة «قال لا ينال عهدي» بالإمامة «الظالمين» الكافرين منهم دل على أنه ينال غير الظالم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18840','chapter_id' => '2','chapter_detail_id' => '132','translator_id' => '4','verse_number' => '125','translate_name' => '«وإذ جعلنا البيت» الكعبة «مثابة للناس» مرجعا يثبون إليه من كل جانب «وأمنا» مأمنا لهم من الظلم والإغارات الواقعة في غيره، كان الرجل يلقى قاتل أبيه فيه فلا يهيجه «واتخذوا» أيها الناس «من مقام إبراهيم» هو الحجر الذي قام عليه عند بناء البيت «مصلى» مكان صلاة بأن تصلوا خلفه ركعتي الطواف، وفي قراءة بفتح الخاء خبر «وعهدنا إلى إبراهيم وإسماعيل» أمرناهما «أن» أي بأن «طهِّرا بيتي» من الأوثان «للطائفين والعاكفين» المقيمين فيه «والركع السجود» جمع راكع وساجد المصلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18841','chapter_id' => '2','chapter_detail_id' => '133','translator_id' => '4','verse_number' => '126','translate_name' => '«وإذا قال إبراهيم رب اجعل هذا» المكان «بلدا آمنا» ذا أمن وقد أجاب الله دعاءه فجعله حرما لا يسفك فيه دم إنسان ولا يظلم فيه أحد ولا يصاد صيده ولا يختلي خلاه «وارزق أهله من الثمرات» وقد فعل بنقل الطائف من الشام إليه وكان أقفر لا زرع فيه ولا ماء «من آمن منهم بالله واليوم الآخر» بدل من أهله وخصهم بالدعاء لهم موافقة لقوله لا ينال عهدي الظالمين «قال» تعالى «و» ارزق «من كفر فَأُمَتِّعُهُ» بالتشديد والتخفيف في الدنيا بالرزق «قليلا» مدة حياته «ثم أضطره» ألجئه في الآخرة «إلى عذاب النار» فلا يجد عنها محيص «وبئس المصير» المرجع هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18842','chapter_id' => '2','chapter_detail_id' => '134','translator_id' => '4','verse_number' => '127','translate_name' => '«و» اذكر «إذ يرفع إبراهيم القواعد» الأسس أو الجدر «من البيت» يبنيه متعلق بيرفع «وإسماعيل» عطف على إبراهيم يقولان «ربنا تقبل منا» بناءنا «إنك أنت السميع» للقول «العليم» بالفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18843','chapter_id' => '2','chapter_detail_id' => '135','translator_id' => '4','verse_number' => '128','translate_name' => '«ربنا واجعلنا مسلمَيْن» منقادين «لك و» اجعل «من ذرِّيتنا» أولادنا «أمة» جماعة «مسلمة لك» ومن للتبعيض وأتى به لتقدم قوله لا ينال عهدي الظالمين «وأرنا» علِّمنا «مناسكنا» شرائع عبادتنا أو حجنا «وتب علينا إنك أنت التواب الرحيم» سألاه التوبة مع عصمتهما تواضعا وتعليما لذريتهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18844','chapter_id' => '2','chapter_detail_id' => '136','translator_id' => '4','verse_number' => '129','translate_name' => '«ربنا وابعث فيهم» أي أهل البيت «رسولا منهم» من أنفسهم وقد أجاب الله دعاءه بمحمد «يتلو عليهم آياتك» القرآن «ويعلمهم الكتاب» القرآن «والحكمة» أي ما فيه من الأحكام «ويزكيهم» يطهرهم من الشرك «إنك أنت العزيز» الغالب «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18845','chapter_id' => '2','chapter_detail_id' => '137','translator_id' => '4','verse_number' => '130','translate_name' => '«ومن» أي لا «يرغب عن ملة إبراهيم» فيتركها «إلا من سفه نفسه» جهل أنها مخلوقة لله يجب عليها عبادته أو استخف بها وامتهنها «ولقد اصطفيناه» اخترناه «في الدنيا» بالرسالة والخلة «وإنه في الآخرة لمن الصالحين» الذين لهم الدرجات العلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18846','chapter_id' => '2','chapter_detail_id' => '138','translator_id' => '4','verse_number' => '131','translate_name' => 'واذكر «إذ قال له ربه أسلمْ» انقد لله وأخلص له دينك «قال أسلمت لرب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18847','chapter_id' => '2','chapter_detail_id' => '139','translator_id' => '4','verse_number' => '132','translate_name' => '«ووصَّى» وفي قراءة أوصى «بها» بالملة «إبراهيم بنيه ويعقوب» بنيه قال: «يا بني إن الله اصطفى لكم الدين» دين الإسلام «فلا تموتنَّ إلا وأنتم مسلمون» نهى عن ترك الإسلام وأمر بالثبات عليه إلى مصادفة الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18848','chapter_id' => '2','chapter_detail_id' => '140','translator_id' => '4','verse_number' => '133','translate_name' => 'ولما قال اليهود للنبي ألست تعلم أن يعقوب يوم مات أوصى بنيه باليهودية نزل: «أم كنتم شهداء» حضورا «إذ حضر يعقوب الموتُ إذ» بدل من إذ قبله «قال لبنيه ما تعبدون من بعدي» بعد موتي «قالوا نعبد إلهك وإله آبائك إبراهيم وإسماعيل وإسحاق» جد إسماعيل من الآباء تغليب ولأن العم بمنزلة الأب «إلها واحدا» بدل من إلهك «ونحن له مسلمون» وأم بمعنى همزة الإنكار أي لم تحضروه وقت موته فكيف تنسبون إليه ما لا يليق به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18849','chapter_id' => '2','chapter_detail_id' => '141','translator_id' => '4','verse_number' => '134','translate_name' => '«تلك» مبتدأ والإشارة إلى إبراهيم ويعقوب وبينهما وأُنِّث لتأنيث خبره «أمة قد خلت» سلفت «لها ما كسبت» من العمل أي جزاؤه استئناف «ولكم» الخطاب لليهود «ما كسبتم ولا تُسألون عما كانوا يعلمون» كما لا يسألون عن عملكم والجملة تأكيد لما قبلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18850','chapter_id' => '2','chapter_detail_id' => '142','translator_id' => '4','verse_number' => '135','translate_name' => '«وقالوا كونوا هودا أو نصارى تهتدوا» أو للتفضيل وقائل الأول يهود المدينة والثاني نصارى نجران «قل» لهم «بل» نتبع «ملة إبراهيم حنيفا» حال من إبراهيم مائلا عن الأديان كلها إلى الدين القيّم «وما كان من المشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18851','chapter_id' => '2','chapter_detail_id' => '143','translator_id' => '4','verse_number' => '136','translate_name' => '«قولوا» خطاب للمؤمنين «آمنا بالله وما أنزل إلينا» من القرآن «وما أنزل إلى إبراهيم» من الصحف العشر «وإسماعيل وإسحاق ويعقوب والأسباط» أولاده «وما أوتي موسى» من التوراة «وعيسى» من الإنجيل «وما أوتي النبيُّون من ربهم» من الكتب والآيات «لا نُفرِّق بين أحد منهم» فنؤمن ببعض ونكفر ببعض كاليهود والنصارى «ونحن له مسلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18852','chapter_id' => '2','chapter_detail_id' => '144','translator_id' => '4','verse_number' => '137','translate_name' => '«فإن آمنوا» أي اليهود والنصارى «بمثل» زائدة «ما آمنتم به فقد اهتدوا وإن تولوا» عن الإيمان به «فإنما هم في شقاق» خلاف معكم «فسيكفيكهم الله» يا محمد شقاقهم «وهو السميع» لأقوالهم «العليم» بأحوالهم وقد كفاه إياهم بقتل قريظة، ونفي النضير وضرب الجزية عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18853','chapter_id' => '2','chapter_detail_id' => '145','translator_id' => '4','verse_number' => '138','translate_name' => '«صِبْغَةَ الله» مصدر مؤكد لآمنا ونصبه بفعل مقدر، أي صبغنا الله والمراد بها دينه الذي فطر الناس عليه لظهور أثره على صاحبه كالصبغ في الثوب «ومن» أي لا أحد «أحسن من الله صبغة» تمييز «ونحن له عابدون» قال اليهود للمسلمين نحن أهل الكتاب الأول وقبلتنا أقدم ولم تكن الأنبياء من العرب ولو كان محمد نبيا لكان منا فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18854','chapter_id' => '2','chapter_detail_id' => '146','translator_id' => '4','verse_number' => '139','translate_name' => '«قل» لهم «أتحاجوننا» تخاصموننا «في الله» أن اصطفى نبيا من العرب «وهو ربنا وربكم» فله أن يصطفي من عباده ما يشاء «ولنا أعمالنا» نجازى بها «ولكم أعمالكم» تجازون بها فلا يبعد أن يكون في أعمالنا ما نستحق به الإكرام «ونحن له مخلصون» الدين والعمل دونكم فنحن أولى بالاصطفاء، والهمزة للإنكار والجمل الثلاث أحوال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18855','chapter_id' => '2','chapter_detail_id' => '147','translator_id' => '4','verse_number' => '140','translate_name' => '«أم» بل «تقولون» بالتاء والياء «إنَّ إبراهيم وإسماعيل وإسحاق ويعقوب والأسباط كانوا هودا أو نصارى قل» لهم «أأنتم أعلم أم الله» أي الله أعلم وقد برأ منهما إبراهيم بقوله (ما كان إبراهيم يهوديا ولا نصرانيا) والمذكورون معه تبع له «ومن أظم ممن كتم» أخفى عن الناس «شهادة عنده» كائنة «من الله» أي لا أحد أظلم منه وهم اليهود كتموا شهادة الله في التوراة إبراهيم بالحنيفية «وما الله بغافل عما تعملون» تهديد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18856','chapter_id' => '2','chapter_detail_id' => '148','translator_id' => '4','verse_number' => '141','translate_name' => '«تلك أمة قد خلت لها ما كسبت ولكم ما كسبتم ولا تُسألون عما كانوا يعملون» تقدم مثله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18857','chapter_id' => '2','chapter_detail_id' => '149','translator_id' => '4','verse_number' => '142','translate_name' => '«سيقول السفهاء» الجهال «من الناس» اليهود والمشركين «ما ولاّهم» أي شيء، صرف النبي والمؤمنين «عن قبلتهم التي كانوا عليها» على استقبالها في الصلاة وهي بيت المقدس، والإتيان بالسين الدالة على الاستقبال من الإخبار بالغيب «قل لله المشرق والمغرب» أي الجهات كلها فيأمر بالتوجه إلى أي جهة شاء لا اعتراض عليه «يهدي من يشاء» هدايته «إلى صراط» طريق «مستقيم» دين الإسلام أي ومنهم أنتم دل على هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18858','chapter_id' => '2','chapter_detail_id' => '150','translator_id' => '4','verse_number' => '143','translate_name' => '«وكذلك» كما هديناكم إليه «جعلناكم» يا أمة محمد «أمة وسطا» خيارا عدولا «لتكونوا شهداء على الناس» يوم القيامة أنَّ رسلهم بلَّغتهم «ويكون الرسول عليكم شهيدا» أنه بلغكم «وما جعلنا» صيرنا «القبلة» لك الآن الجهة «التي كنت عليها» أولا وهي الكعبة وكان يصلى إليها فلما هاجر أمر باستقبال بيت المقدس تألُّفا لليهود فصلى إليه ستة أو سبعة عشر شهرا ثم حول «إلا لنعلم» علم ظهور «من يتبع الرسول» فيصدقه «ممن ينقلب على عقبيه» أي يرجع إلى الكفر شكا في الدين وظنا أن النبي في حيرة من أمره وقد ارتد لذلك جماعة «وإن» مخففة من الثقيلة واسمها محذوف أي وإنها «كانت» أي التولية إليها «لكبيرة» شاقة على الناس «إلا على الذين هدى الله» منهم «وما كان الله ليضيع إيمانكم» أي صلاتكم إلى بيت المقدس بل يثيبكم عليه لأن سبب نزولها السؤال عمن مات قبل التحويل «إن الله بالناس» المؤمنين «لرؤوف رحيم» في عدم إضاعة أعمالهم، والرأفةُ شدة الرحمة وقدَّم الأبلغ للفاصلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18859','chapter_id' => '2','chapter_detail_id' => '151','translator_id' => '4','verse_number' => '144','translate_name' => '«قد» للتحقيق «نرى تقلُّب» تصرف «وجهك في» جهة «السماء» متطلعا إلى الوحي ومتشوقا للأمر باستقبال الكعبة وكان يود ذلك لأنها قبلة إبراهيم ولأنه دعى إلى إسلام العرب «فلنولينك» نحولنك «قبلة ترضاها» تحبها «فولِّ وجهك» استقبل في الصلاة «شطر» نحو «المسجد الحرام» أي الكعبة «وحيثما كنتم» خطاب للأمة «فولُّوا وجوهكم» في الصلاة «شطره وإن الذين أوتوا الكتاب ليعلمون أنه» أي التولي إلى الكعبة «الحق» الثابت «من ربهم» لما في كتبهم من نعت النبي من أنه يتحول إليها «وما الله بغافل عما تعملون» بالتاء أيها المؤمنون من امتثال أمره وبالياء أي اليهود من إنكار أمر القبلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18860','chapter_id' => '2','chapter_detail_id' => '152','translator_id' => '4','verse_number' => '145','translate_name' => '«ولإن» لام قسم «أتيت الذين أوتوا الكتاب بكل آية» على صدقك في أمر القبلة «ما تبعوا» أي لا يتبعون «قبلتك» عناداً «وما أنت بتابع قبلتهم» قطع لطمعه في إسلامهم وطمعهم في عوده إليها «وما بعضهم بتابع قبلة بعض» أي اليهود قبلة النصارى وبالعكس «ولإن اتبعت أهواءهم» التي يدعونك إليها «من بعد ما جاءك من العلم» الوحي «إنك إذا» إن تبعتهم فرضا «لمن الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18861','chapter_id' => '2','chapter_detail_id' => '153','translator_id' => '4','verse_number' => '146','translate_name' => '«الذين آتيناهم الكتاب يعرفونه» أي محمداً «كما يعرفون أبناءهم» بنعته في كتبهم قال ابن سلام: لقد عرفته حين رأيته كما أعرف ابني ومعرفتي لمحمد أشد «وإن فريقا منهم ليكتمون الحق» نعته «وهم يعلمون» هذا الذي أنت عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18862','chapter_id' => '2','chapter_detail_id' => '154','translator_id' => '4','verse_number' => '147','translate_name' => '«الحق» كائنا «من ربك فلا تكوننَّ من الممترين» الشاكين فيه أي من هذا النوع فهو أبلغ من أن لا تمتر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18863','chapter_id' => '2','chapter_detail_id' => '155','translator_id' => '4','verse_number' => '148','translate_name' => '«ولكل» من الأمم «وجهة» قبلة «هو موليها» وجهه في صلاته وفي قراءة مُوَلاَّهَا «فاستبقوا الخيرات» بادروا إلى الطاعات وقبولها «أينما تكونوا يأت بكم الله جميعا» يجعلكم يوم القيامة فيجازيكم بأعمالكم «إن الله على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18864','chapter_id' => '2','chapter_detail_id' => '156','translator_id' => '4','verse_number' => '149','translate_name' => '«ومن حيث خرجت» لسفر «فولِّ وجهك شطر المسجد الحرام وإنه للحق من ربك وما الله بغافل عما تعلمون» بالياء والتاء تقدم مثله وكرره لبيان تساوي حكم السفر وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18865','chapter_id' => '2','chapter_detail_id' => '157','translator_id' => '4','verse_number' => '150','translate_name' => '«ومن حيث خرجت فولِّ وجهك شطر المسجد الحرام وحيثما كنتم فولوا وجوهكم شطره» كرره للتأكيد «لئلا يكون للناس» اليهود أو المشركين «عليكم حجة» أي مجادلة في التولي إلى غيره أي لتنتفي مجادلتهم لكم من قول اليهود يجحد ديننا ويتبع قبلتنا وقول المشركين يدعي ملة إبراهيم ويخالف قبلته «إلا الذين ظلموا منهم» بالعناد فإنهم يقولون ما تحول إليها إلا ميلا إلى دين آبائه والاستثناء متصل والمعنى: لا يكون لأحد عليكم كلام إلا كلام هؤلاء «فلا تخشوهم» تخافوا جدالهم في التولي إليها «واخشوني» بامتثال أمري «ولأتم» عطف علي لئلا يكون «نعمتي عليكم» بالهداية إلى معالم دينكم «ولعلكم تهتدون» إلى الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18866','chapter_id' => '2','chapter_detail_id' => '158','translator_id' => '4','verse_number' => '151','translate_name' => '«كما أرسلنا» متعلق بأتم أي إتماما كإتمامها بإرسالنا «فيكم رسولا منكم» محمد «يتلو عليكم آياتنا» القرآن «ويزكيكم» يطهركم من الشرك «ويعلمكم الكتاب» القرآن «والحكمة» ما فيه من الأحكام «ويعلمكم ما لم تكونوا تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18867','chapter_id' => '2','chapter_detail_id' => '159','translator_id' => '4','verse_number' => '152','translate_name' => '«فاذكروني» بالصلاة والتسبيح ونحوه «أذكركم» قيل معناه أجازيكم وفي الحديث عن الله (من ذكرني في نفسه ذكرته في نفسي ومن ذكرني في ملأ ذكرته في ملأ خير من ملئه) «واشكروا لي» نعمتي بالطاعة «ولا تكفرون» بالمعصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18868','chapter_id' => '2','chapter_detail_id' => '160','translator_id' => '4','verse_number' => '153','translate_name' => '«يا أيها الذين آمنوا استعينوا» على الآخرة «بالصبر» على الطاعة والبلاء «والصلاة» خصها بالذكر لتكررها وعظمها «إن الله مع الصابرين» بالعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18869','chapter_id' => '2','chapter_detail_id' => '161','translator_id' => '4','verse_number' => '154','translate_name' => '«ولا تقولوا لمن يقتل في سبيل الله» هم «أموات بل» هم «أحياء» أرواحهم في حواصل طيور خضر تسرح في الجنة حيث شاءت لحديث بذلك «ولكن لا تشعرون» تعلمون ما هم فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18870','chapter_id' => '2','chapter_detail_id' => '162','translator_id' => '4','verse_number' => '155','translate_name' => '«ولنبلونكم بشيء من الخوف» للعدو «والجوع» القحط «ونقص من الأموال» بالهلاك «والأنفس» بالقتل والموت والأمراض «والثمرات» بالحوائج أي لنختبرنكم فننظر أتصبرون أم لا «وبشر الصابرين» على البلاء بالجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18871','chapter_id' => '2','chapter_detail_id' => '163','translator_id' => '4','verse_number' => '156','translate_name' => 'هم «الذين إذا أصابتهم مصيبة» بلاء «قالوا إنا لله» ملكا وعبيدا يفعل بنا ما يشاء «وإنا إليه راجعون» في الآخرة فيجازينا وفي الحديث (من استرجع عند المصيبة أجره الله فيها وأخلف الله عليه خيرا) وفيه أن مصباح النبي صلى الله عليه وسلم طفئ فاسترجع فقالت عائشة: إنما هذا مصباح فقال: (كل ما أساء المؤمن فهو مصيبة) رواه أبو داود في مراسيله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18872','chapter_id' => '2','chapter_detail_id' => '164','translator_id' => '4','verse_number' => '157','translate_name' => '«أولئك عليهم صلوات» مغفرة «من ربهم ورحمة» نعمة «وأولئك هم المهتدون» إلى الصواب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18873','chapter_id' => '2','chapter_detail_id' => '165','translator_id' => '4','verse_number' => '158','translate_name' => '(إن الصفا والمروة) جبلان بمكة (من شعائر الله) أعلام دينه جمع شعيرة (فمن حج البيت أو اعتمر) أي تلبس بالحج أو العمرة وأصلهما القصد والزيارة (فلا جناح عليه) إثم عليه (أن يطوف) فيه إدغام التاء في الأصل في الطاء (بهما) بأن يسعى بينهما سبعا، نزلت لما كره المسلمون ذلك لأن أهل الجاهلية كانوا يطوفون بهما وعليهما صنمان يمسحونهما، وعن ابن عباس أن السعي غير فرض لما أفاده رفع الإثم من التخيير وقال الشافعي وغيره ركن، وبين صلى الله عليه وسلم فرضيته بقوله "" إن الله كتب عليكم السعي "" رواه البيهقي وغيره "" وقال ابدءوا بما بدأ الله به "" يعني الصفا رواه مسلم (ومن تطوع) وفي قراءة بالتحتية وتشديد الطاء مجزوما وفيه إدغام التاء فيها (خيرا) أي بخير أي عمل ما لم يجب عليه من طواف وغيره (فإن الله شاكر) لعمله بالإثابة عليه (عليم) به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18874','chapter_id' => '2','chapter_detail_id' => '166','translator_id' => '4','verse_number' => '159','translate_name' => 'ونزل في اليهود: «إن الذين يكتمون» الناس «ما أنزلنا من البينات والهدى» كآية الرجم ونعت محمد «من بعد ما بيَّناه للناس في الكتاب» التوراة «أولئك يلعنهم الله» يبعدهم من رحمته «ويلعنهم اللاعنون» الملائكة والمؤمنون أو كل شيء بالدعاء عليهم باللعنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18875','chapter_id' => '2','chapter_detail_id' => '167','translator_id' => '4','verse_number' => '160','translate_name' => '«إلا الذين تابوا» رجعوا عن ذلك «وأصلحوا» عملهم «وبيَّنوا» ما كتموا «فأولئك أتوب عليهم» أقبل توبتهم «وأنا التواب الرحيم» بالمؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18876','chapter_id' => '2','chapter_detail_id' => '168','translator_id' => '4','verse_number' => '161','translate_name' => '«إن الذين كفروا وماتوا وهم كفار» حال «أولئك عليهم لعنة الله والملائكة والناس أجمعين» أي هم مستحقون ذلك في الدنيا والآخرة. والناس قيل: عام. وقيل: المؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18877','chapter_id' => '2','chapter_detail_id' => '169','translator_id' => '4','verse_number' => '162','translate_name' => '«خالدين فيها» أي اللعنة والنار المدلول بها عليها «لا يخفف عنهم العذاب» طرفة عين «ولا هم ينظرون» يمهلون لتوبة أو معذرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18878','chapter_id' => '2','chapter_detail_id' => '170','translator_id' => '4','verse_number' => '163','translate_name' => 'ونزل لما قالوا صف لنا ربك: «وإلهكم» المستحق للعبادة منكم «إِلهٌ واحد» لا نظير له في ذاته ولا في صفاته «لا إلهَ إلا هو» هو «الرحمن الرحيم» وطلبوا آيه على ذلك فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18879','chapter_id' => '2','chapter_detail_id' => '171','translator_id' => '4','verse_number' => '164','translate_name' => 'إن في خلق السماوات والأرض» وما فيهما من العجائب «واختلاف الليل والنهار» بالذهاب والمجيء والزيادة والنقصان «والفلك» السفن «التي تجري في البحر» ولا ترسب موقرة «بما ينفع الناس» من التجارات والحمل «وما أنزل الله من السماء من ماء» مطر «فأحيا به الأرض» بالنبات «بعد موتها» يبسها «وبث» فرق ونشربه «فيها من كل دابة» لأنهم ينمون بالخصب الكائن عنه «وتصريف الرياح» تقليبها جنوبا وشمالا حارة وباردة «والسحاب» الغيم «المسخَّر» المذلَّل بأمر الله تعالى يسير إلى حيث شاء الله «بين السماء والأرض» بلا علاقة «لآيات» دالاّت على وحدانيته تعالى «لقوم يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18880','chapter_id' => '2','chapter_detail_id' => '172','translator_id' => '4','verse_number' => '165','translate_name' => '«ومن الناس من يتخذ من دون الله» أي غيره «أندادا» أصناما «يحبونهم» بالتعظيم والخضوع «كحب الله» أي كحبهم له «والذين آمنوا أشد حبا لله» من حبهم للأنداد لأنهم لا يعدلون عنه بحال ما، والكفار يعدلون في الشدة إلى الله «ولو يرى» تبصر يا محمد «الذين ظلموا» باتخاذ الأنداد «إذ يرون» بالبناء للفاعل والمفعول به يبصرون «العذاب» لرأيت أمرا عظيما وإذا بمعني إذا «أن» أي لأن «القوة» القدرة والغلبة «لله جميعا» حال «وأن الله شديد العذاب» وفي قراءة ترى والفاعل ضمير السامع، وقيل الذين ظلموا وهي بمعني يعلم وأن وما بعدها سدت مسد المفعولين وجواب لو محذوف والمعنى لو علموا في الدنيا شدة عذاب الله وأن القدرة لله وحده وقت معاينتهم له وهو يوم القيامة لما اتخذوا من دونه أندادا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18881','chapter_id' => '2','chapter_detail_id' => '173','translator_id' => '4','verse_number' => '166','translate_name' => '«إذ» بدل من إذ قبله «تبرَّأ الذين اتُبعوا» أي الرؤساء «من الذين اتَّبعوا» أي أنكروا إضلالهم «و» قد «رأوا العذاب وتقطعت» عطف تبرأ «بهم» عنهم «الأسباب» الوصل التي كانت بينهم في الدنيا من الأرحام والمودة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18882','chapter_id' => '2','chapter_detail_id' => '174','translator_id' => '4','verse_number' => '167','translate_name' => '«وقال الذين اتَّبعوا لو أن لنا كرَّة» رجعة إلى الدنيا «فنتبرَّأ منهم» أي المتبوعين «كما تبرءوا منا» اليوم ولو للتمني ونتبرأ جوابه «كذلك» أي كما أراهم شدة عذابه وتبرأ بعضهم من بعض «يريهم الله أعمالهم» السيئة «حسرات» حال ندامات «عليهم وما هم بخارجين من النار» بعد دخولها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18883','chapter_id' => '2','chapter_detail_id' => '175','translator_id' => '4','verse_number' => '168','translate_name' => 'ونزل فيمن حرَّم السوائب ونحوها: «يا أيها الناس كلوا مما في الأرض حلالا» حال «طيبا» صفة مؤكدة أي مستلذاً «ولا تتبعوا خطوات» طرق «الشيطان» أي تزيينه «إنه لكم عدو مبين» بَيِّنُ العداوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18884','chapter_id' => '2','chapter_detail_id' => '176','translator_id' => '4','verse_number' => '169','translate_name' => '«إنما يأمركم بالسوء» الإثم «والفحشاء» القبيح شرعا «وأن تقولوا على الله ما لا تعلمون» من تحريم ما لم يحرم وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18885','chapter_id' => '2','chapter_detail_id' => '177','translator_id' => '4','verse_number' => '170','translate_name' => '«وإذا قيل لهم» أي الكفار «اتبعوا ما أنزل الله» من التوحيد وتحليل الطيبات «قالوا» لا «بل نتبع ما ألفينا» وجدنا «عليه آباءنا» من عبادة الأصنام وتحريم السوائب والبحائر قال تعالى: «أ» يتبعونهم «وَلو كان آباؤهم لا يعقلون شيئا» من أمر الدين «ولا يهتدون» إلى الحق والهمزةُ للإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18886','chapter_id' => '2','chapter_detail_id' => '178','translator_id' => '4','verse_number' => '171','translate_name' => '«ومثل» صفة «الذين كفروا» ومن يدعوهم إلى الهدي «كمثل الذي ينعق» يصوت «بما لا يسمع إلا دعاءً ونداءً» أي صوتا ولا يفهم معناه أي في سماع الموعظة وعدم تدبرها كالبهائم تسمع صوت راعيها ولا تفهمه، هم «صمٌ بكمٌ عميٌ فهم لا يعقلون» الموعظة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18887','chapter_id' => '2','chapter_detail_id' => '179','translator_id' => '4','verse_number' => '172','translate_name' => '«يا أيها الذين آمنوا كلوا من طيِّبات» حلالات «ما رزقناكم واشكروا لله» على ما أحل لكم «إن كنتم إياه تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18888','chapter_id' => '2','chapter_detail_id' => '180','translator_id' => '4','verse_number' => '173','translate_name' => '«إنما حرم عليكم الميتة» أي أكلها إذا الكلام فيه وكذا ما بعدها وهي ما لم يذك شرعا، وألحق بها بالسنة ما أبين من حيِّ وخُص منها السمك والجراد «والدم» أي المسفوح كما في الأنعام «ولحم الخنزير» خص اللحم لأنه معظم المقصود وغيره تبع له «وما أهل به لغير الله» أي ذبح على اسم غيره والإهلال رفع الصوت وكانوا يرفعونه عند الذبح لآلهتهم «فمن اضطر» أي ألجأته الضرورة إلى أكل شيء مما ذكر فأكله «غير باغ» خارج على المسلمين «ولا عاد» متعد عليهم بقطع الطريق «فلا إثم عليه» في أكله «إن الله غفور» لأوليائه «رحيم» بأهل طاعته حيث وسع لهم في ذلك وخرج الباغي والعادي ويلحق بهما كل عاص بسفره كالآبق والماكس فلا يحل لهم أكل شيء من ذلك ما لم يتوبوا وعليه الشافعي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18889','chapter_id' => '2','chapter_detail_id' => '181','translator_id' => '4','verse_number' => '174','translate_name' => '«إن الذين يكتمون ما أنزل الله من الكتاب» المشتمل على نعت محمد صلى الله عليه وسلم وهم اليهود «ويشترون به ثمنا قليلا» من الدنيا يأخذونه بدله من سفلتهم فلا يظهرونه خوف فوته عليهم «أولئك ما يأكلون في بطونهم إلا النار» لأنها مآلهم «ولا يكلمهم الله يوم القيامة» غضبا عليهم «ولا يزكيهم» يطهرهم من دنس الذنوب «ولهم عذاب اليم» مؤلم هو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18890','chapter_id' => '2','chapter_detail_id' => '182','translator_id' => '4','verse_number' => '175','translate_name' => '«أولئك الذين اشتروا الضلالة بالهدى» آخذوها بدله في الدنيا «والعذاب بالمغفرة» المعدة لهم في الآخرة لو لم يكتموا «فما أصبرهم على النار» أي ما أشد صبرهم وهو تعجب للمؤمنين من ارتكابهم موجباتها من غير مبالاة وإلا فأيُّ صبر لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18891','chapter_id' => '2','chapter_detail_id' => '183','translator_id' => '4','verse_number' => '176','translate_name' => '«ذلك» الذي ذكر من أكلهم النار وما بعده «بأن» بسبب أن «الله نزَّل الكتاب بالحق» متعلق بنزل فاختلفوا فيه حيث آمنوا ببعضه وكفروا ببعضه بكتمه «وإن الذين اختلفوا في الكتاب» بذلك وهم اليهود وقيل المشركون في القرآن حيث قال بعضهم شعر وبعضهم سحر وبعضهم كهانة «لفي شقاق» خلاف «بعيد» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18892','chapter_id' => '2','chapter_detail_id' => '184','translator_id' => '4','verse_number' => '177','translate_name' => '«ليس البر أن تولوا وجوهكم» في الصلاة «قبل المشرق والمغرب» نزل ردا على اليهود والنصارى حيث زعموا ذلك «ولكن البرَّ» أي ذا البر وقرئ بفتح الباء أي البار «من آمن بالله واليوم الآخر والملائكة والكتاب» أي الكتب «والنبيين و آتى المال على» مع «حبه» له «ذوي القربى» القرابة «واليتامى والمساكين وابن السبيل» المسافر «والسائلين» الطالبين «وفي» فك «الرقاب» المكاتبين والأسرى «وأقام الصلاة وآتى الزكاة» المفروضة وما قبله في التطوع «والموفون بعهدهم إذا عاهدوا» الله أو الناس «والصابرين» نصب على المدح «في البأساء» شدة الفقر «والضراء» المرض «وحين البأس» وقت شدة القتال في سبيل الله «أولئك» الموصوفون بما ذكر «الذين صدقوا» في إيمانهم أو ادعاء البر «وأولئك هم المتقون» الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18893','chapter_id' => '2','chapter_detail_id' => '185','translator_id' => '4','verse_number' => '178','translate_name' => '«يا أيها الذين منوا كُتب» فرض «عليكم القصاص» المماثلة «في القتلى» وصفا وفعلا «الحر» ولا يقتل بالعبد «والعبد بالعبد والأنثى بالأنثى» وبيَّنت السنة أن الذكر يقتل بها وأنه تعتبر المماثلة في الدين فلا يقتل مسلم ولو عبدا بكافر ولو حرا «فمن عفي له» من القاتلين «من» دم «أخيه» المقتول «شيء» بأن ترك القصاص منه، وتنكيرُ شيء يفيد سقوط القصاص بالعفو عن بعضه ومن بعض الورثة وفي ذكر أخيه تعطُّف داع إلى العفو وإيذان بأن القتل لا يقطع أخوة الإيمان ومن مبتدأ شرطية أو موصولة والخبر «فاتِّباع» أي فعل العافي إتباع للقاتل «بالمعروف» بأن يطالبه بالدية بلا عنف، وترتيب الإتباع على العفو يفيد أن الواجب أحدهما وهو أحد قولي الشافعي والثاني الواجب القصاص والدية بدل عنه فلو عفا ولم يسمها فلا شيء ورجح «و» على القاتل «أداء» الدية «إليه» أي العافي وهو الوارث «بإحسان» بلا مطل ولا بخس «ذلك» الحكم المذكور من جواز القصاص والعفو عنه على الدية «تخفيف» تسهيل «من ربكم» عليكم «ورحمة» بكم حيث وسَّع في ذلك ولم يحتم واحدا منهما كما حتم على اليهود القصاص وعلى النصارى الدية «فمن اعتدى» ظلم القاتل بأن قتله «بعد ذلك» أي العفو «فله عذاب أليم» مؤلم في الآخرة بالنار أو في الدنيا بالقتل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18894','chapter_id' => '2','chapter_detail_id' => '186','translator_id' => '4','verse_number' => '179','translate_name' => '«ولكم في القصاص حياة» أي بقاء عظيم «يا أولي الألباب» ذوي العقول لأن القاتل إذا علم أنه يُقتل ارتدع فأحيا نفسه ومن أراد قتله فشرع «لعلكم تتقون» القتل مخافة القود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18895','chapter_id' => '2','chapter_detail_id' => '187','translator_id' => '4','verse_number' => '180','translate_name' => '«كتب» فرض «عليكم إذا حضر أحدكم الموت» أي أسبابه «إن ترك خيرا» مالا «الوصية» مرفوع بكتب ومتعلق بإذا إن كانت ظرفية ودال على جوابها إن كانت شرطية وجواب إن أي فليوص «للوالدين والأقربين بالمعروف» بالعدل بأن لا يزيد على الثلث ولا يفضل الغني «حقا» مصدر مؤكد لمضمون الجملة قبله «على المتقين» الله وهذا منسوخ بآية الميراث وبحديث: (لا وصية لوارث رواه الترمذي).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18896','chapter_id' => '2','chapter_detail_id' => '188','translator_id' => '4','verse_number' => '181','translate_name' => '«فمن بدَّله» أي الإيصاء من شاهد ووصي «بعد ما سمعه» علمه «فإنما إثمه» أي الإيصاء المبدل «على الذين يبدلونه» فيه إقامة الظاهر مقام المضمر «إن الله سميع» لقول الموصي «عليم» بفعل الوصي فمجاز عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18897','chapter_id' => '2','chapter_detail_id' => '189','translator_id' => '4','verse_number' => '182','translate_name' => '«فمن خاف من موص» مخففا ومثقلا «جنفا» ميلا عن الحق خطأ «أو إثما» بأن تعمَّد ذلك بالزيادة على الثلث أو تخصيص غني مثلا «فأصلح بينهم» بين الموصي والموصى له بالأمر بالعدل «فلا إثم عليه» في ذلك «إن الله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18898','chapter_id' => '2','chapter_detail_id' => '190','translator_id' => '4','verse_number' => '183','translate_name' => '«يا أيها الذين أمنوا كُتب» فرض «عليكم الصيام كما كتب على الذين من قبلكم» من الأمم «لعلكم تتقون» المعاصي فإنه يكسر الشهوة التي هي مبدؤها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18899','chapter_id' => '2','chapter_detail_id' => '191','translator_id' => '4','verse_number' => '184','translate_name' => '«أيَّاما» نصب بالصيام أو يصوموا مقدرا «معدودات» أي قلائل أو مؤقتات بعدد معلوم وهي رمضان كما سيأتي وقلَّله تسهيلا على المكلفين «فمن كان منكم» حين شهوده «مريضا أو على سفر» أي مسافرا سفر القصر وأجهده الصوم في الحالين فأفطر «فعدَّة» فعليه عدة ما أفطر «من أيام أخر» يصومها بدله «وعلى الذين» لا «يطيقونه» لكبر أو مرض لا يرجى برؤه «فدية» هي «طعام مسكين» أي قدر ما يأكله في يومه وهو مدٌ من غالب قوت البلد لكل يوم، وفي قراءة بإضافة فدية وهي للبيان وقيل لا غير مقدرة وكانوا مخيرين في صدر الإسلام بين الصوم والفدية ثم نسخ بتعيين الصوم بقوله من شهد منكم الشهر فليصمه، قال ابن عباس: إلا الحامل والمرضع إذا أفطرتا خوفا على الولد فإنها باقية بلا نسخ في حقهما «فمن تطوع خيرا» بالزيادة على القدر المذكور في الفدية «فهو» أي التطوع «خير له، وأن تصوموا» مبتدأ خبره «خير لكم» من الإفطار والفدية «إن كنتم تعلمون» أنه خير لكم فافعلوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18900','chapter_id' => '2','chapter_detail_id' => '192','translator_id' => '4','verse_number' => '185','translate_name' => 'تلك الأيام «شهر رمضان الذي أنزل فيه القرآن» من اللوح المحفوظ إلى السماء الدنيا في ليلة القدر منه «هدى» حال هاديا من الضلالة «للناس وبينات» آيات واضحات «من الهدى» بما يهدي إلى الحق من الأحكام «و» من «الفرقان» مما يفرق بين الحق والباطل «فمن شهد» حضر «منكم الشهر فليصمه ومن كان مريضا أو على سفر فعدة من أيام أخر» تقدم مثله وكرر لئلا يتوهم نسخه بتعميم من شهد «يريد الله بكم اليسر ولا يريد بكم العسر» ولذا أباح لكم الفطر في المرض والسفر ولكون ذلك في معنى العلة أيضا للأمر بالصوم عطف عليه «ولتكملوا» بالتخفيف والتشديد «العدة» أي عدة صوم رمضان «ولتكبروا الله» عند إكمالها «على ما هداكم» أرشدكم لمعالم دينه «ولعلكم تشكرون» الله على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18901','chapter_id' => '2','chapter_detail_id' => '193','translator_id' => '4','verse_number' => '186','translate_name' => 'وسأل جماعة النبي محمد صلى الله عليه وسلم أقريب ربُّنا فنناجيه أم بعيد فنناديه: فنزل «وإذا سألك عبادي عني فإني قريب» منهم بعلمي فأخبرهم بذلك «أجيب دعوة الداع إذا دعان» بإنالته ما سأل «فليستجيبوا لي» دعائي بالطاعة «وليؤمنوا» يداوموا على الإيمان «بي لعلهم يرشدون» يهتدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18902','chapter_id' => '2','chapter_detail_id' => '194','translator_id' => '4','verse_number' => '187','translate_name' => '«أُحلَّ لكم ليلة الصيام الرفث» بمعنى الإفضاء «إلى نسائكم» بالجماع، نزل نسخا لما كان في صدر الإسلام على تحريمه وتحريم الأكل والشرب بعد العشاء «هن لباس لكم وأنتم لباس لهن» كناية عن تعانقهما أو احتياج كل منهما إلى صاحبه «علم الله أنكم كنتم تختانون» تخونون «أنفسكم» بالجماع ليلة الصيام وقع ذلك لعمر وغيره واعتذروا إلى النبي صلى الله عليه وسلم «فتاب عليكم» قبل توبتكم «وعفا عنكم فالآن» إذ أحل لكم «باشروهن» جامعوهن «وابتغوا» اطلبوا «ما كتب الله لكم» أي أباحه من الجماع أو قدره من الولد «وكلوا واشربوا» الليل كله «حتى يتبيَّن» يظهر «لكم الخيط الأبيض من الخيط الأسود من الفجر» أي الصادق بيان للخيط الأبيض وبيان الأسود محذوف أي من الليل شبه ما يبدو من البياض وما يمتد معه من الغبش بخيطين أبيض وأسود في الامتداد «ثم أتُّموا الصيام» من الفجر «إلى الليل» أي إلى دخوله بغروب الشمس «ولا تباشروهن» أي نساءكم «وأنتم عاكفون» مقيمون بنية الاعتكاف «في المساجد» متعلق بعاكفون نهيٌ لمن كان يخرج وهو معتكف فيجامع امرأته ويعود «تلك» الأحكام المذكورة «حدود الله» حدَّها لعباده ليقفوا عندها «فلا تقربوها» أبلغ من لا تعتدوها المعبر به في آية أخرى «كذلك» كما بيَّن لكم ما ذكر «يُبيِّن الله آياته للناس لعلهم يتقون» محارمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18903','chapter_id' => '2','chapter_detail_id' => '195','translator_id' => '4','verse_number' => '188','translate_name' => '«ولا تأكلوا أموالكم بينكم» أي يأكل بعضكم مال بعض «بالباطل» الحرام شرعا كالسرقة والغصب «و» لا «تُدلوا» تلقوا «بها» أي بحكومتها أو بالأموال رشوة «إلى الحكام لتأكلوا» بالتحاكم «فريقا» طائفة «من أموال الناس» متلبسين «بالإثم وأنتم تعلمون» أنكم مبطلون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18904','chapter_id' => '2','chapter_detail_id' => '196','translator_id' => '4','verse_number' => '189','translate_name' => '«يسألونك» يا محمد «عن الأهلة» جمع هلال لمَ تبدو دقيقة ثم تزيد حتى تمتلئ نورا ثم تعود كما بدت ولا تكون على حالة واحدة كالشمس «قل» لهم «هي مواقيت» جمع ميقات «للناس» يعلمون بها أوقات زرعهم ومتاجرهم وعُدد نسائهم وصيامهم وإفطارهم «والحج» عطف على الناس أي يعلم بها وقته فلو استمرت على حالة لم يعرف ذلك «وليس البر بأن تأتوا البيوت من ظهورها» في الإحرام كغيره بأن تنقبوا فيها نقبا تدخلون منه وتخرجون وتتركوا الباب وكانوا يفعلون ذلك ويزعمونه برّا «ولكنَّ البرَّ» أي ذا البِر «من اتقى» الله بترك مخالفته «وأتوا البيوت من أبوابها» في الإحرام «واتقوا الله لعلكم تفلحون» تفوزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18905','chapter_id' => '2','chapter_detail_id' => '197','translator_id' => '4','verse_number' => '190','translate_name' => 'ولما صُدَّ محمد صلى الله عليه وسلم عن البيت عام الحديبية وصالح الكفار على أن يعود العام القابل ويُخلوا له مكة ثلاثة أيام وتجهز لعمرة القضاء وخافوا أن لا تفي قريش ويقاتلوهم وكره المسلمون قتالهم في الحرم والإحرام والشهر الحرام نزل «وقاتلوا في سبيل الله» أي لإعلاء دينه «الذين يقاتلونكم» الكفار «ولا تعتدوا» عليهم بالابتداء بالقتال «إن الله لا يحب المعتدين» المتجاوزين ما حد لهم وهذا منسوخ بآية براءة أو بقوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18906','chapter_id' => '2','chapter_detail_id' => '198','translator_id' => '4','verse_number' => '191','translate_name' => '«واقتلوهم حيث ثقفتموهم» وجدتموهم «وأخرجوهم من حيث أخرجوكم» أي من مكة وقد فعل بهم ذلك عام الفتح «والفتنة» الشرك منهم «أشد» أعظم «من القتل» لهم في الحرم أو الإحرام والذي استعظمتموه «ولا تقاتلوهم عند المسجد الحرام» أي في الحرم «حتى يقاتلوكم فيه فإن قاتلوكم» فيه «فاقتلوهم» فيه، وفي قراءة بلا ألف في الأفعال الثلاثة «كذلك» القتل والإخراج «جزاء الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18907','chapter_id' => '2','chapter_detail_id' => '199','translator_id' => '4','verse_number' => '192','translate_name' => '«فإن انتهوا» عن الكفر وأسلموا «فإن الله غفور» لهم «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18908','chapter_id' => '2','chapter_detail_id' => '200','translator_id' => '4','verse_number' => '193','translate_name' => '«وقاتلوهم حتى لا تكون» توجد «فتنة» شرك «ويكون الدين» العبادة «لله» وحده لا يعبد سواه «فإن انتهوا» عن الشرك فلا تعتدوا عليهم دل على هذا «فلا عدوان» اعتداء بقتل أو غيره «إلا على الظالمين» ومن انتهى فليس بظالم فلا عدوان عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18909','chapter_id' => '2','chapter_detail_id' => '201','translator_id' => '4','verse_number' => '194','translate_name' => '«الشهر الحرام» المحرم مقابل «بالشهر الحرام» فكلما قاتلوكم فيه فاقتلوهم في مثله رد لاستعظام المسلمين ذلك «والحرمات» جمع حرمة ما يجب احترامه «قصاص» أي يقتص بمثلها إذا انتهكت «فمن اعتدى عليكم» بالقتال في الحرم أو الإحرام أو الشهر الحرام «فاعتدوا عليه بمثل ما اعتدى عليكم» سمى مقابلته اعتداء لشبهها بالمقابل به في الصورة «واتقوا الله» في الانتصار وترك الاعتداء «واعلموا أن الله مع المتقين» بالعون والنصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18910','chapter_id' => '2','chapter_detail_id' => '202','translator_id' => '4','verse_number' => '195','translate_name' => '«وأنفقوا في سبيل الله» طاعته بالجهاد وغيره «ولا تلقوا بأيديكم» أي أنفسكم والباء زائدة «إلى التهلكة» الهلاك بالإمساك عن النفقة في الجهاد أو تركه لأنه يقوي العدو عليكم «وأحسنوا» بالنفقة وغيرها «إن الله يحب المحسنين» أي يثيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18911','chapter_id' => '2','chapter_detail_id' => '203','translator_id' => '4','verse_number' => '196','translate_name' => '«وأتموا الحج والعمرة لله» أدُّوهما بحقوقهما «فإن أُحصرتم» مُنعتم عن إتمامها بعدوِّ «فما استيسر» تيسَّر «من الهدي» عليكم وهو شاة «ولا تحلقوا رؤوسكم» أي لا تتحللوا «حتى يبلغ الهدي» المذكور «محله» حيث يحل ذبحه وهو مكان الإحصار عند الشافعي فيذبح فيه بنية التحلل ويفرَّق على مساكينه ويحلق وبه يحصل التحلل «فمن كان منكم مريضا أو به أذى من رأسه» كقمل وصداع فحلق في الإحرام «ففدية» عليه «من صيام» ثلاثة أيام «أو صدقة» بثلاثة أصوع من غالب قوت البلد على ستة مساكين «أونسك» أي ذبح شاة وأو للتخيير وألحق به من حلق لغير عذر أنه أولى بالكفارة وكذا من استمتع بغير الحلق كالطيب واللبس والدهن لعذر أو غيره «فإذا أمنتم» العدو بأن ذهب أو لم يكن «فمن تمتع» استمتع «بالعمرة» أي بسبب فراغه منها بمحظورات الإحرام «إلى الحج» أي إلى الإحرام به بأن يكون أحرم بها في أشهره «فما استيسر» تيسر «من الهدي» عليه وهو شاة يذبحها بعد الإحرام به والأفضل يوم النحر «فمن لم يجد» الهدي لفقده أو فقد ثمنه «فصيامُ» أي فعليه صيام «ثلاثة أيام في الحج» أي في حال الإحرام به فيجب حينئذ أن يُحْرمَ قبل السابع من ذي الحجة والأفضل قبل السادس لكراهة صوم يوم عرفة ولا يجوز صومها أيام التشريق على أصح قولي الشافعي «وسبعة إذا رجعتم» إلى وطنكم مكة أو غيرها وقيل إذا فرغتم من أعمال الحج وفيه التفات عن الغيبة «تلك عشرة كاملة» جملة تأكيد لما قبلها «ذلك» الحكم المذكور من وجوب الهدي أو الصيام على من تمتع «لمن لم يكن أهله حاضري المسجد الحرام» بأن لم يكونوا على دون مرحلتين من الحرم عند الشافعي فإن كان فلا دم عليه ولا صيام وإن تمتع فعليه ذلك وهو أحد وجهين عند الشافعي والثاني لا والأهل كناية عن النفس وألحق بالتمتع فيما ذكر بالسنة القارن وهو من أحرم بالعمرة والحج معا أو يدخل الحج عليها قبل الطواف «واتقوا الله» فيما يأمركم به وينهاكم عنه «واعلموا أن الله شديد العقاب» لمن خالفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18912','chapter_id' => '2','chapter_detail_id' => '204','translator_id' => '4','verse_number' => '197','translate_name' => '«الحج» وقته «أشهر معلومات» شوال وذو القعدة وعشر ليال من ذي الحجة وقيل كله «فمن فرض» على نفسه «فيهن الحج» بالإحرام به «فلا رفث» جماع فيه «ولا فسوق» معاص «ولا جدالَ» خصام «في الحج» وفي قراءة بفتح الأولين والمراد في الثلاثة النهي «وما تفعلوا من خير» كصدقة «يعلمه الله» فيجازيكم به، ونزل في أهل اليمن وكانوا يحجون بلا زاد فيكون كلاًّ على الناس: «وتزودوا» ما يبلغكم لسفركم «فإن خير الزاد التقوى» ما يُتَّقى به سؤال الناس وغيره «واتقون يا أولي الألباب» ذوي العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18913','chapter_id' => '2','chapter_detail_id' => '205','translator_id' => '4','verse_number' => '198','translate_name' => '«ليس عليكم جناح» في «أن تبتغوا» تطلبوا «فضلا» رزقا «من ربكم» بالتجارة في الحج نزل ردا لكراهيتهم ذلك «فإذا أفضتم» دفعتم «من عرفات» بعد الوقوف بها «فاذكروا الله» بعد المبيت بمزدلفة بالتلبية والتهليل والدعاء «عند المشعر الحرام» هو جبل في آخر المزدلفة يقال له قزح وفي الحديث أنه صلى الله عليه وسلم وقف به يذكر الله ويدعو حتى أسفر جدا رواه مسلم «واذكروه كما هداكم» لمعالم دينه ومناسك حجه والكاف للتعليل «وإن» مخففة «كنتم من قبله» قبل هداه «لمن الضالين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18914','chapter_id' => '2','chapter_detail_id' => '206','translator_id' => '4','verse_number' => '199','translate_name' => '«ثم أفيضوا» يا قريش «من حيث أفاض الناس» أي من عرفة بأن تقفوا بها معهم وكانوا يقفون بالمزدلفه ترفعا عن الوقوف معهم وثم للترتيب في الذكر «واستغفروا الله» من ذنوبكم إن الله غفور» للمؤمنين «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18915','chapter_id' => '2','chapter_detail_id' => '207','translator_id' => '4','verse_number' => '200','translate_name' => '«فإذا قضيتم» أدَّيتم «مناسككم» عبادات حجكم بأن رميتم جمرة العقبة وطفتم واستقررتم بمنى «فاذكروا الله» بالتكبير والثناء «كذكركم آباءكم» كما كنتم تذكرونهم عند فراغ حجكم بالمفاخرة «أو أشد ذكرا» من ذكركم إياهم ونصب أشد على الحال من ذكر المنصوب باذكروا إذ لو تأخر عنه لكان صفة له «فمن الناس من يقول ربنا آتنا» نصيبا «في الدنيا» فيؤتاه فيها «وماله في الآخرة من خلاق» نصيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18916','chapter_id' => '2','chapter_detail_id' => '208','translator_id' => '4','verse_number' => '201','translate_name' => '«ومنهم من يقول ربنا آتنا في الدنيا حسنة» نعمة «وفي الآخرة حسنة» هي الجنة «وقنا عذاب النار» بعدم دخولها وهذا بيان لما كان عليه المشركون ولحال المؤمنين والقصد به الحث على طلب خير الدارين كما وعد بالثواب عليه بقوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18917','chapter_id' => '2','chapter_detail_id' => '209','translator_id' => '4','verse_number' => '202','translate_name' => '«أولئك لهم نصيب» ثواب «مـ» من أجل «ما كسبوا» عملوا من الحج والدعاء «والله سريع الحساب» يحاسب الخلق كلهم في قدر نصف نهار من أيام الدنيا لحديث بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18918','chapter_id' => '2','chapter_detail_id' => '210','translator_id' => '4','verse_number' => '203','translate_name' => '«واذكروا الله» بالتكبير عند رمي الجمرات «في أيام معدودات» أي أيام التشريق الثلاثة «فمن تعجل» أي استعجل بالنفر من منى «في يومين» أي في ثاني أيام التشريق بعد رمي جماره «فلا إثم عليه» بالتعجيل «ومن تأخر» بها حتى بات ليلة الثالث ورمى جماره «فلا إثم عليه» بذلك أي هم مخيَّرون في ذلك ونفي الإثم «لمن اتقى» الله في حجه لأنه الحاج في الحقيقة «واتقوا الله واعلموا أنكم إليه تحشرون» في الآخرة فيجازيكم بأعمالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18919','chapter_id' => '2','chapter_detail_id' => '211','translator_id' => '4','verse_number' => '204','translate_name' => '«ومن الناس من يعجبك قوله في الحياة الدنيا» ولا يعجبك في الآخرة مخالفته لاعتقاده «ويُشهد الله على ما في قلبه» أنه موافق لقوله «وهو ألدُّ الخصام» شديد الخصومة لك ولأتباعك لعداوته لك وهو الأخنس بن شريق كان منافقاً حلو الكلام للنبي صلى الله عليه وسلم يحلف أنه مؤمن به ومحب له فيدنى مجلسه فأكذبه الله في ذلك ومر بزرع وَحُمُر لبعض المسلمين فأحرقه وعقرها ليلا كما قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18920','chapter_id' => '2','chapter_detail_id' => '212','translator_id' => '4','verse_number' => '205','translate_name' => '«وإذا تولى» انصرف عنك «سعى» مشى «في الأرض ليفسد فيها ويهلك الحرث والنسل» من جملة الفساد «والله لا يحب الفساد» أي لا يرضى به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18921','chapter_id' => '2','chapter_detail_id' => '213','translator_id' => '4','verse_number' => '206','translate_name' => '«وإذا قيل له اتق الله» في فعلك «أخذته العزة» حملته الأنفة والحمية على العمل «بالإثم» الذي أُمر باتقائه «فحسبه» كافيه «جهنم ولبئس المهاد» الفراش هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18922','chapter_id' => '2','chapter_detail_id' => '214','translator_id' => '4','verse_number' => '207','translate_name' => '«ومن الناس من يشري» يبيع «نفسه» أي يبذلها في طاعة الله «ابتغاء» طلب «مرضات الله» رضاه، وهو صهيب لما آذاه المشركون هاجر إلى المدينة وترك لهم ماله «والله رءووف بالعباد» حيث أرشدهم لما فيه رضاه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18923','chapter_id' => '2','chapter_detail_id' => '215','translator_id' => '4','verse_number' => '208','translate_name' => 'ونزل في عبد الله بن سلام وأصحابه لما عظموا السبت وكرهوا الإبل بعد الإسلام «يا أيها الذين آمنوا ادخلوا في السَّلم» بفتح السين وكسرها الإسلام «كافة» حال من السلم أي في جميع شرائعه «ولا تتبعوا خطوات» طرق «الشيطان» أي تزيينه بالتفريق «إنه لكم عدو مبين» بيِّن العداوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18924','chapter_id' => '2','chapter_detail_id' => '216','translator_id' => '4','verse_number' => '209','translate_name' => '«فإن زللتم» ملتم عن الدخول في جميعه «من بعد ما جاءتكم البينات» الحجج الظاهرة على أنه حق «فاعلموا أن الله عزيز» لا يعجزه شيء عن انتقامه منكم «حكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18925','chapter_id' => '2','chapter_detail_id' => '217','translator_id' => '4','verse_number' => '210','translate_name' => '«هل» ما «ينظرون» ينتظر التاركون الدخول فيه «إلا أن يأتيهم الله» أي أمره كقوله أو يأتي أمر ربك أي عذابه «في ظلل» جمع ظلة «من الغمام» السحاب «والملائكةُ وقضي الأمر» تم أمر هلاكهم «وإلى الله ترجع الأمور» بالبناء للمفعول والفاعل في الآخرة فيجازي كلا بعمله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18926','chapter_id' => '2','chapter_detail_id' => '218','translator_id' => '4','verse_number' => '211','translate_name' => '«سل» يا محمد «بني إسرائيل» تبكيتا «كم آتيناهم» كم استفهامية معلقة سل عن المفعول الثاني وهي ثاني مفعول آتينا ومميزها «من آية بينة» ظاهرة كفلق البحر وإنزال المن والسلوى فبدَّلوها كفرا «ومن يبدِّل نعمه الله» أي ما أنعم به عليه من الآيات لأنها سبب الهداية «من بعد ما جاءته» كفرا «فإن الله شديد العقاب» له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18927','chapter_id' => '2','chapter_detail_id' => '219','translator_id' => '4','verse_number' => '212','translate_name' => '«زُيِّن للَّذين كفروا» من أهل مكة «الحياة الدنيا» بالتمويه فأحبوها «و» هم «يسخرون من الذين آمنوا» لفقرهم كبلال وعمَّار وصهيب أي يستهزءون بهم ويتعالوْن عليهم بالمال «والذين اتقوا» الشرك وهم هؤلاء «فوقهم يوم القيامة والله يرزق من يشاء بغير حساب» أي رزقا واسعا في الآخرة أو الدنيا بأن يملك المسخور منهم أموال الساخرين ورقابهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18928','chapter_id' => '2','chapter_detail_id' => '220','translator_id' => '4','verse_number' => '213','translate_name' => '«كان الناس أمة واحدة» على الإيمان فاختلفوا بأن آمن بعض وكفر بعض «فبعث الله النبيين» إليهم «مبشِّرين» من آمن بالجنة «ومنذرين» من كفر بالنار «وأنزل معهم الكتاب» بمعنى الكتب «بالحق» متعلق بأنزل «ليحكم» به «بين الناس فيما اختلفوا فيه» من الدين «وما اختلف فيه» أي الدين «إلا الذين أوتوه» أي الكتاب فآمن بعض وكفر بعض «من بعد ما جاءتهم البينات» الحجج الظاهرة على التوحيد ومن متعلقة باختلاف وهي وما بعدها مقدم على الاستثناء في المعنى «بغيا» من الكافرين «بينهم فهدى الله الذين آمنوا لما اختلفوا فيه من» للبيان «الحق بإذنه» بإرادته «والله يهدي من يشاء» هدايته «إلى صراط مستقيم» طريق الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18929','chapter_id' => '2','chapter_detail_id' => '221','translator_id' => '4','verse_number' => '214','translate_name' => 'ونزل في جهد أصاب المسلمين «أم» بل أ «حسبتم أن تدخلوا الجنة ولَّما» لم «يأتكم مثل» شبه ما أتى «الذين خلوا من قبلكم» من المؤمنين من المحن فتصبروا كما صبروا «مسَّتهم» جملة مستأنفة مبينة ما قبلها «البأساء» شدة الفقر «والضراء» المرض «وزُلزلوا» أزعجوا بأنواع البلاء «حتى يقول» بالنصب والرفع أي قال «الرسول والذين آمنوا معه» استبطاء للنصر لتناهي الشدة عليهم «متى» يأتي «نصر الله» الذي وعدنا فأجيبوا من قِبَل الله «ألا إن نصر الله قريب» إتيانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18930','chapter_id' => '2','chapter_detail_id' => '222','translator_id' => '4','verse_number' => '215','translate_name' => '«يسألونك» يا محمد «ماذا ينفقون» أي الذي ينفقونه والسائل عمرو بن الجموح وكان شيخاً ذا مال فسأل النبي صلى الله عليه وسلم عما ينفق وعلى من ينفق «قل» لهم «ما أنفقتم من خير» بيان لما شامل للقليل والكثير وفيه بيان المنفق الذي هو أحد شقي السؤال وأجاب عن المصرف الذي هو الشق الآخر بقوله: «فللوالدين والأقربين واليتامى والمساكين وابن السبيل» أي هم أولى به «وما تفعلوا من خير» إنفاق أو غيره «فإن الله به عليم» فمجاز عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18931','chapter_id' => '2','chapter_detail_id' => '223','translator_id' => '4','verse_number' => '216','translate_name' => '«كُتِب» فرض «عليكم القتال» للكفار «وهو كُرْهٌ» مكروه «لكم» طبعا لمشقته «وعسى أن تكرهوا شيئا وهو خير لكم وعسى أن تحبوا شيئا وهو شر لكم» لميل النفس إلى الشهوات الموجبة لهلاكها ونفورها عن التكليفات الموجبة لسعادتها فلعل لكم في القتال وإن كرهتموه خيرا لأن فيه إما الظفر والغنيمة أو الشهادة والأجر وفي تركه وإن أحببتموه شرا لأن فيه الذل والفقر وحرمان الأجر «والله يعلم» ما هو خير لكم «وأنتم لا تعلمون» ذلك فبادروا إلى ما يأمركم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18932','chapter_id' => '2','chapter_detail_id' => '224','translator_id' => '4','verse_number' => '217','translate_name' => 'وأرسل النبي صلى الله عليه وسلم أول سراياه وعليها عبد الله بن جحش فقاتلوا المشركين وقتلوا ابن الحضرمي آخر يوم من جمادى الآخرة والتبس عليهم برجب فعيرهم الكفار باستحلاله فنزل: «يسألونك عن الشهر الحرام» المحرم «قتال فيه» بدل اشتمال «قل» لهم «قتال فيه كبير» عظيم وزرا مبتدأ وخبر «وصد» مبتدأ منع للناس «عن سبيل الله» دينه «وكفر به» بالله «و» صد عن «المسجد الحرام» أي مكة «وإخراج أهله منه» وهم النبي صلى الله عليه وسلم والمؤمنون وخبر المبتدأ «أكبر» أعظم وزرا «عند الله» من القتال فيه «والفتنة» الشرك منكم «أكبر من القتل» لكم فيه «ولا يزالون» أي الكفار «يقاتلونكم» أيها المؤمنون «حتى» كي «يردوكم» إلى الكفر «إن استطاعوا ومن يرتدِد منكم عن دينه فيمت وهو كافر فأولئك حبطت» بطلت «أعمالهم» الصالحة «في الدنيا والآخرة» فلا اعتداد بها ولا ثواب عليها والتقيد بالموت عليه يفيد أنه لو رجع إلى الإسلام لم يبطل عمله فيثاب عليه ولا يعيده كالحج مثلا وعليه الشافعي «وأولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18933','chapter_id' => '2','chapter_detail_id' => '225','translator_id' => '4','verse_number' => '218','translate_name' => 'ولما ظن السرية أنهم إن سلموا من الإثم فلا يحصل لهم أجر نزل «إن الذين آمنوا والذين هاجروا» فارقوا أوطانهم «وجاهدوا في سبيل الله» لإعلاء دينه «أولئك يرجون رَحْمَتَ الله» ثوابه «والله غفور» للمؤمنين «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18934','chapter_id' => '2','chapter_detail_id' => '226','translator_id' => '4','verse_number' => '219','translate_name' => '«يسألونك عن الخمر والميسر» القمار ما حكمهما «قل» لهم «فيهما» أي في تعاطيهما «إثم كبير» عظيم وفي قراءة بالمثلثة لما يحصل بسببهما من المخاصمة والمشاتمة وقول الفحش «ومنافع للناس» باللذة والفرح في الخمر وإصابة المال بلا كد في الميسر «وإثمهما» أي ما ينشأ عنهما من المفاسد «أكبر» أعظم «من نفعهما» ولما نزلت شربها قوم وامتنع عنها آخرون إلى أن حرمتها آية المائدة «ويسألونك ماذا ينفقون» أي ما قدره «قل» أنفقوا «العفو» أي الفاضل عن الحاجة ولا تنفقوا ما تحتاجون إليه وتضيعوا أنفسكم وفي قراءة بالرفع بتقدير هو «كذلك» أي كما بين لكم ما ذكر «يبين الله لكم الآيات لعلكم تتفكرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18935','chapter_id' => '2','chapter_detail_id' => '227','translator_id' => '4','verse_number' => '220','translate_name' => '«في» أمر «الدنيا والآخرة» فتأخذون بالأصلح لكم فيهما «ويسألونك عن اليتامى» وما يلقونه من الحرج في شأنهم فإن واكلوهم يأثموا وإن عزلوا ما لهم من أموالهم وصنعوا لهم طعاما وحدهم فحرج «قل إصلاح لهم» في أموالهم بتنميتها ومداخلتكم «خير» من ترك ذلك «وإن تخالطوهم» أي تخلطوا نفقتكم بنفقتهم «فإخوانكم» أي فهم إخوانكم في الدين ومن شأن الأخ أن يخالط أخاه أي فلكم ذلك «والله يعلم المفسد» لأموالهم بمخالطته «من المصلح» بها فيجازي كلا منهما «ولو شاء الله لأعنتكم» لضيق عليكم بتحريم المخالطة «أن الله عزيز» غالب على أمره «حكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18936','chapter_id' => '2','chapter_detail_id' => '228','translator_id' => '4','verse_number' => '221','translate_name' => '«ولا تنكحوا» تتزوجوا أيها المسلمون «المشركات» أي الكافرات «حتى يؤمنّ ولأمة مؤمنة خير من مشركة» حرة لأن سبب نزولها العيب على من تزوج أمة وترغيبه في نكاح حرة مشركة «ولو أعجبتكم» لجمالها ومالها وهذا مخصوص بغير الكتابيات بآية (والمحصنات من الذين أوتوا الكتاب) «ولا تُنكحوا» تُزوجوا «المشركين» أي الكفار المؤمنات «حتى يؤمنوا ولعبد مؤمن خير من مشرك ولو أعجبكم» لماله وجماله «أولئك» أي أهل الشرك «يدعون إلى النار» بدعائهم إلى العمل الموجب لها فلا تليق مناكحهم «والله يدعو» على لسان رسله «إلى الجنة والمغفرة» أي العمل الموجب لهما «بإذنه» بإرادته فتجب إجابته بتزويج أوليائه «ويبن آياته للناس لعلهم يتذكرون» يتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18937','chapter_id' => '2','chapter_detail_id' => '229','translator_id' => '4','verse_number' => '222','translate_name' => '«ويسألونك عن المحيض» أي الحيض أو مكانه ماذا يفعل بالنساء فيه «قل هو أذى» قذر أو محله «فاعتزلوا النساء» اتركوا وطأهن «في المحيض» أي وقته أو مكانه «ولا تقربوهن» بالجماع «حتى يَطْهُرن» بسكون الطاء وتشديدها والهاء وفيه إدغام التاء في الأصل في الطاء أي يغتسلن بعد انقطاعه «فإذا تطهرن فأتوهن» بالجماع «من حيث أمركم الله» بتجنبه في الحيض وهو القبل ولا تعدوه إلى غيره «إن الله يحب» يثيب ويكرم «التوابين» من الذنوب «ويحب المتطهرين» من الأقذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18938','chapter_id' => '2','chapter_detail_id' => '230','translator_id' => '4','verse_number' => '223','translate_name' => '«نساؤكم حرث لكم» أي محل زرعكم الولد «فأتوا حرثكم» أي محله وهو القبل «أنَّى» كيف «شئتم» من قيام وقعود واضطجاع وإقبال وإدبار، نزل ردا لقول اليهود: من أتى امرأته في قبلها أي من جهة دبرها جاء الولد أحول «وقدموا لأنفسكم» العمل الصالح كالتسمية عند الجماع «واتقوا الله» في أمره ونهيه «واعلموا أنكم ملاقوه» بالبعث فيجازيكم بأعمالكم «وبشر المؤمنين» الذين اتقوه بالجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18939','chapter_id' => '2','chapter_detail_id' => '231','translator_id' => '4','verse_number' => '224','translate_name' => '«ولا تجعلوا الله» أي الحلف به «عرضة» علة مانعة «لأيمانكم» أي نصيبا لها بأن تكثروا الحلف به «أن» لا «تبروا وتتقوا» فتكره اليمين على ذلك ويسن فيه الحنث ويكفِّر بخلافها على فعل. البر ونحوه فهي طاعة «وتصلحوا بين الناس» المعنى لا تمتنعوا من فعل ما ذكر من البر ونحوه إذا حلفتم عليه بل ائتوه وكفِّروا لأن سبب نزولها الامتناع من ذلك «والله سميع» لأقوالكم «عليم» بأحوالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18940','chapter_id' => '2','chapter_detail_id' => '232','translator_id' => '4','verse_number' => '225','translate_name' => '«لا يؤاخذكم الله باللغو» الكائن «في أيمانكم» وهو ما يسبق إليه اللسان من غير قصد الحلف نحو ألا والله، وبلى و الله فلا إثم فيه ولا كفارة «ولكن يؤاخذكم بما كسبت قلوبكم» أي قصدته من الأيمان إذا حنثتم «والله غفور» لما كان من اللغو «حليم» بتأخير العقوبة عن مستحقها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18941','chapter_id' => '2','chapter_detail_id' => '233','translator_id' => '4','verse_number' => '226','translate_name' => '«للذين يؤلون من نسائهم» أي يحلفون أن لا يجامعوهن «تربص» انتظار «أربعة أشهر فإن فاءُوا» رجعوا فيها أو بعدها عن اليمين إلى الوطء «فإن الله غفور» لهم ما أتوه من ضرر المرأة بالحلف «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18942','chapter_id' => '2','chapter_detail_id' => '234','translator_id' => '4','verse_number' => '227','translate_name' => '«وإن عزموا الطلاق» أي عليه بأن لا يفيئوا فليوقعوه «فإن الله سميع» لقولهم «عليم» بعزمهم المعنى ليس لهم بعد تربص ما ذكر إلا الفيئة أو الطلاق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18943','chapter_id' => '2','chapter_detail_id' => '235','translator_id' => '4','verse_number' => '228','translate_name' => '«والمطلقات يتربصن» أي لينتظرن «بأنفسهن» عن النكاح «ثلاثة قروءٍ» تمضي من حين الطلاق، جمع قرء بفتح القاف وهو الطهر أو الحيض قولان وهذا في المدخول بهن أما غيرهن فلا عدة عليهن لقوله: «فما لكم عليهن من عدة» وفي غير الآيسة والصغيرة فعدتهن ثلاثة أشهر والحوامل فعدتهن أن يضعن حملهن كما في سورة الطلاق والإماء فعدتهن قَرءان بالسُّنة «ولا يحل لهن أن يكتمن ما خلق الله في أرحامهن» من الولد والحيض «إن كنّ يؤمن بالله واليوم الآخر وبعولتهن» أزواجهن «أحق بردهن» بمراجعتهن ولو أبين «في ذلك» أي في زمن التربص «إن أرادوا إصلاحا» بينهما لإضرار المرأة وهو تحريض على قصده لا شرط لجواز الرجعة وهذا في الطلاق الرجعي وأحق لا تفضيل فيه إذ لا حق لغيرهم في نكاحهن في العدة «ولهن» على الأزواج «مثل الذي» لهم «عليهن» من الحقوق «بالمعروف» شرعا من حسن العشرة وترك الضرار ونحو ذلك «وللرجال عليهن درجة» فضيلة في الحق من وجوب طاعتهن لهم لما ساقوه من المهر والانفاق «والله عزيز» في ملكه «حكيم» فيما دبره لخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18944','chapter_id' => '2','chapter_detail_id' => '236','translator_id' => '4','verse_number' => '229','translate_name' => '«الطلاق» أي التطليق الذي يراجع بعده «مرتان» أي اثنتان «فإمساك» أي فعليكم إمساكهن بعده بأن تراجعوهن «بمعروف» من غير ضرار «أو تسريح» أي إرسالهن «بإحسان ولا يحل لكم» أيها الأزواج «أن تأخذوا مما آتيتموهن» من المهور «شيئا» إذا طلقتموهن «إلا أن يخافا» أي الزوجان «أ» ن «لا يقيما حدود الله» أي لا يأتيا بما حده لهما من الحقوق وفي قراءة يخافا بالبناء للمفعول فأن لا يقيما بدل اشتمال من الضمير فيه وقرئ بالفوقانية في الفعلين «فإن خفتم أ» ن «لا يقيما حدود الله فلا جناح عليهما» «فيما افتدت به» نفسها من المال ليطلقها أي لا حرج على الزوج في أخذه ولا الزوجة في بذله «تلك» الأحكام المذكورة «حدود الله فلا تعتدوها ومن يتعدَّ حدود الله فأولئك هم الظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18945','chapter_id' => '2','chapter_detail_id' => '237','translator_id' => '4','verse_number' => '230','translate_name' => '«فإن طلقها» الزوج بعد الثنتين «فلا تحل له من بعد» بعد الطلقة الثالثة «حتى تنكح» تتزوج «زوجا غيره» ويطأها كما في الحديث رواه الشيخان «فإن طلقها» أي الزوج الثاني «فلا جناح عليهما» أي الزوجة والزوج الأول «أن يتراجعا» إلى النكاح بعد انقضاء العدة «إن ظنا أن يقيما حدود الله وتلك» المذكورات «حدود الله يُبَيِّنها لقوم يعلمون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18946','chapter_id' => '2','chapter_detail_id' => '238','translator_id' => '4','verse_number' => '231','translate_name' => '«وإذا طلقتم النساء فبلغن أجلهن» قاربن انقضاء عدتهن «فأمسكوهن» بأن تراجعوهن «بمعروف» من غير ضرر «أو سرحوهن بمعروف» اتركوهن حتى تنقضي عدتهن «ولا تمسكوهن» بالرجعة «ضرارا» مفعول لأجله «لتعتدوا» عليهن بالإلجاء إلى الافتداء والتطليق وتطويل الحبس «ومن يفعل ذلك فقد ظلم نفسه» بتعريضها إلى عذاب الله «ولا تتخذوا آيات الله هزوا» مهزوءا بها بمخالفتها «واذكروا نعمت الله عليكم» بالإسلام «وما أنزل عليكم من الكتاب» القرآن «والحكمة» ما فيه من الأحكام «يعظكم به» بأن تشكروها بالعمل به «واتقوا الله واعلموا أن الله بكل شيء عليم» ولا يخفى عليه شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18947','chapter_id' => '2','chapter_detail_id' => '239','translator_id' => '4','verse_number' => '232','translate_name' => '«وإذا طلقتم النساء فبلغن أجلهن» انقضت عدتهن «فلا تعضلوهن» خطاب للأولياء أي تمنعوهن من «أن ينكحن أزواجهن» المطلقين لهن لأن سبب نزولها أن أخت معقل بن يسار طلقها زوجها فأراد أن يراجعها فمنعها معقل بن يسار كما رواه الحاكم «إذا تراضوا» أي الأزواج والنساء «بينهم بالمعروف» شرعا «ذلك» النهي عن العضل «يوعظ به من كان منكم يؤمن بالله واليوم الآخر» لأنه المنتفع به «ذلكم» أي ترك العضل «أزكى» خير «لكم وأطهر» لكم ولهم لما يُخشى على الزوجين من الريبة بسبب العلاقة بينهما «والله يعلم» ما فيه المصلحة «وأنتم لا تعلمون» ذلك فاتَّبعوا أوامره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18948','chapter_id' => '2','chapter_detail_id' => '240','translator_id' => '4','verse_number' => '233','translate_name' => '«والوالدات يرضعن» أي ليرضعن «أولادهن حولين» عامين «كاملين» صفة مؤكدة، ذلك «لمن أراد أن يتم الرضاعة» ولا زيادة عليه «وعلى المولود له» أي الأب «رزقهن» إطعام الوالدات «وكسوتهن» على الإرضاع إذا كن مطلقات «بالمعروف» بقدر طاقته «لا تُكلَّفُ نفس إلا وسعها» طاقتها «لا تضار والدة بولدها» أي بسببه بأن تكره على إرضاعه إذا امتنعت «ولا» يضار «مولود له بولده» أي بسببه بأن يكلف فوق طاقته وإضافة الولد إلى كل منهما في الموضعين للاستعطاف «وعلى الوارث» أي وارث الأب وهو الصبي أي على وليه في ماله «مثل ذلك» الذي على الأب للوالدة من الرزق و الكسوة «فأن أرادا» أي الوالدان «فصالا» فطاما له قبل الحولين صادرا «عن تراض» اتفاق «منهما وتشاور» بينهما لتظهر مصلحة الصبي فيه «فلا جناح عليهما» في ذلك «وإن أردتم» خطاب للآباء «أن تسترضعوا أولادكم» مراضع غير الوالدات «فلا جناح عليكم» فيه «إذا سلّمتم» إليهن «ما آتيتم» أي أردتم إيتاءه لهن من الأجرة «بالمعروف» بالجميل كطيب النفس «واتقوا الله واعلموا أن الله بما تعملون بصير» لا يخفى عليه شيء منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18949','chapter_id' => '2','chapter_detail_id' => '241','translator_id' => '4','verse_number' => '234','translate_name' => '«والذين يتوفون» يموتون «منكم ويذرون» يتركون «أزواجا يتربصن» أي ليتربصن «بأنفسهن» بعدهم عن النكاح «أربعة أشهر وعشرا» من الليالي وهذا في غير الحوامل أما الحوامل فعدتهن أن يضعن حملهن بآية الطلاق والأمة على النصف من ذلك بالسنة «فإذا بلغن أجلهن» انقضت مدة تربصهن «فلا جناح عليكم» أيها الاولياء «فيما فعلن في أنفسهن» من التزين والتعرض للخطاب «بالمعروف» شرعا «والله بما تعملون خبير» عالم بباطنه كظاهره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18950','chapter_id' => '2','chapter_detail_id' => '242','translator_id' => '4','verse_number' => '235','translate_name' => '«ولا جُناح عليكم فيما عَرَّضتم» لوحتم «به من خطبة النساء» المتوفى عنهن أزواجهن في العدة كقول الإنسان: مثلا إنك لجميلة ومن يجد مثلك ورب راغب فيك «أو أكننتم» أضمرتم «في أنفسكم» من قصد نكاحهن «علم الله أنكم ستذكرونهن» بالخطبة ولا تصبرون عنهن فأباح لكم التعريض «ولكن لا تواعدوهن سرّاً» أي نكاحاً «إلا» لكن «أن تقولوا قولاً معروفا» أي ما عرف لكم شرعا من التعريض فلكم ذلك «ولا تعزموا عقدة النكاح» أي على عقده «حتى يبلغ الكتاب» أي المكتوب من العدة «أجله» بأن ينتهي «واعلموا أن الله يعلم ما في أنفسكم» من العزم وغيره «فاحذروه» أن يعاقبكم إذا عزمتم «واعلموا أن الله غفور» لمن يحذره «حليم» بتأخير العقوبة عن مستحقها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18951','chapter_id' => '2','chapter_detail_id' => '243','translator_id' => '4','verse_number' => '236','translate_name' => '«لا جُناح عليكم إن طلقتم النساء ما لم تمسوهن» وفي قراءة «تُماسُّوهُنَّ» أي تجامعوهن «أو» لم «تفرضوا لهن فريضة» مهرا وما مصدرية ظرفية أي لا تبعة عليكم في الطلاق زمن عدم المسيس والفرض بإثم ولا مهر فطلقوهن «ومتعوهن» أعطوهن ما يتمنعن به «على الموسع» الغني منكم «قدره وعلى المقتر» الضيِّق الرزق «قدره» يفيد أنه لا نظر إلى قدر الزوجة «متاعا» تمتيعا «بالمعروف» شرعا صفة متاعا «حقا» صفة ثانية أو مصدر مؤكد «على المحسنين» المطيعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18952','chapter_id' => '2','chapter_detail_id' => '244','translator_id' => '4','verse_number' => '237','translate_name' => '«وإن طلقتموهن من قبل أن تمسوهن وقد فرضتم لهن فريضة فنصف ما فرضتم» يجب لهن ويرجع لكم النصف «إلا» لكن «أن يعفون» أي الزوجات فيتركنه «أو يعفو الذي بيده عقدة النكاح» وهو الزوج فيترك لها الكل، وعن ابن عباس: الولي إذا كانت محجورة فلا حرج في ذلك «وأن تعفوا» مبتدأ خبره «أقرب للتقوى ولا تنسوا الفضل بينكم» أي أن يتفضل بعضكم على بعض «إن الله بما تعملون بصير» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18953','chapter_id' => '2','chapter_detail_id' => '245','translator_id' => '4','verse_number' => '238','translate_name' => '«حافظوا على الصلوات» الخمس بأدائها في أوقاتها «والصلاة الوسطى» هي العصر أو الصبح أو الظهر أو غيرها أقوال وأفردها بالذكر لفضلها «وقوموا لله» في الصلاة «قانتين» قيل مطيعين لقوله صلى الله عليه وسلم: كل قنوت في القرآن فهو طاعة، رواه أحمد وغيره، وقيل ساكتين لحديث زيد بن أرقم: كنا نتكلم في الصلاة حتى نزلت فأمرنا بالسكوت ونُهينا عن الكلام رواه الشيخان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18954','chapter_id' => '2','chapter_detail_id' => '246','translator_id' => '4','verse_number' => '239','translate_name' => '«فإن خفتم» من عدو أو سيل أو سبع «فرجالا» جمع راجل أي مشاة صلوا «أو ركبانا» جمع راكب أي كيف أمكن مستقبلي القبلة أو غيرها ويومئ بالركوع والسجود «فإذا أمنتم» من الخوف «فاذكروا الله» أي صلّوا «كما علمكم ما لم تكونوا تعلمون» قبل تعليمه من فرائضها وحقوقها والكاف بمعنى مثل وما مصدرية أو موصولة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18955','chapter_id' => '2','chapter_detail_id' => '247','translator_id' => '4','verse_number' => '240','translate_name' => '«والذين يُتوفون منكم ويذرون أزواجا» فليوصوا «وصيةً» وفي قراءة بالرفع أي عليهم «لأزواجهم» وليعطوهن «متاعا» ما يتمتعن به من النفقة والكسوة «إلى» تمام «الحول غير إخراج» حال أي غير مخرجات من مسكنهن «فإن خرجن» بأنفسهن «فلا جناح عليكم» يا أولياء الميت «في ما فعلن في أنفسهن من معروف» شرعا كالتزين وترك الإحداد وقطع النفقة عنها «والله عزيز» في ملكه «حكيم» في صنعه والوصية المذكورة منسوخة بآية الميراث وتربص الحول بآية أربعة أشهر وعشرا السابقة المتأخرة في النزول والسكنى ثابتة لها عند الشافعي رحمه الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18956','chapter_id' => '2','chapter_detail_id' => '248','translator_id' => '4','verse_number' => '241','translate_name' => '«وللمطلّقات متاع» يعطينه «بالمعروف» بقدر الإمكان «حقّا» نصب بفعله المقدر «على المتقين» الله تعالى كرره ليعم الممسوسة أيضا إذ الآية السابقة في غيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18957','chapter_id' => '2','chapter_detail_id' => '249','translator_id' => '4','verse_number' => '242','translate_name' => '«كذلك» كما يبين لكم ما ذكر «يبين الله لكم آياته لعلكم تعقلون» تتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18958','chapter_id' => '2','chapter_detail_id' => '250','translator_id' => '4','verse_number' => '243','translate_name' => '«ألم تر» استفهام تعجيب وتشويق إلى استماع ما بعده أي ينته علمك «إلى الذين خرجوا من ديارهم وهم ألوف» أربعة أو ثمانية أو عشرة أو ثلاثون أو أربعون أو سبعون ألفا «حذر الموت» مفعول له وهم قوم من بني إسرائيل وقع الطاعون ببلادهم ففروا «فقال لهم الله موتوا» فماتوا «ثم أحياهم» بعد ثمانية أيام أو أكثر بدعاء نبيهم حزقيل بكسر المهملة والقاف وسكون الزاي فعاشوا دهرا عليهم أثر الموت لا يلبسون ثوبا إلا عاد كالكفن واستمرت في أسباطهم «إن الله لذو فضل على الناس» ومنه إحياء هؤلاء «ولكن أكثر الناس» وهم الكفار «لا يشكرون» والقصد من ذكر خبر هؤلاء تشجيع المؤمنين على القتال ولذا عطف عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18959','chapter_id' => '2','chapter_detail_id' => '251','translator_id' => '4','verse_number' => '244','translate_name' => '«وقاتلوا في سبيل الله» أي لإعلاء دينه «واعلموا أن الله سميع» لأقوالكم «عليم» بأحوالكم فمجازيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18960','chapter_id' => '2','chapter_detail_id' => '252','translator_id' => '4','verse_number' => '245','translate_name' => '«من ذا الذي يقرض الله» بإنفاق ماله في سبيل الله «قرضا حسنا» بأن ينفقه لله عز وجل عن طيب قلب «فيضاعفه» وفي قراءة فيضعفه بالتشديد «له أضعافا كثيرة» من عشر إلى أكثر من سبعمائة كما سيأتي «والله يقبض» يمسك الرزق عمن يشاء ابتلاء «ويبسط» يوسعه لمن يشاء امتحانا «وإليه ترجعون» في الآخرة بالبعث فيجازيكم بأعمالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18961','chapter_id' => '2','chapter_detail_id' => '253','translator_id' => '4','verse_number' => '246','translate_name' => '«ألم تر إلى الملأ» الجماعة «من بني إسرائيل من بعد» موت «موسى» أي إلى قصتهم وخبرهم «إذ قالوا لنبي لهم» هو شمويل «ابعث» أقم «لنا ملكا نقاتل» معه «في سبيل الله» تنتظم به كلمتنا ونرجع إليه «قال» النبي لهم «هل عسَيتم» بالفتح والكسر «إن كتب عليكم القتال أ» ن «لا تقاتلوا» خبر عسى والاستفهام لتقرير التوقع بها «قالوا وما لنا أ» ن «لا نقاتل في سبيل الله وقد أُخرجنا من ديارنا وأبنائنا» بسبيهم وقتلهم وقد فعل بهم ذلك قوم جالوت أي لا مانع لنا منه مع وجود مقتضيه قال تعالى: «فلما كُتب عليهم القتال تولوا» عنه وجبنوا «إلا قليلا منهم» وهم الذين عبروا النهر مع طالوت كما سيأتي «والله عليم بالظالمين» فمجازيهم وسأل النبي إرسال ملك فأجابه إلى إرسال طالوت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18962','chapter_id' => '2','chapter_detail_id' => '254','translator_id' => '4','verse_number' => '247','translate_name' => '«وقال لهم نبيهم إن الله قد بعث لكم طالوت ملكا قالوا أنَى» كيف «يكون له الملك علينا ونحن أحق بالملك منه» لأنه ليس من سبط المملكة ولا النبوة وكان دباغا أو راعيا «ولم يؤت سعة من المال» يستعين بها على إقامة الملك «قال» النبي لهم «إن الله اصطفاه» اختاره للملك «عليكم وزاده بسطة» سعة «في العلم والجسم» وكان أعلم بني إسرائيل يومئذ وأجملهم وأتمهم خلقا «والله يؤتي ملكه من يشاء» إيتاءه لا اعتراض عليه «والله واسع» فضله «عليم» بمن هو أهل له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18963','chapter_id' => '2','chapter_detail_id' => '255','translator_id' => '4','verse_number' => '248','translate_name' => '«وقال لهم نبيهم» لما طلبوا منه آية على ملكه «إن آية ملكه أن يأتيكم التابوت» الصندوق كان فيه صور الأنبياء أنزله الله على آدم واستمر إليهم فغلبهم العمالقة عليه وأخذوه وكانوا يستفتحون به على عدوهم ويقدمونه في القتال ويسكنون إليه كما قال تعالى «فيه سكينة» طمأنينة لقلوبكم «من ربكم وبقية مما ترك آل موسى وآل هارون» أي تركاه هما، وهي نعلا موسى وعصاه وعمامة هارون وقفيز من المن الذي كان ينزل عليهم ورضاض من الألواح «تحمله الملائكة» حال من فاعل يأتيكم «إن في ذلك لآية لكم» على ملكه «إن كنتم مؤمنين» فحملته الملائكة بين السماء والأرض وهم ينظرون إليه حتى وضعته عند طالوت فأقروا بملكه وتسارعوا إلى الجهاد فاختار من شبابهم سبعين ألفاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18964','chapter_id' => '2','chapter_detail_id' => '256','translator_id' => '4','verse_number' => '249','translate_name' => '«فلمَّا فصل» خرج «طالوت بالجنود» من بيت المقدس وكان الحر شديدا وطلبوا منه الماء «قال إن الله مبتليكم» مختبركم «بنهر» ليظهر المطيع منكم والعاصي وهو بين الأردن وفلسطين «فمن شرب منه» أي من مائه «فليس مني» أي من أتباعي «ومن لم يطعمه» يذقه «فإنه مني إلا من اغترف غرفة» بالفتح والضم «بيده» فاكتفى بها ولم يزد عليها فإنه مني «فشربوا منه» لما وافوه بكثرة «إلا قليلا منهم» فاقتصروا على الغرفة روي أنها كفتهم لشربهم ودوابهم وكانوا ثلاثمائة وبضعة عشر رجلا «فلما جاوزه هو والذين آمنوا معه» وهم الذين اقتصروا على الغرفة «قالوا» أي الذين شربوا «لا طاقة» قوة «لنا اليوم بجالوت وجنوده» أي بقتالهم وجبنوا ولم يجاوزوه «قال الذين يظنون» يوقنون «أنهم ملاقوا الله» بالبعث وهم الذين جاوزوه «كم» خبرية بمعني كثير «من فئة» جماعة «قليلة غلبت فئة كثيرة بإذن الله» بإرادته «والله مع الصابرين» بالعون والنصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18965','chapter_id' => '2','chapter_detail_id' => '257','translator_id' => '4','verse_number' => '250','translate_name' => '«ولما برزوا لجالوت وجنوده» أي ظهروا لقتالهم وتصافّوا «قالوا ربنا أفرغ» أصبب «علينا صبرا وثبت أقدامنا» بتقوية قلوبنا على الجهاد «وانصرنا على القوم الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18966','chapter_id' => '2','chapter_detail_id' => '258','translator_id' => '4','verse_number' => '251','translate_name' => '«فهزموهم» كسروهم «بإذن الله» بإرادته «وقتل داود» وكان في عسكر طالوت «جالوت وآتاه» أي داود «الله الملك» في بني إسرائيل «والحكمة» النبوة بعد موت شمويل وطالوت ولم يجتمعا لأحد قبله «وعلّمه مما يشاء» كصنعة الدروع ومنطق الطير «ولولا دفع الله الناس بعضهم» بدل بعض من الناس «ببعض لفسدت الأرض» بغلبة المشركين وقتل المسلمين وتخريب المساجد «ولكنّ الله ذو فضل على العالمين» فدفع بعضهم ببعض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18967','chapter_id' => '2','chapter_detail_id' => '259','translator_id' => '4','verse_number' => '252','translate_name' => '«تلك» هذه الآيات «آيات الله نتلوها» نقصها «عليك» يا محمد «بالحق» بالصدق «وإنك لمن المرسلين» التأكيد بأن وغيرها ردٌ لقول الكفار له لست مرسلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18968','chapter_id' => '2','chapter_detail_id' => '260','translator_id' => '4','verse_number' => '253','translate_name' => '«تلك» مبتدأ «الرسل» نعت أو عطف بيان والخبر «فضلنا بعضهم على بعض» بتخصيصه بمنقبة ليست لغيره «منهم من كلّم الله» كموسى «ورفع بعضهم» أي محمد صلى الله عليه وسلم «درجات» على غيره بعموم الدعوة وختم النبوة وتفضيل أمته على سائر الأمم والمعجزات المتكاثرة والخصائص العديدة «وآتينا عيسى بن مريم البينات وأيدناه» قويناه «بروح القدس» جبريل يسير معه حيث سار «ولو شاء الله» هدى الناس جميعا «ما اقتتل الذين من بعدهم» بعد الرسل أي أممهم «من بعد ما جاءتهم البينات» لاختلافهم وتضليل بعضهم بعضا «ولكن اختلفوا» لمشيئته ذلك «فمنهم من آمن» ثبت على إيمانه «ومنهم من كفر» كالنصارى بعد المسيح «ولو شاء الله ما اقتتلوا» تأكيد «ولكن الله يفعل ما يريد» من توفيق من شاء وخذلان من شاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18969','chapter_id' => '2','chapter_detail_id' => '261','translator_id' => '4','verse_number' => '254','translate_name' => '«يا أيها الذين آمنوا أنفقوا مما رزقناكم» زكاته «من قبل أن يأتي يوم لا بيْعٌ» فداء «فيه ولا خُلَّة» صداقة تنفع «ولا شَفَاعَةَ» بغير إذنه وهو يوم القيامة وفي قراءة برفع الثلاثة «والكافرون» بالله أو بما فرض عليهم «هم الظالمون» لوضعهم أمر الله في غير محله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18970','chapter_id' => '2','chapter_detail_id' => '262','translator_id' => '4','verse_number' => '255','translate_name' => '«الله لا إله» أي لا معبود بحق في الوجود «إلا هو الحيُّ» الدائم بالبقاء «القيوم» المبالغ في القيام بتدبير خلقه «لاتأخذه سنة» نعاس «ولا نوم له ما في السماوات وما في الأرض» ملكا وخلقا وعبيدا «من ذا الذي» أي لا أحد «يشفع عنده إلا بإذنه» له فيها «يعلم ما بين أيديهم» أي الخلق «وما خلفهم» أي من أمر الدنيا والآخرة «ولا يحيطون بشيء من علمه» أي لا يعلمون شيئا من معلوماته «إلا بما شاء» أن يعلمهم به منها بأخبار الرسل «وسع كرسيه السماوات والأرض» قيل أحاط علمه بهما وقيل ملكه وقيل الكرسي نفسه مشتمل عليهما لعظمته، لحديث: ما السماوات السبع في الكرسى إلا كدارهم سبعة ألقيت في ترس «ولا يئوده» يثقله «حفظهما» أي السماوات والأرض «وهو العلي» فوق خلقه بالقهر «العظيم» الكبير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18971','chapter_id' => '2','chapter_detail_id' => '263','translator_id' => '4','verse_number' => '256','translate_name' => '«لا إكراه في الدين» على الدخول فيه «قد تبين الرشد من الغي» أي ظهر بالآيات البينات أن الايمان رشد والكفر غي نزلت فيمن كان له من الأنصار اولاد أراد أن يكرههم علي الإسلام «فمن يكفر بالطاغوت» الشيطان أو الأصنام وهو يطلق على المفرد والجمع «ويؤمن بالله فقد استمسك» تمسك «بالعروة الوثقى» بالعقد المحكم «لا انفصام» انقطاع «لها والله سميع» لما يقال «عليم» بما يفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18972','chapter_id' => '2','chapter_detail_id' => '264','translator_id' => '4','verse_number' => '257','translate_name' => '«الله ولي» ناصر «الذين آمنوا يخرجهم من الظلمات» الكفر «إلى النور» الإيمان «والذين كفروا أولياؤهم الطاغوت يخرجونهم من النور إلى الظلمات» ذكر الإخراج إما في مقابلة قوله يخرجهم من الظلمات أو في كل من آمن بالنبي قبل بعثته من اليهود ثم كفر به «أولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18973','chapter_id' => '2','chapter_detail_id' => '265','translator_id' => '4','verse_number' => '258','translate_name' => '«ألم ترَ إلى الذي حَاًجَّ» جادل «إبراهيم في ربّه» ل «أن آتاه الله الملك» أي حمله بطره بنعمة الله على ذلك وهو نمرود «إذ» بدل من حاج «قال إبراهيم» لما قال له من ربُّك الذي تدعونا إليه: «ربي الذي يحيي ويميت» أي يخلق الحياة والموت في الأجساد «قال» هو «أنا أحيي وأميت» بالقتل والعفو عنه ودعا برجلين فقتل أحدهما وترك الآخر فلما رآه غبيا «قال إبراهيم» منتقلا إلى حجة أوضح منها «فإن الله يأتي بالشمس من المشرق فأت بها» أنت «من المغرب فَبُهت الذي كفر» تحيَّر ودُهش «والله لا يهدي القوم الظالمين» بالكفر إلى محجَّة الاحتجاج.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18974','chapter_id' => '2','chapter_detail_id' => '266','translator_id' => '4','verse_number' => '259','translate_name' => '«أو» رأيت «كالذي» الكاف زائدة «مرَّ على قرية» هي بيت المقدس راكبا على حمار ومعه سلة تين وقدح عصير وهوعزيز «وهي خاوية» ساقطة «على عروشها» سقوطها لما خرَّبها بختنصر «قال أنَّى» كيف «يحيي هذه الله بعد موتها» استعظاما لقدرته تعالى «فأماته الله» وألبثه «مائه عام ثم بعثه» أحياء ليريه كيفية ذلك «قال» تعالى له «كم لبثت» مكثت هنا «قال لبثت يوما أو بعض يوم» لأنه نام أول النهار فقبض وأحيي عند الغروب فظن أنه يوم النوم «قال بل لبثت مائة عام فانظر إلى طعامك» التين «وشرابك» العصير «لم يتسنَّه» لم يتغير مع طول الزمان، والهاء قيل أصل من سانهت وقيل للسكت من سانيت وفي قراءة بحذفها «وانظر إلى حمارك» كيف هو فرآه ميتا وعظامه بيض تلوح فعلْنا ذلك لتعلم «ولنجعلك آية» على البعث «للناس وانظر إلى العظام» من حمارك «كيف ننشزها» نحييها بضم النون وقرئ بفتحها من أنشز ونشز - لغتان - وفي قراءة بضمها والزاي- نحركها ونرفعها- «ثم نكسوها لحما» فنظر إليه وقد تركبت وكسيت لحما ونفخ فيه الروح ونهق «فلما تبيَّن له» ذلك بالمشاهدة «قال أعلم» علم مشاهدة «أن الله على كل شيء قدير» وفي قراءة إعْلَمْ أمر من الله له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18975','chapter_id' => '2','chapter_detail_id' => '267','translator_id' => '4','verse_number' => '260','translate_name' => '«و» اذكر «إذ قال إبراهيم ربَّ أرني كيف تحيي الموتى قال» تعالى له «أولم تؤمن» بقدرتي على الإحياء سأله مع علمه بإيمانه بذلك ليجيبه بما سأل فيعلم السامعون غرضه «قال بلى» آمنت «ولكن» سألتك «ليطمئن» يسكن «قلبي» بالمعاينة المضمومة إلى الاستدلال «قال فخذ أربعة من الطير فّصُرْهُنَّ إليك» بكسر الصاد وضمها أملهن إليك وقطعهن واخلط لحمهن وريشهن «ثم اجعل على كل جبل» من جبال أرضك «منهن جزءاً ثم ادعهن» إليك «يأتينك سعيا» سريعا «واعلم أن الله عزيز» لا يعجزه شيء «حكيم» في صنعه فأخذ طاووسا ونسرا وغرابا وديكا وفعل بهن ما ذكر وأمسك رءوسهن عنده ودعاهن فتطايرت الأجزاء إلى بعضها حتى تكاملت ثم أقبلت إلى رءوسها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18976','chapter_id' => '2','chapter_detail_id' => '268','translator_id' => '4','verse_number' => '261','translate_name' => '«مثل» صفة نفقات «الذين ينفقون أموالهم في سبيل لله» أي طاعته «كمَثل حبة أنبتت سبع سنابل في كل سنبلة مائة حبة» فكذلك نفقاتهم تضاعفت لسبعمائة ضعف «والله يضاعف» أكثر من ذلك «لمن يشاء والله واسع» فضله «عليم» بمن يستحق المضاعفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18977','chapter_id' => '2','chapter_detail_id' => '269','translator_id' => '4','verse_number' => '262','translate_name' => '«الذين ينفقون أموالهم في سبيل الله ثم لا يُتبِعون ما أنفقوا مَنًّا» على المنفق عليه بقولهم مثلا: قد أحسنت إليه وجبرت حاله «ولا أذًى» له بذكر ذلك إلى من لا يجب وقوفه عليه ونحو «لهم أجرهم» ثواب إنفاقهم «عند ربهم ولا خوف عليهم ولا هم يحزنون» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18978','chapter_id' => '2','chapter_detail_id' => '270','translator_id' => '4','verse_number' => '263','translate_name' => '«قول معروف» كلام حسن ورد على السائل جميل «ومغفرة» له في إلحاحه «خير من صدقة يتبعها أذًى» بالمن وتعيير له بالسؤال «والله غني» عن صدقة العباد «حليم» بتأخير العقوبة عن المانّ والمؤذي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18979','chapter_id' => '2','chapter_detail_id' => '271','translator_id' => '4','verse_number' => '264','translate_name' => '«يأيها الذين آمنوا لا تبطلوا صدقاتكم» أي أجورها «بالمن والأذى» إبطالا «كالذي» أي كإبطال نفقة الذي «ينفق ماله رئاء الناس» مرائيا لهم «ولا يؤمن بالله واليوم الآخر» هو المنافق «فمثله كمثل صفوان» حجر أملس «عليه تراب فأصابه وابل» مطر شديد «فتركه صلدا» صلبا أملس لا شيء عليه «لا يقدرون» استئناف لبيان مثل المنافق المنفق رئاء الناس وجمع الضمير باعتبار معنى الذي «على شيء مما كسبوا» عملوا أي لا يجدون له ثوابا في الآخرة كما لا يوجد على الصفوان شئ من التراب الذي كان عليه لإذهاب المطر له «والله لا يهدى القوم الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18980','chapter_id' => '2','chapter_detail_id' => '272','translator_id' => '4','verse_number' => '265','translate_name' => '«ومثل» نفقات «الذين ينفقون أموالهم ابتغاء» طلب «مرضات الله وتثبيتا من أنفسهم» أي تحقيقا للثواب عليه بخلاف المنافقين الذين لا يرجونه لإنكارهم له ومَن ابتدائية «كمثل جنة» بستان «بِرُبْوَةٍ» بضم الراء وفتحتها مكان مرتفع مستو «أصابها وابل فآتت» أعطت «أكلَها» بضم الكاف وسكونها ثمرها «ضعفين» مثلَيْ ما يثمر غيرها «فإن لم يصبها وابل فطلٌ» مطر خفيف يصيبها ويكفيها لارتفاعها، المعنى: تثمر وتزكو كثر المطر أم قل فكذلك نفقات من ذكر تزكو عند الله كثرت أم قلت «والله بما تعلمون بصير» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18981','chapter_id' => '2','chapter_detail_id' => '273','translator_id' => '4','verse_number' => '266','translate_name' => '«أيَوَدُّ» أيحب «أحدكم أن تكون له جنة» بستان «من نخيل وأعناب تجري من تحتها الأنهار له فيها» ثمر «من كل الثمرات و» قد «أصابه الكبر» فضعف من الكبر عن الكسب «وله ذُرِّيةٌ ضعفاء» أولاد صغار لا يقدرون عليه «فأصابها إعصار» ريح شديدة «فيه نار فاحترقت» ففقدها أحوج ما كان إليها وبقي هو وأولاده عجزة متحيرين لا حيلة لهم وهذا تمثيل لنفقة المرائي والمانّ في ذهابها وعدم نفعها أحوج ما يكون إليها في الآخرة والاستفهام بمعنى النفي، وعن ابن عباس هو الرجل عمل بالطاعات ثم بعث له الشيطان فعمل بالمعاصي حتى أحرق أعماله «كذلك» كما بين ما ذكر «يبين الله لكم الآيات لعلكم تتفكرون» فتعتبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18982','chapter_id' => '2','chapter_detail_id' => '274','translator_id' => '4','verse_number' => '267','translate_name' => '«يا أيها الذين آمنوا أنفقوا» أي زكوا «من طيبات» جياد «ما كسبتم» من المال «ومـ» ـن طيبات «ما أخرجنا لكم من الأرض» من الحبوب والثمار «ولا تيمموا» تقصدوا «الخبيث» الرديء «منه» أي من المذكور «تنفقونـ» ـه في الزكاة حال من ضمير تيمموا «ولستم بآخذيه» أي الخبيث لو أعطيتموه في حقوقكم «إلا أن تغمضوا فيه» بالتساهل وغض البصر فكيف تؤدون منه حق الله «واعلموا أن الله غني» عن نفقاتكم «حميد» محمود على كل حال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18983','chapter_id' => '2','chapter_detail_id' => '275','translator_id' => '4','verse_number' => '268','translate_name' => '«الشيطان يعدكم الفقر» يخوفكم به إن تصدقتم فتمسكوا «ويأمركم بالفحشاء» البخل ومنع الزكاة «والله يعدكم» على الإنفاق «مغفرة منه» لذنوبكم «وفضلا» رزقا خلفا منه «والله واسع» فضله «عليم» بالمنفق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18984','chapter_id' => '2','chapter_detail_id' => '276','translator_id' => '4','verse_number' => '269','translate_name' => '«يؤتي الحكمة» أي العلم النافع المؤدي إلى العمل «من يشاء ومن يُؤت الحكمة فقد أوتي خيرا كثيرا» لمصيره إلى السعادة الأبدية «وما يذَّكَّر» فيه إدغام التاء في الأصل في الذال يتعظ «إلا أولوا الألباب» أصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18985','chapter_id' => '2','chapter_detail_id' => '277','translator_id' => '4','verse_number' => '270','translate_name' => '«وما أنفقتم من نفقة» أديتم من زكاة أو صدقة «أو نذرتم من نذر» فوفيتم به «فإن الله يعلمه» فيجازيكم عليه «وما للظالمين» بمنع الزكاة والنذر أو بوضع الإنفاق في غير محله من معاصي الله «من أنصار» مانعين لهم من عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18986','chapter_id' => '2','chapter_detail_id' => '278','translator_id' => '4','verse_number' => '271','translate_name' => '«إن تبدوا» تظهروا «الصدقات» أي النوافل «فَنعمَّا هي» أي نعم شيئاً إبداؤها «وإن تخفوها» تسروها «وتؤتوها الفقراء فهو خير لكم» من إبدائها وإيتائها الأغنياء أما صدقة الفرض فالأفضل إظهارها ليقتدي به ولئلا يتهم، وإيتاؤها الفقراء متعين «ويكَفِّر» بالياء والنون مجزوما بالعطف على محل فهو ومرفوعا على الاستئناف «عنكم من» بعض «سيئاتكم والله بما تعملون خبير» عالم بباطنه كظاهره لا يخفى عليه شيء منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18987','chapter_id' => '2','chapter_detail_id' => '279','translator_id' => '4','verse_number' => '272','translate_name' => 'ولما منع صلى الله عليه وسلم من التصدق على المشركين ليسلموا نزل: «ليس عليك هداهم» أي الناس إلى الدخول في الإسلام إنما عليك البلاغ «ولكن الله يهدي من يشاء» هدايته إلى الدخول فيه «وما تنفقوا من خير» مال «فلأنفسكم» لأن ثوابه لها «وما تنفقون إلا ابتغاء وجه الله» أي ثوابه لاغيره من أعراض الدنيا خبر بمعنى النهي «وما تنفقوا من خير يوفَّ إليكم» جزاؤه «وأنتم لا تُظلمون» تنقصون منه شيئاً والجملتان تأكيد للأولى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18988','chapter_id' => '2','chapter_detail_id' => '280','translator_id' => '4','verse_number' => '273','translate_name' => '«للفقراء» خبر مبتدأ محذوف أي الصدقات «الذين أحصروا في سبيل الله» أي حبسوا أنفسهم على الجهاد، نزلت في أهل الصُّفَّةِ وهم أربعمائة من المهاجرين أرصدوا لتعلم القرآن والخروج مع السرايا «لا يستطيعون ضربا» سفرا «في الأرض» للتجارة والمعاش لشغلهم عنه بالجهاد «يحسبهم الجاهل» بحالهم «أغنياء من التعفف» أي لتعففهم عن السؤال وتركه «تعرفهم» يا مخاطب «بسيماهم» علامتهم من التواضع وأثر الجهد «لا يسألون الناس» شيئا فيلحفون «إلحافا» أي لا سؤال لهم أصلا فلا يقع منهم إلحاف وهو الإلحاح «وما تنفقوا من خير فإن الله به عليم» فمجاز عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18989','chapter_id' => '2','chapter_detail_id' => '281','translator_id' => '4','verse_number' => '274','translate_name' => '«الذين ينفقون أموالهم بالليل والنهار سرا وعلانية فلهم أجرهم عند ربَّهم ولا خوف عليهم ولا هم يحزنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18990','chapter_id' => '2','chapter_detail_id' => '282','translator_id' => '4','verse_number' => '275','translate_name' => '«الذين يأكلون الربا» أي ياخذونه وهو الزيادة في المعاملة بالنقود والمطعومات في القدر أو الأجل «لا يقومون» من قبورهم «إلا» قياما «كما يقوم الذي يتخبطه» يصرعه «الشيطان من المس» الجنون، متعلق بيقومون «ذلك» الذي نزل بهم «بأنهم» بسبب أنهم «قالوا إنما البيع مثل الربا» في الجواز وهذا من عكس التشبيه مبالغة فقال تعالى ردا عليهم: «وأحل الله البيع وحرم الربا فمن جاءه» بلغه «موعظة» وعظ «من ربِّه فانتهى» عن أكله «فله ما سلف» قبل النهي أي لا يسترد منه «وأمره» في العفو عنه «إلى الله ومن عاد» إلى أكله مشبها له بالبيع في الحلِّ «فأولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18991','chapter_id' => '2','chapter_detail_id' => '283','translator_id' => '4','verse_number' => '276','translate_name' => '«يمحق الله الربا» ينقصه ويذهب بركته «ويربي الصدقات» يزيدها وينميها ويضاعف ثوابها «والله لا يحب كل كفَّار» بتحليل الربا «أثيم» فاجر بأكله أي يعاقبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18992','chapter_id' => '2','chapter_detail_id' => '284','translator_id' => '4','verse_number' => '277','translate_name' => '«إن الذين آمنوا وعملوا الصالحات وأقاموا الصلاة وآتوا الزكاة لهم أجرهم عند ربهم ولا خوف عليهم ولا هم يحزنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18993','chapter_id' => '2','chapter_detail_id' => '285','translator_id' => '4','verse_number' => '278','translate_name' => '«يا أيها الذين آمنوا اتقوا الله وذروا» اتركوا «ما بقي من الربا إن كنتم مؤمنين» صادقين في إيمانكم فإن من شأن المؤمن امتثال أمر الله تعالى، نزلت لما طالب بعض الصحابة بعد النهي بربا كان لهم من قبل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18994','chapter_id' => '2','chapter_detail_id' => '286','translator_id' => '4','verse_number' => '279','translate_name' => '«فإن لم تفعلوا» ما أمرتم به «فأذنوا» اعلمَوا «بحرب من الله ورسوله» لكم فيه تهديد شديد لهم ولما نزلت قالوا لا بد لنا بحربه «وإن تبتم» رجعتم عنه «فلكم رءوس» أصول «أموالكم لاتَظلمون» بزيادة «ولا تُظلمون» بنقص.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18995','chapter_id' => '2','chapter_detail_id' => '287','translator_id' => '4','verse_number' => '280','translate_name' => '(وإن كان) وقع غريم (ذو عسرة فنظرة) له أي عليكم تأخيره (إلى ميسرة) بفتح السين وضمها أي وقت يسر (وأن تصدقوا) بالتشديد على إدغام التاء في الأصل في الصاد وبالتخفيف على حذفها أي تتصدقوا على المعسر بالإبراء (خير لكم إن كنتم تعلمون) أنه خير فافعلوه وفي الحديث "" من أنظر معسرا أو وضع عنه أظله الله في ظله يوم لا ظل إلا ظله "" رواه مسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18996','chapter_id' => '2','chapter_detail_id' => '288','translator_id' => '4','verse_number' => '281','translate_name' => '«واتقوا يوما تُرجعون» بالبناء للمفعول تردون وللفاعل تصيرون «فيه إلى الله» هو يوم القيامة «ثم توفَّى» فيه «كل نفس» جزاء «ما كسبت» عملت من خير وشر «وهم لا يُظلمون» بنقص حسنة أو زيادة سيْئة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18997','chapter_id' => '2','chapter_detail_id' => '289','translator_id' => '4','verse_number' => '282','translate_name' => '«يا أيها الذين آمنوا إذا تداينتم» تعاملتم «بدين» كسلم وقرض «إلى أجل مسمى» معلوم «فاكتبوه» استيثاقا ودفعا للنزاع «وليكتب» كتاب الدين «بينكم كاتب بالعدل» بالحق في كتابته لا يزيد في المال والأجل ولا ينقص «ولا يأب» يمتنع «كاتب» من «أن يكتب» إذا دُعي إليها «كما علَّمه الله» أي فضله بالكتابة فلا يبخل بها والكاف متعلقة بيأب «فليكتب» تأكيد «وليملل» على الكاتب «الذي عليه الحق» الدين لأنه المشهود عليه فيقر ليعلم ما عليه «وليتق الله ربه» في إملائه «ولا يبخس» ينقص «منه» أي الحق «شيئا فإن كان الذي عليه الحق سفيها» مبذرا «أو ضعيفا» عن الإملاء لصغر أو كبر «أو لا يستطيع أن يُملَّ هو» لخرس أو جهل باللغة أو نحو ذلك «فَلْيُمْلِلْ وليُّه» متولي أمره من والد ووصي وقيِّم ومترجم «بالعدل واستشهدوا» أشهدوا على الدَّين «شهيدين» شاهدين «من رجالكم» أي بالغي المسلمين الأحرار «فإن لم يكونا» أي الشهيدان «رجلين فرجل وامرأتان» يشهدون «ممن ترضون من الشهداء» لدينه وعدالته وتعدد النساء لأجل «أن تضل» تنسى «إحداهما» الشهادة لنقص عقلهن وضبطهن «فَتُذكِّرَ» بالتخفيف والتشديد «إحداهما» الذاكرة «الأخرى» الناسية وجملة الإذكار محل العلة أي لتذكر أن ضلت ودخلت على الضلال لأنه سببه وفي قراءة بكسر أن شرطية ورفع تذكر استئناف جوابه «ولا يأب الشهداء إذا ما» زائدة «دُعوا» إلى تحمل الشهادة وأدائها «ولا تسأموا» تملوا من «أن تكتبوه» أي ما شهدتم عليه من الحق لكثرة وقوع ذلك «صغيرا» كان «أو كبيرا» قليلا أو كثيرا «إلى أجله» وقت حلوله حال من الهاء في تكتبوه «ذلكم» أي الكتب «أقسط» أعدل «عند الله وأقوم للشهادة» أي أعون على إقامتها لأنه يذكرها «وأدنى» اقرب إلى «أ» ن «لا ترتابوا» تشكوا في قدر الحق والأجل «إلا أن تكون» تقع «تجارةٌ حاضرةٌ» وفي قراءة بالنصب فتكون ناقصة واسمها ضمير التجارة «تديرونها بينكم» أي تقبضونها ولا أجل فيها «فليس عليكم جُناح» في «ألا تكتبوها» والمراد بها المتجر فيه «وأشهدوا إذا تبايعتم» عليه فأنه أدفع للاختلاف وهذا وما قبله أمر ندب «ولا يُضارّ كاتب ولا شهيد» صاحب الحق ومن عليه بتحريف أو امتناع من الشهادة أو الكتابة ولا يضرهما صاحب الحق بتكليفها ما لا يليق في الكتابة والشهادة «وإن تفعلوا» ما نُهيتم عنه «فإنه فسوق» خروج عن الطاعة لاحق «بكم واتقوا الله» في أمره ونهيه «ويعلمكم الله» مصالح أموركم حال مقدرة أو مستأنف «والله بكل شيء عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18998','chapter_id' => '2','chapter_detail_id' => '290','translator_id' => '4','verse_number' => '283','translate_name' => '«وإن كنتم على سفر» أي مسافرين وتداينتم «ولم تجدوا كاتبا فَرِهاَنٌ» وفي قراءة فَرهُنٌ جمع رهن «مقبوضة» تستوثقون بها وبينت السنة جواز الرهن في الحضر ووجود الكاتب فالتقيد بما ذكر لأن التوثيق فيه أشد وأفاد قوله مقبوضة اشتراط القبض في الرهن والاكتفاء به من المرتهن ووكيله «فإن أمن بعضكم بعضا» أي الدائن المدين على حقه فلم يرتهن «فليؤد الذي أؤتمن» أي المدين «أمانته» دينه «وليتق الله ربَّه» في أدائه «ولا تكتموا الشهادة» إذا دُعيتم لإقامتها «ومن يكتمها فإنه آثم قلبه» خص بالذكر لأنه محل الشهادة ولأنه إذا أثم تبعه غيره فيعاقب عليه معاقبة الآثمين «والله بما تعلمون عليم» لا يخفَى عليه شيء منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '18999','chapter_id' => '2','chapter_detail_id' => '291','translator_id' => '4','verse_number' => '284','translate_name' => '«لله ما في السماوات وما في الأرض وإن تبدوا» تظهروا «ما في أنفسكم» من السوء والعزم عليه «أو تخفوه» تسروه «يحاسبكم» يخبركم «به الله» يوم القيامة «فيغفرْ لمن يشاء» المغفرة له «ويعذبْ من يشاء» تعذيبه والفعلان بالجزم عطف على جواب الشرط والرفع أي فهو «والله على كل شيء قدير» ومنه محاسبتكم وجزاؤكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19000','chapter_id' => '2','chapter_detail_id' => '292','translator_id' => '4','verse_number' => '285','translate_name' => '«آمن» صدق «الرسول» محمد صلى الله عليه وسلم «بما أنزل إليه من ربه» من القرآن «والمؤمنون» عطف عليه «كل» تنوين عوض من المضاف إليه «آمن بالله وملائكته وكتبه» بالجمع والإفراد «ورسله» يقولون «لا نفرق بين أحد من رسله» فنؤمن ببعض ونكفر ببعض كما فعل اليهود والنصارى «وقالوا سمعنا» أي ما أمرنا به سماع قبول «وأطعنا» نسألك «غفرانك ربنا وإليك المصير» المرجع بالبعث، ولما نزلت الآية التي قبلها شكا المؤمنون من الوسوسة وشق عليهم المحاسبة بها فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19001','chapter_id' => '2','chapter_detail_id' => '293','translator_id' => '4','verse_number' => '286','translate_name' => '(لا يكلف الله نفساً إلا وسعها) أي ما تسعه قدرتها (لها ما كسبت) من الخير أي ثوابه (وعليها ما اكتسبت) من الشر أي وزره ولا يؤاخذ أحد بذنب أحد ولا بما لم يكسبه مما وسوست به نفسه، قولوا (ربنا لا تؤاخذنا) بالعقاب (إن نسينا أو أخطأنا) تركنا الصواب لا عن عمد كما أخذت به من قبلنا وقد رفع الله ذلك عن هذه الأمة كما ورد في الحديث فسؤاله اعتراف بنعمة الله (ربنا ولا تحمل علينا إصراً) أمرا يثقل علينا حمله (كما حملته على الذين من قبلنا) أي بني إسرائيل من قتل النفس في التوبة وإخراج ربع المال في الزكاة وقرض موضع النجاسة (ربنا ولا تحملنا ما لا طاقة) قوة (لنا به) من التكاليف والبلاء (واعف عنا) امح ذنوبنا (واغفر لنا وارحمنا) في الرحمة زيادة على المغفرة (أنت مولانا) سيدنا ومتولي أمورنا (فانصرنا على القوم الكافرين) بإقامة الحجة والغلبة في قتالهم فإن من شأن المولى أن ينصر مواليه على الأعداء، وفي الحديث "" لما نزلت هذه الآية فقرأها صلى الله عليه وسلم قيل له عقب كل كلمة قد فعلت "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19002','chapter_id' => '3','chapter_detail_id' => '294','translator_id' => '4','verse_number' => '1','translate_name' => '«آلم» الله اعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19003','chapter_id' => '3','chapter_detail_id' => '295','translator_id' => '4','verse_number' => '2','translate_name' => '«الله لا إله إلا هو الحي القيوم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19004','chapter_id' => '3','chapter_detail_id' => '296','translator_id' => '4','verse_number' => '3','translate_name' => '«نزَّل عليك» يا محمد «الكتاب» القرآن ملتبسا «بالحق» بالصدق في أخباره «مصدقا لما بين يديه» قبله من الكتب «وأنزل التوراة والإنجيل من قبل» أي قبل تنزيله «هدّى» حال بمعني هادين من الضلالة «للناس» ممن تبعهما وعبر فيهما بأنزل وفي القرآن ينزل المقتضي للتكرير لأنهما أنزلا دفعة واحدة بخلافة «وأنزل الفرقان» بمعني الكتب الفارقة بين الحق والباطل وذكره بعد ذكر الثلاثة ليعم ما عداها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19005','chapter_id' => '3','chapter_detail_id' => '297','translator_id' => '4','verse_number' => '4','translate_name' => '«إن الذين كفروا بآيات الله» القرآن وغيره «لهم عذاب شديد والله عزيز» غالب على أمره فلا يمنعه شيء من إنجاز وعده ووعيده «ذو انتقام» عقوبة شديدة ممن عصاه لا يقدر على مثلها أحد','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19006','chapter_id' => '3','chapter_detail_id' => '298','translator_id' => '4','verse_number' => '5','translate_name' => '«إن الله لا يخفى عليه شيء» كائن «في الأرض ولا في السماء» لعلمه بما يقع في العالم من كلَّي وجزئي وخصمهما بالذكر لأن الحس لا يتجاوزهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19007','chapter_id' => '3','chapter_detail_id' => '299','translator_id' => '4','verse_number' => '6','translate_name' => '«هو الذي يصوّركم في الأرحام كيف يشاء» من ذكورة وأنوثة وبياض وسواد وغير ذلك «لا إله إلا هو العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19008','chapter_id' => '3','chapter_detail_id' => '300','translator_id' => '4','verse_number' => '7','translate_name' => '(هو الذي أنزل عليك الكتاب منه آيات محكمات) واضحات الدلالة (هن أم الكتاب) أصله المعتمد عليه في الأحكام (و أخر متشابهات) لا تفهم معانيها كأوائل السور وجعله كله محكما في قوله "" أحكمت آياته "" بمعنى أنه ليس فيه عيب، ومتشابهًا في قوله (كتابا متشابهًا) بمعنى أنه يشبه بعضه بعضا في الحسن والصدق (فأما الذين في قلوبهم زيغ) ميل عن الحق (فيتبعون ما تشابه منه ابتغاء) طلب (الفتنة) لجهالهم بوقوعهم في الشبهات واللبس (وابتغاء تأويله) تفسيره (وما يعلم تأويله) تفسيره (إلا الله) وحده (والراسخون) الثابتون المتمكنون (في العلم) مبتدأ خبره (يقولون آمنا به) أي بالمتشابه أنه من عند الله ولا نعلم معناه (كل) من المحكم والمتشابه (من عند ربنا وما يذكر) بادغام التاء في الأصل في الذال أي يتعظ (إلا أولوا الألباب) أصحاب العقول ويقولون أيضا إذا رأوا من يتبعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19009','chapter_id' => '3','chapter_detail_id' => '301','translator_id' => '4','verse_number' => '8','translate_name' => '«ربنا لا تُزغ قلوبنا» تملها عن الحق بابتغاء تأويله الذي لا يليق بنا كما أزغت قلوب أولئك «بعد إذ هديتنا» أرشدتنا إليه «وهب لنا من لَدنك» من عندك «رحمة» تثبيتا «إنك أنت الوهاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19010','chapter_id' => '3','chapter_detail_id' => '302','translator_id' => '4','verse_number' => '9','translate_name' => 'يا «ربنا إنك جامع الناس» تجمعهم «ليوم» أي في يوم «لا ريب» لا شك «فيه» هو يوم القيامة فتجازيهم بأعمالهم كما وعدت بذلك «إن الله لا يخلف الميعاد» موعده بالبعث فيه التفات عن الخطاب ويحتمل أن يكون من كلامه تعالى والغرض من الدعاء بذلك بيان أن همهم أمر الآخرة ولذلك سألوا الثبات على الهداية لينالوا ثوابها روى الشيخان عن عائشة رضي الله عنها قالت: (تلا رسول الله صلى الله عليه وسلم هذه الآية هو الذي أنزل عليك الكتاب منه آيات محكمات إلى آخرها وقال: فإذا رأيت الذين يتبعون ما تشابه منه فأولئك الذين سمى الله فاحذروهم) وروى الطبراني في الكبير عن أبي موسى الأشعري أنه سمع النبي صلى الله عليه وسلم يقول: (ما أخاف على أمتي إلا ثلاث خلال وذكر منها أن يفتح لهم الكتاب فيأخذه المؤمن يبتغي تأويله وليس يعلم تأويله إلا الله والراسخون في العلم يقولون آمنا به كل من عند ربنا وما يذكر إلا أولو الألباب) الحديث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19011','chapter_id' => '3','chapter_detail_id' => '303','translator_id' => '4','verse_number' => '10','translate_name' => '«إن الذين كفروا لن تُغنيَ» تدفع «عنهم أموالهم ولا أولادهم من الله» أي عذابه «شيئا وأولئك هم وقود النار» بفتح الواو ما توقد به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19012','chapter_id' => '3','chapter_detail_id' => '304','translator_id' => '4','verse_number' => '11','translate_name' => 'دأبُهم «كدأب» كعادة «آل فرعون والذين من قبلهم» من الأمم كعاد وثمود «كذبوا بآياتنا فأخذهم الله» أهلكم «بذنوبهم» والجملة مفسرة لما قبلها «والله شديد العقاب» ونزل لما أمر النبي صلى الله عليه وسلم اليهودَ بالإسلام بعد مرجعه من بدر فقالوا لا يغرنك أن قتلت نفراً من قريش أغمارا لا يعرفون القتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19013','chapter_id' => '3','chapter_detail_id' => '305','translator_id' => '4','verse_number' => '12','translate_name' => '«قل» يا محمد «للذين كفروا» من اليهود «ستُغلبون» بالتاء والياء في الدنيا بالقتل والأسر وضرب الجزية وقد وقع ذلك «وتُحشرون» بالوجهين في الآخرة «إلى جهنم» فتدخلونها «وبئس المهاد» الفراش هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19014','chapter_id' => '3','chapter_detail_id' => '306','translator_id' => '4','verse_number' => '13','translate_name' => '«قد كان لكم آية» عبرة وذكر الفعل للفصل «في فئتين» فرقتين «التقتا» يوم بدر للقتال «فئة تقاتل في سبيل الله» أي طاعته، وهم النبي وأصحابه وكانوا ثلاثمائة وثلاثة عشر رجلا معهم فرسَان وست أذرع وثمانية سيوف وأكثرهم رجالة «وأخرى كافرة يرونهم» أي الكفار «مثليهم» أي المسلمين أي أكثر منهم وكانوا نحو ألف «رأي العين» أي رؤية ظاهرة معاينة وقد نصرهم الله مع قلتهم «والله يؤيد» يقِّوي «بنصره من يشاء» نصره «إن في ذلك» المذكور «لعبرة لأولي الأبصار» لذوى البصائر أفلا تعتبرون بذلك فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19015','chapter_id' => '3','chapter_detail_id' => '307','translator_id' => '4','verse_number' => '14','translate_name' => '«زُيَّن للناس حبُّ الشهوات» ما تشتهيه النفس وتدعوا إليه زينها الله ابتلاءً أو الشيطانُ «من النساء والبنين والقناطير» الأموال الكثيرة «المقنطرة» المجمعة «من الذهب والفضة والخيل المسومة» الحسان «والأنعام» أي الإبل والبقر والغنم «والحرث» الزرع «ذلك» المذكور «متاع الحياة الدنيا» يتمتع به فيها ثم يفنى «والله عنده حسن المآب» المرجع وهو الجنة فينبغي الرغبة فيه دون غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19016','chapter_id' => '3','chapter_detail_id' => '308','translator_id' => '4','verse_number' => '15','translate_name' => '«قل» يا محمد لقومك «أؤنبِّئكم» أخبركم «بخير من ذلكم» المذكور من الشهوات استفهام تقرير «للذين اتقوا» الشرك «عند ربهم» خبر مبتدأُه «جنات تجري من تحتها الأنهار خالدين» أي مقدرين الخلود «فيها» إذا دخلوها «وأزواج مطهرة» من الحيض وغيره مما يستقذر «ورضوان» بكسر أوله وضمه لغتان أي رضا كثير «من الله والله بصير» عالم «بالعباد» فيجازي كلاً منهم بعمله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19017','chapter_id' => '3','chapter_detail_id' => '309','translator_id' => '4','verse_number' => '16','translate_name' => '«الذين» نعت أو بدل من الذين قبله «يقولون» يا «ربَّنا إننا آمنا» صدَّقنا بك وبرسولك «فاغفر لنا ذنوبنا وقنا عذاب النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19018','chapter_id' => '3','chapter_detail_id' => '310','translator_id' => '4','verse_number' => '17','translate_name' => '«الصابرين» على الطاعة وعن المعصية نعت «والصادقين» في الإيمان «والقانتين» المطيعين لله «والمنفقين» المتصدقين «والمستغفرين» الله بأن يقولوا اللهم اغفر لنا «بالأسحار» أواخر الليل خُصت بالذكر لأنها وقت الغفلة ولذة النوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19019','chapter_id' => '3','chapter_detail_id' => '311','translator_id' => '4','verse_number' => '18','translate_name' => '«شهد الله» بيَّن لخلقه بالدلائل والآيات «أنه لا إله» أي لا معبود في الوجود بحق «إلا هو و» شهد بذلك «الملائكةُ» بالإقرار «وأولوا العلم» من الأنبياء والمؤمنين بالاعتقاد واللفظ «قائماً» بتدبير مصنوعاته ونصبه على الحال والعامل فيها معنى الجملة أي تفرد «بالقسط» بالعدل «لا إله إلا هو» كرره تأكيدا «العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19020','chapter_id' => '3','chapter_detail_id' => '312','translator_id' => '4','verse_number' => '19','translate_name' => '«إن الدين» المرضي «عند الله» هو «الإسلام» أي الشرع المبعوث به الرسل المبنى على التوحيد وفي قراءة بفتح أن بدل من أنه الخ بدل اشتمال «وما اختلف الذين أوتوا الكتاب» اليهود والنصارى في الدين بأن وحَّد بعضٌ وكفر بعضٌ «إلا من بعد ما جاءهم العلم» بالتوحيد «بغيا» من الكافرين «بينهم ومن يكفر بآيات الله» «فإن الله سريع الحساب» أي المجازاة له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19021','chapter_id' => '3','chapter_detail_id' => '313','translator_id' => '4','verse_number' => '20','translate_name' => '«فإن حاجوك» خاصمك الكفار يا محمد في الدين «فقل» لهم «أسلمت وجهي لله» أنقدت له أنا «ومن اتبعن» وخص الوجه بالذكر لشرفه فغيره أولى «وقل للذين أوتوا الكتاب» اليهود والنصارى و «الأميين» مشركي العرب «أأسلمتم» أي أسلموا «فإن أسلموا فقد اهتدوا» من الضلال «وإن تولوا» عن الإسلام «فإنما عليك البلاغ» أي التبليغ للرسالة «والله بصير بالعباد» فيجازيهم بأعمالهم وهذا قبل الأمر بالقتال','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19022','chapter_id' => '3','chapter_detail_id' => '314','translator_id' => '4','verse_number' => '21','translate_name' => '«إن الذين يكفرون بآيات الله ويقتلون» وفي قراءة يقاتلون «النبيين بغير حق ويقتلون الذين يأمرون بالقسط» بالعدل «من الناس» وهم اليهود رُوى أنهم قتلوا ثلاثة وأربعين نبياً فنهاهم مائة وسبعون من عبَّادهم فقتلوهم من يومهم «فبشِّرهم» أعلمهم «بعذاب اليم» مؤلم وذكر البشارة تهكم بهم ودخلت الفاء في خبر إن لشبه اسمها الموصول بالشرط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19023','chapter_id' => '3','chapter_detail_id' => '315','translator_id' => '4','verse_number' => '22','translate_name' => '«أولئك الذين حبطت» بطلت «أعمالهم» ما عملوا من خير كصدقة وصلة رحم «في الدنيا والآخرة» فلا اعتداد بها لعدم شرطها «وما لهم من ناصرين» مانعين من العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19024','chapter_id' => '3','chapter_detail_id' => '316','translator_id' => '4','verse_number' => '23','translate_name' => '«ألم تر» تنظر «إلى الذين أوتوا نصيبا» حظاً «من الكتاب» التوراة «يُدْعَوْنَ» حال «إلى كتاب الله ليحكم بينهم ثم يتولى فريق منهم وهم معرضون» عن قبول حكمه نزلت في اليهود زنى منهم اثنان فتحاكموا إلى النبي صلى الله عليه وسلم فحكم عليهما بالرجم فغضبوا فجيء بالتوراة فوجدا فيها فرجما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19025','chapter_id' => '3','chapter_detail_id' => '317','translator_id' => '4','verse_number' => '24','translate_name' => '«ذلك» التولي والإعراض «بأنهم قالوا» أي بسبب قولهم «لن تمسنا النار إلا أياما معدودات» أربعين يوما مدة عبادة آبائهم العجل ثم تزول عنهم «وغرَّهم في دينهم» متعلق بقوله «ما كانوا يفترون» من قولهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19026','chapter_id' => '3','chapter_detail_id' => '318','translator_id' => '4','verse_number' => '25','translate_name' => '«فكيف» حالهم «إذا جمعناهم ليوم» أي في يوم «لا ريب» لا شك «فيه» هو يوم القيامة «ووفِّيت كل نفس» من أهل الكتاب وغيرهم جزاء «ما كسبت» عملت من خير وشر «وهم» أي الناس «لا يُظلمون» بنقص حسنة أو زيادة سيئة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19027','chapter_id' => '3','chapter_detail_id' => '319','translator_id' => '4','verse_number' => '26','translate_name' => 'ونزلت لما وعد صلى الله عليه وسلم أمته مُلك فارس والروم فقال المنافقون هيهات: «قل اللهم» يا الله «مالك الملك تؤتي» تعطي «الملك من تشاء» من خلقك «وتنزع الملك ممن تشاء وتعز من تشاء» بإيتائه «وتذل من تشاء» بنزعه منه «بيدك» بقدرتك «الخير» أي والشر «إنك على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19028','chapter_id' => '3','chapter_detail_id' => '320','translator_id' => '4','verse_number' => '27','translate_name' => '«تولج» تدخل «الليل في النهار وتولج النهار» تدخله «في الليل» فيزيد كل منهما مما نقص من الآخر «وتخرج الحيَّ من الميت» كالإنسان والطائر من النطفة والبيضة «وتخرج الميت» كالنطفة والبيضة «من الحي وترزق من تشاء بغير حساب» أي رزقا واسعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19029','chapter_id' => '3','chapter_detail_id' => '321','translator_id' => '4','verse_number' => '28','translate_name' => '«لا يتخذ المؤمنون الكافرين أولياء» يوالونهم «من دون» أي غير «المؤمنين ومن يفعل ذلك» أي يواليهم «فليس من» دين «الله في شيء إلا أن تتقوا منهم تقاة» مصدر تقيته أي تخافوا مخافة فلكم موالاتهم باللسان دون القلب وهذا قبل عزَّة الإسلام ويجري فيمن هو في بلد ليس قويا فيها «ويحذركم» يخوفكم «الله نفسه» أن يغضب عليكم إن واليتموهم «وإلى الله المصير» المرجع فيجازيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19030','chapter_id' => '3','chapter_detail_id' => '322','translator_id' => '4','verse_number' => '29','translate_name' => '«قل» لهم «إن تخفوا ما في صدوركم» قلوبكم من موالاتهم «أو تبدوه» تظهروه «يعلمْه الله و» هو «يعلم ما في السماوات وما في الأرض والله على كل شيء قدير» ومنه تعذيب من والاهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19031','chapter_id' => '3','chapter_detail_id' => '323','translator_id' => '4','verse_number' => '30','translate_name' => 'اذكر «يوم تجد كل نفس ما عملتـ» ـهُ «من خير محضرا وما عملتـ» ـهُ «من سوءٍ» مبتدأ خبره «تود لو أن بينها وبينه أمدا بعيدا» غاية في نهاية البعد فلا يصل إليها «ويحذركم الله نفسه» كرر للتأكيد «والله رؤوف بالعباد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19032','chapter_id' => '3','chapter_detail_id' => '324','translator_id' => '4','verse_number' => '31','translate_name' => 'ونزل لما قالوا ما نعبد الأصنام إلا حبّا لله ليقربونا إليه «قل» لهم يا محمد «إن كنتم تحبون الله فاتبعوني يحببكم الله» بمعنى يثيبكم «ويغفر لكم ذنوبكم والله غفور» لمن اتبعني ما سلف من قبل ذلك «رحيم» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19033','chapter_id' => '3','chapter_detail_id' => '325','translator_id' => '4','verse_number' => '32','translate_name' => '«قل» لهم «أطيعوا الله والرسول» فيما يأمركم به من التوحيد «فإن تولَّوا» أعرضوا عن الطاعة «فان الله لا يحب الكافرين» فيه إقامة الظاهر مقام المضمر أي لا يحبهم بمعني أنه يعاقبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19034','chapter_id' => '3','chapter_detail_id' => '326','translator_id' => '4','verse_number' => '33','translate_name' => '«إن الله اصطفى» اختار «آدم ونوحا وآل إبراهيم وآل عمران» بمعني أنفسهما «على العالمين» يجعل الأنبياء من نسلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19035','chapter_id' => '3','chapter_detail_id' => '327','translator_id' => '4','verse_number' => '34','translate_name' => '«ذرِّية بعضها من» ولد «بعض» منهم «والله سميع عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19036','chapter_id' => '3','chapter_detail_id' => '328','translator_id' => '4','verse_number' => '35','translate_name' => 'اذكر «إذ قالت امرأة عمران» حنة لما أسنت واشتاقت للولد فدعت الله وأحست بالحمل يا «رب إني نذرت» أن أجعل «لك ما في بطني محرَّرا» عتيقا خالصا من شواغل الدنيا لخدمة بيتك المقدس «فتقبَّل مني إنك أنت السميع» للدعاء «العليم» بالنيات، وهلك عمران وهي حامل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19037','chapter_id' => '3','chapter_detail_id' => '329','translator_id' => '4','verse_number' => '36','translate_name' => '(فلما وضعتها) ولدتها جارية وكانت ترجو أن يكون غلامًا إذ لم يكن يحرر إلا الغلمان (قالت) معتذرة يا (رب إني وضعتها أنثى والله أعلم) أي عالم (بما وضعت) جملة اعتراض من كلامه تعالى وفي قراءة بضم التاء (وليس الذكر) الذي طلبت (كالأنثى) التي وهبت لأنه يقصد للخدمة وهي لا تصلح لضعفها وعورتها وما يعتريها من الحيض ونحوه (وإني سميتها مريم وإني أعيذها بك وذريتها) أولادها (من الشيطان الرجيم) المطرود في الحديث "" ما من مولود يولد إلا مسه الشيطان حين يولد فيستهل صارخًا إلا مريم وابنها "" رواه الشيخان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19038','chapter_id' => '3','chapter_detail_id' => '330','translator_id' => '4','verse_number' => '37','translate_name' => '«فتقبلها ربها» أي قبل مريم من أمها «بقبول حسن وأنبتها نباتا حسنا» أنشأها بخلق حسن فكانت تنبت في اليوم كما ينبت المولود في العام وآتت بها أمها الأحبار سدنة بيت المقدس فقالت: دونكم هذه النذيرة فتنافسوا فيها أنها بنت إمامهم فقال زكريا أنا أحق بها لأن خالتها عندي فقالوا لا حتى نقترع فانطلقوا وهم تسعة وعشرون إلى نهر الأردن وألقوا أقلامهم على أن من ثبت قلمه في الماء وصعد فهو أولى بها فثبت قلم زكريا فأخذها وبنى لها غرفة في المسجد بسلم لا يصعد إليها غيره وكان يأتيها بأكلها وشربها ودهنها فيجد عندها فاكهة الصيف في الشتاء وفاكهة الشتاء في الصيف كما قال تعالى «وَكَفَلَهَا زَكَريَّاُ» ضمها إليه وفي قراءة بالتشديد ونصب زكريا ممدودا ومقصورا والفاعل الله «كلما دخل عليها زكريا المحراب» الغرفة وهي أشرف المجالس «وجد عندها رزقا قال يا مريم أنَّى» من أين «لك هذا قالت» وهي صغيرة «هو من عند الله» يأتيني به من الجنة «إن الله يرزق من يشاء بغير حساب» رزقا واسعا بلا تبعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19039','chapter_id' => '3','chapter_detail_id' => '331','translator_id' => '4','verse_number' => '38','translate_name' => '«هنالك» أي لما رأى زكريَّا ذلك وعلم أن القادر على الإتيان بالشيء في غير حينه قادر على الإتيان بالولد على الكبر وكان أهل بيته انقرضوا «دعا زَكَريَّاُ ربَّه» لما دخل المحراب للصلاة جوف الليل «قال ربِّ هب لي من لدنك» من عندك «ذرية طيبة» ولدا صالحا «إنك سميع» مجيب «الدعاء».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19040','chapter_id' => '3','chapter_detail_id' => '332','translator_id' => '4','verse_number' => '39','translate_name' => '«فنادته الملائكة» أي جبريل «وهو قائم يصلي في المحراب» أي المسجد «أنَّ» أي بأن وفي قراءة بالكسر بتقدير القول «الله يُبشِّرك» مثقلا ومخففا «بيحيى مصدِّقاً بكلمة» كائنة «من الله» أي بعيسى أنه روح الله وسُمي كلمة لأنه خلق بكلمة كن «وسيِّدا» متبوعا «وحصورا» ممنوعا من النساء «ونبيا من الصالحين» رُوي أنه لم يعمل خطيئة ولم يهم بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19041','chapter_id' => '3','chapter_detail_id' => '333','translator_id' => '4','verse_number' => '40','translate_name' => '«قال ربِّ أنَّى» كيف «يكون لي غلام» ولد «وقد بلغني الكبر» أي بلغت نهاية السن مائة وعشرين سنة «وامرأتي عاقر» بلغت ثمانية وتسعين سنة «قال» الأمر «كذلك» من خلق الله غلاما منكما «الله يفعل ما يشاء» لا يعجزه منه شيء ولإظهار هذه القدرة العظيمة ألهمه السؤال ليجاب بها ولما تاقت نفسه إلى سرعة المبشَر به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19042','chapter_id' => '3','chapter_detail_id' => '334','translator_id' => '4','verse_number' => '41','translate_name' => '«قال رب اجعل لي آية» أي علامة على حمل امرأتي «قال آيتك» علية «أ» ن «لا تكلم الناس» أي تمتنع من كلامهم بخلاف ذكر الله تعالى «ثلاثة أيام» أي بلياليها «إلا رمزا» إشارة «واذكر ربَّك كثيرا وسبِّح» صلِّ «بالعشي والإبكار» أواخر النهار وأوائله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19043','chapter_id' => '3','chapter_detail_id' => '335','translator_id' => '4','verse_number' => '42','translate_name' => '«و» اذكر «إذ قالت الملائكة» أي جبريل «يا مريم إن الله اصطفاك» اختارك «وطهرك» من مسيس الرجال «واصطفاك على نساء العالمين» أي أهل زمانك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19044','chapter_id' => '3','chapter_detail_id' => '336','translator_id' => '4','verse_number' => '43','translate_name' => '«يا مريم اقنتي لربك» أطيعيه «واسجدي واركعي مع الراكعين» أي صلِّي مع المصلِّين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19045','chapter_id' => '3','chapter_detail_id' => '337','translator_id' => '4','verse_number' => '44','translate_name' => '«ذلك» المذكور من أمر زكريا ومريم «من أنباء الغيب» أخبار ما غاب عنك «نوحيه إليك» يا محمد «وما كنت لديهم إذ يُلْقُون أقلامهم» في الماء يقترعون ليطهر لهم «أيهم يكْفُلُ» يربي «مريم وما كنت لديهم إذ يختصون» في كفالتها فتعرف ذلك فتخبر به وإنما عرفته من جهة الوحي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19046','chapter_id' => '3','chapter_detail_id' => '338','translator_id' => '4','verse_number' => '45','translate_name' => 'اذكر «إذ قالت الملائكة» أي جبريل «يا مريم أن الله يبشرك بكلمة منه» أي ولد «اسمه المسيح عيسى بن مريم» خاطبها بنسبته إليها تنبيها على أنها تلده بلا أب إذ عادة الرجال نسبتهم إلى آبائهم «وجيها» ذا جاه «في الدنيا» بالنبوة «والآخرة» بالشفاعة والدرجات العُلا «ومن المقرَّبين» عند الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19047','chapter_id' => '3','chapter_detail_id' => '339','translator_id' => '4','verse_number' => '46','translate_name' => '«ويكلِّم الناس في المهد» أي طفلا قبل وقت الكلام «وكهلا ومن الصالحين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19048','chapter_id' => '3','chapter_detail_id' => '340','translator_id' => '4','verse_number' => '47','translate_name' => '«قالت ربِّ أنَّى» كيف «يكون لي ولد ولم يمسني بشر» بتزوج ولا غيره «قال» الأمر «كذلك» من خلق ولد منك بلا أب «الله يخلق ما يشاء إذا قضي أمرا» أراد خلقه «فإنما يقول له كن فيكون» أي فهو يكون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19049','chapter_id' => '3','chapter_detail_id' => '341','translator_id' => '4','verse_number' => '48','translate_name' => '«وَنُعَلِّمُهُ» بالنون والياء «الكتاب» الخط «والحكمة والتوراة والإنجيل».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19050','chapter_id' => '3','chapter_detail_id' => '342','translator_id' => '4','verse_number' => '49','translate_name' => '«و» يجعله «رسولا إلى بنى إسرائيل» في الصبا أو بعد البلوغ فنفخ جبريل في جيب درعها فحملت، وكان من أمرها ما ذكر في سورة مريم فلما بعثه الله إلى بني إسرائيل قال لهم إني رسول الله إليكم «إني» أي بأني «قد جئتكم بآية» علامة على صدقي «من ربكم» هي «أنِّي» وفي قراءة بالكسر استئنافا «أخلق» أصوِّر «لكم من الطين كهيئة الطير» مثل صورته فالكاف اسم مفعول «فأنفخ فيه» الضمير للكاف «فيكون طيرا» وفي قراءة طائرا «بإذن الله» بإرادته فخلق لهم الخفاش لأنه أكمل الطير خلقا فكان يطير وهم ينظرونه فإذا غاب عن أعينهم سقط ميتا «وأبرئ» أشفي «الأكمه» الذي وُلد أعمى «والأبرص» وخصا بالذكر لأنهما ذا إعياء وكان بعثه في زمن الطب فأبرأ في يوم خمسين ألفا بالدعاء بشرط الإيمان «وأحيي الموتى بإذن الله» كرره لنفي توهم الألوهية فيه فأحيا عازر صديقا له وابن العجوز وابنة العاشر فعاشوا وولد لهم، وسام بن نوح ومات في الحال «وأنبئكم بما تأكلون وما تدَّخرون» تخبئون «في بيوتكم» مما لم أعانيه فكان يخبر الشخص بما أكل وبما يأكل وبما يأكل بعد «إن في ذلك» المذكور «لآية لكم إن كنتم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19051','chapter_id' => '3','chapter_detail_id' => '343','translator_id' => '4','verse_number' => '50','translate_name' => '«و» جئتكم «مصدقاً لما بين يدي» قبلي «من التوراة ولأحلَّ لكم بعض الذي حرم عليكم» فيها فأحل لهم من السمك والطير مالا صيصة له وقيل أحل الجميع فبعض بمعنى كل «وجئتكم بآية من ربكم» كرره تأكيدا وليبنى عليه «فاتقوا الله وأطيعون» فيما آمركم به توحيد الله وطاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19052','chapter_id' => '3','chapter_detail_id' => '344','translator_id' => '4','verse_number' => '51','translate_name' => '«إن الله ربي وربكم فاعبدوه هذا» الذي آمركم به «صراط» طريق «مستقيم» فكذبوه ولم يؤمنوا به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19053','chapter_id' => '3','chapter_detail_id' => '345','translator_id' => '4','verse_number' => '52','translate_name' => '«فلمّا أحس» علم «عيسى منهم الكفر» وأرادوا قتله «قال مَنْ أنصاري» أعواني ذاهبا «إلى الله» لأنصر دينه «قال الحواريون نحن أنصار الله» أعوان دينه وهم أصفياء عيسى أول من آمن به وكانوا اثني عشر رجلا من الحور وهو البياض الخالص وقيل كانوا قصارين يحورون الثياب أي يبيضونها «آمنّا» صدقنا «بالله واشهد» يا عيسى «بأنّا مسلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19054','chapter_id' => '3','chapter_detail_id' => '346','translator_id' => '4','verse_number' => '53','translate_name' => '«ربنا آمنا بما أنزلت» من الإنجيل «واتَّبعنا الرسول» عيسى «فاكتبنا مع الشاهدين» لك بالوحدانية ولرسولك بالصدق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19055','chapter_id' => '3','chapter_detail_id' => '347','translator_id' => '4','verse_number' => '54','translate_name' => 'قال تعالى: «ومكروا» أي كفار بني إسرائيل بعيسى إذ وكلوا به من يقتله غيلة «ومكر الله» بهم بأن ألقى شبه عيسى على من قصد قتله فقتلوه ورفُع عيسى إلى السماء «والله خير الماكرين» أعلمهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19056','chapter_id' => '3','chapter_detail_id' => '348','translator_id' => '4','verse_number' => '55','translate_name' => 'اذكر «إذ قال الله يا عيسى إني متوفيك» قابضك «ورافعك إليَّ» من الدنيا من غير موت «ومطهرك» مبعدك «من الذين كفروا وجاعل الذين اتبعوك» صدقوا بنبوتك من المسلمين والنصارى «فوق الذين كفروا» بك وهم اليهود يعلونهم بالحجة والسيف «إلى يوم القيامة ثم إليَّ مرجعكم فأحكم بينكم فيما كنتم فيه تختلفون» من أمر الدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19057','chapter_id' => '3','chapter_detail_id' => '349','translator_id' => '4','verse_number' => '56','translate_name' => '«فأما الذين كفروا فأعذبهم عذابا شديدا في الدنيا» بالقتل والسبي والجزية «والآخرة» بالنار «وما لهم من ناصرين» مانعين منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19058','chapter_id' => '3','chapter_detail_id' => '350','translator_id' => '4','verse_number' => '57','translate_name' => '(وأما الذين أمنوا وعملوا الصالحات فيوفيهم) بالياء والنون (أجورهم والله لا يحب الظالمين) أي يعاقبهم، روي أن الله تعالى أرسل إليه سحابة فرفعته فتعلقت به أمه وبكت فقال لها إن القيامة تجمعنا وكان ذلك ليلة القدر ببيت المقدس وله ثلاث وثلاثون سنة وعاشت أمه بعده ست سنين وروى الشيخان حديث "" أنه ينزل قرب الساعة ويحكم بشريعة نبينا ويقتل الدجال والخنزير ويكسر الصليب ويضع الجزية "" وفي حديث مسلم أنه يمكث سبع سنين وفي حديث عن أبي دواد الطيالسي أربعين سنة ويتوفى ويصلى عليه فيحتمل أن المراد مجموع لبثه في الأرض قبل الرفع وبعده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19059','chapter_id' => '3','chapter_detail_id' => '351','translator_id' => '4','verse_number' => '58','translate_name' => '«ذلك» المذكور من أمر عيسى «نتلوه» نقصه «عليك» يا محمد «من الآيات» حال من الهاء في نتلوه وعامله ما في ذلك من معنى الإشارة «والذكر الحكيم» المحكم أي القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19060','chapter_id' => '3','chapter_detail_id' => '352','translator_id' => '4','verse_number' => '59','translate_name' => '«إن مثل عيسى» شأنه الغريب «عند الله كمثل آدم» كشأنه في خلقه من غير أب وهو من تشبيه الغريب بالأغرب ليكون أقطع للخصم وأوقع في النفس «خلقه» أي آدم أي قالبه «من تراب ثم قال له كن» بشرا «فيكون» أي فكان وكذلك عيسى قال له كن من غير أب فكان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19061','chapter_id' => '3','chapter_detail_id' => '353','translator_id' => '4','verse_number' => '60','translate_name' => '«الحق من ربك» خبر مبتدأ محذوف أي أمر عيسى «فلا تكن من الممترين» الشاكين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19062','chapter_id' => '3','chapter_detail_id' => '354','translator_id' => '4','verse_number' => '61','translate_name' => '«فمن حاجَّك» جادلك من النصارى «فيه من بعد ما جاءك من العلم» بأمره «فقل» لهم «تعالوا ندع أبناءنا وأبناءكم ونساءنا ونساءكم وأنفسنا وأنفسكم» فنجمعهم «ثم نبتهل» نتضرع في الدعاء «فنجعل لعنة الله على الكاذبين» بأن نقول: اللهم العن الكاذب في شأن عيسى وقد دعا النبي صلى الله عليه وسلم وفد نجران لذلك لما حاجُّوه به فقالوا: حتى ننظر في أمرنا ثم نأتيك فقال ذو رأيهم: لقد عرفتم نبوته وأنه ما بأهل قوم نبيا إلا هلكوا فودعوا الرجل وانصرفوا فأتوا الرسول صلى الله عليه وسلم وقد خرج معه الحسن والحسين وفاطمة وعلي وقال لهم: إذا دعوت فأمِّنوا فأبوا أن يلاعنوا وصالحوه على الجزية رواه أبو نُعَيْم، وعن ابن عباس: قال: لو خرج الذين يباهلون لرجعوا لا يجدون مالا ولا أهلا، ورُوي: لو خرجوا لاحترقوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19063','chapter_id' => '3','chapter_detail_id' => '355','translator_id' => '4','verse_number' => '62','translate_name' => '«إن هذا» المذكور «لهو القصص» الخبر «الحق» الذي لاشك فيه «وما من» زائدة «إله إلا الله وإن الله لهو العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19064','chapter_id' => '3','chapter_detail_id' => '356','translator_id' => '4','verse_number' => '63','translate_name' => '«فإن تولَّوا» أعرضوا عن الإيمان «فإن الله عليم بالمفسدين» فيجازيهم وفيه وضع الظاهر موضع المضمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19065','chapter_id' => '3','chapter_detail_id' => '357','translator_id' => '4','verse_number' => '64','translate_name' => '«قل يا أهل الكتاب» اليهود والنصارى «تعالوا إلى كلمة سواءٍ» مصدر بمعنى مستو أمرها «بيننا وبينكم» هي «أ» ن «لا نعبد إلا الله ولا نشرك به شيئا ولا يتخذ بعضنا أربابا من دون الله» كما اتخذتم الأحبار والرهبان «فإن تولَّوْا» أعرضوا عن التوحيد «فقولوا» أنتم لهم «اشهدوا بأنا مسلمون» موحدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19066','chapter_id' => '3','chapter_detail_id' => '358','translator_id' => '4','verse_number' => '65','translate_name' => 'ونزل لما قال اليهود: إبراهيم يهودي ونحن على دينه، وقالت النصارى كذلك: «يا أهل الكتاب لِمَ تُحَاجُّونَ» تخاصمون «في إبراهيم» بزعمكم أنه على دينكم «وما أنزلت التوراة والإنجيل إلا من بعده» بزمن طويل وبعد نزولها حدثت اليهودية والنصرانية «أفلا تعقلون» بطلان قولكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19067','chapter_id' => '3','chapter_detail_id' => '359','translator_id' => '4','verse_number' => '66','translate_name' => '«ها» للتنبيه «أنتم» مبتدأ «هؤلاء» والخبرُ «حاججتم فيما لكم به علم» من أمر موسى وعيسى وزعمكم أنكم على دينهما «فلمَا تُحاجُّون فيما ليس لكم به علم» من شأن إبراهيم «والله يعلم» شأنه «وأنتم لا تعلمون» قال تعالى تبرئة لإبراهيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19068','chapter_id' => '3','chapter_detail_id' => '360','translator_id' => '4','verse_number' => '67','translate_name' => '«ما كان إبراهيم يهوديا ولا نصرانيا ولكن كان حنيفا» مائلا عن الأديان كلها إلى الدين القيِّم «مسلما» موحدا «وما كان من المشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19069','chapter_id' => '3','chapter_detail_id' => '361','translator_id' => '4','verse_number' => '68','translate_name' => '«إنَّ أولى الناس» أحقهم «بإبراهيم للَّذِينَ اتبعوه» في زمانه «وهذا النبي» محمد لموافقته له في أكثر شرعه «والذين آمنوا» من أمته فهم الذين ينبغي أن يقولوا نحن على دينه لا أنتم «والله ولي المؤمنين» ناصرهم وحافظهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19070','chapter_id' => '3','chapter_detail_id' => '362','translator_id' => '4','verse_number' => '69','translate_name' => 'ونزل لما دعا اليهود معاذا وحذيفة وعمارا إلى دينهم: «ودَّت طائفة من أهل الكتاب لو يضلونكم وما يضلون إلا أنفسهم» لأن إثم إضلالهم عليهم والمؤمنون لا يطيعونهم فيه «وما يشعرون» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19071','chapter_id' => '3','chapter_detail_id' => '363','translator_id' => '4','verse_number' => '70','translate_name' => '«يا أهل الكتاب لِمَ تكفرون بآيات الله» القرآن المشتمل على نعت محمد صلى الله عليه وسلم «وأنتم تشهدون» تعلمون أنه الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19072','chapter_id' => '3','chapter_detail_id' => '364','translator_id' => '4','verse_number' => '71','translate_name' => '«يا أهل الكتاب لِمَ تلبسون» تخلطون «الحق بالباطل» بالتحريف والتزوير «وتكتمون الحق» أي نعت النبي «وأنتم تعلمون» أنه الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19073','chapter_id' => '3','chapter_detail_id' => '365','translator_id' => '4','verse_number' => '72','translate_name' => '«وقالت طائفة من أهل الكتاب» اليهود لبعضهم «آمنوا بالذي أنزل على الذين آمنوا» أي القرآن «وجه النهار» أوله «واكفروا» به «آخره لعلهم» أي المؤمنين «يرجعون» عن دينهم إذ يقولون ما رجع هؤلاء عنه بعد دخولهم فيه وهم أولو علم إلا لعلمهم بطلانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19074','chapter_id' => '3','chapter_detail_id' => '366','translator_id' => '4','verse_number' => '73','translate_name' => 'وقالوا أيضاً «ولا تؤمنوا» تصدَّقوا «إلا لمن تبع» وافق «دينكم» قال تعالى: «قل» لهم يا محمد «إن الهدى هدى الله» الذي هو الإسلام وما عداه ضلال، والجملةُ اعتراض «أن» أي بأن «يؤتى أحدّ مثل ما أوتيتم» من الكتاب والحكمة والفصائل وأن مفعول تؤمنوا، والمستثنى منه أحد قدم عليه المستثنى المعنى: لا تقروا بأن أحدا يؤتى ذلك إلا لمن اتبع دينكم «أو» بأن «يحاجوكم» أي المؤمنون يغلبوكم «عند ربكم» يوم القيامة لأنكم أصح دينا، وفي قراءة: أأن بهمزة التوبيخ أي إيتاء أحد مثله تقرون به قال تعالى «قل إن الفضل بيد الله يؤتيه من يشاء» فمن أين لكم أنه لا يؤتى أحد مثل ما أوتيتم «والله واسع» كثير الفضل «عليم» بمن هو أهله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19075','chapter_id' => '3','chapter_detail_id' => '367','translator_id' => '4','verse_number' => '74','translate_name' => '«يختص برحمته من يشاء والله ذو الفضل العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19076','chapter_id' => '3','chapter_detail_id' => '368','translator_id' => '4','verse_number' => '75','translate_name' => '«ومن أهل الكتاب من إن تأمنه بقنطار» أي بمال كثير «يؤدَّه إليك» لأمانته كعبد الله بن سلام أودعه رجل ألفا ومائتي أوقية ذهبا فأعادها إليه «ومنهم من إن تأمنه بدينار لا يؤده إليك» لخيانته «إلا ما دمت عليه قائما» لا تفارقه فمتى فارقته أنكره ككعب بن الأشرف استودعه قرشي دينارا فجحده «ذلك» أي ترك الأداء «بأنهم قالوا» بسبب قولهم «ليس علينا في الأميين» أي العرب «سبيل» أي إثم لاستحلالهم ظلم من خالف دينهم ونسبوه إليه تعالى، قال تعالى «ويقولون على الله الكذب» في نسبة ذلك إليه «وهم يعلمون» أنهم كاذبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19077','chapter_id' => '3','chapter_detail_id' => '369','translator_id' => '4','verse_number' => '76','translate_name' => '«بلى» عليهم فيهم سبيل «من أوفى بعهده» الذي عاهد الله عليه أو بعهد الله إليه من أداء الأمانة وغيره «واتقى» الله بترك المعاصي وعمل الطاعات «فإن الله يحب المتقين» فيه وضع الظاهر موضع المضمر أي يحبهم بمعنى يثيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19078','chapter_id' => '3','chapter_detail_id' => '370','translator_id' => '4','verse_number' => '77','translate_name' => 'ونزل في اليهود لما بدلوا نعت النبي صلى الله عليه وسلم وعهد الله إليهم في التوراة وفيمن حلف كاذبا في دعوى أو في بيع سلعة: «إن الذين يشترون» يستبدلون «بعهد الله» إليهم في الإيمان بالنبي وأداء الأمانة «وأيمانهم» حلفهم به تعالى كاذبين «ثمنا قليلا» من الدنيا «أولئك لا خَلاق» نصيب «لهم في الآخرة ولا يكلمهم الله» غضبا عليهم «ولا ينظر إليهم» يرحمهم «يوم القيامة ولا يزكِّيهم» يطهرهم «ولهم عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19079','chapter_id' => '3','chapter_detail_id' => '371','translator_id' => '4','verse_number' => '78','translate_name' => '«وإنَّ منهم» أي أهل الكتاب «لفريقا» طائفة ككعب بن الأشرف «يلوون ألسنتهم بالكتاب» أي يعطفونها بقراءته عن المنزل إلى ما حرفوه من نعت النبي صلى الله عليه وسلم ونحو «لتحسبوه» أي المحرف «من الكتاب» الذي أنزله الله «وما هو من الكتاب ويقولون هو من عند الله وما هو من عند الله ويقولون على الله الكذب وهم يعلمون» أنهم كاذبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19080','chapter_id' => '3','chapter_detail_id' => '372','translator_id' => '4','verse_number' => '79','translate_name' => 'ونزل لما قال نصارى نجران إن عيسى أمرهم أن يتخذوه ربا ولما طلب بعض المسلمين السجود له صلى الله عليه وسلم «ما كان» ينبغي «لبشر أن يؤتيه الله الكتاب والحكم» أي الفهم للشريعة «والنبوة ثم يقول للناس كونوا عبادا لي من دون الله ولكن» يقول «كونوا ربانيين» علماء عاملين منسوبين إلى الرب بزيادة ألف ونون تفخيما «بما كنتم تَعْلمُونَ» بالتخفيف والتشديد «الكتاب وبما كنتم تدرسون» أي بسبب ذلك فإن فائدته أن تعملوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19081','chapter_id' => '3','chapter_detail_id' => '373','translator_id' => '4','verse_number' => '80','translate_name' => '«وَلا يأمُرُكُمْ» بالرفع استئنافا أي الله والنصب عطفا على يقول أي البشر «أن تتخذوا الملائكة والنبيين أربابا» كما اتخذت الصابئة الملائكة واليهود عُزيرا والنصارى عيسى «أيأمُرُكم بالكفر بعد إذ أنتم مسلمون» لا ينبغي له هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19082','chapter_id' => '3','chapter_detail_id' => '374','translator_id' => '4','verse_number' => '81','translate_name' => '«و» اذكر «إذا» حين «أخذ الله ميثاق النبيين» عهدهم «لما» بفتح اللام للابتداء وتوكيد معنى القسم الذي في أخذ الميثاق وكسرها متعلقة بأخذ وما موصولة على الوجهين أي للذي «آتيتكم» إياه، وفي قراءة آتيناكم «من كتاب وحكمة ثم جاءكم رسول مصدق لما معكم» من الكتاب والحكمة وهو محمد صلى الله عليه وسلم «لتؤمنن به ولتنصرنه» جواب القسم إن أدركتموه وأممهم تبع لهم في ذلك «قال» تعالى لهم «أأقررتم» بذلك «وأخذتم» قبلتم «على ذلكم إصري» عهدي «قالوا أقررنا قال فاشهدوا» على أنفسكم وأتباعكم بذلك «وأنا معكم من الشاهدين» عليكم وعليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19083','chapter_id' => '3','chapter_detail_id' => '375','translator_id' => '4','verse_number' => '82','translate_name' => '«فمن تولَّى» أعرض «بعد ذلك» الميثاق «فأولئك هم الفاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19084','chapter_id' => '3','chapter_detail_id' => '376','translator_id' => '4','verse_number' => '83','translate_name' => '«أفغير دين الله يبغون» بالياء والتاء أي المتولون «وله أسلم» إنقاذ «من في السماوات والأرض طوعا» بلا إباء «وكرها» بالسيف بمعاينة ما يلجأ إليه «وإليه يُرْجَعُون» بالتاء والياء والهمزة في أول الآية للإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19085','chapter_id' => '3','chapter_detail_id' => '377','translator_id' => '4','verse_number' => '84','translate_name' => '«قل» لهم يا محمد «آمنا بالله وما أنزل علينا وما أنزل على إبراهيم وإسماعيل وإسحاق ويعقوب والأسباط» أولاده «وما أوتي موسى وعيسى والنبيون من ربهم لا نفرق بين أحد منهم» بالتصديق والتكذيب «ونحن له مسلمون» مخلصون في العبادة ونزل فيمن ارتد ولحق بالكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19086','chapter_id' => '3','chapter_detail_id' => '378','translator_id' => '4','verse_number' => '85','translate_name' => '«ومن يبتغ غير الإسلام دينا فلن يقبل منه وهو في الآخرة من الخاسرين» لمصيره إلى النار المؤبدة علية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19087','chapter_id' => '3','chapter_detail_id' => '379','translator_id' => '4','verse_number' => '86','translate_name' => '«كيف» أي لا «يهدي الله قوما كفروا بعد إيمانهم وشهدوا» أي شهادتهم «أن الرسول حق و» قد «جاءهم البينات» الحجج الظاهرات على صدق النبي «والله لا يهدي القوم الظالمين» أي الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19088','chapter_id' => '3','chapter_detail_id' => '380','translator_id' => '4','verse_number' => '87','translate_name' => '«أولئك جزاؤهم أنَّ عليهم لعنة الله والملائكة والناس أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19089','chapter_id' => '3','chapter_detail_id' => '381','translator_id' => '4','verse_number' => '88','translate_name' => '«خالدين فيها» أي اللعنة أو النار المدلول بها عليها «لا يخفف عنهم العذاب ولا هم يُنظرون» يمهلون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19090','chapter_id' => '3','chapter_detail_id' => '382','translator_id' => '4','verse_number' => '89','translate_name' => '«إلا الذين تابوا من بعد ذلك وأصلحوا» عملهم «فإن الله غفور» لهم «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19091','chapter_id' => '3','chapter_detail_id' => '383','translator_id' => '4','verse_number' => '90','translate_name' => 'ونزل في اليهود «إن الذين كفروا» بعيسى «بعد إيمانهم» بموسى «ثم ازدادوا كفرا» بمحمد «لن تُقبل توبتهم» إذا غرغروا أو ماتوا كفّارا «وأولئك هم الضالُّون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19092','chapter_id' => '3','chapter_detail_id' => '384','translator_id' => '4','verse_number' => '91','translate_name' => '«إن الذين كفروا وماتوا وهم كفار فلن يقبل من أحدهم ملء الأرض» مقدار ما يملؤها «ذهبا ولو افتدى به» أدخل الفاء في خبر إن لشبه بالشرط وإيذانا بتسبب عدم القبول عن الموت على الكفر «أولئك لهم عذاب أليم» مؤلم «وما لهم من ناصرين» مانعين منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19093','chapter_id' => '3','chapter_detail_id' => '385','translator_id' => '4','verse_number' => '92','translate_name' => '«لن تنالوا البرَّ» أي ثوابه وهو الجنَّةُ «حتى تنفقوا» تَصَّدَّقُوا «مما تحبون» من أموالكم «وما تنفقوا من شيء فإن الله به عليم» فيجازي عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19094','chapter_id' => '3','chapter_detail_id' => '386','translator_id' => '4','verse_number' => '93','translate_name' => 'ونزل لما قال اليهود إنك تزعم أنك على ملة إبراهيم وكان لا يأكل لحوم الإبل وألبانها: «كل الطعام كان حِلا» حلالا «لبني إسرائيل إلا ما حرم إسرائيل» يعقوب «على نفسه» وهو الإبل لما حصل له عرق النَّسا بالفتح والقصر فنذر إن شفي لا يأكلها فحرم عليه «من قبل أن تُنَزَّل التوراة» وذلك بعد إبراهيم ولم تكن على عهده حراما كما زعموا «قل» لهم «فأتوا بالتوراة فاتلوها» ليتبين صدق قولكم «إن كنتم صادقين» فيه فبهتوا ولم يأتوا بها قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19095','chapter_id' => '3','chapter_detail_id' => '387','translator_id' => '4','verse_number' => '94','translate_name' => '«فمن افترى على الله الكذب من بعد ذلك» أي ظهور الحجة بأن التحريم إنما كان من جهة يعقوب لا على عهد إبراهيم «فأولئك هم الظالمون» المتجاوزون الحق إلى الباطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19096','chapter_id' => '3','chapter_detail_id' => '388','translator_id' => '4','verse_number' => '95','translate_name' => '«قُل صدق الله» في هذا كجميع ما أخبر به «فاتبعوا ملة إبراهيم» التي أنا عليها «حنيفا» مائلا عن كل دين إلى الإسلام «وما كان من المشركين» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19097','chapter_id' => '3','chapter_detail_id' => '389','translator_id' => '4','verse_number' => '96','translate_name' => 'ونزل لما قالوا قبلتنا قبل قبلتكم (إن أول بيت وضع) متعبدا (للناس) في الأرض (للذي ببكة) بالباء لغة في مكة سميت بذلك لأنها تبك أعناق الجبابرة أي تدقها، بناه الملائكة قبل خلق آدم ووضع بعده الأقصى وبينهما أربعون سنة كما في حديث الصحيحين وفي حديث "" أنه أول ما ظهر على وجه الماء عند خلق السماوات والأرض زبدة بيضاء فدحيت الأرض من تحته "" (مباركا) حال من الذي أي ذا بركة (وهدى للعالمين) لأنه قبلتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19098','chapter_id' => '3','chapter_detail_id' => '390','translator_id' => '4','verse_number' => '97','translate_name' => '«فيه آيات بينات» منها «مقام إبراهيم» أي الحجر الذي قام عليه عند بناء البيت فأثر قدماه فيه وبقي إلى الآن مع تطاول الزمان وتداول الأيدي عليه ومنها تضعيف الحسنات فيه وأن الطير لا يعلوه «ومن دخله كان آمنا» لا يتعرض إليه بقتل أو ظلم أو غير ذلك «ولله على الناس حجُّ البيت» واجب بكسر الحاء وفتحها لغتان في مصدر حج بمعنى قصد ويبدل من الناس «من استطاع إليه سبيلا» طرقاً فسره بالزاد والراحلة رواه الحاكم وغيره «ومن كفر» بالله أو بما فرضه من الحج «فإن الله غني عن العالمين» الإنس والجن والملائكة وعن عبادتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19099','chapter_id' => '3','chapter_detail_id' => '391','translator_id' => '4','verse_number' => '98','translate_name' => '«قل يا أهل الكتاب لم تكفرون بآيات الله» القرآن «والله شهيد على ما تعملون» فيجازيكم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19100','chapter_id' => '3','chapter_detail_id' => '392','translator_id' => '4','verse_number' => '99','translate_name' => '«قل يا أهل الكتاب لِمَ تصدون» تصرفون «عن سبيل الله» أي دينه «من آمن» بتكذيبكم النبي وكتم نعته «تبغونها» أي تطلبون السبيل «عوجا» مصدر بمعنى معوجة أي مائلة عن الحق «وأنتم شهداء» عالمون بأن الدين المرضي القيم هو دين الإسلام كما في كتابكم «وما الله بغافل عما تعملون» من الكفر والتكذيب وإنما يؤخركم إلى وقتكم ليجازيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19101','chapter_id' => '3','chapter_detail_id' => '393','translator_id' => '4','verse_number' => '100','translate_name' => 'ونزل لما مر بعض اليهود على الأوس والخزرج وغاظهم تألفهم فذكروهم بما كان بينهم في الجاهلية من الفتن فتشاجروا وكادوا يقتتلون: «يا أيها الذين آمنوا إن تطيعوا فريقا من الذين أوتوا الكتاب يردوكم بعد إيمانكم كافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19102','chapter_id' => '3','chapter_detail_id' => '394','translator_id' => '4','verse_number' => '101','translate_name' => '«وكيف تكفرون» استفهام تعجب وتوبيخ «وأنتم تتلى عليكم آيات الله وفيكم رسوله ومن يعتصم» يتمسك «بالله فقد هدي إلى صراطِ مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19103','chapter_id' => '3','chapter_detail_id' => '395','translator_id' => '4','verse_number' => '102','translate_name' => '(يا أيها الذين آمنوا اتقوا الله حق تقاته) بأن يطاع فلا يعصى ويشكر فلا يكفر ويذكر فلا ينسى فقالوا يا رسول الله ومن يقوى على هذا فنسخ بقوله تعالى "" فاتقوا الله ما استطتعم "" (ولا تموتن إلا وأنتم مسلمون) موحدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19104','chapter_id' => '3','chapter_detail_id' => '396','translator_id' => '4','verse_number' => '103','translate_name' => '«واعتصموا» تمسكوا «بحبل الله» أي دينه «جميعا ولا تفرقوا» بعد الإسلام «واذكروا نعمة الله» إنعامه «عليكم» يا معشر الأوس والخزرج «إذ كنتم» قبل الإسلام «أعداء فألَّف» جمع «بين قلوبكم» بالإسلام «فأصبحتم» فصرتم «بنعمته إخوانا» في الدين والولاية «وكنتم على شفا» طرف «حفرة من النار» ليس بينكم وبين الوقوع فيها إلا أن تموتوا كفارا «فأنقذكم منها» بالإيمان «كذلك» كما بيَّن لكم ما ذكر «يبين الله لكم آياته لعلكم تهتدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19105','chapter_id' => '3','chapter_detail_id' => '397','translator_id' => '4','verse_number' => '104','translate_name' => '«ولتكن منكم أمة يدعون إلى الخير» الإسلام «ويأمرون بالمعروف وينهون عن المنكر وأولئك» الداعون الآمرون الناهون «هم المفلحون» الفائزون ومن للتبغيض لأن ما ذكر فرض كفاية لا يلزم كل الأمة ولا يليق بكل أحد كالجاهل وقيل زائدة أي لتكونوا أمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19106','chapter_id' => '3','chapter_detail_id' => '398','translator_id' => '4','verse_number' => '105','translate_name' => '«ولا تكونوا كالذين تفرقوا» عن دينهم «واختلفوا» فيه «من بعد ما جاءهم البينات» وهم اليهود والنصارى «وأولئك لهم عذاب عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19107','chapter_id' => '3','chapter_detail_id' => '399','translator_id' => '4','verse_number' => '106','translate_name' => '«يوم تبيض وجوه وتسودُّ وجوه» أي يوم القيامة «فأما الذين اسودَّت وجوههم» وهم الكافرون فيلقون في النار ويقال لهم توبيخا «أكفرتم بعد إيمانكم» يوم أخذ الميثاق «فذوقوا العذاب بما كنتم تكفرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19108','chapter_id' => '3','chapter_detail_id' => '400','translator_id' => '4','verse_number' => '107','translate_name' => '«وأما الذين ابيضَّت وجوههم» وهم المؤمنون «ففي رحمة الله» أي جنته «هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19109','chapter_id' => '3','chapter_detail_id' => '401','translator_id' => '4','verse_number' => '108','translate_name' => '«تلك» أي هذه الآيات «آيات الله نتلوها عليك» يا محمد «بالحق وما الله يريد ظلما للعالمين» بأن يأخذهم بغير جرم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19110','chapter_id' => '3','chapter_detail_id' => '402','translator_id' => '4','verse_number' => '109','translate_name' => '«ولله ما في السماوات وما في الأرض» ملكا وخلقا وعبيدا «وإلى الله تُرجع» تصير «الأمور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19111','chapter_id' => '3','chapter_detail_id' => '403','translator_id' => '4','verse_number' => '110','translate_name' => '«كنتم» يا أمة محمد في علم الله تعالى «خير أمة أخرجت» أظهرت «للناس تأمرون بالمعروف وتنهون عن المنكر وتؤمنون بالله ولو آمن أهل الكتاب لكان» الإيمان «خيرا لهم منهم المؤمنون» كعبد الله بن سلام رضي الله عنه وأصحابه «وأكثرهم الفاسقون» الكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19112','chapter_id' => '3','chapter_detail_id' => '404','translator_id' => '4','verse_number' => '111','translate_name' => '«لن يضروكم» أي اليهود يا معشر المسلمين بشيء «إلا أذًى» باللسان من سبِّ ووعيد «وإن يقاتلوكم يولوكم الأدبار» منهزمين «ثم لا ينصرون» عليكم بل لكم النصر عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19113','chapter_id' => '3','chapter_detail_id' => '405','translator_id' => '4','verse_number' => '112','translate_name' => '«ضربت عليهم الذلة أين ما ثُقفوا» حيثما وجدوا فلا عز لهم ولا اعتصام «إلا» كائنين «بحبل من الله وحبل من الناس» المؤمنين وهو عهدهم إليهم بالأمان على أداء الجزية أي لا عصمة لهم غير ذلك «وباءُوا» رجعوا «بغضب من الله وضربت عليهم المسكنة ذلك بأنهم» أي بسبب أنهم «كانوا يكفرون بآيات الله ويقتلون الأنبياء بغير حق ذلك» تأكيد «بما عصوا» أمر الله «وكانوا يعتدون» يتجاوزون الحلال إلى الحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19114','chapter_id' => '3','chapter_detail_id' => '406','translator_id' => '4','verse_number' => '113','translate_name' => '«ليسوا» أي أهل الكتاب «سواءً» مستوين «من أهل الكتاب أمة قائمة» مستقيمة ثابتة على الحق كعبد الله بن سلام رضي الله عنه وأصحابه «يتلون آيات الله آناء الليل» أي في ساعاته «وهم يسجدون» يصلُّون، حال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19115','chapter_id' => '3','chapter_detail_id' => '407','translator_id' => '4','verse_number' => '114','translate_name' => '«يؤمنون بالله واليوم الآخر ويأمرون بالمعروف وينهون عن المنكر ويسارعون في الخيرات وأولئك» الموصوفون بما ذكر الله «من الصالحين» ومنهم من ليسوا كذلك وليسوا من الصالحين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19116','chapter_id' => '3','chapter_detail_id' => '408','translator_id' => '4','verse_number' => '115','translate_name' => '«وما تفعلوا» بالتاء أيها الأمة والياء أي الأمة القائمة «من خير فلن يُكفروه» بالوجهين أي تعدموا ثوابه بل تجازون عليه «والله عليم بالمتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19117','chapter_id' => '3','chapter_detail_id' => '409','translator_id' => '4','verse_number' => '116','translate_name' => '«إن الذين كفروا لن تغني» تدفع «عنهم أموالهم ولا أولادهم من الله» أي من عذابه «شيئا» وخصها بالذكر لأن الإنسان يدفع عن نفسه تارة بفداء المال وتارة بالاستعانة بالأولاد «وأولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19118','chapter_id' => '3','chapter_detail_id' => '410','translator_id' => '4','verse_number' => '117','translate_name' => '«مثل» صفة «ما ينفقون» أي الكفار «في هذه الحياة الدنيا» في عداوة النبي أو صدقة ونحوها «كمثل ريح فيها صِرّ» حر أو برد شديد «أصابت حرث» زرع «قوم ظلموا أنفسهم» بالكفر والمعصية «فأهلكته» فلم ينتفعوا به فكذلك نفقاتهم ذاهبة لا ينتفعون بها «وما ظلمهم الله» بضياع نفقاتهم «ولكن أنفسهم يظلمون» بالكفر الموجب لضياعها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19119','chapter_id' => '3','chapter_detail_id' => '411','translator_id' => '4','verse_number' => '118','translate_name' => '«يا أيها الذين آمنوا لا تتخذوا بطانة» أصفياء تطلعونهم على سرِّكم «من دونكم» أي غيركم من اليهود والنصارى والمنافقين «لا يألونكم خبالا» نصب بنزع الخافض أي لا يقصرون لكم في الفساد «ودُّوا» تمنَّوا «ما عنتم» أي عنتكم وهو شدة الضرر «قد بدت» ظهرت «البغضاء» العداوة لكم «من أفواههم» بالوقيعة فيكم وإطلاع المشركين على سركم «وما تخفي صدورهم» من العداوة «أكبر قد بينا لكم الآيات» على عدواتهم «إن كنتم تعقلون» ذلك فلا توالوهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19120','chapter_id' => '3','chapter_detail_id' => '412','translator_id' => '4','verse_number' => '119','translate_name' => '«ها» للتنبيه «أنتم» يا «أولاء» المؤمنون «تحبونهم» لقرابتهم منكم وصداقتهم «ولا يحبونكم» لمخالفتهم لكم في الدين «وتؤمنون بالكتاب كله» أي بالكتب كلها ولا يؤمنون بكتابكم «وإذا لقوكم قالوا آمنا وإذا خلوا عضوا عليكم الأنامل» أطراف الأصابع «من الغيظ» شدة الغضب لما يرون من ائتلافكم ويعبر عن شدة الغضب بِعَضِّ الأنامل مجازا وإن لم يكن ثم عض «قل موتوا بغيظم» أي ابقوا عليه إلى الموت فلن تروا ما يسركم «إن الله عليم بذات الصدور» بما في القلوب ومنه ما يضمره هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19121','chapter_id' => '3','chapter_detail_id' => '413','translator_id' => '4','verse_number' => '120','translate_name' => '«إن تَمْسَسْكُمْ» تصبكم «حسنة» نعمة كنصر وغنيمة «تسؤهم» تحزنهم» «وإن تصبكم سيئة» كهزيمة وجدب «يفرحوا بها» وجملة الشرط متصلة بالشرط قبل وما بينهما اعتراض والمعنى أنهم متناهون في عداوتكم فلم توالوهم فاجتنبوهم «وإن تصبروا» على أذاهم «وتتقوا» الله في موالاتهم وغيرها «لا يضركمْ» بكسر الضاد وسكون الراء وضمها وتشديدها «كيدهم شيئا إن الله بما يعلمون» بالياء والتاء «محيط» عالم فيجازيهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19122','chapter_id' => '3','chapter_detail_id' => '414','translator_id' => '4','verse_number' => '121','translate_name' => '«و» اذكر يا محمد «إذ غدوت من أهلك» من المدينة «تبوئ» تنزل «المؤمنين مقاعد» مراكز يقفون فيها «للقتال والله سميع» لأقوالكم «عليم» بأحوالكم وهو يوم أحد خرج النبي صلى الله عليه وسلم بألف أو إلا خمسين رجلا والمشركون ثلاثة آلاف ونزل بالشعب يوم السبت سابع شوال سنة ثلاثٍ من الهجرة وجعل ظهره وعسكره إلى أحد وسوى صفوفهم وأجلس جيشا من الرماة وأمَّر عليهم عبد الله ابن جبير بسفح الجبل وقال: انضحوا عنا بالنبل لا يأتونا من ورائنا ولا تبرحوا غُلبنا أو نُصرنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19123','chapter_id' => '3','chapter_detail_id' => '415','translator_id' => '4','verse_number' => '122','translate_name' => '«إذا» بدل من إذ قبله «همت طائفتان منكم» بنو سلمة وبنو حارثة جناحا العسكر «أن تفشلا» تجبنا عن القتال وترجعا لما رجع عبد الله بن أبيّ المنافقُ وأصحابه وقال: عَلام نقتلُ أنفسنا وأولادنا وقال لأبي جابر السمي القائل له أنشدكم الله في نبيكم وأنفسكم لو نعلم قتالا لا تبعناكم فثبتهما الله ولم ينصرفا «والله وليهما» ناصرهما «وعلى الله فليتوكل المؤمنون» ليثقوا به دون غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19124','chapter_id' => '3','chapter_detail_id' => '416','translator_id' => '4','verse_number' => '123','translate_name' => 'ونزل لما هزموا تذكيرا لهم بنعمة الله «ولقد نصركم الله ببدر» موضع بين مكة والمدينة «وأنتم أذلة» بقلة العدد والسلاح «فاتقوا الله لعلكم تشكرون» نعمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19125','chapter_id' => '3','chapter_detail_id' => '417','translator_id' => '4','verse_number' => '124','translate_name' => '«إذ» ظرف لنصركم «تقول للمؤمنين» توعدهم تطمينا «ألن يكفيكم أن يمدّكم» يعينكم «ربكم بثلاثة آلافِ من الملائكة مُنْزَلينَ» بالتخفيف والتشديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19126','chapter_id' => '3','chapter_detail_id' => '418','translator_id' => '4','verse_number' => '125','translate_name' => '«بلى» يكفيكم ذلك وفي الأنفال بألف لأنه أمدهم أولا بها ثم صارت ثلاثة ثم صارت خمسة كما قال تعالى «إن تصبروا» على لقاء العدو «وتتقوا» الله في المخالفة «ويأتوكم» أي المشركون «من فورهم» وقتهم «هذا يمددكم ربكم بخمسة آلاف من الملائكة مُسَوَّمينَ» بكسر الواو وفتحها أي معلمين وقد صبروا وأنجز الله وعده بأن قاتلت معهم الملائكة على خيل بلق عليهم عمائم صفر أو بيض أرسلوها بين أكتافهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19127','chapter_id' => '3','chapter_detail_id' => '419','translator_id' => '4','verse_number' => '126','translate_name' => '«وما جعله الله» أي الإمداد «إلا بشرى لكم» بالنصر «ولتطمئن» تسكن «قلوبكم به» فلا تجزع من كثرة العدو وقلَّتكم «وما النصر إلا من عند الله العزيز الحكيم» يؤتيه من يشاء وليس بكثرة الجند.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19128','chapter_id' => '3','chapter_detail_id' => '420','translator_id' => '4','verse_number' => '127','translate_name' => '«ليقطع» متعلق ينصركم أي ليُهلك «طرفا من الذين كفروا» بالقتل والأسر «أو يكبتهم» يذلهم بالهزيمة «فينقلبوا» يرجعوا «خائبين» لم ينالوا ما راموه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19129','chapter_id' => '3','chapter_detail_id' => '421','translator_id' => '4','verse_number' => '128','translate_name' => 'ونزلت لما كسرت رباعيته صلى الله عليه وسلم وشج وجهه يوم أحد وقال: "" كيف يفلح قوم خضبوا وجه نبيهم بالدم "" (ليس لك من الأمر شيء) بل الأمر لله فاصبر (أو) بمعنى إلى أن (يتوب عليهم) بالإسلام (أو يعذبهم فإنهم ظالمون) بالكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19130','chapter_id' => '3','chapter_detail_id' => '422','translator_id' => '4','verse_number' => '129','translate_name' => '«ولله ما في السماوات وما في الأرض» ملكا وخلقا وعبيدا «يغفر لمن يشاء» المغفرة له «ويعذب من يشاء» تعذيبه «والله غفور» لأوليائه «رحيم» بأهل طاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19131','chapter_id' => '3','chapter_detail_id' => '423','translator_id' => '4','verse_number' => '130','translate_name' => '«يا أيها الذين آمنوا لا تأكلوا الربا أضعافا مضاعفة» بألف ودونها بأن تزيدوا في المال عند حلول الأجل وتؤخروا الطلب «واتقوا الله» بتركه «لعلكم تفلحون» تفوزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19132','chapter_id' => '3','chapter_detail_id' => '424','translator_id' => '4','verse_number' => '131','translate_name' => '«واتقوا النار التي أعدت للكافرين» أن تعذَّبوا بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19133','chapter_id' => '3','chapter_detail_id' => '425','translator_id' => '4','verse_number' => '132','translate_name' => '«وأطيعوا الله والرسول لعلكم ترحمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19134','chapter_id' => '3','chapter_detail_id' => '426','translator_id' => '4','verse_number' => '133','translate_name' => '«وسارعوا» بواو ودونها «إلى مغفرة من ربكم وجنة عرضها السماوات والأرض» أي كعرضهما لو وصلت إحداهما للأخرى، والعرضُ السعة «أعدت للمتقين» الله بعمل الطاعات وترك المعاصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19135','chapter_id' => '3','chapter_detail_id' => '427','translator_id' => '4','verse_number' => '134','translate_name' => '«الذين ينفقون» في طاعة الله «في السراء والضراء» اليُسر والعسر «والكاظمين الغيظ» الكافين عن إمضائه مع القدرة «والعافين عن الناس» ممن ظلمهم أي التاركين عقوبتهم «والله يحب المحسنين» بهذه الأفعال، أي يثبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19136','chapter_id' => '3','chapter_detail_id' => '428','translator_id' => '4','verse_number' => '135','translate_name' => '«والذين إذا فعلوا فاحشة» ذنبا قبيحا كالزنا «أو ظلموا أنفسهم» بدونه كالقُبلة «ذكروا الله» أي وعيده «فاستغفروا لذنوبهم ومن» أي لا «يغفر الذنوب إلا الله ولم يصروا» يداوموا «على ما فعلوا» بل أقلعوا عنه «وهم يعلمون» أن الذي أتوه معصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19137','chapter_id' => '3','chapter_detail_id' => '429','translator_id' => '4','verse_number' => '136','translate_name' => '«أولئك جزاؤهم مغفرة من ربهم وجنات تجري من تحتها الأنهار خالدين فيها» حال مقدرة، أي مقدرين الخلود فيها إذا دخلوها «ونعم أجر العاملين» بالطاعة هذا الأجر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19138','chapter_id' => '3','chapter_detail_id' => '430','translator_id' => '4','verse_number' => '137','translate_name' => 'ونزل في هزيمة أحد «قد خلَت» مضت «من قبلكم سُنَن» طرائق في الكفار بإمهالهم ثم أخذهم «فسيروا» أيها المؤمنون «في الأرض فانظروا كيف كان عاقبة المكذبين» الرسل أي آخر أمرهم من الهلاك فلا تحزنوا لغلبتهم فإنا أمهلناهم لوقتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19139','chapter_id' => '3','chapter_detail_id' => '431','translator_id' => '4','verse_number' => '138','translate_name' => '«هذا» القرآن «بيانٌ للناس» كلهم «وهدى» من الضلال «وموعظة للمتقين» منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19140','chapter_id' => '3','chapter_detail_id' => '432','translator_id' => '4','verse_number' => '139','translate_name' => '«ولا تهنوا» تضعفوا عن قتال الكفار «ولا تحزنوا» على ما أصابكم بأحد «وأنتم الأعلون» بالغلبة عليهم «إن كنتم مؤمنين» حقا وجوابه دل عليه مجموع ما قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19141','chapter_id' => '3','chapter_detail_id' => '433','translator_id' => '4','verse_number' => '140','translate_name' => '«إن يمسَسْكم» يصبكم بأحد «قرح» بفتح القاف وضمها جهد من جرح ونحو «فقد مسَّ القومَ» الكفار «قرحٌ مثله» ببدر «وتلك الأيام نداولها» نصرِّفها «بين الناس» يوماً لفرقة ويوماً لأخرى ليتعظوا «وليعلم الله» علم ظهور «الذين آمنوا» أخلصوا في إيمانهم من غيرهم «ويتخذ منكم شهداء» يكرمهم بالشهادة «والله لا يحب الظالمين» الكافرين أي يعاقبهم وما ينعم به عليهم استدراج.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19142','chapter_id' => '3','chapter_detail_id' => '434','translator_id' => '4','verse_number' => '141','translate_name' => '«وليمحِّص الله الذين آمنوا» يطهرهم من الذنوب بما يصيبهم «ويمحق» يهلك «الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19143','chapter_id' => '3','chapter_detail_id' => '435','translator_id' => '4','verse_number' => '142','translate_name' => '«أم» بل «حسبتم أن تدخلوا الجنة ولَما» لم «يعلم الله الذين جاهدوا منكم» علم ظهور «ويعلم الصابرين» في الشدائد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19144','chapter_id' => '3','chapter_detail_id' => '436','translator_id' => '4','verse_number' => '143','translate_name' => '«ولقد كنتم تمنون» فيه حذف إحدى التاءين في الأصل «الموت من قبل أن تلقوه» حيث قلتم ليت لنا يوما كيوم بدر لننال ما نال شهداؤه «فقد رأيتموه» أي سببه الحرب «وأنتم تنظرون» أي بصراء تتأملون الحال كيف هي فلم انهزمتم؟ ونزل في هزيمتهم لما أشيع أن النبي قتل وقال لهم المنافقون إن كان قتل فارجعوا إلى دينكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19145','chapter_id' => '3','chapter_detail_id' => '437','translator_id' => '4','verse_number' => '144','translate_name' => '«وما محمد إلا رسول قد خلت من قبله الرسل أفإن مات أو قُتل» كغيره «انقلبتم على أعقابكم» رجعتم إلى الكفر والجملة الأخيرة محل الاستفهام الإنكاري أي ما كان معبودا فترجعوا «ومن ينقلب على عقبيه فلن يضرَّ اللهَ شيئا» وإنما يضر نفسه «وسيجزى الله الشاكرين» نعمه بالثبات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19146','chapter_id' => '3','chapter_detail_id' => '438','translator_id' => '4','verse_number' => '145','translate_name' => '«وما كان لنفس أن تموت إلا بإذن الله» بقضائه «كتابا» مصدر أي: كتب الله ذلك «مؤجَّلا» مؤقتا لا يتقدم ولا يتأخر فلم انهزمتم والهزيمة لا تدفع الموت والثبات لا يقطع الحياة «ومن يُرد» بعمله «ثواب الدنيا» أي جزاءه منها «نؤته منها» ما قسم له ولا حظَّ له في الآخرة «ومن يرد ثواب الآخرة نؤته منها» أي من ثوابها «وسنجري الشاكرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19147','chapter_id' => '3','chapter_detail_id' => '439','translator_id' => '4','verse_number' => '146','translate_name' => '«وكأيِّن» كم «من نبي قاتِلَ» وفي قراءة قَُتل والفاعل ضميره «معه» خبر مبتدؤه «ربِّيون كثير» جموعٌ كثيرة «فما وهَنوا» جبنوا «لما أصابهم في سبيل الله» من الجراح وقتل أنبيائهم وأصحابهم «وما ضعفوا» عن الجهاد «وما استكانوا» خضعوا لعدوهم كما فعلتم حين قبل قُتل النبي «والله يحب الصابرين» على البلاء أي يثيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19148','chapter_id' => '3','chapter_detail_id' => '440','translator_id' => '4','verse_number' => '147','translate_name' => '«وما كان قولَهم» عند قتل نبيهم مع ثباتهم وصبرهم «إلا أن قالوا ربنا اغفر لنا ذنوبنا وإسرافنا» تجاوزنا الحد «في أمرنا» إيذانا بأن ما أصابهم لسوء فعلهم وهضما لأنفسهم «وثبت أقدامنا» بالقوة على الجهاد «وانصرنا على القوم الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19149','chapter_id' => '3','chapter_detail_id' => '441','translator_id' => '4','verse_number' => '148','translate_name' => '«فآتاهم الله ثواب الدنيا» النصر والغنيمة «وحسن ثواب الآخرة» أي الجنة: التفضل فوق الاستحقاق «والله يحب المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19150','chapter_id' => '3','chapter_detail_id' => '442','translator_id' => '4','verse_number' => '149','translate_name' => '«يا أيها الذين آمنوا إن تطيعوا الذين كفروا» فيما يأمرونكم به «يردوكم على أعقابكم» إلى الكفر «فتنقلبوا خاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19151','chapter_id' => '3','chapter_detail_id' => '443','translator_id' => '4','verse_number' => '150','translate_name' => '«بل الله مولاكم» ناصركم «وهو خير الناصرين» فأطيعوه دونهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19152','chapter_id' => '3','chapter_detail_id' => '444','translator_id' => '4','verse_number' => '151','translate_name' => '«سنلقى في قلوب الذين كفروا الرعب» بسكون العين وضمها الخوف، وقد عزموا بعد ارتحالهم من أُحد على العود واستئصال المسلمين فرعبوا ولم يرجعوا «بما أشركوا» بسبب إشراكهم «بالله ما لم ينزل به سلطانا» حجة على عبادته وهو الأصنام «ومأواهم النار وبئس مثوى» مأوى «الظالمين» الكافرين هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19153','chapter_id' => '3','chapter_detail_id' => '445','translator_id' => '4','verse_number' => '152','translate_name' => '«ولقد صدقكم الله وعده» إياكم بالنصر «إذ تحسونهم» تقتلونهم «بإذنه» بإرادته «حتى إذا فَشِلْتُمْ» جبنتم عن القتال «وتنازعتم» اختلفتم «في الأمر» أي أمر النبي صلى الله عليه وسلم بالمقام في سفح الجبل للرمي فقال بعضكم: نذهب فقد نُصر أصحابنا وبعضكم: لا نخالف أمر النبي صلى الله عليه وسلم «وعصَيتم» أمره فتركتم المركز لطلب الغنيمة «من بعد ما أراكم» اللهُ «ما تحبون» من النصر وجواب إذا دل عليه ما قبله أي منعكم نصره «منكم من يريد الدنيا» فترك المركز للغنيمة «ومنكم من يريد الآخرة» فثبت به حتى قتل كعبد الله بن جبير و أصحابه «ثم صرفكم» عطف على جواب إذا المقدر ردَّكم للهزيمة «عنهم» أي الكفار «ليبتليكم» ليمنحنكم فيظهر المخلص من غيره «ولقد عفا عنكم» ما ارتكبتموه «والله ذو فضل على المؤمنين» بالعفو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19154','chapter_id' => '3','chapter_detail_id' => '446','translator_id' => '4','verse_number' => '153','translate_name' => 'اذكروا «إذ تصعدون» تبعدون في الأرض هاربين «ولا تلوون» تعرجون «على أحد والرسولُ يدعوكم في أخراكم» أي من ورائكم يقول إليَّ عباد الله «فأثابكم» فجازاكم «غمّاً» بالهزيمة «بغمٍّ» بسبب غمِّكم للرسول بالمخالفة وقيل الباء بمعنى على، أي مضاعفا على غم فوت الغنيمة «لكيلا» متعلق بعفا أو بأثابكم فلا زائدة «تحزنوا على ما فاتكم» من الغنيمة «ولا ما أصابكم» من القتل والهزيمة «والله خبير بما تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19155','chapter_id' => '3','chapter_detail_id' => '447','translator_id' => '4','verse_number' => '154','translate_name' => '«ثم أنزل عليكم من بعد الغم أمنة» أمنا «نعاسا» بدل «يغشى» بالياء والتاء «طائفة منكم» وهم المؤمنون فكانوا يميدون تحت الحجف وتسقط السيوف منهم «وطائفة قد أهمتهم أنفسهم» أي حملتهم على الهم فلا رغبة لهم إلا نجاتها دون النبي وأصحابه فلم يناموا وهم المنافقون «يظنون بالله» ظنا «غير» الظن «الحق ظَنَّ» أي كظن «الجاهلية» حيث اعتقدوا أن النبي قتل أولا ينصر «يقولون هل» ما «لنا من الأمر» أي النصر الذي وُعدناه «من شيء قل» لهم «إن الأمر كله» بالنصب توكيدا والرفع مبتدأ وخبره «لله» أي القضاء له بفعل ما يشاء «يخفون في أنفسهم ما لا يبدون» يظهرون «لك يقولون» بيان لما قبله «لو كان لنا من الأمر شيء ما قتلنا ههنا» أي لو كان الاختبار إلينا لم نخرج فلم نقتل لكن أخرجنا كرها «قل» لهم «لو كنتم في بيوتكم» وفيكم من كتب الله عليه القتل «لبرز» خرج «الذين كتب» قضي «عليهم القتل» منكم «إلى مضاجعهم» مصارعهم فيقتلوا ولم ينجهم وقعودهم لأن قضاءه تعالى كائن لا محالة «و» فعل ما فعل بأخذ «ليبتلي» يختبر «الله ما في صدوركم» قلوبكم من الإخلاص والنفاق «وليمحص» يميز «ما في قلوبكم والله عليم بذات الصدور» بما في القلوب لا يخفى عليه شيء وإنما يبتلي ليظهر للناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19156','chapter_id' => '3','chapter_detail_id' => '448','translator_id' => '4','verse_number' => '155','translate_name' => '«إن الذين تَوَلَّوْا منكم» عن القتال «يوم التقى الجمعان» جمع المسلمين وجمع الكفار بأُحُد وهم المسلمون إلا اثنيْ عشر رجلا «إنما استزلَّهم» أزلهم «الشيطان» بوسوسته «ببعض ما كسبوا» من الذنوب وهو مخالفة أمر النبي «ولقد عفا اللهُ عنهم إن الله غفور» للمؤمنين «حليم» لا يعجل على العصاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19157','chapter_id' => '3','chapter_detail_id' => '449','translator_id' => '4','verse_number' => '156','translate_name' => '«يا أيها الذين آمنوا لا تكونوا كالذين كفروا» أي المنافقين «وقالوا لإخوانهم» أي في شأنهم «إذا ضربوا» سافروا «في الأرض» فماتوا «أو كانوا غُزٌى» جمع غاز فقتلوا «لو كانوا عندنا ما ماتوا وما قتلوا» أي لا تقولوا كقولهم «ليجعل الله ذلك» القول في عاقبة أمرهم «حسرة في قلوبهم والله يحيي ويميت» فلا يمنع عن الموت قعود «والله بما تعملون» بالتاء والياء «بصير» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19158','chapter_id' => '3','chapter_detail_id' => '450','translator_id' => '4','verse_number' => '157','translate_name' => '«ولئن» لام قسم «قُتِلْتُمْ في سبيل الله» أي الجهاد «أو مُتُّمْ» بضم الميم وكسرها من مات يموت أي أتاكم الموت فيه «لمغفرة» كائنة «من الله» لذنوبكم «ورحمة» منه لكم على ذلك واللام ومدخولها جواب القسم وهو في موضوع الفعل مبتدأ خبره «خير مما تجمعون» من الدنيا بالتاء والياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19159','chapter_id' => '3','chapter_detail_id' => '451','translator_id' => '4','verse_number' => '158','translate_name' => '«ولئن» لام قسم «مُتُّمْ» بالوجهين «أو قُتلتم» في الجهاد وغيره «لإلى الله» لا إلى غيره «تُحشرون» في الآخرة فيجازيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19160','chapter_id' => '3','chapter_detail_id' => '452','translator_id' => '4','verse_number' => '159','translate_name' => '«فبما رحمة من الله لِنْتَ» يا محمد «لهم» أي سهلت أخلاقك إذ خالفوك «ولو كنت فظا» سيء الخُلُق «غليظ القلب» جافيا فأغلظت لهم «لا نفضُّوا» تفرقوا «من حولك فاعف» تجاوز «عنهم» ما أتوه «واستغفر لهم» ذنوبهم حتى أغفر لهم «وشاورهم» استخرج آراءهم «في الأمر» أي شأنك من الحرب وغيرة تطيبيا لقلوبهم ولستن بك وكان صلى الله عليه وسلم كثير المشاورة لهم. (فإذا عزمت) على إمضاء ما تريد بعد المشاورة «فَتوكَّلْ على الله» ثق به لا بالمشاورة «إن الله يحب المتوكلين» عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19161','chapter_id' => '3','chapter_detail_id' => '453','translator_id' => '4','verse_number' => '160','translate_name' => '«إن ينصركم الله» يُعنكم على عدوكم كيوم بدر «فلا غالب لكم وإن يخذلكم» يترك نصركم كيوم أُحد «فمن ذا الذي ينصركم من بعده» أي بعد خذلانه أي لا ناصر لكم «وعلى الله» لا غيره «فليتوكل» ليثق «المؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19162','chapter_id' => '3','chapter_detail_id' => '454','translator_id' => '4','verse_number' => '161','translate_name' => 'ونزلت لما فقدت قطيفة حمراء يوم أحد فقال بعض الناس: لعل النبي أخذها: «وما كان» ما ينبغي «لنبي أن يّغُلَّ» يخون في الغنيمة فلا تظنوا به ذلك، وفي قراءة بالبناء للمفعول أن ينسب إلى الغلول «ومن يغلُل يأت بما غلَّ يوم القيامة» حاملا له على عنقه «ثم تُوفَّى كل نفس» الغال وغيره جزاء «ما كسبت» عملت «وهم لا يُظلمون» شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19163','chapter_id' => '3','chapter_detail_id' => '455','translator_id' => '4','verse_number' => '162','translate_name' => '«أفمن اتبع رضوان الله» فأطاع ولم يغل «كمن باء» رجع «بسخط من الله» لمعصيته وغلوله «ومأواه جهنم وبئس المصير» المرجع هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19164','chapter_id' => '3','chapter_detail_id' => '456','translator_id' => '4','verse_number' => '163','translate_name' => '«هم درجات» أي أصحاب درجات «عند الله» أي مختلفوا المنازل فلمن اتبع رضوانه الثواب ولمن باء بسخطه العقاب «والله بصير بما يعملون» فيجازيهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19165','chapter_id' => '3','chapter_detail_id' => '457','translator_id' => '4','verse_number' => '164','translate_name' => '«لقد منَّ الله على المؤمنين إذ بعث فيهم رسولا من أنفسهم» أي عربيا مثلهم ليفهموا عنه ويشرُفوا به لا ملكا ولا عجميا «يتلو عليهم آياته» القرآن «ويُزكِّيهمْ» يطهرهم من الذنوب «ويعلمهم الكتاب» القرآن «والحكمة» السنة «وإن» مخففة أي إنهم «كانوا من قبلُ» أي قبل بعثه «لفى ضلال مبين» بيِّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19166','chapter_id' => '3','chapter_detail_id' => '458','translator_id' => '4','verse_number' => '165','translate_name' => '«أولّما أصابتكم مصيبة» بأحد بقتل سبعين منكم «قد أصبتم مثليها» ببدر بقتل سبعين وأسر سبعين منهم «قلتم» متعجبين «أنَّى» من أين لنا «هذا» الخذلان ونحن مسلمون ورسولُ الله فينا والجملةُ الأخيرة محل للاستفهام الإنكارى «قل» لهم «هو من عند أنفسكم» لأنكم تركتم المركز فخُذلتم «إن الله على كل شيء قديرٌ» ومنه النصر وحده وقد جازاكم بخلافكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19167','chapter_id' => '3','chapter_detail_id' => '459','translator_id' => '4','verse_number' => '166','translate_name' => '«وما أصابكم يوم التقى الجمعان» بأحد «فبإذن الله» بإرادته «وليعلم» علم ظهور «المؤمنين» حقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19168','chapter_id' => '3','chapter_detail_id' => '460','translator_id' => '4','verse_number' => '167','translate_name' => '«وليعلم الذين نافقوا و» الذين «قيل لهم» لما انصرفوا عن القتال وهم عبد الله بن أبيّ وأصحابه «تعالوا قاتلوا في سبيل الله» أعداءه «أو ادفعوا» عنا القوم بتكثير سوادكم إن لم تقاتلوا «قالوا لو نَعْلَمُ» نحسن «قتالا لاتبعناكم» قال تعالى تكذيبا لهم: «هم للكفر يومئذ أقرب منهم للإيمان» بما أظهروا من خذلانهم للمؤمنين وكانوا قبل أقرب إلى الإيمان من حيث الظاهر «يقولون بأفواهم ما ليس في قلوبهم» ولو علموا قتالا لم يتبعوكم «والله أعلم بما يكتمون» من النفاق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19169','chapter_id' => '3','chapter_detail_id' => '461','translator_id' => '4','verse_number' => '168','translate_name' => '«الذين» بدل من الذين قبله أو نعت «قالوا لإخوانهم» في الدين «و» قد «قعدوا» عن الجهاد «لو أطاعونا» أي شهداء أحد أو إخواننا في القعود «ماقتلوا قل» لهم «فادرَءُوا» ادفعوا «عن أنفسكم الموت إن كنتم صادقين» في أن القعود ينجي منه ونزل في الشهداء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19170','chapter_id' => '3','chapter_detail_id' => '462','translator_id' => '4','verse_number' => '169','translate_name' => '«ولا تحسبن الذين قتلوا» بالتخفيف والتشديد «في سبيل الله» أي لأجل دينه «أمواتا بل» هم «أحياءٌ عند ربهم» أرواحهم في حواصل طيور خضر تسرح في الجنة حيث شاءت كما ورد في الحديث «يرزقون» يأكلون من ثمار الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19171','chapter_id' => '3','chapter_detail_id' => '463','translator_id' => '4','verse_number' => '170','translate_name' => '«فرحين» حال من ضمير يُرزقون «بما آتاهم الله من فضله و» هم «يستبشرون» يفرحون «بالذين لم يلحقوا بهم من خلفهم» من إخوانهم المؤمنين ويبدل من الذين «أ» نْ أي بأن «لا خوف عليهم» أي الذين لم يلحقوا بهم «ولا هم يحزنون» في الآخرة المعنى يفرحون بأمنهم وفرحهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19172','chapter_id' => '3','chapter_detail_id' => '464','translator_id' => '4','verse_number' => '171','translate_name' => '«يستبشرون بنعمة» ثوابٍ «من الله وفضل» زيادة عليه «وأنَّ» بالفتح عطفاً على نعمة وبالكسر استئنافا «الله لا يضيع أجر المؤمنين» بل يأجرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19173','chapter_id' => '3','chapter_detail_id' => '465','translator_id' => '4','verse_number' => '172','translate_name' => '«الذين» مبتدأ «استجابوا لله والرسول» دعاءه لهم بالخروج للقتال لما أراد أبو سفيان وأصحابه العود تواعدوا مع النبي صلى الله عليه وسلم سوق بدر العام المقبل من يوم أحد «من بعد ما أصابهم القرح» بأحد وخبرُ المبتدأ «للذين أحسنوا منهم» بطاعته «واتقوا» مخالفته «أجر عظيم» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19174','chapter_id' => '3','chapter_detail_id' => '466','translator_id' => '4','verse_number' => '173','translate_name' => '«الذين» بدل من الذين قبله أو نعت «قال لهم الناس» أي نعيم بن مسعود الأشجعي «إن الناس» أبا سفيان وأصحابه «قد جمعوا لكم» الجموع ليستأصلوكم «فاخشوهم» ولا تأتوهم «فزادهم» ذلك القول «إيمانا» تصديقا بالله ويقينا «وقالوا حسبنا الله» كافينا أمرهم «ونعم الوكيل» المفوَّض إليه الأمر هو، وخرجوا مع النبي صلى الله عليه وسلم فوافوا سوق بدر وألقى الله الرعب في قلب أبي سفيان وأصحابه فلم يأتوا وكان معهم تجارات فباعوا وربحوا قال الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19175','chapter_id' => '3','chapter_detail_id' => '467','translator_id' => '4','verse_number' => '174','translate_name' => '«فانقلبوا» رجعوا من بدر «بنعمة من الله وفضل» بسلامة وربح «لم يَمْسَسهُمْ سوء» من قتل أو حرج «واتبعوا رضوان الله» بطاعته وطاعة رسوله في الخروج «والله ذو فضل عظيم» على أهل طاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19176','chapter_id' => '3','chapter_detail_id' => '468','translator_id' => '4','verse_number' => '175','translate_name' => '«إنما ذلكم» أي القائل لكم إن الناس إلخ «الشيطان يخوِّفُ» ـكم «أولياءه» الكفار «فلا تخافوهم وخافون» في ترك أمري «إن كنتم مؤمنين» حقَّا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19177','chapter_id' => '3','chapter_detail_id' => '469','translator_id' => '4','verse_number' => '176','translate_name' => '«ولا يُحْزِنْكَ» بضم الياء وكسر الزاي وبفتحها وضم الزاي من أحزنه «الذين يسارعون في الكفر» يقعون فيه سريعا بنصرته وهم أهل مكة أو المنافقون أي لا تهتم لكفرهم «إنَّهمُ لن يضروا الله شيئا» بفعلهم وإنما يضرون أنفسهم «يريد الله ألا يجعل لهم حظّا» نصيبا «في الآخرة» أي الجنة فلذلك خذلهم الله «ولهم عذاب عظيم» في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19178','chapter_id' => '3','chapter_detail_id' => '470','translator_id' => '4','verse_number' => '177','translate_name' => '«إن الذين اشتروا الكفر بالإيمان» أي أخذوه بدله «لن يضروا الله» بكفرهم «شيئا ولهم عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19179','chapter_id' => '3','chapter_detail_id' => '471','translator_id' => '4','verse_number' => '178','translate_name' => '«ولا يحسبنَّ» بالياء والتاء «الذين كفروا أنما نملي» أي إملاءنا «لهم» بتطويل الأعمار وتأخيرهم «خير لأنفسهم» وأن ومعمولاها سدت مسد المفعولين في قراءة التحتانية ومسد الثاني في الأخرى «إنما نملي» نمهل «لهم ليزدادوا إثما» بكثرة المعاصي «ولهم عذاب مهين» ذو إهانة في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19180','chapter_id' => '3','chapter_detail_id' => '472','translator_id' => '4','verse_number' => '179','translate_name' => '«ما كان الله ليذر» ليترك «المؤمنين على ما أنتم» أيها الناس «عليه» من اختلاط المخلص بغيره «حتى يَمِيزَ» بالتخفيف والتشديد يفصل «الخبيث» المنافق «من الطيب» المؤمن بالتكاليف الشاقة المبينة لذلك ففعل ذلك يوم أحد «وما كان الله ليطلعكم على الغيب» فتعرفوا المنافق من غيره قبل التمييز «ولكنَّ الله يجتبي» يختار «من رسله من يشاء» فيطلعه على غيبه كما أطلع النبي صلى الله عليه وسلم على حال المنافقين «فآمنوا بالله ورسله وإن تؤمنوا وتتقوا» النفاق «فلكم أجر عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19181','chapter_id' => '3','chapter_detail_id' => '473','translator_id' => '4','verse_number' => '180','translate_name' => '«ولايحسبن» بالياء والتاء «الذين يبخلون بما آتاهم الله من فضله» أي بزكاته «هو» أي بخلهم «خيرا لهم» مفعول ثان والضمير للفصل والأول بخلهم مقدرا قبل الوصول وقبل الضمير على التحتانية «بل هو شر لهم سيطوَّقون ما بخلوا به» أي بزكاته من المال «يوم القيامة» بأن يجعل حية في عنقه تنهشه كما ورد في الحديث «ولله ميراث السماوات والأرض» يرثهما بعد فناء أهلهما «والله بما تعلمون» بالتاء والياء «خبير» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19182','chapter_id' => '3','chapter_detail_id' => '474','translator_id' => '4','verse_number' => '181','translate_name' => '«لقد سمع الله قول الذين قالوا إن الله فقير ونحن أغنياء» وهم اليهود قالوه لما نزل (من ذا الذي يقرض الله قرضا حسنا) وقالوا لو كان غنيا ما استقرضناه «سنكتب» نأمر بكتب «ما قالوا» في صحائف أعمالهم ليُجازَوا عليه وفي قراءة بالياء مبينا للمفعول «و» نكتب «قتلَهم» بالنصب والرفع «الأنبياء بغير حق ونقول» بالنون والياء أي الله لهم في الآخرة على لسان الملائكة «ذوقوا عذاب الحريق» النار ويقال لهم إذا القوا فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19183','chapter_id' => '3','chapter_detail_id' => '475','translator_id' => '4','verse_number' => '182','translate_name' => '«ذلك» العذاب «بما قدَّمت أيديكم» عبَّر بها عن الإنسان لأن أكثر الأفعال تزاول بها «وأن الله ليس بظلام» أي بذي ظلم «للعبيد» فيعذبهم بغير ذنب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19184','chapter_id' => '3','chapter_detail_id' => '476','translator_id' => '4','verse_number' => '183','translate_name' => '«الَّذين» نعت للذين قبله «قالوا» لمحمد «إن الله» قد «عهد إلينا» في التوراة «ألا نؤمن لرسول» نصدقه «حتى يأتينا بقربانٍ تأكله النار» فلا نؤمن لك حتى تأتينا به وهو ما يتقرب به إلى الله من نعم وغيرها فإن قُبل جاءت نار بيضاء من السماء فأحرقته وإلا بقي مكانه وعُهد إلى بني إسرائيل ذلك إلا في المسيح ومحمد قال تعالى «قل» لهم توبيخا «قد جاءكم رسلٌ من قبلي بالبينات» بالمعجزات «وبالذي قلتم» كزكريا ويحيى فقتلتموهم والخطابُ لمن في زمن نبينا محمد صلى الله عليه وسلم وإن كان الفعل لأجدادهم لرضاهم به «فلم قتلتموهم إن كنتم صادقين» في أنكم تؤمنون عند الإتيان به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19185','chapter_id' => '3','chapter_detail_id' => '477','translator_id' => '4','verse_number' => '184','translate_name' => '«فإن كذَّبوك فقد كُذب رسل من قبلك جاءُوا بالبينات» المعجزات «والزبُر» كصحف إبراهيم «والكتاب» وفي قراءة بإثبات الباء فيهما «المنير» الواضح هو التوراة والإنجيل فاصبر كما صبروا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19186','chapter_id' => '3','chapter_detail_id' => '478','translator_id' => '4','verse_number' => '185','translate_name' => '«كل نفس ذائقة الموت وإنما توفَّون أجوركم» جزاء أعمالكم «يوم القيامة فمن زُحزح» بعد «عن النار وأدخل الجنة فقد فاز» نال غاية مطلوبه «وما الحياة الدنيا» أي العيش فيها «إلا متاع الغرور» الباطل يتمتع به قليلا ثم يفنى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19187','chapter_id' => '3','chapter_detail_id' => '479','translator_id' => '4','verse_number' => '186','translate_name' => '«لَتُبْلَوُنَّ» حذف منه نون الرفع لتوالي النونات والواو ضمير الجمع لالتقاء الساكنين، لتختبرن «في أموالكم» بالفرائض فيها والحوائج «وأنفسكم» بالعبادات والبلاء «وَلَتَسْمَعُنَّ من الذين أوتوا الكتاب من قبلكم» اليهود والنصارى «ومن الذين أشركوا» من العرب «أذى كثيرا» من السب والطعن والتشبيب بنسائكم «وإن تصبروا» على ذلك «وتتقوا» الله بالفرائض «فإن ذلك من عزم الأمور» أي: من معزوماتها التي يعزم عليها لوجوبها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19188','chapter_id' => '3','chapter_detail_id' => '480','translator_id' => '4','verse_number' => '187','translate_name' => '«و» اذكر «إذ أخذ الله ميثاق الذين أوتوا الكتاب» أي العهد عليهم في التوراة «لَيُبَيِّنَنَّهُ» أي الكتاب «للناس ولا يكتمونه» أي الكتاب بالياء والتاء في الفعلين «فنبذوه» طرحوا الميثاق «وراء ظهورهم» فلم يعملوا به «واشتروا به» أخذوا بدله «ثمنا قليلا» من الدنيا من سفلتهم برياستهم في العلم فكتموه خوف فوته عليهم «فبئس ما يشترون» شراؤهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19189','chapter_id' => '3','chapter_detail_id' => '481','translator_id' => '4','verse_number' => '188','translate_name' => '«لا تحسبن» بالتاء والياء «الذين يفرحون بما أتوا» فعلوا من إضلال الناس «ويحبون أن يُحمدوا بما لم يفعلوا» من التمسك بالحق وهم على ضلال «فلا تحسبنهم» في الوجهين تأكيد «بمفازة» بمكان ينجون فيه «من العذاب» في الآخرة بل هم في مكان يعذَّبون فيه وهو جهنم «ولهم عذاب أليم» مؤلم فيها، ومفعولا يحسب الاولى دل عليهما مفعولا الثانية على قراءة التحتانية وعلى الفوقانية حذف الثاني فقط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19190','chapter_id' => '3','chapter_detail_id' => '482','translator_id' => '4','verse_number' => '189','translate_name' => '«ولله ملك السماوات والأرض» خزائن المطر والرزق والنبات وغيرها «والله على كل شيء قدير» ومنه تعذيب الكافرين وإنجاء المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19191','chapter_id' => '3','chapter_detail_id' => '483','translator_id' => '4','verse_number' => '190','translate_name' => '«إن في خلق السماوات والأرض» وما فيهما من العجائب «واختلاف الليل والنهار» بالمجيء والذهاب والزيادة والنقصان «لآيات» دلالات على قدرته تعالى «لأولي الألباب» لذوي العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19192','chapter_id' => '3','chapter_detail_id' => '484','translator_id' => '4','verse_number' => '191','translate_name' => '«الذين» نعت لما قبله أو بدل «يذكرون الله قياما وقعودا وعلى جنوبهم» مضطجعين أي في كل حال، وعن ابن عباس يصلون كذلك حسب الطاقة «ويتفكرون في خلق السماوات والأرض» ليستدلوا به على قدرة صانعهما يقولون «ربنا ما خلقت هذا» الخلق الذي نراه «باطلا» حال، عبثا بل دليلا على كمال قدرتك «سبحانك» تنزيها لك عن العبث «فقِنا عذاب النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19193','chapter_id' => '3','chapter_detail_id' => '485','translator_id' => '4','verse_number' => '192','translate_name' => '«ربَّنا إنك من تدخل النار» للخلود فيها «فقد أخزيته» أهنته «وما للظالمين» الكافرين، فيه وضع الظاهر موضع المضمر إشعارا بتخصيص الخزي بهم «من» زائدة «أنصار» يمنعونهم من عذاب الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19194','chapter_id' => '3','chapter_detail_id' => '486','translator_id' => '4','verse_number' => '193','translate_name' => '«ربَّنا إننا سمعنا مناديا ينادي» يدعو الناس «للإيمان» أي إليه وهو محمد أو القرآن «أن» أي بأن «آمنوا بربكم فآمنا» به «ربنا فاغفر لنا ذنوبنا وكفِّر» حط «عنا سيئاتنا» فلا تظهرها بالعقاب عليها «وتوفَّنا» اقبض أرواحنا «مع» في جملة «الأبرار» الأنبياء الصالحين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19195','chapter_id' => '3','chapter_detail_id' => '487','translator_id' => '4','verse_number' => '194','translate_name' => '«ربَّنا وآتنا» أعطنا «ما وعدتنا» به «على» ألسنه «رسلك» من الرحمة والفضل وسؤالهم ذلك وإن كان وعده تعالى لا يخلف سؤال أن يجعلهم من مستحقيه لأنهم لم يتيقنوا استحقاقهم له وتكرير ربَّنا مبالغة في التضرع «ولا تُخزنا يوم القيامة إنك لا تُخلف الميعاد» الوعد بالبعث والجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19196','chapter_id' => '3','chapter_detail_id' => '488','translator_id' => '4','verse_number' => '195','translate_name' => '«فاستجاب لهم ربهم» دعاءهم «أنِّي» أي بأني «لا أضيع عمل عامل منكم من ذكر أو أنثى بعضكم» كائن «من بعض» أي الذكور من الإناث وبالعكس والجملة مؤكدة لما قبلها أي هم سواء في المجازاة بالأعمال وترك تضييعها، نزلت لما قالت أم سلمة يا رسول الله إني لا أسمع ذكر النساء في الهجرة بشيء «فالذين هاجروا» من مكة إلى المدينة «وأخرجوا من ديارهم وأوذوا في سبيلي» ديني «وقاتلوا» الكفار «وَقُتِلُوا» بالتخفيف والتشديد وفي قراءة بتقديمه «لأكفِّرنَّ عنهم سيئاتهم» أسترها بالمغفرة «ولأدخلنهم جنات تجري من تحتها الأنهار ثوابا» مصدر من معنى لأكفرن مؤكد له «من عند الله» فيه التفات عن التكلم «والله عنده حسن الثواب» الجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19197','chapter_id' => '3','chapter_detail_id' => '489','translator_id' => '4','verse_number' => '196','translate_name' => 'ونزل لما قال المسلمون: أعداء الله فيما نري من الخير ونحن في الجهد: «لا يغرنك تقلُّب الذين كفروا» تصرُّفهم «في البلاد» بالتجارة والكسب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19198','chapter_id' => '3','chapter_detail_id' => '490','translator_id' => '4','verse_number' => '197','translate_name' => 'هو «متاع قليل» يتمتعون به يسيرا في الدنيا ويفنى «ثم مأواهم جهنم وبئس المهاد» الفراش هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19199','chapter_id' => '3','chapter_detail_id' => '491','translator_id' => '4','verse_number' => '198','translate_name' => '«لكن الذين اتقوا ربَّهم لهم جنات تجري من تحتها الأنهار خالدين» أي مقدرين بالخلود «فيها نُزُلا» وهو ما يعد للضيف ونصبه على الحال من جَنَّاتٍ والعامل فيها معنى الظرف «من عند الله وما عند الله» من الثواب «خير للأبرار» من متاع الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19200','chapter_id' => '3','chapter_detail_id' => '492','translator_id' => '4','verse_number' => '199','translate_name' => '«وإن من أهل الكتاب لمن يؤمن بالله» كعبد الله بن سلام وأصحابه والنجاشي «وما أنزل إليكم» أي القرآن «وما أنزل إليهم» أي التوراة والإنجيل «خاشعين» حال من ضمير يؤمن مراعى فيه معنى من أي: متواضعين «لله لا يشترون بآيات الله» التي عندهم في التوراة والإنجيل من بعث النبي صلى الله عليه وسلم «ثمنا قليلا» من الدنيا بأن يكتموها خوفا على الرياسة كفعل غيرهم من اليهود «أولئك لهم أجرهم» ثواب أعمالهم «عند ربهم» يُؤْتَوْنَهُ مرتين كما في القصص «إن الله سريع الحساب» يحاسب الخلق في قدر نصف نهار من أيام الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19201','chapter_id' => '3','chapter_detail_id' => '493','translator_id' => '4','verse_number' => '200','translate_name' => '«يا أيها الذين آمنوا اصبروا» على الطاعات والمصائب وعن المعاصي «وصابروا» الكُفَّار فلا يكونوا أشد صبرا منكم «ورابطوا» أقيموا على الجهاد «واتقوا الله» في جميع أحوالكم «لعلَّكم تفلحون» تفوزون بالجنة وتنجون من النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19202','chapter_id' => '4','chapter_detail_id' => '494','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها الناس» أي أهل مكة «اتقوا ربكم» أي عقابه بأن تطيعوه «الذي خلقكم من نفس واحدة» آدم «وخلق منها زوجها» حواء بالمد من ضلع من أضلاعه اليسرى «وبث» فرق ونشر «منهما» من آدم وحواء «رجالا كثيرا ونساء» كثيرة «واتقوا الله الذي تَسّاءلون» فيه إدغام التاء في الأصل في السين، وفي قراءة بالتخفيف بحذفها أي تتساءلون «به» فيما بينكم حيث يقول بعضكم لبعض أسألك بالله وأنشدك بالله «و» اتقوا «الأرحام» أن تقطعوها، وفي قراءة بالجر عطفا على الضمير في به وكانوا يتناشدون بالرحم «إنَّ الله كان عليكم رقيبا» حافظا لأعمالكم فيجازيكم بها، أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19203','chapter_id' => '4','chapter_detail_id' => '495','translator_id' => '4','verse_number' => '2','translate_name' => 'ونزل في يتيم طلب من وليه ماله فمنعه: «وآتوا اليتامى» الصغار الذين لا أب لهم «أموالهم» إذا بلغوا «ولا تتبدلوا الخبيث» الحرام «بالطيب» الحلال أي تأخذوه بدله كما تفعلون من أخذ الجيد من مال اليتيم وجعل الرديء من مالكم مكانه «ولا تأكلوا أموالهم» مضمومة «إلى أموالكم إنه» أي أكلها «كان حوبا» ذنبا «كبيرا» عظيما ولما نزلت تحرجوا من ولاية اليتامى وكان فيهم من تحته العشر أو الثمان من الأزواج فلا يعدل بينهن فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19204','chapter_id' => '4','chapter_detail_id' => '496','translator_id' => '4','verse_number' => '3','translate_name' => '«وإن خفتم أ» ن «لا تُقسطوا» تعدلوا «في اليتامى» فتحرجتم من أمرهم فخافوا أيضا أن لا تعدلوا بين النساء إذا نكحتموهن «فانكحوا» تزوجوا «ما» بمعنى من «طاب لكم من النساء مثنى وثلاث ورباع» أي اثنتين وثلاثا وأربعا ولا تزيدوا على ذلك «فإن خفتم أ» ن «لا تعدلوا» فيهن بالنفقة والقسم؟ «فواحدةّ» انكحوها «أو» اقتصروا على «ما ملكت أيمانكم» من الإماء إذ ليس لهن من الحقوق ما للزوجات «ذلك» أي نكاح الأربع فقط أو الواحدة أو التسرَّي «أدنى» أقرب إلى «ألا تعولوا» تجوروا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19205','chapter_id' => '4','chapter_detail_id' => '497','translator_id' => '4','verse_number' => '4','translate_name' => '«وآتوا» أعطوا «النساء صدقاتهن» جمع صدقة مهورهن «نِحلة» مصدر عطية عن طيب نفس «فإن طبن لكم عن شيء منه نفسا» تمييز محول عن الفاعل، أي طابت أنفسهن لكم عن شيء من الصداق فوهبنه لكم «فكلوه هنيئا» طيبا «مريئا» محمود العاقبة لا ضرر فيه عليكم في الآخرة نزلت ردا على كره ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19206','chapter_id' => '4','chapter_detail_id' => '498','translator_id' => '4','verse_number' => '5','translate_name' => '«ولا تؤتوا» أيها الأولياء «السفهاء» المبذِّرين من الرجال والنساء والصبيان «أموالكم» أي أموالهم التي في أيديكم «التي جعل الله لكم قياما» مصدر قام أي تقوم بمعاشكم وصلاح أولادكم فيضعوها في غير وجهها وفي قراءة قيَما جمع قيمة ما تقوم به الأمتعة «وارزقوهم فيها» أي اطعموهم منها «واكسوهم وقولوا لهم قولا معروفا» عدوهم عدة جميلة بإعطائهم أموالهم إذا رشدوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19207','chapter_id' => '4','chapter_detail_id' => '499','translator_id' => '4','verse_number' => '6','translate_name' => '«وابتلوا» اختبروا «اليتامى» قبل البلوغ في دينهم وتصرفهم في أحوالهم «حتى إذا بلغوا النكاح» أي صاروا أهلا له بالاحتلام أو السن وهو استكمال خمس عشرة سنة عند الشافعي «فإن آنستم» أبصرتم «منهم رشدا» صلاحا في دينهم ومالهم «فادفعوا إليهم أموالهم ولا تأكلوها» أيها الأولياء «إسرافا» بغير حق حال «وبدارا» أي مبادرين إلى إنفاقها مخافة «أن يكبروا» رشداء فيلزمكم تسليمها إليهم «ومن كان» من الأولياء «غنيا فليستعفف» أي يعف عن مال اليتيم ويمتنع من أكله «ومن كان فقيرا فليأكل» منه «بالمعروف» بقدر أجرة عمله «فإذا دفعتم إليهم» أي إلى اليتامى «أموالهم فأشهدوا عليهم» أنهم تسلموها وبرئتم لئلا يقع اختلاف فترجعوا إلى البينة وهذا أمر إرشاد «وكفى بالله» الياء زائدة «حسيبا» حافظا لأعمال خلقه ومحاسبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19208','chapter_id' => '4','chapter_detail_id' => '500','translator_id' => '4','verse_number' => '7','translate_name' => 'ونزل ردا لما كان عليه في الجاهلية من عدم توريث النساء والصغار: «للرجال» الأولاد والأقرباء «نصيب» حظٌ «مما ترك الوالدان والأقربون» المتوفون «وللنساء نصيب مما ترك الوالدان والأقربون مما قلَّ منه» أي المال «أو كثر» جعله الله «نصيبا مفروضا» مقطوعا بتسليمه إليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19209','chapter_id' => '4','chapter_detail_id' => '501','translator_id' => '4','verse_number' => '8','translate_name' => '«وإذا حضر القسمة» للميراث «أولوا القربى» ذوو القرابة ممن لا يرث «واليتامى والمساكين فارزقوهم منه» شيئا قبل القسمة «وقولوا» أيها الأولياء «لهم» إذا كان الورثة صغارا «قولا معروفا» جميلا بأن تعتذروا إليهم أنكم لا تملكونه وأنه للصغار وهذا قيل إنه منسوخ وقيل لا ولكن تهاون الناس في تركه وعليه فهو ندب وعن ابن عباس واجب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19210','chapter_id' => '4','chapter_detail_id' => '502','translator_id' => '4','verse_number' => '9','translate_name' => '«ولْيخش» أي ليخف على اليتامى «الذين لو تركوا» أي قاربوا أن يتركوا «من خلفهم» أي بعد موتهم «ذرية ضعافا» أولاد صغارا «خافوا عليهم» الضياع «فليتقوا الله» في أمر اليتامى وليأتوا إليهم ما يحبون أن يفعل بذريتهم من بعدهم «ولْيقولوا» للميت «قولا سديدا» صوابا بأن يأمروه أن يتصدق بدون ثلثه ويدع الباقي لورثته ولا يتركهم عالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19211','chapter_id' => '4','chapter_detail_id' => '503','translator_id' => '4','verse_number' => '10','translate_name' => '«إن الذين يأكلون أموال اليتامى ظلما» بغير حق «إنما يأكلون في بطونهم» أي ملأها «نارا» لأنه يؤول إليها «وَسَيَصْلَوْنَ» بالبناء للفاعل والمفعول يدخلون «سعيرا» نارا شديدة يحترقون فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19212','chapter_id' => '4','chapter_detail_id' => '504','translator_id' => '4','verse_number' => '11','translate_name' => '«يوصيكم» يأمركم «الله في» شأن «أولادكم» بما يذكر «للذكر» منهم «مثل حظ» نصيب «الأنثيين» إذا اجتمعنا معه فله نصف المال ولهما النصف فإن كان معه واحدة فلها الثلث وله الثلثان وإن انفرد جاز المال «فإن كنَّ» أي الأولاد «نساءً» فقط «فوق اثنتين فلهن ثلثا ما ترك» الميت وكذا الاثنتان لأنه للأختين بقوله «فلهما الثلثان مما ترك» فهما أولى به ولأن البنت تستحق الثلث مع الذكر فمع الأنثى أولى (وفوق) قيل صلة وقيل لدفع توهم زيادة النصيب بزيادة العدد لما فهم استحقاق البنتين الثلثين من جعل الثلث للواحدة مع الذكر «وإن كانت» المولودة «واحدة» وفي قراءة بالرفع فكان تامة «فلها النصف ولأبويه» أي الميت ويبدل منهما «لكل واحد منهما السدس مما ترك إن كان له ولد» ذكر أو أنثى ونكتة البدل إفادة أنهما لا يشتركان فيه وألحق بالولد ولد الابن وبالأب الجد «فإن لم يكن له ولد وورثه أبواه» فقط أو مع زوج «فلأمه» بضم الهمزة وكسرها فرارا من الانتقال من ضمة إلى كسرة لثقله في الموضعين «الثلث» أي ثلث المال أو ما ينبغي بعد الزوج والباقي للأب «فإن كان له إخوة» أي اثنان فصاعدا ذكورا أو إناثا «فلأمه السدس» والباقي للأب ولا شيء للأخوة وإرث من ذكر ما ذُكر «من بعد» تنفيذ «وصية يوصي» بالبناء للفاعل والمفعول «بها أو» قضاء «دين» عليه وتقديم الوصية على الدين وإن كانت مؤخرة عنه في الوفاء للاهتمام بها «آباؤكم وأبناؤكم» مبتدأ خبره «لا تدرون أيهم أقرب لكم نفعا» في الدنيا والآخرة فظان أن ابنه أنفع له فيعطيه الميراث فيكون الأب أنفع وبالعكس وإنما العالم بذلك هو الله ففرض لكم الميراث «فريضة من الله إن الله كان عليما» بخلقه «حكيما» فيما دبَّره لهم: أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19213','chapter_id' => '4','chapter_detail_id' => '505','translator_id' => '4','verse_number' => '12','translate_name' => '«ولكم نصف ما ترك أزواجكم إن لم يكن لهن ولد» منكم أو من غيركم «فإن كان لهن ولد فلكم الربع مما تركن من بعد وصية يوصين بها أو دين» وألحق بالولد في ذلك ولد الابن بالإجماع «ولهن» أي الزوجات تعددن أو لا «الربع مما تركتم إن لم يكن لكم ولد فإن كان لكم ولد» منهن أو من غيرهن «فلهن الثمن مما تركتم من بعد وصية توصون بها أو دين» وولد الابن في ذلك كالولد إجماعا «وإن كان رجل يورث» صفة والخبر «كلالة» أي لا والد له ولا ولد «أو امرأة» تورث كلالة «وله» أي للمورث كلالة «أخ أو أخت» أي من أم وقرأ به ابن مسعود وغيره «فلكل واحد منهما السدس» مما ترك «فإن كانوا» أي الإخوة والأخوات من الأم «أكثر من ذلك» أي من واحد «فهم شركاء في الثلث» يستوي فيه ذكرهم وأنثاهم «من بعد وصية يوصي بها أو دين غير مُضارّ» حال من ضمير يوصي أي غير مدخل الضرر على الورثة بأن يوصي بأكثر من الثلث «وصيةً» مصدر مؤكد ليوصيكم «من الله والله عليم» بما دبره لخلقه من الفرائض «حليم» بتأخير العقوبة عمن خالفه، وخصت السنة توريث من ذكر بمن ليس فيه مانع من قتل أو اختلاف دين أو رقٌ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19214','chapter_id' => '4','chapter_detail_id' => '506','translator_id' => '4','verse_number' => '13','translate_name' => '«تلك» الأحكام المذكورة من أمر اليتامى وما بعده «حدود الله» شرائعه التي حدَّها لعباده ليعملوا بها ولا يتعدوها «ومن يطع الله ورسوله» فيما حكم به «يدخله» بالياء والنون التفاتا «جنات تجري من تحتها الأنهار خالدين فيها وذلك الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19215','chapter_id' => '4','chapter_detail_id' => '507','translator_id' => '4','verse_number' => '14','translate_name' => '«ومن يعص الله ورسوله ويتعد حدوده يدخله» بالوجهين «نارا خالدا فيها وله» فيها «عذاب مهين» ذو إهانة روعي في الضمائر في الآيتين لفظ من وفي خالدين معناها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19216','chapter_id' => '4','chapter_detail_id' => '508','translator_id' => '4','verse_number' => '15','translate_name' => '(واللاتي يأتين الفاحشة) الزنا (من نسائكم فاستشهدوا عليهن أربعة منكم) أي من رجالكم المسلمين (فإن شهدوا) عليهن بها (فأمسكوهن) احبسوهن (في البيوت) وامنعوهن من مخالطة الناس (حتى يتوفاهن الموت) أي ملائكته (أو) إلى أن (يجعل الله لهن سبيلا) طريقا إلى الخروج منها أمروا بذلك أول الإسلام ثم جعل لهن سبيلا بجلد البكر مائة وتغريبها عاما ورجم المحصنة، وفي الحديث لما بين الحد قال "" خذوا عني خذوا عني قد جعل الله لهن سبيلا "" رواه مسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19217','chapter_id' => '4','chapter_detail_id' => '509','translator_id' => '4','verse_number' => '16','translate_name' => '«وَاًلَّلذّانِ» بتخفيف النون وتشديدها «يأتيانها» أي الفاحشة الزنا أو اللواط «منكم» أي الرجال «فآذوهما» بالسب والضرب بالنعال «فإن تابا» منها «وأصلحا» العمل «فأعرضوا عنهما» ولا تؤذوهما «إن الله كان توَّابا» على من تاب «رحيما» به وهذا منسوخ بالحد إن أريد بها الزنا وكذا إن أريد بها اللواط عن الشافعي لكن المفعول به لا يرجم عنده وإن كان محصنا بل يجلد ويغرب وإرادةُ اللواط أظهر بدليل تثنية الضمير والأول أراد الزاني والزانية ويرده تبيينهما بمن المتصلة بضمير الرجال واشتراكهما في الأذى والتوبة والإعراض وهو مخصوص بالرجال لما تقدم في النساء من الحبس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19218','chapter_id' => '4','chapter_detail_id' => '510','translator_id' => '4','verse_number' => '17','translate_name' => '«إنما التوبة على الله» أي التي كتب على نفسه قبولها بفضله «للذين يعملون السوء» المعصية «بجهالة» حال أي جاهلين إذا عصوا ربهم «ثم يتوبون من» زمن «قريب» قبل أن يغرغروا «فأولئك يتوب الله عليهم» يقبل توبتهم «وكان الله عليما» بخلقه «حكيما» في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19219','chapter_id' => '4','chapter_detail_id' => '511','translator_id' => '4','verse_number' => '18','translate_name' => '«وليست التوبة للذين يعملون السيئات» الذنوب «حتى إذا حضر أحدهم الموتُ» وأخذ في النزع «قال» عند مشاهدة ما هو فيه «إنِّي تبت الآن» فلا ينفعه ذلك ولا يقبل منه «ولا الذين يموتون وهم كفار» إذا تابوا في الآخرة عند معاينة العذاب لا تقبل منهم «أولئك أعتدنا» أعددنا «لهم عذابا أليما» مؤلما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19220','chapter_id' => '4','chapter_detail_id' => '512','translator_id' => '4','verse_number' => '19','translate_name' => '«يا أيُّها الذين آمنوا لا يحلُّ لكم أن ترثوا النساء» أي ذاتهن «كرها» بالفتح والضم لغتان أي مكرهيهن على ذلك كانوا في الجاهلية يرثون نساء أقربائهم فإن شاءوا تزوجوهن بلا صداق أو زوَّجوهن وأخذوا صداقهن أو عضلوهن حتى يفتدين بما ورثنه أو يمتن فيرثوهن فنُهوا عن ذلك «ولا» أن «تعضلوهن» أي تمنعوا أزواجكم عن نكاح غيركم بإمساكهن ولا رغبة لكم فيهن ضرارا «لتذهبوا ببعض ما آتيتموهن» من المهر «إلا أن يأتين بفاحشة مبيَّنة» بفتح الياء وكسرها أي بينت أو هي بينة أي زنا أو نشوز فلكم أن تضاروهن حتى يفتدين منكم ويختلعن «وعاشروهن بالمعروف» أي بالإجمال في القول والنفقة والمبيت «فإن كرهتموهن» فاصبروا «فعسى أن تكرهوا شيئا ويجعل الله فيه خيرا كثيرا» ولعله يجعل فيهن ذلك بأن يرزقكم منهن ولدا صالحا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19221','chapter_id' => '4','chapter_detail_id' => '513','translator_id' => '4','verse_number' => '20','translate_name' => '«وإن أردتم استبدال زوج مكان زوج» أي أخذها بدلها بأن طلقتموها «و» قد «آتيتم إحداهن» أي الزوجات «قنطارا» مالا كثيرا صداقا «فلا تأخذوا منه شيئا أتأخُذُونهُ بهتانا» ظلما «وإثما مبينا» بينا ونصبهما على الحال، والاستفهامُ للتوبيخ وللإنكار في قوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19222','chapter_id' => '4','chapter_detail_id' => '514','translator_id' => '4','verse_number' => '21','translate_name' => '«وكيف تأخذونه» أي بأي وجه «وقد أفضى» وصل «بعضكم إلى بعض» بالجماع المقرر للمهر «وأخذن منكم ميثاقا» عهدا «غليظا» شديدا وهو ما أمر الله به من إمساكهن بمعروف أو تسريحهن بإحسان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19223','chapter_id' => '4','chapter_detail_id' => '515','translator_id' => '4','verse_number' => '22','translate_name' => '«ولا تنكحوا ما» بمعنى من «نكح آباؤكم من النساء إلا» لكن «ما قد سلف» من فعلكم ذلك فانه معفوّ عنه «إنه» أي نكاحهن «كان فاحشة» قبيحا «ومقتا» سببا للمقت من الله وهو أشد البغض «وساء» بئس «سبيلا» طريقا ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19224','chapter_id' => '4','chapter_detail_id' => '516','translator_id' => '4','verse_number' => '23','translate_name' => '(حرمت عليكم أمهاتكم) أن تنكحوهن وشملت الجدات من قبل الأب أو الأم (وبناتكم) وشملت بنات الأولاد وإن سفلن (وأخواتكم) من جهة الأب أو الأم (وعماتكم) أي أخوات آبائكم وأجدادكم (وخالاتكم) أي أخوات أمهاتكم وجداتكم (وبنات الأخ وبنات الأخت) ويدخل فيهن أولادهم (وأمهاتكم اللاتي أرضعنكم) قبل استكمال الحولين خمس رضعات كما بينه الحديث (وأخواتكم من الرضاعة) ويلحق بذلك بالسنة البنات منها وهن من أرضعتهم موطوأته والعمات والخالات وبنات الأخ وبنات الأخت منها لحديث: "" يحرم من الرضاع ما يحرم من النسب "" رواه البخاري ومسلم (وأمهات نسائكم وربائبكم) جمع ربيبة وهي بنت الزوجة من غيره (اللاتي في حجوركم) تربونهن. صفة موافقة للغالب فلا مفهوم لها (من نسائكم اللاتي دخلتم بهن) أي جامعتموهن (فإن لم تكونوا دخلتم بهن فلا جناح عليكم) في نكاح بناتهن إذا فارقتموهن (وحلائل) أزواج (أبنائكم الذين من أصلابكم) بخلاف من تبنيتموهم فلكم نكاح حلائلهم (وأن تجمعوا بين الأختين) من نسب أو رضاع بالنكاح ويلحق بهما بالسنة الجمع بينها وبين عمتها أو خالتها ويجوز نكاح كل واحدة على الانفراد وملكهما معا ويطأ واحدة (إلا) لكن (ما قد سلف) في الجاهلية من نكاحهم بعض ما ذكر فلا جناح عليكم فيه (إن الله كان غفورا) لما سلف منكم قبل النهي (رحيما) بكم في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19225','chapter_id' => '4','chapter_detail_id' => '517','translator_id' => '4','verse_number' => '24','translate_name' => '«و» حرمت عليكم «المحصَنات» أي ذوات الأزواج «من النساء» أن تنكحوهن قبل مفارقة أزواجهن حرائر مسلمات كن أو لا «إلا ما ملكت أيمانكم» من الإماء بالسبي فلكم وطؤهن وإن كان لهن أزواج في دار الحرب بعد الاستبراء «كتاب الله» نصب على المصدر أي كتب ذلك «عليكم وَأحلَّ» بالبناء للفاعل والمفعول «لكم ما وراء ذلكم» أي سوى ما حرم عليكم من النساء «أن تبتغوا» تطلبوا النساء «بأموالكم» بصداق أو ثمن «محصنين» متزوجين «غير مسافحين» زانين «فما» فمن «استمتعتم» تمتعتم «به منهن» ممن تزوجتم بالوطء «فآتوهن أجورهن» مهورهن التي فرضتم لهن «فريضة ولا جناح عليكم فيما تراضيتم» أنتم وهن «به من بعد الفريضة» من حطها أو بعضها أو زيادة عليها «إن الله كان عليما» بخلقه «حكيما» فيما دبره لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19226','chapter_id' => '4','chapter_detail_id' => '518','translator_id' => '4','verse_number' => '25','translate_name' => '(ومن لم يستطع منكم طولا) أي غنى لـ (أن ينكح المحصنات) الحرائر (المؤمنات) هو جري على الغالب فلا مفهوم له (فمن ما ملكت أيمانكم) ينكح (من فتياتكم المؤمنات والله أعلم بإيمانكم) فاكتفوا بظاهره وكِلوا السرائر إليه فإنه العالم بتفضيلها ورب أمة تفضل حرة فيه وهذا تأنيس بنكاح الإماء (بعضكم من بعض) أي أنتم وهن سواء في الدين فلا تستنكفوا من نكاحهن (فانكحوهن بإذن أهلهن) مواليهن (وآتوهن) أعطوهن. (أجورهن) مهورهن (بالمعروف) من غير مطل ونقص (محصنات) عفائف حال (غير مسافحات) زانيات جهرا (ولا متخذات أخذان) أخلاء يزنون بهن سرا (فإذا أحصن) زوجن وفي قراءة بالبناء للفاعل تزوجن (فإن أتين بفاحشة) زنا (فعليهن نصف ما على المحصنات) الحرائر الأبكار إذا زنين (من العذاب) الحد فيجلدن خمسين ويغربن نصف سنة ويقاس عليهن العبيد ولم يجعل الإحصان شرطا لوجوب الحد لإفادة أنه لا رجم عليهن أصلا (ذلك) أي نكاح المملوكات عند عدم الطول (لمن خشي) خاف (العنت) الزنا وأصله المشقة سمي به الزنا لأنه سببها بالحد في الدنيا والعقوبة في الآخرة (منكم) بخلاف من لا يخافه من الأحرار فلا يحل له نكاحها وكذا من استطاع طول حرة وعليه الشافعي وخرج بقوله "" من فتياتكم المؤمنات "" الكافرات: فلا يحل له نكاحها ولو عدل وخاف (وأن تصبروا) عن نكاح المملوكات (خير لكم) لئلا يصير الولد رقيقا (والله غفور رحيم) بالتوسعة في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19227','chapter_id' => '4','chapter_detail_id' => '519','translator_id' => '4','verse_number' => '26','translate_name' => '«يريد الله ليبين لكم» شرائع دينكم ومصالح أمركم «ويهديكم سنن» طرائق «الذين من قبلكم» من الأنبياء في التحليل والتحريم فتتَّبعوهم «وينوب عليكم» يرجع بكم عن معصيته التي كنتم عليها إلى طاعته «والله عليم» بكم «حكيم» فيما دبره لكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19228','chapter_id' => '4','chapter_detail_id' => '520','translator_id' => '4','verse_number' => '27','translate_name' => '«والله يريد أن يتوب عليكم» كرره ليبنى عليه «ويريد الذين يتبعون الشهوات» اليهود والنصارى أو المجوس أو الزناة «أن تميلوا ميلا عظيما» تعدلوا عن الحق بارتكاب ما حُرم عليكم فتكونوا مثلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19229','chapter_id' => '4','chapter_detail_id' => '521','translator_id' => '4','verse_number' => '28','translate_name' => '«يريد الله أن يخفف عنكم» يسهل عليكم أحكام الشرع «وخلق الإنسان ضعيفا» لا يصبر عن النساء والشهوات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19230','chapter_id' => '4','chapter_detail_id' => '522','translator_id' => '4','verse_number' => '29','translate_name' => '«يا أيها الذين آمنوا لا تأكلوا أموالكم بينكم بالباطل» بالحرام في الشرع كالربا والغصب «إلا» لكن «أن تكون» تقع «تجارة» وفي قراءة بالنصب أن تكون الأموال أموال تجارة صادرة «عن تراضى منكم» وطيب نفس فلكم أن تأكلوها «ولا تقتلوا أنفسكم» بارتكاب ما يؤدي إلى هلاكها أيّا كان في الدنيا أو الآخرة بقرينة «إن الله كان بكم رحيما» في منعه لكم من ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19231','chapter_id' => '4','chapter_detail_id' => '523','translator_id' => '4','verse_number' => '30','translate_name' => '«ومن يفعل ذلك» أي ما نُهي عنه «عُدوانا» تجاوزا للحلال حال «وظلما» تأكيد «فسوف نصليه» ندخله «نارا» يحترق فيها «وكان ذلك على الله يسيرا» هيِّنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19232','chapter_id' => '4','chapter_detail_id' => '524','translator_id' => '4','verse_number' => '31','translate_name' => '«إن تجتنبوا كبائر ما تنهون عنه» وهي ما ورد عليها وعيد كالقتال والزنا والسرقة وعن ابن عباس هي إلى السبعمائة أقرب «نكفِّر عنكم سيِّئاتكم» الصغائر بالطاعات «وندخلكم مُدخلا» بضم الميم وفتحها أي إدخالا أو موضعا «كريما» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19233','chapter_id' => '4','chapter_detail_id' => '525','translator_id' => '4','verse_number' => '32','translate_name' => '«ولا تتمنَّوا ما فضَّل الله به بعضكم على بعض» من جهة الدنيا أو الدين لئلا يؤدى إلى التحاسد والتباغض «للرجال نصيب» ثواب «مما اكتسبوا» بسبب ما عملوا من الجهاد وغيره «وللنساء نصيب مما اكتسبن» من طاعة أزواجهن وحفظ فروجهن نزلت لما قالت أم سلمة: ليتنا كنا رجالا فجاهدنا وكان لنا مثل أجر الرجال «واسألوا» بهمزة ودونها «الله من فضله» ما احتجتم إليه يعطكم «إن الله كان بكل شيء عليما» ومنه محل الفضل وسؤالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19234','chapter_id' => '4','chapter_detail_id' => '526','translator_id' => '4','verse_number' => '33','translate_name' => '«ولكلٌ» عن الرجال والنساء «جعلنا موالي» عصبة يعطون «مما ترك الوالدان والأقربون» لهم من المال «والذين عاقدت» بألف ودونها «أيمانكم» جمع يمين بمعنى القسم أو اليد أي الخلفاء الذين عاهدتموهم في الجاهلية على النصرة والإرث «فآتوهم» الآن «نصيبهم» حظوظهم من الميراث وهو السدس «إن الله على كل شيء شهيدا» مطلعا ومنه حالكم وهذا منسوخ بقوله (وأولوا الأرحام بعضهم أول ببعض).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19235','chapter_id' => '4','chapter_detail_id' => '527','translator_id' => '4','verse_number' => '34','translate_name' => '«الرِّجال قوَّامون» مسلطون «على النساء» يؤدبونهن ويأخذون على أيديهن «بما فضَّل الله بعضهم على بعض» أي بتفضيله لهم عليهن بالعلم والعقل والولاية وغير ذلك «وبما أنفقوا» عليهن «من أموالهم فالصالحات» منهن «قانتات» مطيعات لأزواجهن «حافظات للغيب» أي لفروجهن وغيرها في غيبة أزواجهن «بما حفظ» لهن «اللهُ» حيث أوصى عليهن الأزواج «والَّتي تخافون نشوزهن» عصيانهن لكم بأن ظهرت أمارته «فعظوهن» فخوِّفوهن الله «واهجروهن في المضاجع» اعتزلوا إلى فراش آخر إن أظهرن النشوز «واضربوهن» ضربا غير مبرح إن لم يرجعن بالهجران «فإن أطعنكم» فيما يراد منهن «فلا تبغوا» تطلبوا «عليهن سبيلا» طريقا إلى ضربهن ظلما «إن الله كان عليا كبيرا» فاحذروه أن يعاقبكم إن ظلمتموهن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19236','chapter_id' => '4','chapter_detail_id' => '528','translator_id' => '4','verse_number' => '35','translate_name' => '«وإن خفتم» علمتم «شقاق» خلاف «بينهما» بين الزوجين والإضافة للاتساع أي شقاقا بينهما «فابعثوا» إليهما برضاهما «حكما» رجلا عدلا «من أهله» أقاربه «وحكما من أهلها» ويوكل الزوج حكمه في طلاق وقبول عوض عليه وتوكل هي حكمها في الاختلاع فيجتهدان ويأمران الظالم بالرجوع أو يُفَرِّقَان إن رأياه، قال تعالى: «إن يريدا» أي الحكمان «إصلاحا يوفِّق الله بينهما» بين الزوجين أي يقدرهما على ما هو الطاعة من إصلاح أو فراق «إن الله كان عليما» بكل شيء «خبيرا» بالبواطن كالظواهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19237','chapter_id' => '4','chapter_detail_id' => '529','translator_id' => '4','verse_number' => '36','translate_name' => '«واعبدوا الله» وحِّدوه «ولا تُشركوا به شيئا و» أحسنوا «بالوالدين إحسانا» برّا ولين جانب «وبذي القربى» القرابة «واليتامى والمساكين والجار ذي القربى» القريب منك في الجوار أو النسب «والجار الجُنُب» البعيد عنك في الجوار أو النسب «والصاحب بالجنب» الرفيق في سفر أو صناعة وقيل الزوجة «وابن السبيل» المنقطع في سفره «وما ملكت أيمانكم» من الأرقاء «إن الله لا يحب من كان مختالا» متكبرا «فخورا» على الناس بما أوتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19238','chapter_id' => '4','chapter_detail_id' => '530','translator_id' => '4','verse_number' => '37','translate_name' => '«الذين» مبتدأ «يبخلون» بما يجب عليهم «ويأمرون الناس بالبخل» به «ويكتمون ما آتاهم الله من فضله» من العلم والمال وهم اليهود وخبر المبتدأ لهم وعيد شديد «وأعتدنا للكافرين» بذلك وبغيره «عذابا مهينا» ذا إهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19239','chapter_id' => '4','chapter_detail_id' => '531','translator_id' => '4','verse_number' => '38','translate_name' => '«والذين» عطف على الذين قبله «ينفقون أموالهم رئاء الناس» مرائين لهم «ولا يؤمنون بالله ولا باليوم الآخر» كالمنافقين وأهل مكة «ومن يكن الشيطان له قرينا» صاحبا يعمل بأمره كهؤلاء «فساء» بئس «قرينا» هو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19240','chapter_id' => '4','chapter_detail_id' => '532','translator_id' => '4','verse_number' => '39','translate_name' => '«وماذا عليهم لو آمنوا بالله واليوم الآخر وأنفقوا مما رزقهم الله» أي أيّ ضرر عليهم في ذلك والاستفهام للإنكار ولو مصدرية أي لا ضرر فيه وإنما الضرر فيما هم عليه «وكان الله بهم عليما» فيجازيهم بما عملوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19241','chapter_id' => '4','chapter_detail_id' => '533','translator_id' => '4','verse_number' => '40','translate_name' => '«إن الله لا يظلم» أحدا «مثقال» وزن «ذرَّة» أصغر نملة بأن ينقصها من حسناته أو يزيدها في سيئاته «وإن تك» الذرة «حسنة» من مؤمن وفي قراءة بالرفع فكان تامة «يضاعفها» من عشر إلى أكثر من سبعمائة وفي قراءة يضعفها بالتشديد «ويؤت من لدنه» من عنده مع المضاعفة «أجرا عظيما» لا يقدِّره أحد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19242','chapter_id' => '4','chapter_detail_id' => '534','translator_id' => '4','verse_number' => '41','translate_name' => '«فكيف» حال الكفـار «إذا جئنا من كل أمة بشهيد» يشهد عليها بعملها وهو نبيها «وجئنا بك» يا محمد «على هؤلاء شهيدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19243','chapter_id' => '4','chapter_detail_id' => '535','translator_id' => '4','verse_number' => '42','translate_name' => '«يومئذ» يوم المجيء «يود الذين كفروا وعصوا الرَّسول لو» أي أن «تُسَوَّى» بالبناء للمفعول والفاعل مع حذف إحدى التاءين في الأصل ومع إدغامها في السين أي تتسوى «بهم الأرض» بأن يكونوا ترابا مثلها لعظم هوله كما في آية أخرى (ويقول الكافر يا ليتنى كنت ترابا) «ولا يكتمون الله حديثا» عما عملوه وفي وقت آخر يكتمونه ويقولون (والله ربِّنا ما كنا مشركين).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19244','chapter_id' => '4','chapter_detail_id' => '536','translator_id' => '4','verse_number' => '43','translate_name' => '«يا أيها الذين آمنوا لا تقربوا الصلاة» أي لا تصلوا «وأنتم سكارى» من الشراب لأن سبب نزولها صلاة جماعة في حال سكر «حتى تعلموا ما تقولون» بأن تصْحوا «ولا جُنُبا» بإيلاج أو إنزال ونصبه على الحال وهو يطلق على المفرد وغيره «إلا عابري» مجتازي «سبيل» طريق أي مسافرين «حتى تغتسلوا» فلكم أن تصلوا واستثناء المسافر لأن له حكما آخر سيأتي وقيل المراد النهي عن قربان مواضع الصلاة أي المساجد إلا عبورها من غير مكث «وإن كنتم مرضى» مرضا يضره الماء «أو على سفر» أي مسافرين وأنتم جنب أو محدثون «أو جاء أحد منكم من الغائط» هو المكان المعَدُّ لقضاء الحاجة أي أحدث «أو لامستم النساء» وفي قراءة بلا ألف وكلاهما بمعنى اللمس هو الجَسُّ باليد قاله ابن عمر وعليه الشافعى وألحق به الجس بباقي البشرة وعن ابن عباس هو الجماع «فلم تجدوا ماءً» تتطهرون به للصلاة بعد الطلب والتفتيش وهو راجع إلى ما عدا المرضى «فتيمموا» اقصدوا بعد دخول الوقت «صعيدا طيبا» ترابا طاهرا فاضربوا به ضربتين «فامسحوا بوجوهكم وأيديكم» مع المرفقين منه ومسح يتعدى بنفسه وبالحرف «إن الله كان عفوا غفورا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19245','chapter_id' => '4','chapter_detail_id' => '537','translator_id' => '4','verse_number' => '44','translate_name' => '«ألم تر إلى الذين أوتوا نصيبا» حظا «من الكتاب» وهم اليهود «يشترون الضلالة» بالهدى «ويريدون أن تضلوا السبيل» تخطئوا الطريق الحق لتكونوا مثلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19246','chapter_id' => '4','chapter_detail_id' => '538','translator_id' => '4','verse_number' => '45','translate_name' => '«والله أعلم بأعدائكم» منكم فيخبركم بهم لتجتنبوهم «وكفى بالله وليا» حافظا لكم منهم «وكفى بالله نصيرا» مانعا لكم من كيدهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19247','chapter_id' => '4','chapter_detail_id' => '539','translator_id' => '4','verse_number' => '46','translate_name' => '«من الذين هادوا» قوم «يحِّرفون» يغيرون «الكلم» الذي أنزل الله في التوراة من نعت محمد صلى الله عليه وسلم «عن مواضعه» التي وضع عليها «ويقولون» للنبي صلى الله عليه وسلم إذا أمرهم بشيء «سمعنا» قولك «وعصينا» أمرك «واسمع غير مُسمع» حال بمعنى الدعاء أي لا سمعت «و» يقولون له «راعنا» وقد نهى عن خطابه وهي كلمة سب بلغتهم «ليٌا» تحريفا «بألسنتهم وطعنا» قدحا «في الدين» الإسلام «ولو أنهم قالوا سمعنا وأطعنا» بذل وعصينا «واسمع» فقط «وانظرنا» انظر إلينا بدل راعنا «لكان خيرا لهم» مما قالوه «وأقوم» أعدل منه «ولكن لعنهم الله» أبعدهم عن رحمته «بكفرهم فلا يؤمنون إلا قليلا» منهم كعبد الله بن سلام وأصحابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19248','chapter_id' => '4','chapter_detail_id' => '540','translator_id' => '4','verse_number' => '47','translate_name' => '«يا أيها الذين أوتوا الكتاب آمنوا بما نزّلنا» من القرآن «مصدّقا لما معكم» من التوراة «من قبل أن نطمس وجوها» نمحو ما فيها من العين والأنف والحاجب «فنردها على أدبارها» فنجعلها كالأقفاء لوحا واحدا «أو نلعنهم» نمسخهم قردة «كما لعنَّا» مسخنا «أصحاب السبت» منهم «وكان أمر الله» قضاؤه «مفعولا» ولما نزلت أسلم عبد الله بن سلام فقيل كان وعيدا بشرط فلما أسلم به ببعضهم رفع وقيل يكون طمس ومسح قبل قيام الساعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19249','chapter_id' => '4','chapter_detail_id' => '541','translator_id' => '4','verse_number' => '48','translate_name' => '«إن الله لا يغفر أن يُشرك» أي الإشراك «به ويغفر ما دون» سوى «ذلك» من الذنوب «لمن يشاء» المغفرة له بأن يدخله الجنة بلا عذاب ومن شاء عذّبه من المؤمنين بذنوبه ثم يدخله الجنة «ومن يشرك بالله فقد افترى إثما» ذنبا «عظيما» كبيرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19250','chapter_id' => '4','chapter_detail_id' => '542','translator_id' => '4','verse_number' => '49','translate_name' => '«ألم تر إلى الذين يزكُون أنفسهم» وهم اليهود حيث قالوا نحن أبناء الله وأحباؤه أي ليس الأمر بتزكيتهم أنفسهم «بل الله يزكّي» يطهر «من يشاء» بالإيمان «ولا يُظلمون» ينقصون من أعمالهم «فتيلا» قدر قشرة النواة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19251','chapter_id' => '4','chapter_detail_id' => '543','translator_id' => '4','verse_number' => '50','translate_name' => '«اُنظر» متعجبا «كيف يفترون على الله الكذب» بذلك «وكفى به إثما مبينا» بيِّنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19252','chapter_id' => '4','chapter_detail_id' => '544','translator_id' => '4','verse_number' => '51','translate_name' => 'ونزل في كعب بن الأشرف ونحوه من علماء اليهود لما قدموا مكة وشاهدوا قتلى بدر وحرضوا المشركين على الأخذ بثأرهم ومحاربة النبي صلى الله عليه وسلم «ألم تر إلى الذين أوتوا نصيبا من الكتاب يؤمنون بالجبت والطاغوت» صنمان لقريش «ويقولون للذين كفروا» أبي سفيان وأصاحبه حين قالوا لهم: نحن أهدى سبيلا ونحن ولاة البيت نسقي الحاج ونقري الضيف ونفك العاني ونفعل... أم محمد وقد خالف دين آبائه وقطع الرحم وفارق الحرم «هؤلاء» أي أنتم «أهدى من الذين آمنوا سبيلا» أقوم طريقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19253','chapter_id' => '4','chapter_detail_id' => '545','translator_id' => '4','verse_number' => '52','translate_name' => '«أولئك الذين لعنهم الله ومن يلعنـ» ـه «الله فلن تجد له نصيرا» مانعا من عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19254','chapter_id' => '4','chapter_detail_id' => '546','translator_id' => '4','verse_number' => '53','translate_name' => '«أم» بل «لهم نصيب من الملك» أي ليس لهم شيء منه ولو كان «فإذا لا يؤتون الناس نقيرا» أي شيئا تافها قدر النقرة في ظهر النواة لفرط بخلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19255','chapter_id' => '4','chapter_detail_id' => '547','translator_id' => '4','verse_number' => '54','translate_name' => '«أم» بل «يحسدون الناس» أي النبي صلى الله عليه وسلم «على ما آتاهم الله من فضله» من النبوة وكثرة النساء، أي يتمنون زواله عنه ويقولون لو كان نبيا لاشتغل عن النساء «فقد آتينا آل إبراهيم» جده كموسى وداود وسليمان «الكتاب والحكمة» والنبوة «وآتيناهم ملكا عظيما» فكان لداود تسع وتسعون امرأة ولسليمان ألف ما بين حُرَّةِ وسرية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19256','chapter_id' => '4','chapter_detail_id' => '548','translator_id' => '4','verse_number' => '55','translate_name' => '«فمنهم من آمن به» بمحمد صلى الله عليه وسلم «ومنهم من صدَّ» أعرض «عنه» فلم يؤمن «وكفي بجهنم سعيرا» عذابا لمن لا يؤمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19257','chapter_id' => '4','chapter_detail_id' => '549','translator_id' => '4','verse_number' => '56','translate_name' => '«إن الذين كفروا بآياتنا سوف نصليهم» ندخلهم «نارا» يحترقون فيها «كلما نضجت» احترقت «جلودهم بدَّلناهم جلودا غيرها» بأن تعاد إلى حالها الأول غير محترقة «ليذوقوا العذاب» ليقاسوا شدته «إن الله كان عزيزا» لا يعجزه شيء «حكيما» في خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19258','chapter_id' => '4','chapter_detail_id' => '550','translator_id' => '4','verse_number' => '57','translate_name' => '«والذين آمنوا وعملوا الصالحات سندخلهم جنات تجري من تحتها الأنهار خالدين فيها أبدا لهم فيها أزواج مطهرة» من الحيض وكل قذر «وندخلهم ظلا ظليلا» دائما لا تنسخه شمس وهو ظل الجنة,','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19259','chapter_id' => '4','chapter_detail_id' => '551','translator_id' => '4','verse_number' => '58','translate_name' => '«إن الله يأمركم أن تؤدوا الأمانات» أي ما اؤتمن عليه من الحقوق «إلى أهلها» نزلت لما أخذ عليّ رضي الله عنه مفتاح الكعبة من عثمان بن طلحة الحجبي سادنها قسرا لما قدم النبي صلى الله عليه وسلم مكة عام الفتح ومنعه وقال لو علمت أنه رسول الله لم أمنعه فأمر رسول الله صلى الله عليه وسلم برده إليه وقال هاك خالدة تالدة فعجب من ذلك فقرأ له عليُّ الآية، فأسلم وأعطاه عند موته لأخيه شيبة فبقي في ولده والآيةُ وإن وردت على سبب خاص فعمومها معتبر بقرينة الجمع «وإذا حكمتم بين الناس» يأمركم «أن تحكموا بالعدل إن الله نعمَّا» فيه إدغام ميم نعم في ما النكرة الموصولة أي نعم شيئا «يعظكم به» تأدية الأمانة والحكم بالعدل «إن الله كان سميعا» لما يقال «بصيرا» بما يفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19260','chapter_id' => '4','chapter_detail_id' => '552','translator_id' => '4','verse_number' => '59','translate_name' => '«يا أيها الذين آمنوا أطيعوا الله وأطيعوا الرسول وأولي» وأصحاب «الأمر» أي الولاة «منكم» إذا أمروكم بطاعة الله ورسوله «فإن تنازعتم» اختلفتم «في شيء فردوه إلى الله» أي إلى كتابه «والرسول» مدة حياته وبعده إلى سنته أي اكشفوا عليه منهما «إن كنتم تؤمنون بالله واليوم الآخر ذلك» أي الرد إليهما «خير» لكم من التنازع والقول بالرأي «وأحسن تأويلاً» مآلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19261','chapter_id' => '4','chapter_detail_id' => '553','translator_id' => '4','verse_number' => '60','translate_name' => 'ونزل لما اختصم يهودي ومنافق فدعا المنافق إلى كعب بن الأشرف ليحكم بينهما ودعا اليهودي إلى النبي صلى الله عليه وسلم فأتياه فقضى لليهودي فلم يرض المنافق وأتيا عمر فذكر اليهودي ذلك فقال للمنافق أكذلك فقال نعم فقتله «ألم ترَ إلى الذين يزعمون أنهم آمنوا بما أنزل إليك وما أُنزل من قبلك يريدون أن يتحاكموا إلى الطاغوت» الكثير الطغيان وهو كعب بن الأشرف «وقد أمروا أن يكفروا به» ولا يوالوه «ويريد الشيطان أن يضلَّهم ضلالا بعيدا» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19262','chapter_id' => '4','chapter_detail_id' => '554','translator_id' => '4','verse_number' => '61','translate_name' => '«وإذا قيل لهم تعالوا إلى ما أنزل الله» في القرآن من الحكم «وإلى الرسول» ليحكم بينكم «رأيت المنافقين يصدون» يُعرضون «عنك» إلى غيرك «صدودا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19263','chapter_id' => '4','chapter_detail_id' => '555','translator_id' => '4','verse_number' => '62','translate_name' => '«فكيف» يصنعون «إذا أصابتهم مصيبة» عقوبة «بما قدّمت أيديهم» من الكفر والمعاصي أي أيقدرون على الإعراض والفرار منها؟ لا «ثم جَاءُوك» معطوف على يصدون «يحلفون بالله إن» ما «أردنا» بالمحاكمة إلى غيرك «إلا إحسانا» صلحا «وتوفيقا» تأليفا بين الخصمين بالتقريب في الحكم دون الحمل على مر الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19264','chapter_id' => '4','chapter_detail_id' => '556','translator_id' => '4','verse_number' => '63','translate_name' => '«أولئك الذين يعلم الله ما في قلوبهم» من النفاق وكذبهم في عذرهم «فأعرض عنهم» بالصفح «وعِظهم» خوِّفهم الله «وقل لهم في» شأن «أنفسهم قولا بليغا» مؤثرا فيهم أي أزجرهم ليرجعوا عن كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19265','chapter_id' => '4','chapter_detail_id' => '557','translator_id' => '4','verse_number' => '64','translate_name' => '«وما أرسلنا من رسول إلا ليُطاع» فيما يأمر به ويحكم «بإذن الله» بأمره لا ليعصى ويخالف «ولو أنهم إذ ظلموا أنفسهم» بتحاكمهم إلى الطاغوت «جاءُوك» تائبين «فاستغفروا الله واستغفر لهم الرسول» فيه التفات عن الخطاب تفخيما لشأنه «لوجدوا الله توَابا» عليهم «رحيما» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19266','chapter_id' => '4','chapter_detail_id' => '558','translator_id' => '4','verse_number' => '65','translate_name' => '«فلا وربِّك» لا زائدة «لا يؤمنون حتى يحكِّموك فيما شجر» اختلط «بينهم ثم لا يجدوا في أنفسهم حرجا» ضيقا أو شكٌا «مما قضيت» به «ويسلِّموا» ينقادوا لحكمك «تسليما» من غير معارضة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19267','chapter_id' => '4','chapter_detail_id' => '559','translator_id' => '4','verse_number' => '66','translate_name' => '«ولو أنا كتبنا عليهم أن» مفسرة «اقتلوا أنفسكم أو اخرجوا من دياركم» كما كتبنا على بني إسرائيل «ما فعلوه» أي المكتوب عليهم «إلا قليل» بالرفع على البدل والنصب على الاستثناء «منهم ولو أنهم فعلوا ما يوعَظون به» من طاعة الرسول صلى الله عليه وسلم «لكان خيرا لهم وأشد تثبيتا» تحقيقا لإيمانهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19268','chapter_id' => '4','chapter_detail_id' => '560','translator_id' => '4','verse_number' => '67','translate_name' => '«وإذا» أي لو ثبتوا «لآتيناهم من لدَّنا» من عندنا «أجرا عظيما» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19269','chapter_id' => '4','chapter_detail_id' => '561','translator_id' => '4','verse_number' => '68','translate_name' => '«ولهديناهم صراطا مستقيما» قال بعض الصحابة للنبي صلى الله عليه وسلم كيف نراك في الجنة وأنت في الدرجات العلى ونحن أسفل منك فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19270','chapter_id' => '4','chapter_detail_id' => '562','translator_id' => '4','verse_number' => '69','translate_name' => '«ومن يطع الله والرسول» فيما أمر به «فأولئك مع الذين أنعم الله عليهم من النبيين والصديقين» أفاضل أصحاب الأنبياء لمبالغتهم في الصدق والتصديق «والشهداء» القتلى في سبيل الله «والصالحين» غير من ذكر «وحسُن أولئك رفيقا» رفقاء في الجنة بأن يستمتع فيها برؤيتهم وزيارتهم والحضور معهم وإن كان مقرهم في الدرجات العالية بالنسبة إلى غيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19271','chapter_id' => '4','chapter_detail_id' => '563','translator_id' => '4','verse_number' => '70','translate_name' => '«ذلك» أي كونهم مع ذكر مبتدأ خبره «الفضل من الله» تفضل به عليهم لا أنهم نالوه بطاعتهم «وكفى بالله عليما» بثواب الآخرة أي فثقوا بما أخبركم به (ولا ينبئك مثل خبير).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19272','chapter_id' => '4','chapter_detail_id' => '564','translator_id' => '4','verse_number' => '71','translate_name' => '«يا أيها الذين آمنوا خذوا حذركم» من عدوكم أي احترزوا منه وتيقظوا له «فانفروا» انهضوا إلى قتاله «ثُبَاتٍ» متفرقين سرية بعد أخرى «أو انفروا جميعا» مجتمعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19273','chapter_id' => '4','chapter_detail_id' => '565','translator_id' => '4','verse_number' => '72','translate_name' => '«وإنَّ منكم لمن ليبطئنَّ» ليتأخرن عن القتال كعبد الله بن أبيّ المنافق وأصحابه وجعله منهم من حيث الظاهر واللام في الفعل للقسم «فإن أصابتكم مصيبة» كقتل وهزيمة «قال قد أنعم الله علىَّ إذ لم أكن معهم شهيدا» حاضرا فأصاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19274','chapter_id' => '4','chapter_detail_id' => '566','translator_id' => '4','verse_number' => '73','translate_name' => '«ولئن» لام قسم «أصابكم فضل من الله» كفتح وغنيمة «لَيَقُولَنَّ» نادما «كأن» مخففة واسمها محذوف أي كأنه «لم يكن» بالياء والتاء «بينكم وبينه مودة» معرفة وصداقة وهذا راجع إلى قوله (قد أنعم الله علىَّ)، اعترض به بين القول ومقوله وهو «يا» للتنبيه «ليتني كنت معهم فأفوزَ فوزا عظيما» آخذ حظا وافرا من الغنيمة قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19275','chapter_id' => '4','chapter_detail_id' => '567','translator_id' => '4','verse_number' => '74','translate_name' => '«فليقاتل في سبيل الله» لإعلاء دينه «الذين يشرون» يبيعون «الحياة الدنيا بالآخرة ومن يقاتل في سبيل الله فيُقتل» يستشهد «أو يَغلب» يظفر بعدوه «فسوف نؤتيه أجرا عظيما» ثوابا جزيلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19276','chapter_id' => '4','chapter_detail_id' => '568','translator_id' => '4','verse_number' => '75','translate_name' => '«وما لكم لا تقاتلون» إستفهام توبيخ، أي لا مانع لكم من القتال «في سبيل الله و» في تخليص «المستضعفين من الرجال والنساء والولدان» الذين حبسهم الكفار عن الهجرة وآذوهم، قال ابن عباس رضي الله عنهما: كنت أنا وأمي منهم «الذين يقولون» داعين يا «ربنا أخرجنا من هذه القرية» مكة «الظالم أهلُها» بالكفر «واجعل لنا من لدنك» من عندك «وليّاً» يتولى أمورنا «واجعل لنا من لدنك نصيرا» يمنعنا منهم وقد استجاب الله دعاءهم فيَسَّر لبعضهم الخروج وبقي بعضهم إلى أن فتحت مكة ووَلَّى صلى الله عليه وسلم عتاب بن أسيد فأنصف مظلومهم من ظالمهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19277','chapter_id' => '4','chapter_detail_id' => '569','translator_id' => '4','verse_number' => '76','translate_name' => '«الذين آمنوا يقاتلون في سبيل الله والذين كفروا يقاتلون في سبيل الطاغوت» الشيطان «فقاتلوا أولياء الشيطان» أنصار دينه تغلبوهم لقوتكم بالله «إن كيد الشيطان» بالمؤمنين «كان ضعيفا» واهيا لا يقاوم كيد الله بالكافرين','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19278','chapter_id' => '4','chapter_detail_id' => '570','translator_id' => '4','verse_number' => '77','translate_name' => '«ألم تر إلى الذين قيل لهم كفُّوا أيديكم» عن قتال الكفار لما طلبوه بمكة لأذى الكفار لهم وهم جماعة من الصحابة «وأقيموا الصلاة وآتوا الزكاة فلما كُتب» فرض «عليهم القتال إذا فريق منهم يخشون» يخافون «الناس» الكفار، أي عذابهم بالقتل «كَخَشْيَتـ» ـهم عذاب «الله أو أشدَّ خشية» من خشيتهم له ونصب أشد على الحال وجواب لما دل عليه إذا وما بعدها أي فاجأتهم الخشية «وقالوا» جزعا من الموت «ربَنا لم كتبت علينا القتال لولا» هلاّ «أخَّرتنا إلى أجل قريب قل» لهم «متاعُ الدنيا» ما يتمتع به فيها أو الاستمتاع بها «قليل» آيل إلى الفناء «والآخرة» أي الجنة «خير لمن اتقى» عقاب الله بترك معصيته «ولا تُظلمون» بالتاء والياء تنقصون من أعمالكم «فتيلا» قدر قشرة النواة فجاهدوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19279','chapter_id' => '4','chapter_detail_id' => '571','translator_id' => '4','verse_number' => '78','translate_name' => '«أينما تكونوا يدرككُّم الموت ولو كنتم في بروج» حصون «مشيدة» مرتفعة فلا تخشوا القتال خوف الموت «وإن تصبهم» أي اليهود «حسنة» خصب وسعة «يقولوا هذه من عند الله وإن تصبهم سيئة» جدب وبلاء كما لهم عند قدوم النبي صلى الله عليه وسلم المدينة «يقولوا هذه من عندك» يا محمد أي بشؤمك «قل» لهم «كل» من الحسنة والسيئة «من عند الله» من قبله «فمال هؤلاء القوم لا يكادون يفقهون» أي لا يقاربون أن يفهموا «حديثا» يُلقى إليهم وما استفهام تعجب من فرط جهلهم ونفي مقاربة الفعل أشد من نفيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19280','chapter_id' => '4','chapter_detail_id' => '572','translator_id' => '4','verse_number' => '79','translate_name' => '(ما أصابك) أيها الإنسان (من حسنة) خير (فمن الله) أتتك فضلا منه (وما أصابك من سيئة) بليَّة (فمن نفسك) أتتك حيث ارتكبت ما يستوجبها من الذنوب (وأرسلناك) يا محمد (للناس رسولا) حال مؤكدة (وكفى بالله شهيدا) على رسالتك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19281','chapter_id' => '4','chapter_detail_id' => '573','translator_id' => '4','verse_number' => '80','translate_name' => '«من يطع الرسول فقد أطاع الله ومن تولى أعرض عن طاعتك فلا يهمنَّك «فما أرسلناك عليهم حفيظا» حافظا لأعمالهم بل نذيرا وإلينا أمرهم فنجازيهم وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19282','chapter_id' => '4','chapter_detail_id' => '574','translator_id' => '4','verse_number' => '81','translate_name' => '«ويقولون» أي المنافقون إذا جاءوك أمرنا «طاعةٌ» لك «فإذا برزوا» خرجوا «من عندك بيَّت طائفة منهم» بإدغام التاء في الطاء وتركه أي أضمرت «غير الذي تقول» لك في حضورك من الطاعة أي عصيانك «والله يكتب» يأمر بكتب «ما يبيِّتون» في صحائفهم ليجازوا عليه «فأعرض عنهم» بالصفح «وتوكل على الله» ثق به فانه كافيك «وكفى بالله وكيلا» مفوضا إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19283','chapter_id' => '4','chapter_detail_id' => '575','translator_id' => '4','verse_number' => '82','translate_name' => '«أفلا يتدبرون» يتأملون «القرآن» وما فيه من المعاني البديعة «ولو كان من عند غير الله لوجدوا فيه اختلافا كثيرا» تناقضا في معانيه وتباينا في نظمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19284','chapter_id' => '4','chapter_detail_id' => '576','translator_id' => '4','verse_number' => '83','translate_name' => '«وإذا جاءهم أمر» عن سرايا النبي صلى الله عليه وسلم ما حصل لهم «من الأمن» بالنصر «أو الخوف» الهزيمة «أذاعوا به» أفشَوه نزل في جماعة من المنافقين أو في ضعفاء المؤمنين كانوا يفعلون ذلك فتضعف قلوب المؤمنين ويتأذى النبي «ولو ردوه» أي الخبر «إلى الرسول وإلى أُولي الأمر منهم» أي الرأي من أكابر الصحابة أي لو سكتوا عنه حتى يخبروا به «لعَلِمَه» هل هو مما ينبغي أن يذاع أو لا «الذين يستنبطونه» يتبعونه ويطلبون علمه وهم المذيعون «منهم» من الرسول وأولي الأمر «ولولا فضل الله عليكم» بالإسلام «ورحمته» لكم بالقرآن «لاتبعتم الشيطان» فيما يأمركم به من الفواحش «إلا قليلا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19285','chapter_id' => '4','chapter_detail_id' => '577','translator_id' => '4','verse_number' => '84','translate_name' => '(فقاتل) يا محمد (في سبيل الله لا تكلف إلا نفسك) فلا تهتم بتخلفهم عنك المعنى قاتل ولو وحدك فإنك موعود بالنصر (وحرض المؤمنين) حثهم على القتال ورغبهم فيه (عسى الله أن يكف بأس) حرب (الذين كفروا والله أشد بأسا) منهم (وأشد تنكيلا) تعذبيا منهم فقال رسول الله صلى الله عليه وسلم: "" والذي نفسي بيده لأخرجن ولو وحدي "" فخرج بسبعين راكبا إلى بدر الصغرى فكف الله بأس الكفار بإلقاء الرعب في قلوبهم ومنع أبي سفيان عن الخروج كما تقدم في آل عمران.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19286','chapter_id' => '4','chapter_detail_id' => '578','translator_id' => '4','verse_number' => '85','translate_name' => '«من يشفع» بين الناس «شفاعة حسنة» موافقة للشرع «يكن له نصيب» من الأجر «منها» بسببها «ومن يشفع شفاعة سيئة» مخالفة له «يكن له كفل» نصيب من الوزر «منها» بسببها «وكان الله على كل شيء مقيتا» مقتدرا فيجازي كلَّ أحد بما عمل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19287','chapter_id' => '4','chapter_detail_id' => '579','translator_id' => '4','verse_number' => '86','translate_name' => '«وإذا حُيِّيتم بتحية» كأن قيل لكم سلام عليكم «فحيُّوا» المحيِّي «بأحسن منها» بأن تقولوا له عليك السلام ورحمة الله وبركاته «أوردُّوها» بأن تقولوا له كما قال أي الواجب أحدهما والأول أفضل «إن الله كان على كل شيء حسيبا» محاسبا فيجازي عليه ومنه ردُّ السلام وخصّت السنة الكافر والمبتدع والفاسق والمسلِّم على قاضي الحاجة ومن في الحمام والآكل فلا يجب الرد عليهم بل يكره في غير الأخير ويقال للكافر وعليك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19288','chapter_id' => '4','chapter_detail_id' => '580','translator_id' => '4','verse_number' => '87','translate_name' => '«الله لا إله إلا هو» والله «ليجمعنكم» من قبوركم «إلى» في «يوم القيامة لا ريب» لا شك «فيه ومن» أي لا أحد «أصدق من الله حديثا» قولا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19289','chapter_id' => '4','chapter_detail_id' => '581','translator_id' => '4','verse_number' => '88','translate_name' => 'ولما رجع ناس من أُحد اختلف الناس فيهم، فقال فريق اقتلهم، وقال فريق: لا، فنزل: «فما لكم» ما شأنكم صرتم «في المنافقين فئتين» «والله أركسهم» ردهم «بما كسبوا» من الكفر والمعاصي «أتريدون أن تهدوا من أضلًـ» ـه «الله» أي تعدوهم من جملة المهتدين، والاستفهام في الموضعين للإنكار «ومن يضللـ» ـه «اللهُ فلن تجد له سبيلا» طريقا إلى الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19290','chapter_id' => '4','chapter_detail_id' => '582','translator_id' => '4','verse_number' => '89','translate_name' => '«ودُّوا» تمنوا «لو تكفرون كما كفروا فتكونون» أنتم وهم «سواء» في الكفر «فلا تتخذوا منهم أولياء» توالونهم وإن أظهروا الإيمان «حتى يهاجروا في سبيل الله» هجرة صحيحة تحقق إيمانهم «فإن تَوَلَّوْا» وأقاموا على ما هم عليه «فخذوهم» بالأسر «واقتلوهم حيث وجدتموهم ولا تتخذوا منهم وليا» توالونه «ولا نصيرا» تنتصرون به على عدوكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19291','chapter_id' => '4','chapter_detail_id' => '583','translator_id' => '4','verse_number' => '90','translate_name' => '«إلا الذين يصلون» يلجئون «إلى قوم بينكم وبينهم ميثاق» عهد بالأمان لهم ولمن وصل إليهم كما عاهد النبي صلى الله عليه وسلم هلال بن عويمر الأسلمي «أو» الذين «جاَءُوكم» وقد «حَصِرَتْ» ضاقت «صدورهم» عن «أن يقاتلوكم» مع قومهم «أو يقاتلوا قومهم» معكم أي ممسكين عن قتالكم وقتالهم فلا تتعرضوا إليهم بأخذ ولا قتل وهذا ما بعده منسوخ بآية السيف «ولو شاء الله» تسليطهم عليكم «لسلطهم عليكم» بأن يقّوي قلوبهم «فلقاتلوكم» ولكنه لم يشأه فألقى في قلوبهم الرعب «فإن اعتزلوكم فلم يقاتلوكم وألقوا إليكم السَّلَمَ» الصلح أي انقادوا «فما جعل الله لكم عليهم سبيلا» طريقا بالأخذ والقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19292','chapter_id' => '4','chapter_detail_id' => '584','translator_id' => '4','verse_number' => '91','translate_name' => '«ستجدون آخرين يريدون أن يأمنوكم» بإظهار الإيمان عندكم «ويأمنوا قومهم» بالكفر إذا رجعوا إليهم وهم أسد وغطفان «كلما رُدُّوا إلى الفتنة» دعوا إلى الشرك «أركسوا فيها» وقعوا أشد وقوع «فإن لم يعتزلوكم» بترك قتالكم «و» لم «يلقوا إليكم السَّلم و» لم «يكفوا أيديهم» عنكم «فخذوهم» بالأسر «واقتلوهم حيث ثقفتموهم» وجدتموهم «وأولئكم جعلنا لكم عليهم سلطانا مبينا» برهانا بينا ظاهرً على قتلهم وسبيهم لغدرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19293','chapter_id' => '4','chapter_detail_id' => '585','translator_id' => '4','verse_number' => '92','translate_name' => '«وما كان لمؤمن أن يقتل مؤمنا» أي ما ينبغي أن يصدر منه قتل له «إلا خطئا» مخطئا في قتله من غير قصد «ومن قتل مؤمنا خطأ» بأن قصد رمي غيره كصيد أو شجرة فأصابه أو ضربه بما لا يقتل غالبا «فتحرير» عتق «رقبة» نسمة «مؤمنة» عليه «ودية مسلمة» مؤداة «إلى أهله» أي ورثة المقتول «إلا أن يصَّدقوا» يتصدقوا عليه بها بأن يعفوا عنها وبينت السنة أنها مائة من الإبل عشرون بنت مخاض وكذا بنات لبون وبنو لبون، وحقاق وجذاع وأنها على عاقلة القاتل وهم عصبته إلا الأصل والفرع موزعة عليهم على ثلاث سنين على الغني منهم نصف دينار والمتوسط ربع كل سنة فان لم يفوا فمن بيت المال فإن تعذر فعلى الجاني «فإن كان» المقتول «من قوم عدوٌ» حرب «لكم وهو مؤمن فتحرير رقبة مؤمنة» على قاتله كفارة ولا دية تسلم إلى أهله لحرابتهم «وإن كان» المقتول «من قوم بينكم وبينهم ميثاق» عهد كأهل الذمة «فدية» له «مسلَّمة إلى أهله» وهي ثلث دية المؤمن إن كان يهوديا أو نصرانيا وثلثا عشرها إن كان مجوسيا «وتحرير رقبة مؤمنة» على قاتله «فمن لم يجد» الرقبة بأن فقدها وما يحصلها به «فصيام شهرين متتابعين» عليه كفارة ولم يذكر الله تعالى الانتقال إلى الطعام كالظهار وبه أخذ الشافعي في أصح قوليه «توبة من اللهِ» مصدر منصوب بفعله المقدر «وكان الله عليما» بخلقه «حكيما» فيما دبره لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19294','chapter_id' => '4','chapter_detail_id' => '586','translator_id' => '4','verse_number' => '93','translate_name' => '«ومن يقتل مؤمنا متعمِّدا» بأن يقصد قتله بما يقتل غالبا عالما بإيمانه «فجزاؤه جهنم خالدا فيها وغضب الله عليه ولعنه» أبعده من رحمته «وأعد له عذابا عظيما» في النار وهذا مؤوَّل بمن يستحله أو بأن هذا جزاؤه إن جُوزي ولا يدفع في خلف الوعيد لقوله (ويغفر ما دون ذلك لمن يشاء) وعن ابن عباس أنها على ظاهرها وأنها ناسخة لغيرها من آيات المغفرة وبينت آية البقرة أن قاتل العمد يقتل به وأن عليه الدية إن عفي عنه وسبق قدرها وبينت السنة أن بين العمد والخطأ قتلا يسمى شبه العمد وهو أن يقتله بما لا يقتل غالبا فلا قصاص فيه بل دية كالعمد في الصفة والخطأ في التأجيل والحمل وهو والعمد أولى بالكفارة من الخطأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19295','chapter_id' => '4','chapter_detail_id' => '587','translator_id' => '4','verse_number' => '94','translate_name' => 'ونزل لما مر نفر من الصحابة برجل من بني سليم وهو يسوق غنما فسلم عليهم فقالوا ما سلم علينا إلا تقية فقتلوه واستاقوا غنمه «يا أيها الذين آمنوا إذا ضربتم» سافرتم للجهاد «في سبيل الله فتبينوا» وفي قراءة فتثبتوا في الموضعين «ولا تقولوا لمن ألقى إليكم السلام» بألف أو دونها أي التحية أو الانقياد بكلمة الشهادة التي هي أمارة على الإسلام «لست مؤمنا» وإنما قلت هذا تقيه لنفسك ومالك فقتلوه «تبتغون» تطلبون لذلك «عرَضَ الحياة الدنيا» متاعها من الغنيمة «فعند الله مغانم كثيرة» تغنيكم عن قتل مثله لماله «كذلك كنتم من قبل» تعصم دماؤكم وأموالكم بمجرد قولكم الشهادة «فمنَّ الله عليكم» بالاشتهار وبالإيمان والاستقامة «فتبينوا» أن تقتلوا مؤمناً وافعلوا بالداخل في الإسلام كما فُعل بكم «إن الله كان بما تعملون خبيرا» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19296','chapter_id' => '4','chapter_detail_id' => '588','translator_id' => '4','verse_number' => '95','translate_name' => '«لا يستوي القاعدون من المؤمنين» عن الجهاد «غير أولي الضرر» بالرفع صفة والنصب استثناء من زمانة أو عمى ونحوه «والمجاهدون في سبيل الله بأموالهم وأنفسهم فضَّل الله المجاهدين بأموالهم وأنفسهم على القاعدين» لضرر «درجة» فضيلة لاستوائهما في النية وزيادة المجاهدين بالمباشرة «وكلاٌ» من الفريقين «وعد الله الحسنى» الجنة «وفضَّل الله المجاهدين على القاعدين» لغير ضرر «أجرا عظيما» ويبدل منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19297','chapter_id' => '4','chapter_detail_id' => '589','translator_id' => '4','verse_number' => '96','translate_name' => '«درجات منه» منازل بعضها فوق بعض من الكرامة «ومغفرة ورحمة» منصوبان بفعلهما المقدر «وكان الله غفورا» لأوليائه «رحيما» بأهل طاعته. ونزل في جماعة أسلموا ولم يهاجروا فقتلوا يوم بدر مع الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19298','chapter_id' => '4','chapter_detail_id' => '590','translator_id' => '4','verse_number' => '97','translate_name' => '«إن الذين توفاهم الملائكة ظالمي أنفسهم» بالمقام مع الكفار وترك الهجرة «قالوا» لهم موبخين «فيم كنتم» أي في شيء كنتم في أمر دينكم «قالوا» معتذرين «كنا مستضعَفين» عاجزين عن إقامة الدين «في الأرض» أرض مكة «قالوا» لهم توبيخا «ألم تكن أرض الله واسعة فتهاجروا فيها» من أرض الكفر إلى بلد آخر كما فعل غيركم، قال الله تعالى «فأولئك مأواهم جهنم وساءت مصيرا» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19299','chapter_id' => '4','chapter_detail_id' => '591','translator_id' => '4','verse_number' => '98','translate_name' => '«إلا المستضعفين من الرجال والنساء والولدان» الذين «لا يستطيعون حيلة» لا قوة لهم على الهجرة ولا نفقة «ولا يهتدون سبيلا» طريقا إلى أرض الهجرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19300','chapter_id' => '4','chapter_detail_id' => '592','translator_id' => '4','verse_number' => '99','translate_name' => '«فأولئك عسى اللهُ أن يعفو عنهم وكان الله عفوَّا غفورا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19301','chapter_id' => '4','chapter_detail_id' => '593','translator_id' => '4','verse_number' => '100','translate_name' => '«ومن يهاجر في سبيل الله يجد في الأرض مراغما» مهاجرا «كثيرا وسعة» في الرزق «ومن يخرج من بيته مهاجرا إلى الله ورسوله ثم يدركه الموت» في الطريق كما وقع لجندع بن ضمرة الليثي «فقد وقع» ثبت «أجره على الله وكان الله غفورا رحيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19302','chapter_id' => '4','chapter_detail_id' => '594','translator_id' => '4','verse_number' => '101','translate_name' => '«وإذا ضربتم» سافرتم «في الأرض فليس عليكم جُناح» في «أن تَقصروا من الصلاة» بأن تردُّوها من أربع إلى اثنتين «إن خفتم أن يفتنكم» أي ينالكم بمكروه «الذين كفروا» بيان للواقع إذ ذاك فلا مفهوم له وبينت السنة أن المراد بالسفر الطويل وهو أربع برد وهي مرحلتان ويؤخذ من قوله تعالى: (فليس عيكم جُناح) أنه رخصة لا واجب وعليه الشافعي «إن الكافرين كانوا لكم عدوا مبينا» بيّني العداوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19303','chapter_id' => '4','chapter_detail_id' => '595','translator_id' => '4','verse_number' => '102','translate_name' => '«وإذا كنت» يا محمد حاضرا «فيهم» وأنتم تخافون العدو «فأقمت لهم الصلاة» وهذا جري على عادة القرآن في الخطاب «فلتقم طائفة منهم معك» وتتأخر طائفة «وليأخذوا» أي الطائفة التي قامت معك «أٍسلحتهم» معهم «فإذا سجدوا» أي صلوا «فليكونوا» أي الطائفة الأخرى «من ورائكم» يحرسون إلى أن تقضوا الصلاة وتذهب هذه الطائفة تحرس «ولتأت طائفة أخرى لم يصلوا فليصلوا معك وليأخذوا حذرهم وأسلحتهم» معهم إلى أن تقضوا الصلاة وقد فعل النبي صلى الله عليه وسلم كذلك ببطن نخل رواه الشيخان «ودَّ الذين كفروا لو تغفلون» إذا قمتم إلى الصلاة «عن أسلحتكم وأمتعتكم فيميلون عليكم ميلة واحدة» بأن يحملوا عليكم فيأخذوكم وهذا علة الأمر بأخذ السلاح «ولا جُناح عليكم إن كان بكم أذى من مطر أو كنتم مرضى أن تضعوا أسلحتكم» فلا تحملوها وهذا يقيد إيجاب حملها عند عدم العذر وهو أحد قولين للشافعي والثاني أنه سنة ورجح «وخذوا حذركم» من العدو أي احترزوا منه ما استطعتم «إن الله أعد للكافرين عذابا مهينا» ذا إهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19304','chapter_id' => '4','chapter_detail_id' => '596','translator_id' => '4','verse_number' => '103','translate_name' => '«فإذا قضيتم الصلاة» فرغتم منها «فاذكروا الله» بالتهليل والتسبيح «قياما وقعودا وعلى جنوبكم» مضطجعين أي في كل حال «فإذا اطمأننتم» أمنتم «فأقيموا الصلاة» أدُّوها بحقوقها «إن الصلاة كانت على المؤمنين كتابا» مكتوبا مفروضا «موْقوتا» أي مقدرا وقتها فلا تؤخر عنه، ونزل لما بعث اصلى الله عليه وسلم طائفة في طلب أبي سفيان وأصحابه لما رجعوا من أحد فشكوا الجراحات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19305','chapter_id' => '4','chapter_detail_id' => '597','translator_id' => '4','verse_number' => '104','translate_name' => '«ولا تهنوا» تضعفوا «في ابتغاء» طلب «القوم» الكفار لتقاتلوهم «إن تكونوا تألمون» تجدون ألم الجراح «فإنهم يألمون كما تألمون» أي مثلكم ولا يجبنون على قتالكم «وترجون» أنتم «من الله» من النصر والثواب عليه «مالا يرجون» هم فأنتم تزيدون عليهم بذلك فينبغي أن تكونوا أرغب منهم فيه «وكان الله عليما» بكل شيء «حكيما» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19306','chapter_id' => '4','chapter_detail_id' => '598','translator_id' => '4','verse_number' => '105','translate_name' => 'وسرق طعمة بن ابيرق درعا وخبأها عند يهودي فوجدت عنده فرماه طعمة بها وحلف أنه ما سرقها فسأل قومه النبي صلى الله عليه وسلم أن يجادل عنه ويبرئه فنزل «إنا أنزلنا إليك الكتاب» القرآن «بالحق» متعلق بأنزل «لتحكم بين الناس بما أراك» أعلمك «الله» فيه «ولا تكن للخائنين» كطعمة «خصيما» مخاصما عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19307','chapter_id' => '4','chapter_detail_id' => '599','translator_id' => '4','verse_number' => '106','translate_name' => '«واستغفر الله» مما هممت به «إن الله كان غفورا رحيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19308','chapter_id' => '4','chapter_detail_id' => '600','translator_id' => '4','verse_number' => '107','translate_name' => '«ولا تجادل عن الذين يختانون أنفسهم» يخونونها بالمعاصي لأن وبال خيانتهم عليهم «إن الله لا يحب من كان خوانا» كثير الخيانة «أثيما» أي يعاقبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19309','chapter_id' => '4','chapter_detail_id' => '601','translator_id' => '4','verse_number' => '108','translate_name' => '«يستخفون» أي طعمة وقومه حياءً «من الناس ولا يستخفون من الله وهو معهم» بعلمه «إذ يبيِّتون» يضمرون «ما لا يرضى من القول» من عزمهم على الحلف على نفي السرقة ورمي اليهودي بها «وكان الله بما يعملون محيطا» علما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19310','chapter_id' => '4','chapter_detail_id' => '602','translator_id' => '4','verse_number' => '109','translate_name' => '«ها أنتم» يا «هؤلاء» خطاب لقوم طعمة «جادلتم» خاصمتم «عنهم» أي عن طعمة وذويه وقرئ عنه «في الحياة الدنيا فمن يجادل الله عنهم يوم القيامة» إذ عذبهم «أم من يكون عليهم وكيلا» يتولى أمرهم ويذبُّ عنهم أي لا أحد يفعل ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19311','chapter_id' => '4','chapter_detail_id' => '603','translator_id' => '4','verse_number' => '110','translate_name' => '«ومن يعمل سوءا» ذنبا يسوء به غيره كرمي طعمة اليهودي «أو يظلم نفسه» يعمل ذنبا قاصرا عليه «ثم يستغفر الله» منه أي يتب «يجد الله غفورا» له «رحيما» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19312','chapter_id' => '4','chapter_detail_id' => '604','translator_id' => '4','verse_number' => '111','translate_name' => '«ومن يكسب إثما» ذنبا «فإنما يكسبه على نفسه» لأن وباله عليها ولا يضر غيره «وكان الله عليما حكيما» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19313','chapter_id' => '4','chapter_detail_id' => '605','translator_id' => '4','verse_number' => '112','translate_name' => '«ومن يكسب خطيئة» ذنبا صغيرا «أو إثما» ذنبا كبيرا «ثم يرم به بريئا» منه «فقد احتمل» تحمل «بهتانا» برميه «وإثما مبينا» بينا بكسبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19314','chapter_id' => '4','chapter_detail_id' => '606','translator_id' => '4','verse_number' => '113','translate_name' => '«ولولا فضل الله عليك» يا محمد «ورحمته» بالعصمة «لهمَّت» أضمرت «طائفة منهم» من قوم طعمة «أن يضلوك» عن القضاء بالحق بتلبيسهم عليك «وما يضلون إلا أنفسهم وما يضرونك من» زائدة «شيء» لأن وبال إضلالهم عليهم «وأنزل الله عليك الكتاب» القرآن «والحكمة» ما فيه من الأحكام «وعلَّمك ما لم تكن تعلم» من الأحكام والغيب «وكان فضل الله عليك» بذلك وغيره «عظيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19315','chapter_id' => '4','chapter_detail_id' => '607','translator_id' => '4','verse_number' => '114','translate_name' => '«لا خير في كثير من نجواهم» أي الناس أي يتناجون فيه ويتحدثون «إلا» نجوى «من أمر بصدقة أو معروف» عمل بر «أو إصلاح بين الناس ومن يفعل ذلك» المذكور «ابتغاء» طلب «مرضات الله» لا غيره من أمور الدنيا «فسوف نؤتيه» بالنون والياء أي الله «أجرا عظيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19316','chapter_id' => '4','chapter_detail_id' => '608','translator_id' => '4','verse_number' => '115','translate_name' => '«ومن يُشاقق» يخالف «الرسول» فيما جاء به من الحق «من بعد ما تبين له الهدى» ظهر له الحق بالمعجزات «ويتَّبع» طريقا «غير سبيل المؤمنين» أي طريقهم الذي هم عليه من الدين بأن يكفر «نولِّه ما تولَّى» نجعله واليا لما تولاه من الضلال بأن نخلي بينه وبينه في الدنيا «ونصله» ندخله في الآخرة «جهنم» فيحترق فيها «وساءت مصيرا» مرجعا هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19317','chapter_id' => '4','chapter_detail_id' => '609','translator_id' => '4','verse_number' => '116','translate_name' => '«إن الله لا يغفر أن يُشرك به ويغفر مادون ذلك لمن يشاء ومن يشرك بالله فقد ضل ضلالا بعيدا» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19318','chapter_id' => '4','chapter_detail_id' => '610','translator_id' => '4','verse_number' => '117','translate_name' => '«إن» ما «يدعون» يعبد المشركون «من دونه» أي الله، أي غيره «إلا إناثا» أصناما مؤنثة كاللات والعزى ومناة «وإن» ما «يدعون» يعبدون بعبادتها «إلا شيطانا مريدا» خارجا عن الطاعة لطاعتهم له فيها وهو إبليس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19319','chapter_id' => '4','chapter_detail_id' => '611','translator_id' => '4','verse_number' => '118','translate_name' => '«لعنه الله» أبعده عن رحمته «وقال» أي الشيطان «لأتخذنَّ» لأجعلن لي «من عبادك نصيبا» حظّا «مفروضا» مقطوعا أدعوهم إلى طاعتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19320','chapter_id' => '4','chapter_detail_id' => '612','translator_id' => '4','verse_number' => '119','translate_name' => '«ولأضلنهم» عن الحق بالوسوسة «ولأمنينهم» ألقي في قلوبهم طول الحياة وأن لا بعث ولا حساب «ولآمرنهم فليبتِّكُنَّ» يقطعن «آذان الأنعام» وقد فعل ذلك بالبحائر «ولآمرنهم فليغيرن خلق الله» دينه بالكفر وإحلال ما حرم الله وتحريم ما أحل «ومن يتخذ الشيطان وليا» يتولاه يطيعه «من دون الله» أي غيره «فقد خسر خسرانا مبينا» بينا لمصيره إلى النار المؤبدة عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19321','chapter_id' => '4','chapter_detail_id' => '613','translator_id' => '4','verse_number' => '120','translate_name' => '«يعدهم» طول العمر «ويمنيهم» نيل الآمال في الدنيا وألا بعث ولا جزاء «وما يعدهم الشيطان» بذلك «إلا غرورا» باطلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19322','chapter_id' => '4','chapter_detail_id' => '614','translator_id' => '4','verse_number' => '121','translate_name' => '«أولئك مأواهم جهنم ولا يجدون عنها محيصا» معدلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19323','chapter_id' => '4','chapter_detail_id' => '615','translator_id' => '4','verse_number' => '122','translate_name' => '«والذين آمنوا وعملوا الصالحات سندخلهم جنات تجري من تحتها الأنهار خالدين فيها أبدا وعد الله حقا» أي وعدهم الله ذلك وحقه حقا «ومن» أي لا أحد «أصدق من الله قيلا» أي قولا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19324','chapter_id' => '4','chapter_detail_id' => '616','translator_id' => '4','verse_number' => '123','translate_name' => 'ونزل لما افتخر المسلمون وأهل الكتاب «ليس» الأمر منوطا «بأمانيكم ولا أماني أهل الكتاب» بل بالعمل الصالح «من يعمل سوءًا يُجز به» إما في الآخرة أو في الدنيا بالبلاء والمحن كما ورد في الحديث «ولا يجد له من دون الله» أي غيره «وليا» يحفظه «ولا نصيرا» يمنعه منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19325','chapter_id' => '4','chapter_detail_id' => '617','translator_id' => '4','verse_number' => '124','translate_name' => '«ومن يعمل» شيئا «من الصالحات من ذكر أو أنثى وهو مؤمن فأولئك يدخلون» بالبناء للمفعول والفاعل «الجنة ولا يظلمون نقيرا» قدر نقرة النواة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19326','chapter_id' => '4','chapter_detail_id' => '618','translator_id' => '4','verse_number' => '125','translate_name' => '«ومن» أي لا أحد «أحسن دينا ممن أسلم وجهه» أي انقاد وأخلص عمله «لله وهو محسن» موحد «واتبع ملة إبراهيم» الموافقة لملة الإسلام «حنيفا» حال أي مائلا عن الأديان كلها إلى الدين القيم «واتخذ الله إبراهيم خليلا» صفيا خالص المحبة له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19327','chapter_id' => '4','chapter_detail_id' => '619','translator_id' => '4','verse_number' => '126','translate_name' => '«ولله ما في السماوات وما في الأرض» ملكا وخلقا وعبيدا «وكان الله بكل شيء محيطا» علما وقدرة أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19328','chapter_id' => '4','chapter_detail_id' => '620','translator_id' => '4','verse_number' => '127','translate_name' => '«ويستفتونك» يطلبون منك الفتوي «في» شأن «النساء» وميراثهن «قل» لهم «الله يفتيكم فيهن وما يتلى عليكم في الكتاب» القرآن من آية الميراث ويفتيكم أيضا «في يتامى النساء اللاتي لا تؤتونهن ما كتب» فرض «لهن» من الميراث «وترغبون» أيها الأولياء عن «أن تنكحوهن» لدمامتهن وتعضلوهن أن يتزوجن طمعا في ميراثهن أي يفتيكم أن لا تفعلوا ذلك «و» في «المستضعفين» الصغار «ومن الولدان» أن تعطوهم حقوقهم «و» يأمركم «أن تقوموا لليتامى بالقسط» بالعدل في الميراث والمهر «وما تفعلوا من خير فإن الله كان به عليما» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19329','chapter_id' => '4','chapter_detail_id' => '621','translator_id' => '4','verse_number' => '128','translate_name' => '«وإن امرأة» مرفوع بفعل يفسره «خافت» توقعت «من بعلها» زوجها «نشوزا» ترفعا عليها بترك مضاجتعها والتقصير في نفقتها لبغضها وطموح عينه إلى أجمل منها «أو إعراضا» عنها بوجهه «فلا جُناح عليهما أن يَصَّالَحَا» فيه إدغام التاء في الأصل في الصاد وفي قراءة يصلحا من أصلح «بينهما صلحا» في القسم والنفقة بأن تترك له شيئا طلبا لبقاء الصحبة فإن رضيت بذلك والإ فعلى الزوج أن يوفيها حقها أو يفارقها «والصلح خير» من الفرقة والنشوز والإعراض قال تعالى في بيان ما جبل عليه الإنسان «وأحضرت الأنفس الشح» شدة البخل أي جبلت عليه فكأنها حاضرته لا تغيب عنه، المعنى أن المرأة لا تكاد تسمح بنصيبها من زوجها والرجل لا يكاد يسمح عليها بنفسه إذا أحب غيرها «وإن تحسنوا» عشرة النساء «وتتقوا» الجور عليهن «فإن الله كان بما تعملون خبيرا» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19330','chapter_id' => '4','chapter_detail_id' => '622','translator_id' => '4','verse_number' => '129','translate_name' => '«ولن تستطيعوا أن تعدلوا» تسووا «بين النساء» في المحبة «ولو حرصتم» على ذلك «فلا تميلوا كل الميل» إلى التي تحبونها في القسم والنفقة «فتذروها» أي تتركوا الممال عنها «كالمعلَّقة» التي لا هي أيم ولا هي ذات بعل «وإن تصلحوا» بالعدل بالقسم «وتتقوا» الجور «فإن الله كان غفورا» لما في قلبكم من الميل «رحيما» بكم في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19331','chapter_id' => '4','chapter_detail_id' => '623','translator_id' => '4','verse_number' => '130','translate_name' => '«وإن يتفرقا» أي الزوجان بالطلاق «يُغن الله كلا» عن صاحبه «من سعته» أي فضله بأن يرزقها زوجا غيره ويرزقه غيرها «وكان الله واسعا» لخلقه في الفضل «حكيما» فيما دبره لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19332','chapter_id' => '4','chapter_detail_id' => '624','translator_id' => '4','verse_number' => '131','translate_name' => '«ولله ما في السماوات وما في الأرض ولقد وصينا الذين أوتوا الكتاب» بمعني الكتب «من قبلكم» أي اليهود والنصارى «وإياكم» يا أهل القرآن «أن» أي بأن «اتقوا الله» خافوا عقابه بأن تطيعوه «و» قلنا لهم ولكم «إن تكفروا» بما وُصيتم به «فإن لله ما في السماوات وما في الأرض» خلقا وملكا وعبيدا فلا يضره كفركم «وكان الله غنيا» عن خلقه وعبادتهم «حميدا» محمودا في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19333','chapter_id' => '4','chapter_detail_id' => '625','translator_id' => '4','verse_number' => '132','translate_name' => '«ولله ما في السماوات وما في الأرض» كرره تأكيدا لتقرير موجب التقوى «وكفى بالله وكيلا» شهيدا بأن ما فيهما له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19334','chapter_id' => '4','chapter_detail_id' => '626','translator_id' => '4','verse_number' => '133','translate_name' => '«إن يشأ يذهبكم» يا «أيها الناس ويأت بآخرين» بدلكم «وكان الله على ذلك قديرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19335','chapter_id' => '4','chapter_detail_id' => '627','translator_id' => '4','verse_number' => '134','translate_name' => '«من كان يريد» بعمله «ثواب الدنيا» «فعند الله ثواب الدنيا والاخرة» لمن أراده لا عند غيره فلم يطلب أحدكم الأخس وهلا طلب الأعلى بإخلاصه له حيث كان مطلبه لا يوجد إلا عنده «وكان الله سميعا بصيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19336','chapter_id' => '4','chapter_detail_id' => '628','translator_id' => '4','verse_number' => '135','translate_name' => '«يا أيها الذين آمنوا كونوا قوامين» قائمين «بالقسط» بالعدل «شهداء» بالحق «لله ولو» كانت الشهادة «على أنفسكم» فاشهدوا عليها بأن تقروا بالحق ولا تكتموه «أو» على «الوالدين والأقربين إن يكن» المشهود عليه «غنيّا أو فقيرا فالله أولى بهما» منكم وأعلم بمصالحهما «فلا تتَّبعوا الهوى» في شهادتكم بأن تحابوا الغني لرضاه أو الفقير رحمةّ له لـ «أن» لا «تعدلوا» تميلوا عن الحق «وإن تلووا» تحرفوا الشهادة وفي قراءة بحذف الواو الأولى تخفيفا «أو تعرضوا» عن أدائها «فإن الله كان بما تعملون خبيرا» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19337','chapter_id' => '4','chapter_detail_id' => '629','translator_id' => '4','verse_number' => '136','translate_name' => '«يا أيها الذين آمَنوا آمِنوا» داوموا على الإيمان «بالله ورسوله والكتاب الذي نزَّل على رسوله» محمد صلى الله عليه وسلم وهو القرآن «والكتاب الذي أنزل من قبل» على الرسل بمعنى الكتب، وفي قراءة بالبناء للفاعل في الفعلين «ومن يكفر بالله وملائكته وكتبه ورسله واليوم الآخر فقد ضل ضلالا بعيدا» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19338','chapter_id' => '4','chapter_detail_id' => '630','translator_id' => '4','verse_number' => '137','translate_name' => '«إن الذين آمنوا» بموسى وهم اليهود «ثم كفروا» بعبادتهم العجل «ثم آمنوا» بعده «ثم كفروا» بعيسي «ثم ازدادوا كفرا» بمحمد «لم يكن الله ليغفر لهم» ما أقاموا عليه «ولا ليهديهم سبيلا» طريقا إلى الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19339','chapter_id' => '4','chapter_detail_id' => '631','translator_id' => '4','verse_number' => '138','translate_name' => '«بشِّر» أخبر يا محمد «المنافقين بأن لهم عذابا أليماً» مؤلما هو عذاب النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19340','chapter_id' => '4','chapter_detail_id' => '632','translator_id' => '4','verse_number' => '139','translate_name' => '«الذين» بدل أو نعت للمنافقين «يتخذون الكافرين أولياء من دون المؤمنين» لما يتوهمون فيهم من القوة «أيبتغون» يطلبون «عندهم العزة» استفهام إنكار أي لا يجدونها عندهم «فإن العزة لله جميعا» في الدنيا والآخرة ولا ينالها إلا أولياؤه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19341','chapter_id' => '4','chapter_detail_id' => '633','translator_id' => '4','verse_number' => '140','translate_name' => '«وقد نزَّل» بالبناء للفاعل والمفعول «عليكم في الكتاب» القرآن في سورة الأنعام «أن» مخففة واسمها محذوف، أي أنه «إذا سمعتم آيات الله» القرآن «يُكفر بها ويستهزأ بها فلا تقعدوا معهم» أي الكافرين والمستهزئين «حتى يخوضوا في حديث غيره إنكم إذا» إن قعدتم معهم «مثلهم» في الإثم «إن الله جامع المنافقين والكافرين في جهنم جميعا» كما اجتمعوا في الدنيا على الكفر والاستهزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19342','chapter_id' => '4','chapter_detail_id' => '634','translator_id' => '4','verse_number' => '141','translate_name' => '«الذين» بدل من الذين قبله «يتربصون» ينتظرون «بكم» الدوائر «فإن كان لكم فتح» ظفر وغنيمة «من الله قالوا» لكم «ألم نكن معكم» في الدين والجهاد فأعطونا من الغنيمة «وإن كان للكافرين نصيب» من الظفر عليكم «قالوا» لهم «ألم نستحوذ» نستول «عليكم» ونقدر على أخذكم وقتلكم فأبقينا عليكم «و» ألم «نمنعكم من المؤمنين» أن يظفروا بكم بتخذيلهم ومراسلتكم بأخبارهم فلنا عليكم المنة قال تعالى: «فالله يحكم بينكم» وبينهم «يوم القيامة» بأن يدخلكم الجنة ويدخلهم النار «ولن يجعل الله للكافرين على المؤمنين سبيلا» طريقا بالإستئصال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19343','chapter_id' => '4','chapter_detail_id' => '635','translator_id' => '4','verse_number' => '142','translate_name' => '«إن المنافقين يخادعون الله» بإظهارهم خلاف ما أبطنوا من الكفر ليدفعوا عنهم أحكامه الدنيوية «وهو خادعهم» مجازيهم على خداعهم فيفتضحون في الدنيا بإطلاع الله نبيه على ما أبطنوه ويعاقبون في الآخرة «وإذا قاموا إلى الصلاة» مع المؤمنين «قاموا كسالى» متثاقلين «يراءون الناس» بصلاتهم «ولا يذكرون الله» يصلون «إلا قليلا» رياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19344','chapter_id' => '4','chapter_detail_id' => '636','translator_id' => '4','verse_number' => '143','translate_name' => '«مذبذبين» مترددين «بين ذلك» الكفر والإيمان «لا» منسوبين «إلى هؤلاء» أي الكفار «ولا إلى هؤلاء» أي المؤمنين «ومن يضللـ» ـه «الله فلن تجد له سبيلا» طريقا إلى الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19345','chapter_id' => '4','chapter_detail_id' => '637','translator_id' => '4','verse_number' => '144','translate_name' => '«يا أيها الذين آمنوا لا تتخذوا الكافرين أولياء من دون المؤمنين أتريدون أن تجعلوا لله عليكم» بموالاتهم «سلطانا مبينا» برهانا بينا على نفاقكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19346','chapter_id' => '4','chapter_detail_id' => '638','translator_id' => '4','verse_number' => '145','translate_name' => '«إن المنافقين في الدرك» المكان «الأسفل من النار» وهو قعرها «ولن تجد لهم نصيرا» مانعا من العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19347','chapter_id' => '4','chapter_detail_id' => '639','translator_id' => '4','verse_number' => '146','translate_name' => '«إلا الذين تابوا» من النفاق «وأصلحوا» عملهم «واعتصموا» وثقوا «بالله وأخلصوا دينهم لله» من الرياء «فأولئك مع المؤمنين» فيما يؤتونه «وسوف يؤت الله المؤمنين أجرا عظيما» في الآخرة وهو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19348','chapter_id' => '4','chapter_detail_id' => '640','translator_id' => '4','verse_number' => '147','translate_name' => '«ما يفعل الله بعذابكم إن شكرتم» نعمه «وآمنتم» به والاستفهام بمعنى النفي أي لا يعذبكم «وكان الله شاكرا» لأعمال المؤمنين بالإثابة «عليما» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19349','chapter_id' => '4','chapter_detail_id' => '641','translator_id' => '4','verse_number' => '148','translate_name' => '«لا يحب الله الجهر بالسوء من القول» من أحد أي يعاقبه عليه «إلا من ظُلم» فلا يؤاخذه بالجهر به بأن يخبر عن ظلم ظالمه ويدعو عليه «وكان الله سميعا» لما يقال «عليما» بما يفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19350','chapter_id' => '4','chapter_detail_id' => '642','translator_id' => '4','verse_number' => '149','translate_name' => '«إن تبدوا» تظهروا «خيرا» من أعمال البر «أو تخفوه» تعملوه سرا «أو تعفوا عن سوء» ظلم «فإن الله كان عفّوا قديرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19351','chapter_id' => '4','chapter_detail_id' => '643','translator_id' => '4','verse_number' => '150','translate_name' => '«إن الذين يكفرون بالله ورسله ويريدون أن يفرقوا بين الله ورسله» بأن يؤمنوا به دونهم «ويقولن نؤمن ببعض» من الرسل «ونكفر ببعض» منهم «ويريدون أن يتخذوا بين ذلك» الكفر والإيمان «سبيلا» طريقا يذهبون إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19352','chapter_id' => '4','chapter_detail_id' => '644','translator_id' => '4','verse_number' => '151','translate_name' => '«أولئك هم الكافرون حقا» مصدر مؤكد لمضمون الجملة قبله «وأعتدنا للكافرين عذابا مهينا» ذا إهانة وهو عذاب النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19353','chapter_id' => '4','chapter_detail_id' => '645','translator_id' => '4','verse_number' => '152','translate_name' => '«والذين آمنوا بالله ورسله» كلهم «ولم يفرقوا بين أحد منهم أولئك سوف يؤتيهم» بالياء والنون «أجورهم» ثواب أعمالهم «وكان الله غفورا» لأوليائه «رحيما» بأهل طاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19354','chapter_id' => '4','chapter_detail_id' => '646','translator_id' => '4','verse_number' => '153','translate_name' => '«يسألك» يا محمد «أهل الكتاب» اليهود «أن تنزِّل عليهم كتابا من السماء» جملة كما أنزل على موسى تعنتا فإن استكبرت ذلك «فقد سألوا» أي آباؤهم «موسى أكبر» أعظم «من ذلك فقالوا أرنا الله جهرة» عيانا «فأخذتهم الصاعقة» الموت عقابا لهم «بظلمهم» حيث تعتنوا في السؤال «ثم اتخذوا العجل» إلها «من بعد ما جاءتهم البينات» المعجزات على وحدانية الله «فعفونا عن ذلك» ولم نستأصلهم «وآتينا موسى سلطانا مبينا» تسلطا بينا ظاهرا عليهم حيث أمرهم بقتل أنفسهم توبة فأطاعوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19355','chapter_id' => '4','chapter_detail_id' => '647','translator_id' => '4','verse_number' => '154','translate_name' => '«ورفعنا فوقهم الطور» الجبل «بميثاقهم» بسبب أخذ الميثاق عليهم ليخافوا فقبلوه «وقلنا لهم» وهو مُظلِّ عليهم «ادخلوا الباب» باب القرية «سجدا» سجود انحناء «وقلنا لهم لا تعدوا» وفي قراءة بفتح العين وتشديد الدال وفيه إدغام التاء في الأصل في الدال أي لا تعدوا «في السبت» باصطياد الحيتان فيه «وأخذنا منهم ميثاقا غليظا» على ذلك فنقضوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19356','chapter_id' => '4','chapter_detail_id' => '648','translator_id' => '4','verse_number' => '155','translate_name' => '«فبما نقضهم» ما زائدة والباء للسببية متعلقة بمحذوف، أي لعناهم بسبب نقضهم «ميثاقهم وكفرهم بآيات الله وقتلهم الأنبياء بغير حق وقولهم» للنبي صلى الله عليه وسلم «قلوبنا غلف» لا تعي كلامك «بل طبع» ختم «الله عليها بكفرهم» فلا تعي وعظا «فلا يؤمنون إلا قليلا» منهم كعبد الله بن سلام وأصحابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19357','chapter_id' => '4','chapter_detail_id' => '649','translator_id' => '4','verse_number' => '156','translate_name' => '«وبكفرهم» ثانيا بعيسى وكرر الباء للفصل بينه وبين ما عطف عليه «وقولهم على مريم بهتانا عظيما» حيث رموها بالزنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19358','chapter_id' => '4','chapter_detail_id' => '650','translator_id' => '4','verse_number' => '157','translate_name' => '«وقولهم» مفتخرين «إنا قتلنا المسيح عيسى بن مريم رسول الله» في زعمهم، أي بمجموع ذلك عذبناهم قال تعالى تكذيبا لهم في قتله «وما قتلوه وما صلبوه ولكن شبه لهم» المقتول والمصلوب وهو صاحبهم بعيسى، أي ألقى الله عليه شبهه فظنوه إياه «وإن الذين اختلفوا فيه» أي في عيسى «لفي شك منه» من قتله حيث قال بعضهم لما رأوا المقتول الوجه وجه عيسى والجسد ليس بجسده فليس به، وقال آخرون: بل هو هو «ما لهم به» بقتله «من علم إلا اتباع الظن» استثناء منقطع، أي لكن يتبعون فيه الظن الذي تخيلوه «وما قتلوه يقينا» حال مؤكدة تنفي القتل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19359','chapter_id' => '4','chapter_detail_id' => '651','translator_id' => '4','verse_number' => '158','translate_name' => '«بل رفعه الله إليه وكان الله عزيزا» في ملكه «حكيما» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19360','chapter_id' => '4','chapter_detail_id' => '652','translator_id' => '4','verse_number' => '159','translate_name' => '«وإنْ» ما «من أهل الكتاب» أحَد «إلا ليؤمنن به» بعيسى «قبل موته» أي الكتابي حين يعاين ملائكة الموت فلا ينفعه إيمانه أو قبل موت عيسى لما ينزل قرب الساعة كما ورد في حديث «ويوم القيامة يكون» عيسى «شهيدا» بما فعلوه لما بعث إليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19361','chapter_id' => '4','chapter_detail_id' => '653','translator_id' => '4','verse_number' => '160','translate_name' => '«فبظلم» أي فبسبب ظلم «من الذين هادوا» هم اليهود «حرمنا عليهم طيبات أحلت لهم» من التي في قوله تعالى: (حرمنا كل ذي ظفر) الآية «وبصدهم» الناس «عن سبيل الله» دينه صدا «كثيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19362','chapter_id' => '4','chapter_detail_id' => '654','translator_id' => '4','verse_number' => '161','translate_name' => '«وأخذهم الربا وقد نُهوا عنه» في التوراة «وأكلهم أموال الناس بالباطل» بالرشا في الحكم «وأعتدنا للكافرين منهم عذابا أليما» مؤلما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19363','chapter_id' => '4','chapter_detail_id' => '655','translator_id' => '4','verse_number' => '162','translate_name' => '«لكن الراسخون» الثابتون «في العلم منهم» كعبد الله بن سلام «والمؤمنون» المهاجرون والأنصار «يؤمنون بما أنزل إليك وما انزل من قبلك» من الكتب «والمقيمين الصلاة» نصب على المدح وقرئ بالرفع «والمؤتون الزكاة والمؤمنون بالله واليوم الآخر أولئك سنؤتيهم» بالنون والياء «أجرا عظيما» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19364','chapter_id' => '4','chapter_detail_id' => '656','translator_id' => '4','verse_number' => '163','translate_name' => '«إنا أوحينا إليك كما أوحينا إلى نوح والنبيين من بعده و» كما «أوحينا إلى إبراهيم وإسماعيل وإسحاق» ابنيه «ويعقوب» ابن إسحاق «والأسباط» أولاده «وعيسى وأيوب ويونس وهارون وسليمان وآتينا» أباه «داود زَبورا» بالفتح اسم للكتاب المؤتى والضم مصدر بمعنى مزبورا أي مكتوبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19365','chapter_id' => '4','chapter_detail_id' => '657','translator_id' => '4','verse_number' => '164','translate_name' => '«و» أرسلنا «رسلا قد قصصناهم عليك من قبل ورسلا لم نقصصهم عليك» روي أنه تعالى بعث ثمانية آلاف نبي أربعة آلاف من إسرائيل وأربعة آلاف من سائر الناس قاله الشيخ في سورة غافر «وكلَّم اللهُ موسى» بلا واسطة «تكليما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19366','chapter_id' => '4','chapter_detail_id' => '658','translator_id' => '4','verse_number' => '165','translate_name' => '«رسلا» بدل من رسلا قبله «مبشرين» بالثواب من آمن «ومنذرين» بالعقاب من كفر أرسلناهم «لئلا يكون للناس على الله حجة» تقال «بعد» إرسال «الرسل» إليهم فيقولوا: ربنا لولا أرسلت إلينا رسولا فنتبع آياتك ونكون من المؤمنين فبعثناهم لقطع عذرهم «وكان الله عزيزا» في ملكْه «حكيما» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19367','chapter_id' => '4','chapter_detail_id' => '659','translator_id' => '4','verse_number' => '166','translate_name' => 'ونزل لما سئل اليهود عن نبوته صلى الله عليه وسلم فأنكروه «لكن الله يشهد» يبين نبوتك «بما أنزل إليك» من القرآن المعجز «أنزله» ملتبسا «بعلمه» أي عالما به أو فيه علمه «والملائكة يشهدون» لك أيضا «وكفى بالله شهيدا» على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19368','chapter_id' => '4','chapter_detail_id' => '660','translator_id' => '4','verse_number' => '167','translate_name' => '«إن الذين كفروا» بالله «وصدوا» الناس «عن سبيل الله» دين الإسلام بكتمهم نعت محمد صلى الله عليه وسلم وهم اليهود «قد ضلوا ضلالا بعيدا» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19369','chapter_id' => '4','chapter_detail_id' => '661','translator_id' => '4','verse_number' => '168','translate_name' => '«إن الذين كفروا» بالله «وظلموا» نبيه بكتمان نعته «لم يكن الله ليغفر لهم ولا ليهديهم طريقا» من الطرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19370','chapter_id' => '4','chapter_detail_id' => '662','translator_id' => '4','verse_number' => '169','translate_name' => '«إلا طريق جهنم» أي الطريق المؤدي إليها «خالدين» مقدرين الخلود «فيها» إذا دخلوها «أبدا وكان ذلك على الله يسيرا» هينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19371','chapter_id' => '4','chapter_detail_id' => '663','translator_id' => '4','verse_number' => '170','translate_name' => '«يا أيها الناس» أي أهل مكة «قد جاءكم الرسول» محمد صلى الله عليه وسلم «بالحق من ربكم فآمنوا» به واقصدوا «خيرا لكم» مما أنتم فيه «وإن تكفروا» به «فإن لله ما في السماوات والأرض» ملكا وخلقا وعبيدا فلا يضره كفركم «وكان الله عليما» بخلقه «حكيما» في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19372','chapter_id' => '4','chapter_detail_id' => '664','translator_id' => '4','verse_number' => '171','translate_name' => '«يا أهل الكتاب» الإنجيل «لا تغلوا» تتجاوزوا الحد «في دينكم ولا تقولوا على الله إلا» القول «الحق» من تنزيهه عن الشريك والولد «إنما المسيح عيسى بن مريم رسول الله وكلمته ألقاها» أرسلها الله «إلى مريم وروح» أي ذو روح «منه» أضيف إليه تعالى تشريفا له وليس كما زعمتم ابن الله أو إلها معه أو ثالث ثلاثة لأن ذا الروح مركب والإله منزه عن التركيب وعن نسبة المركب إليه «فآمنوا بالله ورسله ولا تقولوا» الآلهة «ثلاثة» الله وعيسى وأمه «انتهوا» عن ذلك وأتوا «خيرا لكم» منه وهو التوحيد «إنما الله إله واحد سبحانه» تنزيها له عن «أن يكون له ولد له ما في السماوات وما في الأرض» خلقا وملكا وعبيدا، والملكية تنافي النبوة «وكفى بالله وكيلا» شهيدا على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19373','chapter_id' => '4','chapter_detail_id' => '665','translator_id' => '4','verse_number' => '172','translate_name' => '«لن يستنكف» يتكبر ويأنف «المسيح» الذي زعمتم أنه إله من «أن يكون عبدا لله ولا الملائكة المقربون» عند الله لا يستنكفون أن يكونوا عبيدا، وهذا من أحسن الاستطراد ذكر للرد على من زعم أنها آلهة أو بنات الله كما رد قبله على النصارى الزاعمين ذلك المقصود خطابهم «ومن يستنكف عن عبادته ويستكبر فسيحشرهم إليه جميعا» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19374','chapter_id' => '4','chapter_detail_id' => '666','translator_id' => '4','verse_number' => '173','translate_name' => '«فأما الذين آمنوا وعملوا الصالحات فيوفيهم أجورهم» ثواب أعمالهم «ويزيدهم من فضله» ما لا عين رأت ولا أذن سمعت ولا خطر على قلب بشر «وأما الذين استنكفوا واستكبروا» عن عبادته «فيعذبهم عذابا أليما» مؤلما هو عذاب النار «ولا يجدون لهم من دون الله» أي غيره «وليا» يدفعه عنهم «ولا نصيرا» يمنعهم منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19375','chapter_id' => '4','chapter_detail_id' => '667','translator_id' => '4','verse_number' => '174','translate_name' => '«يا أيها الناس قد جاءكم برهان» حجة «من ربكم» عليكم وهو النبي صلى الله عليه وسلم «وأنزلنا إليكم نورت مبينا» بينا وهو القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19376','chapter_id' => '4','chapter_detail_id' => '668','translator_id' => '4','verse_number' => '175','translate_name' => '«فأما الذين آمنوا بالله واعتصموا به فسيدخلهم في رحمة منه وفضل ويهديهم إليه صراطا» طريقا «مستقيما» هو دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19377','chapter_id' => '4','chapter_detail_id' => '669','translator_id' => '4','verse_number' => '176','translate_name' => '«يستفتونك» في الكلالة «قل الله يفتيكم في الكلالة إن امرؤ» مرفوع بفعل يفسره «هلك» مات «ليس له ولد» أي ولا والد وهو الكلالة «وله أختٌ» من أبوين أو أب «فلها نصف ما ترك وهو» أي الأخ كذلك «يرثها» جميع ما تركت «إن لم يكن لها ولد» فإن كان لها ولد ذكر فلا شيء له أو أنثى فله ما فضل من نصيبها ولو كانت الأخت أو الأخ من أم ففرضه السدس كما تقدم أول السورة «فإن كانتا» أي الأختان «اثنتين» أي فصاعدا لأنها نزلت في جابر وقد مات عن أخوات «فلهما الثلثان مما ترك» الأخ «وإن كانوا» أي الورثة «إخوة رجالا ونساء فللذكر» منهم «مثل حظ الأنثيين يبين الله لكم» شرائع دينكم لـ «أن» لا «تضلوا والله بكل شيء عليم» ومنه الميراث روى الشيخان عن البراء أنها آخر آيه نزلت أي من الفرائض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19378','chapter_id' => '5','chapter_detail_id' => '670','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها الذين آمنوا أوفوا بالعقود» العهود المؤكدة التي بينكم وبين الله والناس «أحلت لكم بهيمة الأنعام» الإبل والبقر والغنم أكلاً بعد الذبح «إلا ما يتلى عليكم» تحريمه في (حُرمت عليكم الميتة) الآية فالاستثناء منقطع ويجوز أن يكون متصلا والتحريم لما عرض من الموت ونحوه «غيرَ محلي الصيد وأنتم حرم» أي محرمون ونصب غير على الحال من ضمير لكم «إن الله يحكم ما يريد» من التحليل وغيره لا اعترض عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19379','chapter_id' => '5','chapter_detail_id' => '671','translator_id' => '4','verse_number' => '2','translate_name' => '«يا أيها الذين آمنوا لا تحلوا شعائر الله» جمع شعيرة أي معالم دينه بالصيد في الإحرام «ولا الشهر الحرام» بالقتال فيه «ولا الهدْي» ما أهدى إلى الحرم من النِّعم بالتعرض له «ولا القلائد» جمع قلادة وهي ما كان يقلد به من شجر الحرم ليأمن أي فلا تتعرضوا لها ولا لأصحابها «ولا» تحلوا «آمِّين» قاصدين «البيت الحرام» بأن تقاتلوهم «يبتغون فضلا» رزقا «من ربهم» بالتجارة «ورضوانا» منه بقصده بزعمهم الفاسد وهذا منسوخ بآية براءة «وإذا حللتم» من الإحرام «فاصطادوا» أمر إباحة «ولا يجرمنَّكم» يكسبنكم «شنَآن» بفتح النون وسكونها بغض (قوم) لأجل «أن صدوكم عن المسجد الحرام أن تعتدوا» عليهم بالقتل وغيره «وتعاونوا على البرِّ» بفعل ما أمرتم به «والتقوى» بترك ما نهيتم عنه «ولا تعاونوا» فيه حذف إحدى التاءين في الأصل «على الإثم» المعاصي «والعدوان» التعدي في حدود الله «واتقوا الله» خافوا عقابه بأن تطيعوه «إن الله شديد العقاب» لمن خالفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19380','chapter_id' => '5','chapter_detail_id' => '672','translator_id' => '4','verse_number' => '3','translate_name' => '«حرِّمت عليكم الميتة» أي أكلها «والدم» أي المسفوح كما في الأنعام «ولحم الخنزير وما أهل لغير الله به» بأن ذُبح على اسم غيره «والمنخنقة» الميتة خنقا «والموقوذة» المقتولة ضربا «والمتردية» الساقطة من علو إلى أسفل فماتت «والنطيحة» المقتولة بنطح أخرى لها «وما أكل السبع» منه «إلا ما ذكيتم» أي أدركتم فيه الروح من هذه الأشياء فذبحتموه «وما ذُبح على» اسم «النصب» جمع نصاب وهي الأصنام «وأن تستقسموا» تطلبوا القسم والحكم «بالأزلام» جمع زلم بفتح الزاي وضمها مع فتح اللام قدح _بكسر القاف_ صغير لا ريش له ولا نصل وكانت سبعة عند سادن الكعبة عليها أعلام وكانوا يحكمونها فإن أمرتهم ائتمروا وإن نهتهم انتهوا «ذلكم فسق» خروج عن الطاعة. ونزل يوم عرفة عام حجة الوداع «اليوم يئس الذين كفروا من دينكم» أن ترتدوا عنه بعد طمعهم في ذلك لما رأوا من قوته «فلا تخشوهم واخشون اليوم أكملتُ لكم دينكم» أحكامه وفرائضه فلم ينزل بعدها حلال ولا حرام «وأتممت عليكم نعمتي» بإكماله وقيل بدخول مكة آمنين «ورضيت» أي اخترت «لكم الإسلام دينا فمن اضطر في مخمصة» مجاعة إلى أكل شيء مما حرم عليه فأكله «غير متجانف» مائل «لإثم» معصية «فإن الله غفور» له ما أكل «رحيم» به في إباحته له بخلاف المائل لإثم أي المتلبس به كقاطع الطريق والباغي مثلا فلا يحل له الأكل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19381','chapter_id' => '5','chapter_detail_id' => '673','translator_id' => '4','verse_number' => '4','translate_name' => '«يسئلونك» يا محمد «ماذا أُحل لهم» من الطعام «قل أحل لكم الطيَّبات» المستلذات «و» صيد «ما علَّمتم من الجوارح» الكواسب من الكلاب والسباع والطير «مكلِّبين» حال من كلَّبت الكلب بالتشديد أي أرسلته على الصيد «تعلمونهن» حال من ضمير مكلبين أي تؤدبونهن «مما علَّمَكُمُ الله» من آداب الصيد «فكلوا مما أمسكن عليكم» وإن قتلته بأن لم يأكلن منه بخلاف غير المعلمة فلا يحل صيدها وعلامتها أن تترسل إذا أرسلت وتنزجر إذا زجرت وتمسك الصيد ولا تأكل منه وأقل ما يعرف به ثلاث مرات فإن أكلت منه فليس مما أمسكن على صاحبها فلا يحل أكله كما في حديث الصحيحين وفيه أن صيد السهم إذا أرسل وذكر اسم الله عليه كصيد المعلم من الجوارح «واذكروا اسم الله عليه» عند إرساله «واتقوا الله إن الله سريع الحساب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19382','chapter_id' => '5','chapter_detail_id' => '674','translator_id' => '4','verse_number' => '5','translate_name' => '«اليوم أحل لكم الطيبات» المستلذات «وطعام الذين أوتوا الكتاب» أي ذبائح اليهود والنصارى «حلٌ» حلال «لكم وطعامكم» إياهم «حل لهم والمحصنات من المؤمنات والمحصنات» الحرائر «من الذين أوتوا الكتاب من قبلكم» حل لكم أن تنكحوهن «إذا آتيتموهنَّ أجورهنَّ» مهورهنَّ «محصنين» متزوجين «غير مسافحين» معلنين بالزنا بهن «ولا متخذي أخدان» منهن تسرون بالزنا بهن «ومن يكفر بالإيمان» أي يرتد «فقد حبط عمله» الصالح قبل ذلك فلا يعتد به ولا يثاب عليه «وهو في الآخرة من الخاسرين» إذا مات عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19383','chapter_id' => '5','chapter_detail_id' => '675','translator_id' => '4','verse_number' => '6','translate_name' => '«يا أيها الذين آمنوا إذا قمتم» أي أردتم القيام «إلى الصلاة» وأنتم محدثون «فاغسلوا وجوهكم وأيديكم إلى المرافق» أي معها كما بينته السنة «وامسحوا برؤوسكم» الباء للإلصاق أي ألصقوا المسح بها من غير إسالة ماء وهو اسم جنس فيكفي أقل ما يصدق عليه وهو مسح بعض شعرة وعليه الشافعي «وأرجلكم» بالنصب عطفا على أيديكم وبالجر على الجوار «إلى الكعبين» أي معهما كما بينته السنة وهما العظمان الناتئان في كل رجل عند مفصل الساق والقدم والفصل بين الأيدي والأرجل المغسولة بالرأس المسموح يفيد وجوب الترتيب في طهارة هذه الأعضاء وعليه الشافعي ويؤخذ من السنة وجوب النية فيه كغيره من العبادات «وإن كنتم جنبا فاطَّهروا» فاغتسلوا «وإن كنتم مرضى» مَرَضا يضره الماء «أو على سفر» أي مسافرين «أو جاء أحد منكم من الغائط» أي أحدث «أو لا مستم النساء» سبق مثله في آيه النساء «فلم تجدوا ماء» بعد طلبه «فتيمموا» اقصدوا «صعيدا طيَّبا» ترابا طاهرا «فامسحوا بوجوهكم وأيديكم» مع المرفقين «منه» بضربتين والباء للإلصاق وبينت السنة أن المراد استيعاب العضوين بالمسح «ما يريد الله ليجعل عليكم من حرج» ضيق بما فرض عليكم من الوضوء والغسل والتيمم «ولكن يريد ليطهركم» من الأحداث والذنوب «وليتم نعمته عليكم» بالإسلام ببيان شرائع الدين «لعلكم تشكرون» نعمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19384','chapter_id' => '5','chapter_detail_id' => '676','translator_id' => '4','verse_number' => '7','translate_name' => '«واذكروا نعمة الله عليكم» بالإسلام «وميثاقه» عهده «الذي واثقكم به» عاهدكم عليه «إذ قلتم» للنبي صلي الله عليه وسلم حين بايعتموه «سمعنا وأطعنا» في كل ما تأمر به وتنهى مما نحب ونكره «واتقوا الله» في ميثاقه أن تنقضوه «إن الله عليم بذات الصدور» بما في القلوب فبغيره أولى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19385','chapter_id' => '5','chapter_detail_id' => '677','translator_id' => '4','verse_number' => '8','translate_name' => '«يا أيها الذين آمنوا كونوا قوامين» قائمين «لله» بحقوقه «شهداء بالقسط» بالعدل «ولا يجرمنكم» يحملنكم «شنَآن» بغض «قوم» أي الكفار «على ألاَّ تعدلوا» فتنالوا منهم لعدواتهم «إعدلوا» في العدو والولي «هو» أي العدل «أقرب للتقوى واتقوا الله إن الله خبير بما تعملون» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19386','chapter_id' => '5','chapter_detail_id' => '678','translator_id' => '4','verse_number' => '9','translate_name' => '«وعد الله الذين آمنوا وعملوا الصالحات» وعدا حسنا «لهم مغفرة وأجر عظيم» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19387','chapter_id' => '5','chapter_detail_id' => '679','translator_id' => '4','verse_number' => '10','translate_name' => '«والذين كفروا وكذبوا بآياتنا أولئك أصحاب الجحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19388','chapter_id' => '5','chapter_detail_id' => '680','translator_id' => '4','verse_number' => '11','translate_name' => '«يا أيها الذين آمنوا اذكروا نعمة الله عليكم إذ هَمَّ قوم» هم قريش «أن يبسطوا» يمدوا «إليكم أيديهم» ليفتكوا بكم «فكفَّ أيديهم عنكم» وعصمكم مما أرادوا بكم «واتقوا الله وعلى الله فليتوكل المؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19389','chapter_id' => '5','chapter_detail_id' => '681','translator_id' => '4','verse_number' => '12','translate_name' => '«ولقد أخذ الله ميثاق بني إسرائيل» بما يذكر بعد «وبعثنا» فيه التفات عن الغيبة أقمنا «منهم اثني عشر نقيبا» من كل سبط نقيب يكون كفيلا على قومه بالوفاء بالعهد توثقة عليهم «وقال» لهم «الله إنِّي معكم» بالعون والنصرة «لئن» لام قسم «أقمتم الصلاة وآتيتم الزكاة وآمنتم برسلي وعزَّرتموهم» نصرتموهم «وأقرضتم الله قرضا حسنا» بالإنفاق في سبيله «لأكفرنَّ عنكم سيئآتكم ولأدخلنكم جنات تجري من تحتها الأنهار فمن كفر بعد ذلك» الميثاق «منكم فقد ضل سواء السبيل» أخطأ طريق الحق. والسواء في الأصل الوسط فنقضوا الميثاق قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19390','chapter_id' => '5','chapter_detail_id' => '682','translator_id' => '4','verse_number' => '13','translate_name' => '«فبما نقضهم» ما زائدة «ميثاقهم لعناهم» أبعدناهم عن رحمتنا «وجعلنا قلوبهم قاسية» لا تلين لقبول الإيمان «يحرِّفون الكلم» الذي في التوراة من نعت محمد صلى الله عليه وسلم وغيره «عن مواضعه» التي وضعه الله عليها أي يبدلونه «ونسوا» تركوا «حظّاً» نصيبا «مما ذكروا» أمروا «به» في التوراة من اتباع محمد «ولا تزال» خطاب للنبي صلى الله علي وسلم «تطَّلع» تظهر «على خائنة» أي خيانة «منهم» بنقض العهد وغيره «إلا قليلا منهم» ممن أسلم «فاعف عنهم واصفح إن الله يحب المحسنين» وهذا منسوخ بآيه السيف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19391','chapter_id' => '5','chapter_detail_id' => '683','translator_id' => '4','verse_number' => '14','translate_name' => '«ومن الذين قالوا إنا نصارى» متعلق بقوله «أخذنا ميثاقهم» كما أخذنا على بني إسرائيل اليهود «فنسوا حظاً مما ذكِّروا به» في الإنجيل من الإيمان وغيره ونقضوا الميثاق «فأغرينا» أوقعنا «بينهم العداوة والبغضاء إلى يوم القيامة» بتفرقهم واختلاف أهوائهم فكل فرقة تكفر الأخرى «وسوف ينبئهم الله» في الآخرة «بما كانوا يصنعون» فيجازيهم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19392','chapter_id' => '5','chapter_detail_id' => '684','translator_id' => '4','verse_number' => '15','translate_name' => '«يا أهل الكتاب» اليهود والنصارى «قد جاءكم رسولنا» محمد «يبين لكم كثيرا مما كنتم تخفون» تكتمون «من الكتاب» التوراة والإنجيل كآية الرجم وصفته «ويعفو عن كثير» من ذلك فلا يبينه إذا لم يكن فيه مصلحة إلا افتضاحكم «قد جاءكم من الله نورٌ» هو النبي صلى الله عليه وسلم «وكتابٌ» قرآن «مبين» بين ظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19393','chapter_id' => '5','chapter_detail_id' => '685','translator_id' => '4','verse_number' => '16','translate_name' => '«يهدي به» أي بالكتاب «الله من اتبع رضوانه» بأن آمن «سبل السلام» طرق السلامة «ويخرجهم من الظلمات» الكفر «إلى النور» الإيمان «بإذنه» بإرادته «ويهديهم إلى صراط مستقيم» دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19394','chapter_id' => '5','chapter_detail_id' => '686','translator_id' => '4','verse_number' => '17','translate_name' => '«لقد كفر الذين قالوا إن الله هو المسح ابن مريم» حيث جعلوه إلَها وهم اليعقوبية فرقة من النصارى «قل فمن يملك» أي يدفع «من» عذاب «الله شيئا إن أراد أن يُهلك المسيح ابن مريم وأمه ومن في الأرض جميعا» أي لا أحد يملك ذلك ولو كان المسيح إلَها لقدر عليه «ولله ملك السماوات والأرض وما بينهما يخلق ما يشاء والله على كل شيء» شاءه «قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19395','chapter_id' => '5','chapter_detail_id' => '687','translator_id' => '4','verse_number' => '18','translate_name' => '«وقالت اليهود والنصارى» أي كل منهما «نحن أبناء الله» أي كأبنائه في القرب والمنزلة وهو كأبينا في الرحمة والشفقة «وأحباؤه قل» لهم يا محمد «فلم يعذبكم بذنوبكم» إن صدقتم في ذلك ولا يعذب الأب ولده ولا الحبيب حبيبه وقد عذبكم فأنتم كاذبون «بل أنتم بشر ممن» من جملة من «خلق» من البشر لكم ما لهم وعليكم ما عليهم «يغفر لمن يشاء» المغفرة له «ويعذب من يشاء» تعذيبه لا اعتراض عليه «ولله ملك السماوات والأرض وما بينهما وإليه المصير» المرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19396','chapter_id' => '5','chapter_detail_id' => '688','translator_id' => '4','verse_number' => '19','translate_name' => '«يا أهل الكتاب قد جاءكم رسولنا» محمد «يبين لكم» شرائع الدين «على فترة» انقطاع «من الرسل» إذ لم يكن بينه وبين عيسى رسول ومدة ذلك خمسمائة وتسع وستون سنة لـ «أن» لا «تقولوا» إذا عذبتم «ما جاءنا من» زائدة «بشير ولا نذير فقد جاءكم بشير ونذير» فلا عذر لكم إذاً «والله على كل شيء قدير» ومنه تعذيبكم إن لم تتبعوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19397','chapter_id' => '5','chapter_detail_id' => '689','translator_id' => '4','verse_number' => '20','translate_name' => '«و» اذكر «إذ قال موسى لقومه يا قوم اذكروا نعمة الله عليكم إذ جعل فيكم» أي منكم «أنبياء وجعلكم ملوكا» أصحاب خدم وحشم «وآتاكم ما لم يؤت أحدا من العالمين» من المن والسلوى وفلق البحر وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19398','chapter_id' => '5','chapter_detail_id' => '690','translator_id' => '4','verse_number' => '21','translate_name' => '«يا قوم ادخلوا الأرض المقدَّسة» المطهرة «التي كتب الله لكم» أمركم بدخولها وهي الشام «ولا ترتدُّوا على أدباركم» تنهزموا خوف العدو «فتنقلبوا خاسرين» في سعيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19399','chapter_id' => '5','chapter_detail_id' => '691','translator_id' => '4','verse_number' => '22','translate_name' => '«قالوا يا موسى إن فيها قوما جبارين» من بقايا عاد طوالا ذي قوة «وإنا لن ندخلها حتى يخرجوا منها فإن يخرجوا منها فإنا داخلون» لها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19400','chapter_id' => '5','chapter_detail_id' => '692','translator_id' => '4','verse_number' => '23','translate_name' => '«قال» لهم «رجلان من الذين يخافون» مخالفة أمر الله وهما يوشع وكالب من النقباء الذين بعثهم موسى في كشف أحوال الجبابرة «أنعم الله عليهما» بالعصمة فكتما ما اطَّلعا عليه من حالهم إلا عن موسى بخلاف بقية النقباء فأفشوه فجبنوا «ادخلوا عليهم الباب» باب القرية ولا تخشوهم فإنهم أجساد بلا قلوب «فإذا دخلتموه فإنكم غالبون» قالا ذلك تيقناً بنصر الله وإنجاز وعده «وعلى الله فتوكلوا إن كنتم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19401','chapter_id' => '5','chapter_detail_id' => '693','translator_id' => '4','verse_number' => '24','translate_name' => '«قالوا يا موسى إنا لن ندخلها أبدا ماداموا فيها فاذهب أنت وربُّك فقاتلا» هم «إنا ها هنا قاعدون» عن القتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19402','chapter_id' => '5','chapter_detail_id' => '694','translator_id' => '4','verse_number' => '25','translate_name' => '«قال» موسى حينئذ «رب إني لا أملك إلا نفسي و» إلا «أخي» ولا أملك غيرهما فاجبرهم على الطاعة «فافرق» فافصل «بيننا وبين القوم الفاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19403','chapter_id' => '5','chapter_detail_id' => '695','translator_id' => '4','verse_number' => '26','translate_name' => '(قال) تعالى له (فإنها) أي الأرض المقدسة (محرمة عليهم) أن يدخلوها (أربعين سنة يتيهون) يتحيرون (في الأرض) وهي تسعة فراسخ قاله ابن عباس (فلا تأس) تحزن (على القوم الفاسقين) روي أنهم كانوا يسيرون الليل جادين فإذا أصبحوا إذا هم في الموضع الذي ابتدأوا منه ويسيرون النهار كذلك حتى انقرضوا كلهم إلا من لم يبلغ العشرين، قيل: وكانوا ستمائة ألف ومات هارون وموسى في التيه وكان رحمة لهما وعذابا لأولئك وسأل موسى ربه عند موته أن يدنيه من الأرض المقدسة رمية بحجر فأدناه كما في الحديث، ونبئ يوشع بعد الأربعين وأمر بقتال الجبارين فسار بمن بقي معه وقاتلهم وكان يوم الجمعة ووقفت له الشمس ساعة حتى فرغ من قتالهم، وروى أحمد في مسنده حديث "" إن الشمس لم تحبس على بشر إلا ليوشع ليالي سار إلى بيت المقدس "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19404','chapter_id' => '5','chapter_detail_id' => '696','translator_id' => '4','verse_number' => '27','translate_name' => '«واتل» يا محمد «عليهم» على قومك «نبأ» خبر «ابنيْ آدم» هابيل وقابيل «بالحق» متعلق بأُتل «إذ قرَّبا قربانا» إلى الله وهو كبش لهابيل وزرع لقابيل «فتُقبل من أحدهما» وهو هابيل بأن نزلت نار من السماء فأكلت قربانه «ولم يُتقبل من الآخر» وهو قابيل فغضب وأضمر الحسد في نفسه إلى أن حج آدم «قال» له «لأقتلنك» قال: لَم قال لتقبل قربانك دوني «قال إنما يتقبل الله من المتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19405','chapter_id' => '5','chapter_detail_id' => '697','translator_id' => '4','verse_number' => '28','translate_name' => '«لئن» لام قسم «بسطت» مددت «إلى يدك لتقتلني ما أنا بباسط يدي إليك لأقتلك إنِّي أخاف الله ربَّ العالمين» في قتلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19406','chapter_id' => '5','chapter_detail_id' => '698','translator_id' => '4','verse_number' => '29','translate_name' => '«إني أريد أن تبوء» ترجع «بإثمي» بإثم قتلي «وإثمك» الذي ارتكبته من قبل «فتكون من أصحاب النار» ولا أريد أن أبوء بإثمك إذا قتلتك فأكون منهم، قال تعالى: «وذلك جزاء الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19407','chapter_id' => '5','chapter_detail_id' => '699','translator_id' => '4','verse_number' => '30','translate_name' => '«فطوَّعت» زينت «له نفسه قتل أخيه فقتله فأصبح» فصار «من الخاسرين» بقتله ولم يدرِ ما يصنع به لأنه أول ميت على وجه الأرض من بني آدم فحمله على ظهره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19408','chapter_id' => '5','chapter_detail_id' => '700','translator_id' => '4','verse_number' => '31','translate_name' => '«فبعث الله غرابا يبحث في الأرض» ينبش التراب بمنقاره وبرجليه ويثيره على غراب ميت حتى واراه «ليريه كيف يواري» يستر «سوأة» جيفة «أخيه قال يا ويلتى أعجزت» عن «أن أكون مثل هذا الغراب فأواري سوأة أخي فأصبح من النادمين» على حمله وحفر له وواره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19409','chapter_id' => '5','chapter_detail_id' => '701','translator_id' => '4','verse_number' => '32','translate_name' => '«من أجل ذلك» الذي فعله قابيل «كتبنا على بني إسرائيل أنه» أي الشأن «من قتل نفسا بغير نفس» قتلها «أو» بغير «فساد» أتاه «في الأرض» من كفر أو زنا أو قطع طريق أو نحوه «فكأنما قتل الناس جميعا ومن أحياها» بأن امتنع عن قتلها «فكأنما أحيا الناس جميعا» قال ابن عباس: من حيث انتهاك حرمتها وصونها «ولقد جاءتهم» أي بني إسرائيل «رسلنا بالبينات» المعجزات «ثم إن كثيرا منهم بعد ذلك في الأرض لمسرفون» مجاوزون الحد بالكفر والقتل وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19410','chapter_id' => '5','chapter_detail_id' => '702','translator_id' => '4','verse_number' => '33','translate_name' => 'ونزل في العرنيين لما قدموا المدينة وهم مرضى فأذن لهم النبي صلى الله عليه وسلم أن يخرجوا إلى الإبل ويشربوا من أبوالها وألبانها فلما صحوا قتلوا راعي النبي صلى الله عليه وسلم واستاقوا الإبل «إنما جزاء الذين يحاربون الله ورسوله» بمحاربة المسلمين «ويسعون في الأرض فسادا» بقطع الطريق «أن يقتلوا أو يصلبوا أو تقطع أيديهم وأرجلهم من خلاف» أي أيديهم اليمنى واليسرى «أو يُنفوا من الأرض» أو لترتيب الأحوال فالقتل لمن قتل فقط والصلب لمن قتل وأخذ المال والقطع لمن أخذ المال ولم يقتل والنفي لمن أخاف فقط قاله ابن عباس وعليه الشافعي وأصح قوليه أن الصلب ثلاثا بعد القتل وقيل قبله قليلا ويلحق بالنفي ما أشبهه في التنكيل من الحبس وغيره «ذلك» الجزاء المذكور «لهم خزي» ذل «في الدنيا ولهم في الآخرة عذاب عظيم» هو عذاب النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19411','chapter_id' => '5','chapter_detail_id' => '703','translator_id' => '4','verse_number' => '34','translate_name' => '«إلا الذين تابوا» من المحاربين والقطَّاع «من قبل أن تقدروا عليهم فاعلموا أن الله غفور» لهم ما أتوه «رحيم» بهم عبر بذلك دون فلا تحدوهم ليفيد أنه لا يسقط عنه بتوبته إلا حدود الله دون حقوق الآدميين كذا ظهر لي ولم أرَ من تعرض له والله أعلم فإذا قتل وأخذ المال يقتل ويقطع ولا يصلب وهو أصح قولي الشافعي ولا تفيد توبته بعد القدرة عليه شيئا وهو أصح قولي الشافعي ولا تفيد توبته بعد القدرة عليه شيئا وهو أصح قوليه أيضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19412','chapter_id' => '5','chapter_detail_id' => '704','translator_id' => '4','verse_number' => '35','translate_name' => '«يا أيها الذين آمنوا اتقوا الله» خافوا عقابه بأن تطيعوه «وابتغوا» اطلبوا «إليه الوسيلة» ما يقربكم إليه من طاعته «وجاهدوا في سبيله» لإعلاء دينه «لعلكم تفلحون» تفوزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19413','chapter_id' => '5','chapter_detail_id' => '705','translator_id' => '4','verse_number' => '36','translate_name' => '«إن الذين كفروا لو» ثبت «أن لهم ما في الأرض جميعا ومثله معه ليفتدوا به من عذاب يوم القيامة ما تقبِّل منهم ولهم عذاب أليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19414','chapter_id' => '5','chapter_detail_id' => '706','translator_id' => '4','verse_number' => '37','translate_name' => '«يريدون» يتمنَّون «أن يخرجوا من النار وما هم بخارجين منها ولهم عذاب مقيم» دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19415','chapter_id' => '5','chapter_detail_id' => '707','translator_id' => '4','verse_number' => '38','translate_name' => '«والسارق والسارقة» أل فيهما موصولة مبتدأ ولشبهه بالشرط دخلت الفاء في خبره وهو «فاقطعوا أيديهما» أي يمين كل منهما من الكوع وبينت السنة أن يقطع فيه ربع دينار فصاعدا وأنه إذا عاد قطعت رجله اليسرى من مفصل القدم ثم اليد اليسرى ثم الرجل اليمنى وبعد ذلك يعزر «جزاء» نصب على المصدر «بما كسبا نكالا» عقوبة لهما «من الله والله عزيز» غالب على أمره «حكيم» في خلفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19416','chapter_id' => '5','chapter_detail_id' => '708','translator_id' => '4','verse_number' => '39','translate_name' => '«فمن تاب من بعد ظلمه» رجع عن السرقة «وأصلح» عمله «فإن الله يتوب عليه إن الله غفور رحيم» في التعبير بهذا ما تقدم فلا يسقط بتوبته حق الآدمي من القطع ورد المال نعم بيَّنت السنة أنه إن عفا عنه قبل الرفع إلى الإمام سقط القطع وعليه الشافعي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19417','chapter_id' => '5','chapter_detail_id' => '709','translator_id' => '4','verse_number' => '40','translate_name' => '«ألم تعلم» الإستفهام فيه للتقرير «أن الله له ملك السماوات والأرض يعذَّب من يشاء» تعذيبه «ويغفر لمن يشاء» المغفرة له «والله على كل شيء قدير» ومنه التعذيب والمغفرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19418','chapter_id' => '5','chapter_detail_id' => '710','translator_id' => '4','verse_number' => '41','translate_name' => '«يا أيها الرسول لا يَحزنك» صنع «الذين يسارعون في الكفر» يقعون فيه بسرعة أي يظهرونه إذا وجدوا فرصة «من» للبيان «الذين قالوا آمنا بأفوههم» بألسنتهم متعلق بقالوا «ولم تؤمن قلوبهم» وهم المنافقون «ومن الذين هادوا» قوم «سماعون للكذب» الذي افترته أحبارهم سماع قبول «سماعون» منك «لقوم» لأجل قوم «آخرين» من اليهود «لم يأتوك» وهم أهل خيبر زنى فيهم محصنان فكرهوا رجمهما فبعثوا قريظة ليسألوا النبي صلى الله عليه وسلم عن حكمهما «يحرفون الكلم» الذي في التوراة كآية الرجم «من بعد مواضعه» التي وضعه الله عليها أي يبدِّلونه «يقولون» لمن أرسلوهم «إن أُوتيتم هذا» الحكم المحرف أي الجلد الذي أفتاكم به محمد «فخذوه» فاقبلوه «وإن لم تؤتوه» بل أفتاكم بخلافه «فاحذروا» أن تقبلوه «ومن يرد الله فتنته» إضلاله «فلن تملك له من الله شيئا» في دفعها «أولئك الذين لم يرد الله أن يطهر قلوبهم» من الكفر ولو أراده لكان «لهم في الدنيا خزي» ذل بالفضيحة والجزية «ولهم في الآخرة عذاب عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19419','chapter_id' => '5','chapter_detail_id' => '711','translator_id' => '4','verse_number' => '42','translate_name' => 'هم «سماعون للكذب أكالون للسُّحُت» بضم الحاء وسكونها أي الحرام كالرشا «فإن جاؤك» لتحكم بينهم «فاحكم بينهم أو أعرض عنهم» هذا التخيير منسوخ بقوله تعالى (وأن احكم بينهم) الآية فيجب الحكم بينهم إذا ترافعوا إلينا وهو أصح قولي الشافعي فلو ترافعوا إلينا مع مسلم وجب إجماعا «وإن تعرض عنهم فلن يضروك شيئا وإن حكمت» بينهم «فاحكم بينهم بالقسط» بالعدل «إن الله يحب المقسطين» العادلين في الحكم أي يثيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19420','chapter_id' => '5','chapter_detail_id' => '712','translator_id' => '4','verse_number' => '43','translate_name' => '«وكيف يحكِّمونك وعندهم التوراة فيها حكم الله» بالرجم استفهام تعجب أي لم يقصدوا بذلك معرفة الحق بل ما هو أهون عليهم «ثم يتولَّون» يعرضون عن حكمك بالرجم الموافق لكتابهم «من بعد ذلك» التحكيم «وما أولئك بالمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19421','chapter_id' => '5','chapter_detail_id' => '713','translator_id' => '4','verse_number' => '44','translate_name' => '«إنا أنزلنا التوراة فيها هدى» من الضلالة «ونورٌ» بيان للأحكام «يحكم بها النبيون» من بني إسرائيل «الذين أسلموا» انقادوا لله «للذين هادوا والربانيون» العلماء منهم «والأحبار» الفقهاء «بما» أي بسبب الذي «استحفظوا» استودعوه أي استحفظهم الله إياه «من كتاب الله» أن يبدلوه «وكانوا عليه شهداء» أنه حق «فلا تخشوا الناس» أيها اليهود في إظهار ما عندكم من نعت محمد صلى الله عليه وسلم والرجم وغيرها «واخشوْن» في كتمانه «ولا تشتروا» تستبدلوا «بآياتي ثمنا قليلا» من الدنيا تأخذونه على كتمانها «ومن لم يحكم بما أنزل الله فأولئك هم الكافرون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19422','chapter_id' => '5','chapter_detail_id' => '714','translator_id' => '4','verse_number' => '45','translate_name' => '«وكتبنا» فرضنا «عليهم فيها» أي التوراة «أن النفس» تقتل «بالنفس» إذا قتلتها «والعين» تُفقأ «بالعين والأنف» يجُدع «بالأنف والأذن» تُقطع «بالأذن والسنَّ» تقلع «بالسنِّ» وفي قراءة بالرفع في الأربعة «والجروح» بالوجهين «قصاص» أي فيها إذا كاليد والرجل ونحو ذلك وما لا يمكن فيه الحكومة وهذا الحكم وإن كتب عليهم فهو مقرر في شرعنا «فمن تصدق به» أي القصاص بأن مكن عن نفسه «فهو كفارة له» لما أتاه «ومن لم يحكم بما أنزل الله» في القصاص وغيره «فأولئك هم الظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19423','chapter_id' => '5','chapter_detail_id' => '715','translator_id' => '4','verse_number' => '46','translate_name' => '«وقفّينا» أتبعنا «على آثارهم» أي النبيين «بعيسى ابن مريم مصدِّقا لما بين يديه» قبله «من التوراة وآتيناه الإنجيل فيه هدى» من الضلالة «ونور» بيان للأحكام «ومصدِّقا» حال «لما بين يديه من التوراة» لما فيها من الأحكام «وهدى وموعظة للمتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19424','chapter_id' => '5','chapter_detail_id' => '716','translator_id' => '4','verse_number' => '47','translate_name' => '«و» قلنا «لْيَحْكُمْ أهل الإنجيل بما أنزل الله فيه» من الأحكام وفي قراءة بنصب يحكم وكسر لامه عطفا على معمول آتيناه «ومن لم يحكم بما أنزل الله فأولئك هم الفاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19425','chapter_id' => '5','chapter_detail_id' => '717','translator_id' => '4','verse_number' => '48','translate_name' => '«وأنزلنا إليك» يا محمد «الكتاب» القرآن «بالحق»: متعلق بأنزلنا «مصدِّقا لما بين يديه» قبله «من الكتاب ومهيمنا» شاهدا «عليه» والكتاب بمعنى الكتب «فاحكم بينهم» بين أهل الكتاب إذا ترافعوا إليك «بما أنزل الله» إليك «ولا تتبع أهواءهم» عادلا «عما جاءك من الحق لكل جعلنا منكم» أيها الأمم «شرعة» شريعة «ومنهاجا» طريقاً واضحاً في الدين يمشون عليه «ولو شاء الله لجعلكم أمة واحدة» على شريعة واحدة «ولكن» فرقكم فرقاً «ليبلوكم» ليختبركم «فيما آتاكم» من الشرائع المختلفة لينظر المطيع منكم والعاصي «فاستبقوا الخيرات» سارعوا إليها «إلى الله مرجعكم جميعا» بالبعث «فينبئكم بما كنتم فيه تختلفون» من أمر الدين ويجزي كلا منكم بعمله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19426','chapter_id' => '5','chapter_detail_id' => '718','translator_id' => '4','verse_number' => '49','translate_name' => '«وأن احكم بينهم بما أنزل الله ولا تتبع أهواءهم واحذرهم» «أن» لا «يفتنوك» يضلوك «عن بعض ما أنزل الله إليك فإن تولوا» عن الحكم المنزل وأرادوا غيره «فاعلم أنما يريد الله أن يصيبهم» بالعقوبة في الدنيا «ببعض ذنوبهم» التي أتوها ومنها التولي ويجازيهم على جميعها في الأخرى «وإن كثيرا من الناس لفاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19427','chapter_id' => '5','chapter_detail_id' => '719','translator_id' => '4','verse_number' => '50','translate_name' => '«أفحكم الجاهلية يبغون» بالياء والتاء يطلبون من المداهنة والميل إذا تولَّوا إستفهام إنكاري «ومن» أي لا أحد «أحسن من الله حُكما لقوم» عند قوم «يوقنون» به خصوا بالذكر لأنهم الذين يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19428','chapter_id' => '5','chapter_detail_id' => '720','translator_id' => '4','verse_number' => '51','translate_name' => '«يا أيها الذين آمنوا لا تتخذوا اليهود والنصارى أولياء» توالونهم وتوادونهم «بعضهم أولياء بعض» لا تحادهم في الكفر «ومن يتولَّهم منكم فإنه منهم» من جملتهم «إن الله لا يهدى القوم الظالمين» بموالاتهم الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19429','chapter_id' => '5','chapter_detail_id' => '721','translator_id' => '4','verse_number' => '52','translate_name' => '«فترى الذين في قلوبهم مرض» ضعف اعتقاد كعبد الله بن أبي المنافق «يسارعون فيهم» في موالاتهم «يقولون» معتذرين عنها «نخشى أن تصيبنا دائرة» يدور بها الدهر علينا من جدب أو غلبة ولا يتم أمر محمد فلا يميرونا قال تعالى: «فعسى الله أن يأتي بالفتح» بالنصر لنبيه بإظهار دينه «أو أمر من عنده» بهتك ستر المنافقين وافتضاحهم «فيصبحوا على ما أسرُّوا في أنفسهم» من الشك وموالاة الكفار «نادمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19430','chapter_id' => '5','chapter_detail_id' => '722','translator_id' => '4','verse_number' => '53','translate_name' => '«ويقولُ» بالرفع استئنافا بواو ودونها وبالنصب عطفا على يأتي «الذين آمنوا» لبعضهم إذا هتك سترهم تعجبا «أهؤلاء الذين أقسموا بالله جَهد أيمانهم» غاية اجتهادهم فيها «إنهم لمعكم» في الدين قال تعالى: «حبطت» بطلت «أعمالهم» الصالحة «فأصبحوا» صاروا «خاسرين» الدنيا بالفضيحة والآخرة بالعقاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19431','chapter_id' => '5','chapter_detail_id' => '723','translator_id' => '4','verse_number' => '54','translate_name' => '(يا أيها الذين آمنوا من يرتد) بالفك والإدغام يرجع (منكم عن دينه) إلى الكفر إخبار بما علم الله وقوعه وقد ارتد جماعة بعد موت النبي صلى الله عليه وسلم (فسوف يأتي الله) بدلهم (بقوم يحبهم ويحبونه) قال صلى الله عليه وسلم: "" هم قوم هذا وأشار إلى أبي موسى الأشعري "" رواه الحاكم في صحيحه (أذلة) عاطفين (على المؤمنين أعزة) أشداء (على الكافرين يجاهدون في سبيل الله ولا يخافون لومة لائم) فيه كما يخاف المنافقون لوم الكفار (ذلك فضل الله يؤتيه من يشاء والله واسع) كثير الفضل (عليم) بمن هو أهله، ونزل لما قال ابن سلام يا رسول الله إن قومنا هجرونا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19432','chapter_id' => '5','chapter_detail_id' => '724','translator_id' => '4','verse_number' => '55','translate_name' => '«إنَّما وليكم الله ورسوله والذين آمنوا الذين يقيمون الصلاة ويؤتون الزكاة وهم راكعون» خاشعون أو يصلون صلاة التطوع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19433','chapter_id' => '5','chapter_detail_id' => '725','translator_id' => '4','verse_number' => '56','translate_name' => '«ومن يتولَّ الله ورسوله والذين آمنوا» فيعينهم وينصرهم «فإن حزب الله هم الغالبون» لنصره إياهم أوقعه موقع فإنهم بيانا لأنهم من حزبه أي أتباعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19434','chapter_id' => '5','chapter_detail_id' => '726','translator_id' => '4','verse_number' => '57','translate_name' => '«يا أيها الذين آمنوا لا تتَّخذوا الذين اتَّخذوا دينكم هزوا» مهزوءا به «ولعبا من» للبيان «الذين أوتوا الكتاب من قبلكم والكفار» المشركين بالجر والنصب «أولياء واتقوا الله» بترك موالاتهم «إن كنتم مؤمنين» صادقين في إيمانكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19435','chapter_id' => '5','chapter_detail_id' => '727','translator_id' => '4','verse_number' => '58','translate_name' => '«و» الذين «إذا ناديتم» دعوتم «إلى الصلاة» بالأذان «اتخذوها» أي الصلاة «هزوا ولعبا» بأن يستهزئوا بها ويتضاحكوا «ذلك» الاتخاذ «بأنهم» أي بسبب أنهم «قوم لا يعقلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19436','chapter_id' => '5','chapter_detail_id' => '728','translator_id' => '4','verse_number' => '59','translate_name' => 'ونزل لما قال اليهود للنبي صلى الله عليه وسلم بمن تؤمن من الرسل فقال: (بالله وما أنزل إلينا) الآية فلما ذكر عيسى قالوا لا نعلم دينا شرا من دينكم «قل يا أهل الكتاب هل تنقمون» تنكرون «منا إلا أن آمنا بالله وما أنزل إلينا وما أنزل من قبل» إلى الأنبياء «وأن أكثركم فاسقون» عطف على أن آمنا- المعنى ما تنكرون إلا إيماننا ومخالفتكم في عدم قبوله المعبر عنه بالفعل اللازم عنه وليس هذا مما ينكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19437','chapter_id' => '5','chapter_detail_id' => '729','translator_id' => '4','verse_number' => '60','translate_name' => '«قل هل أنبئكم» أخبركم «بشر من» أهل «ذلك» الذي تنقمونه «مثوبة» ثوابا بمعنى جزاء «عند الله» هو «من لعنه الله» أبعده عن رحمته «وغضب عليه وجعل منهم القردة والخنازير» بالمسخ «و» من «عَبَدَ الطاغوتَ» الشيطان بطاعته، وروعي في منهم معنى من وفيما قبله لفظها وهم اليهود، وفي قراءة بضم باء عبد وإضافته إلى ما بعد اسم جمع لعبد ونصبه بالعطف على القردة «أولئك شر مكانا» تمييز لأن مأواهم النار «وأضل عن سواء السبيل» طريق الحق وأصل السواء الوسط وذكر شر وأضل في مقابلة قولهم لا نعلم دينا شرا من دينكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19438','chapter_id' => '5','chapter_detail_id' => '730','translator_id' => '4','verse_number' => '61','translate_name' => '«وإذا جاءُوكم» أي مُنَافِقُو اليهود «قالوا آمنا وقد دخلوا» إليكم متلبسين «بالكفر وهم قد خرجوا» من عندكم متلبسين «به» ولم يؤمنوا «والله أعلم بما كانوا يكتمونـ» ـه من النفاق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19439','chapter_id' => '5','chapter_detail_id' => '731','translator_id' => '4','verse_number' => '62','translate_name' => '«وترى كثيرا منهم» أي اليهود «يسارعون» يقعون سريعا «في الإثم» الكذب «والعدوان» الظلم «وأكلهم السُّحُت» الحرام كالرشا «لبئس ما كانوا يعملونـ» ـهُ عملهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19440','chapter_id' => '5','chapter_detail_id' => '732','translator_id' => '4','verse_number' => '63','translate_name' => '«لولا» هلا «ينهاهم الربَّانيون والأحبار» منهم «عن قولهم الإثم» الكذب «وأكلهم السحت لبئس ما كانوا يصنعونـ» ـه ترك نهيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19441','chapter_id' => '5','chapter_detail_id' => '733','translator_id' => '4','verse_number' => '64','translate_name' => '«وقالت اليهود» لما ضيق عليهم بتكذيبهم النبي صلى الله عليه وسلم بعد أن كانوا أكثر الناس مالا «يد الله مغلولة» مقبوضة عن إدرار الرزق علينا كنوا به عن البخل - تعالى الله عن ذلك- قال تعالى: «غُلَّتْ» أمسكت «أيديهم» عن فعل الخيرات دعاء عليهم «ولُعنوا بما قالوا بل يداه مبسوطتان» مبالغة في الوصف بالجود وثنى اليد لإفادة الكثرة إذ غاية ما يبذله السخي من ماله أن يعطي بيديه «ينفق كيف يشاء» من توسيع وتضيق لا اعتراض عليه «وليزيدن كثيرا منهم ما أنزل إليك من ربك» من القرآن «طغيانا وكفرا» لكفرهم به «وألقينا بينهم العداوة والبغضاء إلى يوم القيامة» فكل فرقة منهم تخالف الأخرى «كلما أوقدوا نارا للحرب» أي لحرب النبي صلى الله عليه وسلم «أطفأها الله» أي كلما أرادوه ردهم «ويسعَون في الأرض فسادا» أي مفسدين بالمعاصي «والله لا يحب المفسدين» بمعنى أنه يعاقبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19442','chapter_id' => '5','chapter_detail_id' => '734','translator_id' => '4','verse_number' => '65','translate_name' => '«ولو أن أهل الكتاب آمنوا» بمحمد صلى الله عليه وسلم «واتقوا» الكفر «لكفرنا عنهم سيئاتهم ولأدخلناهم جنات النعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19443','chapter_id' => '5','chapter_detail_id' => '735','translator_id' => '4','verse_number' => '66','translate_name' => '«ولو أنهم أقاموا التوراة والإنجيل» بالعمل بما فيهما ومنه الإيمان بالنبي صلى الله عليه وسلم «وما أنزل إليهم» من الكتب «من ربِّهم لأكلوا من فوقهم ومن تحت أرجلهم» بأن يوسع عليهم الرزق ويفيض من كل جهة «منهم أمَّة» جماعة «مقتصدة» تعمل به وهم من آمن بالنبي صلى الله عليه وسلم كعبد الله بن سلام وأصحابه «وكثير منهم ساء» بئس «ما» شيئا «يعملونـ» ـه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19444','chapter_id' => '5','chapter_detail_id' => '736','translator_id' => '4','verse_number' => '67','translate_name' => '(يا أيها الرسول بلغ) جميع (ما أنزل إليك من ربك) ولا تكتم شيئا منه خوفا أن تنال بمكروه (وإن لم تفعل) أي لم تبلغ جميع ما أنزل إليك (فما بلغت رسالته) بالإفراد والجمع لأن كتمان بعضها ككتمان كلها (والله يعصمك من الناس) أن يقتلوك وكان صلى الله عليه وسلم يحرس حتى نزلت فقال: "" انصرفوا فقد عصمني الله "" رواه الحاكم (إن الله لا يهدي القوم الكافرين).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19445','chapter_id' => '5','chapter_detail_id' => '737','translator_id' => '4','verse_number' => '68','translate_name' => '«قل يا أهل الكتاب لستم على شيء» من الدين معتد به «حتى تقيموا التوراة والإنجيل وما أنزل إليكم من ربكم» بأن تعملوا بما فيه ومنه الإيمان بي «وليزيدن كثيرا منهم ما أنزل إليك من ربك» من القرآن «طغيانا وكفرا» لكفرهم به «فلا تأس» تحزن «على القوم الكافرين» إن لم يؤمنوا بك أي لا تهتم بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19446','chapter_id' => '5','chapter_detail_id' => '738','translator_id' => '4','verse_number' => '69','translate_name' => '«إن الذين آمنوا والذين هادوا» هم اليهود مبتدأ «والصابئون» فرقة منهم «والنصارى» ويبدل من المبتدأ «من آمن» منهم «بالله واليوم الآخر وعمل صالحا فلا خوف عليهم ولا هم يحزنون» في الآخرة خبر المبتدأ ودال على خبر إن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19447','chapter_id' => '5','chapter_detail_id' => '739','translator_id' => '4','verse_number' => '70','translate_name' => '«لقد أخذنا ميثاق بني إسرائيل» على الإيمان بالله ورسله «وأرسلنا إليهم رسلا كلما جاءهم رسول» منهم «بما لا تهوى أنفسهم» من الحق كذبوه «فريقا» منهم «كذَّبوا وفريقا» منهم «يقتلون» كزكريا ويحيى والتعبير به دون قتلوا حكاية للحال الماضية للفاصلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19448','chapter_id' => '5','chapter_detail_id' => '740','translator_id' => '4','verse_number' => '71','translate_name' => '«وحسِبوا» ظنوا «أ» ن «لا تكونُ» بالرفع فأن مخففة والنصب فهي ناصبة أي تقع «فتنة» عذاب بهم على تكذيب الرسل وقتلهم «فعموا» عن الحق فلم يبصروه «وصمّوا» عن استماعه «ثم تاب الله عليهم» لما تابوا «ثم عموا وصمُّوا» ثانيا «كثير منهم» بدل من الضمير «والله بصير بما يعملون» فيجازيهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19449','chapter_id' => '5','chapter_detail_id' => '741','translator_id' => '4','verse_number' => '72','translate_name' => '«لقد كفر الذين قالوا إن الله هو المسيح ابن مريم» سبق مثله «وقال» لهم «المسيح يا بني إسرائيل اعبدوا الله ربي وربكم» فإني عبد ولست بإله «إنه من يشرك بالله» في العبادة غيره «فقد حرَّم الله عليه الجنة» منعه أن يدخلها «ومأواه النار وما للظالمين من» زائدة «أنصار» يمنعونهم من عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19450','chapter_id' => '5','chapter_detail_id' => '742','translator_id' => '4','verse_number' => '73','translate_name' => '«لقد كفر الذين قالوا إن الله ثالث» آلهة «ثلاثة» أي أحدها والآخران عيس وأمه وهم فرقة من النصارى «وما من إله إلا إله واحد وإن لم ينتهوا عما يقولون» من التثليث ويوحدوا «ليمسنَّ الذين كفروا» أي ثبتوا على الكفر «منهم عذاب أليم» مؤلم وهو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19451','chapter_id' => '5','chapter_detail_id' => '743','translator_id' => '4','verse_number' => '74','translate_name' => '«أفلا يتوبون إلى الله ويستغفرونه» مما قالوا. استفهام توبيخ «والله غفور» لمن تاب «رحيم» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19452','chapter_id' => '5','chapter_detail_id' => '744','translator_id' => '4','verse_number' => '75','translate_name' => '«ما المسيح ابن مريم إلا رسول قد خلت» مضت «من قبله الرسل» فهو يَمضي مثلهم وليس بإله كما زعموا وإلا لما مضى «وأُمُّه صدَيقة» مبالغة في الصدق «كانا يأكلان الطعام» كغيرهما من الناس ومن كان كذلك لا يكون إلها لتركيبه وضعفه وما ينشأ منه من البول والغائط «أنظر» متعجبا «كيف نبين لهم الآيات» على وحدانيتنا «ثم أنظر أنَّى» كيف «يُؤفكون» يصرفون عن الحق مع قيام البرهان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19453','chapter_id' => '5','chapter_detail_id' => '745','translator_id' => '4','verse_number' => '76','translate_name' => '«قل أتعبدون من دون الله» أي غيره «ما لا يملك لكم ضرّا ولا نفعا والله هو السميع» لأقوالكم «العليم» بأحوالكم والاستفهام للإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19454','chapter_id' => '5','chapter_detail_id' => '746','translator_id' => '4','verse_number' => '77','translate_name' => '«قل يا أهل الكتاب» اليهود والنصارى «لا تغلوا» لا تجاوزوا الحد «في دينكم» غلوّا «غير الحق» بأن تضعوا عيسى أو ترفعوه فوق حقه «ولا تتبعوا أهواء قوم قد ضلوا من قبل» بغلوهم وهم أسلافُهم «وأضلوا كثيرا» من الناس «وضلُّوا عن سواء السبيل» عن طريق الحق والسواء في الأصل الوسط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19455','chapter_id' => '5','chapter_detail_id' => '747','translator_id' => '4','verse_number' => '78','translate_name' => '«لعن الذين كفروا من بني إسرائيل على لسان داوود» بأن دعا عليهم فمسخوا قردة وهم أصحاب إيلة «وعيسى ابن مريم» بأن دعا عليهم فمسخوا خنازير وهم أصحاب المائدة «ذلك» اللعن «بما عصوا وكانوا يعتدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19456','chapter_id' => '5','chapter_detail_id' => '748','translator_id' => '4','verse_number' => '79','translate_name' => '«كانوا لا يتناهون» أي لا ينهى بعضهم بعضا «عن» معاودة «منكر فعلوه لبئس ما كانوا يفعلون» فعلهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19457','chapter_id' => '5','chapter_detail_id' => '749','translator_id' => '4','verse_number' => '80','translate_name' => '«ترى» يا محمد «كثيرا منهم يتولَّون الذين كفروا» من أهل مكة بغضا لك «لبئس ما قدَّمت لهم أنفسهم» من العمل لمعادهم الموجب لهم «أن سخط الله عليهم وفي العذاب هم خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19458','chapter_id' => '5','chapter_detail_id' => '750','translator_id' => '4','verse_number' => '81','translate_name' => '«ولو كانوا يؤمنون بالله والنبي» محمد «وما أنزل إليه ما اتخذوهم» أي الكفار «أولياء ولكنَّ كثيرا منهم فاسقون» خارجون عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19459','chapter_id' => '5','chapter_detail_id' => '751','translator_id' => '4','verse_number' => '82','translate_name' => '«لتجدنَّ» يا محمد «أشدَّ الناس عداوة للذين آمنوا اليهود والذين أشركوا» من أهل مكة لتضاعف كفرهم وجهلهم وانهماكهم في اتباع الهوى «ولتجدن أقربهم مودة للذين آمنوا الذين قالوا إنَّا نصارى ذلك» أي قرب مودتهم للمؤمنين «بأن» بسبب أن «منهم قسيسين» علماء «ورهبانا» عبادا «وأنهم لا يستكبرون» عن اتباع الحق كما يستكبر اليهود وأهل مكة نزلت في وفد النجاشي القادمين عليه من الحبشة قرأ سورة يس فبكوا وأسلموا وقالوا ما أشبه هذا بما كان ينزل على عيسى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19460','chapter_id' => '5','chapter_detail_id' => '752','translator_id' => '4','verse_number' => '83','translate_name' => 'قال تعالى: «وإذا سمعوا ما أنزل إلى الرسول» من القرآن «ترى أعينهم تفيض من الدمع ممَّا عرفوا من الحق يقولون ربَّنا آمنا» صدقنا بنبيك وكتابك «فاكتبنا مع الشاهدين» المقرين بتصديقهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19461','chapter_id' => '5','chapter_detail_id' => '753','translator_id' => '4','verse_number' => '84','translate_name' => '«و» قالوا في جواب من عيرهم بالإسلام من اليهود «ما لنا لا نؤمن بالله وما جاءنا من الحق» القرآن أي لا مانع لنا من الإيمان مع وجود مقتضيه «ونطمع» عطف على نؤمن «أن يدخلنا ربُّنا مع القوم الصالحين» المؤمنين الجنة قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19462','chapter_id' => '5','chapter_detail_id' => '754','translator_id' => '4','verse_number' => '85','translate_name' => '«فأثابهم الله بما قالوا جنات تجري من تحتها الأنهار خالدين فيها وذلك جزاء المحسنين» بالإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19463','chapter_id' => '5','chapter_detail_id' => '755','translator_id' => '4','verse_number' => '86','translate_name' => '«والذين كفروا وكذَّبوا بآياتنا أولئك أصحاب الجحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19464','chapter_id' => '5','chapter_detail_id' => '756','translator_id' => '4','verse_number' => '87','translate_name' => 'ونزل لما همَّ قوم من الصحابة أن يلازموا الصوم والقيام ولا يقربوا النساء والطيب ولا يأكلوا اللحم ولا يناموا على الفراش «يا أيها الذين آمنوا لا تحرموا طيبات ما أحل الله لكم ولا تعتدوا» تتجاوزوا أمر الله «إن الله لا يحب المعتدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19465','chapter_id' => '5','chapter_detail_id' => '757','translator_id' => '4','verse_number' => '88','translate_name' => '«وكلوا مما رزقكم الله حلالا طيبا» مفعول والجار والمجرور قبله حال متعلق به «واتقوا الله الذي أنتم به مؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19466','chapter_id' => '5','chapter_detail_id' => '758','translator_id' => '4','verse_number' => '89','translate_name' => '«لا يؤاخذكم الله باللغو» الكائن «في أيمانكم» هو ما يسبق إليه اللسان من غير قصد الحلف كقول الإنسان: لا والله، وبلى والله «ولكن يؤاخذكم بما عَقّدتُمُ» بالتخفيف والتشديد وفي قراءة عاقدتم «الأيمان» عليه بأن حلفتم عن قصد «فكفارته» أي اليمين إذا حنثتم فيه «إطعام عشرة مساكين» لكل مسكين مدٌ «من أوسط ما تطعمون» منه «أهليكم» أي أقصده وأغلبه لا أعلاه ولا أدناه «أو كسوتهم» بما يسمى كسوة كقميص وعمامة وإزار ولا يكفي دفع ما ذكر إلى مسكين واحد وعليه الشافعي «أو تحرير» عتق «رقبة» أي مؤمنة كما في كفارة القتل والظهار حملا للمطلق على المقيد «فمن لم يجد» واحدا مما ذكر «فصيام ثلاثة أيام» كفارته وظاهره أنه لا يشترط التتابع وعليه الشافعي «ذلك» المذكور «كفارة أيمانكم إذا حلفتم» وحنثتم «واحفظوا أيمانكم» أن تنكثوها ما لم تكن على فعل بر أو إصلاح بين الناس كما في سورة البقرة «كذلك» أي مثل ما بين لكم ما ذكر «يبيِّن الله لكم آياته لعلكم تشكرونـ» ـه على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19467','chapter_id' => '5','chapter_detail_id' => '759','translator_id' => '4','verse_number' => '90','translate_name' => '«يا أيها الذين آمنوا إنما الخمر» المسكر الذي يخامر العقل «والميسر» القمار «والأنصاب» الأصنام «والأزلام» قداح الاستقسام «رجس» خبيث مستقذر «من عمل الشيطان» الذي يزيّنه «فاجتنبوه» أي الرجس المعبر به عن هذه الأشياء أن تفعلوه «لعلكم تفلحون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19468','chapter_id' => '5','chapter_detail_id' => '760','translator_id' => '4','verse_number' => '91','translate_name' => '«إنما يريد الشيطان أن يوقع بينكم العداوة والبغضاء في الخمر والميسر» إذا أتيتموهما لما يحصل فيهما من الشر والفتن «ويصدَّكم» بالاشتغال بهما «عن ذكر الله وعن الصلاة» خصها بالذكر تعظيما لها «فهل أنتم منتهون» عن إتيانهما أي انتهوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19469','chapter_id' => '5','chapter_detail_id' => '761','translator_id' => '4','verse_number' => '92','translate_name' => '«وأطيعوا الله وأطيعوا الرسول واحذروا» المعاصي «فإن تولَّيتم» عن الطاعة «فاعلموا أنما على رسولنا البلاغ المبين» الإبلاغ البيِّن وجزاؤكم علينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19470','chapter_id' => '5','chapter_detail_id' => '762','translator_id' => '4','verse_number' => '93','translate_name' => '«ليس على الذين آمنوا وعملوا الصالحات جناح فيما طعموا» أكلوا من الخمر والميسر قبل التحريم «إذا ما اتقوا» المحرمات «وآمنوا وعملوا الصالحات ثم اتقوا وآمنوا» ثبتوا على التقوى والإيمان «ثم اتقوا وأحسنوا» العمل «والله يحب المحسنين» بمعني أنه يثيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19471','chapter_id' => '5','chapter_detail_id' => '763','translator_id' => '4','verse_number' => '94','translate_name' => '«يا أيها الذين آمنوا لَيبلونَّكم» ليختبرنكم «الله بشيء» يرسله لكم «من الصيد تناله» أي الصغار منه «أيديكم ورماحكم» الكبار منه، وكان ذلك بالحديبية وهم مُحرمون فكانت الوحش والطير تغشاهم في حالهم «ليعلم الله» علم ظهور «من يخافه بالغيب» حال أي غائبا لم يره فيجتنب الصيد «فمن اعتدى بعد ذلك» النهي عنه فاصطاده «فله عذاب أليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19472','chapter_id' => '5','chapter_detail_id' => '764','translator_id' => '4','verse_number' => '95','translate_name' => '«يا أيها الذين آمنوا لا تقتلوا الصيد وأنتم حُرُم» محرمون بحج أو عمرة «ومن قتله منكم متعمِّدا فجزاءٌ» بالتنوين ورفع ما بعده أي فعليه جزاء هو «مثلُ ما قتل من النعم» أي شبهه في الخلقة وفي قراءة بإضافة جزاء «يحكم به» أي بالمثل رجلان «ذوا عدل منكم» لهما فطنة يميزان بها أشبه الأشياء به، وقد حكم ابن عباس وعمر وعلى رضي الله عنهم في النعامة ببدنة، وابن عباس وأبوعبيدة في بقر الوحش وحماره ببقره وابن عمر وابن عوف في الظبي بشاة وحكم بها ابن عباس وعمر وغيرهما في الحمام لأنه يشبهها في العَبِّ «هديا» حال من جزاء «بالغ الكعبة» أي يبلغ به الحرم فيذبح فيه ويتصدق به على مساكينه ولا يجوز أن يذبح حيث كان ونصبه نعتا لما قبله وإن أضيف لأن إضافته لفظية لا تفيد تعريفا فإن لم يكن للصيد مثل من النعم كالعصفور والجراد فعليه قيمته «أو» عليه «كفارةٌ» غير الجزاء وإن وجده هي «طعامُ مساكين» من غالب قوت البلد ما يساوى قيمته الجزاء لكل مسكين مد، وفي قراءة بإضافة كفارة لما بعده وهي للبيان «أو» عليه «عدل» مثل «ذلك» الطعام «صياما» يصومه عن كل مد يوما وإن وجده وجب ذلك عليه «ليذوق وبال» ثقل جزاء «أمره» الذي فعله «عفا الله عما سلف» من قتل الصيد قبل تحريمه «ومن عاد» إليه «فينتقم الله منه والله عزيز» غالب على أمره «ذو انتقام» ممن عصاه، والحق بقتله متعمداً فيما ذكر الخطأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19473','chapter_id' => '5','chapter_detail_id' => '765','translator_id' => '4','verse_number' => '96','translate_name' => '«أُحل لكم» أيها الناس حلالا كنتم أو محرمين «صيد البحر» أن تأكلوه وهو ما لا يعيش إلا فيه كالسمك بخلاف ما يعيش فيه وفي البر كالسرطان «وطعامُه» ما يقذفه ميتا «متاعا» تمتيعا «لكم» تأكلونه «وللسيَّارة» المسافرين منكم يتزودونه «وحرِّم عليكم صيد البر» وهو ما يعيش فيه من الوحش المأكول أن تصيدوه «ما دمتم حرما» فلو صاده حَلاَل فللمحرم أكله كما بينته السنة «واتقوا الله الذي إليه تحشرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19474','chapter_id' => '5','chapter_detail_id' => '766','translator_id' => '4','verse_number' => '97','translate_name' => '«جعل الله الكعبة البيت الحرام» المحرم «قياما للناس» يقوم به أمر دينهم بالحج إليه ودنياهم بأمن داخله وعدم التعرض له وجبي ثمرات كل شيء إليه، وفي قراءة قيما بلا ألف مصدر قام غير معل «والشهر الحرام» بمعنى الأشهر الحرم ذو القعدة وذو الحجة والمحرم ورجب قياما لهم بأمنهم من القتال فيها «والهدي والقلائد» قياما لهم بأمن صاحبهما من التعرض له «ذلك» الجعل المذكور «لتعلموا أن الله يعلم ما في السموات وما في الأرض وأن الله بكل شيء عليم» فإن جعله ذلك لجلب المصالح لكم ودفع المضار عنكم قبل وقوعها دليل على علمه بما هو في الوجود وما هو كائن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19475','chapter_id' => '5','chapter_detail_id' => '767','translator_id' => '4','verse_number' => '98','translate_name' => '«اعلموا أن الله شديد العقاب» لأعدائه «وأن الله غفور» لأوليائه «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19476','chapter_id' => '5','chapter_detail_id' => '768','translator_id' => '4','verse_number' => '99','translate_name' => '«ما على الرسول إلا البلاغ» لكم «والله يعلم ما تبدون» تظهرون من العمل «وما تكتمون» تخفون منه فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19477','chapter_id' => '5','chapter_detail_id' => '769','translator_id' => '4','verse_number' => '100','translate_name' => '«قل لا يستوي الخبيث» الحرام «والطيب» الحلال «ولو أعجبك» أي سرك «كثرة الخبيث فاتقوا الله» في تركه «يا أولي الألباب لعلكم تفلحون» تفوزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19478','chapter_id' => '5','chapter_detail_id' => '770','translator_id' => '4','verse_number' => '101','translate_name' => 'ونزل لما أكثروا سؤاله صلىالله عليه وسلم «يا أيها الذين آمنوا لا تسألوا عن أشياء إن تُبدَ» تظهر «لكم تسؤكم» لما فيها من المشقة «وإن تسألوا عنها حين ينزَّل القرآن» في زمن النبي صلىالله عليه وسلم «تُبدَ لكم» المعنى إذا سألتم عن أشياء في زمنه ينزل القرآن بإبدائها ومتى أبداها ساءتكم فلا تسألوا عنها قد «عفا الله عنها» من مسألتكم فلا تعودوا «والله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19479','chapter_id' => '5','chapter_detail_id' => '771','translator_id' => '4','verse_number' => '102','translate_name' => '«قد سألها» أي الأشياء «قوم من قبلكم» أنبياءهم فأجيبوا ببيان أحكامها «ثم أصبحوا» صاروا «بها كافرين» بتركهم العمل بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19480','chapter_id' => '5','chapter_detail_id' => '772','translator_id' => '4','verse_number' => '103','translate_name' => '«ما جعل» شرع «الله من بحيرة ولا سائبة ولا وصيلة ولا حام» كما كان أهل الجاهلية يفعلونه، روى البخاري عن سعيد بن المسيب قال: البحيرة التي يمنع درها للطواغيت فلا يحلبها أحد من الناس، والسائبة التي كانوا يسيبونها لآلهتم فلا يحمل عليها شيء، والوصيلة الناقة البكر تبكر في أول نتاج الإبل بأنثى ثم تثني بعد بأنثى وكانوا يسيبونها لطواغيتهم إن وصلت إحداهما بأخرى ليس بينهما ذكر، والحام فحل الإبل يضرب الضراب المعدودة فإذا قضى ضرابه ودعوه للطواغيت وأعفوه من أن يحمل عليه شيء وَسَمَّوْه الحامي «ولكنَّ الذين كفروا يفترون على الله الكذب» في ذلك وفي نسبته إليه «وأكثرهم لا يعقلون» أن ذلك افتراء لأنهم قلدوا فيه آباءهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19481','chapter_id' => '5','chapter_detail_id' => '773','translator_id' => '4','verse_number' => '104','translate_name' => '«وإذا قيل لهم تعالوا إلى ما أنزل الله وإلى الرسول» أي إلى حكمه من تحليل ما حرمتم «قالوا حسبنا» كافينا «ما وجدنا عليه آباءنا» من الدين والشريعة قال تعالى: «أ» حسبهم ذلك «ولو كان آباؤهم لا يعلمون شيئا ولا يهتدون» إلى الحق والاستفهام للإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19482','chapter_id' => '5','chapter_detail_id' => '774','translator_id' => '4','verse_number' => '105','translate_name' => '(يا أيها الذين آمنوا عليكم أنفسكم) أي احفظوها وقوموا بصلاحها (لا يضركم من ضل إذا اهتديتم) قيل المراد لا يضركم من ضل من أهل الكتاب وقيل المراد غيرهم لحديث أبي ثعلبة الخشني: سألت عنها رسول الله صلى الله عليه وسلم فقال: "" إئتمروا بالمعروف وتناهوا عن المنكر حتى إذا رأيت شحا مطاعا ودنيا مؤثرة وإعجاب كل ذي رأي برأيه فعليك نفسك "" رواه الحاكم وغيره (إلى الله مرجعكم جميعا فينبئكم بما كنتم تعملون) فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19483','chapter_id' => '5','chapter_detail_id' => '775','translator_id' => '4','verse_number' => '106','translate_name' => '«يا أيها الذين آمنوا شهادة بينكم إذا حضر أحدكم الموتُ» أي أسبابه «حين الوصية اثنان ذوا عدل منكم» خبر بمعنى الأمر أي ليشهد وإضافة شهادة لبين على الإتساع وحين بدل من إذا أو ظرف لحضر «أو آخران من غيركم» أي غير ملتكم «إن أنتم ضربتم» سافرتم «في الأرض فأصابكم مصيبة الموت تحبسونهما» توقفونهما صفة آخران «من بعد الصلاة» أي صلاة العصر «فيقسمان» يحلفان «بالله إن أرتبتم» شككتم فيها ويقولان «لا نشتري به» بالله «ثمنا» عوضا نأخذه بدله من الدنيا بأن نحلف به أو نشهد كذبا لأجله «ولو كان» المقسم له أو المشهود لله «ذا قربى» قرابة منا «ولا نكتم شهادة الله» التي أمرنا بها «إنا إذا» إن كتمناها «لمن الآثمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19484','chapter_id' => '5','chapter_detail_id' => '776','translator_id' => '4','verse_number' => '107','translate_name' => '«فإن عُثر» اطُّلع بعد حلفهما «على أنهما استحقا إثما» أي فعلا ما يوجبه من خيانة أو كذب في الشهادة بأن وجد عندهما مثلا ما اتُّهما به وادعيا أنهما ابتاعاه من الميت أو وصى لهما به «فآخران يقومان مقامهما» في توجيه اليمين عليهما «من الذين استحق عليهم» الوصية وهم الورثة ويبدل من آخران «الأوليان» بالميت أي الأقربان إليه وفي قراءة الأَوَّلينَ جمع أوَّل صفة أو بدل من الذين «فيقسمان بالله» على خيانة الشاهدين ويقولان «لشهادتنا» يمننا «أحق» أصدق «من شهادتهما» يمينهما «وما اعتدينا» تجاوزنا الحق في اليمين «إنا إذا لمن الظالمين» المعنى ليشهد المحتضر على وصيته اثنين أو يوصي إليهما من أهل دينه أو غيرهم إن فقدهم لسفر ونحو فإن ارتاب الورثة فيهما فادعوا أنهما خانا بأخذ شيء أو دفعه إلى شخص زعما أن الميت أوصي له به فليحلفا إلى آخره فإن اطلع على أمارة تكذيبهما فادعيا دافعا له حلف أقرب الورثة على كذبهما وصدق ما ادعوه والحكم ثابت في الوصيين منسوخ في الشاهدين وكذا شهادة غير أهل الملة منسوخة واعتبار صلاة العصر للتغليظ وتخصيص الحلف في الآية باثنين من أقرب الورثة لخصوص الواقعة التي نزلت لها وهي ما رواه البخاري أن رجلا من بني سهم خرج مع تميم الداري وعدي بن بداء أي وهما نصرانيان فمات السهمي بأرض ليس فيها مسلم فلما قدما بتركته فقدوا جاما من فضة مخوصا بالذهب فرفعا إلى النبي صلىالله عليه وسلم فنزلت فأحلفهما ثم وجد الجام بمكة فقالوا ابتعناه من تميم وعدى فنزلت الآية الثانية فقام رجلان من أولياء السهمي فحلفا، وفي الترمذي فقام عمرو بن العاص ورجل آخر منهم فحلفا وكان أقرب إليه، وفي رواية فمرض فأوصى إليهما وأمرهما أن يبلغا ما ترك أهله فلما مات أخذا الجام ودفعا إلى أهله ما بقي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19485','chapter_id' => '5','chapter_detail_id' => '777','translator_id' => '4','verse_number' => '108','translate_name' => '«ذلك» الحكم المذكور من رد اليمين على الورثة «أدنى» أقرب إلى «أن يأتوا» أي الشهود أو الأوصياء «بالشهادة على وجهها» الذي تحملوها عليه من غير تحريف ولا خيانة «أو» أقرب إلى أن «يخافوا أن تُرد أيمان بعد أيْمانهم» على الورثة المدعين فيحلفون على خيانتهم وكذبهم فيفتضحون ويغرمون فلا يكذبوا «واتقوا الله» بترك الخيانة والكذب «واسمعوا» ما تؤمرون به سماع قبول «والله لا يهدي القوم الفاسقين» الخارجين عن طاعته إلى سبيل الخير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19486','chapter_id' => '5','chapter_detail_id' => '778','translator_id' => '4','verse_number' => '109','translate_name' => 'اذكر «يوم يجمع الله الرسل» هو يوم القيامة «فيقول» لهم توبيخا لقومهم «ماذا» أي الذي «أُجبتم» به حين دعوتم إلى التوحيد «قالوا لا علم لنا» بذلك «إنك أنت علام الغيوب» ما غاب عن العباد وذهب عنهم علمه لشدة هول يوم القيامة وفزعهم ثم يشهدون على أممهم لما يسكنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19487','chapter_id' => '5','chapter_detail_id' => '779','translator_id' => '4','verse_number' => '110','translate_name' => 'اذكر «إذ قال الله يا عيسى ابن مريم اذكر نعمتي عليك وعلى والدتك» بشكرها «إذ أيَّدتك» قويتك «بروح القدس» جبريل «تكلِّم الناس» حال من الكاف في أيدتك «في المهد» أي طفلا «وكهلا» يفيد نزوله قبل الساعة لأنه رفع قبل الكهولة كما سبق آل عمران «وإذ علَّمتك الكتاب والحكمة والتوراة والإنجيل وإذ تخلق من الطين كهيئة» كصورة «الطير» والكافُ اسم بمعنى مثل مفعول «بإذني فتنفخ فيها فتكون طيرا بإذني» بإرادتي «وتُبرئ الأكمه والأبرص بإذني وإذ تخرج الموت» من قبورهم أحياء «بإذني وإذ كففت بني إسرائيل عنك» حين هموا بقتلك «إذ جئتهم بالبيانات» المعجزات «فقال الذين كفروا منهم إن» ما «هذا» الذي جئت به «إلا سحر مبين» وفي قراءة ساحر أي عيسى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19488','chapter_id' => '5','chapter_detail_id' => '780','translator_id' => '4','verse_number' => '111','translate_name' => '«وإذ أوحيت إلى الحواريين» أمرتهم على لسانه «أن» أي بأن «آمنوا بي وبرسولي» عيسى «قالوا آمنا» بهما «واشهد بأننا مسلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19489','chapter_id' => '5','chapter_detail_id' => '781','translator_id' => '4','verse_number' => '112','translate_name' => 'اذكر «إذ قال الحواريون يا عيسى ابن مريم هل يستطيع» أي يفعل «ربك» وفي قراءة بالفوقانية ونصب ما بعده أي تقدر أن تسأله «أن ينزل علينا مائدة من السماء قال» لهم عيسى «اتقوا الله» في اقتراح الآيات «إن كنتم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19490','chapter_id' => '5','chapter_detail_id' => '782','translator_id' => '4','verse_number' => '113','translate_name' => '«قالوا نريد» سؤالها من أجل «أن نأكل منها وتطمئنَّ» تسكن «قلوبنا» بزيادة اليقين «ونعلم» نزداد علما «أن» مخففه أي أنك «قد صدقتنا» في ادعاء النبوة «ونكون عليها من الشاهدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19491','chapter_id' => '5','chapter_detail_id' => '783','translator_id' => '4','verse_number' => '114','translate_name' => '«قال عيسى ابن مريم اللَّهم ربنا أنزل علينا مائدة من السماء تكون لنا» أي يوم نزولها «عيدا» نعظمه ونشرفه «لأوَّلنا» بدل من لنا بإعادة الجار «وآخرنا» ممن يأتي بعدنا «وآية منك» على قدرتك ونبوتي «وارزقنا» إياها «وأنت خير الرازقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19492','chapter_id' => '5','chapter_detail_id' => '784','translator_id' => '4','verse_number' => '115','translate_name' => '«قال الله» مستجيب له «إني منزِّلها» بالتخفيف والتشديد «عليكم فمن يكفر بعد» أي بعد نزولها «منكم فإني أعذبه عذابا لا أعذبه أحدا من العالمين» فنزلت الملائكة بها من السماء عليها سبعة أرغفة وسبعة أحوات فأكلوا منها حتى شبعوا قاله ابن عباس وفي حديث أنزلت المائدة من السماء خبزا ولحما فأمروا أن لا يخونوا ولا يدَّخروا لغد فخافوا وادخروا فمسخوا قردة وخنازير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19493','chapter_id' => '5','chapter_detail_id' => '785','translator_id' => '4','verse_number' => '116','translate_name' => '«و» اذكر «إذ قال» أي يقول «الله» لعيسى في القيامة توبيخا لقومه «يا عيسى ابن مريم أأنت قلت للناس اتخذوني وَأُمِّي إلهين من دون الله قال» عيسى وقد أرعد «سبحانك» تنزيها لك عما لا يليق بك من الشريك وغيره «ما يكون» ما ينبغي «لي أن أقول ما ليس لي بحق» خبر ليس، ولي للتبيين «إن كنت قلته فقد علمته تعلم ما» أخفيه «في نفس ولا أعلم ما في نفسك» أي ما تخفيه من معلوماتك «إنك أنت علام الغيوب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19494','chapter_id' => '5','chapter_detail_id' => '786','translator_id' => '4','verse_number' => '117','translate_name' => '«ما قلتُ لهم إلا ما أمرتني به» وهو «أن اعبدوا الله ربي وربكم وكنتُ عليهم شهيدا» رقيبا أمنعهم مما يقولون «ما دمت فيهم فلما توفيتني» قبضتني بالرفع إلى السماء «كنتَ أنت الرقيب عليهم» الحفيظ لأعمالهم «وأنت على كل شيء» من قولي لهم وقولهم بعدي وغير ذلك «شهيد» مطلع عالم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19495','chapter_id' => '5','chapter_detail_id' => '787','translator_id' => '4','verse_number' => '118','translate_name' => '«إن تعذبهم» أي من أقام على الكفر فيهم «فإنهم عبادك» وأنت مالكهم تتصرف فيهم كيف شئت لا اعتراض عليك «وإن تغفر لهم» أي لمن آمن منهم «فإنك أنت العزيز» الغالب على أمره «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19496','chapter_id' => '5','chapter_detail_id' => '788','translator_id' => '4','verse_number' => '119','translate_name' => '«قال الله هذا» أي يوم القيامة «يوم ينفع الصادقين» في الدنيا كعيسى «صدقهم» لأنه يوم الجزاء «لهم جنات تجري من تحتها الأنهار خالدين فيها أبدا رضي الله عنهم» بطاعته «ورضوا عنه» بثوابه «ذلك الفوز العظيم» ولا ينفع الكاذبين في الدنيا صدقهم فيه كالكفار لما يؤمنون عند رؤية العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19497','chapter_id' => '5','chapter_detail_id' => '789','translator_id' => '4','verse_number' => '120','translate_name' => '«لله ملك السماوات والأرض» خزائن المطر والنبات والرزق وغيرها «وما فيهن» أتى بما تغليبا لغير العاقل «وهو على كل شيء قدير» ومنه إثابة الصادق وتعذيب الكاذب وخص العقلُ ذاته فليس عليها بقادر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19498','chapter_id' => '6','chapter_detail_id' => '790','translator_id' => '4','verse_number' => '1','translate_name' => '«الحمد» وهو الوصف الجميل ثابت «لله» وهل المراد الإعلام بذلك للإيمان به الثناء به أوهما احتمالات أفيدها الثالث قاله الشيخ في سورة الكهف «الذي خلق السماوات والأرض» خصهما بالذكر لأنهما أعظم المخلوقات للناظرين «وجعل» خلق «الظلمات والنور» أي كل ظلمة ونور وجمعها دونه لكثرة أسبابها، وهذا من دلائل وحدانيته «ثم الذين كفروا» مع قيام هذا الدليل «بربهم يعدلون» يسوون غيره في العبادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19499','chapter_id' => '6','chapter_detail_id' => '791','translator_id' => '4','verse_number' => '2','translate_name' => '«هو الذي خلقكم من طين» بخلق أبيكم آدم منه «ثم قضى أجلا» لكم تموتون عند انتهائه «وأجلٌ مسمّىّ» مضروب «عنده» لبعثكم «ثم أنتم» أيها الكفار «تمترون» تشكون في البعث بعد علمكم أنه ابتدأ خلقكم ومن قدر على الإبتداء فهو على الإعادة أقدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19500','chapter_id' => '6','chapter_detail_id' => '792','translator_id' => '4','verse_number' => '3','translate_name' => '«وهو الله» مستحق للعبادة «في السماوات وفي الأرض يعلم سركم وجهركم» ما تسرون وما تجهرون به بينكم «ويعلم ما تكسبون» تعملون من خير وشرِّ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19501','chapter_id' => '6','chapter_detail_id' => '793','translator_id' => '4','verse_number' => '4','translate_name' => '«وما تأتيهم» أي أهل مكة «من» زائدة «آية من آيات ربهم» من القرآن «إلا كانوا عنها معرضين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19502','chapter_id' => '6','chapter_detail_id' => '794','translator_id' => '4','verse_number' => '5','translate_name' => '«فقد كذٌبوا بالحق» بالقرآن «لما جاءهم فسوف يأتيهم أنباء» عواقب «ما كانوا به يستهزئون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19503','chapter_id' => '6','chapter_detail_id' => '795','translator_id' => '4','verse_number' => '6','translate_name' => '«ألم يروا» في أسفارهم إلى الشام وغيرها «كم» خبرية بمعنى كثيرا «أهلكنا من قبلهم من قرن» أمة من الأمم الماضية «مكَّناهم» أعطيناهم مكانا «في الأرض» بالقوة والسعة «ما لم نمكن» نعط «لكم» فيه التفات عن الغيبة «وأرسلنا السماء» المطر «عليهم مدرارا» متتابعا «وجعلنا الأنهار تجري من تحتهم» تحت مساكنهم «فأهلكناهم بذنوبهم» بتكذيبهم الأنبياء «وأنشأنا من بعدهم قرنا آخرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19504','chapter_id' => '6','chapter_detail_id' => '796','translator_id' => '4','verse_number' => '7','translate_name' => '«ولو نزلَّنا عليك كتابا» مكتوبا «في قرطاس» رَق كما اقترحوا «فلمسوه بأيديهم» أبلغ من عاينوه لأنه أنفى للشك «لقال الذين كفروا إن» ما «هذا إلا سحر مبين» تعنُّنا وعنادا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19505','chapter_id' => '6','chapter_detail_id' => '797','translator_id' => '4','verse_number' => '8','translate_name' => '«وقالوا لولا» هلا «أنزل عليه» على محمد صلى الله عليه وسلم «ملك» يصدقه «ولو أنزلنا ملكا» كما اقترحوا فلم يؤمنوا «لقضي الأمر» بهلاكهم «ثم لا ينظرون» يمهلون لتوبة أو معذرة كعادة الله فيمن قبلهم من إهلاكهم عند وجود مقترحهم إذا لم يؤمنوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19506','chapter_id' => '6','chapter_detail_id' => '798','translator_id' => '4','verse_number' => '9','translate_name' => '«ولو جعلناه» أي المنزل إليهم «ملكا لجعلناه» أي الملك «رجلا» أي على صورته ليتمكنوا من رؤيته إذ لا قوَّه للبشر على رؤية الملك «و» لو أنزلناه وجعلنا رجلا «للبسنا» شبهنا «عليهم ما يلبسون» على أنفسهم بأن يقولوا ما هذا إلا بشر مثلكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19507','chapter_id' => '6','chapter_detail_id' => '799','translator_id' => '4','verse_number' => '10','translate_name' => '«ولقد استُهزئ برسل من قبلك» فيه تسلية للنبي صلى الله عليه وسلم «فحاق» نزل «بالذين سخروا منهم ما كانوا به يستهزئون» وهو العذاب فكذا يحيق بمن استهزأ بك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19508','chapter_id' => '6','chapter_detail_id' => '800','translator_id' => '4','verse_number' => '11','translate_name' => '«قل» لهم «سيروا في الأرض ثم انظروا كيف كان عاقبة المكذبين» الرسل من هلاكهم بالعذاب ليعتبروا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19509','chapter_id' => '6','chapter_detail_id' => '801','translator_id' => '4','verse_number' => '12','translate_name' => '«قل لمن ما في السماوات والأرض قل لله» إن لم يقولوه لا جواب غيره «كتب على نفسه» قضى على نفسه «الرحمة» فضلا منه وفيه تلطف في دعائهم إلى الإيمان «لَيجمعنكم إلى يوم القيامة» ليجازيكم بأعمالكم «لا ريب» شك «فيه الذين خسروا أنفسهم» بتعريضها للعذاب مبتدأ خبره «فهم لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19510','chapter_id' => '6','chapter_detail_id' => '802','translator_id' => '4','verse_number' => '13','translate_name' => '«وله» تعالى «ما سكن» حلُ «في الليل والنهار» أي كل شيء فهو ربه وخالقه ومالكه «وهو السميع» لما يقال «العليم» بما يفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19511','chapter_id' => '6','chapter_detail_id' => '803','translator_id' => '4','verse_number' => '14','translate_name' => '«قل» لهم «أغير الله أتَّخذ وليّاً» أعبده «فاطر السماوات والأرض» مبدعهما «وهو يُطعم» يرزق «ولا يُطعم» يُرزق «قل إني أمرت أن أكون أول من أسلم» لله من هذه الأمة «و» قيل لي «لا تكوننَّ من المشركين» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19512','chapter_id' => '6','chapter_detail_id' => '804','translator_id' => '4','verse_number' => '15','translate_name' => '«قل إني أخاف إن عصيت ربي» بعبادة غيره «عذاب يوم عظيم» هو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19513','chapter_id' => '6','chapter_detail_id' => '805','translator_id' => '4','verse_number' => '16','translate_name' => '«من يُصرف» بالبناء للمفعول أي العذاب وللفاعل أي الله والعائد محذوف «عنه يومئذ فقد رحمه» تعالى أي أراد له الخير «وذلك الفوز المبين» النجُاة الظاهرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19514','chapter_id' => '6','chapter_detail_id' => '806','translator_id' => '4','verse_number' => '17','translate_name' => '«وإن يمسسك الله بضر» بلاء كمرض وفقر «فلا كاشف» رافع «له إلا هو وإن يمسسك بخير» كصحة وغنىّ «فهو على كل شىء قدير» ومنه مسُّك به ولا يقدر على ردِّه عنك غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19515','chapter_id' => '6','chapter_detail_id' => '807','translator_id' => '4','verse_number' => '18','translate_name' => '«وهو القاهر» القادر الذي لا يعجزه شيء مستعليا «فوق عباده وهو الحكيم» في خلقه «الخبير» ببواطنهم كظواهرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19516','chapter_id' => '6','chapter_detail_id' => '808','translator_id' => '4','verse_number' => '19','translate_name' => 'ونزل لما قالوا للنبي صلى الله عليه وسلم إئتنا بمن يشهد لك بالنبوة فإن أهل الكتاب أنكروك «قل» لهم «أيُّ شيءٍ أكبر شهادة» تمييز محول عن المبتدأ «قل اللهُ» إن لم يقولوه لا جواب غيره، وهو «شهيد بيني وبينكم» على صدقي «وأوحي إليَّ هذا القرآن لأنذركم» أخوفكم يا أهل مكة «به ومن بلغ» عطف على ضمير أنذركم أي بلغة القرآن عن الأنس والجن «أئنَّكم لتشهدون أن مع الله آلهة أخرى» إستفهام إنكاري «قل» لهم «لا أشِهدُ» بذلك «قل إنما هو إله واحد وإنني بريء مما تشركون» معه من الأصنام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19517','chapter_id' => '6','chapter_detail_id' => '809','translator_id' => '4','verse_number' => '20','translate_name' => '«الذين آتيناهم الكتاب يعرفونه» أي محمدا بنعته في كتابهم «كما يعرفون أبناءهم الذين خسروا أنفسهم» منهم «فهم لا يؤمنون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19518','chapter_id' => '6','chapter_detail_id' => '810','translator_id' => '4','verse_number' => '21','translate_name' => '«ومن» أي لا أحد «أظلم ممن افترى على الله كذبا» بنسبه الشريك إليه «أو كذَّب بآياته» القرآن «إنه» أي الشأن «لا يفلح الظالمون» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19519','chapter_id' => '6','chapter_detail_id' => '811','translator_id' => '4','verse_number' => '22','translate_name' => '«و» اذكر «يوم نحشرهم جميعا ثم نقول للذين أشركوا» توبيخا «أين شركاؤكم الذين كنتم تزعمون» أنهم شركاء الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19520','chapter_id' => '6','chapter_detail_id' => '812','translator_id' => '4','verse_number' => '23','translate_name' => '«ثم لم تكن» بالتاء والياء «فتنتّهم» بالنصب والرفع أي معذرتهم «إلا أن قالوا» أي قولهم «والله ربِّنا» بالجر نعت والنصب نداء «ما كنا مشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19521','chapter_id' => '6','chapter_detail_id' => '813','translator_id' => '4','verse_number' => '24','translate_name' => 'قال تعال: «أنظر» يا محمد «كيف كذبوا على أنفسهم» بنفي الشرك عنهم «وضلَّ» غاب «عنهم ما كانوا يفترونـ» ـه على الله من الشركاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19522','chapter_id' => '6','chapter_detail_id' => '814','translator_id' => '4','verse_number' => '25','translate_name' => '«ومنهم من يستمع إليك» إذا قرأت «وجعلنا على قلوبهم أكنة» أغطية لـ «أن» لا «يفقهوه» يفهموا القرآن «وفي آذانهم وقرا» صما فلا يسمعونه سماع قبول «وإن يروا كل آية لا يؤمنوا بها حتى إذا جاءُوك يجادلونك يقول الذين كفروا إن» ما «هذا» القرآن «إلا أساطير» أكاذيب «الأولين» كالأضاحيك والأعاجيب جمع أسطورة بالضم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19523','chapter_id' => '6','chapter_detail_id' => '815','translator_id' => '4','verse_number' => '26','translate_name' => '«وهم ينهون» الناس «عنه» عن اتباع النبي صلى الله عليه وسلم «وينأون» يتباعدون «عنه» فلا يؤمنون به، وقيل: نزلت في أبي طالب كان ينهى عن أذاه ولا يؤمن به «وإن» ما «يهلكون» بالنأي عنه «إلا أنفسهم» لأن ضرره عليهم «وما يشعرون» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19524','chapter_id' => '6','chapter_detail_id' => '816','translator_id' => '4','verse_number' => '27','translate_name' => '«ولو ترى» يا محمد «إذ وُقفوا» عرضوا «على النار فقالوا يا» للتنبيه «ليتنا نردُّ» إلى الدنيا «ولا نكذِّبُ بآيات ربنا ونكونُ من المؤمنين» برفع الفعلين إستئنافا ونصبهما في جواب التمني ورفع الأول ونصب الثاني وجواب لو رأيت أمرا عظيما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19525','chapter_id' => '6','chapter_detail_id' => '817','translator_id' => '4','verse_number' => '28','translate_name' => 'قال تعالى: «بل» للإضراب عن إرادة الإيمان المفهوم من التمني «بدا» ظهر «لهم ما كانوا يخفون من قبل» يكتمون بقولهم (والله ربنا ما كنا مشركين) شهادة جوارحهم فتمنوا ذلك «ولو ردوا» إلى الدنيا فرضا «لعادوا لما نُهوا عنه» من الشرك «وإنهم لكاذبون» في وعدهم بالإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19526','chapter_id' => '6','chapter_detail_id' => '818','translator_id' => '4','verse_number' => '29','translate_name' => '«وقالوا» أي منكر والبعث «إن» ما «هي» أي الحياة «إلا حياتنا الدنيا ومانحن بمبعوثين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19527','chapter_id' => '6','chapter_detail_id' => '819','translator_id' => '4','verse_number' => '30','translate_name' => '«ولو ترى إذ وقفوا» عرضوا «على ربِّهم» لرأيت أمرا عظيما «قال» لهم على لسان الملائكة توبيخا «أليس هذا» البعث والحساب «بالحق قالوا بلى وربِّنا» إنه لحق «قال فذوقوا العذاب بما كنتم تكفرون» به في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19528','chapter_id' => '6','chapter_detail_id' => '820','translator_id' => '4','verse_number' => '31','translate_name' => '«قد خسر الذين كذَّبوا بلقاء الله» بالبعث «حتى» غاية للتكذيب «إذا جاءتهم الساعة» القيامة «بغتة» فجأة «قالوا يا حسرتنا» هي شدة التألم ونداؤها مجاز أي هذا أوانك فاحضري «على ما فرَّطنا» قصَّرنا «فيها» أي الدنيا «وهم يحملون أوزارهم على ظهورهم» بأن تأتيهم عند البعث في أقبح شيء صورة وأنتنه ريحا فتركبهم «ألا ساء» بئس «ما يزرون» يحملونه حملهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19529','chapter_id' => '6','chapter_detail_id' => '821','translator_id' => '4','verse_number' => '32','translate_name' => '«وما الحياة الدنيا» أي الاشتغال بها «إلا لعب ولهو» وأما الطاعة وما يعين عليها فمن أمور الآخرة «وللدَّار الاخرةُ» وفي قراءة ولدار الآخرة أي الجنة «خير للذين يتقون» الشرك «أفلا يعقلون» بالياء والتاء ذلك فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19530','chapter_id' => '6','chapter_detail_id' => '822','translator_id' => '4','verse_number' => '33','translate_name' => '«قد» للتحقيق «نعلم إنه» أي الشأن «ليحزنك الذي يقولون» لك من التكذيب «فإنهم لا يكذِّبونك» في السر لعلمهم أنك صادق وفي قراءة بالتخفيف أي لا ينسبونك إلى الكذب «ولكن الظالمين» وضعه موضع المضمر «يآيات الله» القرآن «يجحدون» يكذبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19531','chapter_id' => '6','chapter_detail_id' => '823','translator_id' => '4','verse_number' => '34','translate_name' => '«ولقد كذِّبت رسل من قبلك» فيه تسلية للنبي صلى الله عليه وسلم «فصبروا على ما كذِّبوا وأوذوا حتى أتاهم نصرنا» بإهلاك قومهم فاصبر حتى يأتيك النصر بإهلاك قومك «ولا مبدِّل لكلمات الله» مواعيده «ولقد جاءك من نبأ المرسلين» ما يسكن به قلبك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19532','chapter_id' => '6','chapter_detail_id' => '824','translator_id' => '4','verse_number' => '35','translate_name' => '«وإن كان كبر» عظم «عليك إعراضهم» عن الإسلام لحرصك عليهم «فإن استطعت أن تبتغى نفقا» سربا «في الأرض أو سلَّما» مصعدا «في السماء فتأتيهم بآية» مما اقترحوا فافعل، المعنى أنك لا تستطيع ذلك فاصبر حتى يحكم الله، «ولو شاء الله» هدايتهم «لجمعهم على الهدى» ولكن لو لم يشأ ذلك فلم يؤمنوا «فلا تكوننَّ من الجاهلين» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19533','chapter_id' => '6','chapter_detail_id' => '825','translator_id' => '4','verse_number' => '36','translate_name' => '«إنَّما يستجيب» دعاءك إلى الإيمان «الذين يسمعون» سمع تفهُّم واعتبار «و الموتى» أي الكفار شبههم بهم في عدم السماع «يبعثهم الله» في الآخرة «ثم إليه يرجعون» يُردون فيجازيهم بأعمالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19534','chapter_id' => '6','chapter_detail_id' => '826','translator_id' => '4','verse_number' => '37','translate_name' => '«وقالوا» أي كفار مكة «لولا» هلا «نزَّل عليه آية من ربه» كالناقة والعصا والمائدة «قل» لهم «إن الله قادر على أن ينزِّل» بالتشديد والتخفيف «آية» مما اقترحوا «ولكن أكثرهم لا يعلمون» أن نزولها بلاء عليهم لوجوب هلاكهم إن جحدوها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19535','chapter_id' => '6','chapter_detail_id' => '827','translator_id' => '4','verse_number' => '38','translate_name' => '«وما من» زائدة «دابة» تمشي «في الأرض ولا طائر يطير» في الهواء «بجناحيه إلا أمم أمثالكم» في تدبير خلقها ورزقها وأحوالها «ما فرطنا» تركنا «في الكتاب» اللوح المحفوظ «من» زائدة «شىء» فلم نكتبه «ثم إلى ربهم يحشرون» بينهم ويقتص للجماء من القرناه ثم يقول لهم كونوا ترابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19536','chapter_id' => '6','chapter_detail_id' => '828','translator_id' => '4','verse_number' => '39','translate_name' => '«والذين كذبوا بآياتنا» القرآن «صم» عن سماعه سماع قبول «وبكم» عن النطق بالحق «في الظلمات» الكفر «من يشأ الله» إضلاله «يضلله ومن يشأ» هدايته «يجعله على صراط» طريق «مستقيم» دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19537','chapter_id' => '6','chapter_detail_id' => '829','translator_id' => '4','verse_number' => '40','translate_name' => '«قل» يا محمد لأهل مكة «أرأيتكم» أخبروني «أن أتاكم عذاب الله» في الدنيا «أو أتتكم الساعة» القيامة المشتملة عليه بغتة «أغير الله تدعون» لا «إن كنتم صادقين» في أن الأصنام تنفعكم فادعوها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19538','chapter_id' => '6','chapter_detail_id' => '830','translator_id' => '4','verse_number' => '41','translate_name' => '«بل إياه» لا غيره «تدعون» في الشدائد «فيكشف ما تدعون إليه» أن يكشفه عنكم من الضر ونحوه «إن شاء» كشفه «وتنسَوْن» تتركون «ما تشركون» معه من الأصنام فلا تدعونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19539','chapter_id' => '6','chapter_detail_id' => '831','translator_id' => '4','verse_number' => '42','translate_name' => '«ولقد أرسلنا إلى أمم من» زائدة «قبلك» رسلا فكذبوهم «فأخذناهم بالبأساء» شدة الفقر «والضراء» المرض «لعلهم يتضرعون» يتذللون فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19540','chapter_id' => '6','chapter_detail_id' => '832','translator_id' => '4','verse_number' => '43','translate_name' => '«فلولا» فهلا «إذ جاءهم بأسنا» عذابنا «تضرَّعوا» أي لم يفعلوا ذلك مع قيام المقتضي له «ولكن قست قلوبهم» فلم تلن للإيمان «وزيَّن لهم الشيطان ما كانوا يعملون» من المعاصي فأصرُّوا عليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19541','chapter_id' => '6','chapter_detail_id' => '833','translator_id' => '4','verse_number' => '44','translate_name' => '«فلما نسوا» تركوا «ما ذكروا» وُعظوا وخوفوا «به» من البأساء والضراء فلم يتعظوا «فتحنا» بالتخفيف والتشديد «عليهم أبواب كلِّ شيء» من النعم استدراجا لهم «حتى إذا فرحوا بما أوتوا» فرح بطر «أخذناهم» بالعذاب «بغتة» فجأة «فإذا هم مبلسون» آيسون من كل خير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19542','chapter_id' => '6','chapter_detail_id' => '834','translator_id' => '4','verse_number' => '45','translate_name' => '«فقطع دابر القوم الذين ظلموا» أي آخرهم بأن استؤصلوا «والحمد لله رب العالمين» على نصر الرسل وإهلاك الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19543','chapter_id' => '6','chapter_detail_id' => '835','translator_id' => '4','verse_number' => '46','translate_name' => '«قل» لأهل مكة «أرأيتم» أخبروني «إن أخذ الله سمعكم» أصمَّكم «وأبصاركم» أعماكم «وختم» طبع «على قلوبكم» فلا تعرفون شيئا «من إله غير الله يأتيكم به» بما أخذه منكم بزعمكم «أنظر كيف نصرف» نبين «الآيات» الدلالات على وحدانيتنا «ثم هم يصدفون» يعرِضون عنها فلا يؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19544','chapter_id' => '6','chapter_detail_id' => '836','translator_id' => '4','verse_number' => '47','translate_name' => '«قل» لهم «أرأيتكم إن أتاكم عذاب الله بغتة أو جهرة» ليلا أو نهارا «هل يُهلك إلا القوم الظالمون» الكافرون أي ما يهلك إلا هم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19545','chapter_id' => '6','chapter_detail_id' => '837','translator_id' => '4','verse_number' => '48','translate_name' => '«وما نرسل المرسلين إلا مبشِّرين» من آمن بالجنة «ومنذرين» من كفر بالنار «فمن آمن» بهم «وأصلح» عمله «فلا خوف عليهم ولا هم يحزنون» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19546','chapter_id' => '6','chapter_detail_id' => '838','translator_id' => '4','verse_number' => '49','translate_name' => '«والذين كذبوا بآياتنا يمسهم العذاب بما كانوا يفسقون» يخرجون عن الطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19547','chapter_id' => '6','chapter_detail_id' => '839','translator_id' => '4','verse_number' => '50','translate_name' => '«قل» لهم «لا أقول لكم عندي خزائن الله» التي منها يرزق «ولا» إني «أعلم الغيب» ما غاب عني ولم يوح إلي «ولا أقول لكم إني ملك» من الملائكة «إن» ما «أتبع إلا ما يوحى إليَّ قل هل يستوي الأعمى» الكافر «والبصير» المؤمن؟ لا «أفلا تتفكرون» في ذلك فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19548','chapter_id' => '6','chapter_detail_id' => '840','translator_id' => '4','verse_number' => '51','translate_name' => '«وأنذر» خوِّف «به» أي القرآن «الذين يخافون أن يُحشروا إلى ربِّهم ليس لهم من دونه» أي غيره «ولي» ينصرهم «ولا شفيع» يشفع لهم وجملة النفي حال من ضمير يحشروا وهي محل الخوف والمراد بهم العاصون «لعلهم يتقون» الله بإقلاعهم عما هم فيه وعمل الطاعات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19549','chapter_id' => '6','chapter_detail_id' => '841','translator_id' => '4','verse_number' => '52','translate_name' => '«ولا تطرد الذين يدعون ربَّهم بالغداة والعشي يريدون» بعبادتهم «وجهه» تعالى لا شيئا من أعراض الدنيا وهم الفقراء، وكان المشركون طعنوا فيهم وطلبوا أن يطردهم ليجالسوه وأراد النبي صلي الله عليه وسلم ذلك طمعا في إسلامهم «ما عليك من حسابهم من» زائدة «شيء» إن كان باطنهم غير مرضي «وما من حسابك عليهم من شيء فتطردهم» جواب النفي «فتكون من الظالمين» إن فعلت ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19550','chapter_id' => '6','chapter_detail_id' => '842','translator_id' => '4','verse_number' => '53','translate_name' => '«وكذلك فَتنَا» ابتلينا «بعضهم ببعض» أي الشريف بالوضيع والغني بالفقير بأن قدَّمناه بالسبق إلى الإيمان «ليقولوا» أي الشرفاء والأغنياء منكرين «أهؤلاء» الفقراء «منَّ الله عليهم من بيننا» بالهداية أي لو كان ما هم عليه هدى ما سبقونا إليه قال تعالى: «أليس الله بأعلم بالشاكرين» له فيهديهم: بلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19551','chapter_id' => '6','chapter_detail_id' => '843','translator_id' => '4','verse_number' => '54','translate_name' => '«وإذا جاءك الذين يؤمنون بآياتنا فقل» لهم «سلام عليكم كتب» قضى «ربكم على نفسه الرحمة إنهُ» أي الشأن وفي قراءة بالفتح بدل من الرحمة «من عمل منكم سوءا بجهالة» منه حيث ارتكبه «ثم تاب» رجع «من بعده» بعد عمله عنه «وأصلح» عمله «فإنه» أي الله «غفور» له «رحيم» به، وفي قراءة بالفتح أي فالمغفرة له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19552','chapter_id' => '6','chapter_detail_id' => '844','translator_id' => '4','verse_number' => '55','translate_name' => '«وكذلك» كما بينا ما ذكر «نفصِّل» نبين «الآيات» القرآن ليظهر الحق فيعمل به «ولتستبين» تظهر «سبيلُ» طريق «المجرمين» فتجتنب، وفي قراءة بالتحتانية، وفي أخرى بالفوقانية ونصب سبيل خطاب للنبي صلى الله عليه وسلم','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19553','chapter_id' => '6','chapter_detail_id' => '845','translator_id' => '4','verse_number' => '56','translate_name' => '«قل إني نُهيت أن أعبد الذين تدعون» تعبدون «من دون الله قل لا أتبع أهواءكم» في عبادتها «قد ضللت إذا» إن اتبعتها «وما أنا من المهتدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19554','chapter_id' => '6','chapter_detail_id' => '846','translator_id' => '4','verse_number' => '57','translate_name' => '«قل إني على بيِّنة» بيان «من ربي و» قد «كذَّبتم به» بربي حيث أشركتم «ما عندي ما تستعجلون به» من العذاب «إن» ما «الحكم» في ذلك وغيره «إلا لله يقضي» القضاء «الحق وهو خير الفاصلين» الحاكمين، وفي قراءة يقصُّ أي يقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19555','chapter_id' => '6','chapter_detail_id' => '847','translator_id' => '4','verse_number' => '58','translate_name' => '«قل» لهم «لو أن عندي ما تستعجلون به لقُضي الأمر بيني وبينكم» بأن أعجله لكم وأستريح ولكنه عند الله «والله أعلم بالظالمين» متى يعاقبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19556','chapter_id' => '6','chapter_detail_id' => '848','translator_id' => '4','verse_number' => '59','translate_name' => '(وعنده) تعالى (مفاتح الغيب) خزائنه أو الطرق الموصلة إلى عمله (لا يعلمها إلا هو) وهي الخمسة التي في قوله (إن الله عنده علم الساعة) الآية كما رواه البخاري (ويعلم ما) يحدث (في البر) القفار (والبحر) القرى التي على الأنهار (وما تسقط من) زائدة (ورقة إلا يعلمها ولا حبة في ظلمات الأرض ولا رطب ولا يابس) عطف على ورقة (إلا في كتاب مبين) هو اللوح المحفوظ، والاستثناء بدل اشتمال من الاستثناء قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19557','chapter_id' => '6','chapter_detail_id' => '849','translator_id' => '4','verse_number' => '60','translate_name' => '«وهو الذي يتوفاكم بالليل» يقبض أرواحكم عند النوم «ويعلم ما جرحتم» كسبتم «بالنهار ثم يبعثكم فيه» أي النهار برد أرواحكم «ليُقضى أجل مسمى» هو أجل الحياة «ثم إليه مرجعكم» «ثم ينبئكم بما كنتم تعملون» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19558','chapter_id' => '6','chapter_detail_id' => '850','translator_id' => '4','verse_number' => '61','translate_name' => '«وهو القاهر» مستعليا «فوق عباده ويرسل عليكم حفظة» ملائكة تحصي أعمالكم «حتى إذا جاء أحدكم الموت توفَّته» وفي قراءة توفاه «رسلنا» الملائكة الموكلون بقبض الأرواح «وهم لا يفرَّطون» يقصرون فيما يؤمرون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19559','chapter_id' => '6','chapter_detail_id' => '851','translator_id' => '4','verse_number' => '62','translate_name' => '«ثم ردُّوا» أي الخلق «إلى الله مولاهم» مالكهم «الحق» الثابت العدل ليجزيهم «ألا له الحكم» القضاء النافذ فيهم «وهو أسرع الحاسبين» يحاسب الخلق كلهم في قدر نصف نهار من أيام الدنيا لحديث بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19560','chapter_id' => '6','chapter_detail_id' => '852','translator_id' => '4','verse_number' => '63','translate_name' => '«قل» يا محمد لأهل مكة «من ينجيِكم من ظلمات البر والبحر» أهوالهما في أسفاركم حين «تدعونه تضرعا» علانية «وخفية» سرا تقولون «لئن» لام قسم «أنجيتنا» وفي قراءة أنجانا أي الله «من هذه» الظلمات والشدائد «لنكونن من الشاكرين» المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19561','chapter_id' => '6','chapter_detail_id' => '853','translator_id' => '4','verse_number' => '64','translate_name' => '«قل» لهم «الله يُنجيكم» بالتخفيف والتشديد «منها ومن كل كرب» غمِّ سواها «ثم أنتم تشركون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19562','chapter_id' => '6','chapter_detail_id' => '854','translator_id' => '4','verse_number' => '65','translate_name' => '(قل هو القادر) على أن يبعث عليكم عذابا من فوقكم) من السماء كالحجارة والصيحة (أو من تحت أرجلكم) كالخسف (أو يلبسكم) يخلطكم (شيعا) فرقا مختلفة الأهواء (ويذيق بعضكم بأس بعض) بالقتال، قال صلى الله عليه وسلم: لما نزلت (هذا أهون وأيسر) ولما نزل ما قبله:، (أعوذ بوجهك رواه البخاري وروى مسلم حديث "" سألت ربي ألا يجعل بأس أمتي بينهم فمنعنيها "" وفي حديث "" لما نزلت قال أما إنها كائنة ولم يأت تأويلها بعد "" (أنظر كيف نصرف) نبين لهم (الآيات) الدلالات على قدرتنا (لعلهم يفقهون) يعلمون أن ما هم عليه باطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19563','chapter_id' => '6','chapter_detail_id' => '855','translator_id' => '4','verse_number' => '66','translate_name' => '«وكذب به» بالقرآن «قومك وهو الحق» الصدق «قل» لهم «لست عليكم بوكيل» فأجازيكم إنما أنا منذر وأمركم إلى الله وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19564','chapter_id' => '6','chapter_detail_id' => '856','translator_id' => '4','verse_number' => '67','translate_name' => '«لكل نبأ» خبر «مستقر» وقت يقع فيه ويستقر ومنه عذابكم «وسوف تعلمون» تهديد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19565','chapter_id' => '6','chapter_detail_id' => '857','translator_id' => '4','verse_number' => '68','translate_name' => '«وإذا رأيت الذين يخوضون في آياتنا» القرآن بالاستهزاء «فأعرض عنهم» ولا تجالسهم «حتى يخوضوا في حديث غيره وإما» فيه إدغام نون إن الشرطية في ما المزيدة «يُنسِيَنَّكَ» بسكون النون والتخفيف وفتحها والتشديد «الشيطان» فقعدت معهم «فلا تقعد بعد الذكرى» أي تذكرة «مع القوم الظالمين» فيه وضع الظاهر موضع المضمر وقال المسلمون إن قمنا كلما خاضوا لم نستطيع أن نجلس في المسجد وأن نطوف فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19566','chapter_id' => '6','chapter_detail_id' => '858','translator_id' => '4','verse_number' => '69','translate_name' => '«وما على الذين يتقون» الله «من حسابهم» أي الخائضين «من» زائدة «شيء» إذا جالسوهم «ولكن عليهم «ذكرى» تذكرة لهم وموعظة «لعلهم يتقون» الخوض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19567','chapter_id' => '6','chapter_detail_id' => '859','translator_id' => '4','verse_number' => '70','translate_name' => '«وذر» أترك «الذين اتخذوا دينهم» الذي كلفوه «لعبا ولهوا» باستهزائهم به «وغرتهم الحياة الدنيا» فلا تتعرض لهم وهذا قبل الأمر بالقتال «وذكِّر» عظ «به» بالقرآن الناس لـ «أن» لا «تُبسل نفس» تسلم إلى الهلاك «بما كسبت» عملت «ليس لها من دون الله» أي غيره «ولي» ناصر «ولا شفيع» يمنع عنها العذاب «وإن تعدل كل عدل» تفد كل فداء «لا يؤخذ منها» ما تفدي به «أولئك الذين أبسلوا بما كسبوا لهم شراب من حميم» ماء بالغ نهاية الحرارة «وعذاب أليم» مؤلم «بما كانوا يكفرون» بكفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19568','chapter_id' => '6','chapter_detail_id' => '860','translator_id' => '4','verse_number' => '71','translate_name' => '«قل أندعوا» أنعبد «من دون الله ما لا ينفعنا» بعبادته «ولا يضرنا» بتركها وهو الأصنام «ونُرد على أعقابنا» نرجع مشركين «بعد إذ هدانا الله» إلى الإسلام «كالذي استهوته» أضلته «الشياطين في الأرض حيران» متحيرا لا يدري أين يذهب حال من الهاء «له أصحاب» رفقة «يدعونه إلى الهدى» أي ليهدوه الطريق يقولون له «ائتنا» فلا يجيبهم فيهلك والاستفهام للإنكار وجمله التشبيه حال من ضمير نرد «قل إن هدى الله» الذي هو الإسلام «هو الهدى» وما عداه ضلال «وأمرنا لنسلم» أي بأن نسلم «لرب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19569','chapter_id' => '6','chapter_detail_id' => '861','translator_id' => '4','verse_number' => '72','translate_name' => '«وأن» أي بأن «أقيموا الصلاة واتقوه» تعالى «وهو الذي إليه تحشرون» تجمعون يوم القيامة للحساب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19570','chapter_id' => '6','chapter_detail_id' => '862','translator_id' => '4','verse_number' => '73','translate_name' => '«وهو الذي خلق السماوات والأرض بالحق» أي محقا «و» اذكر «يوم يقول» للشيء «كن فيكون» هو يوم القيامة يقول للخلق قوموا «قولُه الحق» الصدق الواقع لا محالة «وله الملك يوم ينفخ في الصور» القرن النفخة الثانية من إسرافيل لا ملك فيه لغيره (لمن الملك اليوم؟ لله) «عالُم الغيب والشهادة» ما غاب وما شوهد «وهو الحكيم» في خلقه «الخبير» بباطن الأشياء كظاهرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19571','chapter_id' => '6','chapter_detail_id' => '863','translator_id' => '4','verse_number' => '74','translate_name' => '«و» اذكر «إذ قال إبراهيم لأبيه آزرَ» هو لقبه واسمه تارخ «أتتخذ أصناما آلهة» تعبدها إستفهام توبيخ «إني أراك وقومك» باتخاذها «في ضلال» عن الحق «مبين» بيِّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19572','chapter_id' => '6','chapter_detail_id' => '864','translator_id' => '4','verse_number' => '75','translate_name' => '«وكذلك» كما أريناه إضلال أبيه وقومه «نري إبراهيم ملكوت» ملك «السماوات والأرض» ليستدل به على وحدانيتنا «وليكون من الموقنين» بها وجملة وكذلك وما بعدها اعتراض وعطف على قال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19573','chapter_id' => '6','chapter_detail_id' => '865','translator_id' => '4','verse_number' => '76','translate_name' => '«فلما جن» أظلم «عليه الليل رأى كوكبا» قيل هو الزهرة «قال» لقومه وكانوا نجامين «هذا ربي» في زعمكم «فما أفل» غاب «قال لا أحب الآفلين» أن أتخذهم أربابا لأن الرب لا يجوز عليه التغير والانتقال لأنهما من شأن الحوادث فلم ينجع فيهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19574','chapter_id' => '6','chapter_detail_id' => '866','translator_id' => '4','verse_number' => '77','translate_name' => '«فما رأى القمر بازغا» طالعا «قال» لهم «هذا ربي فلما أفل قال لئن لم يهدني ربي» يثبتني على الهدى «لأكوننَّ من القوم الضَّالين» تعريض لقومه بأنهم على ضلال فلم ينجع فيهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19575','chapter_id' => '6','chapter_detail_id' => '867','translator_id' => '4','verse_number' => '78','translate_name' => '«فلما رأى الشمس بازغة قال هذا» ذكره لتذكير خبره «ربي هذا أكبر» من الكواكب والقمر «فلما أفلت» وقويت عليهم الحجة ولم يرجعوا «قال يا قوم إني بريء مما تشركون» بالله من الأصنام والأجرام المحدثة المحتاجة إلى محدث فقالوا له ما تبعد؟.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19576','chapter_id' => '6','chapter_detail_id' => '868','translator_id' => '4','verse_number' => '79','translate_name' => 'قال «إني وجهت وجهي» قصدت بعبادتي «للذي فطر» خلق «السماوات والأرض» أي الله «حنيفا» مائلا إلى الدين القيم «وما أنا من المشركين» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19577','chapter_id' => '6','chapter_detail_id' => '869','translator_id' => '4','verse_number' => '80','translate_name' => '«وحاجَّه قومه» جادلوه في دينه وهدَّدوه بالأصنام أن تصيبه بسوء إن تركها «قال أتُحَآجُّونِّي» بتشديد النون وتخفيفها بحذف إحدى النونين وهي نون الرفع عند النحاة ونون الوقاية عند القراء أتجادلونني «في» وحدانية «الله وقد هدان» تعالى إليها «ولا أخاف ما تشركونـ» ـه «به» من الأصنام أن تصيبني بسوء لعدم قدرتها على شيء «إلا» لكن «أن يشاء ربي شيئا» من المكروه يصيبني فيكون «وسع ربي كل شيء علما» أي وسع علمه كل شيء «أفلا تتذكرون» هذا فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19578','chapter_id' => '6','chapter_detail_id' => '870','translator_id' => '4','verse_number' => '81','translate_name' => '«وكيف أخاف ما أشركتم» بالله وهي لا تضر ولا تنفع «ولا تخافونَ» أنتم من الله «أنكم أشركتم بالله» في العبادة «ما لم ينزِّل به» بعبادته «عليكم سلطانا» حجة وبرهانا وهو القادر على كل شيء «فأي الفريقيْن أحق بالأمن» أنحن أم أنتم «إن كنتم تعلمون» مَن الحق به: أي وهو نحن فاتبعوه، قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19579','chapter_id' => '6','chapter_detail_id' => '871','translator_id' => '4','verse_number' => '82','translate_name' => '«الذين آمنوا ولم يلبسوا» يخلطوا «إيمانهم بظلم» أي شرك كما فسر بذلك في حديث الصحيحين «أولئك لهم الأمن» من العذاب «وهم مهتدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19580','chapter_id' => '6','chapter_detail_id' => '872','translator_id' => '4','verse_number' => '83','translate_name' => '«وتلك» مبتدأ ويبدل منه «حجتنا» التي احتج بها إبراهيم على وحدانية الله من أفول الكوكب وما بعده والخبر «آتيناها إبراهيم» أرشدناه لها حجة «على قومه نرفع درجات من نشاء» بالإضافة والتنوين في العلم والحكمة «إن ربك حكيم» في صنعه «عليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19581','chapter_id' => '6','chapter_detail_id' => '873','translator_id' => '4','verse_number' => '84','translate_name' => '«وهبنا له إسحاق ويعقوب» ابنه «كلا» منهما «هدينا ونوحا هدينا من قبل» أي قبل إبراهيم «ومن ذريته» أي نوح «داوود وسليمان» ابنه «وأيوب ويوسف» ابن يعقوب «وموسى وهارون وكذلك» كما جزيناهم «نجزي المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19582','chapter_id' => '6','chapter_detail_id' => '874','translator_id' => '4','verse_number' => '85','translate_name' => '«وزكريا ويحيى» ابنه «وعيسى» ابن مريم يفيد أن الذرية تتناول أولاد البنت «وإلياس» ابن أخي هارون أخي موسى «كل» منهم «من الصالحين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19583','chapter_id' => '6','chapter_detail_id' => '875','translator_id' => '4','verse_number' => '86','translate_name' => '«وإسماعيل» بن إبراهيم «واليسع» اللام زائدة «ويونس ولوطا» بن هاران أخي إبراهيم «وكلا» منهم «فضَّلنا على العالمين» بالنبوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19584','chapter_id' => '6','chapter_detail_id' => '876','translator_id' => '4','verse_number' => '87','translate_name' => '«ومن آبائهم وذرِّيَّاتهم وإخوانهم» عطف على كلا أو نوحا ومن للتبعيض لأن بعضهم لم يكن له ولد وبعضهم كان في ولده كافر «واجتبيناهم» إخترناهم «وهديناهم إلى صراط مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19585','chapter_id' => '6','chapter_detail_id' => '877','translator_id' => '4','verse_number' => '88','translate_name' => '«ذلك» الذين هُدوا إليه «هدى الله يهدي به من يشاء من عباده ولو أشركوا» فرضا «لحبط عنهم ما كانوا يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19586','chapter_id' => '6','chapter_detail_id' => '878','translator_id' => '4','verse_number' => '89','translate_name' => '«أولئك الذين آتيناهم الكتاب» بمعنى الكتب «والحكم» الحكمة «والنبوة فإن يكفر بها» أي بهذه الثلاثة «هؤلاء» أي أهل مكة «فقد وكَّلنا بها» أرصدنا لها «قوما ليسوا بها بكافرين» هم المهاجرون والأنصار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19587','chapter_id' => '6','chapter_detail_id' => '879','translator_id' => '4','verse_number' => '90','translate_name' => '«أولئك الذين هدى» هم «الله فبهداهم» طريقهم من التوحيد والصبر «اقتده» بهاء السكت وقفا ووصلا وفي قراءة بحذفها وصلا «قل» لأهل مكة «لا أسألكم عليه» أي القرآن «أجرا» تعطونيه «إن هو» ما القرآن «إلا ذكرى» عظة «للعالمين» الإنس والجن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19588','chapter_id' => '6','chapter_detail_id' => '880','translator_id' => '4','verse_number' => '91','translate_name' => '«وما قدروا» أي اليهود «الله حق قدره» أي ما عظموه حق عظمته أو ما عرفوه حق معرفته «إذ قالوا» للنبي صلى الله عليه وسلم وقد خاصموه في القرآن «ما أنزل الله على بشر من شيء قل» لهم «من أنزل الكتاب الذي جاء به موسى نورا وهدى للناس تجعلونه» بالياء والتاء في المواضع الثلاثة «قراطيس» أي يكتبونه في دفاتر مقطعة «يبدونها» أي ما يحبون إبداءه منها «ويخفون كثيرا» ما فيها كنعت محمد صلى الله عليه وسلم «وعلمتم» أيها اليهود في القرآن «ما لم تعلموا أنتم ولا آباؤكم» من التوراة ببيان ما التبس عليكم واختلفتم فيه «قل الله» أنزله إن لم يقولوه لا جواب غيره «ثم ذرهم في خوضهم» باطلهم «يلعبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19589','chapter_id' => '6','chapter_detail_id' => '881','translator_id' => '4','verse_number' => '92','translate_name' => '«وهذا» القرآن «كتاب أنزلناه مبارك مصدق الذي بين يديه» قبله من الكتب «ولتنذر» بالتاء والياء عطف على معنى ما قبله أي أنزلناه للبركة والتصديق ولتنذر به «أم القرى ومن حولها» أي أهل مكة وسائر الناس «والذين يؤمنون بالآخرة يؤمنون به وهم على صلاتهم يحافظون» خوفا من عقابها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19590','chapter_id' => '6','chapter_detail_id' => '882','translator_id' => '4','verse_number' => '93','translate_name' => '«ومن» أي لا أحد «أظلم ممن افترى على الله كذبا» بادعاء النبوة ولم ينبأ «أو قال أُوحي إليَّ ولم يوح إليه شيء» نزلت في مسيلمة «ومن قال سأنزل مثل ما أنزل الله» وهم المستهزئون قالوا لو نشاء لقلنا مثل هذا «ولو ترى» يا محمد «إذ الظالمون» المذكورون «في غمرات» سكرات «الموت والملائكةُ باسطوا أيديهم» إليهم بالضرب والتعذيب يقولون لهم تعنيفا «أخرجوا أنفسكم» إلينا لنقبضها «اليوم تجزون عذاب الهون» الهوان «بما كنتم تقولون على الله غير الحق» يدعون النبوة والإيحاء كذب «وكنتم عن آياته تستكبرون» تتكبرون عن الإيمان بها وجواب لو رأيت أمرا فظيعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19591','chapter_id' => '6','chapter_detail_id' => '883','translator_id' => '4','verse_number' => '94','translate_name' => '«و» يقال لهم إذا بعثوا «لقد جئتمونا فرادى» منفردين عن الأهل والمال والولد «كما خلقناكم أول مرة» أي حفاة عراة غرلا «وتركتم ما خولناكم» أعطيناكم من الأموال «وراء ظهوركم» في الدنيا بغير اختباركم «و» يقال لهم توبيخا «ما نرى معكم شفعاءكم» الأصنام «الذين زعمتم أنهم فيكم» أي في استحقاق عبادتكم «شركاء» لله «لقد تقطع بينكُمْ» وصلكم أي تشتيت جمعكم وفي قراءة بالنصب ظرف أي وصلكم بينكم «وضل» ذهب «عنكم ما كنتم تزعمون» في الدنيا من شفاعتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19592','chapter_id' => '6','chapter_detail_id' => '884','translator_id' => '4','verse_number' => '95','translate_name' => '«إن الله فالق» شاق «الحبِّ» عن النبات «والنوى» عن النخل «يخرج الحي من الميت» كالإنسان والطائر من النطفة والبيضة «ومخرج الميت» النطفة والبيضة «من الحي ذلكم» الفالق المخرج «الله فأنَّي تؤفكون» فكيف تصرفون عن الإيمان مع قيام البرهان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19593','chapter_id' => '6','chapter_detail_id' => '885','translator_id' => '4','verse_number' => '96','translate_name' => '«فالق الإصباح» مصدر بمعنى الصبح أي شاق عمود الصبح وهو أول ما يبدو من نور النهار عن ظلمة الليل «وجاعلُ اللَّيْل سكنا» تسكن فيه الخلق من التعب «والشمس والقمر» بالنصب عطفا على محل الليل «حسبانا» للأوقات أو الباء محذوفة وهو حال من مقدر أي يجريان بحسبان كما في آية الرحمن «ذلك» المذكور «تقدير العزيز» في ملكه «العليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19594','chapter_id' => '6','chapter_detail_id' => '886','translator_id' => '4','verse_number' => '97','translate_name' => '«وهو الذي جعل لكم النجوم لتهتدوا بها في ظلمات البر والبحر» في الأسفار «قد فصَّلنا» بينا «الآيات» الدلالات على قدرتنا «لقوم يعلمون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19595','chapter_id' => '6','chapter_detail_id' => '887','translator_id' => '4','verse_number' => '98','translate_name' => '«وهو الذي أنشأكم» خلقكم «من نفس واحدة» من آدم «فّمُستقِرٌ» منكم في الرحم «ومستودع» منكم في الصلب وفي قراءة بفتح القاف أي مكان قرار لكم «قد فصَّلنا الآيات لقوم يفقهون» ما يقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19596','chapter_id' => '6','chapter_detail_id' => '888','translator_id' => '4','verse_number' => '99','translate_name' => '«وهو الذي أنزل من السماء ماء فأخرجنا» فيه التفات عن الغيبة «به» بالماء «نبات كل شيء» ينبت «فأخرجنا منه» أي النبات شيئا «خَضِرا» بمعنى أخضر «نخرج منه» من الخضر «حبا متراكبا» يركب بعضه بعضا كسنابل الحنطة ونحوها «ومن النخل» خبر ويبدل منه «من طلعها» أول ما يخرج منها والمبتدأ «قنوان» عراجين «دانية» قريب بعضها من بعض «و» أخرجنا به «جناتِ» بساتين «من أعناب والزيتون والرمان مشتبها» ورقهما حال «وغير متشابه» ثمرها «انظروا» يا مخاطبون نظر اعتبار «إلى ثمره» بفتح الثاء والميم وبضمهما وهو جمع ثمرة كشجرة وشجر وخشبة وخشب «إذا أثمر» أول ما يبدو كيف هو «و» إلى «ينعه» نضجه إذا أدرك كيف يعود «إن في ذلكم لآيات» دلالات على قدرته تعالى على البعث وغيره «لقوم يؤمنون» خصوا بالذكر لأنهم المنتفعون بها في الإيمان بخلاف الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19597','chapter_id' => '6','chapter_detail_id' => '889','translator_id' => '4','verse_number' => '100','translate_name' => '«وجعلوا لله» مفعول ثان «شركاءَ» مفعول أول ويبدل منه «الجنَّ» حيث أطاعوهم في عبادة الأوثان «و» قد «خلقهم» فكيف يكونون شركاء «وخرَقوا» بالتخفيف والتشديد أي اختلقوا «له بنين وبنات بغير علم» حيث قالوا عزيز ابن الله والملائكة بنات الله «سبحانه» تنزيها له «وتعالى عما يصفون» بأن له ولدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19598','chapter_id' => '6','chapter_detail_id' => '890','translator_id' => '4','verse_number' => '101','translate_name' => 'هو «بديع السماوات والأرض» مبدعهما من غير مثال سبق «أنَّى» كيف «يكون له ولد ولم تكن له صاحبة» زوجة «وخلق كلَّ شيء» من شأنه أن يخلق «وهو بكل شيء عليمٌ».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19599','chapter_id' => '6','chapter_detail_id' => '891','translator_id' => '4','verse_number' => '102','translate_name' => '«ذلكم الله ربكم لا إله إلا هو خالقُ كلَّ شيء فاعبدوه» وحِّدوه «وهو على كل شيء وكيل» حفيظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19600','chapter_id' => '6','chapter_detail_id' => '892','translator_id' => '4','verse_number' => '103','translate_name' => '«لا تدركه الأبصار» أي لا تراه وهذا مخصوص لرؤية المؤمنين له في الآخرة لقوله تعالى: «وجوه يومئذ ناضرة إلى ربها ناظرة» وحديث الشيخين «إنكم سترون ربكم كما ترون القمر ليلة البدر» وقيل المراد لا تحيط به «وهو يدرك الأبصار» أي يراها ولا تراه ولا يجوز في غيره أن يدرك البصر وهو لا يدركه أويحيط به علمًا «وهو اللطيف» بأوليائه «الخبير» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19601','chapter_id' => '6','chapter_detail_id' => '893','translator_id' => '4','verse_number' => '104','translate_name' => 'قل يا محمد لهم: «قد جاءكم بصائر» حجج «من ربكم فمن أبصر» ها فآمن «فلنفسه» أبصر لأن ثواب إبصاره له «ومن عَمي» عنها فضل «فعليها» وبال إضلاله «وما أنا عليكم بحفيظ» رقيب لأعمالكم إنما أنا نذير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19602','chapter_id' => '6','chapter_detail_id' => '894','translator_id' => '4','verse_number' => '105','translate_name' => '«وكذلك» كما بينا ما ذكر «نصرِّف» نبين «الآيات» ليعتبروا «وليقولوا» أي الكفار في عاقبة الأمر «دارست» ذاكرت أهل الكتاب وفي قراءة دَرَسْت أي كتب الماضين وجئت بهذا منها «ولنبيِّنه لقوم يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19603','chapter_id' => '6','chapter_detail_id' => '895','translator_id' => '4','verse_number' => '106','translate_name' => '«إتَّبع ما أوحي إليك من ربك» أي القرآن «لا إله إلا هو وأعرض عن المشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19604','chapter_id' => '6','chapter_detail_id' => '896','translator_id' => '4','verse_number' => '107','translate_name' => '«ولو شاء الله ما أشركوا وما جعلناك عليهم حفيظا» رقيبا فتجازيهم بأعمالهم «وما أنت عليهم بوكيل» فتجبرهم على الإيمان وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19605','chapter_id' => '6','chapter_detail_id' => '897','translator_id' => '4','verse_number' => '108','translate_name' => '«ولا تسبوا الذين يدعونـ» ـهم «من دون الله» أي الأصنام «فيسبوا الله عدْوا» اعتداء وظلما «بغير علم» أي جهلا منهم بالله «كذلك» كما زيَّنا لهؤلاء ما هم عليه «زيَّنا لكل أمة عملهم» من الخير والشر فأتوه «ثم إلى ربهم مرجعهم» في الآخرة «فينبِّئهم بما كانوا يعلمون» فيجازيهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19606','chapter_id' => '6','chapter_detail_id' => '898','translator_id' => '4','verse_number' => '109','translate_name' => '«وأقسموا» أي كفار مكة «بالله جهد أيمانهم» أي غاية اجتهادهم فيها «لئن جاءتهم آية» مما اقترحوا «ليؤمنن بها قل» لهم «إنما الآيات عند الله» ينزلها كما يشاء وإنما أنا نذير «وما يشعركم» يدريكم بإيمانهم إذا جاءت: أي أنتم لا تدرون ذلك «إنهَّا إذا جاءت لا يؤمنون» لما سبق في علمي، وفي قراءة بالتاء خطابا للكفار وفي أخر بفتح أن بمعنى لعل أو معمولة لما قبلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19607','chapter_id' => '6','chapter_detail_id' => '899','translator_id' => '4','verse_number' => '110','translate_name' => '«ونقلَّب أفئدتهم» نحول قلوبهم عن الحق فلا يفهمونه «وأبصارهم» عنه فلا يبصرونه فلا يؤمنون «كما لم يؤمنوا به» أي بما أنزل من الآيات «أوَّل مرّةِ ونذرهم» نتركهم «في طغيانهم» ضلالهم «يعمهون» يترددون متحيرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19608','chapter_id' => '6','chapter_detail_id' => '900','translator_id' => '4','verse_number' => '111','translate_name' => '«ولو أننا نزَّلنا إليهم الملائكة وكملهم الموتى» كما اقترحوا «وحشرنا» جمعنا «عليهم كل شيء قبلا» بضمتين جمع قبيل أي فوجا فوجا وبكسر القاف وفتح الياء أي معاينة فشهدوا بصدقك «ما كانوا ليؤمنوا» لما سبق في علم الله «إلا» لكن «أن يشاء الله» إيمانهم فيؤمنوا «ولكن أكثرهم يجهلون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19609','chapter_id' => '6','chapter_detail_id' => '901','translator_id' => '4','verse_number' => '112','translate_name' => '«وكذلك جعلنا لكل نبي عدوا» كما جعلنا هؤلاء أعداءك ويبدل منه «شياطين» مردة «الإنس والجن يوحي» يوسوس «بعضهم إلى بعض زخرف القول» مموهه من الباطل «غرورا» أي ليغروهم «ولو شاء ربُّك ما فعلوه» أي الإيحاء المذكور «فذرْهم» دع الكفار «وما يفترون» من الكفر وغيره مما زين لهم وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19610','chapter_id' => '6','chapter_detail_id' => '902','translator_id' => '4','verse_number' => '113','translate_name' => '«ولتصغى إليه» عطف على غرورا أي الزخرف «أفئدة» قلوب «الذين لا يؤمنون بالآخرة وليرضوه وليقترفوا» يكتسبوا «ما هم مقترفون» من الذنوب فيعاقبوا عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19611','chapter_id' => '6','chapter_detail_id' => '903','translator_id' => '4','verse_number' => '114','translate_name' => 'ونزل لما طلبوا من النبي صلى الله عليه وسلم أن يجعل بينه وبينهم حكما، قل «أفغير الله أبتغي» أطلب «حكما» قاضيا بيني وبينكم «وهو الذي أنزل إليكم الكتاب» القرآن «مفصّلا» مبينا في الحق من الباطل «والذين آتيناهم الكتاب» التوراة كعبد الله بن سلام وأصحابه «يعلمون أنه منزَل» بالتخفيف والتشديد «من ربَّك بالحق فلا تكونن من الممترين» الشاكين فيه والمراد بذلك التقرير للكفار أنه حق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19612','chapter_id' => '6','chapter_detail_id' => '904','translator_id' => '4','verse_number' => '115','translate_name' => '«وتمت كَلِمَاتُ ربَك» بالأحكام والمواعيد «صدقا وعدلا» تمييز «لا مبدِّل لكلماته» بنقص أو خلف «وهو السميع» لما يقال «العليم» بما يفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19613','chapter_id' => '6','chapter_detail_id' => '905','translator_id' => '4','verse_number' => '116','translate_name' => '«وإن تطع أكثر من في الأرض» أي الكفار «يضلوك عن سبيل الله» دينه «إن» ما «يتبعون إلا الظنَّ» في مجادلتهم لك في أمر الميتة إذ قالوا ما قتل الله أحق أن تأكلوه مما قتلتم «وإن» ما «هو إلا يخرصون» يكذبون في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19614','chapter_id' => '6','chapter_detail_id' => '906','translator_id' => '4','verse_number' => '117','translate_name' => '«إن ربَّك هو أعلم» أي عالم «من يَضل عن سبيله وهو أعلم بالمهتدين» فيجازي كلا منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19615','chapter_id' => '6','chapter_detail_id' => '907','translator_id' => '4','verse_number' => '118','translate_name' => '«فكلوا مما ذكر اسم الله عليه» أي ذبح على اسمه «إن كنتم بآياته مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19616','chapter_id' => '6','chapter_detail_id' => '908','translator_id' => '4','verse_number' => '119','translate_name' => '«وما لكم أ» ن «لا تأكلوا مما ذكر اسم الله عليه» من الذبائح «وقد فُصل» بالبناء للمفعول وللفاعل في الفعلين «لكم ما حُرِّمَ عليكم» في آية (حرمت عليكم الميتة) «إلا ما اضطُررتم إليه» منه فهو أيضا حلال لكم- المعنى لا مانع لكم من أكل ما ذكر وقد بين لكم المحرّم أكله، وهذا ليس منه - «وإن كثيرا لَيَضِلُّونَ» بفتح الياء وضمها «بأهوائهم» بما تهواه أنفسهم من تحليل الميتة وغيرها «بغير علم» يعتمدونه في ذلك «إن ربَّك هو أعلم بالمعتدين» المتجاوزين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19617','chapter_id' => '6','chapter_detail_id' => '909','translator_id' => '4','verse_number' => '120','translate_name' => '«وذروا» أُتركوا «ظاهر الإثم وباطنه» علانيته وسره والإثم قيل الزنا، وقيل كل معصية «إن الذين يكسبون الإثم سيُجزون» في الآخرة «بما كانوا يقترفون» يكتسبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19618','chapter_id' => '6','chapter_detail_id' => '910','translator_id' => '4','verse_number' => '121','translate_name' => '«ولا تأكلوا مما لم يُذكر اسم الله عليه» بأن مات أو ذبح على اسم غيره وإلا فما ذبحه المسلم ولم يسم فيه عمدا أو نسيانا فهو حلال قاله ابن عباس وعليه الشافعي «وإنه» أي الأكل منه «لفسق» خروج عما يحل «وإن الشياطين ليوحون» يوسوسون «إلى أوليائهم» الكفار «ليجادلوكم» في تحليل الميتة «وإن أطعتموهم» فيه «إنكم لمشركون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19619','chapter_id' => '6','chapter_detail_id' => '911','translator_id' => '4','verse_number' => '122','translate_name' => 'ونزل في أبي جهل وغيره: «أو من كان ميتا» بالكفر «فأحييناه» بالهدى «وجعلنا له نورا يمشي به في الناس» يتبصر به الحق من غيره وهو الإيمان «كمن مثله» مثل زائدة أي كمن هو «في الظلمات ليس بخارج منها» وهو الكافر؟ لا «كذلك» كما زيِّن للمؤمنين الإيمان «زيِّن للكافرين ما كانوا يعلمون» من الكفر والمعاصى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19620','chapter_id' => '6','chapter_detail_id' => '912','translator_id' => '4','verse_number' => '123','translate_name' => '«وكذلك» كما جعلنا فُسَّاق مكة أكابرها «جعلنا في كل قرية أكابر مجرميها ليمكروا فيها» بالصد عن الإيمان «وما يمكرون إلا بأنفسهم» لأن وباله عليهم «وما يشعرون» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19621','chapter_id' => '6','chapter_detail_id' => '913','translator_id' => '4','verse_number' => '124','translate_name' => '«وإذا جاءتهم» أي أهل مكة «آية» على صدق النبي صلى الله عليه وسلم «قالوا لن نؤمن» به «حتى نؤتى مثل ما أوتي رسلُ الله» من الرسالة والوحي إلينا لأنا أكثر مالا وأكبر سنّا قال تعالى: «الله أعلم حيث يجعل رِسَالاَتِهِ» بالجمع والإفراد وحيث مفعول به لفعل دل عليه أعلم: أي يعلم الموضع الصالح لوضعها فيه فيضعها وهؤلاء ليسوا أهلا لها «سيصيب الذين أجرموا» بقولهم ذلك «صغار» ذلٌ «عند الله وعذاب شديد بما كانوا يمكرون» أي بسبب مكرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19622','chapter_id' => '6','chapter_detail_id' => '914','translator_id' => '4','verse_number' => '125','translate_name' => '«فمن يرد الله أن يهديه يشرح صدره للإسلام» بأن يقذف في قلبه نورا فينفسح له ويقبله كما ورد في حديث «ومن يردْ» الله «أن يضلَّه يجعل صدره ضَيْقا» بالتخفيف والتشديد عن قبوله «حرَجا» شديد الضيق بكسر الراء صفة وفتحها مصدر وصف فيه مبالغة «كأنما يصَّعَّد» وفي قراءة يصَّاعد وفيهما إدغام التاء في الأصل في الصاد وفي أخرى بسكونها «في السماء» إذا كلف الإيمان لشدته عليه «كذلك» الجعل «يجعل الله الرجس» العذاب أو الشيطان أي يسلطه «على الذين لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19623','chapter_id' => '6','chapter_detail_id' => '915','translator_id' => '4','verse_number' => '126','translate_name' => '«وهذا» الذي أنت عليه يا محمد «صراطُ» طريق «ربِّك مستقيما» لا عوج فيه ونصبه على الحال المؤكد للجملة والعامل فيها معنى الإشارة «قد فصّلنا» بينا «الآيات لقوم يذكَّرون» فيه إدغام التاء في الأصل في الذال أي يتعظون وخُصوا بالذكر لأنهم المنتفعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19624','chapter_id' => '6','chapter_detail_id' => '916','translator_id' => '4','verse_number' => '127','translate_name' => '«لهم دار السلام» أي السلام وهي الجنة «عند ربِّهم وهو وليهم بما كانوا يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19625','chapter_id' => '6','chapter_detail_id' => '917','translator_id' => '4','verse_number' => '128','translate_name' => '«و» اذكر «يوم نحشرهم» بالنون والياء أي الله الخلق «جميعا» ويقال لهم «يا معشر الجن قد استكثرتم من الإنس» بإغوائكم «وقال أولياؤهم» الذين أطاعوهم «من الإنس ربنا استمع بعضنا ببعض» انتفع الإنس بتزيين الجن لهم الشهوات والجن بطاعة الإنس لهم «وبلغنا أجلنا الذي أجَّلْتَ لنا» وهو يوم القيامة وهذا تحسر منهم قال تعالى لهم على لسان الملائكة: «النار مثواكم» مأواكم «خالدين فيها إلا ما شاء الله» من الأوقات التي يخرجون فيها لشرب الحميم فإنه خارجها كما قال تعالى (ثم إن مرجعهم لإلى الجحيم) وعن ابن عباس أنه فيمن علم الله أنهم يؤمنون فما بمعني من «إن ربك حكيم» في صنعه «عليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19626','chapter_id' => '6','chapter_detail_id' => '918','translator_id' => '4','verse_number' => '129','translate_name' => '«وكذلك» كما متَّعنا عُصاة الإنس والجن بعضهم ببعض «نولي» من الولاية «بعض الظالمين بعضا» أي على بعض «بما كانوا يكسبون» من المعاصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19627','chapter_id' => '6','chapter_detail_id' => '919','translator_id' => '4','verse_number' => '130','translate_name' => '«يا معشر الجن والإنس ألم يأتكم رسل منكم» أي من مجموعكم أي بعضكم الصادق بالإنس أو رسل الجن نذرهم الذين يسمعون كلام الرسل فيبلغون قومهم «يقصون عليكم آياتي وينذرونكم لقاء يومكم هذا قالوا شهدنا على أنفسنا» أن قد بلغنا قال تعالى: «وغرَّتهم الحياة الدنيا» فلم يؤمنوا «وشهدوا على أنفسهم أنهم كانوا كافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19628','chapter_id' => '6','chapter_detail_id' => '920','translator_id' => '4','verse_number' => '131','translate_name' => '«ذلك» أي إرسال الرسل «أن» اللام مقدرة وهي مخففة أي لأنه «لم يكن ربَّك مهلك القرى بظلم» منها «وأهلها غافلون» لم يرسل إليهم رسول يبين لهم؟.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19629','chapter_id' => '6','chapter_detail_id' => '921','translator_id' => '4','verse_number' => '132','translate_name' => '«ولكل» من العاملين «درجات» جزاء «مما عملوا» من خير وشر «وما ربك بغافل عما يعملون» بالياء والتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19630','chapter_id' => '6','chapter_detail_id' => '922','translator_id' => '4','verse_number' => '133','translate_name' => '«وربُّك الغني» عن خلقه وعبادتهم «ذو الرحمة إن يشأ يذهبكم» يا أهل مكة بالإهلاك «ويستخلف من بعدكم ما يشاء» من الخلق «كما أنشأكم من ذرية قوم آخرين» أذهبهم ولكنه أبقاكم رحمة لكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19631','chapter_id' => '6','chapter_detail_id' => '923','translator_id' => '4','verse_number' => '134','translate_name' => '«إن ما توعدون» من الساعة والعذاب «لآت» لا محالة «وما أنتم بمعجزين» فائتين عذابنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19632','chapter_id' => '6','chapter_detail_id' => '924','translator_id' => '4','verse_number' => '135','translate_name' => '«قل» لهم «يا قوم اعملوا على مكانتكم» حالتكم «إني عامل» على حالتي «فسوف تعلمون من» موصولة مفعول العلم «تكون له عاقبة الدار» أي العاقبة المحمودة في الدار الآخرة أنحن أم أنتم «إنه لا يفلح» يسعد «الظالمون» الكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19633','chapter_id' => '6','chapter_detail_id' => '925','translator_id' => '4','verse_number' => '136','translate_name' => '«وجعلوا» أي كفار مكة «لله مما ذرأ» خلق «من الحرث» الزرع «والأنعام نصيبا» يصرفونه إلى الضيفان والمساكين ولشركائهم نصيبا يصرفونه إلى سدنتها «فقالوا هذا لله بزعمهم» بالفتح والضم «وهذا لشركائنا» فكانوا إذا سقط في نصيب الله شيء من نصيبها التقطوه أو نصيبها شيء من نصيبه تركوه وقالوا إن الله غني عن هذا كما قال تعالى «فما كان لشركائهم فلا يصل إلى الله» أي لجهته «وما كان لله فهو يصل إلى شركائهم ساء» بئس «ما يحكمون» حكمهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19634','chapter_id' => '6','chapter_detail_id' => '926','translator_id' => '4','verse_number' => '137','translate_name' => '«وكذلك» كما زين لهم ما ذكر «زَيَّنَ لكثير من المشركين قتل أولادهم» بالوأد «شركاؤُهم» من الجن بالرفع فاعل زين وفي قراءة ببنائه للمفعول ورفع قتل ونصب الأولاد به وجر شركائهم بإضافته وفيه الفصل بين المضاف والمضاف إليه بالمفعول - ولا يضر - وإضافة القتل إلى الشركاء لأمرهم به «ليردوهم» يهلكوهم «وليلبسوا» يخلطوا «عليهم دينهم ولو شاء الله ما فعلوه فذرهم وما يفترون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19635','chapter_id' => '6','chapter_detail_id' => '927','translator_id' => '4','verse_number' => '138','translate_name' => '«وقالوا هذه أنعام وحرث حجر» حرام «لا يطعمها إلا من شاء» من خَدَمَةِ الأوثان وغيرهم «بزَعمهم» أي لا حجة لهم فيه «وأنعام حرمت ظهورها» فلا تركب كالسوائب والحوامي «وأنعام لا يذكرون اسم الله عليها» عند ذبحها بل يذكرون اسم أصنامهم ونسبوا ذلك إلى الله «افتراء عليه سيجزيهم بما كانوا يفترون» عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19636','chapter_id' => '6','chapter_detail_id' => '928','translator_id' => '4','verse_number' => '139','translate_name' => '«وقالوا ما في بطون هذه الأنعام» المحرمة وهي السوائب والبحائر «خالصة» حلال «لذكورنا ومحرَّم على أزواجنا» أي النساء «وإن تَكُنْ مَيْتَةٌ» بالرفع والنصب مع تأنيث الفعل وتذكيره «فهم فيه شركاء سيجزيهم» الله «وصفَهم» ذلك بالتحليل والتحريم أي جزاءه «إنه حكيم» في صنعه «عليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19637','chapter_id' => '6','chapter_detail_id' => '929','translator_id' => '4','verse_number' => '140','translate_name' => '«قد خسر الذين قتلوا» بالتخفيف والتشديد «أولادهم» بالوأد «سفها» جهلا «بغير علم وحرَّموا ما رزقهم الله» مما ذكر «افتراء على الله قد ضلوا وما كانوا مهتدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19638','chapter_id' => '6','chapter_detail_id' => '930','translator_id' => '4','verse_number' => '141','translate_name' => '«وهو الذي أنشأ» خلق «جنات» بساتين «معروشات» مبسوطات على الأرض كالبطيخ «وغير معروشات» بأن ارتفعت على ساق كالنخل «و» أنشأ «النخل والزرع مختلفا أكلُهُ» ثمره وحبه في الهيئة والطعم «والزيتون والرمان متشابها» ورقهما حال «وغير متشابه» طعمهما «كلوا من ثمره إذا أثمر» قبل النضج «وآتوا حقه» زكاته «يوم حصاده» بالفتح والكسر من العشر أو نصفه «ولا تُسرفوا» بإعطاء كله فلا يبقى لعيالكم شيء «إنه لا يحب المسرفين» المتجاوزين ما حدَّ لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19639','chapter_id' => '6','chapter_detail_id' => '931','translator_id' => '4','verse_number' => '142','translate_name' => '«و» أنشأ «من الأنعام حمولة» صالحة للحمل عليها كالإبل الكبار «وفرشا» لا تصلح له كالإبل الصغار والغنم سميت فرشا لأنها كالفرش للأرض لدونها منها «كلوا مما رزقكم الله ولا تتبعوا خطوات الشيطان» طرائقه من التحريم والتحليل «إنه لكم عدوٌ مبين» بين العداوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19640','chapter_id' => '6','chapter_detail_id' => '932','translator_id' => '4','verse_number' => '143','translate_name' => '«ثمانية أزواج» أصناف بدل من حمولة وفرشا «من الضأن» زوجين «اثنين» ذكر وأنثى «ومن المعَز» بالفتح والسكون «اثنين قل» يا محمد لمن حرم ذكور الأنعام تارة وإناثها أخرى ونسب ذلك إلى الله «آلذكرين» من الضأن والمعز «حرم» الله عليكم «أم الأنثيين» منهما «أما اشتملت عليه أرحام الأنثيين» ذكرا كان أو أنثى «نَبِّئوني بعلم» عن كيفية تحريم ذلك «إن كنتم صادقين» فيه المعنى من أين جاء التحريم؟ فإن كان من قبل الذكورة فجميع الذكور حرام أو الأنوثة فجميع الإناث، أو اشتمال الرحم فالزوجان، فمن أين التخصيص؟ والإستفهام للإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19641','chapter_id' => '6','chapter_detail_id' => '933','translator_id' => '4','verse_number' => '144','translate_name' => '«ومن الإبل اثنين ومن البقر اثنين قل آلذكرين حرم أم الأنثيين أما اشتملت عليه أرحام الأنثيين أم» بل «كنتم شهداء» حضورا «إذ وصَّاكم الله بهذا» التحريم فاعتمدتم ذلك! لا بل أنتم كاذبون فيه «فمن» أي لا أحد «أظلم ممن افترى على الله كذبا» بذلك «لُيضل الناس بغير علم إن الله لا يهدي القوم الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19642','chapter_id' => '6','chapter_detail_id' => '934','translator_id' => '4','verse_number' => '145','translate_name' => '«قل لا أجد فيما أوحي إليَّ» شيئا «محرَّما على طاعم يطعمه إلا أن يكون» بالياء والتاء «ميتة» بالنصب وفي قراءة بالرفع مع التحتانية «أو دما مسفوحا» سائلا بخلاف غيره كالكبد والطحال «أو لحم خنزير فإنه رجس» حرام «أو» إلا أن يكون «فسقا أهل لغير الله به» أي ذبح على اسم غيره «فمن اضطرَّ» إلى شيء مما ذكر فأكله «غير باغ ولا عاد فإن ربَّك غفور» له ما أكل «رحيم» به ويلحق بما ذكر بالسنة كل ذي ناب من السباع ومخلب من الطير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19643','chapter_id' => '6','chapter_detail_id' => '935','translator_id' => '4','verse_number' => '146','translate_name' => '«وعلى الذين هادوا» أي اليهود «حرَّمنا كل ذي ظفر» وهو ما لم تفرق أصابعه كالإبل والنعام «ومن البقر والغنم حرمنا عليهم شحومهما» الثروب وشحم الكلي «إلا ما حملت ظهورهما» أي ما علق بها منه «أو» حملته «الحوايا» الأمعاء جمع حاوياء أو حاوية «أو ما اختلط بعظم» منه وهو شحم الإلية فإنه أحل لهم «ذلك» التحريم «جزيناهم» به «ببغيهم» بسبب ظلمهم بما سبق في سورة النساء «وإنا لصادقون» في أخبارنا ومواعيدنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19644','chapter_id' => '6','chapter_detail_id' => '936','translator_id' => '4','verse_number' => '147','translate_name' => '«فإن كذَّبوك» فيما جئت به «فقل» لهم «ربكم ذو رحمة واسعة» حيث لم يعاجلكم بالعقوبة وفيه تلطف بدعائهم إلى الإيمان «ولا يُرد بأسه» عذابه إذا جاء «عن القوم المجرمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19645','chapter_id' => '6','chapter_detail_id' => '937','translator_id' => '4','verse_number' => '148','translate_name' => '«سيقول الذين أشركوا لو شاء الله ما أشركنا» نحن «ولا آباؤنا ولا حرَّمنا من شيء» فإشراكنا وتحريمنا بمشيئته فهو راض به قال تعالى: «كذلك» كما كذب هؤلاء «كذَّب الذين من قبلهم» رسلهم «حتى ذاقوا بأسنا» عذابنا «قل هل عندكم من علم» بأن الله راضى بذلك «فتخرجوه لنا» أي لا علم عندكم «إن» ما «تتَّبعون» في ذلك «إلا الظن وإن» ما «أنتم إلا تخرصون» تكذبون فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19646','chapter_id' => '6','chapter_detail_id' => '938','translator_id' => '4','verse_number' => '149','translate_name' => '«قل» إن لم يكن لكم حجة «فللَّه الحجة البالغة» التامة «فلو شاء» هدايتكم «لهداكم أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19647','chapter_id' => '6','chapter_detail_id' => '939','translator_id' => '4','verse_number' => '150','translate_name' => '«قل هلمَّ» أحضروا «شهداءكم الذين يشهدون أن الله حرَّم هذا» الذي حرمتموه «فإن شهدوا فلا تشهد معهم ولا تتبع أهواء الذين كذبوا بآياتنا والذين لا يؤمنون بالآخرة وهم بربهم يعدلون» يشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19648','chapter_id' => '6','chapter_detail_id' => '940','translator_id' => '4','verse_number' => '151','translate_name' => '«قل تعالوا أتل» أقرأ «ما حرم ربكم عليكم أ» ن مفسرة «لا تشركوا به شيئا و» أحسنوا «بالوالدين إحسانا ولا تقتلوا أولادكم» بالوأد «من» أجل «إملاق» فقر تخافونه «نحن نرزقكم وإياكم ولا تقربوا الفواحش» الكبائر كالزنا «ما ظهر منها وما بطن» أي علانيتها وسرها «ولا تقتلوا النفس التي حرَّم الله إلا بالحق» كالقود وحد الردة ورجم المحصن «ذلكم» المذكور «وصاكم به لعلكم تعقلون» تتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19649','chapter_id' => '6','chapter_detail_id' => '941','translator_id' => '4','verse_number' => '152','translate_name' => '«ولا تقربوا مال اليتيم إلا بالتي» أي بالخصلة التي «هي أحسن» وهي ما فيه صلاحه «حتى يبلغ أشدَّه» بأن يحتلم «وأوفوا الكيل والميزان بالقسط» بالعدل وترك البخس «لا نكلف نفسا إلا وسعها» طاقتها في ذلك فإن أخطأ في الكيل والوزن والله يعلم صحة نيته فلا مؤاخذة عليه كما ورد في حديث «وإذا قلتم» في حكم أو غيره «فاعدلوا» بالصدق «ولو كان» المقول له أو عليه «ذا قربى» قرابة «وبعهد الله أوفوا ذلكم وصَّاكم به لعلكم تذكَّرون» بالتشديد تتعظون والسكون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19650','chapter_id' => '6','chapter_detail_id' => '942','translator_id' => '4','verse_number' => '153','translate_name' => '«وأنَّ» بالفتح على تقدير اللام والكسر استئنافا «هذا» الذي وصيتكم به «صراطي مستقيما» حال «فاتَّبعوه ولا تتبعوا السبل» الطرق المخالفة له «فتفرَّق» فيه حذف إحدى التاءين تميل «بكم عن سبيله» دينه «ذلكم وصاكم به لعلكم تتقون»','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19651','chapter_id' => '6','chapter_detail_id' => '943','translator_id' => '4','verse_number' => '154','translate_name' => '«ثم آتينا موسى الكتاب» التوراة وثم لترتيب الأخبار «تماما» للنعمة «على الذي أحسن» بالقيام به «وتفصيلا» بيانا «لكل شيء» يحتاج إليه في الدين «وهدىّ ورحمة لعلهم» أي بني إسرائيل «بلقاء ربهم» بالبعث «يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19652','chapter_id' => '6','chapter_detail_id' => '944','translator_id' => '4','verse_number' => '155','translate_name' => '«وهذا» القرآن «كتاب أنزلناه مبارك فاتَّبعوه» يا أهل مكة بالعمل بما فيه «واتقوا» الكفر «لعلكم ترحمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19653','chapter_id' => '6','chapter_detail_id' => '945','translator_id' => '4','verse_number' => '156','translate_name' => 'أنزلناه لـ «أن» لا «تقولوا إنما أنزل الكتاب على طائفتين» اليهود والنصارى «من قبلنا وإن» مخففة واسمها محذوف أي إنا «كنَّا عن دراستهم» قراءتهم «لغافلين» لعدم معرفتنا لها إذ ليست بلغتنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19654','chapter_id' => '6','chapter_detail_id' => '946','translator_id' => '4','verse_number' => '157','translate_name' => '«أو تقولا لو أنا أنزل علينا الكتابُ لكنا أهدى منهم» لجودة أذهاننا «فقد جاءكم بينة» بيان «من ربِّكم وهدى ورحمة» لمن اتبعه «فمن» أي لا أحد «أظلم ممن كذَّب بآيات الله وصدف» أعرض «عنها سنجزي الذين يصدفون عن آياتنا سوء العذاب» أي أشده «بما كانوا يصدفون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19655','chapter_id' => '6','chapter_detail_id' => '947','translator_id' => '4','verse_number' => '158','translate_name' => '«هل ينظرون» ما ينتظر المكذبون «إلا أن تأتيهم» بالتاء والياء «الملائكة» لقبض أرواحهم «أو يأتي ربُّك» أي أمره بمعنى عذابه «أو يأتي بعض آيات ربِّك» أي علاماته الدالة على الساعة «يوم يأتي بعض آيات ربَّك» وهي طلوع الشمس من مغربها كما في حديث الصحيحين «لا ينفع نفسا إيمانها لم تكن آمنت من قبل» الجملة صفة النفس «أو» نفسا لم تكن «كسبت في إيمانها خيرا» طاعة أي لا تنفعها توبتها كما في الحديث «قل انتظروا» أحد هذه الأشياء «إنا منتظرون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19656','chapter_id' => '6','chapter_detail_id' => '948','translator_id' => '4','verse_number' => '159','translate_name' => '«إن الذين فرَّقوا دينهم» باختلافهم فيه فأخذوا بعضه وتركوا بعضه «وكانوا شيعا» فرقا في ذلك، وفي قراءة فارقوا أي تركوا دينهم الذي أمروا به وهم اليهود والنصارى «لست منهم في شيء» أي فلا تتعرض لهم «إنما أمرهم إلى الله» يتولاه «ثم ينبِّئهم» في الآخرة «بما كانوا يفعلون» فيجازيهم به وهذا منسوخ بآيه السيف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19657','chapter_id' => '6','chapter_detail_id' => '949','translator_id' => '4','verse_number' => '160','translate_name' => '«من جاء بالحسنة» أي لا إله إلا الله «فله عشرُ أمثالها» أي جزاء عشر حسنات «ومن جاء بالسيئة فلا يجزى إلا مثلها» أي جزاءه «وهم لا يُظلمون» ينقصون من جزائهم شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19658','chapter_id' => '6','chapter_detail_id' => '950','translator_id' => '4','verse_number' => '161','translate_name' => '«قل إنني هداني ربي إلى صراط مستقيم» ويبدل من محله «دينا قيما» مستقيما «ملة إبراهيم حنيفا وما كان من المشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19659','chapter_id' => '6','chapter_detail_id' => '951','translator_id' => '4','verse_number' => '162','translate_name' => '«قل إن صلاتي ونسكي» عبادتي من حج وغيره «ومحياي» حياتي «ومماتي» موتي «لله رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19660','chapter_id' => '6','chapter_detail_id' => '952','translator_id' => '4','verse_number' => '163','translate_name' => '«لا شريك له» في ذلك «وبذلك» أي التوحيد «أمرت وأنا أول المسلمين» من هذه الأمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19661','chapter_id' => '6','chapter_detail_id' => '953','translator_id' => '4','verse_number' => '164','translate_name' => '«قل أغير الله أبغي ربّا» إلها أي لا أطلب غيره «وهو ربُّ» مالك «كل شيء ولا تكسب كل نفس» ذنبا «إلا عليها ولا تزر» تحمل نفس «وازرة» آثمة «وزر» نفس «أخرى ثم إلى ربكم مرجعكم فينبئكم بما كنتم فيه تختلفون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19662','chapter_id' => '6','chapter_detail_id' => '954','translator_id' => '4','verse_number' => '165','translate_name' => '«وهو الذي جعلكم خلائف الأرض» جمع خليفة: أي يخلف بعضكم بعضا فيها «ورفع بعضكم فوق بعض درجات» بالمال والجاه وغير ذلك «ليبلوكم» ليختبركم «فيما آتاكم» أعطاكم ليظهر المطيع منكم والعاصي «إن ربك سريع العقاب» لمن عصاه «وإنه لغفور» للمؤمنين «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19663','chapter_id' => '7','chapter_detail_id' => '955','translator_id' => '4','verse_number' => '1','translate_name' => '«المص» الله أعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19664','chapter_id' => '7','chapter_detail_id' => '956','translator_id' => '4','verse_number' => '2','translate_name' => 'هذا «كتاب أنزل إليك» خطاب للنبي صلى الله عليه وسلم «فلا يكن في صدرك حرج» ضيق «منه» أن تبلغه مخافة أن تكذب «لتنذر» متعلق بأنزل أي للإنذار «به وذكرى» تذكرة «للمؤمنين» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19665','chapter_id' => '7','chapter_detail_id' => '957','translator_id' => '4','verse_number' => '3','translate_name' => 'قل لهم «أتبعوا ما أنزل إليكم من ربكم» أي القرآن «ولا تتبعوا» تتخذوا «من دونه» أي الله أي غيره «أولياء» تطيعونهم من معصيته تعالى «قليلا ما تَذَّكَّرون» بالتاء والياء تتعظون وفيه إدغام التاء في الأصل في الذال، وفي قراءة بسكونها وما زائدة لتأكيد القلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19666','chapter_id' => '7','chapter_detail_id' => '958','translator_id' => '4','verse_number' => '4','translate_name' => '«وكم» خبرية مفعول «من قرية» أريد أهلها «أهلكناها» أردنا إهلاكها «فجاءها بأسنا» عذابا «بياتا» ليلا «أو هم قائلون» نائمون بالظهيرة والقيلولة استراحة نصف النهار وإن لم يكن معها نوم أي مرة جاءها ليلا ومرَّة جاءها نهارا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19667','chapter_id' => '7','chapter_detail_id' => '959','translator_id' => '4','verse_number' => '5','translate_name' => '«فما كان دعواهم» قولهم «إذ جاءهم بأسنا إلا أن قالوا إنا كنا ظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19668','chapter_id' => '7','chapter_detail_id' => '960','translator_id' => '4','verse_number' => '6','translate_name' => '«فلنسألن الذين أرسل إليهم» أي الأمم عن إجابتهم الرسل وعملهم «ولنسألن المرسلين» عن الإبلاغ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19669','chapter_id' => '7','chapter_detail_id' => '961','translator_id' => '4','verse_number' => '7','translate_name' => '«فلنقصَّن عليهم بعلم» لنخبرنهم عن علم بما فعلوه «وما كنا غائبين» عن إبلاغ الرسل والأمم الخالية فيما عملوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19670','chapter_id' => '7','chapter_detail_id' => '962','translator_id' => '4','verse_number' => '8','translate_name' => '«والوزن» للأعمال أو لصحائفها بميزان له لسان وكتفان كما ورد في حديث كائن «يومئذ» أي يوم السؤال المذكور وهو يوم القيامة «الحق» العدل صفة الوزن «فمن ثقلت موازينه» بالحسنات «فأولئك هم المفلحون» الفائزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19671','chapter_id' => '7','chapter_detail_id' => '963','translator_id' => '4','verse_number' => '9','translate_name' => '«ومن خفّت موازينه» بالسيئات «فأولئك الذين خسروا أنفسهم» بتصييرها إلى النار «بما كانوا بآياتنا يظلمون» يجحدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19672','chapter_id' => '7','chapter_detail_id' => '964','translator_id' => '4','verse_number' => '10','translate_name' => '«ولقد مكَّناكم» يا بني آدم «في الأرض وجعلنا لكم فيها معايش» بالياء أسبابا تعيشون بها جمع معيشة «قليلا ما» لتأكيد القلة «تشكرون» على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19673','chapter_id' => '7','chapter_detail_id' => '965','translator_id' => '4','verse_number' => '11','translate_name' => '«ولقد خلقناكم» أي أباكم آدم «ثم صوَّرناكم» أي صورناه وأنتم في ظهره «ثم قلنا للملائكة اسجدوا لآدم» سجود تحية بالانحناء «فسجدوا إلا إبليس» أبا الجن كان بين الملائكة «لم يكن من الساجدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19674','chapter_id' => '7','chapter_detail_id' => '966','translator_id' => '4','verse_number' => '12','translate_name' => '«قال» تعالى «ما منعك أن» «لا» زائدة «تسجد إذ» حين «أمرتك قال أنا خير منه خلقتني من نار وخلقته من طين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19675','chapter_id' => '7','chapter_detail_id' => '967','translator_id' => '4','verse_number' => '13','translate_name' => '«قال فاهبط منها» أي من الجنة وقيل من السماوات «فما يكون» ينبغي «لك أن تتكبَّر فيها فاخرج» منها «إنَّك من الصاغرين» الذليلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19676','chapter_id' => '7','chapter_detail_id' => '968','translator_id' => '4','verse_number' => '14','translate_name' => '«قال أنظرني» أخرى «إلى يوم يُبعثون» أي الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19677','chapter_id' => '7','chapter_detail_id' => '969','translator_id' => '4','verse_number' => '15','translate_name' => '«قال إنك من المنظرين» وفي آية أخرى «إلى يوم الوقت المعلوم» أي يوم النفخة الأولى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19678','chapter_id' => '7','chapter_detail_id' => '970','translator_id' => '4','verse_number' => '16','translate_name' => '«قال فبما أغويتني» أي بإغوائك لي والياء للقسم وجوابه «لأقعدن لهم» أي لبني آدم «صراطك المستقيم» أي على الطريق الموصل إليك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19679','chapter_id' => '7','chapter_detail_id' => '971','translator_id' => '4','verse_number' => '17','translate_name' => '«ثم لآتينهم من بين أيديهم ومن خلفهم وعن أيمانهم وعن شمائلهم» أي من كل جهة فأمنعهم عن سلوكه قال ابن عباس ولا يستطيع أن يأتي من فوقهم لئلا يحول بين العبد وبين رحمة الله تعالى «ولا تجد أكثرهم شاكرين» مؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19680','chapter_id' => '7','chapter_detail_id' => '972','translator_id' => '4','verse_number' => '18','translate_name' => '«قال اخرج منها مذءوما» بالهمزة معيبا أو ممقوتا «مدحورا» مبعدا عن الرحمة «لمن تبعك منهم» من الناس واللام للابتداء أو موطئة للقسم وهو «لأملأنَّ جهنم منكم أجمعين» أي منك بذريتك ومن الناس وفيه تغليب الحاضر على الغائب وفي الجملة معنى جزاء من الشرطية أي من تبعك أعذبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19681','chapter_id' => '7','chapter_detail_id' => '973','translator_id' => '4','verse_number' => '19','translate_name' => '«و» قال «يا آدم اسكن أنت» تأكيد للضمير في اسكن ليعطف عليه «وزوجك» حواء بالمد «الجنة فكلا من حيث شئتما ولا تقربا هذه الشجرة» بالأكل منها وهي الحنطة «فتكونا من الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19682','chapter_id' => '7','chapter_detail_id' => '974','translator_id' => '4','verse_number' => '20','translate_name' => '«فوسوس لهما الشيطان» إبليس «ليبدي» يظهر «لهما ما ووري» فوعل من الموارة «عنهما من سوآتهما وقال ما نهاكما ربُّكما عن هذه الشجرة إلا» كراهة «أن تكونا مَلَكَيْنِ» وقرئ بكسر اللام «أو تكونا من الخالدين» أي وذلك لازم عن الأكل منها في آية أخرى (هل أدلك على شجرة الخلد ومُلك لا يبلى).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19683','chapter_id' => '7','chapter_detail_id' => '975','translator_id' => '4','verse_number' => '21','translate_name' => '«وقاسمهما» أي أقسم لهما بالله «إني لكما لمن الناصحين» في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19684','chapter_id' => '7','chapter_detail_id' => '976','translator_id' => '4','verse_number' => '22','translate_name' => '«فدلاهما» حطهما عن منزلتهما «بغرور» منه «فلما ذاقا الشجرة» أي أكلا منها «بدت لهما سوآتهما» أي ظهر لكل منهما قبله وقبل الآخر ودبره وسمي كل منها سوأة لأن انكشافه يسوء صاحبه «وطفقا يخصفان» أخذ يلزقان «عليهما من ورق الجنة» ليستترا به «وناداهما ربهما ألم أنهكما عن تلكما الشجرة وأقل لكما إن الشيطان لكما عدو مبين» بيِّن العداوة والاستفهام للتقرير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19685','chapter_id' => '7','chapter_detail_id' => '977','translator_id' => '4','verse_number' => '23','translate_name' => '«قالا ربَّنا ظلمنا أنفسنا» بمعصيتنا «وإن لم تغفر لنا وترحمنا لنكونن من الخاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19686','chapter_id' => '7','chapter_detail_id' => '978','translator_id' => '4','verse_number' => '24','translate_name' => '«قال اهبطوا» أي آدم وحواء بما اشتملتما عليه من ذريتكما «بعضكم» بعض الذرية «لبعض عدوٌ» من ظلم بعضهم بعضا «ولكم في الأرض» مستقر» أي مكان استقرار «ومتاع» تمتع «إلى حين» تنقضي فيه آجالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19687','chapter_id' => '7','chapter_detail_id' => '979','translator_id' => '4','verse_number' => '25','translate_name' => '«قال فيها» أي الأرض «تحيون وفيها تموتون ومنها تخرجون» بالبعث، وبالباء للفاعل والمفعول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19688','chapter_id' => '7','chapter_detail_id' => '980','translator_id' => '4','verse_number' => '26','translate_name' => '«يا بني آدم قد أنزلنا عليكم لباسا» أي خلقناه لكم «يواري» يستر «سوآتكم وريشا» وهو ما يتحمل به من الثياب «ولباس التقوى» العمل الصالح والسمت الحسن بالنصب عطف على لباسا والرفع مبتدأ خبره جملة «ذلك خيرٌ ذلك من آيات الله» دلائل قدرته «لعلهم يذَّكرون» فيؤمنون فيه التفات عن الخطاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19689','chapter_id' => '7','chapter_detail_id' => '981','translator_id' => '4','verse_number' => '27','translate_name' => '«يا بني آدم لا يفتننَّكم» يضلكم «الشيطان» أي لا تتبعوه فتفتنوا «كما أخرج أبويكم» بفتنته «من الجنة ينزع» حال «عنهما لباسهما ليريهما سوآتهما إنه» أي الشيطان «يراكم هو وقبيله» جنوده «من حيث لا ترونهم» للطافة أجسادهم أو عدم ألوانهم «إنا جعلنا الشياطين أولياء» أعوانا وقرناء «للذين لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19690','chapter_id' => '7','chapter_detail_id' => '982','translator_id' => '4','verse_number' => '28','translate_name' => '«وإذا فعلوا فاحشة» كالشرك وطوافهم بالبيت عراة قائلين لا نطوف في ثياب عصينا الله فيها فنهوا عنها «قالوا وجدنا عليها آباءنا» فاقتدينا بهم «والله أمرنا بها» أيضا «قل» لهم «إن الله لا يأمر بالفحشاء أتقولون على الله ما لا تعلمون» أنه قاله، استفهام إنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19691','chapter_id' => '7','chapter_detail_id' => '983','translator_id' => '4','verse_number' => '29','translate_name' => '«قل أمر ربي بالقسط» بالعدل «وأقيموا» معطوف على معنى بالقسط أي قال أقسطوا وأقيموا أو قبله فاقبلوا مقدرا «وجوهكم» لله «عند كل مسجد» أي أخلصوا له سجودكم «وادعوه» اعبدوه «مخلصين له الدين» من الشرك «كما بدأكم» خلقكم ولم تكونوا شيئا «تعودون» أي يعيدكم أحياء يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19692','chapter_id' => '7','chapter_detail_id' => '984','translator_id' => '4','verse_number' => '30','translate_name' => '«فريقا» منكم «هدى وفريقا حق عليهم الضلالة إنهم اتخذوا الشياطين أولياء من دون الله» أي غيره «ويحسبون أنهم مهتدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19693','chapter_id' => '7','chapter_detail_id' => '985','translator_id' => '4','verse_number' => '31','translate_name' => '«يا بني آدم خذوا زينتكم» ما يستر عورتكم «عند كل مسجد» عند الصلاة والطواف «وكلوا واشربوا» ما شئتم «ولا تسرفوا إنه لا يحب المسرفين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19694','chapter_id' => '7','chapter_detail_id' => '986','translator_id' => '4','verse_number' => '32','translate_name' => '«قل» إنكارا عليهم «من حرَّم زينة الله التي أخرج لعباده» من اللباس «والطيبات» المستلذات «من الرزق قل هي للذين آمنوا في الحياة الدنيا» بالاستحقاق وإن فيها غيرهم «خالصةٌ» خاصة بهم بالرفع والنصب حال «يوم القيامة كذلك نفصِّل الآيات» نبينها مثل ذلك التفصيل «قوم يعلمون» يتدبَّرون فإنهم المنتفعون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19695','chapter_id' => '7','chapter_detail_id' => '987','translator_id' => '4','verse_number' => '33','translate_name' => '«قل إنما حرَّم ربي الفواحش» الكبائر كالزنا «ما ظهر منها وما بطن» أي جهرها وسرها «والإثم» المعصية «والبغي» على الناس «بغير الحق» وهو الظلم «وأن تشركوا بالله ما لم ينزل به» بإشراكه «سلطانا» حجة «وأن تقولوا على الله ما لا تعلمون» من تحريم ما لم يحرم وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19696','chapter_id' => '7','chapter_detail_id' => '988','translator_id' => '4','verse_number' => '34','translate_name' => '«ولكل أمَّة أجل» مدة «فإذا جاء أجلهم لا يستأخرون» عنه «ساعة ولا يستقدمون» عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19697','chapter_id' => '7','chapter_detail_id' => '989','translator_id' => '4','verse_number' => '35','translate_name' => '«يابني آدم إمَّا» فيه إدغام نون إن الشرطية في ما المزيدة «يأتينكم رسل منكم يقصُّون عليكم آياتي فمن اتقى» الشرك «وأصلح» عمله «فلا خوف عليهم ولا هم يحزنون» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19698','chapter_id' => '7','chapter_detail_id' => '990','translator_id' => '4','verse_number' => '36','translate_name' => '«والذين كذبوا بآياتنا واستكبروا» تكبروا «عنها» فلم يؤمنوا بها «أولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19699','chapter_id' => '7','chapter_detail_id' => '991','translator_id' => '4','verse_number' => '37','translate_name' => '«فمن» أي لا أحد «أظلم ممن افترى على الله كذبا» بنسبة الشريك والولد إليه «أو كذَّب بآياته» القرآن «أولئك ينالهم» يصيبهم «نصيبهم» حظهم «من الكتاب» مما كتب لهم في اللوح المحفوظ من الرزق والأجل وغير ذلك «حتى إذا جاءتهم رسلنا» أي الملائكة «يتوفونهم قالوا» لهم تبكيتا «أين ما كنتم تدعون» تعبدون «من دون الله قالوا ضلُّوا» غابوا «عنا» فلم نرهم «وشهدوا على أنفسهم» عند الموت «أنهم كانوا كافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19700','chapter_id' => '7','chapter_detail_id' => '992','translator_id' => '4','verse_number' => '38','translate_name' => '«قال» تعالى لهم يوم القيامة «ادخلوا في» جملة «أمم قد خلت من قبلكم من الجن والإنس في النار» متعلق بادخلوا «كلما دخلت أُمة» النار «لعنت أختها» التي قبلها لضلالها بها «حتى إذا ادَّاركوا» تلاحقوا «فيها جميعا قالت أخراهم» وهم الأتباع «لأولاهم» أي لأجلائهم وهم المتبوعون «ربنا هؤلاء أضلونا فآتهم عذابا ضعفا» مضعفا «من النار قال» تعالى «لكل» منكم ومنهم «ضعف» عذاب مضعف «ولكن لا يعلمون» بالياء والتاء ما لكل فريق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19701','chapter_id' => '7','chapter_detail_id' => '993','translator_id' => '4','verse_number' => '39','translate_name' => '«وقالت أُولاهم لأخراهم فما كان لكم علينا من فضل» لأنكم لم تكفروا بسببنا فنحن وأنتم سواء قال تعالى لهم «فذوقوا العذاب بما كنتم تكسبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19702','chapter_id' => '7','chapter_detail_id' => '994','translator_id' => '4','verse_number' => '40','translate_name' => '«إن الذين كذبوا بآياتنا واستكبروا» تكبروا «عنها» فلم يؤمنوا بها «لا تفتَّح لهم أبواب السماء» إذا عرج بأرواحهم إليها بعد الموت فيهبط بها إلى سجين بخلاف المؤمن فتفتح له ويصعد بروحه إلى السماء السابعة كما ورد في حديث «ولا يدخلون الجنة حتى يلج» يدخل «الجمل في سمِّ الخياط» ثقب الإبرة وهو غير ممكن فكذا دخولهم «وكذلك» الجزاء «نجزي المجرمين» بالكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19703','chapter_id' => '7','chapter_detail_id' => '995','translator_id' => '4','verse_number' => '41','translate_name' => '«لهم من جهنم مهاد» فراش «ومن فوقهم غواشٍ» أغطية من النار جمع غاشية وتنوينه عوض من الياء المحذوفة «وكذلك نجزي الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19704','chapter_id' => '7','chapter_detail_id' => '996','translator_id' => '4','verse_number' => '42','translate_name' => '«والذين آمنوا وعملوا الصالحات» مبتدأ وقوله «لا نكلّف نفسا إلا وسعها» طاقتها من العمل اعتراض بينه وبين خبره وهو «أولئك أصحاب الجنة هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19705','chapter_id' => '7','chapter_detail_id' => '997','translator_id' => '4','verse_number' => '43','translate_name' => '«ونزعنا ما في صدورهم من غل» حقد كان بينهم في الدنيا «تجري من تحتهم» تحت قصورهم «الأنهار وقالوا» عند الاستقرار في منازلهم «الحمد لله الذي هدانا لهذا» العمل الذي هذا جزاؤه «وما كنا لنهتدي لولا أن هدانا الله» حذف جواب لولا لدلالة ما قبله عليه «لقد جاءت رسل ربنا بالحق ونودوا أن» مخففة أي أنه أو مفسرة في المواضع الخمسة «تلكم الجنة أورثتموها بما كنتم تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19706','chapter_id' => '7','chapter_detail_id' => '998','translator_id' => '4','verse_number' => '44','translate_name' => '«ونادى أصحابُ الجنة أصحاب النار» تقريرا أو تبكيتا «أن قد وجدنا ما وعدنا ربنا» من الثواب «حقا فهل وجدتم ما وعد» كم «ربكُم» من العذاب «حقا؟ قالوا نعمْ فأذَّن مؤذَّن» نادى منادٍ «بينهم» بين الفريقين أسمعهم «أن لعنة الله على الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19707','chapter_id' => '7','chapter_detail_id' => '999','translator_id' => '4','verse_number' => '45','translate_name' => '«الذين يصدون» الناس «عن سبيل الله» دينه «ويبغونها» أي يطلبون السبيل «عوجا» معوجة «وهم بالآخرة كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19708','chapter_id' => '7','chapter_detail_id' => '1000','translator_id' => '4','verse_number' => '46','translate_name' => '(وبينهما) أي أصحاب الجنة والنار (حجاب) حاجز قيل هو سور الأعراف (وعلى الأعراف) وهو سور الجنة (رجال) استوت حسناتهم وسيئاتهم كما في الحديث (يعرفون كلا) من أهل الجنة والنار (بسيماهم) بعلامتهم وهي بياض الوجوه للمؤمنين وسوادها للكافرين لرؤيتهم لهم إذ موضعهم عال (ونادوا أصحاب الجنة أن سلام عليكم) قال تعالى (لم يدخلوها) أي أصحاب الأعراف الجنة (وهم يطمعون) في دخولها قال الحسن: لم يطمعهم إلا لكرامة يريدها بهم وروى الحاكم عن حذيفة قال "" بينما هم كذلك إذ طلع عليهم ربك فقال قوموا ادخلوا الجنة فقد غفرت لكم "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19709','chapter_id' => '7','chapter_detail_id' => '1001','translator_id' => '4','verse_number' => '47','translate_name' => '«وإذا صرفت أبصارهم» أي أصحاب الأعراف «تلقاء» جهة «أصحاب النار قالوا ربنا لا تجعلنا» في النار «مع القوم الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19710','chapter_id' => '7','chapter_detail_id' => '1002','translator_id' => '4','verse_number' => '48','translate_name' => '«ونادى أصحاب الأعراف رجالا» من أصحاب النار «يعرفونهم بسيماهم قالوا ما أغنى عنكم» من النار «جمعكم» المال أو كثرتكم «وما كنتم تستكبرون» أي واستكباركم عن الإيمان، ويقولون لهم مشيرين إلى ضعفاء المسلمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19711','chapter_id' => '7','chapter_detail_id' => '1003','translator_id' => '4','verse_number' => '49','translate_name' => '«أهؤلاء الذين أقسمتم لا ينالهم الله برحمة» قد قيل لهم «ادخلوا الجنة لا خوف عليكم ولا أنتم تحزنون» وقرئ: أُدخِلوا بالبناء للمفعول ودخلوا فجملة النفي حال أي مقولا لهم بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19712','chapter_id' => '7','chapter_detail_id' => '1004','translator_id' => '4','verse_number' => '50','translate_name' => '«ونادى أصحاب النار أصحاب الجنة أن أفيضوا علينا من الماء أو مما رزقكم الله» من الطعام «قالوا إن الله حرَّمهما» منعهما «على الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19713','chapter_id' => '7','chapter_detail_id' => '1005','translator_id' => '4','verse_number' => '51','translate_name' => '«الذين اتخذوا دينهم لهوا ولعبا وغرتهم الحياة الدنيا فاليوم ننساهم» نتركهم في النار «كما نسوا لقاء يومهم هذا» بتركهم العمل له «وما كانوا بآياتنا يجحدون» أي وكما جحدوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19714','chapter_id' => '7','chapter_detail_id' => '1006','translator_id' => '4','verse_number' => '52','translate_name' => '«ولقد جئناهم» أي أهل مكة «بكتاب» قرآن «فصَّلناه» بيَّناه بالأخبار والوعد والوعيد «على علم» حال أي عالمين بما فصَّل فيه «هدى» حال من الهاء «ورحمة لقوم يؤمنون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19715','chapter_id' => '7','chapter_detail_id' => '1007','translator_id' => '4','verse_number' => '53','translate_name' => '«هل ينظرون» ما ينتظرون «إلا تأويله» عاقبة ما فيه «يوم يأتي تأويله» هو يوم القيامة «يقول الذين نسوه من قبل» تركوا الإيمان به «قد جاءت رسل ربنا بالحق فهل لنا من شفعاء فيشفعوا لنا أو» هل «نُرد» إلى الدنيا «فنعمل غير الذي كنا نعمل» نوحِّد الله ونترك الشرك، فيقال لهم: لا، قال تعالى: «قد خسروا أنفسهم» إذ صاروا إلى الهلاك «وضلّ» ذهب «عنهم ما كانوا يفترون» من دعوى الشريك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19716','chapter_id' => '7','chapter_detail_id' => '1008','translator_id' => '4','verse_number' => '54','translate_name' => '«إن ربكم الله الذي خلق السماوات والأرض في ستة أيام» من أيام الدنيا، أي في قدرها لأنه لم يكن ثَمَّ شمس ولو شاء خلقهم في لمحة، والعدول عنه لتعليم خلقه التثبيت «ثم استوى على العرش» هو في اللغة: سرير الملك استواء يليق به «يُغْشِي الليل النهار» مخففا ومشددا أي يغطي كلا منهما بالآخر طلبا «يطلبه حثيثا» سريعا «والشمس والقمر والنجوم» بالنصب عطفا على السماوات والرفع مبتدأ خبره «مسخرات» مذلَّلات «بأمره» بقدرته «ألا له الخلق» جميعا «والأمر» كله «تبارك» تعاظم «الله ربُّ» مالك «العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19717','chapter_id' => '7','chapter_detail_id' => '1009','translator_id' => '4','verse_number' => '55','translate_name' => '«ادعوا ربَّكم تضرُّعا» حال تذللا «وخُفية» سرا «إنه لا يحب المعتدين» في الدعاء بالتشدق ورفع الصوت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19718','chapter_id' => '7','chapter_detail_id' => '1010','translator_id' => '4','verse_number' => '56','translate_name' => '«ولا تُفسدوا في الأرض» بالشرك والمعاصي «بعد إصلاحها» ببعث الرسل «وادعوه خوفا» من عقابه «وطمعا» في رحمته «إن رحمة الله قريب من المحسنين» المطيعين وتذكير قريب المخبر به عن رحمة لإضافتها إلى الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19719','chapter_id' => '7','chapter_detail_id' => '1011','translator_id' => '4','verse_number' => '57','translate_name' => '«وهو الذي يرسل الرياح نُشُرا بين يدي رحمته» أي متفرقة قدام المطر، وفي قراءة سكون الشين تخفيفا، وفي أخرى بسكونها وفتح النون مصدرا، وفي أخرى بسكونها وضم الموحدة بدل النون: أي مبشرا ومفرد الأولى نشور كرسول والأخيرة بشير «حتى إذا أقلت» حملت الرياح «سحابا ثقالا» بالمطر «سقناه» أي السحاب وفيه التفات عن الغيبة «لبلد ميت» لا نبات به أي لإحيائها «فأنزلنا به» بالبلد «الماء فأخرجنا به» بالماء «من كل الثمرات كذلك» الإخراج «نخرج الموتى» من قبورهم بالإحياء «لعلكم تذكرون» فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19720','chapter_id' => '7','chapter_detail_id' => '1012','translator_id' => '4','verse_number' => '58','translate_name' => '«والبلد الطيب» العذب التراب «يخرج نباته» حسنا «بإذن ربه» هذا مثل للمؤمن يسمع الموعظة فينتفع بها «والذي خبث» ترابه «لا يخرج» نباته «إلا نكدا» عسرا بمشقة وهذا مثل للكافر «كذلك» كما بينا ما ذكر «نُصرِّف» نبين «الآيات لقوم يشكرون» الله يؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19721','chapter_id' => '7','chapter_detail_id' => '1013','translator_id' => '4','verse_number' => '59','translate_name' => '«لقد» جواب قسم محذوف «أرسلنا نوحا إلى قومه فقال يا قوم اعبدوا الله ما لكم من إله غَيْرُِهُ» بالجر صفة لإله والرفع بدل من محله «إني أخاف عليكم» إن عبدتم غيره «عذاب يوم عظيم» هو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19722','chapter_id' => '7','chapter_detail_id' => '1014','translator_id' => '4','verse_number' => '60','translate_name' => '«قال الملأ» الأشراف «من قومه إنا لنراك في ضلالٍ مبين» بيَّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19723','chapter_id' => '7','chapter_detail_id' => '1015','translator_id' => '4','verse_number' => '61','translate_name' => '«قال يا قوم ليس بي ضلالة» هي أعم من الضلال فنفيها أبلغ من نفيه «ولكني رسول من رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19724','chapter_id' => '7','chapter_detail_id' => '1016','translator_id' => '4','verse_number' => '62','translate_name' => '«أبلِّغُكم» بالتخفيف والتشديد «رسالات ربَّي وأنصح» أريد الخبر «لكم وأعلم من الله ما لا تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19725','chapter_id' => '7','chapter_detail_id' => '1017','translator_id' => '4','verse_number' => '63','translate_name' => '«أ» كذبتم «وعجبتم أن جاءكم ذكر» موعظة «من ربكم على» لسان «رجل منكم لينذركم» العذاب إن لم تؤمنوا «ولتتَّقوا» الله «ولعلكم ترحمون» بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19726','chapter_id' => '7','chapter_detail_id' => '1018','translator_id' => '4','verse_number' => '64','translate_name' => '«فكذَّبوه فأنجيناه والذين معه» من الغرق «في الفلك» السفينة «وأغرقنا الذين كذَّبوا بآياتنا» بالطوفان «إنهم كانوا قوما عَمين» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19727','chapter_id' => '7','chapter_detail_id' => '1019','translator_id' => '4','verse_number' => '65','translate_name' => '«و» أرسلنا «إلى عاد» الأولى «أخاهم هودا قال يا قوم اعبدوا الله» وحِّدوه «ما لكم من إله غيرُه أفلا تتقون» تخافونه فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19728','chapter_id' => '7','chapter_detail_id' => '1020','translator_id' => '4','verse_number' => '66','translate_name' => '«قال الملأ الذين كفروا من قومه إنا لنراك في سفاهة» جهالة «وإنا لنظنُّك من الكاذبين» في رسالتك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19729','chapter_id' => '7','chapter_detail_id' => '1021','translator_id' => '4','verse_number' => '67','translate_name' => '«قال يا قوم ليس بي سفاهة ولكني رسول من ربِّ العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19730','chapter_id' => '7','chapter_detail_id' => '1022','translator_id' => '4','verse_number' => '68','translate_name' => '«أبلَّغكم رسالات ربي وأنا لكم ناصح أمين» مأمون على الرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19731','chapter_id' => '7','chapter_detail_id' => '1023','translator_id' => '4','verse_number' => '69','translate_name' => '«أو عجبتم أن جاءكم ذِكْرٌ من ربكم على» لسان «رجل منكم لينذركم واذكروا إذ جعلكم خلفاء» في الأرض «من بعد قوم نوح وزادكم في الخلق بسطة» قوة وَطَوْلا وكان طويلهم مائة ذراع وقصيرهم ستين «فاذكروا آلاء الله» نعمه «لعلكم تفلحون» تفوزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19732','chapter_id' => '7','chapter_detail_id' => '1024','translator_id' => '4','verse_number' => '70','translate_name' => '«قالوا أجئتنا لنعبد الله وحده ونذر» نترك «ما كان يعبد آباؤنا فأتنا بما تعدنا» به من العذاب «إن كنت من الصادقين» في قولك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19733','chapter_id' => '7','chapter_detail_id' => '1025','translator_id' => '4','verse_number' => '71','translate_name' => '«قال قد وقع» وجب «عليكم من ربَّكم رجس» عذاب «وغضب أتجادلونني في أسماء سميتموها» أي سميتم بها «أنتم وآباؤكم» أصناما تعبدونها «ما نزَّل الله بها» أي بعبادتها «من سلطان» حجة وبرهان «فانتظروا» العذاب «إني معكم من المنتظرين» ذلكم بتكذيبكم لي فأرسلت عليهم الريح العقيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19734','chapter_id' => '7','chapter_detail_id' => '1026','translator_id' => '4','verse_number' => '72','translate_name' => '«فأنجيناه» أي هودا «والذين معه» من المؤمنين «برحمة منا وقطعنا دابر» القوم «الذين كذبوا بآياتنا» أي استأصلناكم «وما كانوا مؤمنين» عطف على كذبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19735','chapter_id' => '7','chapter_detail_id' => '1027','translator_id' => '4','verse_number' => '73','translate_name' => '«و» أرسلنا «إلى ثمود» بترك الصرف مرادا به القبيلة «أخاهم صالحا قال يا قوم اعبدوا الله ما لكم من إله غيره قد جاءتكم بيَّنة» معجزة «من ربكم» على صدقي «هذه ناقة الله لكم آية» حال عاملها معنى الإشارة وكانوا سألوه أن يخرجها لهم صخرة عينوها «فذروها تأكل في أرض الله ولا تمسوها بسوء» بعقر أو ضرب «فيأخذكم عذاب أليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19736','chapter_id' => '7','chapter_detail_id' => '1028','translator_id' => '4','verse_number' => '74','translate_name' => '«واذكروا إذ جعلكم خلفاء» في الأرض «من بعد عاد وبوَّأكم» أسكنكم «في الأرض تتَّخذون من سهولها قصورا» تسكنونها في الصيف «وتنحتون الجبال بيوتا» تسكنونها في الشتاء ونصبه على الحال المقدرة «فاذكروا آلاء الله ولا تعثوا في الأرض مفسدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19737','chapter_id' => '7','chapter_detail_id' => '1029','translator_id' => '4','verse_number' => '75','translate_name' => '«قال الملأ الذين استكبروا من قومه» تكبروا عن الإيمان به «للذين استُضعفوا لمن آمن منهم» أي من قومه بدل مما قبله بإعادة الجار «أتعلمون أن صالحا مرسل من ربه» إليكم «قالوا» نعم «إنا بما أرسل به مؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19738','chapter_id' => '7','chapter_detail_id' => '1030','translator_id' => '4','verse_number' => '76','translate_name' => '«قال الذين استكبروا إنا بالذي آمنتم به كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19739','chapter_id' => '7','chapter_detail_id' => '1031','translator_id' => '4','verse_number' => '77','translate_name' => 'وكانت الناقة لها يوم في الماء ولهم يوم فملوا ذلك «فعقروا الناقة» عقرها قدار بأمرهم بأن قتلها بالسيف «وعتوا عن أمر ربهم وقالوا يا صالح ائتنا بما تعدنا» به من العذاب على قتلها «إن كنت من المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19740','chapter_id' => '7','chapter_detail_id' => '1032','translator_id' => '4','verse_number' => '78','translate_name' => '«فأخذتهم الرجفة» الزلزلة الشديدة من الأرض والصيحة من السماء «فأصبحوا في دارهم جاثمين» باركين على الركب ميِّتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19741','chapter_id' => '7','chapter_detail_id' => '1033','translator_id' => '4','verse_number' => '79','translate_name' => '«فتولى» أعرض صالح «عنهم وقال يا قوم لقد أبلغتكم رسالة ربي ونصحت لكم ولكن لا تحبون الناصحين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19742','chapter_id' => '7','chapter_detail_id' => '1034','translator_id' => '4','verse_number' => '80','translate_name' => '«و» اذكر «لوطا» ويبدل منه «إذا قال لقومه أتأتون الفاحشة» أي أدبار الرجال «ما سبقكم بها من أحد من العالمين» الإنس والجن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19743','chapter_id' => '7','chapter_detail_id' => '1035','translator_id' => '4','verse_number' => '81','translate_name' => '«أئِنَّكُم» بتحقيق الهمزتين وتسهيل الثانية وإدخال الألف بينهما وفي قراءة إنَّكُمْ «لتأتون الرجال شهوة من دون النساء بل أنتم قوم مسرفون» متجاوزون الحلال إلى الحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19744','chapter_id' => '7','chapter_detail_id' => '1036','translator_id' => '4','verse_number' => '82','translate_name' => '«وما كان جواب قومه إلا أن قالوا أخرجوهم» أي لوطا وأتباعه «من قريتكم إنهم أناس يتطهرون» من أدبار الرجال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19745','chapter_id' => '7','chapter_detail_id' => '1037','translator_id' => '4','verse_number' => '83','translate_name' => '«فأنجيناه وأهله إلا امرأته كانت من الغابرين» الباقين في العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19746','chapter_id' => '7','chapter_detail_id' => '1038','translator_id' => '4','verse_number' => '84','translate_name' => '«وأمطرنا عليهم مطرا» هو حجارة السجيل فأهلكتهم «فانظر كيف كان عاقبة المجرمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19747','chapter_id' => '7','chapter_detail_id' => '1039','translator_id' => '4','verse_number' => '85','translate_name' => '«و» أرسلنا «إلى مدين أخاهم شعيبا قال يا قوم اعبدوا الله ما لكم من إله غيره قد جاءتكم بينة» معجزة «من ربكم» على صدقي «فأوفوا» أتموا «الكيل والميزان ولا تبخسوا» تنقصوا «الناس أشياءهم ولا تفسدوا في الأرض» بالكفر والمعاصي «بعد إصلاحها» ببعث الرسل «ذلكم» المذكور «خير لكم إن كنتم مؤمنين» مريدي الإيمان فبادروا إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19748','chapter_id' => '7','chapter_detail_id' => '1040','translator_id' => '4','verse_number' => '86','translate_name' => '«ولا تقعدوا بكل صراط» طريق «تُوعدون» تخوفون الناس بأخذ ثيابهم أو المكس منهم «وتصدون» تصرفون «عن سبيل الله» دينه «من آمن به» بتوعدكم إياه بالقتل «وتبغونها» تطلبون الطريق «عوجا» معوجة «واذكروا إذ كنتم قليلا فكثَّركم وانظروا كيف كان عاقبة المفسدين» قبلكم بتكذيب رسلهم أي آخر أمرهم من الهلاك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19749','chapter_id' => '7','chapter_detail_id' => '1041','translator_id' => '4','verse_number' => '87','translate_name' => '«وإن كان طائفةٌ منكم آمنوا بالذي أُرسلت به وطائفة لم يؤمنوا» به «فاصبروا» انتظروا «حتى يحكم الله بيننا» وبينكم بإنجاء المحق وإهلاك المبطل «وهو خير الحاكمين» أعدلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19750','chapter_id' => '7','chapter_detail_id' => '1042','translator_id' => '4','verse_number' => '88','translate_name' => '«قال الملأ الذين استكبروا من قومه» عن الإيمان «لنخرجنك يا شعيب والذين آمنوا معك من قريتنا أو لتعودُن» ترجعن «في ملتنا» ديننا وغلبوا في الخطاب الجمع على الواحد لأن شعيبا لم يكن في ملتهم قط وعلى نحوه أجاب «قال أ» نعود فيها «ولو كنا كارهين» لها استفهام إنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19751','chapter_id' => '7','chapter_detail_id' => '1043','translator_id' => '4','verse_number' => '89','translate_name' => '«قد افترينا على الله كذبا إن عدنا في ملَّتكم بعد إذ نجَّانا الله منها وما يكون» ينبغي «لنا أن نعود فيها إلا أن يشاء الله ربُّنا» ذلك فيخذلنا «وسع ربُّنا كلَّ شيء علما» أي وسع علمه كل شيء ومنه حالي وحالكم «على الله توكلنا ربنا افتح» احكم «بيننا وبين قومنا بالحق وأنت خير الفاتحين» الحاكمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19752','chapter_id' => '7','chapter_detail_id' => '1044','translator_id' => '4','verse_number' => '90','translate_name' => '«وقال الملأ الذين كفروا من قومه» أي قال بعضهم لبعض «لئن» لام قسم «اتبعتم شعيبا إنكم إذًا الخاسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19753','chapter_id' => '7','chapter_detail_id' => '1045','translator_id' => '4','verse_number' => '91','translate_name' => '«فأخذتهم الرجفة» الزلزلة الشديدة «فأصبحوا في دارهم جاثمين» باركين على الركب ميِّتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19754','chapter_id' => '7','chapter_detail_id' => '1046','translator_id' => '4','verse_number' => '92','translate_name' => '«الذين كذَّبوا شعيبا» مبتدأ خبره «كأن» مخففة واسمها محذوف أي كأنهم «لم يَغنوا» يقيموا «فيها» في ديارهم «الذين كذَّبوا شعيبا كانوا هم الخاسرين» التأكيد بإعادة الموصول وغيره للرد عليهم في قولهم السابق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19755','chapter_id' => '7','chapter_detail_id' => '1047','translator_id' => '4','verse_number' => '93','translate_name' => '«فتولى» أعرض «عنهم وقال يا قوم لقد أبلغتكم رسالات ربي ونصحت لكم» فلم تؤمنوا «فكيف آسى» أحزن «على قوم كافرين» استفهام بمعنى النفي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19756','chapter_id' => '7','chapter_detail_id' => '1048','translator_id' => '4','verse_number' => '94','translate_name' => '«وما أرسلنا في قرية من نبي» فكذبوا «إلا أخذنا» عاقبنا «أهلها بالبأساء» شدة الفقر «والضرَّاء» المرض «لعلهم يضَّرَّعون» يتذللون فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19757','chapter_id' => '7','chapter_detail_id' => '1049','translator_id' => '4','verse_number' => '95','translate_name' => '«ثم بدَّلنا» أعطيناهم «مكان السيئة» العذاب «الحسنة» الغنى والصحة «حتى عفوا» كثروا «وقالوا» كفرا للنعمة «قد مس آباءنا الضرَّاء والسرَّاء» كما مسنا وهذه عادة الدهر وليست بعقوبة من الله فكونوا على ما أنتم عليه قال تعالى: «فأخذناهم» بالعذاب «بغتة» فجأة «وهم لا يشعرون» بوقت مجيئه قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19758','chapter_id' => '7','chapter_detail_id' => '1050','translator_id' => '4','verse_number' => '96','translate_name' => '«ولو أنَّ أهل القرى» المكذَّبين «آمنوا» بالله ورسلهم «واتقوا» الكفر والمعاصي «لفتحنا» بالتخفيف والتشديد «عليهم بركات من السماء» بالمطر «والأرض» بالنبات «ولكن كذَّبوا» الرسل «فأخذناهم» عاقبناهم «بما كانوا يكسبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19759','chapter_id' => '7','chapter_detail_id' => '1051','translator_id' => '4','verse_number' => '97','translate_name' => '«أفأمن أهل القرى» المكذِّبون «أن يأتيهم بأسنا» عذابنا «بياتا» ليلا «وهم نائمون» غافلون عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19760','chapter_id' => '7','chapter_detail_id' => '1052','translator_id' => '4','verse_number' => '98','translate_name' => '«أو أمن أهل القرى أن يأتيهم بأسنا ضحى» نهارا «وهم يلعبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19761','chapter_id' => '7','chapter_detail_id' => '1053','translator_id' => '4','verse_number' => '99','translate_name' => '«أفأمنوا مكر الله» استدراجه إياهم بالنعمة وأخذهم بغتة «فلا يأمن مكر الله إلا القوم الخاسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19762','chapter_id' => '7','chapter_detail_id' => '1054','translator_id' => '4','verse_number' => '100','translate_name' => '«أو لم يهد» يتبيَّن «للذين يرثون الأرض» بالسكنى «من بعد» هلاك «أهلها أن» فاعل مخففة واسمها محذوف أي أنه «لو نشاء أصبناهم» بالعذاب «بذنوبهم» كما أصبنا من قبلهم. والهمزةُ في المواضع الأربعة للتوبيخ والفاء والواو الداخلة عليهما للعطف، وفي قراءة بسكون الواو في الموضع الأول عطفا بأو «و» نحن «نطبع» نختم «على قلوبهم فهم لا يسمعون» الموعظة سماع تدبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19763','chapter_id' => '7','chapter_detail_id' => '1055','translator_id' => '4','verse_number' => '101','translate_name' => '«تلك القرى» التي مرَّ ذكرها «نقصُّ عليك» يا محمد «من أنبائها» أخبار أهلها «ولقد جاءتهم رسلهم بالبينات» المعجزات الظاهرات «فما كانوا ليؤمنوا» عند مجيئهم «بما كذبوا» كفروا به «من قبل» قبل مجيئهم بل استمروا على الكفر «كذلك» الطبع «يطبع الله على قلوب الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19764','chapter_id' => '7','chapter_detail_id' => '1056','translator_id' => '4','verse_number' => '102','translate_name' => '«وما وجدنا لأكثرهم» أي الناس «من عهد» أي وفاء بعهدهم يوم أخذ الميثاق «وإن» مخففة «وجدنا أكثرهم لفاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19765','chapter_id' => '7','chapter_detail_id' => '1057','translator_id' => '4','verse_number' => '103','translate_name' => '«ثم بعثنا من بعدهم» أي الرسل المذكورين «موسى بآياتنا» التسع «إلى فرعون وملئِهِ» قومه «فظلموا» كفروا «بها فانظر كيف كان عاقبة المفسدين» بالكفر من إهلاكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19766','chapter_id' => '7','chapter_detail_id' => '1058','translator_id' => '4','verse_number' => '104','translate_name' => '«وقال موسى يا فرعون إني رسول من ربِّ العالمين» إليك فكذبه فقال أنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19767','chapter_id' => '7','chapter_detail_id' => '1059','translator_id' => '4','verse_number' => '105','translate_name' => '«حقيق» جدير «على أن» أي بأن «لا أقول على الله إلا الحق» وفي قراءة بتشديد الياء فحقيق مبتدأ خبره أن وما بعده «قد جئتكم ببينة من ربِّكم فأرسل معي» إلى الشام «بني إسرائيل» وكان استعبدهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19768','chapter_id' => '7','chapter_detail_id' => '1060','translator_id' => '4','verse_number' => '106','translate_name' => '«قال» فرعون له «إن كنت جئت بآية» على دعواك «فأت بها إن كنت من الصادقين» فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19769','chapter_id' => '7','chapter_detail_id' => '1061','translator_id' => '4','verse_number' => '107','translate_name' => '«فألقى عصاه فإذا هي ثعبان مبين» حية عظيمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19770','chapter_id' => '7','chapter_detail_id' => '1062','translator_id' => '4','verse_number' => '108','translate_name' => '«ونزع يده» أخرجها من جيبه «فإذا هي بيضاء» ذات شعاع «للناظرين» خلاف ما كانت عليه من الأدمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19771','chapter_id' => '7','chapter_detail_id' => '1063','translator_id' => '4','verse_number' => '109','translate_name' => '«قال الملأ من قوم فرعون إنَّ هذا لساحر عليم» فائق في علم السحر. وفي الشعراء أنه من قول فرعون نفسه فكأنهم قالوه معه على سبيل التشاور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19772','chapter_id' => '7','chapter_detail_id' => '1064','translator_id' => '4','verse_number' => '110','translate_name' => '«يريد أن يخرجكم من أرضكم فماذا تأمرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19773','chapter_id' => '7','chapter_detail_id' => '1065','translator_id' => '4','verse_number' => '111','translate_name' => '«قالوا أرجه وأخاه» أخِّرْ أمرهما «وأرسل في المدائن حاشرين» جامعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19774','chapter_id' => '7','chapter_detail_id' => '1066','translator_id' => '4','verse_number' => '112','translate_name' => '«يأتوك بكل ساحر» وفي قراءة سحَّار «عليم» بفضل موسى في علم السحر فجمعوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19775','chapter_id' => '7','chapter_detail_id' => '1067','translator_id' => '4','verse_number' => '113','translate_name' => '«وجاء السحرة فرعون قالوا أئِنَّ» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين «لنا لأجرا إن كنا نحن الغالبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19776','chapter_id' => '7','chapter_detail_id' => '1068','translator_id' => '4','verse_number' => '114','translate_name' => '«قال نعم وإنكم لمن المقربين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19777','chapter_id' => '7','chapter_detail_id' => '1069','translator_id' => '4','verse_number' => '115','translate_name' => '«قالوا يا موسى إما أن تُلقي» عصاك «وإما أن نكون نحن الملقين» ما معنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19778','chapter_id' => '7','chapter_detail_id' => '1070','translator_id' => '4','verse_number' => '116','translate_name' => '«قال ألقوا» أمر للإذن بتقديم إلقائهم توصلا به إلى إظهار الحق «فلما ألقوا» حبالهم وعصيهم «سحروا أعين الناس» صرفوها عن حقيقة إدراكها «واسترهبوهم» خوفوهم حيث خيلوها حيات تسعى «وجاءوا بسحر عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19779','chapter_id' => '7','chapter_detail_id' => '1071','translator_id' => '4','verse_number' => '117','translate_name' => '«وأوحينا إلى موسى أن ألق عصاك فإذا هي تلقف» بحذف إحدى التاءين في الأصل تبتلع «ما يأفكون» يقلبون بتمويههم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19780','chapter_id' => '7','chapter_detail_id' => '1072','translator_id' => '4','verse_number' => '118','translate_name' => '«فوقع الحق» ثبت وظهر «وبطل ما كانوا يعملون» من السحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19781','chapter_id' => '7','chapter_detail_id' => '1073','translator_id' => '4','verse_number' => '119','translate_name' => '«فغُلبوا» أي فرعون وقومه «هنالك وانقلبوا صاغرين» صاروا ذليلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19782','chapter_id' => '7','chapter_detail_id' => '1074','translator_id' => '4','verse_number' => '120','translate_name' => '«وأُلقي السحرة ساجدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19783','chapter_id' => '7','chapter_detail_id' => '1075','translator_id' => '4','verse_number' => '121','translate_name' => '«قالوا آمنا برب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19784','chapter_id' => '7','chapter_detail_id' => '1076','translator_id' => '4','verse_number' => '122','translate_name' => '«رب موسى وهارون» لعلمهم بأن ما شهدوه من العصا لا يتأتى بالسحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19785','chapter_id' => '7','chapter_detail_id' => '1077','translator_id' => '4','verse_number' => '123','translate_name' => '«قال فرعون أآمنتم» بتحقيق الهمزتين وإبدال الثانية ألفا «به» بموسى «قبل أن آذن» «لكم إنَّ هذا» الذي صنعتموه «لمكر مكرتموه في المدينة لتخرجوا منها أهلها فسوف تعلمون» ما ينالكم مني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19786','chapter_id' => '7','chapter_detail_id' => '1078','translator_id' => '4','verse_number' => '124','translate_name' => '«لأقطعنَّ أيديكم وأرجلكم من خلاف» أي يد كل واحد اليمنى ورجله اليسرى «ثم لأصلِّبنَّكم أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19787','chapter_id' => '7','chapter_detail_id' => '1079','translator_id' => '4','verse_number' => '125','translate_name' => '«قالوا إنا إلى ربِّنا» بعد موتنا بأي وجه كان «منقلبون» راجعون في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19788','chapter_id' => '7','chapter_detail_id' => '1080','translator_id' => '4','verse_number' => '126','translate_name' => '«وما تنقم» تنكر «منا إلا أن آمنَّا بآيات ربِّنا لما جاءتنا ربنا أفرغ علينا صبرا» عند فعل ما توعدنا به لئلا نرجع كفارا «وتوفنا مسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19789','chapter_id' => '7','chapter_detail_id' => '1081','translator_id' => '4','verse_number' => '127','translate_name' => '«وقال الملأ من قوم فرعون» له «أتذر» تترك «موسى وقومه ليفسدوا في الأرض» بالدعاء إلى مخالفتك «ويذرك وآلهتك» وكان صنع لهم أصناما صغارا يعبدونها وقال أنا ربُّكم وربها ولذا قال أنا ربكم الأعلى «قال سنُقَتِّل» بالتشديد والتخفيف «أبناءهم» المولودين «ونستحي» نستبقي «نساءهم» كفعلنا بهم من قبل «وإنا فوقهم قاهرون» قادرون ففعلوا بهم ذلك فشكا بنو إسرائيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19790','chapter_id' => '7','chapter_detail_id' => '1082','translator_id' => '4','verse_number' => '128','translate_name' => '«قال موسى لقومه استعينوا بالله واصبروا» على أذاهم «إنَّ الأرض لله يورثها» يعطيها «من يشاء من عباده والعاقبة» المحمودة «للمتقين» الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19791','chapter_id' => '7','chapter_detail_id' => '1083','translator_id' => '4','verse_number' => '129','translate_name' => '«قالوا أوذينا من قبل أن تأتينا ومن بعد ما جئتنا قال عسى ربُّكم أن يهلك عدوكم ويستخلفكم في الأرض فينظر كيف تعملون» فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19792','chapter_id' => '7','chapter_detail_id' => '1084','translator_id' => '4','verse_number' => '130','translate_name' => '«ولقد أخذنا آل فرعون بالسِّنين» بالقحط «ونقص من الثمرات لعلهم يذكرون» يتعظون فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19793','chapter_id' => '7','chapter_detail_id' => '1085','translator_id' => '4','verse_number' => '131','translate_name' => '«فإذا جاءتهم الحسنة» الخصب والغنى «قالوا لنا هذه» أي نستحقها ولم يشكروا عليها «وإن تصبهم سيئة» جدب وبلاء «يَطَّيَّروا» يتشاءموا «بموسى ومن معه» من المؤمنين «ألا إنما طائرهم» شؤمهم «عند الله» يأتيهم به «ولكن أكثرهم لا يعلمون» أنَّ ما يصيبهم من عنده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19794','chapter_id' => '7','chapter_detail_id' => '1086','translator_id' => '4','verse_number' => '132','translate_name' => '«وقالوا» لموسى «مهما تأتنا به من آية لتسحرنا بها فما نحن لك بمؤمنين» فدعا عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19795','chapter_id' => '7','chapter_detail_id' => '1087','translator_id' => '4','verse_number' => '133','translate_name' => '«فأرسلنا عليهم الطُّوفان» وهو ماء دخل بيوتهم ووصل إلى حلوق الجالسين سبعة أيام «والجراد» فأكل زرعهم وثمارهم، كذلك «والقمَّل» السوس أو نوع من القراد، فتتبع ما تركه الجراد «والضفادع» فملأت بيوتهم وطعامهم «والدم» في مياههم «آياتِ مفصَّلاتِ» مبينات «فاستكبروا» عن الإيمان بها «وكانوا قوما مجرمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19796','chapter_id' => '7','chapter_detail_id' => '1088','translator_id' => '4','verse_number' => '134','translate_name' => '«ولما وقع عليهم الرجز» العذاب «قالوا يا موسى ادع لنا ربَّك بما عهد عندك» من كشف العذاب عنا إن آمنا «لئن» لام قسم «كشفت عنا الرجز لنؤمنن لك ولنرسلنَّ معك بني إسرائيل».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19797','chapter_id' => '7','chapter_detail_id' => '1089','translator_id' => '4','verse_number' => '135','translate_name' => '«فلمًّا كشفنا» بدعاء موسى «عنهم الرجز إلى أجل هم بالغوه إذا هم ينكثون» ينقضون عهدهم ويصرون على كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19798','chapter_id' => '7','chapter_detail_id' => '1090','translator_id' => '4','verse_number' => '136','translate_name' => '«فانتقمنا منهم فأغرقناهم في اليمِّ» البحر الملح «بأنهم» بسبب أنهم «كذَّبوا بآياتنا وكانوا عنها غافلين» لا يتدبرونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19799','chapter_id' => '7','chapter_detail_id' => '1091','translator_id' => '4','verse_number' => '137','translate_name' => '«وأورثنا القوم الذين كانوا يُستضعفون» بالاستعباد، وهم بنو إسرائيل «مشارق الأرض ومغاربها التي باركنا فيها» بالماء والشجر، صفة للأرض وهي الشام «وتمت كلمة ربَّك الحسنى» وهي قوله تعالى (ونريد أن نمنَّ على الذين استضعفوا في الأرض) إلخ «على بني إسرائيل بما صبروا» على أذى عدوهم «ودمَّرنا» أهلكنا «ما كان يصنع فرعون وقومه» من العمارة «وما كانوا يعرُِشون» بكسر الراء وضمها، يرفعون من البنيان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19800','chapter_id' => '7','chapter_detail_id' => '1092','translator_id' => '4','verse_number' => '138','translate_name' => '«وجاوزنا» عبرنا «ببني إسرائيل البحر فأتوا» فمروا «على قوم يعكُِفون» بضم الكاف وكسرها «على أصنام لهم» على عبادتها «قالوا يا موسى لنا اجعل إلها» صنما نعبده «كما لهم آلهة قال إنكم قوم تجهلون» حيث قابلتم نعمة الله عليكم بما قلتموه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19801','chapter_id' => '7','chapter_detail_id' => '1093','translator_id' => '4','verse_number' => '139','translate_name' => '«إن هؤلاء مُتَبَّرٌ» هالك «ما هم فيه وباطل ما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19802','chapter_id' => '7','chapter_detail_id' => '1094','translator_id' => '4','verse_number' => '140','translate_name' => '«قال أغير الله أبغيكم إلها» معبودا وأصله أبغي لكم «وهو فضَّلكم على العالمين» في زمانكم بما ذكره في قوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19803','chapter_id' => '7','chapter_detail_id' => '1095','translator_id' => '4','verse_number' => '141','translate_name' => '«و» اذكروا «إذ أنجيناكم» وفي قراءة أنجاكم «من آل فرعون يسومونكم» يكلفونكم ويذيقونكم «سوء العذاب» أشده وهو «يقتلون أبناءكم ويستحيون» يستَبْقون «نساءكم وفي ذلكم» الإنجاء أو العذاب «بلاء» إنعام أو ابتلاء «من ربِّكم عظيم» أفلا تتعظون فتنتهوا عما قلتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19804','chapter_id' => '7','chapter_detail_id' => '1096','translator_id' => '4','verse_number' => '142','translate_name' => '«وواعدنا» بألف ودونها «موسى ثلاثين ليلة» نكلمه عند انتهائها بأن يصومها، وهي ذو القعدة فصامها فلما تمَّت أنكر خلوف فمه فاستاك فأمره الله بعشرة أخرى ليكلمه بخلوف فمه كما قال تعالى: «وأتممناها بعشر» من ذي الحجة «فتم ميقات ربِّه» وقت وعده بكلامه إياه «أربعين» حال «ليلة» تتميز «وقال موسى لأخيه هارون» عند ذهابه إلى الجبل للمناجاة «اخلفني» كن خليفتي «في قومي وأصلح» أمرهم «ولا تتبع سبيل المفسدين» بموافقتهم على المعاصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19805','chapter_id' => '7','chapter_detail_id' => '1097','translator_id' => '4','verse_number' => '143','translate_name' => '«ولما جاء موسى لميقاتنا» أي للوقت الذي وعدناه بالكلام فيه «وكلَّمه ربُّه» بلا واسطة كلاما سمعه من كل جهة «قال رب أرني» نفسك «أنظر إليك قال لن تراني» أي لا تقدر على رؤيتي، والتعبير به دون لن أرى يفيد إمكان رؤيته تعالى «ولكن انظر إلى الجبل» الذي هو أقوى منك «فإن استقر» ثبت «مكانه فسوف تراني» أي تثبيت لرؤيتي وإلا فلا طاقة لك «فلما تجلَّى ربُّه» أي ظهر من نوره قدر نصف أنملة الخنصر كما في حديث صححه الحاكم «للجبل جعله دكا» بالقصر والمد، أي مدكوكا مستويا بالأرض «وخرَّ موسى صَعقا» مغشيا عليه لهول ما رأى «فلما أفاق قال سبحانك» تنزيها لك «تبت إليك» من سؤال ما لم أؤمر به «وأنا أوَّلُ المؤمنين» في زماني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19806','chapter_id' => '7','chapter_detail_id' => '1098','translator_id' => '4','verse_number' => '144','translate_name' => '«قال» تعالى له «يا موسى إني اصطفيتك» اخترتك «على الناس» أهل زمانك «برسالاتي» بالجمع والإفراد «وبكلامي» أي تكليمي إياك «فخذ ما آتيتك» من الفضل «وكن من الشاكرين» لأنعمي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19807','chapter_id' => '7','chapter_detail_id' => '1099','translator_id' => '4','verse_number' => '145','translate_name' => '«وكتبا له في الألواح» أي ألواح التوراة وكانت من سدر الجنة أو زبرجد أو زمرد سبعة أو عشرة «من كل شيء» يحتاج إليه في الدين «موعظة وتفصيلا» تبينا «لكل شيء» بدل من الجار والمجرور قبله «فخذها» قبله قلنا مقدرا «بقوة» بجد واجتهاد «وأمر قومك يأخذوا بأحسنها سأريكم دار الفاسقين» فرعون وأتباعه وهي مصر لتعتبروا بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19808','chapter_id' => '7','chapter_detail_id' => '1100','translator_id' => '4','verse_number' => '146','translate_name' => '«سأصرف عن آياتي» دلائل قدرتي من المصنوعات وغيرها «الذين يتكبرون في الأرض بغير الحق» بأن أخذلهم فلا يتكبرون فيها «وإن يروا كل آية لا يؤمنوا بها وإن يروا سبيل» طريق «الرُّشد» الهدى الذي جاء من عند الله «لا يتخذوه سبيلا» يسلكوه «وإن يروا سبيل الغي» الضلال «يتخذوه سبيلا ذلك» الصرف «بأنهم كذبوا بآياتنا وكانوا عنها غافلين» تقدم مثله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19809','chapter_id' => '7','chapter_detail_id' => '1101','translator_id' => '4','verse_number' => '147','translate_name' => '«والذين كذبوا بآياتنا ولقاء الآخرة» البعث وغيره «حبطت» بطَلَت «أعمالهم» ما عملوه في الدنيا من خير كصلة رحم وصدقة فلا ثواب لهم لعدم شرطه «هل» ما «يُجزون إلا» جزاء «ما كانوا يعملون» من التكذيب والمعاصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19810','chapter_id' => '7','chapter_detail_id' => '1102','translator_id' => '4','verse_number' => '148','translate_name' => '«واتخذ قوم موسى من بعده» أي بعد ذهابه إلى المناجاة «من حُليِّهم» الذي استعاروه من قوم فرعون بعلَّة عرس فبقي عندهم «عجلا» صاغه لهم منه السامري «جسدا» بدل لحما ودما «له خُوارٌ» أي صوت يسمع، انقلب كذلك بوضع التراب الذي أخذه من حافر فرس جبريل في فمه فإن أثره الحياة فيما يوضع فيه، ومفعول اتخذ الثاني محذوف أي إلها «ألم يروا أنه لا يكلِّمهم ولا يهديهم سبيلا» فكيف يُتَّخذ إلها «اتخذوه» إلها «وكانوا ظالمين» باتخاذه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19811','chapter_id' => '7','chapter_detail_id' => '1103','translator_id' => '4','verse_number' => '149','translate_name' => '«ولما سُقط في أيديهم» أي ندموا على عبادته «ورأوْا» علموا «أنهم قد ضلوا» بها وذلك بعد رجوع موسى «وقالوا لئن لم يرحْمنا ربنا ويغفرْ لنا» بالياء والتاء فيهما «لنكونن من الخاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19812','chapter_id' => '7','chapter_detail_id' => '1104','translator_id' => '4','verse_number' => '150','translate_name' => '«ولما رجع موسى إلى قومه غضبان» من جهتهم «أسفا» شديد الحزن «قال» «بئسما» أي بئس خلافة «خلفتموني» ها «من بعدي» خلافتكم هذه حيث أشركتم «أعجلتم أمر ربكم وألقى الألواح» ألواح التوراة غضبا لربه فتكسرت «وأخذ برأس أخيه» أي شعره بيمينه ولحيته بشماله «يجره إليه» غضبا «قال» يا «ابْنَ أُمِّ» بكسر الميم وفتحها، أراد أمي وذكرها أعطف لقبله «إن القوم استضعفوني وكادوا» قاربوا «يقتلونني فلا تُشْمت» تُفرح «بي الأعداء» بإهانتك إياي «ولا تجعلني مع القوم الظالمين» بعبادة العجل في المؤاخذة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19813','chapter_id' => '7','chapter_detail_id' => '1105','translator_id' => '4','verse_number' => '151','translate_name' => '«قال رب اغفر لي» ما صنعت بأخي «ولأخي» أشركه في الدعاء إرضاءً له ودفعا للشماتة به «وأدخلنا في رحمتك وأنت أرحم الراحمين» قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19814','chapter_id' => '7','chapter_detail_id' => '1106','translator_id' => '4','verse_number' => '152','translate_name' => '«إن الذين اتخذوا العجل» إلها «سينالهم غضب» عذاب «من ربِّهم وذلَّة في الحياة الدنيا» فعذبوا بالأمر بقتل أنفسهم وضربت عليهم الذلة إلى يوم القيامة «وكذلك» كما جزيناهم «نجزي المفترين» على الله بالإشراك وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19815','chapter_id' => '7','chapter_detail_id' => '1107','translator_id' => '4','verse_number' => '153','translate_name' => '«والذين عملوا السيَّئات ثم تابوا» رجعوا عنها «من بعدها وآمنوا» بالله «إن ربَّك من بعدها» أي التوبة «لغفور» لهم «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19816','chapter_id' => '7','chapter_detail_id' => '1108','translator_id' => '4','verse_number' => '154','translate_name' => '«ولمَّا سكت» سكن «عن موسى الغضب أخذ الألواح» التي ألقاها «وفي نسخَتها» أي ما نسخ فيها، أي كتب «هدىّ» من الضلالة «ورحمهٌ للذين هم لربِّهم يرهبون» يخافون، وأدخل اللام على المفعول لتقدمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19817','chapter_id' => '7','chapter_detail_id' => '1109','translator_id' => '4','verse_number' => '155','translate_name' => '«واختار موسى قومه» أي من قومه «سبعين رجلا» ممن لم يعبدوا العجل بأمره تعالى «لميقاتنا» أي للوقت الذي وعدناه بإتيانهم فيه ليعتذروا من عبادة أصحابهم العجل فخرج بهم «فلما أخذتهم الرجفة» الزلزلة الشديدة، قال ابن عباس: لأنهم لم يزايلوا قومهم حين عبدوا العجل، قال: وهم غير الذين سألوا الرؤية وأخذتهم الصاعقة «قال» موسى «ربِّ لو شئت أهلكتهم من قبل» أي قبل خروجي بهم ليعاين بنو إسرائيل ذلك ولا يتهموني «وإياي أتهلكنا بما فعل السفهاء منا» استفهام استعطاف، أي لا تعذبنا بذنب غيرنا «إن» ما «هي» أي الفتنة التي وقع فيها السفهاء «إلا فتنتُك» ابتلاؤك «تضل بها من تشاء» إضلاله «وتهدي من تشاء» هدايته «أنت ولينا» متولي أمورنا «فاغفر لنا وارحمنا وأنت خير الغافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19818','chapter_id' => '7','chapter_detail_id' => '1110','translator_id' => '4','verse_number' => '156','translate_name' => '«واكتب» وأجب «لنا في هذه الدنيا حسنة وفي الآخرة» حسنة «إنَّا هُدْنا» تبنا «إليك قال» تعالى: «عذابي أصيب به من أشاء» تعذيبه «ورحمتي وسعت» عمَّت «كلَّ شيء» في الدنيا «فسأكتبها» في الآخرة «للذين يتقون ويؤتون الزكاة والذين هم بآياتتا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19819','chapter_id' => '7','chapter_detail_id' => '1111','translator_id' => '4','verse_number' => '157','translate_name' => '«الذين يتبعون الرسول النبي الأمي» محمدا صلى الله عليه وسلم «الذي يجدونه مكتوبا عندهم في التوراة والإنجيل» باسمه وصفته «يأمرهم بالمعروف وينهاهم عن المنكر ويحل لهم الطيبات» مما حُرم في شرعهم «ويحرم عليهم الخبائث» من الميتة ونحوها «ويضع عنهم إصرَهُم» ثقلهم «والأغلال» الشدائد «التي كانت عليهم» كقتل النفس من التوبة وقطع أثر النجاسة. «فالذين آمنوا به» منهم «وعَزَّروه» ووقروه «ونصروه واتبعوا النور الذي أنزل معه» أي القرآن «أولئك هم المفلحون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19820','chapter_id' => '7','chapter_detail_id' => '1112','translator_id' => '4','verse_number' => '158','translate_name' => '«قل» خطاب للنبي صلى الله عليه وسلم «يا أيها الناس إني رسول الله إليكم جميعا الذي له ملك السماوات والأرض لا إله إلا هو يحيي ويميت فآمنوا بالله ورسوله النبي الأمي الذي يؤمن بالله وكلماته» القرآن «واتَّبعوه لعلكم تهتدون» ترشدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19821','chapter_id' => '7','chapter_detail_id' => '1113','translator_id' => '4','verse_number' => '159','translate_name' => '«ومن قوم موسى أمَّةٌ» جماعة «يهدون» الناس «بالحق وبه يعدلون» في الحكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19822','chapter_id' => '7','chapter_detail_id' => '1114','translator_id' => '4','verse_number' => '160','translate_name' => '«وقَطَّعناهم» فّرَّقنا بني إسرائيل «اثنتي عشرة» حال «أسباطا» بدل منه، أي قبائل «أمما» بدل مما قبله «وأوحينا إلى موسى إذ استسقاه قومه» في التيه «أن اضرب بعصاك الحجر» فضربه «فانبجست» انفجرت «منه اثنتا عشرة عينا» بعدد الأسباط «قد علم كل أُناس» سبط منهم «مشربهم وظللنا عليهم الغمام» في التيه من حر الشمس «وأنزلنا عليهم المن والسلوى» هما الترنجبين والطير السماني بتخفيف الميم والقصر وقلنا لهم «كلوا من طيبات ما رزقناكم وما ظلمونا ولكن كانوا أنفسهم يظلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19823','chapter_id' => '7','chapter_detail_id' => '1115','translator_id' => '4','verse_number' => '161','translate_name' => '«و» اذكر «إذ قيل لهم اسكنوا هذه القرية» بيت المقدس «وكلوا منها حيث شئتم وقولوا» أمرنا «حطَّةٌ وادخلوا الباب» أي باب القرية «سجَّدا» سجود انحناء «نغفر» بالنون والتاء مبينا للمفعول «لكم خطيئاتكم سنزيد المحسنين» بالطاعة ثوابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19824','chapter_id' => '7','chapter_detail_id' => '1116','translator_id' => '4','verse_number' => '162','translate_name' => '«فبدَّل الذين ظلموا منهم قولا غير الذي قيل لهم» فقالوا: حبة في شعرة ودخلوا يزحفون على أستاههم «فأرسلنا عليهم رجزا» عذابا «من السماء بما كانوا يظلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19825','chapter_id' => '7','chapter_detail_id' => '1117','translator_id' => '4','verse_number' => '163','translate_name' => '«واسألهم» يا محمد توبيخا «عن القرية التي كانت حاضرة البحر» مجاورة بحر القلزم وهي أيلة ما وقع بأهلها «إذ يعدون» يعتدون «في السبت» بصيد السمك المأمورين بتركه فيه «إذ» ظرف ليعدون «تأتيهم حيتانهم يوم سبتهم شُرَّعا» ظاهرة على الماء «ويوم لا يسبتون» لا يعظمون السبت أي سائر الأيام «لا تأتيهم» ابتلاء من الله «كذلك نبلوهم» بما كانوا يفسقون» ولما صادوا السمك افترقت القرية أثلاثا، ثلث صادوا معهم وثلث نهوهم، وثلث أمسكوا عن الصيد والنهي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19826','chapter_id' => '7','chapter_detail_id' => '1118','translator_id' => '4','verse_number' => '164','translate_name' => '«وإذ» عطف على إذ قبله «قالت أمَّة منهم» لم تصد ولم تنهَ لمن نهى «لم تعظون قوما الله مُهلكهم أو معذبهم عذابا شديدا قالوا» موعظتنا «معذرة» نعتذر بها «إلى ربِّكم» لئلا ننسب إلى تقصير في ترك النهي «ولعلَّهم يتقون» الصيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19827','chapter_id' => '7','chapter_detail_id' => '1119','translator_id' => '4','verse_number' => '165','translate_name' => '«فما نسوا» تركوا «ما ذكِّروا» وعظوا «به» فلم يرجعوا «أنجينا الذين ينهوْن عن السوء وأخذنا الذين ظلموا» بالاعتداء «بعذابٍ بَئيس» شديد «بما كانوا يفسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19828','chapter_id' => '7','chapter_detail_id' => '1120','translator_id' => '4','verse_number' => '166','translate_name' => '«فلما عَتَوا» تكبروا «عن» ترك «ما نهوا عنه قلنا لهم كونوا قردة خاسئين» صاغرين فكانوها، وهذا تفصيل لما قبله، قال ابن عباس: ما أدري ما فعل بالفرقة الساكنة وقال عكرمة: لم تهلك لأنها كرهت ما فعلوه، وقالت: لم تعظون إلخ، وروى الحاكم عن ابن عباس: أنه رجع إليه وأعجبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19829','chapter_id' => '7','chapter_detail_id' => '1121','translator_id' => '4','verse_number' => '167','translate_name' => '«وإذ تأذَّن» أعلم «ربُّك ليبعثنَّ عليهم» أي اليهود «إلى يوم القيامة من يسومهم سوء العذاب» بالذل وأخذ الجزية، فبعث عليهم سليمان وبعده بختنصر فقتلهم وسباهم وضرب عليهم الجزية فكانوا يؤدونها إلى المجوس إلى أن بعث نبينا صلى الله عليه وسلم فضربها عليهم «إن ربك لسريع العقاب» لمن عصاه «وإنه لغفور» لأهل طاعته «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19830','chapter_id' => '7','chapter_detail_id' => '1122','translator_id' => '4','verse_number' => '168','translate_name' => '«وقطَّعناهم» فرَّقناهم «في الأرض أُمما» فرقا «منهم الصالحون ومنهم» ناس «دون ذلك» الكفار والفاسقون «وبلوناهم بالحسنات» بالنعم «والسيئات» النقم «لعلهم يرجعون» عن فسقهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19831','chapter_id' => '7','chapter_detail_id' => '1123','translator_id' => '4','verse_number' => '169','translate_name' => '«فخلف من بعدهم خَلْفٌ ورثوا الكتاب» التوراة عن آبائهم «يأخذون عرض هذا الأدنى» أي حطام هذا الشيء الدنيء أي الدنيا من حلال وحرام «ويقولون سيغفر لنا» ما عملناه لنا «و إن يأتهم عرض مثله يأخذوه» الجملة حال، أي يرجون المغفرة وهم عائدون إلى ما فعلوه مصرون عليه، وليس في التوراة وعد المغفرة مع الإصرار «ألم يؤخذ» استفهام تقرير «عليهم ميثاق الكتب» الإضافة بمعنى في «أن لا يقولوا على الله إلا الحقَّ ودرسوا» عطف على يؤخذ قرءوا «ما فيه» فلم كذبوا عليه بنسبة المغفرة إليه مع الإصرار «والدَّار الآخرة خير للَّذين يتقون» الحرام «أفلا يعقلون» بالياء والتاء أنها خير فيؤثرونها على الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19832','chapter_id' => '7','chapter_detail_id' => '1124','translator_id' => '4','verse_number' => '170','translate_name' => '«والذين يمسِّكون» بالتشديد والتخفيف «بالكتاب» منهم «وأقاموا الصلاة» كعبد الله بن سلام وأصحابه «إنا لا نضيع أجر المصلحين» الجملة خبر الذين، وفيه وضع الظاهر موضع المضمر أي أجرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19833','chapter_id' => '7','chapter_detail_id' => '1125','translator_id' => '4','verse_number' => '171','translate_name' => '«و» «إذ نتقنا الجبل» رفعناه من أصله «فوقهم كأنه ظُلَّةٌ وظنوا» أيقنوا «أنه واقع بهم» ساقط عليهم بوعد الله إياهم بوقوعه إن لم يقبلوا أحكام التوراة ن وكانوا أبَوْها لثقلها فقلبوا وقلنا لهم «خذوا ما آتيناكم بقوة» بجد واجتهاد «واذكروا ما فيه» بالعمل به «لعلكم تتقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19834','chapter_id' => '7','chapter_detail_id' => '1126','translator_id' => '4','verse_number' => '172','translate_name' => '«و» اذكر «إذ» حين «أخذ ربُّك من بني آدم من ظهورهم» بدل اشتمال مما قبله بإعادة الجار «ذرِّيّاتهم» بأن أخرج بعضهم من صلب بعض من صلب آدم نسلا بعد نسل كنحو ما يتوالدون كالذّر بنعمان يوم عرفة ونصب لهم دلائل على ربوبيته وركب فيهم عقلا «وأشْهدهم على أنفسهم» قال «ألست بربكم؟ قالوا بلى» أنت ربنا «شهدنا» بذلك والإشهاد لـ «أن» لا «يقولوا» بالياء والتاء في الموضعين، أي الكفار «يوم القيامة إنا كنَّا عن هذا» التوحيد «غافلين» لا نعرفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19835','chapter_id' => '7','chapter_detail_id' => '1127','translator_id' => '4','verse_number' => '173','translate_name' => '«أو يقولوا إنما أشرك آباؤنا من قبل» أي قبلنا «وكنا ذريَّة من بعدهم» فاقتدينا بهم «أفتهلكنا» تعذبنا «بما فعل المبطلون» من آبائنا بتأسيس الشرك، المعنى لا يمكنهم الاحتجاج بذلك مع إشهادهم على أنفسهم بالتوحيد، والتذكير به على لسان صاحب المعجزة قائم مقام ذكره في النفوس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19836','chapter_id' => '7','chapter_detail_id' => '1128','translator_id' => '4','verse_number' => '174','translate_name' => '«وكذلك نفصِّل الآيات» نبيّنها مثل ما بينا الميثاق ليتدبروها «ولعلهم يرجعون» عن كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19837','chapter_id' => '7','chapter_detail_id' => '1129','translator_id' => '4','verse_number' => '175','translate_name' => '«واتل» يا محمد «عليهم» أي اليهود «نبأ» خبر «الذي آتيناه آياتنا فانسلخ منها» خرج بكفره كما تخرج الحية من جلدها، وهو بلعم بن باعوراء من علماء بني إسرائيل، سُئل أن يدعو على موسى وأُهدي إليه شيء، فدعا فانقلب عليه اندلع لسانه على صدره «فأتبعه الشيطان» فأدركه فصار قرينه «فكان من الغاوين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19838','chapter_id' => '7','chapter_detail_id' => '1130','translator_id' => '4','verse_number' => '176','translate_name' => '«ولو شئنا لرفعناه» إلى منازل العلماء «بها» بأن نوقفه للعمل «ولكنه أخلد» سكن «إلى الأرض» أي الدنيا ومال إليها «واتَّبع هواه» في دعائه إليها فوضعناه «فمثله» صفته «كمثل الكلب إن تحمل عليه» بالطرد والزجر «يلهث» يدلع لسانه «أو» إن «تتركه يلهث» وليس غيره من الحيوان كذلك، وجملتا الشرط حال، أي لاهثا ذليلا بكل حال، والقصد التشبيه في الوضع والخسة بقرينة الفاء المشعرة بترتيب ما بعدها على ما قبلها من الميل إلى الدنيا واتباع الهوى وبقرينة، قوله «ذلك» المثل «مَثَلُ القوم الذين كذَّبوا بآياتنا فاقصص القَصَصَ» على اليهود «لعلهم يتفكرون» يتدبرون فيها فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19839','chapter_id' => '7','chapter_detail_id' => '1131','translator_id' => '4','verse_number' => '177','translate_name' => '«ساء» بئس «مثلا القوم» أي مثل القوم «الذين كذَّبوا بآياتنا وأنفسهم كانوا يظلمون» بالتكذيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19840','chapter_id' => '7','chapter_detail_id' => '1132','translator_id' => '4','verse_number' => '178','translate_name' => '«من يهَدِ الله فهو المهتدي ومن يُضْللْ فأولئك هم الخاسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19841','chapter_id' => '7','chapter_detail_id' => '1133','translator_id' => '4','verse_number' => '179','translate_name' => '«ولقد ذَرأْنا» خلقنا «لجهنم كثيرا من الجن والإنس لهم قلوب لا يفقهون بها» الحق «ولهم أعين لا يبصرون بها» دلائل قدرة الله بصر اعتبار «ولهم آذان لا يسمعون بها» الآيات والمواعظ سماع تدبر واتعاظ «أولئك كالأنعام» في عدم الفقه والبصر والاستماع «بل هم أضل» من الأنعام لأنها تطلب منافعها وتهرب من مضارها وهؤلاء يقدمون على النار معاندة «أولئك هم الغافلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19842','chapter_id' => '7','chapter_detail_id' => '1134','translator_id' => '4','verse_number' => '180','translate_name' => '«ولله الأسماء الحسنى» التسعة والتسعون الوارد بها الحديث، والحسنى مؤنث الأحسن «فادعوه» سموه «بها وذروا» اتركوا «الذين يُلحدون» من ألحد ولحد، يميلون عن الحق «في أسمائه» حيث اشتقوا منها أسماء لآلهتهم: كاللات من الله، والعزى من العزيز، ومناة من المنَّان «سيجزون» في الآخرة جزاء «ما كانوا يعملون» وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19843','chapter_id' => '7','chapter_detail_id' => '1135','translator_id' => '4','verse_number' => '181','translate_name' => '«وممن خلقنا أمة يهدون بالحق وبه يَعدِلون» هم أمة محمد صلى الله عليه وسلم كما في حديث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19844','chapter_id' => '7','chapter_detail_id' => '1136','translator_id' => '4','verse_number' => '182','translate_name' => '«والذين كذبوا بآياتنا» القرآن من أهل مكة «سنستدرجهم» نأخذهم قليلا قليلا «من حيث لا يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19845','chapter_id' => '7','chapter_detail_id' => '1137','translator_id' => '4','verse_number' => '183','translate_name' => '«وأُملي لهم» أمهلهم «إن كيدي متينٌ» شديد لا يطاق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19846','chapter_id' => '7','chapter_detail_id' => '1138','translator_id' => '4','verse_number' => '184','translate_name' => '«أو لم يتفكروا» فيعلموا «ما بصاحبهم» محمد صلى الله عليه وسلم «من جِنَّة» جنون «إن» ما «هو إلا نذير مبين» بيَّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19847','chapter_id' => '7','chapter_detail_id' => '1139','translator_id' => '4','verse_number' => '185','translate_name' => '«أو لم ينظروا في ملكوت» ملك «السماوات والأرض و» في «ما خلق الله من شيء» بيان لما، فيستدلوا به على قدرة صانعه ووحدانيته «و» في «أن» أي أنه «عسى أن يكون قد اقترب» قرب «أجلهم» فيموتوا كفارا فيصيروا إلى النار فيبادروا إلى الإيمان «فبأي حديث بعده» أي القرآن «يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19848','chapter_id' => '7','chapter_detail_id' => '1140','translator_id' => '4','verse_number' => '186','translate_name' => '«من يضلل الله فلا هادي له ويذرهم» بالياء والنون مع الرفع استئنافا، والجزم عطفا على محل ما بعد الفاء «في طغيانهم يعمهون» يترددون تحيُّرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19849','chapter_id' => '7','chapter_detail_id' => '1141','translator_id' => '4','verse_number' => '187','translate_name' => '«يسألونك» أي أهل مكة «عن الساعة» القيامة «أيَّان» متى «مُرساها قل» لهم «إنَّما علمها» متى تكون «عند ربي لا يُجلّيها» يظهرها «لوقتها» اللام بمعنى في «إلا هو ثقُلت» عظمت «في السماوات والأرض» على أهلها لهولها «لا تأتيكم إلا بغتة» فجأة «يسألونك كأنك حَفيٌ» مبالغ في السؤال «عنها» حتى علمتها «قل إنما علمها عند الله» تأكيد «ولكن أكثر الناس لا يعلمون» أن علمها عنده تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19850','chapter_id' => '7','chapter_detail_id' => '1142','translator_id' => '4','verse_number' => '188','translate_name' => '«قل لا أملك لنفسي نفعا» أجلبه «ولا ضرا» أدفعه «إلا ما شاء الله ولو كنت أعلم الغيب» ما غاب عني «لاستكثرت من الخير وما مسَّني السوء» من فقر وغيره لاحترازي عنه باجتناب المضار «إن» ما «أنا إلا نذير» بالنار للكافرين «وبشير» بالجنة «لقوم يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19851','chapter_id' => '7','chapter_detail_id' => '1143','translator_id' => '4','verse_number' => '189','translate_name' => '«هو» أي الله «الذي خلقكم من نفس واحدة» أي آدم «وجعل» خلق «منها زوجها» حواء «ليسكن إليها» ويألفها «فلما تغشَّاها» جامعها «حملت حملا خفيفا» هو النطفة «فمرت به» ذهبت وجاءت لخفته «فلما أثقلت» بكبر الولد في بطنها وأشفقا أن يكون بهيمة «دعوا الله ربَّهما لئن آتيتنا» ولدا «صالحا» سويا «لنكونن من الشاكرين» لك عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19852','chapter_id' => '7','chapter_detail_id' => '1144','translator_id' => '4','verse_number' => '190','translate_name' => '«فلمَّا آتاهما» ولدا «صالحا جعلا له شركاء» وفي قراءة بكسر الشين والتنوين أي شريكا «فيما آتاهما» بتسميته عبد الحارث ولا ينبغي أن يكون عبدا إلا لله، وليس بإشراك في العبودية لعصمة آدم وروى سمرة عن النبي صلى الله عليه وسلم قال: لما ولدت حواء طاف بها إبليس وكان لا يعيش لها ولد فقال: سميه عبد الحارث فإنه يعيش فسمته فعاش فكان ذلك من وحي الشيطان وأمره رواه الحاكم وقال صحيح والترمذي وقال حسن غريب «فتعالى الله عما يشركون» أي أهل مكة به من الأصنام، والجملة مسببة عطف على خلقكم وما بينهما اعتراض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19853','chapter_id' => '7','chapter_detail_id' => '1145','translator_id' => '4','verse_number' => '191','translate_name' => '«أيشركون» به في العبادة «ما لا يخلق شيئا وهم يُخلقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19854','chapter_id' => '7','chapter_detail_id' => '1146','translator_id' => '4','verse_number' => '192','translate_name' => '«ولا يستطيعون لهم» أي لعابديهم «نصرا ولا أنفسهم يَنْصرون» بمنعها ممن أراد بهم سوءا من كسر أو غيره، والاستفهام للتوبيخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19855','chapter_id' => '7','chapter_detail_id' => '1147','translator_id' => '4','verse_number' => '193','translate_name' => '«وإن تدعوهم» أي الأصنام «إلى الهدى لا يتبعوكم» بالتخفيف والتشديد «سواء عليكم أدعوتموهم» إليه «أم أنتم صامتون» عن دعائهم لا يتبعوه لعدم سماعهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19856','chapter_id' => '7','chapter_detail_id' => '1148','translator_id' => '4','verse_number' => '194','translate_name' => '«إن الذين تدعون» تعبدون «من دون الله عبادٌ» مملوكة «أمثالكم فادعوهم فليستجيبوا لكم» دعاءكم «إن كنتم صادقين» في أنها آلهة، ثم بين غاية عجزهم وفضل عابديهم عليهم فقال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19857','chapter_id' => '7','chapter_detail_id' => '1149','translator_id' => '4','verse_number' => '195','translate_name' => '«ألهم أرجل يمشون بها أم» بل أ «لهم أيد» جمع يد «يبطشون بها أم» بل أ «لهم آذان يسمعون بها» استفهام إنكاري، أي ليس لهم شيء من ذلك مما هو لكم فكيف تعبدوهم وأنتم حالا منهم «قل» لهم يا محمد «ادعوا شركاءكم» إلى هلاكي «ثم كيدون فلا تُنظرون» تمهلون فإني لا أبالي بكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19858','chapter_id' => '7','chapter_detail_id' => '1150','translator_id' => '4','verse_number' => '196','translate_name' => '«إن وليي الله» متولي أموري «الذي نزَّل الكتاب» القرآن «وهو يتولى الصالحين» بحفظه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19859','chapter_id' => '7','chapter_detail_id' => '1151','translator_id' => '4','verse_number' => '197','translate_name' => '«والذين تدعون من دونه لا يستطيعون نصركم ولا أنفسهم ينصرون» فكيف أبالي بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19860','chapter_id' => '7','chapter_detail_id' => '1152','translator_id' => '4','verse_number' => '198','translate_name' => '«وإن تدعوهم» أي الأصنام «إلى الهدى لا يسمعوا وتراهم» أي الأصنام يا محمد «ينظرون إليك» أي يقابلونك كالناظر «وهم لا يبصرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19861','chapter_id' => '7','chapter_detail_id' => '1153','translator_id' => '4','verse_number' => '199','translate_name' => '«خذ العفو» اليسر من أخلاق الناس ولا تبحث عنها «وأمر بالعرف» بالمعروف «وأعرض عن الجاهلين» فلا تقابلهم بسفههم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19862','chapter_id' => '7','chapter_detail_id' => '1154','translator_id' => '4','verse_number' => '200','translate_name' => '«وإما» فيه إدغام نون إن الشرطية في ما المزيدة «ينزغنَّك من الشيطان نَزْغٌ» أي إن يصرفك عما أمرت به صارف «فاستعذ بالله» جواب الشرط وجواب الأمر محذوف، أي يدفعه عنك «إنه سميع» للقول «عليم» بالفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19863','chapter_id' => '7','chapter_detail_id' => '1155','translator_id' => '4','verse_number' => '201','translate_name' => '«إن الذين اتقوا إذا مسَّهم» أصابهم «طيفٌ» وفي قراءة طائف أي شيء ألَّم بهم «من الشيطان تذكَّروا» عقاب الله وثوابه «فإذا هم مبصرون» الحق من غيره فيرجعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19864','chapter_id' => '7','chapter_detail_id' => '1156','translator_id' => '4','verse_number' => '202','translate_name' => '«وإخوانهم» أي إخوان الشياطين من الكفار «يَمدُّونَهُمْ» أي الشياطين «في الغي ثم» هم «لا يُقْصِرُونَ» يكفون عنه بالتبصر كما تبصَّر المتقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19865','chapter_id' => '7','chapter_detail_id' => '1157','translator_id' => '4','verse_number' => '203','translate_name' => '«وإذا لم تأتهم» أي أهل مكة «بآية» مما اقترحوا «قالوا لولا» هلا «اجتبيتها» أنشأتها من قبل نفسك «قل» لهم «إنَّما أتَّبع ما يوحى إلي من ربي» وليس لي أن آتي من عند نفسي بشيء «هذا» القرآن «بصائر» حجج «من ربِّكم وهدى ورحمة لقوم يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19866','chapter_id' => '7','chapter_detail_id' => '1158','translator_id' => '4','verse_number' => '204','translate_name' => '«وإذا قُرئ القرآن فاستمعوا له وأنصتوا» عن الكلام «لعلكم ترحمون» نزلت في ترك الكلام في الخطبة وعبَّر عنها بالقرآن لاشتمالها عليه، وقيل في قراءة القرآن مطلقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19867','chapter_id' => '7','chapter_detail_id' => '1159','translator_id' => '4','verse_number' => '205','translate_name' => '«واذكر ربَّك في نفسك» أي سرا «تضرُّعا» تدللا «وخيفة» خوفا منه «و» فوق السر «دون الجهر من القول» أي قصدا بينهما «بالغدو والآصال» أوائل النهار وأواخره «ولا تكن من الغافلين» عن ذكر الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19868','chapter_id' => '7','chapter_detail_id' => '1160','translator_id' => '4','verse_number' => '206','translate_name' => '«إن الذين عند ربك» أي الملائكة «لا يستكبرون» يتكبَّرون «عن عبادته ويسبِّحونه» ينزهوِّنه عما لا يليق به «وله يسجدون» أي يخصونه بالخضوع والعبادة فكونوا مثلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19869','chapter_id' => '8','chapter_detail_id' => '1161','translator_id' => '4','verse_number' => '1','translate_name' => '«يسألونك» يا محمد «عن الأنفال» الغنائم لمن هي «قل» لهم «الأنفال لله» يجعلها حيث يشاء «والرسول» يقسِّمها بأمر الله فقسَّمها صلى الله عليه وسلم بينهم على السواء، رواه الحاكم في المستدرك «فاتقوا الله وأصلحوا ذات بينكم» أي حقيقة ما بينكم بالمودة وترك النزاع «وأطيعوا الله ورسوله إن كنتم مؤمنين» حقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19870','chapter_id' => '8','chapter_detail_id' => '1162','translator_id' => '4','verse_number' => '2','translate_name' => '«إنما المؤمنون» الكاملون الإيمان «الذين إذا ذكر الله» أي وعيده «وجلت» خافت «قلوبهم وإذا تليت عليهم آياته زادتهم إيمانا» تصديقا «وعلى ربهم يتوكلون» به يثقون لا بغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19871','chapter_id' => '8','chapter_detail_id' => '1163','translator_id' => '4','verse_number' => '3','translate_name' => '«الذين يقيمون الصلاة» يأتون بها بحقوقها «ومما رزقناهم» أعطيناهم «ينفقون» في طاعة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19872','chapter_id' => '8','chapter_detail_id' => '1164','translator_id' => '4','verse_number' => '4','translate_name' => '«أولئك» الموصوفون بما ذكر «هم المؤمنون حقا» صدقا بلا شك «لهم درجاتٌ» منازل في الجنة «عند ربهم ومغفرة ورزق كريم» في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19873','chapter_id' => '8','chapter_detail_id' => '1165','translator_id' => '4','verse_number' => '5','translate_name' => '«كما أخرجك ربُّك من بيتك بالحق» متعلق بأخرج «وإن فريقا من المؤمنين لكارهون» الخروج والجملة حال من كاف أخرجك وكما خبر مبتدأ محذوف أي هذه الحال في كراهتهم لها مثل إخراجك في حال كراهتهم وقد كان خيرا لهم فكذلك أيضا وذلك أن أبا سفيان قدم بعير من الشام فخرج النبي صلى الله عليه وسلم وأصحابه ليغنموها فعلمت قريش فخرج أبو جهل ومقاتلوا مكة ليذبُّوا عنها وهم النفير وأخذ أبو سفيان بالعير طريق الساحل فنجت فقيل لأبي جهل ارجع فأبى وسار إلى بدر. فشاور النبيُّ صلى الله عليه وسلم أصحابه وقال إن الله وعدني إحدى الطائفتين فوافقوه على قتال النفير وكره بعضهم ذلك وقالوا لم نستعدَّ له كما قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19874','chapter_id' => '8','chapter_detail_id' => '1166','translator_id' => '4','verse_number' => '6','translate_name' => '«يجادلونك في الحق» القتال «بعد ما تبيَّن» ظهر لهم «كأنما يُساقون إلى الموت وهم ينظرون» إليه عيانا في كراهتهم له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19875','chapter_id' => '8','chapter_detail_id' => '1167','translator_id' => '4','verse_number' => '7','translate_name' => '«و» اذكر «إذ يعدكم الله إحدى الطائفتين» العير أو النفير «أنها لكم وتودُّون» تريدون «أن غير ذات الشوكة» أي البأس والسلاح وهي العير «تكون لكم» لقلة عددها ومدَدها بخلاف النفير «ويريد الله أن يُحق الحق» يظهر «بكلماته» السابقة بظهور الإسلام «ويقطع دابر الكافرين» آخرهم بالاستئصال فأمركم بقتال النفير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19876','chapter_id' => '8','chapter_detail_id' => '1168','translator_id' => '4','verse_number' => '8','translate_name' => '«ليُحق الحق ويبطل» يمحق «الباطل» الكفر «ولو كره المجرمون» المشركون ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19877','chapter_id' => '8','chapter_detail_id' => '1169','translator_id' => '4','verse_number' => '9','translate_name' => 'اذكر «إذ تستغيثون ربَّكم» تطلبون منه الغوث بالنصر عليهم «فاستجاب لكم أني» أي بأني «مُمدُّكم» معينكم «بألف من الملائكة مردفين» متتابعين يردف بعضهم بعضا وعدهم بها أوَّلا ثم صارت ثلاثة آلاف ثم خمسة كما في آل عمران وقرئ بآلُف كأفُلس جمع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19878','chapter_id' => '8','chapter_detail_id' => '1170','translator_id' => '4','verse_number' => '10','translate_name' => '«وما جعله الله» أي الإمداد «إلا بشرى ولتطمئن به قلوبكم وما النصر إلا من عند الله إن الله عزيز حكيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19879','chapter_id' => '8','chapter_detail_id' => '1171','translator_id' => '4','verse_number' => '11','translate_name' => 'اذكر «إذ يُغشِّيكم النعاس أمنة» أمنا مما حصل لكم من الخوف «منه» تعالى «وَيُنَزِّلُ عليكم من السماء ماء ليطهركم به» من الأحداث والجنابات «ويذهب عنكم رجز الشيطان» وسوسته إليكم بأنكم لو كنتم على الحق ما كنتم ظمأى محدثين والمشركون على الماء «وليربط» يحبس «على قلوبكم» باليقين والصبر «ويثبِّت به الأقدام» أن تسوخ في الرمل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19880','chapter_id' => '8','chapter_detail_id' => '1172','translator_id' => '4','verse_number' => '12','translate_name' => '«إذ يوحي ربك إلى الملائكة» الذين أمد بهم المسلمين «أني» أي بأني «معكم» بالعون والنصر «فثبِّتوا الذين آمنوا» بالإعانة والتبشير «سألقي في قلوب الذين كفروا الرعب» الخوف «فاضربوا فوق الأعناق» أي الرءوس «واضربوا منهم كل بنان» أي أطراف اليدين والرجلين فكان الرجل يقصد ضرب رقبة الكافر فتسقط قبل أن يصل إليه سيفه ورماهم صلى الله عليه وسلم بقبضة من الحصى فلم يبق مشرك إلا دخل في عينيه منها شيء فهزموا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19881','chapter_id' => '8','chapter_detail_id' => '1173','translator_id' => '4','verse_number' => '13','translate_name' => '«ذلك» العذاب الواقع بهم «بأنهم شاقوا» خالفوا «الله ورسوله ومن يشاقق الله ورسوله فإن الله شديد العقاب» له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19882','chapter_id' => '8','chapter_detail_id' => '1174','translator_id' => '4','verse_number' => '14','translate_name' => '«ذلكم» العذاب «فذوقوه» أيها الكفار في الدنيا «وأن للكافرين» في الآخرة «عذاب النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19883','chapter_id' => '8','chapter_detail_id' => '1175','translator_id' => '4','verse_number' => '15','translate_name' => '«يا أيها الذين آمنوا إذا لقيتم الذين كفروا زحفا» أي مجتمعين كأنهم لكثرتهم يزحفون «فلا تولُّوهم الأدبار» منهزمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19884','chapter_id' => '8','chapter_detail_id' => '1176','translator_id' => '4','verse_number' => '16','translate_name' => '«ومن يولهم يومئذ» أي يوم لقائهم «دُبُرَهُ إلا متحرفا» منعطفا «لقتال» بأن يريهم الغرَّة مكيدة وهو يريد الكرَّة «أو متحيزا» منضما «إلى فئة» جماعة من المسلمين يستنجد بها «فقد باء» رجع «بغضب من الله ومأواه جنهم وبئس المصير» المرجع هي وهذا مخصوص بما لم يزد الكفار على الضعف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19885','chapter_id' => '8','chapter_detail_id' => '1177','translator_id' => '4','verse_number' => '17','translate_name' => '«فلم تقتلوهم» ببدر بقوتكم «ولكنَّ الله قتلهم» بنصره إيّاكم «وما رميت» يا محمد لأعين القوم «إذ رميت» بالحصى لأن كفا من الحصى لا يملأ عيون الجيش الكثير برمية بشر «ولكنَّ الله رمى» بإيصال ذلك إليهم فعل ذلك ليقهر الكافرين «وليبلي المؤمنين منه بلاءً» عطاء «حسنا» هو الغنيمة «إن الله سميع» لأقوالهم «عليم» بأحوالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19886','chapter_id' => '8','chapter_detail_id' => '1178','translator_id' => '4','verse_number' => '18','translate_name' => '«ذلكم» الإبلاء حق «وأن الله موهنُ» مضعف «كيد الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19887','chapter_id' => '8','chapter_detail_id' => '1179','translator_id' => '4','verse_number' => '19','translate_name' => '«إن تستفتحوا» أيها الكفار إن تطلبوا الفتح أي القضاء حيث قال أبو جهل منكم: اللهم أينا كان أقطع للرحمن وأتانا بما لا نعرف فأحنه الغداة أي أهلكه «فقد جاءكم الفتح» القضاء بهلاك من هو كذلك وهو أبو جهل ومن قتل معه دون النبي صلى الله عليه وسلم والمؤمنين «وإن تنتهوا» عن الكفر والحرب «فهو خير لكم وإن تعودوا» لقتال النبي صلى الله عليه وسلم «نعد» لنصره عليكم «ولن تغني» تدفع «عنكم فئتكم» جماعاتكم «شيئا ولو كثرت وإنَّ الله مع المؤمنين» بكسر إن استئنافا وفتحها على تقدير اللام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19888','chapter_id' => '8','chapter_detail_id' => '1180','translator_id' => '4','verse_number' => '20','translate_name' => '«يا أيها الذين آمنوا أطيعوا الله ورسوله ولا تولَّوْا» تعرضوا «عنه» بمخالفة أمره «وأنتم تسمعون» القرآن والمواعظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19889','chapter_id' => '8','chapter_detail_id' => '1181','translator_id' => '4','verse_number' => '21','translate_name' => '«ولا تكونوا كالذين قالوا سمعنا وهم لا يسمعون» سماع تدبر واتعاظ وهم المنافقون أو المشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19890','chapter_id' => '8','chapter_detail_id' => '1182','translator_id' => '4','verse_number' => '22','translate_name' => '«إن شرَّ الدواب عند الله الصمٌّ» عن سماع الحق «البكم» عن النطق به «الذين لا يعقلونـ» ـه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19891','chapter_id' => '8','chapter_detail_id' => '1183','translator_id' => '4','verse_number' => '23','translate_name' => '«ولو علم الله فيهم خيرا» صلاحا بسماع الحق «لأسمعهم» سماع تفهم «ولو أسمعهم» فرضا وقد علم أن لا خير فيهم «لتوَّلوا» عنه «وهم معرضون» عن قبوله عنادا وجحودا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19892','chapter_id' => '8','chapter_detail_id' => '1184','translator_id' => '4','verse_number' => '24','translate_name' => '«يا أيها الذين آمنوا استجيبوا لله وللرسول» بالطاعة «إذا دعاكم لما يحييكم» من أمر الدين أنه سبب الحياة الأبدية «واعلموا أن الله يحول بين المرء وقلبه» فلا يستطيع أن يؤمن أو يكفر إلا بإرادته «وأنه إليه تُحشرون» فيجازيكم بأعمالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19893','chapter_id' => '8','chapter_detail_id' => '1185','translator_id' => '4','verse_number' => '25','translate_name' => '«واتقوا فتنة» إن أصابتكم «لا تصيبنَّ الذين ظلموا منكم خاصة» بل تعمهم وغيرهم واتقاؤها بإنكار موجبها من المنكر «واعلموا أن الله شديد العقاب» لمن خالفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19894','chapter_id' => '8','chapter_detail_id' => '1186','translator_id' => '4','verse_number' => '26','translate_name' => '«واذكروا إذ أنتم قليل مستضعَفون في الأرض» أرض مكة «تخافون أن يتخطَّفكم الناس» يأخذكم الكفار بسرعة «فآواكم» إلى المدينة «وأيَّدكم» قوَّاكم «بنصره» يوم بدر بالملائكة «ورزقكم من الطيبات» الغنائم «لعلكم تشكرون» نعمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19895','chapter_id' => '8','chapter_detail_id' => '1187','translator_id' => '4','verse_number' => '27','translate_name' => 'ونزل في أبي لبابة مروان بن عبد المنذر وقد بعثه رسول الله صلى الله عليه وسلم إلى قريظة لينزلوا على حكمه فاستشاروه فأشار إليهم أنه الذبح لأن عياله وماله فيهم «يا أيها الذين آمنوا لا تخونوا الله والرسول و تخونوا أماناتكم» ما ائتمنتم عليه من الدين وغيره «وأنتم تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19896','chapter_id' => '8','chapter_detail_id' => '1188','translator_id' => '4','verse_number' => '28','translate_name' => '«واعلموا أنما أموالكم وأولادُكم فتنهٌ» لكم صادة عن أمور الآخرة «وأن الله عنده أجر عظيم» فلا تفوِّتوه بمراعاة الأموال والأولاد والخيانة لأجلهم، ونزل في توبته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19897','chapter_id' => '8','chapter_detail_id' => '1189','translator_id' => '4','verse_number' => '29','translate_name' => '«يا أيها الذين آمنوا إن تتقوا الله» بالإنابة وغيرها «يجعل لكم فرقانا» بينكم وبين ما تخافون فتنجون «ويكفِّر عنكم سيئآتكم ويغفر لكم» ذنوبكم «والله ذو الفضل العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19898','chapter_id' => '8','chapter_detail_id' => '1190','translator_id' => '4','verse_number' => '30','translate_name' => '«و» اذكر يا محمد «إذ يمكر بك الذين كفروا» وقد اجتمعوا للمشاورة في شأنك بدار الندوة «ليثبتوك» يوثقوك ويحبسوك «أو يقتلوك» كلهم قَتلَة رجل واحد «أو يخرجوك» من مكة «ويمكرون» بك «ويمكرُ الله» بهم بتدبير أمرك بأن أوحى إليك ما دبروه وأمرك بالخروج «والله خير الماكرين» أعلمهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19899','chapter_id' => '8','chapter_detail_id' => '1191','translator_id' => '4','verse_number' => '31','translate_name' => '«وإذا تُتلى عليهم آياتنا» القرآن «قالوا قد سمعنا لو نشاء لقلنا مثل هذا» قاله النضر بن الحارث لأنه كان يأتي الحيرة يتجر فيشتري كتب أخبار الأعاجم ويحدث بها أهل مكة «إن» ما «هذا» القرآن «إلا أساطير» أكاذيب «الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19900','chapter_id' => '8','chapter_detail_id' => '1192','translator_id' => '4','verse_number' => '32','translate_name' => '«وإذ قالوا اللهم إن كان هذا» الذي يقرؤه محمد «هو الحقَّ» المنزل «من عندك فأمطر علينا حجارة من السماء أو ائتنا بعذاب أليم» مؤلم على إنكاره قاله النصر، وغيره استهزاءً وإيهاما أنه على بصيرة وجزم ببطلانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19901','chapter_id' => '8','chapter_detail_id' => '1193','translator_id' => '4','verse_number' => '33','translate_name' => 'قال تعالى: «وما كان الله ليعذَّبهم» بما سألوه «وأنت فيهم» لأن العذاب إذا نزل عَمَّ ولم تعذَّب أمة إلا بعد خروج نبيها والمؤمنين منها «وما كان الله معذبَهم وهم يستغفرون» حيث يقولون في طوافهم: غفرانك، غفرانك. وقيل أهم المؤمنون المستضعفون فيهم كما قال تعالى: (لو تزيَّلوا لعذبنا الذين كفروا منهم عذابا أليما).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19902','chapter_id' => '8','chapter_detail_id' => '1194','translator_id' => '4','verse_number' => '34','translate_name' => '«ومالهم أ» ن «لا يعذبهم الله» بالسيف بعد خروجك والمستضعفين وعلى القول الأول هي ناسخة لما قبلها وقد عذَّبهم الله ببدر وغيره «وهم يصدُّون» يمنعون النبي صلى الله عليه وسلم والمسلمين «عن المسجد الحرام» أن يطوفوا به «وما كانوا أولياءه» كما زعموا «إن» ما «أولياؤه إلا المتقون ولكن أكثرهم لا يعلمون» أن لا ولاية لهم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19903','chapter_id' => '8','chapter_detail_id' => '1195','translator_id' => '4','verse_number' => '35','translate_name' => '«وما كان صلاتُهم عند البيت إلا مُكاءً» صفيرا «وتصديةً» تصفيقا أي جعلوا ذلك موضع صلاتهم التي أمروا بها «فذوقوا العذاب» ببدر «بما كنتم تكفرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19904','chapter_id' => '8','chapter_detail_id' => '1196','translator_id' => '4','verse_number' => '36','translate_name' => '«إن الذين كفروا ينفقون أموالهم» في حرب النبي صلى الله عليه وسلم «ليصدوا عن سبيل الله فسينفقونها ثم تكون» في عاقبة الأمر «عليهم حسرة» ندامة لفواتها وفوات ما قصدوه «ثم يغلبون» في الدنيا «والذين كفروا» منهم «إلى جهنم» في الآخرة «يحشرون» يساقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19905','chapter_id' => '8','chapter_detail_id' => '1197','translator_id' => '4','verse_number' => '37','translate_name' => '«ليميزَ» متعلق بتكون بالتخفيف والشديد أي يفصل «الله الخبيث» الكافر «من الطيب» المؤمن «ويجعل الخبيث بعضه على بعض فيَرْكُمَهُ جميعا» يجمعه متراكما بعضه على بعض «فيجعله في جهنَّم أولئك هم الخاسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19906','chapter_id' => '8','chapter_detail_id' => '1198','translator_id' => '4','verse_number' => '38','translate_name' => '«قل للذين كفروا» كأبي سفيان وأصحابه «إن ينتهوا» عن الكفر وقتال النبي صلى الله عليه وسلم «يُغفر لهم ما قد سلف» من أعمالهم «وإن يعودوا» إلى قتال «فقد مضت سنَّةُ الأولين» أي سنتنا فيهم بالإهلاك فكذا نفعل بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19907','chapter_id' => '8','chapter_detail_id' => '1199','translator_id' => '4','verse_number' => '39','translate_name' => '«وقاتلوهم حتى لا تكون» توجد «فتنةٌ» شرك «ويكون الدِّين كله لله» وحده ولا يعبد غيره «فإن انتهوا» عن الكفر «فإن الله بما يعملون بصير» فيجازيهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19908','chapter_id' => '8','chapter_detail_id' => '1200','translator_id' => '4','verse_number' => '40','translate_name' => '«وإن تولَّوا» عن الإيمان «فاعلموا أن الله مولاكم» ناصركم ومتولي أموركم «نعم المولى» هو «ونعم النصير» أي الناصر لكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19909','chapter_id' => '8','chapter_detail_id' => '1201','translator_id' => '4','verse_number' => '41','translate_name' => '«واعلموا أنما غنمتم» أخذتم من الكفار قهرا «من شيء فأن لله خمسه» يأمر فيه بما يشاء «وللرسول ولذي القربى» قرابة النبي صلى الله عليه وسلم من بني هاشم وبني المطلب «واليتامى» أطفال المسلمين الذين هلك آباؤهم وهم فقراء «والمساكين» ذوي الحاجة من المسلمين «وابن السبيل» المنقطع في سفره من المسلمين، أي يستحقه النبي صلى الله عليه وسلم والأصناف الأربعة على ما كان يقسمه من أن لكلٍ خُمسَ الخمس، والأخماس الأربعة الباقية للغانمين «إن كنتم آمنتم بالله» فاعملوا ذلك «وما» عطف على بالله «أنزلنا على عبدنا» محمد صلى الله عليه وسلم من الملائكة والآيات «يوم الفرقان» أي يوم بدر الفارق بين الحق والباطل «يوم التقى الجمعان» المسلمون والكفار «والله على كل شيء قدير» ومنه نصركم مع قلتكم وكثرتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19910','chapter_id' => '8','chapter_detail_id' => '1202','translator_id' => '4','verse_number' => '42','translate_name' => '«إذ» بدل من يوم «أنتم» كائنون «بالعُدوة الدنيا» القربى من المدينة وهى بضم العين وكسرها جانب الوادي «وهم بالعدوة القصوى» البعدى منها «والركب» العير كائنون بمكان «أسفل منكم» مما يلي البحر «ولو تواعدتم» أنتم والنفير للقتال «لاختلفتم في الميعاد ولكن» جمعكم بغير ميعاد «ليقضى الله أمرا كان مفعولا» في علمه وهو نصر الإسلام وَمَحْقُ الكفر فعل ذلك «ليهلك» يكفر «من هلك عن بينةٍ» أي بعد حجة ظاهرة قامت عليه وهي نصر المؤمنين مع قلتهم على الجيش الكثير «ويحيى» يؤمن «من حيَّ عن بينة وإن الله لسميع عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19911','chapter_id' => '8','chapter_detail_id' => '1203','translator_id' => '4','verse_number' => '43','translate_name' => 'اذكر «إذ يريكهُم الله في منامك» أي نومك «قليلا» فأخبرت به أصحابك فسروا «ولو أراكهم كثيرا لفشلتم» جبنتم «ولتنازعتم» اختلفتم «في الأمر» أمر القتال «ولكن الله سلَّمـ» ـكم من الفشل والتنازع «إنه عليم بذات الصدور» بما في القلوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19912','chapter_id' => '8','chapter_detail_id' => '1204','translator_id' => '4','verse_number' => '44','translate_name' => '«وإذ يريكموهم» أيها المؤمنون «إذ التقيتم في أعينكم قليلا» نحو سبعين أو مائة وهم ألف لتقدموا عليهم «ويقللكم في أعينهم» ليقدموا ولا يرجعوا عن قتالكم وهذا قبل التحام الحرب، فلما التحم أراهم إياهم مثليهم كما في آل عمران «ليقضيَ الله أمرا كان مفعولا وإلى الله ترجع» تصير «الأمور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19913','chapter_id' => '8','chapter_detail_id' => '1205','translator_id' => '4','verse_number' => '45','translate_name' => '«يا أيها الذين آمنوا إذا لقيتم فئة» جماعة كافرة «فاثبتوا» لقتالهم ولا تنهزموا «واذكروا الله كثيرا» ادعوه بالنصر «لعلكم تفلحون» تفوزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19914','chapter_id' => '8','chapter_detail_id' => '1206','translator_id' => '4','verse_number' => '46','translate_name' => '«وأطيعوا الله ورسوله ولا تنازعوا» تختلفوا فيما بينكم «فتفشلوا» تجبنوا «وتذهب ريحكم» قوتكم ودولتكم «واصبروا إن الله مع الصابرين» بالنصر والعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19915','chapter_id' => '8','chapter_detail_id' => '1207','translator_id' => '4','verse_number' => '47','translate_name' => '«ولا تكونوا كالذين خرجوا من ديارهم» ليمنعوا غيرهم ولم يرجعوا بعد نجاتها «بطرا ورئاء الناس» حيث قالوا لا نرجع حتى نشرب الخمر وننحر الجزور وتضرب علينا القيان ببدر فيتسامع بذلك الناس «ويصدون» الناس «عن سبيل الله والله بما يعملون» بالياء والتاء «محيط» علما فيجازيهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19916','chapter_id' => '8','chapter_detail_id' => '1208','translator_id' => '4','verse_number' => '48','translate_name' => '«و» اذكر «إذ زيَّن لهم الشيطان» إبليس «أعمالهم» بأن شجعهم على لقاء المسلمين لما خافوا الخروج من أعدائهم بني بكر «وقال» لهم «لا غالب لكم اليوم من الناس وإني جار لكم» من كنانة وكان أتاهم في صورة سراقة بن مالك سيد تلك الناحية «فلما تراءت» التقت «الفئتان» المسلمة والكافرة ورأى الملائكة يده في يد الحارث بن هشام «نكص» رجع «على عقبيه» هاربا «وقال» لما قالوا له أتخذلنا على هذه الحال: «إني بريء منكم» من جواركم «إني أرى ما لا ترون» من الملائكة «إني أخاف الله» أن يهلكني «والله شديد العقاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19917','chapter_id' => '8','chapter_detail_id' => '1209','translator_id' => '4','verse_number' => '49','translate_name' => '«إذ يقول المنافقون والذين في قلوبهم مرض» ضعف اعتقاد «غرَّ هؤلاء» أي المسلمين «دينُهم» إذ خرجوا مع قتلهم يقاتلون الجمع الكثير توهما أنهم ينصرون بسببه قال تعال في جوابهم: «ومن يتوكل على الله» يثق به يغلب «فإن الله عزيز» غالب على أمره «حكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19918','chapter_id' => '8','chapter_detail_id' => '1210','translator_id' => '4','verse_number' => '50','translate_name' => '«ولو تَرى» يا محمد «إذ يتوفى» بالياء والتاء «الذين كفروا الملائكة يضربون» حال «وجوههم وأدبارهم» بمقامعَ من حديد «و» يقولون لهم «ذوقوا عذاب الحريق» أي النار وجواب لو: لرأيت أمرا عظيما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19919','chapter_id' => '8','chapter_detail_id' => '1211','translator_id' => '4','verse_number' => '51','translate_name' => '«ذلك» التعذيب «بما قدَّمت أيديكم» عبَّر بها دون غيرها لأن أكثر الأفعال تزاول بها «وأن الله ليس بظلام» أي بذي ظلم «للعبيد» فيعذِّبهم بغير ذنب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19920','chapter_id' => '8','chapter_detail_id' => '1212','translator_id' => '4','verse_number' => '52','translate_name' => 'دأبُ هؤلاء «كدأب» كعادة «آل فرعون والذين من قبلهم كفروا بآيات الله فأخذهم الله» بالعقاب «بذنوبهم» جملة كفروا وما بعدها مفسِّرة لما قبلها «إن الله قويٌ» على ما يريده «شديد العقاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19921','chapter_id' => '8','chapter_detail_id' => '1213','translator_id' => '4','verse_number' => '53','translate_name' => '«ذلك» أي تعذيب الكفرة «بأن» أي بسبب أن «الله لم يكُ مغيِّرا نعمة أنعمها على قوم» مبدلا لها بالنقمة «حتَّى يغيِّروا ما بأنفسهم» يبدلوا نعمتهم كفرا كتبديل كفار مكة إطعامهم من جوع وأمنُهم من خوف وبعْث النبي صلى الله عليه وسلم إليهم بالكفر والصد عن سبيل الله وقتال المؤمنين «وأن الله سميع عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19922','chapter_id' => '8','chapter_detail_id' => '1214','translator_id' => '4','verse_number' => '54','translate_name' => '«كدأب آل فرعون والذين من قبلهم كذَّبوا بآيات ربهم فأهلكناهم بذنوبهم وأغرقنا آل فرعون» قومه معه «وكلّ» من الأمم المكذبة «كانوا ظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19923','chapter_id' => '8','chapter_detail_id' => '1215','translator_id' => '4','verse_number' => '55','translate_name' => 'ونزل في قريظة: «إن شرَّ الدواب عند الله الذين كفروا فهم لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19924','chapter_id' => '8','chapter_detail_id' => '1216','translator_id' => '4','verse_number' => '56','translate_name' => '«الذين عاهدت منهم» ألا يعينوا المشركين «ثم ينقضون عهدهم في كل مرة» عاهدوا فيها «وهم لا يتقون» الله في غدرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19925','chapter_id' => '8','chapter_detail_id' => '1217','translator_id' => '4','verse_number' => '57','translate_name' => '«فإما» فيه إدغام نون إن الشرطية في ما المزيدة «تثقفنَّهم» تجدنهم «في الحرب فشرِّد» فرق «بهم من خلفهم» من المحاربين بالتنكيل بهم والعقوبة «لعلَّهم» أي الذين خلفهم «يذَّكرون» يتعظون بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19926','chapter_id' => '8','chapter_detail_id' => '1218','translator_id' => '4','verse_number' => '58','translate_name' => '«وإما تخافن من قوم» عاهدوك «خيانة» في عهد بأمارةٍ تلوح لك «فانبذ» اطرح عهدهم «إليهم على سواء» حال أي مستويا أنت وهم في العلم بنقض العهد بأن تعلمهم به لئلا يتهموك بالغدر «إن الله لا يحب الخائنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19927','chapter_id' => '8','chapter_detail_id' => '1219','translator_id' => '4','verse_number' => '59','translate_name' => 'ونزل فيمن أفلت يوم بدر «ولا تحسبنَّ» يا محمد «الذين كفروا سبقوا» الله أي فأتوه «إنهم لا يعجزون» لا يفوتونه وفي قراءة بالتحتانية فالمفعول الأول محذوف أي أنفسهم وفي أخرى بفتح إن على تقدير اللام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19928','chapter_id' => '8','chapter_detail_id' => '1220','translator_id' => '4','verse_number' => '60','translate_name' => '(وأعدوا لهم) لقتالهم (ما استطعتم من قوة) قال صلى الله عليه وسلم "" هي الرمي "" رواه مسلم (ومن رباط الخيل) مصدر بمعنى حبسها في سبيل الله (ترهبون) تخوفون (به عدو الله وعدوكم) أي كفار مكة (وآخرين من دونهم) أي غيرهم وهم المنافقون أو اليهود (لا تعلمونهم الله يعلمهم وما تنفقوا من شيء في سبيل الله يوف إليكم) جزاؤه (وأنتم لا تظلمون) تنقصون منه شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19929','chapter_id' => '8','chapter_detail_id' => '1221','translator_id' => '4','verse_number' => '61','translate_name' => '«وإن جنحوا» مالوا «للسَّلْم» بكسر السين وفتحها: الصلح «فاجنح لها» وعاهدهم، وقال ابن عباس: هذا منسوخ بآية السيف وقال مجاهد: مخصوص بأهل الكتاب إذ نزلت في بني قريظة «وتوكل على الله» ثق به «إنه هو السميع» للقول «العليم» بالفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19930','chapter_id' => '8','chapter_detail_id' => '1222','translator_id' => '4','verse_number' => '62','translate_name' => '«وإن يريدوا أن يخدعوك» بالصلح ليستعدوا لك «فإن حسبك» كافيك «اللهُ هو الذي أيَّدك بنصره وبالمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19931','chapter_id' => '8','chapter_detail_id' => '1223','translator_id' => '4','verse_number' => '63','translate_name' => '«وألَّف» جمع «بين قلوبهم» بعد الإحن «لو أنفقت ما في الأرض جميعا ما ألَّفت بين قلوبهم ولكنَّ الله ألف بينهم» بقدرته «إنه عزيز» غالب على أمره «حكيم» لا يخرج شيء عن حكمته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19932','chapter_id' => '8','chapter_detail_id' => '1224','translator_id' => '4','verse_number' => '64','translate_name' => '«يا أيها النبي حسبُك اللهُ و» حسبك «من اتبعك من المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19933','chapter_id' => '8','chapter_detail_id' => '1225','translator_id' => '4','verse_number' => '65','translate_name' => '«يا أيها النبي حرِّض» حث «المؤمنين على القتال» للكفار «إن يكن منكم عشرون صابرون يغلبوا مائتين» منهم «وإنْ يكن» بالياء والتاء «منكم مائة يغلبوا ألفا من الذين كفروا بأنهم» أي بسبب أنهم «قوم لا يفقهون» وهذا خبر بمعنى الأمر أي ليقاتل العشرون منكم المائتين والمائة الألف ويثبتوا لهم ثم نُسخ لما كثروا بقوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19934','chapter_id' => '8','chapter_detail_id' => '1226','translator_id' => '4','verse_number' => '66','translate_name' => '«الآن خفف الله عنكم وعلم أن فيكم ضُعفا» بضم الضاد وفتحها عن قتال عشرة أمثالكم «فإن يكن» بالياء والتاء «منكم مائة صابرة يغلبوا مائتين» منهم «وإن يكن منكم ألف يغلبوا ألفين بإذن الله» بإرادته وهو خبر بمعنى الأمر أي لتقاتلوا مثليكم وتثبتوا لهم «والله مع الصابرين» بعونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19935','chapter_id' => '8','chapter_detail_id' => '1227','translator_id' => '4','verse_number' => '67','translate_name' => 'ونزل لما أخذوا الفداء من أسرى بدر «ما كان لنبي أن تكون» بالتاء والياء «له أسرى حتى يثخن في الأرض» يبالغ في قتل الكفار «تريدون» أيها المؤمنون «عَرَض الدنيا» حطامها بأخذ الفداء «والله يريد» لكم «الآخرة» أي ثوابها بقتلهم «والله عزيز حكيم» وهذا منسوخ بقوله (فإما منّا بعد وإما فداءً).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19936','chapter_id' => '8','chapter_detail_id' => '1228','translator_id' => '4','verse_number' => '68','translate_name' => '«لولا كتاب من الله سبق» بإحلال الغنائم والأسرى لكم «لمسَّكم فيما أخذتم» من الفداء «عذاب عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19937','chapter_id' => '8','chapter_detail_id' => '1229','translator_id' => '4','verse_number' => '69','translate_name' => '«فكلوا مما غنمتم حلالا طيبا واتقوا الله إن الله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19938','chapter_id' => '8','chapter_detail_id' => '1230','translator_id' => '4','verse_number' => '70','translate_name' => 'يا أيها النبي قل لمن في أيديكم من الأسارى» وفي قراءة الأسرى «إن يعلم الله في قلوبكم خيرا» إيمانا وإخلاصا «يؤتكم خيرا مما أخذ منكم» من الفداء بأن يضعِّفه لكم في الدنيا ويثيبكم في الآخرة «ويغفر لكم» ذنوبكم «والله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19939','chapter_id' => '8','chapter_detail_id' => '1231','translator_id' => '4','verse_number' => '71','translate_name' => '«وإن يريدوا» أي الأسرى «خيانتك» بما أظهروا من القول «فقد خانوا الله من قبل» قبل بدر بالكفر «فأمكن منهم» ببدر قتلا وأسرا فليتوقعوا مثل ذلك إن عادوا «والله عليم» بخلقه «حكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19940','chapter_id' => '8','chapter_detail_id' => '1232','translator_id' => '4','verse_number' => '72','translate_name' => '«إن الذين آمنوا وهاجروا وجاهدوا بأموالهم وأنفسهم في سبيل الله» وهم المهاجرون «والذين آوَوْا» النبي صلى الله عليه وسلم «ونصروا» وهم الأنصار «أولئك بعضهم أولياء بعض» في النصرة والإرث «والذين آمنوا ولم يُهاجروا مالكم من ولايَتِهِمْ» بكسر الواو وفتحها «من شيء» فلا إرث بينكم وبينهم ولا نصيب لهم في الغنيمة «حتى يهاجروا» وهذا منسوخ بآخر السورة «وإن استنصروكم في الدين فعليكم النصر» لهم على الكفار «إلا على قوم بينكم وبينهم ميثاق» عهد فلا تنصروهم عليهم وتنقضوا عهدهم «والله بما تعملون بصير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19941','chapter_id' => '8','chapter_detail_id' => '1233','translator_id' => '4','verse_number' => '73','translate_name' => '«والذين كفروا بعضهم أولياء بعض» في النصرة والإرث فلا إرث بينكم وبينهم «إلا تفعلوه» أي تولي المسلمين وقمع الكفار «تكن فتنة في الأرض وفساد كبير» بقوة الكفر وضعف الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19942','chapter_id' => '8','chapter_detail_id' => '1234','translator_id' => '4','verse_number' => '74','translate_name' => '«والذين آمنوا وهاجروا وجاهدوا في سبيل الله والذين آوَوْا ونصروا أولئك هم المؤمنون حقا لهم مغفرة ورزق كريم» في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19943','chapter_id' => '8','chapter_detail_id' => '1235','translator_id' => '4','verse_number' => '75','translate_name' => '«والذين آمنوا من بعد» أي بعد السابقين إلى الإيمان والهجرة «وهاجروا وجاهدوا معكم فأولئك منكم» أيها المهاجرون والأنصار «وأولو الأرحام» ذوو القرابات «بعضهم أوْلى ببعض» في الإرث من التوارث في الإيمان والهجرة المذكورة في الآية السابقة «في كتاب الله» اللوح المحفوظ «إن الله بكل شيء عليم» ومنه حكمة الميراث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19944','chapter_id' => '9','chapter_detail_id' => '1236','translator_id' => '4','verse_number' => '1','translate_name' => 'هذه «براءة من الله ورسوله» وأصله «إلى الذين عاهدتم من المشركين» عهدا مطلقا أو دون أربعة أشهر أو فوقها ونص العهد بما يذكر في قوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19945','chapter_id' => '9','chapter_detail_id' => '1237','translator_id' => '4','verse_number' => '2','translate_name' => '«فسيحوا» سيروا آمنين أيها المشركون «في الأرض أربعة أشهر» أولها شوال بدليل ما سيأتي ولا أمان لكم بعدها «واعلموا أنكم غيرُ معجزي الله» أي فائتي عذابه «وأنَّ الله مخزي الكافرين» مذلُّهم في الدنيا بالقتل والأخرى بالنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19946','chapter_id' => '9','chapter_detail_id' => '1238','translator_id' => '4','verse_number' => '3','translate_name' => '(وأذان) إعلام (من الله ورسوله إلى الناس يوم الحج الأكبر) يوم النحر (أن) أي بأن (الله برئ من المشركين) وعهودهم (ورسوله) برئ أيضا "" وقد بعث النبي صلى الله عليه وسلم عليا من السنة وهي سنة تسع فأذن يوم النحر بمنى بهذه الآيات وأن لا يحج بعد العام مشرك ولا يطوف بالبيت عريان "" رواه البخاري (فإن تبتم) من الكفر (فهو خير لكم وإن توليتم) عن الإيمان (فاعلموا أنكم غير معجزي الله وبشر) أخبر (الذين كفروا بعذاب أليم) مؤلم وهو القتل والأسر في الدنيا والنار في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19947','chapter_id' => '9','chapter_detail_id' => '1239','translator_id' => '4','verse_number' => '4','translate_name' => '«إلا الذين عاهدتم من المشركين ثم لم ينقصوكم شيئا» من شروط العهد «ولم يظاهروا» يعاونوا «عليكم أحدا» من الكفار «فأتموا إليهم عهدهم إلى» انقضاء «مدتهم» التي عاهدتم عليها «إن الله يحب المتقين» بإتمام العهود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19948','chapter_id' => '9','chapter_detail_id' => '1240','translator_id' => '4','verse_number' => '5','translate_name' => '«فإذا انسلخ» خرج «الأشهر الحرم» وهي آخر مدة التأجيل «فاقتلوا المشركين حيث وجدتموهم» في حل أو حرم «وخذوهم» بالأسر «واحصروهم» في القلاع والحصون حتى يضطروا إلى القتل أو الإسلام «واقعدوا لهم كلَّ مرصد» طريق يسلكونه ونصب كل على نزع الخافض «فإن تابوا» من الكفر «وأقاموا الصلاة وآتوا الزكاة فخلُّوا سبيلهم» ولا تتعرضوا لهم «إن الله غفور رحيم» لمن تاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19949','chapter_id' => '9','chapter_detail_id' => '1241','translator_id' => '4','verse_number' => '6','translate_name' => '«وإن أحد من المشركين» مرفوع بفعل يفسره «استجارك» استأمنك من القتل «فأجره» أمِّنه «حتى يسمع كلام الله» القرآن «ثم أبلغه مأمنه» وهو دار قومه إن لم يؤمن لينظر في أمره «ذلك» المذكور «بأنهم قوم لا يعلمون» دين الله فلا بد لهم من سماع القرآن ليعلموا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19950','chapter_id' => '9','chapter_detail_id' => '1242','translator_id' => '4','verse_number' => '7','translate_name' => '«كيف» أي لا «يكون للمشركين عهد عند الله وعند رسوله» وهم كافرون بالله ورسوله غادرون «إلا الذين عاهدتم عند المسجد الحرام» يوم الحديبية وهم قريش المستثنون من قبل «فما استقاموا لكم» أقاموا على العهد ولم ينقضوه «فاستقيموا لهم» على الوفاء به وما شرطية «إن الله يحب المتقين» وقد استقام النبي صلى الله عليه وسلم على عهدهم حتى نقضوا بإعانة بني بكر على خزاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19951','chapter_id' => '9','chapter_detail_id' => '1243','translator_id' => '4','verse_number' => '8','translate_name' => '«كيف» يكون لهم عهد «وإن يظهروا عليكم» يظفروا بكم «لا يرقبوا» يراعوا «فيكم إلاّ» قرابة «ولا ذمة» عهدا بل يؤذوكم ما استطاعوا وجملة الشرط حال «يرضونكم بأفواههم» بكلامهم الحسن «وتأبى قلوبهم» الوفاء به «وأكثرهم فاسقون» ناقضون للعهد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19952','chapter_id' => '9','chapter_detail_id' => '1244','translator_id' => '4','verse_number' => '9','translate_name' => '«اشترَوا بآيات الله» القرآن «ثمنا قليلا» من الدنيا أي تركوا اتباعها للشهوات والهوى «فصدُّوا عن سبيله» دينه «إنهم ساء» بئس «ما كانوا يعملونـ» ـه عملهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19953','chapter_id' => '9','chapter_detail_id' => '1245','translator_id' => '4','verse_number' => '10','translate_name' => '«لا يرقُبون في مؤمن إلاّ ولا ذمَّة وأولئك هم المعتدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19954','chapter_id' => '9','chapter_detail_id' => '1246','translator_id' => '4','verse_number' => '11','translate_name' => '«فإن تابوا وأقاموا الصلاة وآتوا الزكاة فإخوانكم» أي فهم إخوانكم «في الدين ونفصِّل» نبين «الآيات لقوم يعلمون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19955','chapter_id' => '9','chapter_detail_id' => '1247','translator_id' => '4','verse_number' => '12','translate_name' => '«وإن نكثوا» نقضوا «أيمانهم» مواثيقهم «من بعد عهدهم وطعنوا في دينكم» عابوه «فقاتلوا أئمة الكفر» رؤساءه، فيه وضع الظاهر موضع المضمر «إنهم لا أيمان» عهود «لهم» وفي قراءة بالكسر «لعلهم ينتهون» عن الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19956','chapter_id' => '9','chapter_detail_id' => '1248','translator_id' => '4','verse_number' => '13','translate_name' => '«ألا» للتحضيض «تقاتلون قوما نكثوا» نقضوا «أيمانهم» عهودهم «وهمُّوا بإخراج الرسول» من مكة لما تشاوروا فيه بدار الندوة «وهم بدءوكم» بالقتال «أوَّل مرَّة» حيث قاتلوا خزاعة حلفاءكم مع بني بكر فما يمنعكم أن تقاتلوهم «أتخشونهم» أتخافونهم «فاللهُ أحق أن تخشوه» في ترك قتالهم «إن كنتم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19957','chapter_id' => '9','chapter_detail_id' => '1249','translator_id' => '4','verse_number' => '14','translate_name' => '«قاتلوهم يعذبهم الله» يقتلهم «بأيديكم ويخزهم» يذلهم بالأسر والقهر «وينصركم عليهم ويشف صدور قوم مؤمنين» بما فُعل بهم هم بنو خزاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19958','chapter_id' => '9','chapter_detail_id' => '1250','translator_id' => '4','verse_number' => '15','translate_name' => '«ويذُهب غيظ قلوبهم» كربها «ويتوب الله على من يشاء» بالرجوع إلى الإسلام كأبي سفيان «والله عليم حكيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19959','chapter_id' => '9','chapter_detail_id' => '1251','translator_id' => '4','verse_number' => '16','translate_name' => '«أم» بمعنى همزة الإنكار «حسبتم أن تُتركوا ولما» لم «يعلم الله» علم ظهور «الذين جاهدوا منكم» بإخلاص «ولم يتخذوا من دون الله ولا رسوله ولا المؤمنين وليجة» بطانة وأولياء، المعنى ولم يظهر المخلصون وهم الموصوفون بما ذكر من غيرهم «والله خبير بما تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19960','chapter_id' => '9','chapter_detail_id' => '1252','translator_id' => '4','verse_number' => '17','translate_name' => '«ما كان للمشركين أن يعمُروا مَسْجِدَ الله» بالإفراد والجمع بدخوله والقعود فيه «شاهدين على أنفسهم بالكفر أولئك حبطت» بطلت «أعمالهم» لعدم شرطها «وفي النار هم خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19961','chapter_id' => '9','chapter_detail_id' => '1253','translator_id' => '4','verse_number' => '18','translate_name' => '«إنما يعمُر مساجد الله من آمن بالله واليوم الآخر وأقام الصلاة وآتى الزكاة ولم يخش» أحدا «إلا الله فعسى أولئك أن يكونوا من المهتدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19962','chapter_id' => '9','chapter_detail_id' => '1254','translator_id' => '4','verse_number' => '19','translate_name' => '«أجعلتم سقاية الحاج وعمارة المسجد الحرام» أي أهل ذلك «كمن آمن بالله واليوم الآخر وجاهد في سبيل الله لا يستوون عند الله» في الفضل «والله لا يهدي القوم الظالمين» الكافرين، نزلت ردا على من قال ذلك وهو العباس أو غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19963','chapter_id' => '9','chapter_detail_id' => '1255','translator_id' => '4','verse_number' => '20','translate_name' => '«الذين آمنوا وهاجروا وجاهدوا في سبيل الله بأموالهم وأنفسهم أعظم درجة» رتبة «عند الله» من غيرهم «وأولئك هم الفائزون» الظافرون بالخير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19964','chapter_id' => '9','chapter_detail_id' => '1256','translator_id' => '4','verse_number' => '21','translate_name' => '«يبشرهم ربهم برحمة منه ورضوان وجنات لهم فيها نعيم مقيم» دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19965','chapter_id' => '9','chapter_detail_id' => '1257','translator_id' => '4','verse_number' => '22','translate_name' => '«خالدين» حال مقدرة «فيها أبدا إن الله عنده أجر عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19966','chapter_id' => '9','chapter_detail_id' => '1258','translator_id' => '4','verse_number' => '23','translate_name' => 'ونزل فيمن ترك الهجرة لأجل أهله وتجارته: «يا أيها الذين آمنوا لا تتخذوا آباءكم وإخوانكم أولياء إن استحبوا» اختاروا «الكفر على الإيمان ومن يتولهم منكم فأولئك هم الظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19967','chapter_id' => '9','chapter_detail_id' => '1259','translator_id' => '4','verse_number' => '24','translate_name' => '«قل إن كان آباؤكم وأبناؤكم وإخوانكم وأزواجكم وعشيرتكم» أقرباؤكم وفي قراءة عشيرتكم «وأموال اقترفتموها» اكتسبتموها «وتجارة تخشون كسادها» عدم نفادها «ومساكن ترضونها أحبَّ إليكم من الله ورسوله وجهادِ في سبيله» فقعدتم لأجله عن الهجرة والجهاد «فتربَّصوا» انتظروا «حتى يأتي الله بأمره» تهديد لهم «والله لا يهدي القوم الفاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19968','chapter_id' => '9','chapter_detail_id' => '1260','translator_id' => '4','verse_number' => '25','translate_name' => '«لقد نصركم الله في مواطن» للحرب «كثيرة» كبدر وقريظة والنضير «و» اذكر «يوم حنين» واد بين مكة والطائف أي يوم قتالكم فيه هوازن وذلك في شوّال سنة ثمان «إذ» بدل من يوم «أعجبتكم كثرتكم» فقلتم لن نُغلب اليوم من قلة وكانوا اثني عشر ألفا والكفار أربعة آلاف «فلم تغن عنكم شيئا وضاقت عليكم الأرض بما رحبت» ما مصدرية أي مع رحبها أي سعتها فلم تجدوا مكانا تطمئنون إليه لشدة ما لحقكم من الخوف «ثم وليتم مدبرين» منهزمين وثبت النبي صلى الله عليه وسلم على بغلته البيضاء وليس معه غير العباس وأبو سفيان آخذ بركابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19969','chapter_id' => '9','chapter_detail_id' => '1261','translator_id' => '4','verse_number' => '26','translate_name' => '«ثم أنزل الله سكينته» طمأنينته «على رسوله وعلى المؤمنين» فردوا إلى النبي صلى الله عليه وسلم لما ناداهم العباس بإذنه وقاتلوا «وأنزل جنودا لم تروها» ملائكة «وعذَّب الذين كفروا» بالقتل والأسر «وذلك جزاء الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19970','chapter_id' => '9','chapter_detail_id' => '1262','translator_id' => '4','verse_number' => '27','translate_name' => '«ثم يتوب الله من بعد ذلك على من يشاء» منهم بالإسلام «والله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19971','chapter_id' => '9','chapter_detail_id' => '1263','translator_id' => '4','verse_number' => '28','translate_name' => '«يا أيها الذين آمنوا إنما المشركون نجس» قذر لخبث باطنهم «فلا يقربوا المسجد الحرام» أي لا يدخلوا الحرم «بعد عامهم هذا» عام تسع من الهجرة «وإن خفتم عَيْلةٌ» فقرا بانقطاع تجارتهم عنكم «فسوف يغنيكم الله من فضله إن شاء» وقد أغناهم بالفتوح والجزية «إن الله عليم حكيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19972','chapter_id' => '9','chapter_detail_id' => '1264','translator_id' => '4','verse_number' => '29','translate_name' => '«قاتلوا الذين لا يؤمنون بالله ولا باليوم الآخر» وإلا لآمنوا بالنبي صلى الله عليه وسلم «ولا يحرِّمون ما حرَّم الله ورسوله» كالخمر «ولا يدينون دين الحق» الثابت الناسخ لغيره من الأديان وهو دين الإسلام','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19973','chapter_id' => '9','chapter_detail_id' => '1265','translator_id' => '4','verse_number' => '30','translate_name' => '«وقالت اليهود عُزَيْرٌ ابن الله وقالت النصارى المسيح» عيسى «ابن الله ذلك قولهم بأفواههم» لا مستند لهم عليه بل «يضاهئون» يشابهون به «قول الذين كفروا من قبل» من آبائهم تقليدا لهم «قاتلهم» لعنهم «الله أنَّى» كيف «يُؤفكون» يُصرفون عن الحق مع قيام الدليل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19974','chapter_id' => '9','chapter_detail_id' => '1266','translator_id' => '4','verse_number' => '31','translate_name' => '«اتَّخذوا أحبارهم» علماء اليهود «ورهبانهم» عبَّاد النصارى «أربابا من دون الله» حيث اتبعوهم في تحليل ما حرم الله وتحريم ما أحل «والمسيح بن مريم وما أمروا» في التوراة والإنجيل «إلا ليعبدوا» أي بأن يعبدوا «إلها واحدا لا إله إلا هو سبحانه» تنزيها له «عما يشركون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19975','chapter_id' => '9','chapter_detail_id' => '1267','translator_id' => '4','verse_number' => '32','translate_name' => '«يريدون أن يطفئوا نور الله» شرعه وبراهينه «بأفواههم» بأقوالهم فيه «ويأبى الله إلا أن يتم» يظهر «نوره ولو كره الكافرون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19976','chapter_id' => '9','chapter_detail_id' => '1268','translator_id' => '4','verse_number' => '33','translate_name' => '«هو الذي أرسل رسوله» محمدا صلى الله عليه وسلم «بالهدى ودين الحق ليُظهره» يعليه «على الدين كله» جميع الأديان المخالفة له «ولو كره المشركون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19977','chapter_id' => '9','chapter_detail_id' => '1269','translator_id' => '4','verse_number' => '34','translate_name' => '«يا أيها الذين آمنوا إن كثيرا من الأحبار والرهبان ليأكلون» يأخذون «أموال الناس بالباطل» كالرشا في الحكم «ويصدون» الناس «عن سبيل الله» دينه «والذين» مبتدأ «يكنزون الذهب والفضة ولا ينفقونها» أي الكنوز «في سبيل الله» أي لا يأدون منها حقه من الزكاة والخير «فبشرهم» أخبرهم «بعذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19978','chapter_id' => '9','chapter_detail_id' => '1270','translator_id' => '4','verse_number' => '35','translate_name' => '«يوم يحمى عليها في نار جهنم فتكوى» تحرق «بها جباههم وجنوبهم وظهورهم» وتوسع جلودهم حتى توضع عليها كلها ويقال لهم «هذا ما كنزتم لأنفسكم فذوقوا ما كنتم تكنزون» أي جزاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19979','chapter_id' => '9','chapter_detail_id' => '1271','translator_id' => '4','verse_number' => '36','translate_name' => '«إن عدة الشهور» المعتد بها للسنة «عند الله اثنا عشر شهرا في كتاب الله» اللوح المحفوظ «يوم خلق السماوات والأرض منها» أي الشهور «أربعة حرم» محرَّمة ذو القعدة وذو الحجة والمحرم ورجب «ذلك» أي تحريمها «الدين القيم» المستقيم «فلا تظلموا فيهن» أي الأشهر الحرم «أنفسكم» بالمعاصي فإنها فيها أعظم وزرا وقيل في الأشهر كلها «وقاتلوا المشركين كافة» جميعا في كل الشهور «كما يقاتلونكم كافة واعلموا أن الله مع المتقين» بالعون والنصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19980','chapter_id' => '9','chapter_detail_id' => '1272','translator_id' => '4','verse_number' => '37','translate_name' => '«إنما النسيء» أي التأخير لحرمة شهر إلى آخر كما كانت الجاهلية تفعله من تأخير حرمة المحرم إذا هلَّ وهم في القتال إلى صفر «زيادة في الكفر» لكفرهم بحكم الله فيه «يُضَلٌ» بضم الياء وفتحها «به الذين كفروا يحلونه» أي النسيء «عاما ويحرمونه عاما ليواطئوا» يوافقوا بتحليل شهر وتحريم آخر بدله «عدة» عدد «ما حرم الله» من الأشهر فلا يزيدوا على تحريم أربعة ولا ينقصوا ولا ينظروا إلى أعيانها «فيحلوا ما حرم الله زُيِّن لهم سوء أعمالهم» فظنوه حسنا «والله لا يهدي القوم الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19981','chapter_id' => '9','chapter_detail_id' => '1273','translator_id' => '4','verse_number' => '38','translate_name' => 'ونزل لما دعا النبي صلى الله عليه وسلم الناس إلى غزوة تبوك وكانوا في عسرة وشدة حر فشق عليهم «يا أيها الذين آمنوا مالكم إذا قيل لكم انفروا في سبيل الله اثاقلتم» بإدغام التاء في الأصل في المثلثة واجتلاب همزة الوصل أي تباطأتم وملتم عن الجهاد «إلى الأرض» والقعود فيها والاستفهام للتوبيخ «أرضيتم بالحياة الدنيا» ولذاتها «من الآخرة» أي بدل نعيمها «فما متاع الحياة الدنيا في» جنب متاع «الآخرة إلا قليل» حقير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19982','chapter_id' => '9','chapter_detail_id' => '1274','translator_id' => '4','verse_number' => '39','translate_name' => '«إلاّ» بإدغام لا في نون إن الشرطية في الموضعين «تنفروا» تخرجوا مع النبي صلى الله عليه وسلم للجهاد «يعذبكم عذابا أليما» مؤلماً «ويستبدل قوما غيركم» أي يأت بهم بدلكم «ولا تضروه» أي الله أو النبيَّ صلى الله عليه وسلم «شيئا» بترك نصره فإن الله ناصر دينه «والله على كل شيء قدير» ومنه نصر دينه ونبيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19983','chapter_id' => '9','chapter_detail_id' => '1275','translator_id' => '4','verse_number' => '40','translate_name' => '«إلاّ تنصروه» أي النبيَّ صلى الله عليه وسلم «فقد نصره الله إذ» حين «أخرجه الذين كفروا» من مكة أي الجؤوه إلى الخروج لما أرادوا قتله أو حبسه أو نفيه بدار الندوة «ثاني اثنين» حال أي أحد اثنين والآخر أبو بكر - المعنى نصره الله في مثل تلك الحالة فلا يخذله في غيرها - «إذ» بدل من إذ قبله «هما في الغار» نقب في جبل ثور «إذ» بدل ثان «يقول لصاحبه» أبي بكر وقد قال له لما رأى أقدام المشركين لو نظر أحدهم تحت قدميه لأبصرنا «لا تحزن إن الله معنا» بنصره «فأنزل الله سكينته» طمأنينته «عليه» قيل على النبي * وقيل على أبي بكر «وأيَّده» أي النبي صلى الله عليه وسلم «بجنود لم تروها» ملائكة في الغار ومواطن قتاله «وجعل كلمة الذين كفروا» أي دعوة الشرك «السفلى» المغلوبة «وكلمة الله» أي كلمة الشهادة «هي العليا» الظاهرة الغالبة «والله عزيز» في ملكه «حكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19984','chapter_id' => '9','chapter_detail_id' => '1276','translator_id' => '4','verse_number' => '41','translate_name' => '«انفِروا خفافا وثقالا» نشاطا وغير نشاط، وقيل أقوياء وضعفاء، أو أغنياء وفقراء، وهي منسوخة بآية (ليس على الضعفاء) «وجاهدوا بأموالكم وأنفسكم في سبيل الله ذلكم خير لكم إن كنتم تعلمون» أنه خير لكم فلا تثاقلوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19985','chapter_id' => '9','chapter_detail_id' => '1277','translator_id' => '4','verse_number' => '42','translate_name' => 'ونزل في المنافقين الذين تخلفوا «لو كان» ما دعوتهم إليه «عرضا» متاعا من الدنيا «قريبا» سهل المأخذ «وسفرا قاصدا» وسطا «لاتَّبعوك» طلبا للغنيمة «ولكن بعدت عليهم الشُّقَّةُ» المسافة فتخلفوا «وسيحلفون بالله» إذا رجعتم إليهم «لو استطعنا» الخروج «لخرجنا معكم يهلكون أنفسهم» بالحلف الكاذب «والله يعلم إنهم لكاذبون» في قولهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19986','chapter_id' => '9','chapter_detail_id' => '1278','translator_id' => '4','verse_number' => '43','translate_name' => 'وكان صلى الله عليه وسلم أذن لجماعة في التخلف باجتهاد منه، فنزل عتابا له وقدم العفو تطمينا لقلبه «عفا الله عنك لِمَ أذنت لهم» في التخلف وهلا تركتهم «حتى يتبين لك الذين صدقوا» في العذر «وتعلم الكاذبين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19987','chapter_id' => '9','chapter_detail_id' => '1279','translator_id' => '4','verse_number' => '44','translate_name' => '«لا يستأذنك الذين يؤمنون بالله واليوم الآخر» في التخُّلف عن «أن يجاهدوا بأموالهم وأنفسهم والله عليم بالمتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19988','chapter_id' => '9','chapter_detail_id' => '1280','translator_id' => '4','verse_number' => '45','translate_name' => '«إنما يستأذنك» في التخلُّف «الذين لا يؤمنون بالله واليوم الآخر وارتابت» شكت «قلوبهم» في الدين «فهم في ريبهم يترددون» يتحيرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19989','chapter_id' => '9','chapter_detail_id' => '1281','translator_id' => '4','verse_number' => '46','translate_name' => '«ولو أرادوا الخروج» معك «لأعدوا له عدة» أهبة من الآلة والزاد «ولكن كره الله انبعاثهم» أي لم يرد خروجهم «فثبطهم» كسَّلهم «وقيل» لهم «اقعدوا مع القاعدين» المرضى والنساء والصبيان، أي قدر الله تعالى ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19990','chapter_id' => '9','chapter_detail_id' => '1282','translator_id' => '4','verse_number' => '47','translate_name' => '«لو خرجوا فيكم ما زادوكم إلا خبالا» فسادا بتخذيل المؤمنين «ولأوضعوا خلالكم» أي أسرعوا بينكم بالمشي بالنميمة «يبغونكم» يطلبون لكم «الفتنة» بإلقاء العداوة «وفيكم سماعون لهم» ما يقولون سماع قبول «والله عليم بالظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19991','chapter_id' => '9','chapter_detail_id' => '1283','translator_id' => '4','verse_number' => '48','translate_name' => '«لقد ابتغوا» لك «الفتنة من قبل» أول ما قدمت المدينة «وقلَّبوا لك الأمور» أي أحالوا الفكر في كيدك وإبطال دينك «حتى جاء الحق» النصر «وظهر» عَزَّ «أمر الله» دينه «وهم كارهون» له فدخلوا فيه ظاهرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19992','chapter_id' => '9','chapter_detail_id' => '1284','translator_id' => '4','verse_number' => '49','translate_name' => '«ومنهم من يقول ائذن لي» في التخلف «ولا تفتنِّي» وهو الجد بن قيس قال له النبي صلى الله عليه وسلم هل لك في جلاد بني الأصفر؟ فقال: إني مغرّم بالنساء وأخشى إن رأيت ُ نساء بني الأصفر ألا أصبر عنهن فأُفتتن، قال تعالى: «ألا في الفتنة سقطوا» بالتخلُّف، وقرئ سقط «وإن جهنم لمحيطة بالكافرين» لا محيص لهم عنها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19993','chapter_id' => '9','chapter_detail_id' => '1285','translator_id' => '4','verse_number' => '50','translate_name' => '«إن تصبك حسنة» كنصر وغنيمة «تسؤهم وإن تصبك مصيبة» شدة «يقولوا قد أخذنا أمرنا» بالحزم حين تخلفنا «من قبل» قبل هذه المعصية «ويتولَّوا وهم فرحون» بما أصابك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19994','chapter_id' => '9','chapter_detail_id' => '1286','translator_id' => '4','verse_number' => '51','translate_name' => '«قل» لهم «لن يصيبنا إلا ما كتب الله لنا» إصابته «هو مولانا» ناصرنا ومتولي أمورنا «وعلى الله فيتوكل المؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19995','chapter_id' => '9','chapter_detail_id' => '1287','translator_id' => '4','verse_number' => '52','translate_name' => '«قل هل تربصون» فيه حذف إحدى التاءين من الأصل أي تنتظرون أن يقع «بنا إلا إحدى» العاقبتين «الحسنيين» تثنية حسنى تأنيث أحسن: النصر أو الشهادة «ونحن نتربص» ننتظر «بكم أن يصيبكم الله بعذاب من عنده» بقارعة من السماء «أو بأيدينا» بأن يؤذن لنا في قتالكم «فتربصوا» بنا ذلك «إنا معكم متربِّصون» عاقبتكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19996','chapter_id' => '9','chapter_detail_id' => '1288','translator_id' => '4','verse_number' => '53','translate_name' => '«قل أنفقوا» في طاعة الله «طوعا أو كرها لن يتقبل منكم» ما أنفقتموه «إنكم كننتم قوما فاسقين» والأمر هنا بمعنى الخبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19997','chapter_id' => '9','chapter_detail_id' => '1289','translator_id' => '4','verse_number' => '54','translate_name' => '«وما منعهم أن تُقبل» بالياء والتاء «منهم نفقاتهم إلا أنهم» فاعل وأن تقبل مفعول «كفروا بالله وبرسوله ولا يأتون الصلاة إلا وهم كسالى» متثاقلون «ولا ينفقون إلا وهم كارهون» النفقة لأنهم يعدونها مغرما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19998','chapter_id' => '9','chapter_detail_id' => '1290','translator_id' => '4','verse_number' => '55','translate_name' => '«فلا تعجبْك أموالهم ولا أولادهم» أي لا تستحسن نعمنا عليهم فهي استدراج «إنَّمَا يريد الله ليعذبهم» أي أن يعذبهم «بها في الحياة الدنيا» بما يلقون في جمعها من المشقة وفيها من المصائب «وتزهَق» تخرج «أنفسهم وهم كافرون» فيعذبهم في الآخرة أشد العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '19999','chapter_id' => '9','chapter_detail_id' => '1291','translator_id' => '4','verse_number' => '56','translate_name' => '«ويحلفون بالله إنهم لمنكم» أي مؤمنون «وما هم منكم ولكنهم قوم يفرقون» يخافون أن تفعلوا بهم كالمشركين فيحلفون تقية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20000','chapter_id' => '9','chapter_detail_id' => '1292','translator_id' => '4','verse_number' => '57','translate_name' => '«لو يجدون ملجأً» يلجأون إليه «أو مغارات» سراديب «أو مُدَّخَلا» موضعاً يدخلونه «لَوَلَّوْا إليه وهم يجمحون» يسرعون في دخوله والانصراف عنكم إسراعا لا يرده شيء كالفرس الجموح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20001','chapter_id' => '9','chapter_detail_id' => '1293','translator_id' => '4','verse_number' => '58','translate_name' => '«ومنهم من يلمزك» يعيبك «في» قَسْم «الصدقات فإن أُعطوا منها رضوا وإن لم يُعْطوْا منها إذا هم يسخطون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20002','chapter_id' => '9','chapter_detail_id' => '1294','translator_id' => '4','verse_number' => '59','translate_name' => '«ولو أنهم رضوا ما آتاهم الله ورسوله» من الغنائم ونحوها «وقالوا حسبنا» كافينا «الله سيؤتينا الله من فضله ورسوله» من غنيمة أخرى ما يكفينا «إنا إلى الله راغبون» أن يغنينا وجواب لو لكان خيرا لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20003','chapter_id' => '9','chapter_detail_id' => '1295','translator_id' => '4','verse_number' => '60','translate_name' => '«إنما الصدقات» الزكوات مصروفة «للفقراء» الذين لا يجدون ما يقع موقعا من كفايتهم «والمساكين» الذين لا يجدون ما يكفيهم «والعاملين عليها» أي الصدقات من جاب وقاسم وكاتب وحاشر «والمؤلفة قلوبهم» ليسلموا أو يثبت إسلامهم أو يسلم نظراؤهم أو يذبوا عن المسلمين أقسام، الأول والأخير لا يعطيان اليوم عند الشافعي رضي الله تعالى عنه لعز الإسلام بخلاف الآخرين فيعطيان على الأصح «وفي» فك «الرقاب» أي المكاتبين «والغارمين» أهل الدَّين إن استدانوا لغير معصية أو تابوا وليس لهم وفاء أو لإصلاح ذات البين ولو أغنياء «وفي سبيل الله» أي القائمين بالجهاد ممن لا فيء لهم ولو أغنياء «وابن السبيل» المنقطع في سفره «فريضة» نصب بفعله المقدر «من الله والله عليم» بخلقه «حكيم» في صنعه فلا يجوز صرفها لغير هؤلاء ولا منع صنف منهم إذا وجد فيقسمها الإمام عليهم على السواء وله تفضيل بعض آحاد الصنف على بعض، وأفادت اللام وجوب استغراق أفراده لكن لا يجب على صاحب المال إذا قسم لعسره بل يكفي إعطاء ثلاثة من كل صنف ولا يكفي دونها كما أفادته صيغة الجمع وبيَّنت السنة أن شرط المعطى منها الإسلام وأن لا يكون هاشميا ولا مطلبيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20004','chapter_id' => '9','chapter_detail_id' => '1296','translator_id' => '4','verse_number' => '61','translate_name' => '«ومنهم» أي المنافقين «الذين يؤذون النبي» بعيبه وبنقل حديثه «ويقولن» إذا نُهوا عن ذلك لئلا يبلغه «هو أُذُنُ» أي يسمع كل قيل ويقبله فإذا حلفنا له أنَّا لم نقل صدَّقنا «قل» هو «أُذُن» مستمع «خيرٍ لكم» لا مستمع شر «يؤمن بالله ويؤمن» يصدق «للمؤمنين» فيما أخبروه به لا لغيرهم واللام زائدة للفرق بين إيمان التسليم وغيره «ورحمةٌ» بالرفع عطفا على أذن والجر عطفا على خير «للذين آمنوا منكم والذين يؤذون رسول الله لهم عذاب أليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20005','chapter_id' => '9','chapter_detail_id' => '1297','translator_id' => '4','verse_number' => '62','translate_name' => '«يحلفون بالله لكم» أيها المؤمنين فيما بلغكم عنهم من أذى الرسول أنهم ما آذوه «ليرضوكم والله ورسوله أحقُّ أن يرضوه» بالطاعة «إن كانوا مؤمنين» حقا وتوحيد الضمير لتلازم الرضاءين أو خبر الله ورسوله محذوف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20006','chapter_id' => '9','chapter_detail_id' => '1298','translator_id' => '4','verse_number' => '63','translate_name' => '«ألم يعلموا» بـ «أنه» أي الشأن «من يحادد» يشاقق «الله ورسولَه فأن له نار جهنم» جزاء «خالدا فيها ذلك الخزي العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20007','chapter_id' => '9','chapter_detail_id' => '1299','translator_id' => '4','verse_number' => '64','translate_name' => '«يحذر» يخاف «المنافقون أن تنزل عليهم» أي المؤمنين «سورة تنبئهم بما في قلوبهم» من النفاق وهم مع ذلك يستهزئون «قل استهزؤا» أمر تهديد «إن الله مخرج» مظهر «ما تحذرون» إخراجه من نفاقكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20008','chapter_id' => '9','chapter_detail_id' => '1300','translator_id' => '4','verse_number' => '65','translate_name' => '«ولئن» لام قسم «سألتهم» عن استهزائهم بك وبالقرآن وهم سائرون معك إلى تبوك «ليقولن» معتذرين «إنما كنا نخوض ونلعب» في الحديث لنقطع به الطريق ولم نقصد ذلك «قل» لهم «أبالله وآياته ورسوله كنتم تستهزئون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20009','chapter_id' => '9','chapter_detail_id' => '1301','translator_id' => '4','verse_number' => '66','translate_name' => '«لا تعتذروا» عنه «قد كفرتم بعد إيمانكم» أي ظهر كفركم بعد إظهار الإيمان «إن يُعْفَ» بالياء مبنيا للمفعول والنون مبنيا للفاعل «عن طائفة منكم» بإخلاصها وتوبتها كجحش بن حمير «تُعَذَّبْ» بالتاء والنون «طائفةٌٌ بأنهم كانوا مجرمين» مصرّين على النفاق والاستهزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20010','chapter_id' => '9','chapter_detail_id' => '1302','translator_id' => '4','verse_number' => '67','translate_name' => '«المنافقون والمنافقات بعضهم من بعض» أي متشابهون في الدين كأبعاض الشيء الواحد «يأمرون بالمنكر» الكفر والمعاصي «وينهَون عن المعروف» الإيمان والطاعة «ويقبضون أيديهم» من الإنفاق في الطاعة «نسوا الله» تركوا طاعته «فنسيهم» تركهم من لطفه «إن المنافقين هم الفاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20011','chapter_id' => '9','chapter_detail_id' => '1303','translator_id' => '4','verse_number' => '68','translate_name' => '«وعد الله المنافقين والمنافقات والكفار نار جهنم خالدين فيها هي حسبهم» جزاءً وعقابا «ولعنهم الله» أبعدهم عن رحمته «ولهم عذاب مقيم» دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20012','chapter_id' => '9','chapter_detail_id' => '1304','translator_id' => '4','verse_number' => '69','translate_name' => 'أنتم أيها المنافقون «كالذين من قبلكم كانوا أشد منكم قوة وأكثر أموالا وأولادا فاستمتعوا» تمتعوا «بخلاقهم» نصيبهم من الدنيا «فاستمتعتم» أيها المنافقون «بخلاقكم كما استمتع الذين من قبلكم بخلاقهم وخضتم» في الباطل والطعن في النبي صلى الله عليه وسلم «كالذي خاضوا» أي كخوضهم «أولئك حبطت أعمالهم في الدنيا والآخرة وأولئك هم الخاسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20013','chapter_id' => '9','chapter_detail_id' => '1305','translator_id' => '4','verse_number' => '70','translate_name' => '«ألم يأتهم نبأ» خبر «الذين من قبلهم قوم نوح وعاد» قوم هود «وثمود» قوم صالح «وقوم إبراهيم وأصحاب مدين» قوم شعيب «والمؤتفكات» قرى قوم لوط أي أهلها «أتتهم رسلهم بالبيِّنات» بالمعجزات فكذبوهم فأُهلكوا «فما كان الله ليظلمهم» بأن يعذبهم بغير ذنب «ولكن كانوا أنفسهم يظلمون» بارتكاب الذنب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20014','chapter_id' => '9','chapter_detail_id' => '1306','translator_id' => '4','verse_number' => '71','translate_name' => '«والمؤمنون والمؤمنات بعضهم أولياء بعض يأمرون بالمعروف وينهون عن المنكر ويقيمون الصلاة ويؤتون الزكاة ويطيعون الله ورسوله أولئك سيرحمهم الله إن الله عزيز» لا يعجزه شيء عن إنجاز وعده ووعيده «حكيم» لا يضع شيئا إلا في محله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20015','chapter_id' => '9','chapter_detail_id' => '1307','translator_id' => '4','verse_number' => '72','translate_name' => '«وعد الله المؤمنين والمؤمنات جنات تجري من تحتها الأنهار خالدين فيها ومساكن طيبة في جنات عدن» إقامة «ورضوانُُ من الله أكبر» أعظم من ذلك كله «ذلك هو الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20016','chapter_id' => '9','chapter_detail_id' => '1308','translator_id' => '4','verse_number' => '73','translate_name' => '«يا أيها النبيُّ جاهد الكفَّار» بالسيف «والمنافقين» باللسان والحجة «وأغلظ عليهم» بالانتهار والمقت «ومأواهم جهنم وبئس المصير» المرجع هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20017','chapter_id' => '9','chapter_detail_id' => '1309','translator_id' => '4','verse_number' => '74','translate_name' => '«يحلفون» أي المنافقون «بالله ما قالوا» ما بلغك عنهم من السب «ولقد قالوا كلمة الكفر وكفروا بعد إسلامهم» أظهروا الكفر بعد إظهار الإسلام «وهمَّوا بما لم ينالوا» من الفتك بالنبي ليلة العقبة عند عوده من تبوك وهم بضعة عشر رجلا فضرب عمار بن ياسر وجوه الرواحل لما غشوه فردوا «وما نقموا» أنكروا «إلا أن أغناهم الله ورسوله من فضله» بالغنائم بعد شدة حاجتهم المعنى: لم ينلهم منه إلا هذا وليس مما ينقم «فإن يتوبوا» عن النفاق ويؤمنوا بك «يكُ خيرا لهم وإن يتولوْا» عن الإيمان «يعذبهم الله عذابا أليما في الدنيا» بالقتل «والآخرة» بالنار «ومالهم في الأرض من ولي» يحفظهم منه «ولا نصير» يمنعهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20018','chapter_id' => '9','chapter_detail_id' => '1310','translator_id' => '4','verse_number' => '75','translate_name' => '«ومنهم من عاهد الله لئن آتانا من فضله لنصًّدقن» فيه إدغام التاء في الأصل في الصاد «ولنكونن من الصالحين» وهو ثعلبة بن حاطب سأل النبي صلى الله عليه وسلم أن يدعو له أن يرزقه الله مالا ويؤدي منه كل ذي حق حقه فدعا له فوسع عليه فانقطع عن الجمعة والجماعة ومنع الزكاة كما قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20019','chapter_id' => '9','chapter_detail_id' => '1311','translator_id' => '4','verse_number' => '76','translate_name' => '«فلما آتاهم من فضله بخلوا به وتولَّوْا» عن طاعة الله «وهم معرضون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20020','chapter_id' => '9','chapter_detail_id' => '1312','translator_id' => '4','verse_number' => '77','translate_name' => '«فأعقبهم» أي فصير عاقبتهم «نفاقا» ثابتا «في قلوبهم إلى يوم يلقونه» أي الله وهو يوم القيامة «بما أخلفوا الله ما وعدوه وبما كانوا يكذبون» فيه فجاء بعد ذلك إلى النبي صلى الله عليه وسلم بزكاته فقال إن الله منعني أن أقبل منك، فجعل يحثو التراب على رأسه ثم جاء إلى أبي بكر فلم يقبلها ثم إلى عمر فلم يقبلها ثم إلى عثمان فلم يقبلها ومات في زمانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20021','chapter_id' => '9','chapter_detail_id' => '1313','translator_id' => '4','verse_number' => '78','translate_name' => '«ألم يعلموا» أي المنافقون «أن الله يعلم سرهم» ما أسروه في أنفسهم «ونجواهم» ما تناجوا به بينهم «وأنّ الله علام الغيوب» ما غاب عن العيان ولما نزلت آية الصدقة جاء رجل فتصدق بشيء كثير فقال المنافقون: مُراءٍ وجاء رجل فتصدق بصاع فقالوا: إنّ الله غني عن صدقة هذا فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20022','chapter_id' => '9','chapter_detail_id' => '1314','translator_id' => '4','verse_number' => '79','translate_name' => '«الذين» مبتدأ «يلمزون» يعيبون «المطوعين» المتنفلين «من المؤمنين في الصدقات والذين لا يجدون إلا جهدهم» طاقتهم فيأتون به «فيسخرون منهم» والخبر «سخر الله منهم» جازاهم على سخريتهم «ولهم عذاب أليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20023','chapter_id' => '9','chapter_detail_id' => '1315','translator_id' => '4','verse_number' => '80','translate_name' => '(استغفر) يا محمد (لهم أو لا تستغفر لهم) تخيير له في الاستغفار وتركه قال صلى الله عليه وسلم: "" إني خيرت فاخترت يعني الاستغفار "" رواه البخاري (إن تستغفر لهم سبعين مرة فلن يغفر الله لهم) قيل المراد بالسبعين المبالغة في كثرة الاستغفار وفي البخاري حديث "" لو أعلم أني لو زدت على السبعين غفر لزدت عليها "" وقيل المراد العدد المخصوص لحديثه أيضاً "" وسأزيد على السبعين "" فبين له حسم المغفرة بآية [سواء عليهم استغفرت لهم أم لم تستغفر لهم] (ذلك بأنهم كفروا بالله ورسوله والله لا يهدي القوم الفاسقين).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20024','chapter_id' => '9','chapter_detail_id' => '1316','translator_id' => '4','verse_number' => '81','translate_name' => '«فرح المخلَّفون» عن تبوك «بمقعدهم» أي بقعودهم «خلاف» أي بعد «رسول الله وكرهوا أن يجاهدوا بأموالهم وأنفسهم في سبيل الله وقالوا» أي قال بعضهم لبعض «لا تنفروا» تخرجوا إلى الجهاد «في الحر قل نار جهنم أشدُّ حرا» من تبوك فالأولى أن يتقوها بترك التخلف «لو كانوا يفقهون» يعلمون ذلك ما تخلفوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20025','chapter_id' => '9','chapter_detail_id' => '1317','translator_id' => '4','verse_number' => '82','translate_name' => '«فليضحكوا قليلا» في الدنيا «وليبكوا» في الآخرة «كثيرا جزاءً بما كانوا يكسبون» خبر عن حالهم بصيغة الأمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20026','chapter_id' => '9','chapter_detail_id' => '1318','translator_id' => '4','verse_number' => '83','translate_name' => '«فإنْ رجعك» ردك «الله» من تبوك «إلى طائفة منهم» ممن تخلف بالمدينة من المنافقين «فاستأذنوك للخروج» معك إلى غزوة أُخرى «فقل» لهم «لن تخرجوا معي أبدا ولن تقاتلوا معي عدوا إنكم رضيتم بالقعود أول مرة فاقعدوا مع الخالفين» المتخلفين عن الغزو من النساء والصبيان وغيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20027','chapter_id' => '9','chapter_detail_id' => '1319','translator_id' => '4','verse_number' => '84','translate_name' => 'ولما صلى النبي صلى الله عليه وسلم على ابن أبيّ نزل «ولا تُصلِّ على أحد منهم مات أبدا ولا تقم على قبره» لدفن أو زيارة «إنهم كفروا بالله ورسوله وماتوا وهم فاسقون» كافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20028','chapter_id' => '9','chapter_detail_id' => '1320','translator_id' => '4','verse_number' => '85','translate_name' => '«ولا تعجبك أموالهم وأولادهم إنما يريد الله أن يعذبهم بها في الدنيا وتزهق» تخرج «أنفسهم وهم كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20029','chapter_id' => '9','chapter_detail_id' => '1321','translator_id' => '4','verse_number' => '86','translate_name' => '«وإذا أُنزلت سورة» أي طائفة من القرآن «أن» أي بأن «آمنوا بالله وجاهدوا مع رسوله استأذنك أولوا الطَّوْل» ذوو الغنى «منهم وقالوا ذرنا نكن مع القاعدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20030','chapter_id' => '9','chapter_detail_id' => '1322','translator_id' => '4','verse_number' => '87','translate_name' => '«رضوا بأن يكونوا مع الخوالف» جمع خالفة أي النساء اللاتي تخلَّفن في البيوت «وطبع على قلوبهم فهم لا يفقهون» الخير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20031','chapter_id' => '9','chapter_detail_id' => '1323','translator_id' => '4','verse_number' => '88','translate_name' => '«لكن الرسولُ والذين آمنوا معه جاهدوا بأموالهم وأنفسهم وأولئك لهم الخيرات» في الدنيا والآخرة «وأولئك هم المفلحون» أي الفائزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20032','chapter_id' => '9','chapter_detail_id' => '1324','translator_id' => '4','verse_number' => '89','translate_name' => '«أعد الله لهم جنات تجري من تحتها الأنهار خالدين فيها ذلك الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20033','chapter_id' => '9','chapter_detail_id' => '1325','translator_id' => '4','verse_number' => '90','translate_name' => '«وجاء المعذِّرون» بإدغام التاء في الأصل في الدال أي المعتذرون بمعنى المعذورين وقرئ به «من الأعراب» إلى النبي صلى الله عليه وسلم «ليؤذن لهم» في القعود لعذرهم فأذن لهم «وقعد الذين كذبوا الله ورسوله» في ادعاء الإيمان من منافقي الأعراب عن المجيء للاعتذار «سيصيب الذين كفروا منهم عذاب أليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20034','chapter_id' => '9','chapter_detail_id' => '1326','translator_id' => '4','verse_number' => '91','translate_name' => '«ليس على الضعفاء» كالشيوخ «ولا على المرضى» كالعمي والزمنى «ولا على الذين لا يجدون ما ينفقون» في الجهاد «حرج» إثم في التخلف عنه «إذا نصحوا لله ورسوله» في حال قعودهم بعدم الإرجاف والتثبيط والطاعة «ما على المحسنين» بذلك «من سبيل» طريق بالمؤاخذة «والله غفور» لهم «رحيم» بهم في التوسعة في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20035','chapter_id' => '9','chapter_detail_id' => '1327','translator_id' => '4','verse_number' => '92','translate_name' => '«ولا على الذين إذا ما أتوك لتحملهم» معك إلى الغزو وهم سبعة من الأنصار وقيل بنو مقرن «قلتَ لا أجد ما أحملكم عليه» حال «تولَّوا» جواب إذا أي انصرفوا «وأعينهم تفيض» تسيل «من» للبيان «الدمع حزنا» لأجل «ألا يجدوا ما ينفقون» في الجهاد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20036','chapter_id' => '9','chapter_detail_id' => '1328','translator_id' => '4','verse_number' => '93','translate_name' => '«إنما السَّبيل على الذين يستأذنوك» في التخلُّف «وهم أغنياء رضوا بأن يكونوا مع الخوالف وطبع الله على قلوبهم فهم لا يعلمون» تقدم مثله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20037','chapter_id' => '9','chapter_detail_id' => '1329','translator_id' => '4','verse_number' => '94','translate_name' => '«يعتذرون إليكم» في التخلف «إذا رجعتم إليهم» من الغزو «قل» لهم «لا تعتذروا لن نؤمن لكم» نصدقكم «قد نبأنا الله من أخباركم» أي أخبرنا بأحوالكم «وسيرى الله عملَكم ورسوله ثم تُردون» بالبعث «إلى عالم الغيب والشهادة» أي الله «فينبئكم بما كنتم تعملون» فيجازيكم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20038','chapter_id' => '9','chapter_detail_id' => '1330','translator_id' => '4','verse_number' => '95','translate_name' => '«سيحلفون بالله لكم إذا انقلبتم» رجعتم «إليهم» من تبوك أنهم معذورون في التخلف «لتعرضوا عنهم» بترك المعاتبة «فأعرضوا عنهم إنهم رجس» قذر لخبث باطنهم «ومأواهم جهنم جزاءً بما كانوا يكسبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20039','chapter_id' => '9','chapter_detail_id' => '1331','translator_id' => '4','verse_number' => '96','translate_name' => '«يحلفون لكم لترضوا عنهم فإن ترضوا عنهم فإنّ الله لا يرضى عن القوم الفاسقين» أي عنهم','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20040','chapter_id' => '9','chapter_detail_id' => '1332','translator_id' => '4','verse_number' => '97','translate_name' => '«الأعراب» أهل البدو «أشدُّ كفرا ونفاقا» من أهل المدن لجفائهم وغلظ طباعهم وبعدهم عن سماع القرآن «وأجدر» أولى «أ» ن أي بأن «لا يعلموا حدود ما أنزل الله على رسوله» من الأحكام والشرائع «والله عليم» بخلقه «حكيم» في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20041','chapter_id' => '9','chapter_detail_id' => '1333','translator_id' => '4','verse_number' => '98','translate_name' => '«ومن الأعراب من يتخذ ما ينفق» في سبيل الله «مَغرما» غرامة وخسرانا لأنه لا يرجو ثوابه بل ينفقه خوفا وهم بنو أسد وغطفان «ويتربص» ينتظر «بكم الدوائر» دوائر الزمان أن تنقلب عليكم فيتلخص «عليهم دائرة السُّوء» بالضم والفتح، أي يدور العذاب والهلاك عليهم لا عليكم «والله سميع» لأقوال عباده «عليم» بأفعالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20042','chapter_id' => '9','chapter_detail_id' => '1334','translator_id' => '4','verse_number' => '99','translate_name' => '«ومن الأعراب من يؤمن بالله واليوم الآخر» كجهينة ومزينة «ويتخذ ما ينفق» في سبيل الله «قربات» تقربه «عند الله و» وسيلة إلى «صلوات» دعوات «الرسول» له «ألا إنها» أي نفقتهم «قُرُبةٌ» بضم الراء وسكونها «لهم» عنده «سيدخلهم الله في رحمته» جنته «إن الله غفور» لأهل طاعته «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20043','chapter_id' => '9','chapter_detail_id' => '1335','translator_id' => '4','verse_number' => '100','translate_name' => '«والسابقون الأولون من المهاجرين والأنصار» وهم من شهد بدرا أو جميع الصحابة «والذين اتبعوهم» إلى يوم القيامة «بإحسان» في العمل «رضي الله عنهم» بطاعته «ورضوا عنه» بثوابه «وأعد لهم جنات تجري تحتها الأنهار» وفي قراءة بزيادة من «خالدين فيها أبدا ذلك الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20044','chapter_id' => '9','chapter_detail_id' => '1336','translator_id' => '4','verse_number' => '101','translate_name' => '«وممن حولكم» يا أهل المدينة «من الأعراب منافقون» كأسلم وأشجع وغفار «ومن أهل المدينة» منافقون أيضا «مردوا على النفاق» لُّجوا فيه واستمروا «لا تعلمهم نحن نعلمهم سنعذبهم مرتين» بالفضيحة أو القتل في الدنيا وعذاب القبر «ثم يردون» في الآخرة «إلى عذاب عظيم» هو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20045','chapter_id' => '9','chapter_detail_id' => '1337','translator_id' => '4','verse_number' => '102','translate_name' => '«و» قوم «آخرون» مبتدأ «اعترفوا بذنوبهم» من التخلف نعته والخبر «خلطوا عملا صالحا» وهو جهادهم قبل ذلك أو اعترافهم بذنوبهم أو غير ذلك «وآخر سيئا» وهو تخلفهم «عسى الله أن يتوب عليهم إن الله غفور رحيم» نزلت في أبي لبابة وجماعة أوثقوا أنفسهم في سواري المسجد لما بلغهم ما نزل في المتخلفين وحلفوا لا يحلهم إلا النبي صلى الله عليه وسلم فحلُّهم لما نزلت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20046','chapter_id' => '9','chapter_detail_id' => '1338','translator_id' => '4','verse_number' => '103','translate_name' => '«خذ من أموالهم صدقة تطهرهم وتزكيهم بها» من ذنوبهم فأخذ ثلث أموالهم وتصدق بها «وصل عليهم» أي ادع لهم «إن صلاتك سكن» رحمة «لهم» وقيل طمأنينة بقبول توبتهم «والله سميع عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20047','chapter_id' => '9','chapter_detail_id' => '1339','translator_id' => '4','verse_number' => '104','translate_name' => '«ألم يعلموا أن الله هو يقبل التوبة عن عباده ويأخذ» يقبل «الصدقات وأن الله هو التواب» على عباده بقبول توبتهم «الرحيم» بهم، والاستفهام للتقرير، والقصد به هو تهييجهم إلى التوبة والصدقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20048','chapter_id' => '9','chapter_detail_id' => '1340','translator_id' => '4','verse_number' => '105','translate_name' => '«وقل» لهم أو للناس «اعملوا» ما شئتم «فسيرى الله عملكم ورسوله والمؤمنون وستردون» بالبعث «إلى عالم الغيب والشهادة» أي الله «فينبئكم بما كنتم تعملون» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20049','chapter_id' => '9','chapter_detail_id' => '1341','translator_id' => '4','verse_number' => '106','translate_name' => '«وآخرون» من المتخلفين «مُرْجَؤُن» بالهمز وتركه: مؤخرون عن التوبة «لأمر الله» فيهم بما يشاء «إما يعذبهم» بأن يميتهم بلا توبة «وإما يتوب عليهم والله عليم» بخلقه «حكيم» في صنعه بهم، وهم الثلاثة الآتون بعد: مرارة بن الربيع وكعب بن مالك وهلال بن أمية، تخلفوا كسلا وميلا إلى الدعة، لا نفاقا ولم يعتذروا إلى النبي صلى الله عليه وسلم كغيرهم فوقف أمرهم خمسين ليلة وهجرهم الناس حتى نزلت توبتهم بعد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20050','chapter_id' => '9','chapter_detail_id' => '1342','translator_id' => '4','verse_number' => '107','translate_name' => '«و» منهم «الذين اتخذوا مسجدا» وهم اثنا عشر من المنافقين «ضرارا» مضارة لأهل مسجد قباء «وكفرا» لأنهم بنوه بأمر أبي عامر الراهب ليكون معقلا له يقدم فيه من يأتي من عنده وكان ذهب ليأتي بجنود من قيصر لقتال النبي صلى الله عليه وسلم «وتفريقا بين المؤمنين» الذين يصلون بقباء بصلاة بعضهم في مسجدهم «وإرصادا» ترقبا «لمن حارب الله ورسوله من قبل» أي قبل بنائه، وهو أبو عامر المذكور «وليحلفن إن» ما «أردنا» ببنائه «إلا» الفعلة «الحسنى» من الرفق بالمسكين في المطر والحر والتوسعة على المسلمين «والله يشهد إنهم لكاذبون» في ذلك، وكانوا سألوا النبي صلى الله عليه وسلم أن يصلي فيه فنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20051','chapter_id' => '9','chapter_detail_id' => '1343','translator_id' => '4','verse_number' => '108','translate_name' => '(لا تقم) تصل (فيه أبدا) فأرسل جماعة هدموه وحرقوه وجعلوا مكانه كناسة تلقى فيها الجيف (لمسجد أسس) بنيت قواعده (على التقوى من أول يوم) وضع يوم حللت بدار الهجرة، وهو مسجد قباء كما في البخاري (أحق) منه (أن) أي بأن (تقوم) تصلي (فيه، فيه رجال) هم الأنصار (يحبون أن يتطهروا والله يحب المطهرين) أي يثيبهم، فيه إدغام التاء في الأصل في الطاء، روي ابن خزيمة في صحيحه عن عويمر بن ساعدة: "" أنه صلى الله عليه وسلم أتاهم في مسجد قباء فقال: إن الله تعالى قد أحسن عليكم الثناء في الطهور في قصة مسجدكم فما هذا الطهور الذي تطهرون به؟ قالوا: والله يا رسول الله ما نعلم شيئا إلا أنه كان لنا جيران من اليهود وكانوا يغسلون أدبارهم من الغائط فغسلنا كما غسلوا "" وفي حديث رواه البزار فقالوا نتبع الحجارة بالماء "" فقال هو ذاك فعليكموه "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20052','chapter_id' => '9','chapter_detail_id' => '1344','translator_id' => '4','verse_number' => '109','translate_name' => '«أفمن أسَّس بنيانه على تقوى» مخافة «من الله» رجاء «ورضوان» منه «خيرٌ أم من أسَّس بنيانه على شفا» طرف «جُرُفِ» بضم الراء وسكونها، جانب «هارِ» مشرف على السقوط «فانهار به» سقط مع بانيه «في نار جهنم» خير تمثيل لبناء على ضد التقوى بما يؤول إليه، والاستفهام للتقرير، أي الأول خير وهو مثال مسجد قباء، والثاني مثال مسجد الضرار «والله لا يهدي القوم الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20053','chapter_id' => '9','chapter_detail_id' => '1345','translator_id' => '4','verse_number' => '110','translate_name' => '«لا يزال بنيانهم الذي بنوا ريبة» شكا «في قلوبهم إلاً أن تقطَّع» تنفصل «قلوبهم» بأن يموتوا «والله عليم» بخلقه «حكيم» في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20054','chapter_id' => '9','chapter_detail_id' => '1346','translator_id' => '4','verse_number' => '111','translate_name' => '«إن الله اشترى من المؤمنين أنفسهم وأموالهم» بأن يبذلوها في طاعته كالجهاد «بأن لهم الجنة يقاتلون في سبيل الله فيَقتلون ويُقتلون» جملة استئناف بيان للشراء، وفي قراءة بتقديم المبني للمفعول، أي فيقتل بعضهم ويقاتل الباقي «وعدا عليه حقا» مصدران منصوبان بفعلهما المحذوف «في التوراة والإنجيل والقرآن ومن أوفي بعهده من الله» أي لا أحد أوفى منه «فاستبشروا» فيه التفات عن الغيبة «ببيعكم الذي بايعتم به وذلك» البيع «هو الفوز العظيم» المنيل غاية المطلوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20055','chapter_id' => '9','chapter_detail_id' => '1347','translator_id' => '4','verse_number' => '112','translate_name' => '«التائبون» رفع على المدح بتقدير مبتدأ من الشرك والنفاق «العابدون» المخلصون العبادة لله «الحامدون» له على كل حال «السائحون» الصائمون «الراكعون الساجدون» أي المصلون «الآمرون بالمعروف والناهون عن المنكر والحافظون لحدود الله» لأحكامه بالعمل بها «وبشر المؤمنين» بالجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20056','chapter_id' => '9','chapter_detail_id' => '1348','translator_id' => '4','verse_number' => '113','translate_name' => 'ونزل في استغفاره صلى الله عليه وسلم لعمه أبي طالب واستغفار بعض الصحابة لأبويه المشركين (ما كان للنبي والذين آمنوا أن يستغفروا للمشركين ولو كانوا أولي قربى) ذوي قرابة (من بعد ما تبين لهم أنهم أصحاب الجحيم) النار، بأن ماتوا على الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20057','chapter_id' => '9','chapter_detail_id' => '1349','translator_id' => '4','verse_number' => '114','translate_name' => '(وما كان استغفار إبراهيم لأبيه إلا عن موعدة وعدها إياه) بقوله "" سأستغفر لك ربي "" رجاء أن يسلم (فلما تبين له أنه عدو لله) بموته على الكفر (تبرأ منه) وترك الاستغفار له (إن إبراهيم لأواه) كثير التضرع والدعاء (حليم) صبور على الأذى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20058','chapter_id' => '9','chapter_detail_id' => '1350','translator_id' => '4','verse_number' => '115','translate_name' => '«وما كان الله ليضل قوما بعد إذ هداهم» للإسلام «حتى يبين لهم ما يتقون» من العمل فلا يتقوه فيستحقوا الإضلال «إن الله بكل شيء عليم» ومنه مستحق الإضلال والهداية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20059','chapter_id' => '9','chapter_detail_id' => '1351','translator_id' => '4','verse_number' => '116','translate_name' => '«إن الله له مُلك السماوات والأرض يحيي ويميت وما لكم» أيها الناس «من دون الله» أي غيره «من ولي» يحفظكم منه «ولا نصير» يمنعكم عن ضرره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20060','chapter_id' => '9','chapter_detail_id' => '1352','translator_id' => '4','verse_number' => '117','translate_name' => '«لقد تاب الله» أي أدام توبته «على النبي والمهاجرين والأنصار الذين اتبعوه في ساعة العُسرة» أي وقتها، وهي حالهم في غزوة تبوك كان الرجلان يقتسمان تمرة والعشرة يعتقبون البعير الواحد، واشتد الحر حتى شربوا الفرث «من بعد ما كاد تزيغ» بالتاء والياء تميل «قلوب فريق منهم» عن اتباعه إلى التخلف لما هم فيه من الشدة «ثم تاب عليهم» بالثبات «إنه بهم رؤوف رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20061','chapter_id' => '9','chapter_detail_id' => '1353','translator_id' => '4','verse_number' => '118','translate_name' => '«و» تاب «على الثلاثة الذين خُلِّفوا» عن التوبة عليهم بقرينة «حتى إذا ضاقت عليهم الأرض بما رحُبت» أي مع رحبها، أي سعتها فلا يجدون مكانا يطمئنون إليه «وضاقت عليهم أنفسهم» قلوبهم للغمِّ والوحشة بتأخير توبتهم فلا يسعها سرور ولا أنس «وظنُّوا» أيقنوا «أن» مخففة «لا ملجأ من الله إلاّ إليه ثم تاب عليهم» وفقهم للتوبة «ليتوبوا إن الله هو التواب الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20062','chapter_id' => '9','chapter_detail_id' => '1354','translator_id' => '4','verse_number' => '119','translate_name' => '«يا أيها الذين آمنوا اتقوا الله» بترك معاصيه «وكونوا مع الصادقين» في الإيمان والعهود بأن تلزموا الصدق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20063','chapter_id' => '9','chapter_detail_id' => '1355','translator_id' => '4','verse_number' => '120','translate_name' => '«ما كان لأهل المدينة ومن حولهم من الأعراب أن يتخلفوا عن رسول الله» إذا غزا «ولا يرغبوا بأنفسهم عن نفسه» بأن يصونوها عما رضيه لنفسه من الشدائد، وهو نهي بلفظ الخبر «ذلك» أي النهي عن التخلف «بأنهم» بسبب أنهم «لا يصيبهم ظمأ» عطش «ولا نصب» تعب «ولا مخمصة» جوع «في سبيل الله ولا يطؤون موطئا» مصدر بمعنى وطأ «يغيظ» يغضب «الكفار ولا ينالون من عدو» لله «نيلا» قتلا أو أسرا أو نهبا «إلا كتب لهم به عمل صالح» ليجازوا عليه «إن الله لا يضيع أجر المحسنين» أي أجرهم بل يثيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20064','chapter_id' => '9','chapter_detail_id' => '1356','translator_id' => '4','verse_number' => '121','translate_name' => '«ولا ينفقون» فيه «نفقة صغيرة» ولو تمرة «ولا كبيرة ولا يقطعون واديا» بالسير «إلا كُتب لهم» به عمل صالح «ليجزيهم الله أحسن ما كانوا يعملون» أي جزاءهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20065','chapter_id' => '9','chapter_detail_id' => '1357','translator_id' => '4','verse_number' => '122','translate_name' => 'ولما وبِّخوا على التخلف وأرسل النبي صلى الله عليه وسلم سرية نفروا جميعا فنزل «وما كان المؤمنون لينفروا» إلى الغزو «كافة فلولا» فهلا «نفر من كلِّّّّ فرقة» قبيلة «منهم طائفة» جماعة، ومكث الباقون «ليتفقَّهوا» أي الماكثون «في الدين ولينذروا قومهم إذا رجعوا إليهم» من الغزو بتعليمهم ما تعلموه من الأحكام «لعلهم يحذرون» عقاب الله بامتثال أمره ونهيه، قال ابن عباس فهذه مخصوصة بالسرايا، والتي قبلها بالنهي عن تخلُّف واحد فيما إذا خرج النبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20066','chapter_id' => '9','chapter_detail_id' => '1358','translator_id' => '4','verse_number' => '123','translate_name' => '«يا أيها الذين آمنوا قاتلوا الذين يلونكم من الكفار» أي الأقرب فالأقرب منهم «وليجدوا فيكم غلظة» شدة، أي أغلظوا عليهم «واعلموا أن الله مع المتقين» بالعون والنصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20067','chapter_id' => '9','chapter_detail_id' => '1359','translator_id' => '4','verse_number' => '124','translate_name' => '«وإذا ما أنزلت سورة» من القرآن «فمنهم» أي المنافقين «من يقول» لأصحابه استهزاءً «أيكم زادته هذه إيمانا» تصديقا، قال تعالى: «فأما الذين آمنوا فزادتهم إيمانا» لتصديقهم بها «وهم يستبشرون» يفرحون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20068','chapter_id' => '9','chapter_detail_id' => '1360','translator_id' => '4','verse_number' => '125','translate_name' => '«وأما الذين في قلوبهم مرض» ضعف اعتقاد «فزادتهم رجسا إلى رجسهم» كفرا إلى كفرهم لكفرهم بها «وماتوا وهم كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20069','chapter_id' => '9','chapter_detail_id' => '1361','translator_id' => '4','verse_number' => '126','translate_name' => '«أولا يرون» بالياء أي المنافقون، والتاء أيها المؤمنون «أنهم يُفتنون» يُبتلون «في كل عام مرة أو مرتين» بالقحط والأمراض «ثم لايتوبون» من نفاقهم «ولا هم يذَّكرون» يتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20070','chapter_id' => '9','chapter_detail_id' => '1362','translator_id' => '4','verse_number' => '127','translate_name' => '«وإذا ما أنزلت سورة» فيها ذكرهم وقرأها النبي صلى الله عليه وسلم «نظر بعضهم إلى بعض» يريدون الهرب يقولون «هل يراكم من أحد» إذا قمتم فإن لم يرهم أحد قاموا وإلا ثبتوا «ثم انصرفوا» على كفرهم «صرف الله قلوبهم» عن الهدى «بأنهم قوم لا يفقهون» الحق لعدم تدبرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20071','chapter_id' => '9','chapter_detail_id' => '1363','translator_id' => '4','verse_number' => '128','translate_name' => '«لقد جاءكم رسول من أنفسكم» أي منكم: محمد صلى الله عليه وسلم «عزيز» شديد «عليه ما عَنِتُّم» أي عنتكم، أي مشقتكم ولقاءكم المكروه «حريص عليكم» أن تهتدوا «بالمؤمنين رءوف» شديد الرحمة «رحيم» يريد لهم الخير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20072','chapter_id' => '9','chapter_detail_id' => '1364','translator_id' => '4','verse_number' => '129','translate_name' => '«فإن تولَّوا» عن الإيمان بك «فقل حسبي» كافيّ «الله لا إله إلا هو عليه توكلت» به وثقت لا بغيره «وهو ربُّ العرش» الكرسي «العظيم» خصه بالذكر لأنه أعظم المخلوقات، وروى الحاكم في المستدرك عن أبيّ بن كعب قال: آخر آية نزلت «لقد جاءكم رسول» إلى آخر السورة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20073','chapter_id' => '10','chapter_detail_id' => '1365','translator_id' => '4','verse_number' => '1','translate_name' => '«الر» الله أعلم بمراده بذلك «تلك» أي هذه الآيات «آيات الكتاب» القرآن والإضافة بمعنى من «الحكيم» المحكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20074','chapter_id' => '10','chapter_detail_id' => '1366','translator_id' => '4','verse_number' => '2','translate_name' => '«أكان للناس» أي أهل مكة، استفهام إنكار والجار والمجرور حال من قوله «عَجبا» بالنصب خبر كان، وبالرفع اسمها والخبر وهو اسمها على الأولى «أن أوحينا» أي إيحاؤنا «إلى رجل منهم» محمد «أن» مفسرة «أنذر» خوِّف «الناس» الكافرين بالعذاب «وبشر الذين آمنوا أن» أي بأن «لهم قدم» سلف «صدق عند ربهم» أي أجرا حسناً بما قدموه من الأعمال «قال الكافرون إن هذا» القرآن المشتمل على ذلك «لَسِحْرٌ مبين» بيِّن، وفي قراءة لَساحرٌ، والمشار إليه النبي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20075','chapter_id' => '10','chapter_detail_id' => '1367','translator_id' => '4','verse_number' => '3','translate_name' => '«إن ربكم الله الذي خلق السماوات والأرض في ستة أيام» من أيام الدنيا، أي في قدرها، لأنه لم يكن ثَم شمس ولا قمر، ولو شاء لخلقهن في لمحة، والعدول عنه لتعليم خلقه التثبت «ثم استوى على العرش» استواءً يليق به «يدبر الأمر» بين الخلائق «ما من» صلة «شفيع» يشفع لأحد «إلا من بعد إذنه» رد لقولهم إن الأصنام تشفع لهم «ذلكم» الخالق المدبر «الله ربكم فاعبدوه» وحدوه «أفلا تذَّكرون» بإدغام التاء في الأصل في الذال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20076','chapter_id' => '10','chapter_detail_id' => '1368','translator_id' => '4','verse_number' => '4','translate_name' => '«إليه» تعالى «مرجعكم وعد الله حقا» مصدران منصوبان بفعلهما المقدر «إنه» بالكسر استئنافاً والفتح على تقدير اللام «يبدأ الخلق» أي بدأه بالإنشاء «ثم يعيده» بالبعث «ليجزي» يثيب «الذين آمنوا وعملوا الصالحات بالقسط والذين كفروا لهم شراب من حميم» ماء بالغ نهاية الحرارة «وعذاب أليم» مؤلم «بما كانوا يكفرون» أي بسبب كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20077','chapter_id' => '10','chapter_detail_id' => '1369','translator_id' => '4','verse_number' => '5','translate_name' => '«هو الذي جعل الشمس ضياءً» ذات ضياء، أي نور «والقمر نورا وقدره» من حيث سيره «منازل» ثمانية وعشرين منزلا في ثمان وعشرين ليلة من كل شهر، ويستتر ليلتين إن كان الشهر ثلاثين يوما، أو ليلة إن كان تسعة وعشرين يوما «لتعلموا» بذلك «عدد السنين والحساب ما خلق الله ذلك» المذكور «إلا بالحق» لا عبثا تعالى عن ذلك «يفصل» بالياء والنون يبين «الآيات لقوم يعلمون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20078','chapter_id' => '10','chapter_detail_id' => '1370','translator_id' => '4','verse_number' => '6','translate_name' => '«إن في اختلاف الليل والنهار» بالذهاب والمجيء والزيادة والنقصان «وما خلق الله في السماوات» من ملائكة وشمس وقمر ونجوم وغير ذلك «و» في «الأرض» من حيوان وجبال وبحار وأنهار وأشجار وغيرها «لآيات» دلالات على قدرته تعالى «لقوم يتقونـ» ـه فيؤمنون، خصهم بالذكر لأنهم المنتفعون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20079','chapter_id' => '10','chapter_detail_id' => '1371','translator_id' => '4','verse_number' => '7','translate_name' => '«إن الذين لا يرجون لقاءنا» بالبعث «ورضوا بالحياة الدنيا» بدل الآخرة لإنكارهم لها «واطمأنوا بها» سكنوا إليها «والذين هم عن آياتنا» دلائل وحدانيتنا «غافلون» تاركون النظر فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20080','chapter_id' => '10','chapter_detail_id' => '1372','translator_id' => '4','verse_number' => '8','translate_name' => '«أولئك مأواهم النار بما كانوا يكسبون» من الشرك والمعاصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20081','chapter_id' => '10','chapter_detail_id' => '1373','translator_id' => '4','verse_number' => '9','translate_name' => '«إن الذين آمنوا وعملوا الصالحات يهديهم» يرشدهم «ربهم بإيمانهم» به بأن يجعل لهم نورا يهتدون به يوم القيامة «تجري من تحتهم الأنهار في جنات النعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20082','chapter_id' => '10','chapter_detail_id' => '1374','translator_id' => '4','verse_number' => '10','translate_name' => '«دعواهم فيها» طلبهم يشتهونه في الجنة أن يقولوا «سبحانك اللهم» أي يا الله فإذا ما طلبوه وجدوه بين أيديهم «وتحيتهم» فيما بينهم «فيها سلام وآخر دعواهم أن» مفسرة «الحمد لله رب العالمين» ونزل لما استعجل المشركون العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20083','chapter_id' => '10','chapter_detail_id' => '1375','translator_id' => '4','verse_number' => '11','translate_name' => '«ولو يُعَجِل الله للناس الشر استعجالهم» أي كاستعجالهم «بالخير لقضي» بالبناء للمفعول وللفاعل «إليهم أجلُهم» بالرفع والنصب، بأن يهلكهم ولكن يمهلهم «فَنَذَرُ» نترك «الذين لا يرجون لقاءنا في طغيانهم يعمهون» يترددون متحيرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20084','chapter_id' => '10','chapter_detail_id' => '1376','translator_id' => '4','verse_number' => '12','translate_name' => '«وإذا مس الإنسان» الكافر «الضُّرُّ» المرض والفقر «دعانا لجنبه» أي مضطجعا «أو قاعدا أو قائما» أي في كل حال «فلما كشفنا عنه ضُره مرَّ» على كفره «كأن» مخففة واسمها محذوف، أي كأنه «لم يدعنا إلى ضرٍّ مسه كذلك» كما زُيّن له الدعاء عند الضرر والإعراض عند الرخاء «زُيِّن للمسرفين» المشركين «ما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20085','chapter_id' => '10','chapter_detail_id' => '1377','translator_id' => '4','verse_number' => '13','translate_name' => '«ولقد أهلكنا القرون» الأمم «من قبلكم» يا أهل مكة «لما ظلموا» بالشرك «و» قد «جاءتهم رسلهم بالبينات» الدالات على صدقهم «وما كانوا ليؤمنوا» عطف على ظلموا «كذلك» كما أهلكنا أولئك «نجزي القوم المجرمين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20086','chapter_id' => '10','chapter_detail_id' => '1378','translator_id' => '4','verse_number' => '14','translate_name' => '«ثم جعلناكم» يا أهل مكة «خلائف» جمع خليفة «في الأرض من بعدهم لننظر كيف تعملون» فيها وهل تعتبرون بهم فتصدقوا رسلنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20087','chapter_id' => '10','chapter_detail_id' => '1379','translator_id' => '4','verse_number' => '15','translate_name' => '«وإذا تُتلى عليهم آياتنا» القرآن «بينات» ظاهرات حال «قال الذين لا يرجون لقاءنا» لا يخافون البعث «ائت بقرآن غير هذا» ليس فيه عيب آلهتنا «أو بدله» من تلقاء نفسك «قل» لهم «ما يكون» ينبغي «لي أن أبدله من تلقاء» قبل «نفسي إن» ما «أتبع إلا ما يوحي إليّ إني أخاف إن عصيت ربي» بتبديله «عذاب يوم عظيم» هو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20088','chapter_id' => '10','chapter_detail_id' => '1380','translator_id' => '4','verse_number' => '16','translate_name' => '«قل لو شاء الله ما تلوته عليكم ولا أدراكم» أعلمكم «به» ولا نافية عطف على ما قبله، وفي قراءة بلام جواب لو أي لأعلمكم به على لسان غيري «فقد لبثت» مكثت «فيكم عمرا» سنينا أربعين «من قبله» لا أحدثكم بشيء «أفلا تعقلون» أنه ليس من قِبَلي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20089','chapter_id' => '10','chapter_detail_id' => '1381','translator_id' => '4','verse_number' => '17','translate_name' => '«فمن» أي لا أحد «أظلم ممن افترى على الله كذبا» بنسبة الشريك إليه «أو كذَّب بآياته» القرآن «إنه» أي الشأن «لا يفلح» يسعد «المجرمون» المشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20090','chapter_id' => '10','chapter_detail_id' => '1382','translator_id' => '4','verse_number' => '18','translate_name' => '«ويعبدون من دون الله» أي غيره «ما لا يضرهم» إن لم يعبدوه «ولا ينفعهم» إن عبدوه وهو الأصنام «ويقولون» عنها «هؤلاء شفعاؤنا عند الله قل» لهم «أتنبئون الله» جبروته «بما لا يعلم في السموات والأرض» استفهام إنكار إذ لو كان له شريك لعلمه، إذا لا يخفى عليه شيء «سبحانه» تنزيها له «وتعالى عما يشركونـ» به معه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20091','chapter_id' => '10','chapter_detail_id' => '1383','translator_id' => '4','verse_number' => '19','translate_name' => '«وما كان الناس إلا أمة واحدة» على دين واحد وهو الإسلام، من لدن آدم إلى نوح، وقيل من عهد إبراهيم إلى عمرو بن لحيِّ «فاختلفوا» بأن ثبت بعض وكفر بعض «ولولا كلمة سبقت من ربك» بتأخير الجزاء إلى يوم القيامة «لقضي بينهم» أي الناس في الدنيا «فيما فيه يختلفون» من الدين بتعذيب الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20092','chapter_id' => '10','chapter_detail_id' => '1384','translator_id' => '4','verse_number' => '20','translate_name' => '«ويقولون» أي أهل مكة «لولا» هلا «أنزل عليه» على محمد «آية من ربه» كما كان للأنبياء من الناقة والعصا واليد «فقل» لهم «إنما الغيب» ما غاب عن العباد أي أمره «لله» ومنه الآيات فلا يأتي بها إلا هو وإنما عليَّ التبليغ «فانتظروا» العذاب إن لم تؤمنوا «إني معكم من المنتظرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20093','chapter_id' => '10','chapter_detail_id' => '1385','translator_id' => '4','verse_number' => '21','translate_name' => '«وإذا أذقنا الناس» أي كفار مكة «رحمة» مطرا وخصبا «من بعد ضراء» بؤس وجدب «مستهم إذا لهم مكر في آياتنا» بالاستهزاء والتكذيب «قل» لهم «الله أسرع مكراً» مجازاة «إن رسلنا» الحفظة «يكتبون ما تمكرون» بالتاء والياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20094','chapter_id' => '10','chapter_detail_id' => '1386','translator_id' => '4','verse_number' => '22','translate_name' => '«هو الذي يسيركم» وفي قراءة ينشركم «في البر والبحر حتى إذا كنتم في الفلك» السفن «وجرين بهم بريح» وجرين فيه التفات عن الخطاب بريح طيبة» لينة «وفرحوا بها جاءتها ريح عاصف» شديد الهبوب تكسر كل شيء «وجاءهم الموج من كل مكان وظنوا أنهم أحيط بهم» أي أهلكوا «دعوا الله مخلصين له الدين» الدعاء «لئن» لام قسم «أنجيتنا من هذه» الأهوال «لنكونن من الشاكرين» الموحدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20095','chapter_id' => '10','chapter_detail_id' => '1387','translator_id' => '4','verse_number' => '23','translate_name' => '«فلما أنجاهم إذا هم يبغون في الأرض بغير الحق» بالشرك «يا أيها الناس إنما بغيكم» ظلمكم «على أنفسكم» لأن إثمه عليها هو «متاعُ الحياة الدنيا» تمتعون فيها قليلا «ثم إلينا مرجعكم» بعد الموت «فننبئكم بما كنتم تعملون» فنجاريكم عليه وفي قراءة بنصب متاع: أي تتمتعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20096','chapter_id' => '10','chapter_detail_id' => '1388','translator_id' => '4','verse_number' => '24','translate_name' => '«إنما مَثَل» صفة «الحياة الدنيا كماء» مطر «أنزلناه من السماء فاختلط به» بسببه «نبات الأرض» واشتبك بعضه ببعض «مما يأكل الناس» من البرّ والشعير وغيرهما «والأنعام» من الكلأ «حتى إذا أخذت الأرض زخرفها» بهجتها من النبات «وازَّيَّنت» بالزهر، وأصله تزينت، أبدلت التاء زايا وأدغمت في الزاي «وظن أهلها أنهم قادرون عليها» متمكنون من تحصيل ثمارها «أتاها أمرنا» قضاؤنا أو عذابنا «ليلا أو نهارا فجعلناها» أي زرعها «حصيدا» كالمحصود بالمناجل «كأن» مخففة أي كأنها «لم تغن» تكن «بالأمس كذلك نفصَّل» نبين «الآيات لقوم يتفكرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20097','chapter_id' => '10','chapter_detail_id' => '1389','translator_id' => '4','verse_number' => '25','translate_name' => '«والله يدعو إلى دار السلام» أي السلامة، وهي الجنة بالدعاء إلى الإيمان «ويهدي من يشاء» هدايته «إلى صراط مستقيم» دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20098','chapter_id' => '10','chapter_detail_id' => '1390','translator_id' => '4','verse_number' => '26','translate_name' => '«للذين أحسنوا» بالإيمان «الحسنى» الجنة «وزيادة» هي النظر إليه تعالى كما في حديث مسلم «ولا يرهق» يغشى «وجوههم قترٌ» سواد «ولا ذلة» كآبة «أولئك أصحاب الجنة هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20099','chapter_id' => '10','chapter_detail_id' => '1391','translator_id' => '4','verse_number' => '27','translate_name' => '«والذين» عطف على الذين أحسنوا، أي وللذين «كسبوا السيئات» عملوا الشرك «جزاء سيئة بمثلها وترهقهم ذلة ما لهم من الله من» زائدة «عاصم» مانع «كأنما أغشيت» أُلبست «وجوههم قطعا» بفتح الطاء جمع قطعة، وإسكانها جزءًا «من الليل مظلما أولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20100','chapter_id' => '10','chapter_detail_id' => '1392','translator_id' => '4','verse_number' => '28','translate_name' => '«و» اذكر «يوم نحشرهم» أي الخلق «جميعا ثم نقول للذين أشركوا مكانكم» نصب بإلزموا مقدرا «أنتم» تأكيد للضمير المستتر في الفعل المقدر ليعطف عليه «وشركاؤكم» أي الأصنام «فزيَّلنا» ميزنا «بينهم» وبين المؤمنين كما في آية (وامتازوا اليوم أيها المجرمون) «وقال» لهم «شركاؤهم ما كنتم إيانا تعبدون» ما نافية وقدم المفعول للفاصلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20101','chapter_id' => '10','chapter_detail_id' => '1393','translator_id' => '4','verse_number' => '29','translate_name' => '«فكفى بالله شهيدا بيننا وبينكم إن» مخففة أي إنا «كنا عن عبادتكم لغافلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20102','chapter_id' => '10','chapter_detail_id' => '1394','translator_id' => '4','verse_number' => '30','translate_name' => '«هنالك» أي ذلك اليوم «تبلوا» من البلوى، وفي قراءة بتاءين من التلاوة «كل نفس ما أسلفت» قدمت من العمل «وردوا إلى الله مولاهم الحق» الثابت الدائم «وضل» غاب «عنهم ما كانوا يفترون» عليه من الشركاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20103','chapter_id' => '10','chapter_detail_id' => '1395','translator_id' => '4','verse_number' => '31','translate_name' => '«قل» لهم «من يرزقكم من السماء» بالمطر «والأرض» بالنبات «أمَّن يملك السمع» بمعنى الأسماع، أي خلقها «والأبصار ومن يخرج الحي من الميت ويخرج الميت من الحي ومن يدبِّر الأمر» بين الخلائق «فسيقولون» هو «الله فقل» لهم «أفلا تتقونـ» ـه فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20104','chapter_id' => '10','chapter_detail_id' => '1396','translator_id' => '4','verse_number' => '32','translate_name' => '«فذلكم» الفاعل لهذه الأشياء «الله ربكم الحق» الثابت «فماذا بعد الحق إلا الضلال» استفهام تقرير، أي ليس بعده غيره فمن أخطأ الحق وهو عبادة الله وقع في الضلال «فأنَّى» كيف «تُصرفون» عن الإيمان مع قيام البرهان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20105','chapter_id' => '10','chapter_detail_id' => '1397','translator_id' => '4','verse_number' => '33','translate_name' => '«كذلك» كما صرف هؤلاء عن الإيمان «حقَّت كلمة ربِّك على الذين فسقوا» كفروا وهي (لأملأن جهنم) الآية، أو هي «أنهم لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20106','chapter_id' => '10','chapter_detail_id' => '1398','translator_id' => '4','verse_number' => '34','translate_name' => '«قل هل من شركائكم من يبدأ الخلق ثم يعيده قل الله يبدأ الخلق ثم يعيده فأنى تؤفكون» تصرفون عن عبادته مع قيام الدليل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20107','chapter_id' => '10','chapter_detail_id' => '1399','translator_id' => '4','verse_number' => '35','translate_name' => '«قل هل من شركائكم من يهدي إلى الحق» بنصب الحجج وخلق الاهتداء «قل الله يهدي للحق أفمن يهدي إلى الحق» وهو الله «أحق أنْ يُتبع أمَّن لا يهدي» يهتدي «إلا أن يهدى» أحق أن يتبع استفهام تقرير وتوبيخ، أي الأول أحق «فما لكم كيف تحكمون» هذا الحكم الفاسد من اتَّباع ما لا يحق اتباعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20108','chapter_id' => '10','chapter_detail_id' => '1400','translator_id' => '4','verse_number' => '36','translate_name' => '«وما يتبع أكثرهم» في عبادة الأصنام «إلا ظنا» حيث قلدوا فيه آباءهم «إن الظن لا يُغني من الحق شيئا» فيما المطلوب منه العلم «إن الله عليم بما يفعلون» فيجازيهم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20109','chapter_id' => '10','chapter_detail_id' => '1401','translator_id' => '4','verse_number' => '37','translate_name' => '«وما كان هذا القرآن أن يُفترى» أي افتراءً «من دون الله» أي غيره «ولكن» أنزل «تصديق الذي بين يديه» من الكتب «وتفصيل الكتاب» تبيين ما كتبه الله من الأحكام وغيرها «لا ريب» شك «فيه من رب العالمين» متعلق بتصديق أو بأنزل المحذوف، وقرئ برفع تصديق وتفصيل بتقدير هو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20110','chapter_id' => '10','chapter_detail_id' => '1402','translator_id' => '4','verse_number' => '38','translate_name' => '«أم» بل أ «يقولون افتراه» اختلقه محمد «قل فأتوا بسورة مثله» في الفصاحة والبلاغة على وجه الافتراء فإنكم عربيون فصحاء مثلي «وادعوا» للإعانة عليه «من استطعتم من دون الله» أي غيره «إن كنتم صادقين» في أنه افتراء فلم تقدروا على ذلك، قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20111','chapter_id' => '10','chapter_detail_id' => '1403','translator_id' => '4','verse_number' => '39','translate_name' => '«بل كذبوا بما لم يحيطوا بعلمه» أي القرآن ولم يتدبروه «ولما» لم «يأتهم تأويله» عاقبة ما فيه من الوعيد «كذلك» التكذيب «كذَّب الذين من قبلهم» رسلهم «فانظر كيف كان عاقبة الظالمين» بتكذيب الرسل أي آخر أمرهم من الهلاك فكذلك نُهلك هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20112','chapter_id' => '10','chapter_detail_id' => '1404','translator_id' => '4','verse_number' => '40','translate_name' => '«ومنهم» أي أهل مكة «من يؤمن به» لعلم الله ذلك منهم «ومنهم من لا يؤمن به» أبدا «وربك أعلم بالمفسدين» تهديد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20113','chapter_id' => '10','chapter_detail_id' => '1405','translator_id' => '4','verse_number' => '41','translate_name' => '«وإن كذبوك فقل» لهم «لي عملي ولكم عملكم» أي لكلٍّ جزاء عمله «أنتم بريئون مما أعمل وأنا بريء مما تعلمون» وهذا منسوخ بآية السيف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20114','chapter_id' => '10','chapter_detail_id' => '1406','translator_id' => '4','verse_number' => '42','translate_name' => '«ومنهم من يستمعون إليك» إذا قرأت القرآن «أ فأنت تُسمع الصم» شبههم بهم في عدم الانتفاع بما يتلى عليهم «ولو كانوا» مع الصمم «لا يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20115','chapter_id' => '10','chapter_detail_id' => '1407','translator_id' => '4','verse_number' => '43','translate_name' => '(ومنهم من ينظر إليك أفأنت تهدي العمي ولو كانوا لا يبصرون) شبههم بهم في عدم الاهتداء بل أعظم "" فإنها لا تعمى الأبصار ولكن تعمى القلوب التي في الصدور "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20116','chapter_id' => '10','chapter_detail_id' => '1408','translator_id' => '4','verse_number' => '44','translate_name' => '«إن الله لا يظلم الناس شيئا ولكن الناس أنفسهم يظلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20117','chapter_id' => '10','chapter_detail_id' => '1409','translator_id' => '4','verse_number' => '45','translate_name' => '«ويوم يحشرهم كأن» أي كأنهم «لم يلبثوا» في الدنيا أو القبور «إلا ساعة من النهار» لهول ما رأوا، وجملة التشبيه حال من الضمير «يتعارفون بينهم» يعرف بعضهم بعضا إذا بعثوا ثم ينقطع التعارف لشدة الأهوال، والجملة حال مقدرة أو متعلق الظرف «قد خسر الذين كذبوا بلقاء الله» بالبعث «وما كانوا مهتدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20118','chapter_id' => '10','chapter_detail_id' => '1410','translator_id' => '4','verse_number' => '46','translate_name' => '«وإما» فيه إدغام نون إن الشرطية في ما المزيدة «نرينَّك بعض الذي نعدهم» به من العذاب في حياتك وجواب الشرط محذوف، أي فذاك «أو نتوفينَّك» قبل تعذيبهم «فإلينا مرجعهم ثم الله شهيد» مطلع «على ما يفعلون» من تكذيبهم وكفرهم فيعذبهم أشد العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20119','chapter_id' => '10','chapter_detail_id' => '1411','translator_id' => '4','verse_number' => '47','translate_name' => '«ولكل أمة» من الأمم «رسول فإذا جاء رسولهم» إليهم فكذبوه «قضي بينهم بالقسط» بالعدل فيعذبون وينجى الرسول ومن صدقه «وهم لا يظلمون» بتعذيبهم بغير جرم فكذلك نفعل بهؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20120','chapter_id' => '10','chapter_detail_id' => '1412','translator_id' => '4','verse_number' => '48','translate_name' => '«ويقولون متى هذا الوعد» بالعذاب «إن كنتم صادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20121','chapter_id' => '10','chapter_detail_id' => '1413','translator_id' => '4','verse_number' => '49','translate_name' => '«قل لا أملك لنفسي ضرا» أدفعه «ولا نفعا» أجلبه «إلا ما شاء الله» أن يقدرني عليه، فكيف أملك لكم حلول العذاب «لكل أمة أجل» مدة معلومة لهلاكهم «إذ جاء أجلهم فلا يستأخرون» يتأخرون عنه «ساعة ولا يستقدمون» يتقدمون عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20122','chapter_id' => '10','chapter_detail_id' => '1414','translator_id' => '4','verse_number' => '50','translate_name' => '«قل أرأيتم» أخبروني «إن أتاكم عذابه» أي الله «بياتا» ليلا «أو نهارا ماذا» أيُّ شيء «يستعجل منه» أي العذاب «المجرمون» المشركون، فيه وضع الظاهر موضع المضمر، وجملة الاستفهام جواب الشرط: كقولك إذا أتيتك ماذا تعطيني، والمراد به التهويل أي ما أعظم ما استعجلوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20123','chapter_id' => '10','chapter_detail_id' => '1415','translator_id' => '4','verse_number' => '51','translate_name' => '«أثُمَّ إذا ما وقع» حل بكم «آمنتم به» أي الله أو العذاب عند نزوله، والهمزة لإنكار التأخير فلا يقبل منكم ويقال لكم «آلآن» تؤمنون «وقد كنتم به تستعجلون» استهزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20124','chapter_id' => '10','chapter_detail_id' => '1416','translator_id' => '4','verse_number' => '52','translate_name' => '«ثم قيل للذين ظلموا ذوقوا عذاب الخلد» أي الذي تخلدون فيه «هل» ما «تجزون إلا» جزاء «بما كنتم تكسبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20125','chapter_id' => '10','chapter_detail_id' => '1417','translator_id' => '4','verse_number' => '53','translate_name' => '«ويستنبئونك» يستخبرونك «أحق هو» أي ما وعدتنا به من العذاب والبعث «قل إي» نعم «وربي إنه لحق وما أنتم بمعجزين» بفائتين العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20126','chapter_id' => '10','chapter_detail_id' => '1418','translator_id' => '4','verse_number' => '54','translate_name' => '«ولو أن لكل نفس ظلمت» كفرت «ما في الأرض» جميعا من الأموال «لافتدت به» من العذاب يوم القيامة «وأسرُّوا الندامة» على ترك الإيمان «لما رأوا العذاب» أخفاها رؤساؤهم عن الضعفاء الذين أضلوهم مخافة التعيير «وقضي بينهم» بين الخلائق «بالقسط» بالعدل «وهم لا يظلمون» شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20127','chapter_id' => '10','chapter_detail_id' => '1419','translator_id' => '4','verse_number' => '55','translate_name' => '«ألا إن لله ما في السماوات والأرض ألا إن وعد الله» بالبعث والجزاء «حق» ثابت «ولكن أكثرهم» أي الناس «لا يعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20128','chapter_id' => '10','chapter_detail_id' => '1420','translator_id' => '4','verse_number' => '56','translate_name' => '«هو يحيي ويميت وإليه ترجعون» في الآخرة فيجازيكم بأعمالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20129','chapter_id' => '10','chapter_detail_id' => '1421','translator_id' => '4','verse_number' => '57','translate_name' => '«يا أيها الناس» أي أهل مكة «قد جاءتكم موعظة من ربكم» كتاب فيه ما لكم وما عليكم وهو القرآن «وشفاء» دواء «لما في الصدور» من العقائد الفاسدة والشكوك «وهدى» من الضلال «ورحمة للمؤمنين» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20130','chapter_id' => '10','chapter_detail_id' => '1422','translator_id' => '4','verse_number' => '58','translate_name' => '«قل بفضل الله» الإسلام «وبرحمته» القرآن «فبذلك» الفضل والرحمة «فليفرحوا هو خير مما يجمعون» من الدنيا بالياء والتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20131','chapter_id' => '10','chapter_detail_id' => '1423','translator_id' => '4','verse_number' => '59','translate_name' => '«قل أرأيتم» أخبروني «ما أنزل الله» خلق «لكم من رزق فجعلتم منه حراما وحلالا» كالبحيرة والسائبة والميتة «قل آلله أذن لكم» في ذلك بالتحليل والتحريم لا «أم» بل «على الله تفترون» تكذبون بنسبة ذلك إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20132','chapter_id' => '10','chapter_detail_id' => '1424','translator_id' => '4','verse_number' => '60','translate_name' => '«وما ظن الذين يفترون على الله الكذب» أي أيّ شيء ظنهم به «يوم القيامة» أيحسبون أنه لا يعاقبهم لا «إن الله لذو فضل على الناس» بإمهالهم والإنعام عليهم «ولكن أكثرهم لا يشكرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20133','chapter_id' => '10','chapter_detail_id' => '1425','translator_id' => '4','verse_number' => '61','translate_name' => '«وما تكون» يا محمد «في شأن» أمر «وما تتلو منه» أي من الشأن أو الله «من قرآن» أنزله عليك «ولا تعملون» خاطبهُ وأمته «من عمل إلا كنا عليكم شهودا» رقباء «إذ تُفيضون» تأخذون «فيه» أي العمل «وما يَعْزُبُ» يغيب «عن ربك من مثقال» وزن «ذرة» أصغر نملة «في الأرض ولا في السماء ولا أصغر من ذلك ولا أكبر إلا في كتاب مبين» بيِّن هو اللوح المحفوظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20134','chapter_id' => '10','chapter_detail_id' => '1426','translator_id' => '4','verse_number' => '62','translate_name' => '«ألا إن أولياء الله لا خوف عليهم ولا هم يحزنون» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20135','chapter_id' => '10','chapter_detail_id' => '1427','translator_id' => '4','verse_number' => '63','translate_name' => 'هم «الذين آمنوا وكانوا يتقون» الله بامتثال أمره ونهيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20136','chapter_id' => '10','chapter_detail_id' => '1428','translator_id' => '4','verse_number' => '64','translate_name' => '«لهم البشرى في الحياة الدنيا» فسرت في حديث صححه الحاكم بالرؤيا الصالحة يراها الرجل أو تُرى له «وفي الآخرة» الجنة والثواب «لا تبديل لكلمات الله» لا خلف لمواعيده «ذلك» المذكور «هو الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20137','chapter_id' => '10','chapter_detail_id' => '1429','translator_id' => '4','verse_number' => '65','translate_name' => '«ولا يحزنك قولهم» لك لست مرسلا وغيره «إن» استئناف «العزة» القوة «لله جميعا هو السميع» للقول «العليم» بالفعل فيجازيهم وينصرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20138','chapter_id' => '10','chapter_detail_id' => '1430','translator_id' => '4','verse_number' => '66','translate_name' => '«ألا إن لله من في السماوات ومن في الأرض» عبيدا وملكا وخلقا «وما يتبع الذين يدعون» يعبدون «من دون الله» أي غيره أصناما «شركاء» له على الحقيقة تعالى عن ذلك «إن» ما «يتبعون» في ذلك «إلا الظن» أي ظنهم أنها آلهة تشفع لهم «وإن» ما «هم إلا يخرصون» يكذبون في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20139','chapter_id' => '10','chapter_detail_id' => '1431','translator_id' => '4','verse_number' => '67','translate_name' => '«هو الذي جعل لكم الليل لتسكنوا فيه والنهار مبصرا» إسناد الإبصار إليه مجاز لأنه يبصر فيه «إن في ذلك لآيات» دلالات على وحدانيته تعالى «لقوم يسمعون» سماع تدبر واتعاظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20140','chapter_id' => '10','chapter_detail_id' => '1432','translator_id' => '4','verse_number' => '68','translate_name' => '«قالوا» أي اليهود والنصارى ومن زعم أن الملائكة بنات الله «اتخذ الله ولدا» قال تعالى لهم «سبحانه» تنزيها له عن الولد «هو الغني» عن كل أحد وإنما يطلب الولد من يحتاج إليه «له ما في السماوات وما في الأرض» ملكا وخلقا وعبيدا «إن» ما «عندكم من سلطان» حجة «بهذا» الذي تقولونه «أتقولون على الله ما لا تعلمون» استفهام توبيخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20141','chapter_id' => '10','chapter_detail_id' => '1433','translator_id' => '4','verse_number' => '69','translate_name' => '«قل إن الذين يفترون على الله الكذب» بنسبه الولد إليه «لا يفلحون» لا يسعدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20142','chapter_id' => '10','chapter_detail_id' => '1434','translator_id' => '4','verse_number' => '70','translate_name' => 'لهم «متاع» قليل «في الدنيا» يتمتعون به مدة حياتهم «ثم إلينا مرجعهم» بالموت «ثم نذيقهم العذاب الشديد» بعد الموت «بما كانوا يكفرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20143','chapter_id' => '10','chapter_detail_id' => '1435','translator_id' => '4','verse_number' => '71','translate_name' => '«واتل» يا محمد «عليهم» أي كفار مكة «نبأ» خبر «نوح» ويبدل منه «إذ قال لقومه يا قوم إن كان كُبر» شق «عليكم مقامي» لبثي فيكم «وتذكيري» وعظي إياكم «بآيات الله فعلى الله توكلت فأجمعوا أمركم» اعزموا على أمر تفعلونه بي «وشركاءكم» الواو بمعني مع «ثم لا يكن أمركم عليكم غُمة» مستورا بل أظهروه وجاهروني به «ثم اقضوا إليَّ» امضوا فيما أردتموه «ولا تنظرون» تمهلون فإني لست مباليا بكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20144','chapter_id' => '10','chapter_detail_id' => '1436','translator_id' => '4','verse_number' => '72','translate_name' => '«فإن تولَّيتم» عن تذكيري «فما سألتكم من أجر» ثواب عليه فتولوا «إن» ما «أجري» ثوابي «إلا على الله وأمرت أن أكون من المسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20145','chapter_id' => '10','chapter_detail_id' => '1437','translator_id' => '4','verse_number' => '73','translate_name' => '«فكذبوه فنجيناه ومن معه في الفلك» السفينة «وجعلناهم» أي من معه «خلائف» في الأرض «وأغرقنا الذين كذبوا بآياتنا» بالطوفان «فانظر كيف كان عاقبة المنذرين» من إهلاكهم فكذلك نفعل بمن كذب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20146','chapter_id' => '10','chapter_detail_id' => '1438','translator_id' => '4','verse_number' => '74','translate_name' => '«ثم بعثنا من بعده» أي نوح «رسلا إلى قومهم» كإبراهيم وهود وصالح «فجاءُوهم بالبينات» المعجزات «فما كانوا ليؤمنوا بما كذبوا به من قبل» أي بعث الرسل إليهم «كذلك نطبع» نختم «على قلوب المعتدين» فلا تقبل الإيمان كما طبعنا على قلوب أولئك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20147','chapter_id' => '10','chapter_detail_id' => '1439','translator_id' => '4','verse_number' => '75','translate_name' => '«ثم بعثنا من بعدهم موسى وهارون إلى فرعون وملئه» قومه «بآياتنا» التسع «فاستكبروا» عن الإيمان بها «وكانوا قوما مجرمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20148','chapter_id' => '10','chapter_detail_id' => '1440','translator_id' => '4','verse_number' => '76','translate_name' => '«فلما جاءهم الحق من عندنا قالوا إنَّ هذا لسحر مبين» بيّنّ ظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20149','chapter_id' => '10','chapter_detail_id' => '1441','translator_id' => '4','verse_number' => '77','translate_name' => '«قال موسى أتقولون للحق لما جاءكم» إنه لسحر «أسحر هذا» وقد أفلح من أتى به وأبطل سحر السحرة «ولا يفلح الساحرون» والاستفهام في الموضعين للإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20150','chapter_id' => '10','chapter_detail_id' => '1442','translator_id' => '4','verse_number' => '78','translate_name' => '«قالوا أجئتنا لتَلفِتَنا» لتردنا «عما وجدنا عليه آباءنا وتكون لكما الكبرياء» الملك «في الأرض» أرض مصر «وما نحن لكما بمؤمنين» مصدقين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20151','chapter_id' => '10','chapter_detail_id' => '1443','translator_id' => '4','verse_number' => '79','translate_name' => '«وقال فرعون ائتوني بكل ساحر عليم» فائق في علم السحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20152','chapter_id' => '10','chapter_detail_id' => '1444','translator_id' => '4','verse_number' => '80','translate_name' => '(فلما جاء السحرة قال لهم موسى) بعد ما قالوا له "" إما أن تلقي وإما أن نكون نحن الملقين "": (ألقوا ما أنتم ملقون).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20153','chapter_id' => '10','chapter_detail_id' => '1445','translator_id' => '4','verse_number' => '81','translate_name' => '«فلما ألقوا» حبالهم وعصيهم «قال موسى ما» استفهامية مبتدأ خبره «جئتم به السحر» بدل وفي قراءة بهمزة واحدة إخبار فما اسم موصول مبتدأ «إن الله سيبطله» أي سيمحقه «إن الله لا يصلح عمل المفسدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20154','chapter_id' => '10','chapter_detail_id' => '1446','translator_id' => '4','verse_number' => '82','translate_name' => '«ويحق» يثبت ويظهر «الله الحق بكلماته» بمواعيده «ولو كره المجرمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20155','chapter_id' => '10','chapter_detail_id' => '1447','translator_id' => '4','verse_number' => '83','translate_name' => '«فما آمن لموسى إلا ذرية» طائفة «من» أولاد «قومه» أي فرعون «على خوف من فرعون وملئهم أن يفتنهم» يصرفهم عن دينه بتعذيبه «وإن فرعون لعال» متكبر «في الأرض» أرض مصر «وإنه لمن المسرفين» المتجاوزين الحد بادعاء الربوبية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20156','chapter_id' => '10','chapter_detail_id' => '1448','translator_id' => '4','verse_number' => '84','translate_name' => '«وقال موسى يا قوم إن كنتم آمنتم بالله فعليه توكلوا إن كنتم مسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20157','chapter_id' => '10','chapter_detail_id' => '1449','translator_id' => '4','verse_number' => '85','translate_name' => '«فقالوا على الله توكلنا ربنا لا تجعلنا فتنة للقوم الظالمين» أي لا تظهرهم علينا فيظنوا أنهم على الحق فيفتتنوا بنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20158','chapter_id' => '10','chapter_detail_id' => '1450','translator_id' => '4','verse_number' => '86','translate_name' => '«ونجّنا برحمتك من القوم الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20159','chapter_id' => '10','chapter_detail_id' => '1451','translator_id' => '4','verse_number' => '87','translate_name' => '«وأوحينا إلى موسى وأخيه أن تبوّأا» اتخذا «لقومكما بمصر بيوتا واجعلوا بيوتكم قبلة» مصلًّى تصلون فيه لتأمنوا من الخوف وكان فرعون منعهم من الصلاة «وأقيموا الصلاة» أتموها «وبشّر المؤمنين» بالنصر والجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20160','chapter_id' => '10','chapter_detail_id' => '1452','translator_id' => '4','verse_number' => '88','translate_name' => '«وقال موسى ربنا إنك آتيت فرعون وملأهُ زينة وأموالا في الحياة الدنيا ربنا» آتيتهم ذلك «ليضلوا» في «عن سبيلك» دينك «ربنا اطمس على أموالهم» امسخها «واشدد على قلوبهم» اطبع عليها واستوثق «فلا يؤمنوا حتى يروا العذاب الأليم» المؤلم دعا عليهم وأمَّنَ هارون على دعائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20161','chapter_id' => '10','chapter_detail_id' => '1453','translator_id' => '4','verse_number' => '89','translate_name' => '«قال» تعالى «قد أجيبت دعوتكما» فمسخت أموالهم حجارة ولم يؤمن فرعون حتى أدركه الغرق «فاستقيما» على الرسالة والدعوة إلى أن يأتيهم العذاب «ولا تتبعان سبيل الذين لا يعلمون» في استعجال قضائي روي أنه مكث بعدها أربعين سنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20162','chapter_id' => '10','chapter_detail_id' => '1454','translator_id' => '4','verse_number' => '90','translate_name' => '«وجاوزنا ببني إسرائيل البحر فأتْبَعَهُمْ» لحقهم «فرعون وجنود بغيا وعدوا» مفعول له «حتى إذا أدركه الغرق قال آمنت أنه» أي بأنه وفي قراءة بالكسر استئنافا «لا إله الذي آمنت به بنو إسرائيل وأنا من المسلمين» كرره ليقبل منه فلم يقبل، ودس جبريل في فيه من حمأة البحر مخافة أن تناله الرحمة، وقال له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20163','chapter_id' => '10','chapter_detail_id' => '1455','translator_id' => '4','verse_number' => '91','translate_name' => '«آلآن» تؤمن «وقد عصيت قبل وكنت من المفسدين» وإضلالك عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20164','chapter_id' => '10','chapter_detail_id' => '1456','translator_id' => '4','verse_number' => '92','translate_name' => '«فاليوم ننجيك» نخرجك من البحر «ببدنك» جسدك الذي لا روح فيه «لتكون لمن خلفك» بعدك «آية» عبرة فيعرفوا عبوديتك ولا يقدموا على مثل فعلك وعن ابن عباس أن بعض بني إسرائيل شكوا في موته فأخرج لهم ليروه «وإن كثيرا من الناس» أي أهل مكة «عن آياتنا لغافلون» لا يعتبرون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20165','chapter_id' => '10','chapter_detail_id' => '1457','translator_id' => '4','verse_number' => '93','translate_name' => '«ولقد بوأنا» أنزلنا «بني إسرائيل مُبَوّأ صدق» منزل كرامة وهو الشام ومصر «ورزقناهم من الطيبات فما اختلفوا» بأن آمن بعض وكفر بعض «حتى جاءهم العلم إن ربَّك يقضي بينهم يوم القيامة فيما كانوا فيه يختلفون» من أمر الدين بإنجاء المؤمنين وتعذيب الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20166','chapter_id' => '10','chapter_detail_id' => '1458','translator_id' => '4','verse_number' => '94','translate_name' => '(فإن كنت) يا محمد (في شك مما أنزلنا إليك) من القصص فرضاً (فاسأل الذين يقرءون الكتاب) التوراة (من قبلك) فإنه ثابت عندهم يخبروك بصدقه قال صلى الله عليه وسلم: "" لا أشك ولا أسأل "" (لقد جاءك الحق من ربك فلا تكونن من الممترين) الشاكين فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20167','chapter_id' => '10','chapter_detail_id' => '1459','translator_id' => '4','verse_number' => '95','translate_name' => '«ولا تكونن من الذين كذبوا بآيات الله فتكون من الخاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20168','chapter_id' => '10','chapter_detail_id' => '1460','translator_id' => '4','verse_number' => '96','translate_name' => '«إن الذين حَقَّت» وجبت «عليهم كلمة ربك» بالعذاب «لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20169','chapter_id' => '10','chapter_detail_id' => '1461','translator_id' => '4','verse_number' => '97','translate_name' => '«ولو جاءتهم كل آية حتى يروا العذاب الأليم» فلا ينفعهم حينئذ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20170','chapter_id' => '10','chapter_detail_id' => '1462','translator_id' => '4','verse_number' => '98','translate_name' => '«فلولا» فهلا «كانت قرية» أريد أهلها «آمنت» قبل نزول العذاب بها «فنفعها إيمانها إلا» لكن «قوم يونس لما آمنوا» عند رؤية أمارة العذاب ولم يؤخروا إلى حلوله «كشفنا عنهم عذاب الخزي في الحياة الدنيا ومتعناهم إلى حين» انقضاء آجالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20171','chapter_id' => '10','chapter_detail_id' => '1463','translator_id' => '4','verse_number' => '99','translate_name' => '«ولو شاء ربك لآمن من في الأرض كلهم جميعا أفأنت تُكره الناس» بما لم يشأه الله منهم «حتى يكونوا مؤمنين» لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20172','chapter_id' => '10','chapter_detail_id' => '1464','translator_id' => '4','verse_number' => '100','translate_name' => '«وما كان لنفس أن تؤمن إلا بإذن الله» بإرادته «ويجعل الرجس» العذاب «على الذين لا يعقلون» يتدبرون آيات الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20173','chapter_id' => '10','chapter_detail_id' => '1465','translator_id' => '4','verse_number' => '101','translate_name' => '«قل» لكفار مكة «انظروا ماذا» أي الذي «في السماوات والأرض» من الآيات الدالة على وحدانية الله تعالى «وما تغني الآيات والنذر» جمع نذير أي الرسل «عن قوم لا يؤمنون» في علم الله أي ما تنفعهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20174','chapter_id' => '10','chapter_detail_id' => '1466','translator_id' => '4','verse_number' => '102','translate_name' => '«فهل» فما «ينتظرون» بتكذيبك «إلا مثل أيام الذين خلوا من قبلهم» من الأمم أي مثل وقائعهم من العذاب «قل فانتظروا» ذلك «إني معكم من المنتظرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20175','chapter_id' => '10','chapter_detail_id' => '1467','translator_id' => '4','verse_number' => '103','translate_name' => '«ثم نُنجّي» المضارع لحكاية الحال الماضي «رسلنا والذين آمنوا» من العذاب «كذلك» الإنجاء «حقا علينا نُنجي المؤمنين» النبي وأصحابه حين تعذيب المشركين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20176','chapter_id' => '10','chapter_detail_id' => '1468','translator_id' => '4','verse_number' => '104','translate_name' => '«قل يا أيها الناس» أي أهل مكة «إن كنتم في شك من ديني» أنه حق «فلا أعبد الذين تعبدون من دون الله» أي غيره، وهو الأصنام لشككم فيه «ولكن أعبد الله الذي يتوفّاكم» يقبض أرواحكم «وأمرت أن» أي بأن «أكون من المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20177','chapter_id' => '10','chapter_detail_id' => '1469','translator_id' => '4','verse_number' => '105','translate_name' => '«و» قيل لي «أن أقمِ وجهك للدين حنيفا» مائلا إليه «ولا تكونن من المشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20178','chapter_id' => '10','chapter_detail_id' => '1470','translator_id' => '4','verse_number' => '106','translate_name' => '«ولا تدع» تعبد «من دون الله ما لا ينفعك» إن عبدته «ولا يضرك» إن لم تعبده «فإن فعلت» ذلك فرضا «فإنك إذًا من الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20179','chapter_id' => '10','chapter_detail_id' => '1471','translator_id' => '4','verse_number' => '107','translate_name' => '«وإن يَمسسك» يصبك «الله بضر» كفقر ومرض «فلا كاشف» رافع «له إلا هو وإن يردك بخير فلا راد» دافع «لفضله» الذي أرادك به «يصيب به» أي بالخير «من شاء من عباده وهو الغفور الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20180','chapter_id' => '10','chapter_detail_id' => '1472','translator_id' => '4','verse_number' => '108','translate_name' => '«قل يا أيها الناس» أي أهل مكة «قد جاءكم الحق من ربكم فمن اهتدى فإنما يهتدي لنفسه» لأن ثواب اهتدائه له «ومن ضل فإنما يضل عليها» لأن وبال ضلاله عليها «وما أنا عليكم بوكيل» فأجبركم على الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20181','chapter_id' => '10','chapter_detail_id' => '1473','translator_id' => '4','verse_number' => '109','translate_name' => '«واتبع ما يوحى إليك» من ربِّك «واصبر» على الدعوة وأذاهم «حتى يحكم الله» فيهم بأمره «وهو خير الحاكمين» أعدَلهم، وقد صبر حتى حكم على المشركين بالقتال وأهل الكتاب بالجزية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20182','chapter_id' => '11','chapter_detail_id' => '1474','translator_id' => '4','verse_number' => '1','translate_name' => '«الر» الله أعلم بمراده بذلك، هذا «كتاب أُحكمت آياته» بعجب النظم وبديع المعاني «ثم فصِّلت» بينت بالأحكام والقصص والمواعظ «من لَدُن حكيم خبير» أي الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20183','chapter_id' => '11','chapter_detail_id' => '1475','translator_id' => '4','verse_number' => '2','translate_name' => '«أ» أي بأن «لا تعبدوا إلا الله إنني لكم منه نذير» بالعذاب إن كفرتم «وبشير» بالثواب إن آمنتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20184','chapter_id' => '11','chapter_detail_id' => '1476','translator_id' => '4','verse_number' => '3','translate_name' => '«وأن استغفروا ربكم» من الشرك «ثم توبوا» ارجعوا «إليه» بالطاعة «يمتعكم» في الدنيا «متاعا حسنا» بطيب عيش وسعة رزق «إلى أجل مسمى» هو الموت «ويؤت» في الآخرة «كل ذي فضل» في العمل «فضله» جزاءه «وإن تولّوا» فيه حذف إحدى التاءين، أي تُعرضوا «فإني أخاف عليكم عذاب يوم كبير» هو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20185','chapter_id' => '11','chapter_detail_id' => '1477','translator_id' => '4','verse_number' => '4','translate_name' => '«إلى الله مرجعكم وهو على كل شيء قدير» ومنه الثواب والعذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20186','chapter_id' => '11','chapter_detail_id' => '1478','translator_id' => '4','verse_number' => '5','translate_name' => 'ونزل كما رواه البخاري عن ابن عباس فيمن كان يستحي أن يتخلى أو يجامع فيقبض إلى السماء وقبل في المنافقين «ألا إنهم يثنون صدورهم ليستخفوا منه» أي الله «ألا حين يستغشون ثيابهم» يتغطون بها «يعلم» تعالى «ما يُسرون وما يُعلنون» فلا يُغني استخفاؤهم «إنه عليم بذات الصدور» أي بما في القلوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20187','chapter_id' => '11','chapter_detail_id' => '1479','translator_id' => '4','verse_number' => '6','translate_name' => '«وما من» زائدة «دابة في الأرض» هي ما دبَّ عليها «إلا على الله رزقها» تكفل به فضلا منه تعالى «ويعلم مستقرها» مسكنها في الدنيا أو الصُلب «ومستودعها» من الموت أو في الرحم «كل» ما ذكر «في كتاب مبين» بيِّن هو اللوح المحفوظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20188','chapter_id' => '11','chapter_detail_id' => '1480','translator_id' => '4','verse_number' => '7','translate_name' => '«وهو الذي خلق السماوات والأرض في ستة أيام» أولها الأحد وآخرها الجمعة «وكان عرشه» قبل خلقهما «على الماء» وهو على متن الريح «ليبلوكم» متعلق بخلق أي خلقهما وما فيهما من منافع لكم ومصالح ليختبركم «أيكم أحسن عملا» أي أطوع لله «ولئن قلت» يا محمد لهم «إنكم مبعوثون من بعد الموت ليقولن الذين كفروا إن» ما «هذا» القرآن الناطق بالبعث أو الذي تقوله «إلا سحر مبين» بيَّن وفي قراءة ساحر: والمشار إليه النبي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20189','chapter_id' => '11','chapter_detail_id' => '1481','translator_id' => '4','verse_number' => '8','translate_name' => '«ولئن أخرنا عنهم العذاب إلى» مجيء «أمة» أوقات «معدودة ليقولن» استهزاء «ما يحبسه» ما يمنعه من النزول قال تعالى: «ألا يوم يأتيهم ليس مصروفا» مدفوعا «عنهم وحاق» نزل «بهم ما كانوا به يستهزئون» من العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20190','chapter_id' => '11','chapter_detail_id' => '1482','translator_id' => '4','verse_number' => '9','translate_name' => '«ولئن أذقنا الإنسان» الكافر «منا رحمة» غنى وصحة «ثم نزعناها منه إنه ليئوس» قنوط من رحمة الله «كفور» شديد الكفر به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20191','chapter_id' => '11','chapter_detail_id' => '1483','translator_id' => '4','verse_number' => '10','translate_name' => '«ولئن أذقناه نعماءَ بعد ضرَّاء» فقر وشدة «مَسَّته ليقولون ذهب السيئات» المصائب «عني» ولم يتوقع زوالها ولا شكر عليها «إنه لفرح» بطر «فخور» على الناس بما أوتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20192','chapter_id' => '11','chapter_detail_id' => '1484','translator_id' => '4','verse_number' => '11','translate_name' => '«إلا» لكن «الذين صبروا» على الضراء «وعملوا الصالحات» في النعماء «أولئك لهم مغفرة وأجر كبير» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20193','chapter_id' => '11','chapter_detail_id' => '1485','translator_id' => '4','verse_number' => '12','translate_name' => '«فلعلك» يا محمد «تارك بعض ما يوحى إليك» فلا تبلغهم إياه لتهاونهم به «وضائق به صدرك» بتلاوته عليهم لأجل «أن يقولوا لوْلا» هلا «أنزل عليه كنز أو جاء معه مَلَكٌ» يصدقه كما اقترحنا «إنما أنت نذير» فما عليك إلا البلاغ لا الإتيان بما اقترحوا «والله على كل شيء وكيل» حفيظ فيجازيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20194','chapter_id' => '11','chapter_detail_id' => '1486','translator_id' => '4','verse_number' => '13','translate_name' => '«أم» بل أ «يقولون افتراه» أي القرآن «قل فأتوا بعشر سور مثله» في الفصاحة والبلاغة «مفتريات» فإنكم عربيون فصحاء مثلي تحداهم بها أولا ثم بسورة «وادعوا» للمعاونة على ذلك «من استطعتم من دون الله» أي غيره «إن كنتم صادقين» في أنه افتراء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20195','chapter_id' => '11','chapter_detail_id' => '1487','translator_id' => '4','verse_number' => '14','translate_name' => '«فإ» ن «لم يستجيبوا لكم» أي من دعوتموهم للمعاونة «فاعلموا» خطاب للمشركين «أنما أنزل» ملتبسا «بعلم الله» وليس افتراء عليه «وأن» مخففة أي أنه «لا إله إلا هو فهل أنتم مسلمون» بعد هذه الحجة القاطعة أي أسلموا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20196','chapter_id' => '11','chapter_detail_id' => '1488','translator_id' => '4','verse_number' => '15','translate_name' => '«من كان يريد الحياة الدنيا وزينتها» بأن أصَرَّ على الشرك، وقيل هي في المرائين «نوفِّ إليهم أعمالهم» أي جزاء ما عملوه من خير كصدقة وصلة رحم «فيها» بأن نوسع عليهم رزقهم «وهم فيها» أي الدنيا «لا يبخسون» ينقصون شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20197','chapter_id' => '11','chapter_detail_id' => '1489','translator_id' => '4','verse_number' => '16','translate_name' => '«أولئك الذين ليس لهم في الآخرة إلا النار وحبط» بطل «ما صنعوا» ـه «فيها» أي الآخرة فلا ثواب له «وباطل ما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20198','chapter_id' => '11','chapter_detail_id' => '1490','translator_id' => '4','verse_number' => '17','translate_name' => '«أفمن كان على بيِّنة» بيان «من ربه» وهو النبي أو المؤمنون، وهي القرآن «ويتلوه» يتبعه «شاهد» له بصدقه «منه» أي من الله وهو جبريل «ومن قبله» القرآن «كتاب موسى» التوراة شاهد له أيضا «إماما ورحمة» حال كمن ليس كذلك؟ لا «أولئك» أي من كان على بينة «يؤمنون به» أي بالقرآن فلهم الجنة «ومن يكفر به من الأحزاب» جميع الكفار «فالنار موعده فلا تَكُ في مِرْيَةِ» شك «منه» من القرآن «إنه الحق من ربك ولكن أكثر الناس» أي أهل مكة «لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20199','chapter_id' => '11','chapter_detail_id' => '1491','translator_id' => '4','verse_number' => '18','translate_name' => '«ومن» أي لا أحد «أظلم ممن افترى على الله كذبا» بنسبة الشريك والولد إليه «أولئك يُعرضون على ربهم» يوم القيامة في جملة الخلق «ويقول الأشهاد» جمع شاهد، وهم الملائكة يشهدون للرسل بالبلاغ وعلى الكفار بالتكذيب «هؤلاء الذين كذبوا على ربهم ألا لعنة الله على الظالمين» المشركين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20200','chapter_id' => '11','chapter_detail_id' => '1492','translator_id' => '4','verse_number' => '19','translate_name' => '«الذين يصدون عن سبيل الله» دين الإسلام «ويبغونها» يطلبون السبيل «عوجا» «وهم بالآخرة هم» تأكيد «كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20201','chapter_id' => '11','chapter_detail_id' => '1493','translator_id' => '4','verse_number' => '20','translate_name' => '«أولئك لم يكونوا معجزين» الله «في الأرض وما كان لهم من دون الله» أي غيره «من أولياء» أنصار يمنعونهم من عذابه «يضاعف لهم العذاب» بإضلالهم غيرهم «وما كانوا يستطيعون السمع» للحق «وما كانوا يبصرونـ» ـه أي لفرط كراهتهم له كأنهم لم يستطيعوا ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20202','chapter_id' => '11','chapter_detail_id' => '1494','translator_id' => '4','verse_number' => '21','translate_name' => '«أولئك الذين خسروا أنفسهم» لمصيرهم إلى النار المؤبدة عليهم «وضلَّ» غاب «عنهم ما كانوا يفترون» على الله من دعوى الشريك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20203','chapter_id' => '11','chapter_detail_id' => '1495','translator_id' => '4','verse_number' => '22','translate_name' => '«لا جَرَمَ» حقا «أنهم في الآخرة هم الأخسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20204','chapter_id' => '11','chapter_detail_id' => '1496','translator_id' => '4','verse_number' => '23','translate_name' => '«إن الذين آمنوا وعملوا الصالحات وأخبتوا» سكنوا واطمأنوا أو أنابوا «إلى ربهم أولئك أصحاب الجنة هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20205','chapter_id' => '11','chapter_detail_id' => '1497','translator_id' => '4','verse_number' => '24','translate_name' => '«مثل» صفة «الفريقين» الكفار والمؤمنين «كالأعمى والأصم» هذا مثل الكافر «والبصير والسميع» هذا مثل المؤمن «هل يستويان مثلا» لا «أفلا تذَّكرون» فيه إدغام التاء في الأصل في الذال تتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20206','chapter_id' => '11','chapter_detail_id' => '1498','translator_id' => '4','verse_number' => '25','translate_name' => '«ولقد أرسلنا نوحا إلى قومه أني» أي بأني وفي قراءة بالكسر على حذف القول «لكم نذير مبين» بيّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20207','chapter_id' => '11','chapter_detail_id' => '1499','translator_id' => '4','verse_number' => '26','translate_name' => '«أن» أي بأن «لا تعبدوا إلا الله إني أخاف عليكم» إن عبتم غيره «عذاب يوم أليم» مؤلم في الدنيا والآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20208','chapter_id' => '11','chapter_detail_id' => '1500','translator_id' => '4','verse_number' => '27','translate_name' => '«فقال الملأ الذين كفروا من قومه» وهم الأشراف «ما نراك إلا بشرا مثلنا» ولا فضل لك علينا «وما نراك اتبعك إلا الذين هم أراذلنا» أسافلنا كالحاكة والأساكفة «بادئ الرأي» بالهمز وتركه أي ابتداء من غير تفكر فيك ونصبه على الظرف أي وقت حدوث أول رأيهم «وما نرى لكم علينا من فضل» فتستحقون به الاتباع منا «بل نظنكم كاذبين» في دعوى الرسالة أدرجوا قومه معه في الخطاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20209','chapter_id' => '11','chapter_detail_id' => '1501','translator_id' => '4','verse_number' => '28','translate_name' => '«قال يا قوم أرأيتم» أخبروني «إن كنت على بينة» بيان «من ربي وآتاني رحمة» نبوة «من عنده فَعَميتْ» خفيت «عليكم» وفي قراءة بتشديد الميم والبناء للمفعول «أنُلزمُكُموها» أنجبركم على قبولها «وأنتم لها كارهون» لا نقدر على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20210','chapter_id' => '11','chapter_detail_id' => '1502','translator_id' => '4','verse_number' => '29','translate_name' => '«ويا قوم لا أسألكم عليه» على تبليغ الرسالة «مالا» تعطونيه «إن» ما «أجري» ثوابي «إلا على الله وما أنا بطارد الذين آمنوا» كما أمرتموني «إنهم ملاقو ربهم» بالبعث فيجازيهم ويأخذ لهم ممن ظلمهم وطردهم «ولكني أراكم قوما تجهلون» عاقبة أمركم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20211','chapter_id' => '11','chapter_detail_id' => '1503','translator_id' => '4','verse_number' => '30','translate_name' => '«ويا قوم من ينصرني» يمنعني «من الله» أي عذابه «إن طردتهم» أي لا ناصر لي «أفلا» فهلا تذَّكرون» بإدغام التاء الثانية في الأصل في الذال تتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20212','chapter_id' => '11','chapter_detail_id' => '1504','translator_id' => '4','verse_number' => '31','translate_name' => '«ولا أقول لكم عندي خزائن الله ولا» إني «أعلم الغيب ولا أقول إني مَلَكٌ» بل أنا بشر مثلكم «ولا أقول للذين تزدري» تحتقر «أعينكم لن يؤتيهم الله خيرا الله أعلم بما في أنفسهم» قلوبهم «إني إذًا» إن قلت ذلك «لمن الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20213','chapter_id' => '11','chapter_detail_id' => '1505','translator_id' => '4','verse_number' => '32','translate_name' => '«قالوا يا نوح قد جادلتنا» خاصمتنا «فأكثرت جدالنا فأتنا بما تعدنا» به من العذاب «إن كنت من الصادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20214','chapter_id' => '11','chapter_detail_id' => '1506','translator_id' => '4','verse_number' => '33','translate_name' => '«قال إنما يأتيكم به الله إن شاء» تعجيله لكم فإن أمره إليه لا إليَّ «وما أنتم بمعجزين» بفائتين الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20215','chapter_id' => '11','chapter_detail_id' => '1507','translator_id' => '4','verse_number' => '34','translate_name' => '(ولا ينفعكم نصحي إن أردت أن أنصح لكم إن كان الله يريد أن يغويكم) أي إغواءكم، وجواب الشرط دل عليه "" ولا ينفعكم نصحي "" (هو ربكم وإليه ترجعون) قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20216','chapter_id' => '11','chapter_detail_id' => '1508','translator_id' => '4','verse_number' => '35','translate_name' => '«أم» بل أ «يقولون» أي كفار مكة «افتراه» اختلق محمد القرآن «قل إن افتريته فعليَّ إجرامي» إثمي، أي عقوبته «وأنا بريء مما تجرمون» من إجرامكم في نسبة الافتراء إلي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20217','chapter_id' => '11','chapter_detail_id' => '1509','translator_id' => '4','verse_number' => '36','translate_name' => '(وأوحي إلى نوح أنه لن يؤمن من قومك إلا من قد آمن فلا تبتئس) تحزن (بما كانوا يفعلون) من الشرك فدعا عليهم بقوله، "" رب لا تذر على الأرض "" إلخ، فأجاب الله دعاءه فقال:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20218','chapter_id' => '11','chapter_detail_id' => '1510','translator_id' => '4','verse_number' => '37','translate_name' => '«واصنع الفلك» السفينة «بأعيننا» بمرأى منا وحفظنا «ووحينا» أمرنا «ولا تخاطبني في الذين ظلموا» كفروا بترك إهلاكهم «إنهم مُغرقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20219','chapter_id' => '11','chapter_detail_id' => '1511','translator_id' => '4','verse_number' => '38','translate_name' => '«ويصنع الفلك» حكاية حال ماضية «وكلما مرَّ عليه ملاٌ» جماعة «من قومه سخروا منه» استهزءوا به «قال إن تسخروا منا فإنا نسخر منكم كما تسخرون» إذا نجونا وغرقتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20220','chapter_id' => '11','chapter_detail_id' => '1512','translator_id' => '4','verse_number' => '39','translate_name' => '«فسوف تعلمون من» موصولة مفعول العلم «يأتيه عذاب يخزيه ويحلّ» ينزل «عليه عذاب مقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20221','chapter_id' => '11','chapter_detail_id' => '1513','translator_id' => '4','verse_number' => '40','translate_name' => '«حتى» غاية للصنع «إذا جاء أمرنا» بإهلاكهم «وفار التنور» للخباز بالماء وكان ذلك علامة لنوح «قلنا احمل فيها» في السفينة «من كلِ زوجين» ذكرا وأنثى، أي من كل أنواعهما «اثنين» ذكرا وأنثى وهو مفعول وفي القصة أن الله حشر لنوح السباع والطير وغيرها، فجعل يضرب بيديه في كل نوع فتقع يده اليمنى على الذكر واليسرى على الأنثى فيحملهما في السفينة «وأهلك» أي زوجته وأولاده «إلا من سبق عليه القول» أي منهم بالإهلاك وهو زوجته وولده كنعان بخلاف سام وحام ويافث فحملهم وزوجاتهم الثلاثة «ومن آمن وما آمن معه إلا قليل» قيل كانوا ستة رجال ونساءهم وقيل: جميع من كان في السفينة ثمانون نصفهم رجال ونصفهم نساء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20222','chapter_id' => '11','chapter_detail_id' => '1514','translator_id' => '4','verse_number' => '41','translate_name' => '«وقال» نوح «اركبوا فيها بسم الله مجراها ومرساها» بفتح الميمين وضمهما مصدران أي جريها ورسوها أي منتهى سيرها «إن ربي لغفور رحيم» حيث لم يهلكنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20223','chapter_id' => '11','chapter_detail_id' => '1515','translator_id' => '4','verse_number' => '42','translate_name' => '«وهي تجري بهم في موج كالجبال» في الارتفاع والعظم «ونادى نوح ابنه» كنعان «وكان في معزل» عن السفينة «يا بني اركب معنا ولا تكن مع الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20224','chapter_id' => '11','chapter_detail_id' => '1516','translator_id' => '4','verse_number' => '43','translate_name' => '«قال سآوي إلى جبل يعصمني» يمنعني «من الماء قال لا عاصم اليوم من أمر الله» عذابه «إلا» لكن «من رحم» الله فهو المعصوم قال تعالى «وحال بينهما الموج فكان من المغرقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20225','chapter_id' => '11','chapter_detail_id' => '1517','translator_id' => '4','verse_number' => '44','translate_name' => '«وقيل يا أرض ابلعي ماءك» الذي نبع منك فشربته دون ما نزل من السماء فصار أنهارا وبحارا «ويا سماء أقلعي» أمسكي عن المطر فأمسكت «وغيض» نقص «الماء وقضي الأمر» تم أمر هلاك قوم نوح «واستوت» وقفت السفينة «على الجودِي» جبل بالجزيرة بقرب الموصل «وقيل بُعدا» هلاكا «للقوم الظالمين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20226','chapter_id' => '11','chapter_detail_id' => '1518','translator_id' => '4','verse_number' => '45','translate_name' => '«ونادى نوح ربه فقال رب إن ابني» كنعان «من أهلي» وقد وعدتني بنجاتهم «وإن وعدك الحق» الذي لا خلف فيه «وأنت أحكم الحاكمين» أعلمهم وأعدلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20227','chapter_id' => '11','chapter_detail_id' => '1519','translator_id' => '4','verse_number' => '46','translate_name' => '«قال» تعالى «يا نوح إنه ليس من أهلك» الناجين أو من أهل دينك «إنه» أي سؤالك إياي بنجاته «عمل غير صالح» فإنه كافر ولا نجاة للكافرين وفي قراءة بكسر ميم عمل فعل ونصب غير فالضمير لابنه «فلا تسألنّ» بالتشديد والتخفيف «وما ليس لك به علم» من إنجاء ابنك «إني أعظك أن تكون من الجاهلين» بسؤالك ما لم تعلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20228','chapter_id' => '11','chapter_detail_id' => '1520','translator_id' => '4','verse_number' => '47','translate_name' => '«قال ربّ إني أعوذ بك» من «أن أسألك ما ليس لي به علم وإلا تغفر لي» ما فرط مني «وترحمني أكن من الخاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20229','chapter_id' => '11','chapter_detail_id' => '1521','translator_id' => '4','verse_number' => '48','translate_name' => '«قيل يا نوح اهبط» انزل من السفينة «بسلام» بسلامة أو بتحية «منا وبركات» خيرات «عليك وعلى أمم ممن معك» في السفينة أي من أولادهم وذريتهم وهم المؤمنون «وأمم» بالرفع ممن معك «سنمتعهم» في الدنيا «ثم يَمَسُّهم منا عذاب أليم» في الآخرة وهم الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20230','chapter_id' => '11','chapter_detail_id' => '1522','translator_id' => '4','verse_number' => '49','translate_name' => '«تلك» أي هذه الآيات المتضمنة قصة نوح «من أنباء الغيب» أخبار ما غاب عنك «نوحيها إليك» يا محمد «ما كنت تعلمها أنت ولا قومك من قبل هذا» القرآن «فاصبر» على التبليغ وأذى قومك كما صبر نوح «إن العاقبة» المحمودة «للمتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20231','chapter_id' => '11','chapter_detail_id' => '1523','translator_id' => '4','verse_number' => '50','translate_name' => '«و» أرسلنا «إلى عاد أخاهم» من القبيلة «هودا قال يا قوم اعبدوا الله» وَحِّدوهُ «ما لكم من» زائدة «إله غيره إن» ما «أنتم» في عبادتكم الأوثان «إلا مفترون» كاذبون على الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20232','chapter_id' => '11','chapter_detail_id' => '1524','translator_id' => '4','verse_number' => '51','translate_name' => '«يا قوم لا أسألكم عليه» على التوحيد «أجرا إن» ما «أجري إلا على الذي فطرني» خلقني «أفلا تعقلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20233','chapter_id' => '11','chapter_detail_id' => '1525','translator_id' => '4','verse_number' => '52','translate_name' => '«ويا قوم استغفروا ربكم» من الشرك «ثم توبوا» ارجعوا «إليه» بالطاعة «يرسل السماء» المطر وكانوا قد منعوه «عليكم مِدرارا» كثير الدرور «ويزدكم قوة إلى» مع «قوتكم» بالمال والولد «ولا تتولوا مجرمين» مشركين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20234','chapter_id' => '11','chapter_detail_id' => '1526','translator_id' => '4','verse_number' => '53','translate_name' => '«قالوا يا هود ما جئتنا ببيِّنة» برهان على قولك «وما نحن بتاركي آلهتنا عن قولك» أي لقولك «وما نحن لك بمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20235','chapter_id' => '11','chapter_detail_id' => '1527','translator_id' => '4','verse_number' => '54','translate_name' => '«إن» ما «نقول» في شأنك «إلا اعتراك» أصابك «بعض آلهتنا بسوءٍ» فخبلك لسبك إياها فأنت تهذي «قال إني أشهد الله» عليَّ «واشهدوا أني بريء مما تشركونـ» ـه به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20236','chapter_id' => '11','chapter_detail_id' => '1528','translator_id' => '4','verse_number' => '55','translate_name' => '«من دونه فكيدوني» احتالوا في هلاكي «جميعا» أنتم وأوثانكم «ثم لا تُنظرون» تمهلون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20237','chapter_id' => '11','chapter_detail_id' => '1529','translator_id' => '4','verse_number' => '56','translate_name' => '«إني توكلت على الله ربي وربكم ما من» زائدة «دابة» نسمة تدب على الأرض «إلا هو آخذ بناصيتها» أي مالكها وقاهرها فلا نفع ولا ضرر إلا بإذنه، وخص الناصية بالذكر لأن من أخذ بناصيته يكون في غاية الذل «إن ربي على صراط مستقيم» أي طريق الحق والعدل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20238','chapter_id' => '11','chapter_detail_id' => '1530','translator_id' => '4','verse_number' => '57','translate_name' => '«فإن تولوْا» فيه حذف إحدى التاءين، أي تعرضوا «فقد أبلغتكم ما أرسلت به إليكم ويستخلف ربي قوما غيركم ولا تضرونه شيئا» بإشراككم «إن ربي على كل شيء حفيظ» رقيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20239','chapter_id' => '11','chapter_detail_id' => '1531','translator_id' => '4','verse_number' => '58','translate_name' => '«ولما جاء أمرنا» عذابنا «نجينا هودا والذين آمنوا معه برحمة» هداية «منا ونجيناهم من عذاب غليظ» شديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20240','chapter_id' => '11','chapter_detail_id' => '1532','translator_id' => '4','verse_number' => '59','translate_name' => '«قيل يا نوح اهبط» انزل من السفينة «بسلام» بسلامة أو بتحية «منا وبركات» خيرات «عليك وعلى أمم ممن معك» في السفينة أي من أولادهم وذريتهم وهم المؤمنون «وأمم» بالرفع ممن معك «سنمتعهم» في الدنيا «ثم يَمَسُّهم منا عذاب أليم» في الآخرة وهم الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20241','chapter_id' => '11','chapter_detail_id' => '1533','translator_id' => '4','verse_number' => '60','translate_name' => '«وأتبعوا في هذه الدنيا لعنة» من الناس «ويوم القيامة» لعنة على رءوس الخلائق «ألا إن عادا كفروا» جحدوا «ربهم ألا بُعدا» من رحمة الله «لعاد قوم هود».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20242','chapter_id' => '11','chapter_detail_id' => '1534','translator_id' => '4','verse_number' => '61','translate_name' => '«و» أرسلنا «إلى ثمود أخاهم» من القبيلة «صالحا قال يا قوم اعبدوا الله» وحدوه «ما لكم من إله غيره هو أنشأكم» ابتدأ خلقكم «من الأرض» بخلق أبيكم آدم منها «واستعمركم فيها» جعلكم عمارا تسكنون بها «فاستغفروه» من الشرك «ثم توبوا» ارجعوا «إليه» بالطاعة «إن ربي قريب» من خلقه بعلمه «مجيب» لمن سأله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20243','chapter_id' => '11','chapter_detail_id' => '1535','translator_id' => '4','verse_number' => '62','translate_name' => '«قالوا يا صالح قد كنت فينا مرجوًّا» نرجو أن تكون سيدا «قبل هذا» الذي صدر منك «أتنهانا أن نعبد ما يعبد آباؤنا» من الأوثان «وإننا لفي شك مما تدعونا إليه» من التوحيد «مريب» موقع في الريب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20244','chapter_id' => '11','chapter_detail_id' => '1536','translator_id' => '4','verse_number' => '63','translate_name' => '«قال يا قوم أرأيتم إن كنت على بيِّنة» بيان «من ربي وآتاني منه رحمة» نبوة «فمن ينصرني» يمنعني «من الله» أي عذابه «إن عصيته فما تزيدونني» بأمركم لي بذلك «غير تخسير» تضليل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20245','chapter_id' => '11','chapter_detail_id' => '1537','translator_id' => '4','verse_number' => '64','translate_name' => '«ويا قوم هذه ناقة الله لكم آية» حال عامله الإشارة «فذروها تأكل في أرض الله ولا تمسوها بسوء» عقر «فيأخذكم عذاب قريب» إن عقرتموها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20246','chapter_id' => '11','chapter_detail_id' => '1538','translator_id' => '4','verse_number' => '65','translate_name' => '«فعقروها» عقرها قدار بأمرهم «فقال» صالح «تمتعوا» عيشوا «في داركم ثلاثة أيام» ثم تهلكون «ذلك وعدٌ غير مكذوب» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20247','chapter_id' => '11','chapter_detail_id' => '1539','translator_id' => '4','verse_number' => '66','translate_name' => '«فلما جاء أمرنا» بإهلاكهم «نجَّينا صالحا والذين آمنوا معه» وهم أربعة آلاف «برحمة منا و» نجيناهم «من خزي يومِئذ» بكسر الميم إعرابا وفتحها بناء لإضافته إلى مبني وهو الأكثر «إن ربك هو القوي العزيز» الغالب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20248','chapter_id' => '11','chapter_detail_id' => '1540','translator_id' => '4','verse_number' => '67','translate_name' => '«وأخذ الذين ظلموا الصيحة فأصبحوا في ديارهم جاثمين» باركين على الركب ميِّتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20249','chapter_id' => '11','chapter_detail_id' => '1541','translator_id' => '4','verse_number' => '68','translate_name' => '«كأن» مخففة واسمها محذوف أي كأنهم «لم يَغنوا» يقيموا «فيها» في دارهم «ألا إن ثمود كفروا ربهم ألا بُعدا لثمود» بالصرف وتركه على معنى الحي والقبيلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20250','chapter_id' => '11','chapter_detail_id' => '1542','translator_id' => '4','verse_number' => '69','translate_name' => '«ولقد جاءت رسلنا إبراهيم بالبشرى» بإسحاق ويعقوب بعده «قالوا سلاما» مصدر «قال سلام» عليكم «فما لبث أن جاء بعجل حنيذِ» مشوي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20251','chapter_id' => '11','chapter_detail_id' => '1543','translator_id' => '4','verse_number' => '70','translate_name' => '«فلما رأى أيديهم لا تصل إليه نكرهم» بمعنى أنكرهم «وأوجس» أضمر في نفسه «منهم خيفة» خوفا «قالوا لا تخف إنا أرسلنا إلى قوم لوط» لنهلكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20252','chapter_id' => '11','chapter_detail_id' => '1544','translator_id' => '4','verse_number' => '71','translate_name' => '«وامرأته» أي امرأة إبراهيم سارة «قائمة» تخدمهم «فضحكت» استبشارا بهلاكهم «فبشرناها بإسحاق ومن وراء» بعد «إسحاق يعقوب» ولده تعيش إلى أن تراه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20253','chapter_id' => '11','chapter_detail_id' => '1545','translator_id' => '4','verse_number' => '72','translate_name' => '«قالت يا ويلتى» كلمة تقال عند أمر عظيم والألف مبدلة من ياء الإضافة «أألد وأنا عجوز» لي تسع وتسعون سنة «وهذا بعلي شيخا» له مائة وعشرون نصبه على الحال والعامل فيه ما في ذا من الإشارة «إن هذا لشيء عجيب» أن يولد ولد لهرمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20254','chapter_id' => '11','chapter_detail_id' => '1546','translator_id' => '4','verse_number' => '73','translate_name' => '«قالوا أتعجبين من أمر الله» قدرته «رحمة الله وبركاته عليكم» يا «أهل البيت» بيت إبراهيم «إنه حميد» محمود «مجيد» كريم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20255','chapter_id' => '11','chapter_detail_id' => '1547','translator_id' => '4','verse_number' => '74','translate_name' => '«فلما ذهب عن إبراهيم الروع» الخوف «وجاءته البشرى» بالولد أخذ «يجادلنا» يجادل رسلنا «في» شأن «قوم لوط».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20256','chapter_id' => '11','chapter_detail_id' => '1548','translator_id' => '4','verse_number' => '75','translate_name' => '«إن إبراهيم لحليم» كثير الأناة «أوَّاهٌ مُنيب» رجّاع، فقال لهم أتهلكون قرية فيها ثلاثمائة مؤمن؟ قالوا لا، أفتهلكون قرية فيها مائتا مؤمن؟ قالوا لا، قال أفتهلكون قرية فيها أربعون مؤمنا؟ قالوا لا، قال أفتهلكون قرية فيها أربعة عشر مؤمنا؟ قالوا لا، قال أفرأيتم إن كان فيها مؤمن واحد قالوا لا، إن فيها لوطا قالوا نحن أعلم بمن فيها إلخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20257','chapter_id' => '11','chapter_detail_id' => '1549','translator_id' => '4','verse_number' => '76','translate_name' => 'فلما أطال مجادلتهم قالوا: «يا إبراهيم أعرض عن هذا» الجدال «إنه قد جاء أمر ربك» بهلاكهم «وإنهم آتيهم عذاب غير مردود».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20258','chapter_id' => '11','chapter_detail_id' => '1550','translator_id' => '4','verse_number' => '77','translate_name' => '«ولما جاءت رسلنا لوطا سيء بهم» حزن بسبهم «وضاق بهم ذرعا» صدرا لأنهم حسان الوجوه في صورة أضياف فخاف عليهم قومه «وقال هذا يوم عصيب» شديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20259','chapter_id' => '11','chapter_detail_id' => '1551','translator_id' => '4','verse_number' => '78','translate_name' => '«وجاءه قومه» لما علموا بهم «يُهرعون» يسرعون «إليه ومن قبل» قبل مجيئهم «كانوا يعملون السيئات» وهي إتيان الرجال في الأدبار «قال» لوط «يا قوم هؤلاء بناتي» فتزوجوهن «هن أطهر لكم فاتقوا الله ولا تخزون» تفضحون «في ضيفي» أضيافي «أليس منكم رجل رشيد» يأمر بالمعروف وينهى عن المنكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20260','chapter_id' => '11','chapter_detail_id' => '1552','translator_id' => '4','verse_number' => '79','translate_name' => '«قالوا لقد علمت ما لنا في بناتك من حق» حاجة «وإنك لتعلم ما نريد» من إتيان الرجال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20261','chapter_id' => '11','chapter_detail_id' => '1553','translator_id' => '4','verse_number' => '80','translate_name' => '«قال لو أن لي بكم قوة» طاقة «أو آوي إلى ركن شديد» عشيرة تنصرني لبطشت بكم فلما رأت الملائكة ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20262','chapter_id' => '11','chapter_detail_id' => '1554','translator_id' => '4','verse_number' => '81','translate_name' => '«قالوا يا لوط إنا رسل ربك لن يصلوا إليك» بسوء «فأسرِ بأهلك بقطع» طائفة «من الليل ولا يلتفت منكم أحد» لئلا يرى عظيم ما ينزل بهم «إلا امرأتُك» بالرفع بدل من أحد وفي قراءة بالنصب استثناء من الأهل أي فلا تسر بها «إنه مصيبها ما أصابهم» فقيل لم يخرج بها وقيل خرجت والتفتت فقالت واقوماه فجاءها حجر فقتلها، وسألهم عن وقت هلاكهم فقالوا «إن موعدهم الصبح» فقال أريد أعجل من ذلك قالوا «أليس الصبح بقريب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20263','chapter_id' => '11','chapter_detail_id' => '1555','translator_id' => '4','verse_number' => '82','translate_name' => '«فلما جاء أمرنا» بإهلاكهم «جعلنا عاليها» أي قراهم «سافلها» أي بأن رفعها جبريل إلى السماء وأسقطها مقلوبة إلى الأرض «وأمطرنا عليها حجارة من سجيل» طين طبخ بالنار «منضود» متتابع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20264','chapter_id' => '11','chapter_detail_id' => '1556','translator_id' => '4','verse_number' => '83','translate_name' => '«مُسوَّمة» معلمة عليها اسم من يرمى بها «عند ربك» ظرف لها «وما هي» الحجارة أو بلادهم «من الظالمين» أي أهل مكة «ببعيد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20265','chapter_id' => '11','chapter_detail_id' => '1557','translator_id' => '4','verse_number' => '84','translate_name' => '«و» أرسلنا «إلى مدين أخاهم شعيبا قال يا قوم اعبدوا الله» وَحّدوه «ما لكم من إله غيره ولا تنقصوا المكيال والميزان إني أراكم بخير» نعمة تغنيكم عن التطفيف «وإني أخاف عليكم» إن لم تؤمنوا «عذاب يوم محيط» بكم يهلككم ووصف اليوم به مجاز لوقوعه فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20266','chapter_id' => '11','chapter_detail_id' => '1558','translator_id' => '4','verse_number' => '85','translate_name' => '«ويا قوم أوفوا المكيال والميزان» أتموهما «بالقسط» بالعدل «ولا تبخسوا الناس أشياءهم» لا تنقصوهم من حقهم شيئا «ولا تعثوا في الأرض مفسدين» بالقتل وغيره من عثي بكسر المثلثة أفسد ومفسدين حال مؤكدة لمعنى عاملها تعثوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20267','chapter_id' => '11','chapter_detail_id' => '1559','translator_id' => '4','verse_number' => '86','translate_name' => '«بقيَّتُ الله» رزقه الباقي لكم بعد إيفاء الكيل والوزن «خير لكم» من البخس «إن كنتم مؤمنين» «وما أنا عليكم بحفيظ» رقيب أجازيكم بأعمالكم إنما بعثت نذيرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20268','chapter_id' => '11','chapter_detail_id' => '1560','translator_id' => '4','verse_number' => '87','translate_name' => '«قالوا» له استهزاء «يا شعيب أصلاتك تأمرك» بتكليف «أن نترك ما يعبد آباؤنا» من الأصنام «أو» نترك «أن نفعل في أموالنا ما نشاء» المعنى هذا أمر باطل لا يدعو إليه داع بخير «إنك لأنت الحليم الرشيد» قالوا ذلك استهزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20269','chapter_id' => '11','chapter_detail_id' => '1561','translator_id' => '4','verse_number' => '88','translate_name' => '«قال يا قوم أرأيتم إن كنت على بينة من ربي ورزقني منه رزقا حسنا» حلالا أفأشوبه بالحرام من البخس والتطفيف «وما أريد أن أخالفكم» وأذهب «إلى ما أنهاكم عنه» فأرتكبه «إن» ما «أريد إلا الإصلاح» لكم بالعدل «ما استطعت وما توفيقي» قدرتي على ذلك وغيره من الطاعات «إلا بالله عليه توكلت وإليه أنيب» أرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20270','chapter_id' => '11','chapter_detail_id' => '1562','translator_id' => '4','verse_number' => '89','translate_name' => '«ويا قوم لا يجرمنكم» يكسبنكم «شقاقي» خلافي فاعل يجرم والضمير مفعول أول، والثاني «أن يصيبكم مثل ما أصاب قوم نوح أو قوم هود أو قوم صالح» من العذاب «وما قوم لوط» أي منازلهم أو زمن هلاكهم «منكم ببعيد» فاعتبروا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20271','chapter_id' => '11','chapter_detail_id' => '1563','translator_id' => '4','verse_number' => '90','translate_name' => '«واستغفروا ربكم ثم توبوا إليه إن ربي رحيم» بالمؤمنين «ودود» محب لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20272','chapter_id' => '11','chapter_detail_id' => '1564','translator_id' => '4','verse_number' => '91','translate_name' => '«قالوا» إيذانا بقلة المبالاة «يا شعيب ما نفقهُ» نفهم «كثيرا مما تقول وإنا لنراك فينا ضعيفا» ذليلا «ولولا رهطك» عشيرتك «لرجمناك» بالحجارة «وما أنت علينا بعزيز» كريم عن الرجم وإنما رهطك هم الأعزة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20273','chapter_id' => '11','chapter_detail_id' => '1565','translator_id' => '4','verse_number' => '92','translate_name' => '«قال يا قوم أرهطي أعز عليكم من الله» فتتركوا قتلي لأجلهم ولا تحفظوني لله «واتخذتموه» أي الله «وراءكم ظهريا» منبوذا خلف ظهوركم لا تراقبونه «إن ربي بما تعملون محيط» علما فيجازيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20274','chapter_id' => '11','chapter_detail_id' => '1566','translator_id' => '4','verse_number' => '93','translate_name' => '«ويا قوم اعملوا على مكانتكم» حالتكم «إني عاملٌ» على حالتي «سوف تعلمون من» موصولة مفعول العلم «يأتيه عذاب يخزيه ومن هو كاذب وارتقبوا» انتظروا عاقبة أمركم «إني معكم رقيب» منتظر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20275','chapter_id' => '11','chapter_detail_id' => '1567','translator_id' => '4','verse_number' => '94','translate_name' => '«ولما جاء أمرنا» بإهلاكهم «نجينا شعيبا والذين آمنوا معه برحمة منا وأخذت الذين ظلموا الصيحة» صاح بهم جبريل «فأصبحوا في ديارهم جاثمين» باركين على الركب ميتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20276','chapter_id' => '11','chapter_detail_id' => '1568','translator_id' => '4','verse_number' => '95','translate_name' => '«كأن» مخففة: أي كأنهم «لم يغنوا» يقيموا «فيها ألا بُعدا لمدين كما بعدت ثمود».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20277','chapter_id' => '11','chapter_detail_id' => '1569','translator_id' => '4','verse_number' => '96','translate_name' => '«ولقد أرسلنا موسى بآياتنا وسلطان مبين» برهان بيّن ظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20278','chapter_id' => '11','chapter_detail_id' => '1570','translator_id' => '4','verse_number' => '97','translate_name' => '«إلى فرعون وَمَلئِهِ فاتبعوا أمر فرعون وما أمرُ فرعون برشيد» سديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20279','chapter_id' => '11','chapter_detail_id' => '1571','translator_id' => '4','verse_number' => '98','translate_name' => '«يقدم» يتقدم «قومه يوم القيامة» فيتبعونه كما اتبعوه في الدنيا «فأوردهم» أدخلهم «النار وبئس الوِرْدُ المورودُ» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20280','chapter_id' => '11','chapter_detail_id' => '1572','translator_id' => '4','verse_number' => '99','translate_name' => '«وأتبعوا في هذه» أي الدنيا «لعنةّ ويوم القيامة» لعنة «بئس الرِّفد» العون «المرفود» رفدهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20281','chapter_id' => '11','chapter_detail_id' => '1573','translator_id' => '4','verse_number' => '100','translate_name' => '«ذلك» المذكور مبتدأ خبره «من أنباء القرى نقصّه عليك» يا محمد «منها» أي القرى «قائم» هلك أهله دونه «و» منها «حصيد» هلك بأهله فلا أثر له كالزرع المحصود بالمناجل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20282','chapter_id' => '11','chapter_detail_id' => '1574','translator_id' => '4','verse_number' => '101','translate_name' => '«وما ظلمناهم» بإهلاكهم بغير ذنب «ولكن ظلموا أنفسهم» بالشرك «فما أغنت» دفعت «عنهم آلهتهم التي يدعون» يعبدون «من دون الله» أي غيره «من» زائدة «شيء لما جاء أمر ربك» عذابه «وما زادوهم» بعبادتهم لها «غير تتبيب» تخسير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20283','chapter_id' => '11','chapter_detail_id' => '1575','translator_id' => '4','verse_number' => '102','translate_name' => '«وكذلك» مثل ذلك الأخذ «أخذ ربك إذا أخذ القرى» أريد أهلها «وهي ظالمة» بالذنوب: أي فلا يغني عنهم من أخذه شيء «إن أخذه أليم شديد» روى الشيخان عن أبي موسى الأشعري قال: قال رسول الله صلى الله عليه وسلم (إن الله ليملي للظالم حتى إذا أخذه لم يفلته)، ثم قرأ رسول الله صلى الله عليه وسلم (وكذلك أخذ ربك) الآية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20284','chapter_id' => '11','chapter_detail_id' => '1576','translator_id' => '4','verse_number' => '103','translate_name' => '«إن في ذلك» المذكور من القصص «لآية» لعبرة «لمن خاف عذاب الآخرة ذلك» أي يوم القيامة «يوم مجموع له» فيه «الناس وذلك يوم مشهود» يشهده جميع الخلائق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20285','chapter_id' => '11','chapter_detail_id' => '1577','translator_id' => '4','verse_number' => '104','translate_name' => '«وما نؤخره إلا لأجل معدود» لوقت معلوم عند الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20286','chapter_id' => '11','chapter_detail_id' => '1578','translator_id' => '4','verse_number' => '105','translate_name' => '«يوم يأت» ذلك اليوم «لا تكلم» فيه حذف إحدى التاءين «نفس إلا بإذنه» تعالى «فمنهم» أي الخلق «شقي و» منهم «سعيد» كتب كل في الأزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20287','chapter_id' => '11','chapter_detail_id' => '1579','translator_id' => '4','verse_number' => '106','translate_name' => '«فأما الذين شقوا» في علمه تعالى «ففي النار لهم فيها زفير» صوت شديد «وشهيق» صوت ضعيف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20288','chapter_id' => '11','chapter_detail_id' => '1580','translator_id' => '4','verse_number' => '107','translate_name' => '«خالدين فيها ما دامت السماوات والأرض» أي مدة دوامهما في الدنيا «إلا» غير «ما شاء ربك» من الزيادة على مدتهما مما لا منتهى له والمعنى خالدين فيها أبدا «إن ربك فعال لما يريد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20289','chapter_id' => '11','chapter_detail_id' => '1581','translator_id' => '4','verse_number' => '108','translate_name' => '«وأما الذين سَُعدوا» بفتح السين وضمها «ففي الجنة خالدين فيها ما دامت السماوات والأرض إلا» غير «ما شاء ربك» كما تقدم، ودل عليه فيهم قوله «عطاءً غير مجذوذ» مقطوع وما تقدم من التأويل هو الذي ظهر وهو خال من التكلف والله أعلم بمراده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20290','chapter_id' => '11','chapter_detail_id' => '1582','translator_id' => '4','verse_number' => '109','translate_name' => '«فلا تَكُ» يا محمد «في مرية» شك «مما يعبد هؤلاء» من الأصنام إنا نعذبهم كما عذبنا من قبلهم وهذا تسلية للنبي صلى الله عليه وسلم «ما يعبدون إلا كما يعبد آباؤهم» أي كعبادتهم «من قبل» وقد عذبناهم «وإنا لموفوهم» مثلهم «نصيبهم» حظهم من العذاب «غير منقوص» أي تاما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20291','chapter_id' => '11','chapter_detail_id' => '1583','translator_id' => '4','verse_number' => '110','translate_name' => '«ولقد آتينا موسى الكتاب» التوراة «فاختلف فيه» بالتصديق والتكذيب كالقرآن «ولولا كلمة سبقت من ربك» بتأخير الحساب والجزاء للخلائق إلى يوم القيامة «لقضي بينهم» في الدنيا فيما اختلفوا فيه «وإنهم» أي المكذِّبين به «لفي شك منه مريب» موقع في الريبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20292','chapter_id' => '11','chapter_detail_id' => '1584','translator_id' => '4','verse_number' => '111','translate_name' => '«وإن» بالتخفيف والتشديد «كلا» أي كل الخلائق «لما» ما زائدة واللام موطئة لقسم مقدر أو فارقة وفي قراءة بتشديد لما بمعنى إلا فإن نافية «ليوفينهم ربك أعمالهم» أي جزاءها «إنه بما يعملون خبير» عالم ببواطنه كظواهره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20293','chapter_id' => '11','chapter_detail_id' => '1585','translator_id' => '4','verse_number' => '112','translate_name' => '«فاستقم» على العمل بأمر ربك والدعاء إليه «كما أمرت و» ليستقم «من تاب» آمن «معك ولا تطغوْا» تجاوزوا حدود الله «إنه بما تعملون بصير» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20294','chapter_id' => '11','chapter_detail_id' => '1586','translator_id' => '4','verse_number' => '113','translate_name' => '«ولا تركنوا» تميلوا «إلى الذين ظلموا» بمودة أو مداهنة أو رضا بأعمالهم «فتمسكم» تصيبكم «النار وما لكم من دون الله» أي غيره «من» زائدة «أولياء» يحفظونكم منه «ثم لا تنصرون» تمتعون من عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20295','chapter_id' => '11','chapter_detail_id' => '1587','translator_id' => '4','verse_number' => '114','translate_name' => '(وأقم الصلاة طرفي النهار) الغداة والعشي أي: الصبح والظهر والعصر (وزلفا) جمع زلفة أي: طائفة (من الليل) المغرب والعشاء (إن الحسنات) كالصلوات الخمس (يذهبن السيئات) الذنوب الصغائر نزلت فيمن قبل أجنبية فأخبره النبي صلى الله عليه وسلم فقال ألي هذا؟ فقال "" لجميع أمتي كلهم "" رواه الشيخان (ذلك ذكرى للذاكرين) عظة للمتعظين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20296','chapter_id' => '11','chapter_detail_id' => '1588','translator_id' => '4','verse_number' => '115','translate_name' => '«واصبر» يا محمد على أذى قومك أو على الصلاة «فإن الله لا يضيع أجر المحسنين» بالصبر على الطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20297','chapter_id' => '11','chapter_detail_id' => '1589','translator_id' => '4','verse_number' => '116','translate_name' => '«فلولا» فهلا «كان من القرون» الأمم الماضية «من قبلكم أولو بقية» أصحاب دين وفضل «ينهون عن الفساد في الأرض» المراد به النفي: أي ما كان فيهم ذلك «إلا» لكن «قليلا ممن أنجينا منهم» نهوا فنجوا ومن للبيان «واتبع الذين ظلموا» بالفساد وترك النهي «ما أترفوا» نعموا «فيه وكانوا مجرمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20298','chapter_id' => '11','chapter_detail_id' => '1590','translator_id' => '4','verse_number' => '117','translate_name' => '«وما كان ربك ليهلك القرى بظلم» منه لها «وأهلها مصلحون» مؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20299','chapter_id' => '11','chapter_detail_id' => '1591','translator_id' => '4','verse_number' => '118','translate_name' => '«ولو شاء ربك لجعل الناس أمَّة واحدة» أهل دين واحد «ولا يزالون مختلفين» في الدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20300','chapter_id' => '11','chapter_detail_id' => '1592','translator_id' => '4','verse_number' => '119','translate_name' => '«إلا من رحم ربك» أراد لهم الخير فلا يختلفون فيه «ولذلك خلقهم» أي أهل الاختلاف له وأهل الرحمة لها «وتمت كلمة ربك» وهي «لأملأن جهنم من الجِنَّة والناس أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20301','chapter_id' => '11','chapter_detail_id' => '1593','translator_id' => '4','verse_number' => '120','translate_name' => '«وكلا» نصب بنقص وتنوينه عوض المضاف إليه أي كل ما يحتاج إليه «نقص عليك من أنباء الرسل ما» بدل من «كلا»، «نثبت» نطمئن «به فؤادك» قلبك «وجاءك في هذه» الأنباء أو الآيات «الحق وموعظة وذكرى للمؤمنين» خصوا بالذكر لانتفاعهم بها في الإيمان بخلاف الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20302','chapter_id' => '11','chapter_detail_id' => '1594','translator_id' => '4','verse_number' => '121','translate_name' => '«وقل للذين لا يؤمنون اعملوا على مكانتكم» حالتكم «إنا عاملون» على حالتنا تهديد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20303','chapter_id' => '11','chapter_detail_id' => '1595','translator_id' => '4','verse_number' => '122','translate_name' => '«وانتظروا» عاقبة أمركم «إنا منتظرون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20304','chapter_id' => '11','chapter_detail_id' => '1596','translator_id' => '4','verse_number' => '123','translate_name' => '«ولله غيب السماوات والأرض» أي علم ما غاب فيهما «وإليه يَرجع» بالبناء للفاعل يعود وللمفعول يرد «الأمر كله» فينتقم ممن عصى «فاعبده» وحده «وتوكل عليه» ثق به فإنه كافيك «وما ربك بغافل عما يعملون» وإنما يؤخرهم لوقتهم وفي قراءة بالفوقانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20305','chapter_id' => '12','chapter_detail_id' => '1597','translator_id' => '4','verse_number' => '1','translate_name' => '«الر» الله أعلم بمراده بذلك «تلك» هذه الآيات «آيات الكتاب» القرآن والإضافة بمعنى من «المبين» المظهر للحق من الباطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20306','chapter_id' => '12','chapter_detail_id' => '1598','translator_id' => '4','verse_number' => '2','translate_name' => '«إنا أنزلناه قرآنا عربيا» بلغة العرب «لعلكم» يا أهل مكة «تعقلون» تفقهون معانيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20307','chapter_id' => '12','chapter_detail_id' => '1599','translator_id' => '4','verse_number' => '3','translate_name' => '«نحن نقص عليك أحسن القصص بما أوحينا» بإيحائنا «إليك هذا القرآن وإن» مخففة أي وإنه «كنت من قبله لمن الغافلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20308','chapter_id' => '12','chapter_detail_id' => '1600','translator_id' => '4','verse_number' => '4','translate_name' => 'اذكر «إذ قال يوسف لأبيه» يعقوب «يا أبت» بالكسر دلالة على ياء الإضافة المحذوفة والفتح دلالة على ألف محذوفة قلبت عن الياء «إني رأيت» في المنام «أحد عشر كوكبا والشمس والقمر رأيتهم» تأكيد «لي ساجدين» جمع بالياء والنون للوصف بالسجود الذي هو من صفات العقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20309','chapter_id' => '12','chapter_detail_id' => '1601','translator_id' => '4','verse_number' => '5','translate_name' => '«قال يا بني لا تقصص رؤياك على إخوتك فيكيدوا لك كيدا» يحتالون في هلاكك حسدا لعلمهم بتأويلها من أنهم الكواكب والشمس أمك والقمر أبوك «إن الشيطان للإنسان عدو مبين» ظاهر العداوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20310','chapter_id' => '12','chapter_detail_id' => '1602','translator_id' => '4','verse_number' => '6','translate_name' => '«وكذلك» كما رأيت «يجتبيك» يختارك «ربك ويعلمك من تأويل الأحاديث» تعبير الرؤيا «ويتم نعمته عليك» بالنبوة «وعلى آل يعقوب» أولاده «كما أتمها» بالنبوة «على أبويك من قبل إبراهيم وإسحاق إن ربك عليم» بخلقه «حكيم» في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20311','chapter_id' => '12','chapter_detail_id' => '1603','translator_id' => '4','verse_number' => '7','translate_name' => '«لقد كان في» خبر «يوسف وإخوته» وهم أحد عشر «آيات» عبر «للسائلين» عن خبرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20312','chapter_id' => '12','chapter_detail_id' => '1604','translator_id' => '4','verse_number' => '8','translate_name' => 'اذكر «إذ قالوا» أي بعض إخوة يوسف لبعضهم «ليوسف» مبتدأ «وأخوه» شقيقه بنيامين «أحب» خبر «إلى أبينا منا ونحن عصبة» جماعة «إن أبانا لفي ضلال» خطأ «مبين» بين بإيثارهما علينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20313','chapter_id' => '12','chapter_detail_id' => '1605','translator_id' => '4','verse_number' => '9','translate_name' => '«اقتلوا يوسف أو اطرحوه أرضا» أي بأرض بعيدة «يخل لكم وجه أبيكم» بأن يقبل عليكم ولا يلتفت لغيركم «وتكونوا من بعده» أي بعد قتل يوسف أو طرحه «قوما صالحين» بأن تتوبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20314','chapter_id' => '12','chapter_detail_id' => '1606','translator_id' => '4','verse_number' => '10','translate_name' => '«قال قائل منهم» هو يهوذا «لا تقتلوا يوسف وألقوه» اطرحوه «في غيابت الجب» مظلم البئر في قراءة بالجمع «يلتقطه بعض السيارة» المسافرين «إن كنتم فاعلين» ما أردتم من التفريق فاكتفوا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20315','chapter_id' => '12','chapter_detail_id' => '1607','translator_id' => '4','verse_number' => '11','translate_name' => '«قالوا يا أبانا مالك لا تأمنا على يوسف وإنا له لناصحون» لقائمون بمصالحه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20316','chapter_id' => '12','chapter_detail_id' => '1608','translator_id' => '4','verse_number' => '12','translate_name' => '«أرسله معنا غدا» إلى الصحراء «نرتع ونلعب» بالنون والياء فيهما ننشط ونتسع «وإنَّا له لحافظون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20317','chapter_id' => '12','chapter_detail_id' => '1609','translator_id' => '4','verse_number' => '13','translate_name' => '«قال إني ليحزنني أن تذهبوا» أي ذهابكم «به» لفراقه «وأخاف أن يأكله الذئب» المراد به الجنس وكانت أرضهم كثيرة الذئاب «وأنتم عنه غافلون» مشغلون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20318','chapter_id' => '12','chapter_detail_id' => '1610','translator_id' => '4','verse_number' => '14','translate_name' => '«قالوا لإن» لام قسم «أكله الذئب ونحن عصبة» جماعة «إنا إذا لخاسرون» عاجزون فأرسله معهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20319','chapter_id' => '12','chapter_detail_id' => '1611','translator_id' => '4','verse_number' => '15','translate_name' => '«فلما ذهبوا به وأجمعوا» عزموا «أن يجعلوه في غيابت الجب» وجواب لما محذوف أي فعلوا ذلك بأن نزعوا قميصه بعد ضربه وإهانته وإرادة قتله وأدلوه فلما وصل إلى نصف البئر ألقوه ليموت فسقط في الماء ثم أوى إلى صخرة فنادوه فأجابهم يظن رحمتهم فأرادوا رضخه بصخرة فمنعهم يهوذا «وأوحينا إليه» في الجب وحي حقيقة وله سبع عشرة سنة أو دونها تطمينا لقلبه «لتنبئنهم» بعد اليوم «بأمرهم» بصنيعهم «هذا وهم لا يشعرون» بك حال الإنباء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20320','chapter_id' => '12','chapter_detail_id' => '1612','translator_id' => '4','verse_number' => '16','translate_name' => '«وجاءُوا أباهم عِشاءً» وقت المساء «يبكون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20321','chapter_id' => '12','chapter_detail_id' => '1613','translator_id' => '4','verse_number' => '17','translate_name' => '«قالوا يا أبانا إنا ذهبا نستبقُ» نرمي «وتركنا يوسف عند متاعنا» ثيابنا «فأكله الذئب وما أنت بمؤمن» بمصدق «لنا ولو كنا صادقين» عندك لاتهمتنا في هذه القصة لمحبة يوسف فكيف وأنت تسيء الظن بنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20322','chapter_id' => '12','chapter_detail_id' => '1614','translator_id' => '4','verse_number' => '18','translate_name' => '«وجاءُوا على قميصه» محله نصب على الظرفية أي فوقه «بدم كذب» أي ذي كذب بأن ذبحوا سخلة ولطخوه بدمها وذهلوا عن شقه وقالوا إنه دمه «قال» يعقوب لما رآه صحيحا وعلم كذبهم «بل سوَّلت» زينت «لكم أنفسكم أمرا» ففعلتموه به «فصبر جميل» لا جزع فيه، وهو خبر مبتدأ محذوف أي أمري «والله المستعان» المطلوب منه العون «على ما تصفون» تذكرون من أمر يوسف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20323','chapter_id' => '12','chapter_detail_id' => '1615','translator_id' => '4','verse_number' => '19','translate_name' => '«وجاءت سيارة» مسافرون من مدين إلى مصر فنزلوا قريبا من جب يوسف «فأرسلوا واردهم» الذي يرد الماء ليستقي منه «فأدلى» أرسل «دلوه» في البئر فتعلق بها يوسف فأخرجه فلما رآه «قال يا بشراي» وفي قراءة بشرى ونداؤها مجاز أي احضري فهذا وقتك «هذا غلام» فعلم به إخوته فأتوه «وأسَرُّوه» أي أخفوا أمره جاعليه «بضاعة» بأن قالوا هذا عبدنا أبق، وسكت يوسف خوفا من أن يقتلوه «والله عليم بما يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20324','chapter_id' => '12','chapter_detail_id' => '1616','translator_id' => '4','verse_number' => '20','translate_name' => '«وشروه» باعوه منهم «بثمن بخس» ناقص «دراهم معدودة» عشرين أو اثنين وعشرين «وكانوا» أي إخوته «فيه من الزاهدين» فجاءت به السيارة إلى مصر فباعه الذي اشتراه بعشرين دينارا وزوجي نعل وثوبين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20325','chapter_id' => '12','chapter_detail_id' => '1617','translator_id' => '4','verse_number' => '21','translate_name' => '«وقال الذي اشتراه من مصر» وهو قطفير العزيز «لامرأته» زليخا «أكرمي مثواه» مقامه عندنا «عسى أن ينفعنا أو نتخذه ولدا» وكان حصورا «وكذلك» كما نجيناه من القتل والجب وعطفنا عليه قلب العزيز «مكنَّا ليوسف في الأرض» أرض مصر حتى بلغ ما بلغ «ولنعلِّمه من تأويل الأحاديث» تعبير الرؤيا عطف على مقدر متعلق بمكنا أي لنملكه أو الواو زائدة «والله غالب على أمره» تعالى لا يعجزه شيء «ولكن أكثر الناس» وهم الكفار «لا يعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20326','chapter_id' => '12','chapter_detail_id' => '1618','translator_id' => '4','verse_number' => '22','translate_name' => '«ولما بلغ أشده» وهو ثلاثون سنة أو وثلاث «آتيناه حكما» حكمة «وعلما» فقها في الدين قبل أن يبعث نبيا «وكذلك» كما جزيناه «نجزي المحسنين» لأنفسهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20327','chapter_id' => '12','chapter_detail_id' => '1619','translator_id' => '4','verse_number' => '23','translate_name' => '«وراودته التي هو في بيتها» هي زليخا «عن نفسه» أي طلبت منه أن يواقعها «وغلَّقت الأبواب» للبيت «وقالت» له «هيْت لك» أي هلم واللام للتبيين وفي قراءة بكسر الهاء وأخرى بضم التاء «قال معاذ الله» أعوذ بالله من ذلك «إنه» الذي اشتراني «ربي» سيدي «أحسن مثواي» مقامي فلا أخونه في أهله «إنه» أي الشأن «لا يفلح الظالمون» الزناة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20328','chapter_id' => '12','chapter_detail_id' => '1620','translator_id' => '4','verse_number' => '24','translate_name' => '«ولقد همَّت به» قصدت منه الجماع «وهمَّ بها» قصد ذلك «لولا أن رأى برهان ربه» قال ابن عباس مَثُل له يعقوب فضرب صدره فخرجت شهوته من أنامله وجواب لولا لجامعها «كذلك» أريناه البرهان «لنصرف عنه السوء» الخيانة «والفحشاء» الزنا «إنه من عبادنا المخلصين» في الطاعة وفي قراءة بفتح اللام أي المختارين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20329','chapter_id' => '12','chapter_detail_id' => '1621','translator_id' => '4','verse_number' => '25','translate_name' => '«واستبقا الباب» بادر إليه يوسف للفرار وهي للتشبث به فأمسكت ثوبه وجذبته إليها «وقدَّت» شقت «قميصه من دبر وألفيا» وجدا «سيدها» زوجها «لدى الباب» فنزعت نفسها ثم «قالت ما جزاء من أراد بأهلك سوءا» زنا «إلا أن يسجن» يحبس في سجن «أو عذاب أليم» مؤلم بأن يضرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20330','chapter_id' => '12','chapter_detail_id' => '1622','translator_id' => '4','verse_number' => '26','translate_name' => '«قال» يوسف متبرئا «هي راودتني عن نفسي وشهد شاهد من أهلها» ابن عمها، روي أنه كان في المهد فقال «إن كان قميصه قُدَّ من قُبل» قدام «فصدقت وهو من الكاذبين»','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20331','chapter_id' => '12','chapter_detail_id' => '1623','translator_id' => '4','verse_number' => '27','translate_name' => '«وإن كان قميصه قُدَّ من دبُر» خلف «فكذبت وهو من الصادقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20332','chapter_id' => '12','chapter_detail_id' => '1624','translator_id' => '4','verse_number' => '28','translate_name' => '«فلما رأى» زوجها «قميصه قُدّ من دبر قال إنه» أي قولك (ما جزاء من أراد) إلخ «من كيدكن» أيها النساء «إن كيدكن عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20333','chapter_id' => '12','chapter_detail_id' => '1625','translator_id' => '4','verse_number' => '29','translate_name' => 'ثم قال يا «يوسف أعرض عن هذا» الأمر ولا تذكره لئلا يشيع «واستغفري» يا زليخا «لذنبك إنك كنت من الخاطئين» الآثمين، واشتهر الخبر وشاع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20334','chapter_id' => '12','chapter_detail_id' => '1626','translator_id' => '4','verse_number' => '30','translate_name' => '«وقال نسوة في المدينة» مدينة مصر «امرأة العزيز تراود فتاها» عبدها «عن نفسه قد شغفها حبا» تمييز، أي دخل حبه شغاف قلبها، أي غلافه «إنا لنراها في ضلال» أي في خطأ «مبين» بيِّن بحبها إياه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20335','chapter_id' => '12','chapter_detail_id' => '1627','translator_id' => '4','verse_number' => '31','translate_name' => '«فلما سمعت بمكرهن» غيبتهن لها «أرسلت إليهن وأعتدت» أعدت «لهن متكأ» طعاما يقطع بالسكين للاتكاء عنده وهو الأترج «وآتت» أعطت «كل واحدة منهن سكينا وقالت» ليوسف «اخرج عليهن فلما رأينه أكبرنه» أعظمنه «وقطَّعن أيديهن» بالسكاكين ولم يشعرن بالألم لشغل قلبهن بيوسف «وقلن حاش لله» تنزيها له «ما هذا» أي يوسف «بشرا إن» ما «هذا إلا ملك كريم» لما حواه من الحسن الذي لا يكون عادة في النسمة البشرية، وفي الحديث (أنه أعطي شطر الحسن).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20336','chapter_id' => '12','chapter_detail_id' => '1628','translator_id' => '4','verse_number' => '32','translate_name' => '«قالت» امرأة العزيز لما رأت ما حل بهن «فذلكن» فهذا هو «الذي لمتنني فيه» في حبه بيان لعذرها «ولقد راودته عن نفسه فاستعصم» امتنع «ولإن لم يفعل ما آمره» به «ليسجنن وليكونا من الصاغرين» الذليلين فقلن له أطع مولاتك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20337','chapter_id' => '12','chapter_detail_id' => '1629','translator_id' => '4','verse_number' => '33','translate_name' => '«قال رب السجن أحبُ إليّ مما يدعونني إليه وإلا تصرف عني كيدهن أصْبُ» أمل «إليهن وأكن» أصر «من الجاهلين» المذنبين والقصد بذلك الدعاء فلذا قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20338','chapter_id' => '12','chapter_detail_id' => '1630','translator_id' => '4','verse_number' => '34','translate_name' => '«فاستجاب له ربه» دعاءه «فصرف عنه كيدهن إنه هو السميع» للقول «العليم» بالفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20339','chapter_id' => '12','chapter_detail_id' => '1631','translator_id' => '4','verse_number' => '35','translate_name' => '«ثم بدا» ظهر «لهم من بعد ما رأوا الآيات» الدالات على براءة يوسف أن يسجنوه دل على هذا «ليسجننه حتى» إلى «حين» ينقطع فيه كلام الناس فسجن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20340','chapter_id' => '12','chapter_detail_id' => '1632','translator_id' => '4','verse_number' => '36','translate_name' => '«ودخل معه السجن فتيان» غلامان للملك أحدهما ساقيه والآخر صاحب طعامه فرأياه يعبر الرؤيا فقالا لنختبرنه «قال أحدهما» وهو الساقي «إني أراني أعصر خمرا» أي عنبا «وقال الآخر» وهو صاحب الطعام «إني أراني أحمل فوق رأسي خبزا تأكل الطير منه نبئنا» خبرنا «بتأويله» بتعبيره «إنا نراك من المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20341','chapter_id' => '12','chapter_detail_id' => '1633','translator_id' => '4','verse_number' => '37','translate_name' => '«قال» لهما مخبرا أنه عالم بتعبير الرؤيا «لا يأتيكما طعام ترزقانه» في منامكما «إلا نبأتكما بتأويله» في اليقظة «قبل أن يأتيكما» تأويله «ذلكما مما علمني ربي» فيه حث على إيمانهما ثم قوّاه بقوله «إني تركت ملة» دين «قوم لا يؤمنون بالله وهم بالآخرة هم» تأكيد «كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20342','chapter_id' => '12','chapter_detail_id' => '1634','translator_id' => '4','verse_number' => '38','translate_name' => '«واتبعت ملة آبائي إبراهيم وإسحاق ويعقوب ما كان» ينبغي «لنا أن نشرك بالله من» زائدة «شيء» لعصمتنا «ذلك» التوحيد «من فضل الله علينا وعلى الناس ولكن أكثر الناس» وهم الكفار «لا يشكرون» الله فيشركون ثم صرح بدعائهما إلى الإيمان فقال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20343','chapter_id' => '12','chapter_detail_id' => '1635','translator_id' => '4','verse_number' => '39','translate_name' => '«يا صاحبي» ساكني «السجن أأرباب متفرقون خير أم الله الواحد القهار» خير؟ استفهام تقرير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20344','chapter_id' => '12','chapter_detail_id' => '1636','translator_id' => '4','verse_number' => '40','translate_name' => '«ما تعبدون من دونه» أي غيره «إلا أسماء سميتموها» سميتم بها أصناما «أنتم وآباؤكم ما أنزل الله بها» بعادتها «من سلطان» حجة وبرهان «إن» ما «الحكم» القضاء «إلا لله» وحده «أمر ألا تعبدوا إلا إياه ذلك» التوحيد «الدين القيم» المستقيم «ولكنَّ أكثر الناس» وهم الكفار «لا يعلمون» ما يصيرون إليه من العذاب فيشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20345','chapter_id' => '12','chapter_detail_id' => '1637','translator_id' => '4','verse_number' => '41','translate_name' => '«يا صاحبي السجن أما أحدكما» أي الساقي فيخرج بعد ثلاث «فيسقي ربه» سيده «خمرا» على عادته «وأما الآخر» فيخرج بعد ثلاث «فيصلب فتأكل الطير من رأسه» هذا تأويل رؤياكما فقالا ما رأينا شيئا فقال «قضي» تمَّ «الأمر الذي فيه تستفتيان» سألتما عنه صدقتما أم كذبتما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20346','chapter_id' => '12','chapter_detail_id' => '1638','translator_id' => '4','verse_number' => '42','translate_name' => '«وقال للذي ظن» أيقن «أنه ناج منهما» وهو الساقي «اذكرني عند ربك» سيدك فقل له إن في السجن غلاما محبوسا ظلما فخرج «فأنساه» أي الساقي «الشيطان ذكْرَ» يوسف عند «ربه فلبث» مكث يوسف «في السجن بضع سنين» قيل سبعا وقيل اثنتي عشرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20347','chapter_id' => '12','chapter_detail_id' => '1639','translator_id' => '4','verse_number' => '43','translate_name' => '«وقال الملك» ملك مصر الريان بن الوليد «إني أرى» أي رأيت «سبع بقرات سمان يأكلهن» يبتلعهن «سبع» من البقر «عجاف» جمع عجفاء «وسبع سنبلات خضر وأخر» أي سبع سنبلات «يابسات» قد التوت على الخضر وعلت عليها «يا أيها الملأ أفتوني في رؤياي» بينوا لي تعبيرها «إن كنتم للرؤيا تعبرون» فاعبروها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20348','chapter_id' => '12','chapter_detail_id' => '1640','translator_id' => '4','verse_number' => '44','translate_name' => '«قالوا» هذه «أضغاث أحلام» أخلاط «وما نحن بتأويل الأحلام بعالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20349','chapter_id' => '12','chapter_detail_id' => '1641','translator_id' => '4','verse_number' => '45','translate_name' => '«وقال الذي نجا منهما» أي من الفَتَيِيْنِ وهو الساقي «وادَّكر» فيه إبدال التاء في الأصل دالا وإدغامها في الدال أي تذكر «بعد أُمَّةٍ» حينِ حال يوسف «أنا أنبئكم بتأويله فأرسلون» فأرسلوه فأتى يوسف فقال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20350','chapter_id' => '12','chapter_detail_id' => '1642','translator_id' => '4','verse_number' => '46','translate_name' => 'يا «يوسف أيها الصدّيق» الكثير الصدق «أفتنا في سبع بقرات سمان يأكلهن سبع عجاف وسبع سنبلات خضر وأخر يابسات لعلي أرجع إلى الناس» أي الملك وأصحابه «لعلهم يعلمون» تعبيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20351','chapter_id' => '12','chapter_detail_id' => '1643','translator_id' => '4','verse_number' => '47','translate_name' => '«قال تزرعون» أي ازرعوا «سبع سنين دأبا» متتابعة وهي تأويل السبع السمان «فما حصدتم فذروه» أي اتركوه «في سنبله» لئلا يفسد «إلا قليلا مما تأكلون» فادرسوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20352','chapter_id' => '12','chapter_detail_id' => '1644','translator_id' => '4','verse_number' => '48','translate_name' => '«ثم يأتي من بعد ذلك» أي السبع المخصبات «سبع شداد» مجدبات صعاب وهي تأويل السبع العجاف «يأكلن ما قدمتم لهن» من الحب المزروع في السنين المخصبات أي تأكلونه «إلا قليلا مما تحصنون» تدخرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20353','chapter_id' => '12','chapter_detail_id' => '1645','translator_id' => '4','verse_number' => '49','translate_name' => '«ثم يأتي من بعد ذلك» أي السبع المجدبات «عام فيه يغاث الناس» بالمطر «وفيه يعصرون» الأعناب وغيرها لخصبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20354','chapter_id' => '12','chapter_detail_id' => '1646','translator_id' => '4','verse_number' => '50','translate_name' => '«وقال الملك» لما جاءه الرسول وأخبره بتأويلها «ائتوني به» أي بالذي عبرها «فلما جاءه» أي يوسف «الرسول» وطلبه للخروج «قال» قاصدا إظهار براءته «ارجع إلى ربك فاسأله» أن يسأل «ما بال» حال «النسوة اللاتي قطعن أيديهن إن ربي» سيدي «بكيدهن عليم» فرجع فأخبر الملك فجمعهن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20355','chapter_id' => '12','chapter_detail_id' => '1647','translator_id' => '4','verse_number' => '51','translate_name' => '«قال ما خطبكن» شأنكن «إذ راودتن يوسف عن نفسه» هل وجدتن منه ميلا إليكن «قلن حاش لله ما علمنا عليه من سوء قالت امرأة العزيز الآن حصحص» وضح «الحق أنا راودته عن نفسه وإنه لمن الصادقين» في قوله (هي راودتني عن نفسي) فأخبر يوسف بذلك فقال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20356','chapter_id' => '12','chapter_detail_id' => '1648','translator_id' => '4','verse_number' => '52','translate_name' => '«ذلك» أي طلب البراءة «ليعلم» العزيز «أني لم أخنه» في أهله «بالغيب» حال «وأن الله لا يهدي كيد الخائنين» ثم تواضع لله فقال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20357','chapter_id' => '12','chapter_detail_id' => '1649','translator_id' => '4','verse_number' => '53','translate_name' => '«وما أبري نفسي» من الزلل «إن النفس» الجنس «لأمَّارة» كثيرة الأمر «بالسوء إلا ما» بمعنى من «رحم ربي» فعصمه «إن ربي غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20358','chapter_id' => '12','chapter_detail_id' => '1650','translator_id' => '4','verse_number' => '54','translate_name' => '«وقال الملك ائتوني به أستخلصه لنفسي» أجعله خالصا لي دون شريك فجاءه الرسول وقال: أجب الملك فقام وودع أهل السجن ودعا لهم ثم اغتسل ولبس ثيابا حسانا ودخل عليه «فلما كلمه قال» له «إنك اليوم لدينا مكين أمين» ذو مكانة وأمانة على أمرنا فماذا ترى أن نفعل؟ قال: اجمع الطعام وازرع زرعا كثيرا في هذه السنين المخصبة وادخر الطعام في سنبله فتأتي إليك الخلق ليمتاروا منك فقال: ومن لي بهذا؟.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20359','chapter_id' => '12','chapter_detail_id' => '1651','translator_id' => '4','verse_number' => '55','translate_name' => '«قال» يوسف «اجعلني على خزائن الأرض» أرض مصر «إني حفيظ عليم» ذو حفظ وعلم بأمرها، وقيل كاتب حاسب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20360','chapter_id' => '12','chapter_detail_id' => '1652','translator_id' => '4','verse_number' => '56','translate_name' => '«وكذلك» كإنعامنا عليه بالخلاص من السجن «مكنَّا ليوسف في الأرض» أرض مصر «يتبوّأُ» ينزل «منها حيث يشاء» بعد الضيق والحبس وفي القصة أن الملك توَّجه وختَّمه وولاه مكان العزيز وعزله ومات بعد، فزوجه امرأته فوجدها عذراء وولدت له ولدين، وأقام العدل بمصر ودانت له الرقاب «نصيب برحمتنا من نشاء ولا نضيع أجر المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20361','chapter_id' => '12','chapter_detail_id' => '1653','translator_id' => '4','verse_number' => '57','translate_name' => '«ولأجر الآخرة خير» من أجر الدنيا «للذين آمنوا وكانوا يتقون» ودخلت سنو القحط وأصاب أرض كنعان والشام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20362','chapter_id' => '12','chapter_detail_id' => '1654','translator_id' => '4','verse_number' => '58','translate_name' => '«وجاء إخوة يوسف» إلا بنيامين ليمتاروا لما بلغهم أن عزيز مصر يعطي الطعام بثمنه «فدخلوا عليه فعرفهم» أنهم إخوته «وهم له منكرون» لا يعرفونه لبعد عهدهم به وظنهم هلاكه فكلموه بالعبرانية فقال كالمنكر عليهم: ما أقدمكم بلادي؟ فقالوا للميرة فقال لعلكم عيون قالوا معاذ الله قال فمن أين أنتم؟ قالوا من بلاد كنعان وأبونا يعقوب نبي الله، قال وله أولاد غيركم؟ قالوا نعم كنا اثني عشر فذهب أصغرنا هلك في البرية وكان أحبَّنا إليه وبقي شقيقه فاحتبسه ليتسلى به عنه فأمر بإنزالهم وإكرامهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20363','chapter_id' => '12','chapter_detail_id' => '1655','translator_id' => '4','verse_number' => '59','translate_name' => '«ولما جهزهم بجهازهم» وفى لهم كيلهم «قال ائتوني بأخ لكم من أبيكم» أي بنيامين لأعلم صدقكم فيما قلتم «ألا ترون أني أوفي الكيل» أتمه من غير بخس «وأنا خير المنزلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20364','chapter_id' => '12','chapter_detail_id' => '1656','translator_id' => '4','verse_number' => '60','translate_name' => '«فإن لم تأتوني به فلا كيل لكم عندي» أي ميرة «ولا تقربون» نهي أو عطف على محل فلا كيل أي تحرموا ولا تقربوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20365','chapter_id' => '12','chapter_detail_id' => '1657','translator_id' => '4','verse_number' => '61','translate_name' => '«قالوا سنراود عنه أباه» سنجتهد في طلبه منه «وإنا لفاعلون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20366','chapter_id' => '12','chapter_detail_id' => '1658','translator_id' => '4','verse_number' => '62','translate_name' => '«وقال لفتيته» وفي قراءة لفتيانه غلمانه «اجعلوا بضاعتهم» التي أتوا بها ثمن الميرة وكانت دراهم «في رحالهم» أوعيتهم «لعلهم يعرفونها إذا انقلبوا إلى أهلهم» وفرغوا أوعيتهم «لعلم يرجعون» إلينا لأنهم لا يستحلون إمساكها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20367','chapter_id' => '12','chapter_detail_id' => '1659','translator_id' => '4','verse_number' => '63','translate_name' => '«فلما رجعوا إلى أبيهم قالوا: يا أبانا منع منا الكيل» إن لم ترسل أخانا إليه «فأرسل معنا أخانا نكتل» بالنون والياء «وإنا له لحافظون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20368','chapter_id' => '12','chapter_detail_id' => '1660','translator_id' => '4','verse_number' => '64','translate_name' => '«قال هل» ما «آمنكم عليه إلا كما أمنتكم على أخيه» يوسف «من قبل» وقد فعلتم به ما فعلتم «فالله خير حفظا» وفي قراءة حافظا تمييز كقولهم لله دره فارسا «وهو أرحم الراحمين» فأرجو أن يمن بحفظه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20369','chapter_id' => '12','chapter_detail_id' => '1661','translator_id' => '4','verse_number' => '65','translate_name' => '«ولما فتحوا متاعهم وجدوا بضاعتهم ردت إليهم قالوا يا أبانا ما نبغي» ما استفهامية أي أيَّ نطلب من إكرام الملك أعظم من هذا وقرئ بالفوقانية خطابا ليعقوب وكانوا ذكروا له إكرامه لهم «هذه بضاعتنا ردت إلينا ونمير أهلنا» تأتي بالميرة لهم وهي الطعام «ونحفظ أخانا ونزداد كيل بعير» لأخينا «ذلك كيل يسير» سهل على الملك لسخائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20370','chapter_id' => '12','chapter_detail_id' => '1662','translator_id' => '4','verse_number' => '66','translate_name' => '«قال لن أرسله معكم حتى تؤتون موثقا» عهدا «من الله» بأن تحلفوا «لتأتنني به إلا أن يحاط بكم» بأن تموتوا أو تغلبوا فلا تطيقوا الإتيان به فأجابوه إلى ذلك «فلما آتوه موثقهم» بذلك «قال الله على ما نقول» نحن وأنتم «وكيل» شهيد وأرسله معهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20371','chapter_id' => '12','chapter_detail_id' => '1663','translator_id' => '4','verse_number' => '67','translate_name' => '«وقال يا بني لا تدخلوا» مصر «من باب واحد وادخلوا من أبواب متفرقة» لئلا تصيبكم العين «وما أغني» أدفع «عنكم» بقولي ذلك «من الله من» زائدة «شيء» قدَّره عليكم وإنما ذلك شفقة «إن» ما «الحكم إلا لله» وحده «عليه توكلت» به وثقت «وعليه فليتوكل المتوكلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20372','chapter_id' => '12','chapter_detail_id' => '1664','translator_id' => '4','verse_number' => '68','translate_name' => '«قال تعالى: «ولما دخلوا من حيث أمرهم أبوهم» أي متفرقين «ما كان يغني عنهم من الله» أي قضائه «من» زائدة «شيء إلا» لكن «حاجة في نفس يعقوب قضاها» وهي إرادة دفع العين شفقة «وإنه لذو علم لما علمناه» لتعليمنا إياه «ولكن أكثر الناس» وهم الكفار «لا يعلمون» إلهام الله لأصفيائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20373','chapter_id' => '12','chapter_detail_id' => '1665','translator_id' => '4','verse_number' => '69','translate_name' => '«ولما دخلوا على يوسف آوى» ضم «إليه أخاه قال إني أنا أخوك فلا تبتئس» تحزن «بما كانوا يعملون» من الحسد لنا وأمره ألا يخبرهم وتواطأ معه على أنه سيحتال على أن يبقيه عنده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20374','chapter_id' => '12','chapter_detail_id' => '1666','translator_id' => '4','verse_number' => '70','translate_name' => '«فلما جهزهم بجهازهم جعل السقاية» هي صاع من الذهب مرصع بالجوهر «في رحل أخيه» بنيامين «ثم أذن مؤذن» نادى مناد بعد انفصالهم عن مجلس يوسف «أيتها العير» القافلة «إنكم لسارقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20375','chapter_id' => '12','chapter_detail_id' => '1667','translator_id' => '4','verse_number' => '71','translate_name' => '«قالوا و» قد «أقبلوا عليهم ماذا» ما الذي «تفقدونـ» ـه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20376','chapter_id' => '12','chapter_detail_id' => '1668','translator_id' => '4','verse_number' => '72','translate_name' => '«قالوا نفقد صواع» صاع «الملك ولمن جاء به حمل بعير» من الطعام «وأنا به» بالحمل «زعيم» كفيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20377','chapter_id' => '12','chapter_detail_id' => '1669','translator_id' => '4','verse_number' => '73','translate_name' => '«قالوا تالله» قسم فيه معنى التعجب «لقد علمتم ما جئنا لنفسد في الأرض وما كنا سارقين» ما سرقنا قط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20378','chapter_id' => '12','chapter_detail_id' => '1670','translator_id' => '4','verse_number' => '74','translate_name' => '«قالوا» أي المؤذن وأصحابه «فما جزاؤه» أي السارق «إن كنتم كاذبين» في قولكم ما كنا سارقين ووجد فيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20379','chapter_id' => '12','chapter_detail_id' => '1671','translator_id' => '4','verse_number' => '75','translate_name' => '«قالوا جزاؤه» مبتدأ خبره «من وجد في رحله» يُسْتَرق ثم أكد بقوله «فهو» أي السارق «جزاؤه» أي المسروق لا غير وكانت سنة آل يعقوب «كذلك» الجزاء «نجزي الظالمين» بالسرقة فصرحوا ليوسف بتفتيش أوعيتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20380','chapter_id' => '12','chapter_detail_id' => '1672','translator_id' => '4','verse_number' => '76','translate_name' => '«فبدأ بأوعيتهم» ففتشها «قبل وعاء أخيه» لئلا يتهم «ثم استخرجها» أي السقاية «من وعاء أخيه» قال تعالى: «كذلك» الكيد «كدنا ليوسف» علمناه الاحتيال في أخذ أخيه «ما كان» يوسف «ليأخذ أخاه» رقيقا عن السرقة «في دين الملك» حكم ملك مصر لأن جزاءه عنده الضرب وتغريم مثلي المسروق لا الاسترقاق «إلا أن يشاء الله» أخذه بحكم أبيه أي لم يتمكن من أخذه إلا بمشيئة الله بإلهامه سؤال إخوته وجوابهم بسنتهم «نرفع درجاتِ من نشاء» بالإضافة والتنوين في العلم كيوسف «وفوق كل ذي علم» من المخلوقين «عليم» أعلم منه حتى ينتهي إلى الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20381','chapter_id' => '12','chapter_detail_id' => '1673','translator_id' => '4','verse_number' => '77','translate_name' => '«قالوا إن يسرق فقد سرق أخ له من قبل» أي يوسف وكان سرق لأبي أمه صنما من ذهب فكسره لئلا يعبده «فأسرها يوسف في نفسه ولم يبدها» يظهرها «لهم» والضمير للكلمة التي في قوله «قال» في نفسه «أنتم شر مكانا» من يوسف وأخيه لسرقتكم أخاكم من أبيكم وظلمكم له «والله أعلم» عالم «بما تصفون» تذكرون من أمره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20382','chapter_id' => '12','chapter_detail_id' => '1674','translator_id' => '4','verse_number' => '78','translate_name' => '«قالوا يا أيها العزيز إن له أبا شيخا كبيرا» يحبه أكثر منا ويتسلى به عن ولده الهالك ويحزنه ففراقه «فخذ أحدنا» استبعده «مكانه» بدلا منه «إنا نراك من المحسنين» في أفعالك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20383','chapter_id' => '12','chapter_detail_id' => '1675','translator_id' => '4','verse_number' => '79','translate_name' => '«قال معاذ الله» نصب على المصدر حذف فعله وأضيف إلى المفعول أي نعوذ بالله من «أن نأخذ إلا من وجدنا متاعنا عنده» لم يقل من سرق تحرّزا من الكذب «إنا إذا» إن أخذنا غيره «لظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20384','chapter_id' => '12','chapter_detail_id' => '1676','translator_id' => '4','verse_number' => '80','translate_name' => '«فلما استيأسوا» يئسوا «منه خلصوا» اعتزلوا «نجيا» مصدر يصلح للواحد وغيره أي يناجي بعضهم بعضا «قال كبيرهم» سنًّا روبيل أو رأيا: يهوذا «ألم تعلموا أن أباكم قد أخذ عليكم موثقا» عهدا «من الله» في أخيكم «ومن قبل ما» زائد «فرطتم في يوسف» وقيل ما مصدرية مبتدأ خبره من قبل «فلن أبرح» أفارق «الأرض» أرض مصر «حتى يأذن لي أبي» بالعود إليه «أو يحكم الله لي» بخلاص أخي «وهو خير الحاكمين» أعدلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20385','chapter_id' => '12','chapter_detail_id' => '1677','translator_id' => '4','verse_number' => '81','translate_name' => '«ارجعوا إلى أبيكم فقولوا يا أبانا إن ابنك سرق وما شهدنا» عليه «إلا بما علمنا» تيقنَّا من مشاهدة الصاع في رحله «وما كنا للغيب» لما غاب عنا حين إعطاء الموثق «حافظين» ولو علمنا أنه يسرق لم نأخذه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20386','chapter_id' => '12','chapter_detail_id' => '1678','translator_id' => '4','verse_number' => '82','translate_name' => '«واسأل القرية التي كنا فيها» هي مصر أي أرسل إلى أهلها فاسألهم «والعير» أصحاب العير «التي أقبلنا فيها» وهم قوم من كنعان «وإنا لصادقون» في قولنا فرجعوا إليه وقالوا له ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20387','chapter_id' => '12','chapter_detail_id' => '1679','translator_id' => '4','verse_number' => '83','translate_name' => '«قال بل سولت» زينت «لكم أنفسكم أمرا» ففعلتموه اتهمهم لما سبق منهم من أمر يوسف «فصبر جميل» صبري «عسى الله أن يأتيني بهم» بيوسف وأخويه «جميعا إنه هو العليم» بحالي «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20388','chapter_id' => '12','chapter_detail_id' => '1680','translator_id' => '4','verse_number' => '84','translate_name' => '«وتولى عنهم» تاركا خطابهم «وقال يا أسفى» الألف بدل من ياء الإضافة أي يا حزني «على يوسف وابيضت عيناه» انمحق سوادهما وبدل بياضا من بكائه «من الحزن» عليه «فهو كظيم» مغموم مكروب لا يظهر كربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20389','chapter_id' => '12','chapter_detail_id' => '1681','translator_id' => '4','verse_number' => '85','translate_name' => '«قالوا تالله» لا «تفتأ» تزال «تذكر يوسف حتى تكون حرضا» مشرفا على الهلاك لطول مرضك وهو مصدر يستوي فيه الواحد وغيره «أو تكون من الهالكين» الموتى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20390','chapter_id' => '12','chapter_detail_id' => '1682','translator_id' => '4','verse_number' => '86','translate_name' => '«قال» لهم «إنما أشكو بثي» هو عظيم الحزن الذي لا يصبر عليه حتى يبث إلى الناس «وحزني إلى الله» لا إلى غيره فهو الذي تنفع الشكوى إليه «وأعلم من الله ما لا تعلمون» من أن رؤيا يوسف صدق وهو حي ثم قال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20391','chapter_id' => '12','chapter_detail_id' => '1683','translator_id' => '4','verse_number' => '87','translate_name' => '«يا بني اذهبوا فتحسسوا من يوسف وأخيه» اطلبوا خبرهما «ولا تيأسوا» تقنطوا «من روح الله» رحمته «إنه لا ييأس من روح الله إلا القوم الكافرون» فانطلقوا نحو مصر ليوسف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20392','chapter_id' => '12','chapter_detail_id' => '1684','translator_id' => '4','verse_number' => '88','translate_name' => '«فلما دخلوا عليه قالوا يا أيها العزيز مسنا وأهلنا الضر» الجوع «وجئنا ببضاعة مزجاة» مدفوعة يدفعها كل من رآها لرداءتها وكانت دراهم زيوفا أو غيرها «فأوف» أتم «لنا الكيل وتصدق علينا» بالمسامحة عن رداءة بضاعتنا «إن الله يجزي المتصدقين» يثيبهم فَرَقَّ لهم وأدركته الرحمة ورفع الحجاب بينه وبينهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20393','chapter_id' => '12','chapter_detail_id' => '1685','translator_id' => '4','verse_number' => '89','translate_name' => 'ثم «قال» لهم توبيخا «هل علمتم ما فعلتم بيوسف» من الضرب والبيع وغير ذلك «وأخيه» من هضمكم له بعد فراق أخيه «إذ أنتم جاهلون» ما يئول إليه أمر يوسف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20394','chapter_id' => '12','chapter_detail_id' => '1686','translator_id' => '4','verse_number' => '90','translate_name' => '«قالوا» بعد أن عرفوه لما ظهر من شمائله متثبتين «أإنك» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين «لأنت يوسف قال أنا يوسف وهذا أخي قد منَّ» أنعم «الله علينا» بالاجتماع «إنه من يتق» يخف الله «ويصبر» على ما يناله «فإن الله لا يضيع أجر المحسنين» فيه وضع الظاهر موضع المضمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20395','chapter_id' => '12','chapter_detail_id' => '1687','translator_id' => '4','verse_number' => '91','translate_name' => '«قالوا تالله لقد آثرك» فضلك «الله علينا» بالملك وغيره «وإن» مخففة أي إنَّا «كنا لخاطئين» آثمين في أمرك فأذللناك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20396','chapter_id' => '12','chapter_detail_id' => '1688','translator_id' => '4','verse_number' => '92','translate_name' => '«قال لا تثريب» عتب «عليكم اليوم» خصه بالذكر لأنه مظنة التثريب فغيره أولى «يغفر الله لكم وهو أرحم الراحمين» وسألهم عن أبيه فقالوا ذهبت عيناه فقال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20397','chapter_id' => '12','chapter_detail_id' => '1689','translator_id' => '4','verse_number' => '93','translate_name' => '«اذهبوا بقميصي هذا» وهو قميص إبراهيم الذي لبسه حين ألقي في النار كان في عنقه في الجب وهو من الجنة أمره جبريل بإرساله وقال إن فيه ريحها ولا يُلقى على مبتلًى إلا عوفي «فألقوه على وجه أبي يأت» يصر «بصيرا وائتوني بأهلكم أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20398','chapter_id' => '12','chapter_detail_id' => '1690','translator_id' => '4','verse_number' => '94','translate_name' => '«ولما فصلت العير» خرجت من عريش مصر «قال أبوهم» لمن حضر من بنيه وأولادهم «إني لأجد ريح يوسف» أوصلته إليه الصبا بإذنه تعالى من مسير ثلاثة أيام أو ثمانية أو أكثر «لولا أن تفندونِ» تسفهون لصدقتموني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20399','chapter_id' => '12','chapter_detail_id' => '1691','translator_id' => '4','verse_number' => '95','translate_name' => '«قالوا» له «تالله إنك لفي ضلالك» خطئك «القديم» من إفراطك في محبته ورجاء لقائه على بعد العهد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20400','chapter_id' => '12','chapter_detail_id' => '1692','translator_id' => '4','verse_number' => '96','translate_name' => '«فلما أن» زائدة «جاء البشير» يهوذا بالقميص وكان قد حمل قميص الدم فأحب أن يفرحه كما أحزنه «ألقاه» طرح القميص «على وجهه فارتد» رجع «بصيرا قال ألم أقل لكم إني أعلم من الله ما لا تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20401','chapter_id' => '12','chapter_detail_id' => '1693','translator_id' => '4','verse_number' => '97','translate_name' => '«قالوا يا أبانا استغفر لنا ذنوبنا إنا كنا خاطئين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20402','chapter_id' => '12','chapter_detail_id' => '1694','translator_id' => '4','verse_number' => '98','translate_name' => '«قال سوف أستغفر لكم ربي إنه الغفور الرحيم» أخَّر ذلك إلى السحر ليكون أقرب إلى الإجابة أو إلى ليلة الجمعة ثم توجهوا إلى مصر وخرج يوسف والأكابر لتلقيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20403','chapter_id' => '12','chapter_detail_id' => '1695','translator_id' => '4','verse_number' => '99','translate_name' => '«فلما دخلوا على يوسف» في مضربه «آوى» ضم «إليه أبويه» أباه وأمه أو خالته «وقال» لهم «ادخلوا مصر إن شاء الله آمنين» فدخلوا وجلس يوسف على سريره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20404','chapter_id' => '12','chapter_detail_id' => '1696','translator_id' => '4','verse_number' => '100','translate_name' => '«ورفع أبويه» أحلهما معه «على العرش» السرير «وخروا» أي أبواه وإخوته «له سجدا» سجود انحناء لا وضع جبهة وكان تحيتهم في ذلك الزمان «وقال يا أبت هذا تأويل رؤياي من قبل قد جعلها ربي حقا وقد أحسن بي» إليَّ «إذ أخرجني من السجن» لم يقل من الحب تكرما لئلا تخجل إخوته «وجاء بكم من البدو» البادية «من بعد أن نزغ» أفسد «الشيطان بيني وبين إخوتي إن ربي لطيف لما يشاء إنه هو العليم» بخلقه «الحكيم» في صنعه وأقام عنده أبوه أربعا وعشرين سنة أو سبع عشرة سنة وكانت مدة فراقه ثماني عشرة أو أربعين أو ثمانين سنة وحضره الموت فوصى يوسف أن يحمله ويدفنه عند أبيه فمضى بنفسه ودفنه ثمة، ثم عاد إلى مصر وأقام بعده ثلاثا وعشرين سنة ولما تم أمره وعلم أنه لا يدوم تاقت نفسه إلى الملك الدائم فقال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20405','chapter_id' => '12','chapter_detail_id' => '1697','translator_id' => '4','verse_number' => '101','translate_name' => '«رب قد آتيتني من الملك وعلمتني من تأويل الأحاديث» تعبير الرؤيا «فاطر» خالق «السماوات والأرض أنت وليي» متولي مصالحي «في الدنيا والآخرة توفني مسلما وألحقني بالصالحين» من آبائي فعاش بعد ذلك أسبوعا أو أكثر ومات وله مائة وعشرون سنة وتشاح المصريون في قبره فجعلوه في صندوق من مرمر ودفنوه في أعلى النيل لتعم البركة جانبيه فسبحان من لا انقضاء لملكه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20406','chapter_id' => '12','chapter_detail_id' => '1698','translator_id' => '4','verse_number' => '102','translate_name' => '«ذلك» المذكور من أمر يوسف «من أنباء» أخبار «الغيب» ما غاب عنك يا محمد «نوحيه إليك وما كنت لديهم» لدى إخوة يوسف «إذ أجمعوا أمرهم» في كيده أي عزموا عليه «وهم يمكرون» به أي لم تحضرهم فتعرف قصتهم فتخبر بها وإنما حصل لك علمها من جهة الوحي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20407','chapter_id' => '12','chapter_detail_id' => '1699','translator_id' => '4','verse_number' => '103','translate_name' => '«وما أكثر الناس» أي أهل مكة «ولو حرصت» على إيمانهم «بمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20408','chapter_id' => '12','chapter_detail_id' => '1700','translator_id' => '4','verse_number' => '104','translate_name' => '«وما تسألهم عليه» أي القرآن «من أجر» تأخذه «إن» ما «هو» أي القرآن «إلا ذكر» عظة «للعالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20409','chapter_id' => '12','chapter_detail_id' => '1701','translator_id' => '4','verse_number' => '105','translate_name' => '«وكأين» وكم «من آية» دالة على وحدانية الله «في السماوات والأرض يمرون عليها» يشاهدونها «وهم عنها معرضون» لا يتفكرون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20410','chapter_id' => '12','chapter_detail_id' => '1702','translator_id' => '4','verse_number' => '106','translate_name' => '«وما يؤمن أكثرهم بالله» حيث يقرون بأنه الخالق الرزاق «إلا وهم مشركون» به بعبادة الأصنام ولذا كانوا يقولون في تلبيتهم: لبيك لا شريك لك، إلا شريكا هو لك، تملكه وما ملك يعنونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20411','chapter_id' => '12','chapter_detail_id' => '1703','translator_id' => '4','verse_number' => '107','translate_name' => '«أفأمِنوا أن تأتيهم غاشية» نقمة تغشاهم «من عذاب الله أو تأتيهم الساعة بغتة» فجأة «وهم لا يشعرون» بوقت إتيانها قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20412','chapter_id' => '12','chapter_detail_id' => '1704','translator_id' => '4','verse_number' => '108','translate_name' => '«قل» لهم «هذه سبيلي» وفسرها بقوله «أدعو إلى» دين «الله على بصيرة» حجة واضحة «أنا ومن أتبعني» آمن بي عطف على أنا المبتدأ المخبر عنه بما قبله «وسبحان الله» تنزيها له عن الشركاء «وما أنا من المشركين» من جملة سبيله أيضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20413','chapter_id' => '12','chapter_detail_id' => '1705','translator_id' => '4','verse_number' => '109','translate_name' => '«وما أرسلنا من قبلك إلا رجالا يوحى» وفي قراءة بالنون وكسر الحاء «إليهم» لا ملائكة «من أهل القرى» الأمصار لأنهم أعلم وأحلم بخلاف أهل البوادي لجفائهم وجهلهم «أفلم يسيروا» أهل مكة «في الأرض فينظروا كيف كان عاقبة الذين من قبلهم» أي آخر أمرهم من إهلاكهم بتكذيبهم رسلهم «ولدار الآخرة» أي الجنة «خير للذين اتقوا» الله «أفلا تعقلون» بالياء والتاء يا أهل مكة هذا فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20414','chapter_id' => '12','chapter_detail_id' => '1706','translator_id' => '4','verse_number' => '110','translate_name' => '«حتى» غاية لما دل عليه (وما أرسلنا من قبلك إلا رجالا) أي فتراخى نصرهم حتى «إذا استيئس» يئس «الرسل وظنوا» أيقن الرسل «أنهم قد كذِّبوا» بالتشديد تكذيبا لا إيمان بعده والتخفيف أي ظن الأمم أن الرسل أخلفوا ما وعدوا به من النصر «جاءهم نصرنا فَنُنَجِّي» بنونين مشددا ومخففا وبنون مشددا ماض «من نشاء ولا يرد بأسنا» عذابنا «عن القوم المجرمين» المشركين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20415','chapter_id' => '12','chapter_detail_id' => '1707','translator_id' => '4','verse_number' => '111','translate_name' => '«لقد كان في قصصهم» أي الرسل «عبرة لأولي الألباب» أصحاب العقول «ما كان» هذا القرآن «حديثا يفترى» يختلق «ولكن» كان «تصديق الذي بين يديه» قبله من الكتب «وتفصيل» تبيين «كل شيء» يحتاج إليه في الدين «وهدى» من الضلالة «ورحمة لقوم يؤمنون» خصوا بالذكر لانتفاعهم به دون غيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20416','chapter_id' => '13','chapter_detail_id' => '1708','translator_id' => '4','verse_number' => '1','translate_name' => '«المر» الله أعلم بمراده بذلك «تلك» هذه الآيات «آيات الكتاب» القرآن والإضافة بمعنى من «والذي أنزل إليك من ربك» أي القرآن مبتدأ خبره «الحق» لا شك فيه «ولكن أكثر الناس» أي أهل مكة «لا يؤمنون» بأنه من عنده تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20417','chapter_id' => '13','chapter_detail_id' => '1709','translator_id' => '4','verse_number' => '2','translate_name' => '«الله الذي رفع السماوات بغير عمد ترونها» أي العمد جمع عماد وهو الأسطوانة وهو صادق بأن لا عمد أصلا «ثم استوى على العرش» استواء يليق به «وسخر» ذلل «الشمس والقمر كلٌ» منهما «يجري» في فلكه «لأجل مسمى» يوم القيامة «يدبر الأمر» يقضي أمر ملكه «يفصِّل» يبين «الآيات» دلالات قدرته «لعلكم» يا أهل مكة «بلقاء ربكم» بالبعث «توقنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20418','chapter_id' => '13','chapter_detail_id' => '1710','translator_id' => '4','verse_number' => '3','translate_name' => '«وهو الذي مد» بسط «الأرض وجعل» خلق «فيها رواسي» جبالا ثوابت «وأنهارا ومن كل الثمرات جعل فيها زوجين اثنين» من كل نوع «يغشي» يغطي «الليل» بظلمته «النهار إن في ذلك» المذكور «لآيات» دلالات على وحدانيته تعالى «لقوم يتفكرون» في صنع الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20419','chapter_id' => '13','chapter_detail_id' => '1711','translator_id' => '4','verse_number' => '4','translate_name' => '«وفي الأرض قطع» بقاع مختلفة «متجاورات» متلاصقات فمنها طيب وسبخ وقليل الريع وكثيرهُ وهو من دلائل قدرته تعالى «وجنات» بساتين «من أعناب وزرع» بالرفع عطفا على جنات، والجر على أعناب وكذا قوله «ونخيل صنوان» جمع صنو، وهي النخلات يجمعها أصل واحد وتشعب فروعها «وغير صنوان» منفردة «تسقى» بالتاء، أي الجنات وما فيها والياء، أي المذكور «بماء واحد ونفضّل» بالنون والياء «بعضها على بعض في الأكُل» بضم الكاف وسكونها فمن حلو وحامض وهو من دلائل قدرته تعالى «إن في ذلك» المذكور «لآيات لقوم يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20420','chapter_id' => '13','chapter_detail_id' => '1712','translator_id' => '4','verse_number' => '5','translate_name' => '«وإن تعجب» يا محمد من تكذيب الكفار لك «فعجب» حقيق بالعجب «قولهم» منكرين للبعث «أإذا كنا ترابا أإنا لفي خلق جديد» لأن القادر على إنشاء الخلق وما تقدم على غير مثال قادر على إعادتهم، وفي الهمزتين في الموضعين، وتحقيق الأولى وتسهيل الثانية وإدخال ألف بينهما على الوجهين وتركها وفي قراءة بالاستفهام في الأول، والخبر في الثاني، وأخرى وعكسه «أولئك الذين كفروا بربهم وأولئك الأغلال في أعناقهم وأولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20421','chapter_id' => '13','chapter_detail_id' => '1713','translator_id' => '4','verse_number' => '6','translate_name' => 'ونزل في استعجالهم العذاب استهزاءً «ويستعجلونك بالسيئة» العذاب «قبل الحسنة» الرحمة «وقد خلت من قبلهم المثلات» جمع المثلة بوزن الثمرة أي عقوبات أمثالهم من المكذبين أفلا يعتبرون بها؟ «وإن ربك لذو مغفرة للناس على» مع «ظلمهم» وإلا لم يترك على ظهرها دابة «وإن ربك لشديد العقاب» لمن عصاه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20422','chapter_id' => '13','chapter_detail_id' => '1714','translator_id' => '4','verse_number' => '7','translate_name' => '«ويقول الذين كفروا لولا» هلا «أنزل عليه» على محمد «آية من ربه» كالعصا واليد والناقة، قال تعالى: «إنما أنت منذر» مخوِّف الكافرين وليس عليك إتيان الآيات «ولكل قوم هاد» نبي يدعوهم إلى ربهم بما يعطيه من الآيات لا بما يقترحون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20423','chapter_id' => '13','chapter_detail_id' => '1715','translator_id' => '4','verse_number' => '8','translate_name' => '«الله يعلم ما تحمل كل أنثى» من ذكر وأنثى وواحد ومتعدد وغير ذلك «وما تغيض» تنقص «الأرحام» من مدة الحمل «وما تزداد» منه «وكل شيء عنده بمقدار» بقدر وحدٍّ لا يتجاوزه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20424','chapter_id' => '13','chapter_detail_id' => '1716','translator_id' => '4','verse_number' => '9','translate_name' => '«عالم الغيب والشهادة» ما غاب وما شوهد «الكبير» العظيم «المتعالي» على خلقه بالقهر، بياء ودونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20425','chapter_id' => '13','chapter_detail_id' => '1717','translator_id' => '4','verse_number' => '10','translate_name' => '«سواء منكم» في علمه تعالى «من أسر القول ومن جهر به ومن هو مُستخف» مستتر «بالليل» بظلامه «وسارب» ظاهر بذهابه في سربه، أي طريقه «بالنهار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20426','chapter_id' => '13','chapter_detail_id' => '1718','translator_id' => '4','verse_number' => '11','translate_name' => '«له» للإنسان «معقبات» ملائكة تتعقبه «من بين يديه» قدامه «ومن خلفه» ورائه «يحفظونه من أمر الله» أي بأمره من الجن وغيرهم «إن الله لا يغيِّر ما بقوم» لا يسلبهم نعمته «حتى يغيِّروا ما بأنفسهم» من الحالة الجميلة بالمعصية «وإذا أراد الله بقوم سوءا» عذابا «فلا مرد له» من المعقبات ولا غيرها «وما لهم» لمن أراد الله بهم سوءا «من دونه» أي غير الله «من» زائدة «وال» يمنعه عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20427','chapter_id' => '13','chapter_detail_id' => '1719','translator_id' => '4','verse_number' => '12','translate_name' => '«هو الذي يريكم البرق خوفا» للمسافرين من الصواعق «وطمعا» للمقيم في المطر «وينشئ» يخلق «السحاب الثقال» بالمطر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20428','chapter_id' => '13','chapter_detail_id' => '1720','translator_id' => '4','verse_number' => '13','translate_name' => '«ويسبح الرعد» هو ملك موكل بالسحاب يسوقه متلبسا «بحمده» أي يقول سبحان الله وبحمده «و» يسبح «الملائكة من خيفته» أي الله «ويرسل الصواعق» وهي نار تخرج من السحاب «فيصيب بها من يشاء» فتحرقه نزل في رجل بعث إليه النبي صلى الله عليه وسلم من يدعوه فقال من رسول الله وما الله أمن ذهب هو أم من فضة أم نحاس فنزلت به صاعقة فذهبت بقحف رأسه «وهم» أي الكفار «يجادلون» يخاصمون النبي صلى الله عليه وسلم «في الله وهو شديد المحال» القوة أو الأخذ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20429','chapter_id' => '13','chapter_detail_id' => '1721','translator_id' => '4','verse_number' => '14','translate_name' => '«له» تعالى «دعوة الحق» أي كلمته وهي لا إله إلا الله «والذين يدعون» بالياء والتاء يعبدون «من دونه» أي غيره وهم الأصنام «لا يستجيبون لهم بشيء» مما يطلبونه «إلا» استجابة «كباسط» أي كاستجابة باسط «كفيه إلى الماء» على شفير البئر يدعوه «ليبلغ فاه» بارتفاعه من البئر إليه «وما هو ببالغه» أي فاه أبدا فكذلك ما هم بمستجيبين لهم «وما دعاء الكافرين» عبادتهم الأصنام أو حقيقة الدعاء «إلا في ضلال» ضياع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20430','chapter_id' => '13','chapter_detail_id' => '1722','translator_id' => '4','verse_number' => '15','translate_name' => '«ولله يسجد من في السماوات والأرض طوعا» كالمؤمنين «وكرها» كالمنافقين ومن أكره بالسيف «و» يسجد «ظلالهم بالغدو» البكور «والآصال» العشايا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20431','chapter_id' => '13','chapter_detail_id' => '1723','translator_id' => '4','verse_number' => '16','translate_name' => '«قل» يا محمد لقومك «مَن رب السماوات والأرض قل الله» إن لم يقولوه لا جواب غيره «قل» لهم «أفاتخذتم من دونه» أي غيره «أولياء» أصناما تعبدونها «لا يملكون لأنفسهم نفعا ولا ضرا» وتركتم مالكهما؟ استفهام توبيخ «قل هل يستوي الأعمى والبصير» الكافر والمؤمن «أم هل تستوي الظلمات» الكفر «والنور» الإيمان؟ لا «أم جعلوا لله شركاء خلقوا كخلقه فتشابه الخلق» أي الشركاء بخلق الله «عليهم» فاعتقدوا استحقاق عبادتهم بخلقهم؟ استفهام إنكار؟ أي ليس الأمر كذلك ولا يستحق العبادة إلا الخالق «قل الله خالق كل شيء» لا شريك له فيه فلا شريك له في العبادة «وهو الواحد القهار» لعباده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20432','chapter_id' => '13','chapter_detail_id' => '1724','translator_id' => '4','verse_number' => '17','translate_name' => 'ثم ضرب مثلا للحق والباطل فقال «أنزل» تعالى «من السماء ماء» مطرا «فسالت أودية بقدرها» بمقدار ملئها «فاحتمل السيل زبدا رابيا» عاليا عليه هو ما على وجهه من قذر ونحوه «ومما توقدون» بالتاء والياء «عليه في النار» من جواهر الأرض كالذهب والفضة والنحاس «ابتغاه» طلب «حلية» زينة «أو متاع» ينتفع به كالأواني إذا أذيبت «زبد مثله» أي مثل زبد السيل وهو خبثه الذي ينفيه الكير «كذلك» المذكور «يضرب الله الحق والباطل» أي مثلهما «فأما الزبد» من السيل وما أوقد عليه من الجواهر «فيذهب جفاءً» باطلا مرميا به «وأما ما ينفع الناس» من الماء والجواهر «فيمكث» يبقى «في الأرض» زمانا كذلك الباطل يضمحل وينمحق وإن علا على الحق في بعض الأوقات والحق ثابت باقي «كذلك» المذكور «يضرب» يبيِّن «الله الأمثال».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20433','chapter_id' => '13','chapter_detail_id' => '1725','translator_id' => '4','verse_number' => '18','translate_name' => '«للذين استجابوا لربهم» أجابوه بالطاعة «الحسنى» الجنة «والذين لم يستجيبوا له» وهم الكافر «لو أن لهم ما في الأرض جميعا ومثله معه لافتدوْا به» من العذاب «أولئك لهم سوء الحساب» وهو المؤاخذة بكل ما علموه لا يغفر منه شيء «ومأواهم جهنم وبئس المهاد» الفراش هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20434','chapter_id' => '13','chapter_detail_id' => '1726','translator_id' => '4','verse_number' => '19','translate_name' => 'ونزل في حمزة وأبي جهل «أفمن يعلم أنما أنزل إليك من ربك الحق» فآمن به «كمن هو أعمى» لا يعلمه ولا يؤمن به لا «إنما يتذكر» يتعظ «أولوا الألباب» أصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20435','chapter_id' => '13','chapter_detail_id' => '1727','translator_id' => '4','verse_number' => '20','translate_name' => '«الذين يوفون بعهد الله» المأخوذ عليهم وهم في عالم الذر أو كل عهد «ولا ينقضون الميثاق» بترك الأيمان أو الفرائض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20436','chapter_id' => '13','chapter_detail_id' => '1728','translator_id' => '4','verse_number' => '21','translate_name' => '«والذين يصلون ما أمر الله به أن يوصل» من الإيمان والرحم وغير ذلك «ويخشون ربهم» أي وعيده «ويخافون سوء الحساب» تقدم مثله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20437','chapter_id' => '13','chapter_detail_id' => '1729','translator_id' => '4','verse_number' => '22','translate_name' => '«والذين صبروا» على الطاعة والبلاء وعن المعصية «ابتغاء» طلب «وجه ربهم» لا غيره من أعراض الدنيا «وأقاموا الصلاة وأنفقوا» في الطاعة «مما رزقناهم سرا وعلانية ويدرءُون» يدفعون «بالحسنة السيئة» كالجهل بالحلم والأذى بالصبر «أولئك لهم عُقبى الدار» أي العاقبة المحمودة في الدار الآخرة، وهي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20438','chapter_id' => '13','chapter_detail_id' => '1730','translator_id' => '4','verse_number' => '23','translate_name' => '«جنات عدن» إقامة «يدخلونها» هم «ومن صلح» آمن «من آبائهم وأزواجهم وذرياتهم» وإن لم يعلموا بعملهم يكونون في درجاتهم تكرمة لهم «والملائكة يدخلون عليهم من كل باب» من أبواب الجنة أو القصور أول دخولهم للتهنئة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20439','chapter_id' => '13','chapter_detail_id' => '1731','translator_id' => '4','verse_number' => '24','translate_name' => 'يقولون «سلام عليكم» هذا الثواب «بما صبرتم» بصبركم في الدنيا «فنعم عُقْبَى الدار» عقباكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20440','chapter_id' => '13','chapter_detail_id' => '1732','translator_id' => '4','verse_number' => '25','translate_name' => '«والذين ينقضون عهد الله من بعد ميثاقه ويقطعون ما أمر الله به أن يوصل ويفسدون في الأرض» بالكفر والمعاصي «أولئك لهم اللعنة» البعد من رحمة الله «ولهم سوء الدار» العاقبة السيئة في الدار الآخرة وهي جهنم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20441','chapter_id' => '13','chapter_detail_id' => '1733','translator_id' => '4','verse_number' => '26','translate_name' => '«الله يبسط الرزق» يوسعه «لمن يشاء ويقدر» يضيقه لمن يشاء «وفرحوا» أي أهل مكة فرح بطر «بالحياة الدنيا» أي بما نالوه فيها «وما الحياة الدنيا في» جنب حياة «الآخرة إلا متاع» شيء قليل يتمتع به ويذهب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20442','chapter_id' => '13','chapter_detail_id' => '1734','translator_id' => '4','verse_number' => '27','translate_name' => '«ويقول الذين كفروا» من أهل مكة «لولا» هلا «أنزل عليه» على محمد «آية من ربه» كالعصا واليد والناقة «قل» لهم «إن الله يضل من يشاء» إضلاله فلا تغني عنه الآيات شيئا «ويهدي» يرشد «إليه» إلى دينه «من أناب» رجع إليه، ويبدل مِن مَن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20443','chapter_id' => '13','chapter_detail_id' => '1735','translator_id' => '4','verse_number' => '28','translate_name' => '«الذين آمنوا وتطمئن» تسكن «قلوبهم بذكر الله» أي وعده «ألا بذكر الله تطمئن القلوب» أي قلوب المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20444','chapter_id' => '13','chapter_detail_id' => '1736','translator_id' => '4','verse_number' => '29','translate_name' => '«الذين آمنوا وعملوا الصالحات» مبتدأ خبره «طوبى» مصدر من الطيب أو شجرة في الجنة يسير الراكب في ظلها مائة عام ما يقطعها «لهم وحسن مآب» مرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20445','chapter_id' => '13','chapter_detail_id' => '1737','translator_id' => '4','verse_number' => '30','translate_name' => '«كذلك» كما أرسلنا الأنبياء قبلك «أرسلناك في أمة قد خلت من قبلها أمم لتَتْلوَ» تقرأ «عليهم الذي أوحينا إليك» أي القرآن «وهم يكفرون بالرحمن» حيث قالوا لما أمروا بالسجود له وما الرحمن؟ «قل» لهم يا محمد «هو ربي لا إله إلا هو عليه توكلت وإليه متاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20446','chapter_id' => '13','chapter_detail_id' => '1738','translator_id' => '4','verse_number' => '31','translate_name' => 'ونزل لما قالوا له إن كنت نبيا فسيّر عنا جبال مكة، واجعل لنا فيها أنهارا وعيونا لنغرس ونزرع وابعث لنا آباءنا الموتى يكلمونا أنك نبي «ولو أن قرآنا سُيّرت به الجبال» نقلت عن أماكنها «أو قطّعت» شققت «به الأرض أو كلم به الموتى» بأن يحيوا لما آمنوا «بل لله الأمر جميعا» لا لغيره فلا يؤمن إلا من شاء إيمانه دون غيره إن أوتوا ما اقترحوا، ونزل لما أراد الصحابة إظهار ما اقترحوا طمعا في إيمانهم «أفلم ييأس» يعلم «الذين آمنوا أن» مخففة أي أنه «لو يشاء الله لهدي الناس جميعا» إلى الإيمان من غير آية «ولا يزال الذين كفروا» من أهل مكة «تصيبهم بما صنعوا» بصنعهم أي كفرهم «قارعهٌ» داهية تقرعهم بصنوف البلاء من القتل والأسر والحرب والجدب «أو تحل» يا محمد بجيشك «قريبا من دارهم» مكة «حتى يأتي وعد الله» بالنصر عليهم «إن الله لا يخلف الميعاد» وقد حلَّ بالحديبية حتى أتى فتح مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20447','chapter_id' => '13','chapter_detail_id' => '1739','translator_id' => '4','verse_number' => '32','translate_name' => '«ولقد استهزئ برسل من قبلك» كما استهزئ بك وهذا تسلية للنبي صلى الله عليه وسلم «فأمْليتُ» أمهلت «للذين كفروا ثم أخذتهم» بالعقوبة «فكيف كان عقاب» أي هو واقع موقعه فكذلك أفعل بمن استهزأ بك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20448','chapter_id' => '13','chapter_detail_id' => '1740','translator_id' => '4','verse_number' => '33','translate_name' => '«أفمن هو قائم» رقيب «على كل نفس بما كسبت» عملت من خير وشر وهو الله كمن ليس كذلك من الأصنام لا، دل على هذا «وجعلوا الله شركاء قل سمّوهم» له من هم؟ «أم» بل أ «تنبئونه» تخبرون الله «بما» أي بشريك «لا يعلمـ» ـه «في الأرض» استفهام إنكار أي لا شريك له إذ لو كان لعلمه تعالى عن ذلك «أم» بل تسمونهم شركاء «بظاهر من القول» بظن باطل لا حقيقة له في الباطن «بل زُيّن للذين كفروا مكرهم» كفرهم «وصدوا عن السبيل» طريق الهدى «ومن يضلل الله فما له من هاد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20449','chapter_id' => '13','chapter_detail_id' => '1741','translator_id' => '4','verse_number' => '34','translate_name' => '«لهم عذاب في الحياة الدنيا» بالقتل والأسر «ولعذاب الآخرة أشق» أشد منه «ومالهم من الله» أي عذابه «من واق» مانع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20450','chapter_id' => '13','chapter_detail_id' => '1742','translator_id' => '4','verse_number' => '35','translate_name' => '«مثل» صفة «الجنة التي وعد المتقون» مبتدأ خبره محذوف، أي فيما نقص عليكم «تجري من تحتها الأنهار أُكُلُها» ما يؤكل فيها «دائم» لا يفنى «وظلها» دائم لا تنسخه شمس لعدمها فيها «تلك» أي الجنة «عقبى» عاقبة «الذين اتقوْا» الشرك «وعقبى الكافرين النارُ».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20451','chapter_id' => '13','chapter_detail_id' => '1743','translator_id' => '4','verse_number' => '36','translate_name' => '«والذين آتيناهم الكتاب» كعبد الله بن سلام وغيره من مؤمني اليهود «يفرحون بما أنزل إليك» لموافقته ما عندهم «ومن الأحزاب» الذين تحزَّبوا عليك بالمعادة من المشركين واليهود «من ينكر بعضه» كذكر الرحمن وما عدا القصص «قل إنما أمرت» فيما أنزل إليَّ «أن» أي بأن «أعبد الله ولا أشرك به إليه أدعو وإليه مآب» مرجعي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20452','chapter_id' => '13','chapter_detail_id' => '1744','translator_id' => '4','verse_number' => '37','translate_name' => '«وكذلك» الإنزال «أنزلناه» أي القرآن «حكما عربيا» بلغة العرب تحكم به بين الناس «ولئن اتبعت أهواءهم» أي الكفار فيما يدعونك إليه من ملتهم فرضا «بعد ما جاءك من العلم» بالتوحيد «ما لك من الله من» زائدة «وليٍّ» ناصر «ولا واق» مانع من عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20453','chapter_id' => '13','chapter_detail_id' => '1745','translator_id' => '4','verse_number' => '38','translate_name' => 'ونزل لما عيروه بكثرة النساء: «ولقد أرسلنا رسلا من قبلك وجعلنا لهم أزواجا وذرية» أولادا وأنت مثلهم «وما كان لرسول» منهم «أن يأتي بآية إلا بإذن الله» لأنهم عبيد مربوبون «لكل أجل» مدة «كتاب» مكتوب فيه تحديده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20454','chapter_id' => '13','chapter_detail_id' => '1746','translator_id' => '4','verse_number' => '39','translate_name' => '«يمحو الله» منه «ما يشاء ويثبت» بالتخفيف والتشديد فيه ما يشاء من الأحكام وغيرها «وعنده أم الكتاب» أصله الذي لا يتغير منه شيء وهو ما كتبه في الأزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20455','chapter_id' => '13','chapter_detail_id' => '1747','translator_id' => '4','verse_number' => '40','translate_name' => '«وإما» فيه إدغام نون إن الشرطية في ما المزيدة «نرينك بعض الذي نعدهم» به من العذاب من حياتك وجواب الشرط محذوف أي فذاك «أو نتوفينك» قبل تعذيبهم «فإنما عليك البلاغ» ما عليك إلا التبليغ «وعلينا الحساب» إذا صاروا إلينا فنجازيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20456','chapter_id' => '13','chapter_detail_id' => '1748','translator_id' => '4','verse_number' => '41','translate_name' => '«أو لم يروْا» أي أهل مكة «أنا نأتي الأرض» نقصد أرضهم «ننقصها من أطرافها» بالفتح على النبي صلى الله عليه وسلم «والله يحكم» في خلقه بما يشاء «لا مُعَقّب» لا راد «لحكمه وهو سريع الحساب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20457','chapter_id' => '13','chapter_detail_id' => '1749','translator_id' => '4','verse_number' => '42','translate_name' => '«وقد مكر الذين من قبلهم» من الأمم بأنبيائهم كما مكروا بك «فلله المكر جميعا» وليس مكرهم كمكره لأنه تعالى «يعلم ما تكسب كل نفس» فيعد لها جزاءه وهذا هو المكر كله لأنه يأتيهم به من حيث لا يشعرون «وسيعلم الكافر» المراد به الجنس وفي قراءة الكفار «لمن عقبى الدار» أي العاقبة المحمودة في الدار الآخرة ألهم أم للنبي صلى الله عليه وسلم وأصحابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20458','chapter_id' => '13','chapter_detail_id' => '1750','translator_id' => '4','verse_number' => '43','translate_name' => '«ويقول الذين كفروا» لك «لست مرسلا قل» لهم «كفى بالله شهيدا بيني وبينكم» على صدقي «ومن عنده علم الكتاب» من مؤمني اليهود والنصارى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20459','chapter_id' => '14','chapter_detail_id' => '1751','translator_id' => '4','verse_number' => '1','translate_name' => '«الر» الله أعلم بمراده بذلك، هذا القرآن «كتاب أنزلناه إليك» يا محمد «لتخرج الناس من الظلمات» الكفر «إلى النور» الإيمان «بإذن» بأمر «ربهم» ويبدل من: إلى النور «إلى صراط» طريق «العزيز» الغالب «الحميد» المحمود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20460','chapter_id' => '14','chapter_detail_id' => '1752','translator_id' => '4','verse_number' => '2','translate_name' => '«الله» بالجر بدل أو عطف بيان وما بعده صفة والرفع مبتدأ خبره «الذي له ما في السماوات وما في الأرض» ملكا وخلقا وعبيدا «وويل للكافرين من عذاب شديد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20461','chapter_id' => '14','chapter_detail_id' => '1753','translator_id' => '4','verse_number' => '3','translate_name' => '«الذين» نعت «يستحبون» يختارون «الحياة الدنيا على الآخرة ويصدون» الناس «عن سبيل الله» دين الإسلام «ويبغونها» أي السبيل «عوجا» معوجة «أولئك في ضلال بعيد» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20462','chapter_id' => '14','chapter_detail_id' => '1754','translator_id' => '4','verse_number' => '4','translate_name' => '«وما أرسلنا من رسول إلا بلسان» بلغة «قومه ليبين لهم» ليفهمهم ما أتى به «فيضلُّ الله من يشاء ويهدي من يشاء وهو العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20463','chapter_id' => '14','chapter_detail_id' => '1755','translator_id' => '4','verse_number' => '5','translate_name' => '«ولقد أرسلنا موسى بآياتنا» التسع وقلنا له «أن أخرج قومك» بني إسرائيل «من الظلمات» الكفر «إلى النور» الإيمان «وذكّرهم بأيام الله» بنعمه «إن في ذلك» التذكير «لآيات لكل صبار» على الطاعة «شكور» للنعم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20464','chapter_id' => '14','chapter_detail_id' => '1756','translator_id' => '4','verse_number' => '6','translate_name' => '«و» أذكر «إذ قال موسى لقومه اذكروا نعمة الله عليكم إذ أنجاكم من آل فرعون يسومونكم سوء العذاب ويذبِّحون أبناءكم» المولودين «ويستحيون» يستبقون «نساءكم» لقول بعض الكهنة إن مولودا يولد في بني إسرائيل يكون سبب ذهاب ملك فرعون «وفي ذلكم» الإنجاء أو العذاب «بلاء» إنعام أو ابتلاء «من ربكم عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20465','chapter_id' => '14','chapter_detail_id' => '1757','translator_id' => '4','verse_number' => '7','translate_name' => '«وإذ تأذَّن» أعلم «ربكم لئن شكرتم» نعمتي بالتوحيد والطاعة «لأزيدنكم ولئن كفرتم» جحدتم النعمة بالكفر والمعصية لأعذبنكم دل عليه «إن عذابي لشديد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20466','chapter_id' => '14','chapter_detail_id' => '1758','translator_id' => '4','verse_number' => '8','translate_name' => '«وقال موسى» لقومه «إن تكفروا أنتم ومن في الأرض جميعا فإن الله لغني» عن خلقه «حميد» محمود في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20467','chapter_id' => '14','chapter_detail_id' => '1759','translator_id' => '4','verse_number' => '9','translate_name' => '«ألم يأتكم» استفهام تقرير «نبأ» خبر «الذين من قبلكم قوم نوح وعاد» قوم هود «وثمود» قوم صالح «والذين من بعدهم لا يعلمهم إلا الله» لكثرتهم «جاءتهم رسلهم بالبينات» بالحجج الواضحة على صدقهم «فردوا» أي الأمم «أيديهم في أفواههم» أي إليها ليعضوا عليها من شدة الغيظ «وقالوا إنا كفرنا بما أرسلتم به» في زعمكم «وإنا لفي شك مما تدعوننا إليه مريب» موقع في الريبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20468','chapter_id' => '14','chapter_detail_id' => '1760','translator_id' => '4','verse_number' => '10','translate_name' => '«قالت رسلهم أفي الله شك» استفهام إنكار لا شك في توحيده لدلائل الظاهرة عليه «فاطر» خالق «السماوات والأرض يدعوكم» إلى طاعته «ليغفر لكم من ذنوبكم» من زائدة. فإن الإسلام يغفر به ما قبله، أو تبعيضية لإخراج حقوق العباد «ويؤخركم» بلا عذاب «إلى أجل مسمى» أجل الموت «قالوا إن» ما «أنتم إلا بشر مثلنا تريدون أن تصدونا عما كان يعبد آباؤنا» من الأصنام «فأتونا بسلطان مبين» حجة ظاهرة على صدقكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20469','chapter_id' => '14','chapter_detail_id' => '1761','translator_id' => '4','verse_number' => '11','translate_name' => '«قالت لهم رسلهم إن» ما «نحن إلا بشر مثلكم» كما قلتم «ولكن الله يمنُّ على من يشاء من عباده» بالنبوة «وما كان» ما ينبغي «لنا أن نأتيكم بسلطان إلا بإذن الله» بأمره لأننا عبيد مربوبون «وعلى الله فليتوكل المؤمنون» يثقوا به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20470','chapter_id' => '14','chapter_detail_id' => '1762','translator_id' => '4','verse_number' => '12','translate_name' => '«وما لنا أ» ن «لا نتوكل على الله» أي لا مانع لنا من ذلك «وقد هدانا سبلنا ولنصبرن على ما آذيتمونا» على أذاكم «وعلى الله فليتوكل المتوكلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20471','chapter_id' => '14','chapter_detail_id' => '1763','translator_id' => '4','verse_number' => '13','translate_name' => '«وقال الذين كفروا لرسلهم لنخرجنكم من أرضنا أو لتعودنَّ» لتصيرن «في ملتنا» ديننا «فأوحى إليهم ربهم لنهلكن الظالمين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20472','chapter_id' => '14','chapter_detail_id' => '1764','translator_id' => '4','verse_number' => '14','translate_name' => '«ولنسكننكم الأرض» أرضهم «من بعدهم» بعد هلاكهم «ذلك» النصر وإيراث الأرض «لمن خاف مقامي» أي مقامه بين يدي «وخاف وعيد» بالعذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20473','chapter_id' => '14','chapter_detail_id' => '1765','translator_id' => '4','verse_number' => '15','translate_name' => '«واستفتحوا» استنصر الرسل بالله على قومهم «وخاب» خسر «كل جبار» متكبر عن طاعة الله «عنيد» معاند للحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20474','chapter_id' => '14','chapter_detail_id' => '1766','translator_id' => '4','verse_number' => '16','translate_name' => '«من ورائه» أي أمامه «جهنم» يدخلها «ويسقى» فيها «من ماء صديد» هو ما يسل من جوف أهل النار مختلطا بالقيح والدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20475','chapter_id' => '14','chapter_detail_id' => '1767','translator_id' => '4','verse_number' => '17','translate_name' => '«يتجرعه» يبتلعه مرة بعد مرة لمرارته «ولا يكاد يسيغه» يزدرده لقبحه وكراهته «ويأتيه الموت» أي أسبابه المقتضية له من أنواع العذاب «من كل مكان وما هو بميت ومن ورائه» بعد ذلك العذاب «عذاب غليظ» قوي متصل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20476','chapter_id' => '14','chapter_detail_id' => '1768','translator_id' => '4','verse_number' => '18','translate_name' => '«مثل» صفة «الذين كفروا بربهم» مبتدأ ويبدل منه «أعمالهم» الصالحة كصلة وصدقة في عدم الانتفاع بها «كرماد اشتدت به الريح في يوم عاصف» شديد هبوب الريح فجعلته هباءً منثورا لا يقدر عليه والمجرور خبر المبتدأ «لا يقدرون» أي الكفار «مما كسبوا» عملوا في الدنيا «على شيء» أي لا يجدون له ثوابا لعدم شرطه «ذلك هو الضلال» الهلاك «البعيد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20477','chapter_id' => '14','chapter_detail_id' => '1769','translator_id' => '4','verse_number' => '19','translate_name' => '«ألم تر» تنظر يا مخاطب استفهام تقرير «أن الله خلق السماوات والأرض بالحق» متعلق بخلق «إن يشأ يذهبكم» أيها الناس «ويأت بخلق جديد» بدلكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20478','chapter_id' => '14','chapter_detail_id' => '1770','translator_id' => '4','verse_number' => '20','translate_name' => '«وما ذلك على الله بعزيز» شديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20479','chapter_id' => '14','chapter_detail_id' => '1771','translator_id' => '4','verse_number' => '21','translate_name' => '«وبرزوا» أي الخلائق والتعبير فيه وفيما بعده بالماضي لتحقيق وقوعه «لله جميعا فقال الضعفاء» الأتباع «للذين استكبروا» المتبوعين «إنا كنا لكم تبعا» جمع تابع «فهل أنتم مغنون» دافعون «عنا من عذاب الله من شيء» من الأولى للتبيين والثانية للتبعيض «قالوا» المتبوعون «لو هدانا الله لهديناكم» لدعوناكم إلى الهدى «سواء علينا أجزعنا أم صبرنا ما لنا من» زائدة «محيص» ملجأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20480','chapter_id' => '14','chapter_detail_id' => '1772','translator_id' => '4','verse_number' => '22','translate_name' => '«وقال الشيطان» إبليس «لما قضي الأمر» وأدخل أهل الجنة الجنة وأهل النار النار واجتمعوا عليه «إن الله وعدكم وعد الحق» بالبعث والجزاء فصدقكم «ووعدتكم» أنه غير كائن «فأخلفتكم وما كان لي عليكم من» زائدة «سلطان» قوة وقدرة أقهركم على متابعتي «إلا» لكن «أن دعوتكم فاستجبتم لي فلا تلوموني ولموا أنفسكم» على إجابتي «ما أنا بمصرخكم» بمغيثكم «وما أنتم بمصرخيَِّ» بفتح الياء وكسرها «إني كفرت بما أشركتمون» بإشراككم إياي مع الله «من قبل» من الدنيا قال تعالى «إن الظالمين» الكافرين «لهم عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20481','chapter_id' => '14','chapter_detail_id' => '1773','translator_id' => '4','verse_number' => '23','translate_name' => '«وأدخل الذين آمنوا وعملوا الصالحات جنات تجري من تحتها الأنهار خالدين» حال مقدرة «فيها بإذن ربهم تحيتهم فيها» من الله ومن الملائكة وفيما بينهم «سلام».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20482','chapter_id' => '14','chapter_detail_id' => '1774','translator_id' => '4','verse_number' => '24','translate_name' => '«ألم تر» تنظر «كيف ضرب الله مثلا» ويبدل منه «كلمة طيبة» أي لا إله إلا الله «كشجرة طيبة» هي النخلة «أصلها ثابت» في الأرض «وفرعها» غصنها «في السماء».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20483','chapter_id' => '14','chapter_detail_id' => '1775','translator_id' => '4','verse_number' => '25','translate_name' => '«تؤتي» تعطي «أكلها» ثمرها «كل حين بإذن ربها» بإرادته كذلك كلمة الإيمان ثابتة في قلب المؤمن وعمله يصعد إلى السماء ويناله بركته وثوابه كل وقت «ويضرب» يبين «الله الأمثال للناس لعلهم يتذكرون» يتعظون فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20484','chapter_id' => '14','chapter_detail_id' => '1776','translator_id' => '4','verse_number' => '26','translate_name' => '«ومثل كلمة خبيثة» هي كلمة الكفر «كشجرة خبيثة» هي الحنظل «اجتثت» استؤصلت «من فوق الأرض ما لها من قرار» مستقر وثبات كذلك كلمة الكفر لا ثبات لها ولا فرع ولا بركة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20485','chapter_id' => '14','chapter_detail_id' => '1777','translator_id' => '4','verse_number' => '27','translate_name' => '«يثبت الله الذين آمنوا بالقول الثابت» هي كلمة التوحيد «في الحياة الدنيا وفي الآخرة» أي في القبر لما يسألهم الملكان عن ربهم ودينهم ونبيهم فيجيبون بالصواب كما في حديث الشيخين «ويضل الله الظالمين» الكفار فلا يهتدون للجواب بالصواب بل يقولون لا ندري كما في الحديث «ويفعل الله ما يشاء».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20486','chapter_id' => '14','chapter_detail_id' => '1778','translator_id' => '4','verse_number' => '28','translate_name' => '«ألم تر» تنظر «إلى الذين بدلوا نعمة الله» أي شكرها «كفرا» هم كفار قريش «وأحلوا» أنزلوا «قومهم» بإضلالهم إياهم «دار البوار» الهلاك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20487','chapter_id' => '14','chapter_detail_id' => '1779','translator_id' => '4','verse_number' => '29','translate_name' => '«جهنم» عطف بيان «يصلوْنها» يدخلونها «وبئس القرار» المقر هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20488','chapter_id' => '14','chapter_detail_id' => '1780','translator_id' => '4','verse_number' => '30','translate_name' => '«وجعلوا لله أندادًا» شركاء «ليَُضِلُّوا» بفتح الياء وضمها «عن سبيله» دين الإسلام «قل» لهم «تمتعوا» بدنياكم قليلا «فإن مصيركم» مرجعكم «إلى النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20489','chapter_id' => '14','chapter_detail_id' => '1781','translator_id' => '4','verse_number' => '31','translate_name' => '«قل لعبادي الذين آمنوا يقيموا الصلاة وينفقوا مما رزقناهم سرا وعلانية من قبل أن يأتي يوم لا بيع» فداء «فيه ولا خلال» مُخالة أي صداقة تنفع، هو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20490','chapter_id' => '14','chapter_detail_id' => '1782','translator_id' => '4','verse_number' => '32','translate_name' => '«الله الذي خلق السماوات والأرض وأنزل من السماء ماءً فأخرج به من الثمرات رزقا لكم وسخر لكم الفلك» السفن «لتجري في البحر» بالركوب والحمل «بأمره» بإذنه «وسخر لكم الأنهار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20491','chapter_id' => '14','chapter_detail_id' => '1783','translator_id' => '4','verse_number' => '33','translate_name' => '«وسخر لكم الشمس والقمر دائبين» جاريين في فلكهما لا يفتران «وسخر لكم الليل» لتسكنوا فيه «والنهار» لتبتغوا فيه من فضله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20492','chapter_id' => '14','chapter_detail_id' => '1784','translator_id' => '4','verse_number' => '34','translate_name' => '«وآتاكم من كل ما سألتموه» على حسب مصالحكم «وإن تعدوا نعمة الله» بمعنى إنعامه «لا تحصوها» لا تطيقوا عدها «إن الإنسان» الكافر «لظلوم كفار» كثير الظلم لنفسه بالمعصية والكفر لنعمة ربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20493','chapter_id' => '14','chapter_detail_id' => '1785','translator_id' => '4','verse_number' => '35','translate_name' => '«و» اذكر «إذ قال إبراهيم رب اجعل هذا البلد» مكة «آمنا» ذا أمن وقد أجاب الله دعاءه فجعله حرما لا يسفك فيه دم إنسان ولا يظلم فيه أحد ولا يُصاد صيده ولا يتخلى خلاه «واجنبني» بعدني «وبنيَّ» عن «أن نعبد الأصنام».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20494','chapter_id' => '14','chapter_detail_id' => '1786','translator_id' => '4','verse_number' => '36','translate_name' => '«رب إنهن» أي الأصنام «أضللن كثيرا من الناس» بعبادتهم لها «فمن تبعني» على التوحيد «فإنه مني» من أهل ديني «ومن عصاني فإنك غفور رحيم» هذا قبل علمه أنه تعالى لا يغفر الشرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20495','chapter_id' => '14','chapter_detail_id' => '1787','translator_id' => '4','verse_number' => '37','translate_name' => '«ربنا إني أسكنت من ذريتي» أي بعضها وهو إسماعيل مع أمه هاجر «بواد غير ذي زرع» هو مكة «عند بيتك المحرم» الذي كان قبل الطوفان «ربنا ليقيموا الصلاة فاجعل أفئدة» قلوبا «من الناس تهوي» تميل وتحنُّ «إليهم» قال ابن عباس لو قال أفئدة الناس لحنت إليه فارس والروم والناس كلهم «وارزقهم من الثمرات لعلهم يشكرون» وقد فعل بنقل الطائف إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20496','chapter_id' => '14','chapter_detail_id' => '1788','translator_id' => '4','verse_number' => '38','translate_name' => '«ربنا إنك تعلم ما نخفي» نسر «وما نعلن وما يخفى على الله من» زائدة «شيء في الأرض ولا في السماء» يحتمل أن يكون من كلامه تعالى أو كلام إبراهيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20497','chapter_id' => '14','chapter_detail_id' => '1789','translator_id' => '4','verse_number' => '39','translate_name' => '«الحمد لله الذي وهب لي» أعطاني «على» مع «الكبر إسماعيل» ولد وله تسع وتسعون سنة «وإسحاق» ولد وله مائة واثنتا عشرة سنة «إن ربي لسميع الدعاء».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20498','chapter_id' => '14','chapter_detail_id' => '1790','translator_id' => '4','verse_number' => '40','translate_name' => '«رب اجعلني مقيم الصلاة و» اجعل «من ذريتي» ومن يقيمها وأتى بمن لإعلام الله تعالى له أن منهم كفارا «ربنا وتقبل دعاء» المذكور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20499','chapter_id' => '14','chapter_detail_id' => '1791','translator_id' => '4','verse_number' => '41','translate_name' => '«ربنا اغفر لي ولوالدي» هذا قبل أن يتبين له عداوتهما لله عز وجل وقيل أسلمت أمه وقرئ والدي مفردا وولدي «وللمؤمنين يوم يقوم» يثبت «الحساب» قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20500','chapter_id' => '14','chapter_detail_id' => '1792','translator_id' => '4','verse_number' => '42','translate_name' => '«ولا تحسبن الله غافلا عما يعمل الظالمون» الكافرين من أهل مكة «إنما يؤخرهم» بلا عذاب «ليوم تشخص فيه الأبصار» لهول ما ترى يقال شخص بصر فلان أي فتحه فلم يغمضه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20501','chapter_id' => '14','chapter_detail_id' => '1793','translator_id' => '4','verse_number' => '43','translate_name' => '«مهطعين» مسرعين حال «مقنعي» رافعي «رءُوسهم» إلى السماء «لا يرتد إليهم طرفهم» بصرهم «وأفئدتهم» قلوبهم «هواء» خالية من العقل لفزعهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20502','chapter_id' => '14','chapter_detail_id' => '1794','translator_id' => '4','verse_number' => '44','translate_name' => '«وأنذر» خوِّف يا محمد «الناس» الكفار «يوم يأتيهم العذاب» هو يوم القيامة «فيقول الذين ظلموا» كفروا «ربنا أخرنا» بأن تردنا إلى الدنيا «إلى أجل قريب نجب دعوتك» بالتوحيد «ونتبع الرسل» فيقال لهم توبيخا «أو لم تكونوا أقسمتم» حلفتم «من قبل» في الدنيا «ما لكم من» زائدة «زوال» عنها إلى الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20503','chapter_id' => '14','chapter_detail_id' => '1795','translator_id' => '4','verse_number' => '45','translate_name' => '«وسكنتم» فيها «في مساكن الذين ظلموا أنفسهم» بالكفر من الأمم السابقة «وتبين لكم كيف فعلنا بهم» من العقوبة فلم تنزجروا «وضربنا» بينا «لكم الأمثال» في القرآن فلم تعتبروا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20504','chapter_id' => '14','chapter_detail_id' => '1796','translator_id' => '4','verse_number' => '46','translate_name' => '(وقد مكروا) بالنبي صلى الله عليه وسلم (مكرهم) حيث أرادوا قتله أو تقييده أو إخراجه (وعند الله مكرهم) أي علمه أو جزاؤه (وإن) ما (كان مكرهم) وإن عظم (لتزول منه الجبال) المعنى لا يعبأ به ولا يضر إلا أنفسهم والمراد بالجبال هنا قيل حقيقتها وقيل شرائع الإسلام المشبهة بها في القرار والثبات وفي قراءة بفتح لام لتزول ورفع الفعل فإن مخففة والمراد تعظيم مكرهم وقيل المراد بالمكر كفرهم ويناسبه على الثانية "" تكاد السماوات يتفطرن منه وتنشق الأرض وتخر الجبال هدا "" وعلى الأول ما قرئ وما كان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20505','chapter_id' => '14','chapter_detail_id' => '1797','translator_id' => '4','verse_number' => '47','translate_name' => '«فلا تحسبنَّ الله مخلف وعده رسله» بالنصر «إن الله عزيز» غالب لا يعجزه شيء «ذو انتقام» ممن عصاه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20506','chapter_id' => '14','chapter_detail_id' => '1798','translator_id' => '4','verse_number' => '48','translate_name' => 'اذكر (يوم تبدل الأرض غير الأرض والسماوات) هو يوم القيامة فيحشر الناس على أرض بيضاء نقية كما في حديث الصحيحين وروى مسلم حديث: سئل النبي صلى الله عليه وسلم أين الناس يومئذ قال: "" على الصراط "" (وبرزوا) خرجوا من القبور (لله الواحد القهار).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20507','chapter_id' => '14','chapter_detail_id' => '1799','translator_id' => '4','verse_number' => '49','translate_name' => '«وترى» يا محمد تبصر «المجرمين» الكافرين «يومئذ مقرنين» مشدودين مع شياطينهم «في الأصفاد» القيود أو الأغلال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20508','chapter_id' => '14','chapter_detail_id' => '1800','translator_id' => '4','verse_number' => '50','translate_name' => '«سرابيلهم» قمصهم «من قطران» لأنه أبلغ لاشتعال النار «وتغشى» تعلو «وجوههم النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20509','chapter_id' => '14','chapter_detail_id' => '1801','translator_id' => '4','verse_number' => '51','translate_name' => '«ليجزي» متعلق ببرزوا «الله كل نفس ما كسبت» من خير وشر «إن الله سريع الحساب» يحاسب جميع الخلق في قدر نصف نهار من أيام الدنيا لحديث بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20510','chapter_id' => '14','chapter_detail_id' => '1802','translator_id' => '4','verse_number' => '52','translate_name' => '«هذا» القرآن «بلاغ للناس» أي أنزل لتبليغهم «ولينذروا به وليعلموا» بما فيه من الحجج «أنما هو» أي الله «إله واحد وليذكّر» بإدغام التاء في الأصل في الذال يتعظ «أولوا الألباب» أصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20511','chapter_id' => '15','chapter_detail_id' => '1803','translator_id' => '4','verse_number' => '1','translate_name' => '«الر» الله أعلم بمراده بذلك «تلك» هذه الآيات «آيات الكتاب» القرآن والإضافة بمعنى من «وقرآن مبين» مظهر للحق من الباطل عطف بزيادة صفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20512','chapter_id' => '15','chapter_detail_id' => '1804','translator_id' => '4','verse_number' => '2','translate_name' => '«رُبَّمَا» بالتشديد والتخفيف «يود» يتمنى «الذين كفروا» يوم القيامة إذا عاينوا حالهم وحال المسلمين «لو كانوا مسلمين» ورب للتكثير فإنه يكثر منهم تمني ذلك وقيل للتقليل فإن الأهوال تدهشهم فلا يفيقون حتى يتمنوا ذلك إلا في أحيان قليلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20513','chapter_id' => '15','chapter_detail_id' => '1805','translator_id' => '4','verse_number' => '3','translate_name' => '«ذرهم» اترك الكفار يا محمد «يأكلوا ويتمتعوا» بدنياهم «ويلههم» يشغلهم «الأمل» بطول العمر وغيره عن الإيمان «فسوف يعلمون» عاقبة أمرهم وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20514','chapter_id' => '15','chapter_detail_id' => '1806','translator_id' => '4','verse_number' => '4','translate_name' => '«وما أهلكنا من» زائدة «قرية» أريد أهلها «إلا ولها كتاب» أجل «معلوم» محدود لإهلاكها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20515','chapter_id' => '15','chapter_detail_id' => '1807','translator_id' => '4','verse_number' => '5','translate_name' => '«ما تسبق من» زائدة «أمة أجلها وما يستأخرون» يتأخرون عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20516','chapter_id' => '15','chapter_detail_id' => '1808','translator_id' => '4','verse_number' => '6','translate_name' => '«وقالوا» أي كفار مكة للنبي صلى الله عليه وسلم «يا أيها الذي نُزّل عليه الذكر» القرآن في زعمه «إنك لمجنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20517','chapter_id' => '15','chapter_detail_id' => '1809','translator_id' => '4','verse_number' => '7','translate_name' => '«لو ما» هلا «تأتينا بالملائكة إن كنت من الصادقين» في قولك إنك نبي وإن هذا القرآن من عند الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20518','chapter_id' => '15','chapter_detail_id' => '1810','translator_id' => '4','verse_number' => '8','translate_name' => 'قال تعالى «ما تَنَزَّلُ» فيه حذف إحدى التاءين «الملائكة إلا بالحق» بالعذاب «وما كانوا إذاً» أي حين نزول الملائكة بالعذاب «منظرين» مؤخرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20519','chapter_id' => '15','chapter_detail_id' => '1811','translator_id' => '4','verse_number' => '9','translate_name' => '«إنا نحن» تأكيد لاسم إن أو فصل «نزلنا الذكر» القرآن «وإنا له لحافظون» من التبديل والتحريف والزيادة والنقص.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20520','chapter_id' => '15','chapter_detail_id' => '1812','translator_id' => '4','verse_number' => '10','translate_name' => '«ولقد أرسلنا من قبلك» رسلا «في شيع» فرق «الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20521','chapter_id' => '15','chapter_detail_id' => '1813','translator_id' => '4','verse_number' => '11','translate_name' => '«وما» كان «يأتيهم من رسول إلا كانوا به يستهزئون» كاستهزاء قومك بك وهذا تسلية له صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20522','chapter_id' => '15','chapter_detail_id' => '1814','translator_id' => '4','verse_number' => '12','translate_name' => '«كذلك نسلكه» أي مثل إدخالنا التكذيب في قلوب أولئك ندخله «في قلوب المجرمين» أي كفار مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20523','chapter_id' => '15','chapter_detail_id' => '1815','translator_id' => '4','verse_number' => '13','translate_name' => '«لا يؤمنون به» بالنبي صلى الله عليه وسلم «وقد خلت سنة الأولين» أي سنة الله فيهم من تعذيبهم بتكذيبهم أنبياءهم وهؤلاء مثلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20524','chapter_id' => '15','chapter_detail_id' => '1816','translator_id' => '4','verse_number' => '14','translate_name' => '«ولو فتحنا عليهم بابا من السماء فظلوا فيه» في الباب «يعرجون» يصعدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20525','chapter_id' => '15','chapter_detail_id' => '1817','translator_id' => '4','verse_number' => '15','translate_name' => '«لقالوا إنما سُكِّرت» سدت «أبصارنا بل نحن قوم مسحورون» يخيل إلينا ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20526','chapter_id' => '15','chapter_detail_id' => '1818','translator_id' => '4','verse_number' => '16','translate_name' => '«ولقد جعلنا في السماء بروجا» اثني عشر: الحمل والثور والجوزاء والسرطان والأسد والسنبلة والميزان والعقرب والقوس والجدي والدلو والحوت، وهي منازل الكواكب السبعة السيارة: المريخ وله الحمل والعقرب، والزهرة ولها الثور والميزان، وعطارد وله الجوزاء والسنبلة، والقمر وله السرطان، والشمس ولها الأسد، والمشتري وله القوس والحوت، وزحل له الجدي والدلو «وزيناها» بالكواكب «للناظرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20527','chapter_id' => '15','chapter_detail_id' => '1819','translator_id' => '4','verse_number' => '17','translate_name' => '«وحفظناها» بالشهب «من كل شيطان رجيم» مرجوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20528','chapter_id' => '15','chapter_detail_id' => '1820','translator_id' => '4','verse_number' => '18','translate_name' => '«إلا» لكن «من استرق السمع» خطفه «فأتبعه شهاب مبين» كوكب يضيء ويحرقه أو يثقبه أو يخبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20529','chapter_id' => '15','chapter_detail_id' => '1821','translator_id' => '4','verse_number' => '19','translate_name' => '«والأرض مددناها» بسطناها «وألقينا فيها رواسي» جبالا ثوابت لئلا تتحرك بأهلها «وأنبتنا فيها من كل شيء موزون» معلوم مقدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20530','chapter_id' => '15','chapter_detail_id' => '1822','translator_id' => '4','verse_number' => '20','translate_name' => '«وجعلنا لكم فيها معايش» بالياء من الثمار والحبوب «و» جعلنا لكم «من لستم له برازقين» من العبيد والدواب والأنعام فإنما يرزقهم الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20531','chapter_id' => '15','chapter_detail_id' => '1823','translator_id' => '4','verse_number' => '21','translate_name' => '«وإن» ما «من» زائدة «شيء إلا عندنا خزائنه» مفاتيح خزائنه «وما ننزله إلا بقدر معلوم» على حسب المصالح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20532','chapter_id' => '15','chapter_detail_id' => '1824','translator_id' => '4','verse_number' => '22','translate_name' => '«وأرسلنا الرياح لواقح» تلقح السحاب فيمتلئ ماء «فأنزلنا من السماء» السحاب «ماء» مطرا «فأسقيناكموه وما أنتم له بخازنين» أي ليست خزائنه بأيديكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20533','chapter_id' => '15','chapter_detail_id' => '1825','translator_id' => '4','verse_number' => '23','translate_name' => '«وإنا لنحن نحي ونميت ونحن الوارثون» الباقون نرث جميع الخلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20534','chapter_id' => '15','chapter_detail_id' => '1826','translator_id' => '4','verse_number' => '24','translate_name' => '«ولقد علمنا المستقدمين منكم» أي من تقدم من الخلق من لدن آدم «ولقد علمنا المستأخرين» المتأخرين إلى يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20535','chapter_id' => '15','chapter_detail_id' => '1827','translator_id' => '4','verse_number' => '25','translate_name' => '«وإن ربك هو يحشرهم إنه حكيم» في صنعه «عليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20536','chapter_id' => '15','chapter_detail_id' => '1828','translator_id' => '4','verse_number' => '26','translate_name' => '«ولقد خلقنا الإنسان» آدم «من صلصال» طين يابس يسمع له صلصلة إذا نقر «من حمأ» طين أسود «مسنون» متغير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20537','chapter_id' => '15','chapter_detail_id' => '1829','translator_id' => '4','verse_number' => '27','translate_name' => '«والجان» أبا الجان وهو إبليس «خلقناه من قبل» أي قبل خلق آدم «من نار السموم» هي نار لا دخان لها تنفذ من المسام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20538','chapter_id' => '15','chapter_detail_id' => '1830','translator_id' => '4','verse_number' => '28','translate_name' => '«و» اذكر «إذ قال ربك للملائكة إني خالق بشرا من صلصال من حمأ مسنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20539','chapter_id' => '15','chapter_detail_id' => '1831','translator_id' => '4','verse_number' => '29','translate_name' => '«فإذا سويته» أتممته «ونفخت» أجريت «فيه من روحي» فصار حيا وإضافة الروح إليه تشريف لآدم «فقعوا له ساجدين» سجود تحية بالانحناء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20540','chapter_id' => '15','chapter_detail_id' => '1832','translator_id' => '4','verse_number' => '30','translate_name' => '«فسجد الملائكة كلهم أجمعون» فيه تأكيدان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20541','chapter_id' => '15','chapter_detail_id' => '1833','translator_id' => '4','verse_number' => '31','translate_name' => '«إلا إبليس» هو أبو الجن كان بين الملائكة «أبى» امتنع من «أن يكون مع الساجدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20542','chapter_id' => '15','chapter_detail_id' => '1834','translator_id' => '4','verse_number' => '32','translate_name' => '«قال» تعالى «يا إبليس مالك» ما منعك «أ» ن «لا» زائدة «تكون مع الساجدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20543','chapter_id' => '15','chapter_detail_id' => '1835','translator_id' => '4','verse_number' => '33','translate_name' => '«قال لم أكن لأسجد» لا ينبغي لي أن أسجد «لبشر خلقته من صلصال من حمأ مسنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20544','chapter_id' => '15','chapter_detail_id' => '1836','translator_id' => '4','verse_number' => '34','translate_name' => '«قال فاخرج منها» أي الجنة وقيل من السماوات «فإنك رجيم» مطرود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20545','chapter_id' => '15','chapter_detail_id' => '1837','translator_id' => '4','verse_number' => '35','translate_name' => '«وإن عليك اللعنة إلى يوم الدين» الجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20546','chapter_id' => '15','chapter_detail_id' => '1838','translator_id' => '4','verse_number' => '36','translate_name' => '«قال رب فأنظرني إلى يوم يبعثون» أي الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20547','chapter_id' => '15','chapter_detail_id' => '1839','translator_id' => '4','verse_number' => '37','translate_name' => '«قال فإنك من المنظرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20548','chapter_id' => '15','chapter_detail_id' => '1840','translator_id' => '4','verse_number' => '38','translate_name' => '«إلى يوم الوقت المعلوم» وقت النفخة الأولى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20549','chapter_id' => '15','chapter_detail_id' => '1841','translator_id' => '4','verse_number' => '39','translate_name' => '«قال ربّ بما أغويتني» أي بإغوائك لي والباء للقسم وجوابه «لأزيِّنَنَّ لهم في الأرض» المعاصي «ولأغوينهم أجمعين»,','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20550','chapter_id' => '15','chapter_detail_id' => '1842','translator_id' => '4','verse_number' => '40','translate_name' => '«إلا عبادك منهم المخلصين» أي المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20551','chapter_id' => '15','chapter_detail_id' => '1843','translator_id' => '4','verse_number' => '41','translate_name' => '«قال» تعالى «هذا صراط عليَّ مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20552','chapter_id' => '15','chapter_detail_id' => '1844','translator_id' => '4','verse_number' => '42','translate_name' => 'وهو «إن عبادي» أي المؤمنين «ليس لك عليهم سلطان» قوة «إلا» لكن «من اتبعك من الغاوين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20553','chapter_id' => '15','chapter_detail_id' => '1845','translator_id' => '4','verse_number' => '43','translate_name' => '«وإن جهنم لموعدهم أجمعين» أي من اتبعك معك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20554','chapter_id' => '15','chapter_detail_id' => '1846','translator_id' => '4','verse_number' => '44','translate_name' => '«لها سبعة أبواب» أطباق «لكل باب» منها «منهم جزء» نصيب «مقسوم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20555','chapter_id' => '15','chapter_detail_id' => '1847','translator_id' => '4','verse_number' => '45','translate_name' => '«إن المتقين في جنات» بساتين «وعيون» تجري فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20556','chapter_id' => '15','chapter_detail_id' => '1848','translator_id' => '4','verse_number' => '46','translate_name' => 'ويقال لهم «ادخلوها بسلام» أي سالمين من كل مخوّف أو مع سلام أي سلموا وادخلوا «آمنين» من كل فزع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20557','chapter_id' => '15','chapter_detail_id' => '1849','translator_id' => '4','verse_number' => '47','translate_name' => '«ونزعنا ما في صدورهم من غِلِّ» حقد «إخوانا» حال منهم «على سُرر متقابلين» حال أيضا أي لا ينظر بعضهم إلى قفا بعض لدورات الأسرَّة بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20558','chapter_id' => '15','chapter_detail_id' => '1850','translator_id' => '4','verse_number' => '48','translate_name' => '«لا يمسهم فيها نَصَبٌ» تعب «وما هم منها بمخرجين» أبدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20559','chapter_id' => '15','chapter_detail_id' => '1851','translator_id' => '4','verse_number' => '49','translate_name' => '«نبئ» خبر يا محمد «عبادي أني أنا الغفور» للمؤمنين «الرحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20560','chapter_id' => '15','chapter_detail_id' => '1852','translator_id' => '4','verse_number' => '50','translate_name' => '«وأن عذابي» للعصاة «هو العذاب الأليم» المؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20561','chapter_id' => '15','chapter_detail_id' => '1853','translator_id' => '4','verse_number' => '51','translate_name' => '«ونبئهم عن ضيف إبراهيم» وهم الملائكة اثنا عشر أو عشرة أو ثلاثة منهم جبريل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20562','chapter_id' => '15','chapter_detail_id' => '1854','translator_id' => '4','verse_number' => '52','translate_name' => '«إذ دخلوا عليه فقالوا سلاما» أي هذا اللفظ «قال» إبراهيم لما عرض عليم الأكل فلم يأكلوا «إنا منكم وجلون» خائفون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20563','chapter_id' => '15','chapter_detail_id' => '1855','translator_id' => '4','verse_number' => '53','translate_name' => '«قالوا لا توجل» لا تخف «إنا» رسل ربك «نبشرك بغلام عليم» ذي علم كثير هو إسحاق كما ذكرنا في سورة هود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20564','chapter_id' => '15','chapter_detail_id' => '1856','translator_id' => '4','verse_number' => '54','translate_name' => '«قال أبشرتموني» بالولد «على أن مسني الكبر» حال أي مع مسه إياي «فبم» فبأي شيء «تبشرون» استفهام تعجب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20565','chapter_id' => '15','chapter_detail_id' => '1857','translator_id' => '4','verse_number' => '55','translate_name' => '«قالوا بشرناك بالحق» بالصدق «فلا تكن من القانطين» الآيسين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20566','chapter_id' => '15','chapter_detail_id' => '1858','translator_id' => '4','verse_number' => '56','translate_name' => '«قال ومن» أي لا «يقنَِط» بكسر النون وفتحها «من رحمة ربه إلا الضالون» الكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20567','chapter_id' => '15','chapter_detail_id' => '1859','translator_id' => '4','verse_number' => '57','translate_name' => '«قال فما خطبكم» شأنكم «أيها المرسلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20568','chapter_id' => '15','chapter_detail_id' => '1860','translator_id' => '4','verse_number' => '58','translate_name' => '«قالوا إنا أرسلنا إلى قوم مجرمين» كافرين أي لوط لإهلاكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20569','chapter_id' => '15','chapter_detail_id' => '1861','translator_id' => '4','verse_number' => '59','translate_name' => '«إلا آل لوط إنا لمنجوهم أجمعين» لإيمانهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20570','chapter_id' => '15','chapter_detail_id' => '1862','translator_id' => '4','verse_number' => '60','translate_name' => '«إلا امرأته قدرنا إنها لمن الغابرين» الباقين في العذاب لكفرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20571','chapter_id' => '15','chapter_detail_id' => '1863','translator_id' => '4','verse_number' => '61','translate_name' => '«فلما جاء آل لوط» أي لوطا «المرسلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20572','chapter_id' => '15','chapter_detail_id' => '1864','translator_id' => '4','verse_number' => '62','translate_name' => '«قال» لهم «إنكم قوم منكرون» لا أعرفكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20573','chapter_id' => '15','chapter_detail_id' => '1865','translator_id' => '4','verse_number' => '63','translate_name' => '«قالوا بل جئناك بما كانوا» أي قومك «فيه يمترون» يشكون وهو العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20574','chapter_id' => '15','chapter_detail_id' => '1866','translator_id' => '4','verse_number' => '64','translate_name' => '«وأتيناك بالحق وإنا لصادقون» في قولنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20575','chapter_id' => '15','chapter_detail_id' => '1867','translator_id' => '4','verse_number' => '65','translate_name' => '«فأَسْرِ بأهلك بقطع من الليل واتبع أدبارهم» امش خلفهم «ولا يلتفت منكم أحد» لئلا يرى عظيم ما ينزل بهم «وامضوا حيث تؤمرون» وهو الشام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20576','chapter_id' => '15','chapter_detail_id' => '1868','translator_id' => '4','verse_number' => '66','translate_name' => '«وقضينا» أوحينا «إليه ذلك الأمر» وهو «أن دابر هؤلاء مقطوع مصبحين» حال أي يتم استئصالهم في الصباح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20577','chapter_id' => '15','chapter_detail_id' => '1869','translator_id' => '4','verse_number' => '67','translate_name' => '«وجاء أهل المدينة» مدينة سدوم وهم قوم لوط لما أخبروا أن في بيت لوط مردا حسانا وهم الملائكة «يستبشرون» حال طمعا في فعل الفاحشة بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20578','chapter_id' => '15','chapter_detail_id' => '1870','translator_id' => '4','verse_number' => '68','translate_name' => '«قال» لوط «إن هؤلاء ضيفي فلا تفضحون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20579','chapter_id' => '15','chapter_detail_id' => '1871','translator_id' => '4','verse_number' => '69','translate_name' => '«واتقوا الله ولا تخزون» بقصدكم إياهم بفعل الفاحشة بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20580','chapter_id' => '15','chapter_detail_id' => '1872','translator_id' => '4','verse_number' => '70','translate_name' => '«قالوا أو لم ننهك عن العالمين» عن إضافتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20581','chapter_id' => '15','chapter_detail_id' => '1873','translator_id' => '4','verse_number' => '71','translate_name' => '«قال هؤلاء بناتي إن كنتم فاعلين» ما تريدون من قضاء الشهوة فتزوجوهن. قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20582','chapter_id' => '15','chapter_detail_id' => '1874','translator_id' => '4','verse_number' => '72','translate_name' => '«لعمرك» خطاب للنبي صلى الله عليه وسلم أي وحياتك «إنهم لفي سكرتهم يعمهون» يترددون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20583','chapter_id' => '15','chapter_detail_id' => '1875','translator_id' => '4','verse_number' => '73','translate_name' => '«فأخذتهم الصيحة» صيحة جبريل «مشرقين» وقت شروق الشمس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20584','chapter_id' => '15','chapter_detail_id' => '1876','translator_id' => '4','verse_number' => '74','translate_name' => '«فجعلنا عاليها» أي قراهم «سافلها» بأن رفعها جبريل إلى السماء وأسقطها مقلوبة إلى الأرض «وأمطرنا عليهم حجارة من سجيل» طين طبخ بالنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20585','chapter_id' => '15','chapter_detail_id' => '1877','translator_id' => '4','verse_number' => '75','translate_name' => '«إن في ذلك» المذكور «لآيات» دلالات على وحدانية الله «للمتوسمين» للناظرين المعتبرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20586','chapter_id' => '15','chapter_detail_id' => '1878','translator_id' => '4','verse_number' => '76','translate_name' => '«وإنها» أي قرى قوم لوط «لبسبيل مقيم» طريق قريش إلى الشام لم تندرس أفلا يعتبرون بهم؟.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20587','chapter_id' => '15','chapter_detail_id' => '1879','translator_id' => '4','verse_number' => '77','translate_name' => '«إن في ذلك لآية» لعبرة «للمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20588','chapter_id' => '15','chapter_detail_id' => '1880','translator_id' => '4','verse_number' => '78','translate_name' => '«وإن» مخففة أي إنه «كان أصحاب الأيكة» هي غيضة شجر بقرب مدين وهم قوم شعيب «لظالمين» بتكذيبهم شعيبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20589','chapter_id' => '15','chapter_detail_id' => '1881','translator_id' => '4','verse_number' => '79','translate_name' => '«فانتقمنا منهم» بأن أهلكناهم بشدة الحر «وإنهما» أي قرى قوم لوط والأيكة «لبإمام» طريق «مبين» واضح أفلا تعتبرون بهم يا أهل مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20590','chapter_id' => '15','chapter_detail_id' => '1882','translator_id' => '4','verse_number' => '80','translate_name' => '«ولقد كذب أصحاب الحجر» واد بين المدينة والشام وهم ثمود «المرسلين» بتكذيبهم صالحا تكذيب لباقي الرسل لاشتراكهم في المجيء بالتوحيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20591','chapter_id' => '15','chapter_detail_id' => '1883','translator_id' => '4','verse_number' => '81','translate_name' => '«وآتيناهم آياتنا» في الناقة «فكانوا عنها معرضين» لا يتفكرون فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20592','chapter_id' => '15','chapter_detail_id' => '1884','translator_id' => '4','verse_number' => '82','translate_name' => '«وكانوا ينحتون من الجبال بيوتا آمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20593','chapter_id' => '15','chapter_detail_id' => '1885','translator_id' => '4','verse_number' => '83','translate_name' => '«فأخذتهم الصيحة مصبحين» وقت الصباح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20594','chapter_id' => '15','chapter_detail_id' => '1886','translator_id' => '4','verse_number' => '84','translate_name' => '«فما أغنى» دفع «عنهم» العذاب «ما كانوا يكسبون» من بناء الحصون وجمع الأموال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20595','chapter_id' => '15','chapter_detail_id' => '1887','translator_id' => '4','verse_number' => '85','translate_name' => '«وما خلقنا السماوات والأرض وما بينهما إلا بالحق وإن الساعة لآتية» لا محالة فيجازى كل أحد بعمله «فاصفح» يا محمد عن قومك «الصفح الجميل» أعرض عنهم إعراضا لا جزع فيه وهذا منسوخ بآية السيف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20596','chapter_id' => '15','chapter_detail_id' => '1888','translator_id' => '4','verse_number' => '86','translate_name' => '«إن ربك هو الخلاق» لكل شيء «العليم» بكل شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20597','chapter_id' => '15','chapter_detail_id' => '1889','translator_id' => '4','verse_number' => '87','translate_name' => '«ولقد آتيناك سبعا من المثاني» قال صلى الله عليه وسلم هي الفاتحة رواه الشيخان لأنها تثنى في كل ركعة «والقرآن العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20598','chapter_id' => '15','chapter_detail_id' => '1890','translator_id' => '4','verse_number' => '88','translate_name' => '«لا تمدّن عينيك إلى ما متعنا به أزواجا» أصنافا «منهم ولا تحزن عليهم» إن لم يؤمنوا «واخفض جناحك» ألن جانبك «للمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20599','chapter_id' => '15','chapter_detail_id' => '1891','translator_id' => '4','verse_number' => '89','translate_name' => '«وقل إني أنا النذير» من عذاب الله أن ينزل عليكم «المبين» البين الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20600','chapter_id' => '15','chapter_detail_id' => '1892','translator_id' => '4','verse_number' => '90','translate_name' => '«كما أنزلنا» العذاب «على المقتسمين» اليهود والنصارى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20601','chapter_id' => '15','chapter_detail_id' => '1893','translator_id' => '4','verse_number' => '91','translate_name' => '«الذين جعلوا القرآن» أي كتبهم المنزلة عليهم «عضين» أجزاء، حيث آمنوا ببعض وكفروا ببعض، وقيل المراد بهم الذين اقتسموا طرق مكة يصدون الناس عن الإسلام، وقال بعضهم في القرآن سحر وبعضهم كهانة وبعضهم شعر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20602','chapter_id' => '15','chapter_detail_id' => '1894','translator_id' => '4','verse_number' => '92','translate_name' => '«فوربك لنسألنهم أجمعين» سؤال توبيخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20603','chapter_id' => '15','chapter_detail_id' => '1895','translator_id' => '4','verse_number' => '93','translate_name' => '«عما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20604','chapter_id' => '15','chapter_detail_id' => '1896','translator_id' => '4','verse_number' => '94','translate_name' => '«فاصدع» يا محمد «بما تؤمر» به أي اجهر به وأمضه «وأعرض عن المشركين» هذا قبل الأمر بالجهاد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20605','chapter_id' => '15','chapter_detail_id' => '1897','translator_id' => '4','verse_number' => '95','translate_name' => '«إنا كفيناك المستهزئين» بك بإهلاكنا كلا بآفة وهم الوليد بن المغيرة والعاص بن وائل وعدي بن قيس والأسود بن المطلب والأسود بن عبد يغوث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20606','chapter_id' => '15','chapter_detail_id' => '1898','translator_id' => '4','verse_number' => '96','translate_name' => '«الذين يجعلون مع الله إلها آخر» صفة وقيل مبتدأ ولتضمنه معنى الشرط دخلت الفاء في خبره وهو «فسوف يعلمون» عاقبة أمرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20607','chapter_id' => '15','chapter_detail_id' => '1899','translator_id' => '4','verse_number' => '97','translate_name' => '«ولقد» للتحقيق «نعلم أنك يضيق صدرك بما يقولون» من الاستهزاء والتكذيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20608','chapter_id' => '15','chapter_detail_id' => '1900','translator_id' => '4','verse_number' => '98','translate_name' => '«فسبح» ملتبسا «بحمد ربك» أي قل سبحان الله وبحمده «وكن من الساجدين» المصلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20609','chapter_id' => '15','chapter_detail_id' => '1901','translator_id' => '4','verse_number' => '99','translate_name' => '«واعبد ربك حتى يأتيك اليقين» الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20610','chapter_id' => '16','chapter_detail_id' => '1902','translator_id' => '4','verse_number' => '1','translate_name' => 'لما استبطأ المشركون العذاب نزل: «أتى أمر الله» أي الساعة، وأتى بصيغة الماضي لتحقق وقوعه أي قرب «فلا تستعجلوه» تطلبوه قبل حينه فإنه واقع لا محالة «سبحانه» تنزيهاً له «وتعالى عما يشكرون» به غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20611','chapter_id' => '16','chapter_detail_id' => '1903','translator_id' => '4','verse_number' => '2','translate_name' => '«ينزل الملائكة» أي جبريل «بالروح» بالوحي «من أمره» بإرادته «على من يشاء من عباده» وهم الأنبياء «أن» مفسرة «أنذروا» خوفوا الكافرين بالعذاب وأعلموهم «أنه لا إله إلا أنا فاتقون» خافون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20612','chapter_id' => '16','chapter_detail_id' => '1904','translator_id' => '4','verse_number' => '3','translate_name' => '(خلق السماوات والأرض بالحق) أي محقا (تعالى عما يشركون) به من الأصنام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20613','chapter_id' => '16','chapter_detail_id' => '1905','translator_id' => '4','verse_number' => '4','translate_name' => '(خلق الإنسان من نطفة) مَنِيّ إلى أن صيره قويا شديداً (فإذا هو خصيم) شديد الخصومة (مبين) بينها في نفي البعث قائلاً "" من يحيي العظام وهي رميم "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20614','chapter_id' => '16','chapter_detail_id' => '1906','translator_id' => '4','verse_number' => '5','translate_name' => '«والأنعام» الإبل والبقر والغنم، ونصبه بفعل مقدر يفسره «خلقها لكم» من جملة الناس «فيها دفءٌ» ما تستدفئون به من الأكسية والأردية من أشعارها وأصوافها «ومنافع» من النسل والدرّ والركوب «ومنها تأكلون» قدم الظرف للفاصلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20615','chapter_id' => '16','chapter_detail_id' => '1907','translator_id' => '4','verse_number' => '6','translate_name' => '«ولكم فيها جمال» زينة «حين تريحون» تردونها إلى مراحها بالعشي «وحين تسرحون» تخرجونها إلى المرعى بالغداة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20616','chapter_id' => '16','chapter_detail_id' => '1908','translator_id' => '4','verse_number' => '7','translate_name' => '«وتحمل أثقالكم» أحمالكم «إلى بلدٍ لم تكونوا بالغيه» واصلين على غير الإبل «إلا بشق الأنفس» بجهدها «إن ربكم لرءُوف رحيم» حيث خلقها لكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20617','chapter_id' => '16','chapter_detail_id' => '1909','translator_id' => '4','verse_number' => '8','translate_name' => '«و» خلق «الخيل والبغال والحمير لتركبوها وزينة» مفعول له، والتعليل بهما بتعريف النعم لا ينافي خلقها لغير ذلك كالأكل في الخيل، الثابت بحديث الصحيحين «ويخلق ما لا تعلمون» من الأشياء العجيبة الغريبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20618','chapter_id' => '16','chapter_detail_id' => '1910','translator_id' => '4','verse_number' => '9','translate_name' => '«وعلى الله قصد السبيل» أي بيان الطريق المستقيم «ومنها» أي السبيل «جائر» حائد عن الاستقامة «ولو شاء» هدايتكم «لهداكم» إلى قصد السبيل «أجمعين» فتهتدون إليه باختيار منكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20619','chapter_id' => '16','chapter_detail_id' => '1911','translator_id' => '4','verse_number' => '10','translate_name' => '«هو الذي أنزل من السماء ماء لكم منه شراب» تشربونه «ومنه شجر» ينبت بسببه «فيه تسيمون» ترعون دوابكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20620','chapter_id' => '16','chapter_detail_id' => '1912','translator_id' => '4','verse_number' => '11','translate_name' => '«ينبت لكم به الزرع والزيتون والنخيل والأعناب ومن كل الثمرات إن في ذلك» المذكور «لآية» دالة على وحدانيته تعالى «لقوم يتفكرون» في صنعه فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20621','chapter_id' => '16','chapter_detail_id' => '1913','translator_id' => '4','verse_number' => '12','translate_name' => '«وسخَّر لكم الليل والنهار والشمس» بالنصب عطفاً على ما قبله والرفع مبتدأ «والقمر والنجوم» بالوجهين «مسخرات» بالنصب حال والرفع خبر «بأمره» بإرادته «إن في ذلك لآيات لقوم يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20622','chapter_id' => '16','chapter_detail_id' => '1914','translator_id' => '4','verse_number' => '13','translate_name' => '«و» سخر لكم «ما ذرَأ» خلق «لكم في الأرض» من الحيوان والنبات وغير ذلك «مختلفاً ألوانه» كأحمر وأصفر وأخضر وغيرها «إن في ذلك لآية لقوم يذكَّرون» يتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20623','chapter_id' => '16','chapter_detail_id' => '1915','translator_id' => '4','verse_number' => '14','translate_name' => '«وهو الذي سخَّر البحر» ذلله لركوبه والغوص فيه «لتأكلوا منه لحماً طرياً» هو السمك «وتستخرجوا منه حليه تلبسونها» هي اللؤلؤ والمرجان «وترى» تبصر «الفلك» السفن «مواخر فيه» تمخر الماء، أي تشقه يجريها فيه مقبلة ومدبرة بريح واحدة «ولتبتغوا» عطف على لتأكلوا، تطلبوا «من فضله» تعالى بالتجارة «ولعلكم تشكرون» الله على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20624','chapter_id' => '16','chapter_detail_id' => '1916','translator_id' => '4','verse_number' => '15','translate_name' => '«وألقى في الأرض رواسي» جبالاً ثوابت لـ «أن» لا «تميد» تتحرك «بكم و» جعل فيها «أنهاراً» كالنيل «وسبلاً» طرقاً «لعلكم تهتدون» إلى مقاصدكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20625','chapter_id' => '16','chapter_detail_id' => '1917','translator_id' => '4','verse_number' => '16','translate_name' => '«وعلامات» تستدلون بها على الطرق كالجبال بالنهار «وبالنجم» بمعنى النجوم «هم يهتدون» إلى الطرق والقبلة بالليل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20626','chapter_id' => '16','chapter_detail_id' => '1918','translator_id' => '4','verse_number' => '17','translate_name' => '«أفمن يخلق» وهو الله «كمن لا يخلق» وهو الأصنام حيث تشركونها معه في العبادة؟ لا «أفلا تذكرون» هذا فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20627','chapter_id' => '16','chapter_detail_id' => '1919','translator_id' => '4','verse_number' => '18','translate_name' => '«وإن تعدّوا نعمة الله لا تحصوها» تضبطوها فضلاً أن تطيقوا شكرها «إن الله لغفور رحيم» حيث ينعم عليكم مع تقصيركم وعصيانكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20628','chapter_id' => '16','chapter_detail_id' => '1920','translator_id' => '4','verse_number' => '19','translate_name' => '«والله يعلم ما تسرون وما تعلنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20629','chapter_id' => '16','chapter_detail_id' => '1921','translator_id' => '4','verse_number' => '20','translate_name' => '«والذين تدعون» بالتاء والياء تعبدون «من دون الله» وهم الأصنام «لا يخلقون شيئاً وهم يُخلقون» يصورون من الحجارة وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20630','chapter_id' => '16','chapter_detail_id' => '1922','translator_id' => '4','verse_number' => '21','translate_name' => '«أموات» لا روح فيه خبر ثان «غير أحياء» تأكيد «وما يشعرون» أي الأصنام «أيان» وقت «يبعثون» أي الخلق فكيف يعبدون، إذ لا يكون إلهاً إلا الخالق الحي العالم بالغيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20631','chapter_id' => '16','chapter_detail_id' => '1923','translator_id' => '4','verse_number' => '22','translate_name' => '«إلهكم» المستحق للعبادة منكم «إله واحد» لا نظير له في ذاته ولا في صفاته وهو الله تعالى «فالذين لا يؤمنون بالآخرة قلوبهم منكرة» جاحدة للوحدانية «وهم مستكبرون» متكبرون عن الإيمان بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20632','chapter_id' => '16','chapter_detail_id' => '1924','translator_id' => '4','verse_number' => '23','translate_name' => '«لا جرم» حقا «أن الله يعلم ما يسرون وما يعلنون» فيجازيهم بذلك «إنه لا يحب المستكبرين» بمعنى أنه يعاقبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20633','chapter_id' => '16','chapter_detail_id' => '1925','translator_id' => '4','verse_number' => '24','translate_name' => 'ونزل في النضر بن الحارث «وإذا قيل لهم ما» استفهامية «ذا» موصولة «أنزل ربكم» على محمد «قالوا» هو «أساطير» أكاذيب «الأولين» إضلالاً للناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20634','chapter_id' => '16','chapter_detail_id' => '1926','translator_id' => '4','verse_number' => '25','translate_name' => '«ليحملوا» في عاقبة الأمر «أوزارهم» ذنوبهم «كاملة» لم يُكفَّر منها شيء «يوم القيامة ومن» بعض «أوزار الذين يضلونهم بغير علم» لأنهم دعوهم إلى الضلال فاتبعوهم فاشتركوا في الإثم «ألا ساء» بئس «ما يزرون» يحملونه حملهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20635','chapter_id' => '16','chapter_detail_id' => '1927','translator_id' => '4','verse_number' => '26','translate_name' => '«قد مكر الذين من قبلهم» وهو نمروذ بنى صرحاً طويلا ليصعد منه إلى السماء ليقاتل أهلها «فأتى اللهُ» قصد «بنيانهم من القواعد» الأساس فأرسل عليه الريح والزلزلة فهدمته «فخر عليهم السقف من فوقهم» أي هم تحته «وأتاهم العذاب من حيث لا يشعرون» من جهة لا تخطر ببالهم وقيل هذا تمثيل لإفساد ما أبرموه من المكر بالرسل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20636','chapter_id' => '16','chapter_detail_id' => '1928','translator_id' => '4','verse_number' => '27','translate_name' => '«ثم يوم القيامة يخزيهم» يذلهم «ويقول» الله لهم على لسان الملائكة توبيخاً «أين شركائي» بزعمكم «الذين كنتم تشاقون» تخالفون المؤمنين «فيهم» في شأنهم «قال» أي يقول «الذين أوتوا العلم» من الأنبياء والمؤمنين «إن الخزي اليوم والسوء على الكافرين» يقولونه شماتة بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20637','chapter_id' => '16','chapter_detail_id' => '1929','translator_id' => '4','verse_number' => '28','translate_name' => '«الذين تتوفاهم» بالتاء والياء «الملائكة ظالمي أنفسهم» بالكفر «فألقوا السلم» انقادوا واستسلموا عند الموت قائلين «ما كنا نعمل من سوء» شرك فتقول الملائكة «بلى إن الله عليم بما كنتم تعملون» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20638','chapter_id' => '16','chapter_detail_id' => '1930','translator_id' => '4','verse_number' => '29','translate_name' => 'ويقال لهم «فادخلوا أبواب جهنم خالدين فيها فلبئس مثوى» مأوى «المتكبرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20639','chapter_id' => '16','chapter_detail_id' => '1931','translator_id' => '4','verse_number' => '30','translate_name' => '«وقيل للذين اتقوْا» الشرك «ماذا أنزل ربكم قالوا خيراً للذين أحسنوا» بالإيمان «في هذه الدنيا حسنة» حياة طيبة «ولدار الآخرة» أي الجنة «خير» من الدنيا وما فيها قال تعالى فيها «ولنعم دار المتقين» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20640','chapter_id' => '16','chapter_detail_id' => '1932','translator_id' => '4','verse_number' => '31','translate_name' => '«جنات عدن» إقامة مبتدأ خبره «يدخلونها تجري من تحتها الأنهار لهم فيها ما يشاءُون كذلك» الجزاء «يجزي الله المتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20641','chapter_id' => '16','chapter_detail_id' => '1933','translator_id' => '4','verse_number' => '32','translate_name' => '«الذين» نعت «تتوفاهم الملائكة طيبين» طاهرين من الكفر «يقولون» عند الموت «سلام عليكم» ويقال لهم في الآخرة «ادخلوا الجنة بما كنتم تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20642','chapter_id' => '16','chapter_detail_id' => '1934','translator_id' => '4','verse_number' => '33','translate_name' => '«هل» ما «ينظرون» ينتظر الكفار «إلا أن تأتيهم» بالتاء والياء «الملائكة» لقبض أرواحهم «أو يأتي أمر ربك» العذاب أو القيامة المشتملة عليه «كذلك» كما فعل هؤلاء «فعل الذين من قبلهم» من الأمم كذبوا رسلهم فأهلكوا «وما ظلمهم الله» بإهلاكهم بغير ذنب «ولكن كانوا أنفسهم يظلمون» بالكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20643','chapter_id' => '16','chapter_detail_id' => '1935','translator_id' => '4','verse_number' => '34','translate_name' => 'فأصابهم سيئات ما عملوا» أي جزاءها «وحاق» نزل «بهم ما كانوا به يستهزءُون» أي العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20644','chapter_id' => '16','chapter_detail_id' => '1936','translator_id' => '4','verse_number' => '35','translate_name' => '«وقال الذين أشركوا» من أهل مكة «لو شاء الله ما عبدنا من دونه من شيء نحن ولا آباؤنا ولا حرمنا من دونه من شيء» من البحائر والسوائب فإشراكنا وتحريمنا بمشيئته فهو راض به، قال تعالى: «كذلك فعل الذين من قبلهم» أي كذبوا ربهم فيما جاءوا به «فهل» فما «على الرسل إلا البلاغ المبين» إلا البلاغ البيِّن وليس عليهم الهداية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20645','chapter_id' => '16','chapter_detail_id' => '1937','translator_id' => '4','verse_number' => '36','translate_name' => '«ولقد بعثنا في كل أمة رسولاً» كما بعثناك في هؤلاء «أن» بأن «اعبدوا الله» وحدوه «واجتنبوا الطاغوت» الأوثان أن تعبدوها «فمنهم من هدى الله» فآمن «ومنهم من حقت» وجَبَتْ «عليه الضلالة» في علم الله فلم يؤمن «فسيروا» يا كفار مكة «في الأرض فانظروا كيف كان عاقبة المكذبين» رسلهم من الهلاك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20646','chapter_id' => '16','chapter_detail_id' => '1938','translator_id' => '4','verse_number' => '37','translate_name' => '«إن تحرص» يا محمد «على هداهم» وقد أضلهم الله لا تقدر على ذلك «فإن الله لا يُهدِي» بالبناء للمفعول وللفاعل «من يضل» من يريد إضلاله «وما لهم من ناصرين» مانعين من عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20647','chapter_id' => '16','chapter_detail_id' => '1939','translator_id' => '4','verse_number' => '38','translate_name' => '«وأقسموا بالله جهد أيمانهم» أي غاية اجتهادهم فيها «لا يبعث الله من يموت» قال تعالى «بلى» يبعثهم «وعداً عليه حقا» مصدران مؤكدان منصوبان بفعلهما المقدر أي وعد ذلك وحقه حقا «ولكن أكثر الناس» أي أهل مكة «لا يعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20648','chapter_id' => '16','chapter_detail_id' => '1940','translator_id' => '4','verse_number' => '39','translate_name' => '«ليبين» متعلق ببعثهم المقدر «لهم الذي يختلفون» مع المؤمنين «فيه» من أمر الدين بتعذيبهم وإثابة المؤمنين «وليعلم الذين كفروا أنهم كانوا كاذبين» في إنكار البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20649','chapter_id' => '16','chapter_detail_id' => '1941','translator_id' => '4','verse_number' => '40','translate_name' => '«إنما قوْلنا لشيء إذا أردناه» أي أردنا إيجاده وقولنا مبتدأ خبره «أن نقول له كن فيكونُ» أي فهو يكون وفي قراءة بالنصب عطفاً على نقول والآية لتقرير القدرة على البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20650','chapter_id' => '16','chapter_detail_id' => '1942','translator_id' => '4','verse_number' => '41','translate_name' => '«والذين هاجروا في الله» لإقامة دينه «من بعدما ظلموا» بالأذى من أهل مكة وهم النبي وأصحابه «لنبوِّئَنهم» ننزلهم «في الدنيا» داراً «حسنة» هي المدينة «ولأجر الآخرة» أي الجنة «أكبر» أعظم «لو كانوا يعلمون» أي الكفار أو المتخلفون عن الهجرة ما للمهاجرين من الكرامة لوافقوهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20651','chapter_id' => '16','chapter_detail_id' => '1943','translator_id' => '4','verse_number' => '42','translate_name' => 'هم «الذين صبروا» على أذى المشركين والهجرة لإظهار الدين «وعلى ربهم يتوكلون» فيرزقهم من حيث لا يحتسبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20652','chapter_id' => '16','chapter_detail_id' => '1944','translator_id' => '4','verse_number' => '43','translate_name' => '«وما أرسلنا من قبلك إلا رجالاً نوحي إليهم» لا ملائكة «فاسألوا أهل الذكر» العلماء بالتوراة والإنجيل «إن كنتم لا تعلمون» ذلك، فإنهم يعلمونه وأنتم إلى تصديقهم أقرب من تصديق المؤمنين بمحمد صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20653','chapter_id' => '16','chapter_detail_id' => '1945','translator_id' => '4','verse_number' => '44','translate_name' => '«بالبينات» متعلق بمحذوف أي أرسلناهم بالحجج الواضحة «والزُّبُر» الكتب «وأنزلنا إليك الذكر» القرآن «لتبين للناس ما نزل إليهم» فيه من الحلال والحرام «ولعلهم يتفكرون» في ذلك فيعتبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20654','chapter_id' => '16','chapter_detail_id' => '1946','translator_id' => '4','verse_number' => '45','translate_name' => '«أفأمِنَ الذين مكروا» المكرات «السيئات» بالنبي صلى اله عليه وسلم في دار الندوة من تقييده أو قتله أو إخراجه كما ذكر في الأنفال «أن يخسف الله بهم الأرض» كقارون «أو يأتيهم العذاب من حيث لا يشعرون» أي جهة لا تخطر ببالهم وقد أهلكوا ببدر ولم يكونوا يقدّرون ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20655','chapter_id' => '16','chapter_detail_id' => '1947','translator_id' => '4','verse_number' => '46','translate_name' => '«أو يأخذهم في تقلبهم» في أسفارهم للتجارة «فما هم بمعجزين» بفائتي العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20656','chapter_id' => '16','chapter_detail_id' => '1948','translator_id' => '4','verse_number' => '47','translate_name' => '«أو يأخذهم على تخوف» تنقص شيئاً فشيئاً حتى يهلك الجميع حال من الفاعل أو المفعول «فإن ربكم لرءُوف رحيم» حيث لم يعاجلهم بالعقوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20657','chapter_id' => '16','chapter_detail_id' => '1949','translator_id' => '4','verse_number' => '48','translate_name' => '«أولم يروْا إلى ما خلق الله من شيء» له ظل كشجرة وجبل «تتفيَّؤ» تتميل «ظلاله عن اليمين والشمائل» جمع شمال أي عن جانبيهما أول النهار وآخره «سجداً لله» حال أي خاضعين له بما يراد منهم «وهم» أي الظلال «داخرون» صاغرون نزلوا منزلة العقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20658','chapter_id' => '16','chapter_detail_id' => '1950','translator_id' => '4','verse_number' => '49','translate_name' => '«ولله يسجد ما في السماوات وما في والأرض من دابة» أي نسمة تدب عليها أي تخضع له بما يراد منها، وغلب في الإتيان بما لا يعقل لكثرته «والملائكة» خصهم بالذكر تفضيلاً «وهم لا يستكبرون» يتكبرون عن عبادته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20659','chapter_id' => '16','chapter_detail_id' => '1951','translator_id' => '4','verse_number' => '50','translate_name' => '«يخافون» أي الملائكة حال من ضمير يستكبرون «ربهم من فوقهم» حال من هم أي عالياً عليهم بالقهر «ويفعلون ما يؤمرون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20660','chapter_id' => '16','chapter_detail_id' => '1952','translator_id' => '4','verse_number' => '51','translate_name' => '«وقال الله لا تتخذوا إلهين اثنين» تأكيد «إنما هو إله واحد» أتى به لإثبات الإلهية والوحدانية «فإياي فارهبون» خافون دون غيري وفيه التفات عن الغيبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20661','chapter_id' => '16','chapter_detail_id' => '1953','translator_id' => '4','verse_number' => '52','translate_name' => '«وله ما في السماوات والأرض» ملكاً وخلقاً وعبيداً «وله الدين» الطاعة «واصباً» دائماً حال من الدين والعامل فيه معنى الظرف «أفغير الله تتقون» وهو الإله الحق ولا إله غيره والاستفهام للإنكار والتوبيخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20662','chapter_id' => '16','chapter_detail_id' => '1954','translator_id' => '4','verse_number' => '53','translate_name' => '«وما بكم من نعمة فمن الله» لا يأتي بها غيره و"ما" شرطية أو موصولة «ثم إذا مسكم» أصابكم «الضر» الفقر والمرض «فإليه تجأرون» ترفعون أصواتكم بالاستغاثة والدعاء ولا تدعون غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20663','chapter_id' => '16','chapter_detail_id' => '1955','translator_id' => '4','verse_number' => '54','translate_name' => '«ثم إذا كشف الضر عنكم إذا فريق منكم بربهم يشركون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20664','chapter_id' => '16','chapter_detail_id' => '1956','translator_id' => '4','verse_number' => '55','translate_name' => '«ليكفروا بما آتيناهم» من النعمة «فتمتعوا» باجتماعكم على عبادة الأصنام أمر تهديد «فسوف تعلمون» عاقبة ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20665','chapter_id' => '16','chapter_detail_id' => '1957','translator_id' => '4','verse_number' => '56','translate_name' => '«ويجعلون» أي المشركون «لما لا يعلمون» أنها تضر ولا تنفع وهي الأصنام «نصيباً مما رزقناهم» من الحرث والأنعام بقولهم هذا لله لشركائنا «تالله لتسألن» سؤال توبيخ وفيه التفات عن الغيبة «عما كنتم تفترون» على الله من أنه أمركم بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20666','chapter_id' => '16','chapter_detail_id' => '1958','translator_id' => '4','verse_number' => '57','translate_name' => '(ويجعلون لله البنات) بقولهم الملائكة بنات الله (سبحانه) تنزيهاً له عما زعموا (ولهم ما يشتهون) ـه أي البنون والجملة في محل رفع أو نصب بيجعل، المعنى يجعلون له البنات التي يكرهونها وهو منزه عن الولد ويجعلون لهم الأبناء الذين يختارونهم فيختصون بالأسنى كقوله "" فاستفتهم ألربك البنات ولهم البنون "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20667','chapter_id' => '16','chapter_detail_id' => '1959','translator_id' => '4','verse_number' => '58','translate_name' => '«وإذا بُشّر أحدهم بالأنثى» تولد له «ظل» صار «وجهه مسوداً» متغيراً تغير مغتَمّ «وهو كظيم» ممتلئ غمًّا فكيف تنسب البنات إليه تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20668','chapter_id' => '16','chapter_detail_id' => '1960','translator_id' => '4','verse_number' => '59','translate_name' => '«يتوارى» يختفي «من القوم» أي قومه «من سوء ما بشر به» خوفاً من التعيير متردداً فيما يفعل به «أيمسكه» يتركه بلا قتل «على هون» هوان وذل «أم يدسه في التراب» بأن يئده «ألا ساء» بئس «ما يحكمون» حكمهم هذا حيث نسبوا لخالقهم البنات اللاتي هن عندهم بهذا المحل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20669','chapter_id' => '16','chapter_detail_id' => '1961','translator_id' => '4','verse_number' => '60','translate_name' => '«للذين لا يؤمنون بالآخرة» أي الكفار «مثل السَّوء» أي الصفة السوأى بمعنى القبيحة وهي وأدهم البنات مع احتياجهم إليهن للنكاح «ولله المثل الأعلى» الصفة العليا وهو أنه لا إله إلا هو «وهو العزيز» في ملكه «الحكيم» في خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20670','chapter_id' => '16','chapter_detail_id' => '1962','translator_id' => '4','verse_number' => '61','translate_name' => '«ولو يؤاخذ الله الناس بظلمهم» بالمعاصي «ما ترك عليها» أي الأرض «من دابة» نسمة تدب عليها «ولكن يؤخرهم إلى أجل مسمى فإذا جاء أجلهم لا يستأخرون» عنه «ساعة ولا يستقدمون» عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20671','chapter_id' => '16','chapter_detail_id' => '1963','translator_id' => '4','verse_number' => '62','translate_name' => '«ويجعلون لله ما يكرهون» لأنفسهم من البنات والشريك في الرياسة وإهانة الرسل «وتصف» تقول «ألسنتهم» مع ذلك «الكذب» وهو «أن لهم الحسنى» عند الله أي الجنة لقوله: (ولئن رجعت إلى ربي إن لي عنده للحسنى) «لا جرم» حقا «أن لهم النار وأنهم مفرطون» متروكون فيها أو مقدمون إليها وفي قراءة بكسر الراء أي متجاوزون الحد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20672','chapter_id' => '16','chapter_detail_id' => '1964','translator_id' => '4','verse_number' => '63','translate_name' => '«تالله لقد أرسلنا إلى أمم من قبلك» رسلاً «فزين لهم الشيطان أعمالهم» السيئة فرأوها حسنة فكذبوا الرسل «فهو وليهم» متولي أمورهم «اليوم» أي في الدنيا «ولهم عذاب أليم» مؤلم في الآخرة وقيل المراد باليوم يوم القيامة على حكاية الحال الآتية لا ولي لهم غيره وهو عاجز عن نصر نفسه فكيف ينصرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20673','chapter_id' => '16','chapter_detail_id' => '1965','translator_id' => '4','verse_number' => '64','translate_name' => '«وما أنزلنا عليك» يا محمد «الكتاب» القرآن «إلا لتبين لهم الذي اختلفوا فيه» من أمر الدين «وهدى» عطف على لتبين «ورحمة لقوم يؤمنون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20674','chapter_id' => '16','chapter_detail_id' => '1966','translator_id' => '4','verse_number' => '65','translate_name' => '«والله أنزل من السماء ماء فأحيا به الأرض» بالنبات «بعد موتها» يبسها «إن في ذلك» المذكور «لآية» دالة على البعث «لقوم يسمعون» سماع تدبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20675','chapter_id' => '16','chapter_detail_id' => '1967','translator_id' => '4','verse_number' => '66','translate_name' => '«وإن لكم في الأنعام لعبرة» اعتبار «نسقيكم» بيان للعبرة «مما في بطونه» أي الأنعام «من» للابتداء متعلقة بنسقيكم «بين فرث» ثفل الكرش «ودمٍ لبناً خالصاً» لا يشوبه شيء من الفرث والدم من طعم أو ريح أو لون أو بينهما «سائغاًً للشاربين» سهل المرور في حلقهم لا يغص به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20676','chapter_id' => '16','chapter_detail_id' => '1968','translator_id' => '4','verse_number' => '67','translate_name' => '«ومن ثمرات النخيل والأعناب» ثمر «تتخذون منه سكراً» خمراً يسكِر سميت بالمصدر وهذا قبل تحريمها «ورزقاً حسناً» كالتمر والزبيب والخل والدبس «إن في ذلك» المذكور «لآية» دالة على قدرته تعالى «لقوم يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20677','chapter_id' => '16','chapter_detail_id' => '1969','translator_id' => '4','verse_number' => '68','translate_name' => '«وأوحى ربك إلى النحل» وحي إلهام «أن» مفسرة أو مصدرية «اتخذي من الجبال بيوتاً» تأوين إليها «ومن الشجر» بيوتًا «ومما يعرشون» أي الناس يبنون لك من الأماكن وإلا لم تأو إليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20678','chapter_id' => '16','chapter_detail_id' => '1970','translator_id' => '4','verse_number' => '69','translate_name' => '«ثم كلي من كل الثمرات فاسلكي» ادخلي «سبل ربك» طرقه في طلب المرعى «ذللا» جمع ذلول حال من السبل أي مسخرة لك فلا تعسر عليك وإن توعرت ولا تضلي على العود منها وإن بعدت، وقيل من الضمير في اسلكي أي منقادة لما يراد منك «يخرج من بطونها شراب» هو العسل «مختلف ألوانه فيه شفاء للناس» من الأوجاع قيل لبعضها كما دل عليه تنكير شفاء أو لكلها بضميمته إلى غيره وبدونها بنيته وقد أمر به صلى الله عليه وسلم من استطلق عليه بطنه رواه الشيخان «إن في ذلك لآية لقوم يتفكرون» في صنعه تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20679','chapter_id' => '16','chapter_detail_id' => '1971','translator_id' => '4','verse_number' => '70','translate_name' => '«والله خلقكم» ولم تكونوا شيئاً «ثم يتوفاكم» عند انقضاء آجالكم «ومنكم من يرد إلى أرذل العمر» أي أخسه من الهرم والخرف «لكي لا يعلم بعد علم شيئاً» قال عكرمة من قرأ القرآن لم يصر بهذه الحالة «إن الله عليم» بتدبير خلقه «قدير» على ما يريده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20680','chapter_id' => '16','chapter_detail_id' => '1972','translator_id' => '4','verse_number' => '71','translate_name' => '«والله فضل بعضكم على بعض في الرزق» فمنكم غني وفقير ومالك ومملوك «فما الذين فضلوا» أي الموالي «برادي رزقهم على ما ملكت أيمانهم» أي بجاعلي ما رزقناهم من الأموال وغيرها شركة بينهم وبين مماليكهم «فهم» أي المماليك والموالي «فيه سواء» شركاء المعنى ليس لهم شركاء من مماليكهم في أموالهم فكيف يجعلون بعض مماليك الله شركاء له «أفبنعمة الله يجحدون» يكفرون حيث يجعلون له شركاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20681','chapter_id' => '16','chapter_detail_id' => '1973','translator_id' => '4','verse_number' => '72','translate_name' => '«والله جعل لكم من أنفسكم أزواجا» فخلق حواء من ضلع آدم وسائر الناس من نطف الرجال والنساء «وجعل لكم من أزواجكم بنين وحفدة» أولاد الأولاد «ورزقكم من الطيبات» من أنواع الثمار والحبوب والحيوان «أفبالباطل» الصنم «يؤمنون وبنعمة الله هم يكفرون» بإشراكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20682','chapter_id' => '16','chapter_detail_id' => '1974','translator_id' => '4','verse_number' => '73','translate_name' => '«ويعبدون من دون الله» أي غيره «ما لا يملك لهم رزقا من السماوات» بالمطر «والأرض» بالنبات «شيئا» بدل من رزقا «ولا يستطيعون» يقدرون على شيء وهو الأصنام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20683','chapter_id' => '16','chapter_detail_id' => '1975','translator_id' => '4','verse_number' => '74','translate_name' => '«فلا تضربوا لله الأمثال» لا تجعلوا لله أشباها تشركون به «إن الله يعلم» أن لا مثل له «وأنتم لا تعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20684','chapter_id' => '16','chapter_detail_id' => '1976','translator_id' => '4','verse_number' => '75','translate_name' => '«ضرب الله مثلاً» ويبدل منه «عبدا مملوكا» صفة تميزه من الحر فإنه عبد الله «لا يقدر على شيء» لعدم ملكه «ومن» نكرة موصوفة أي حرا «رزقناه منا رزقا حسنا فهو ينفق منه سرا وجهرا» أي يتصرف فيه كيف يشاء والأول مثل الأصنام والثاني مثله تعالى «هل يستوون» أي العبيد العجزة والحر المتصرف؟ لا «الحمد لله» وحده «بل أكثرهم» أي أهل مكة «لا يعلمون» ما يصيرون إليه من العذاب فيشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20685','chapter_id' => '16','chapter_detail_id' => '1977','translator_id' => '4','verse_number' => '76','translate_name' => '«وضرب الله مثلاً» ويبدل منه «رجلين أحدهما أبكم» ولد أخرس «لا يقدر على شيء» لأنه لا يفهم ولا يُفهم «وهو كلّ» ثقيل «على مولاه» وليّ أمره «أينما يوجهه» يصرفه «لا يأت» منه «بخير» ينجح وهذا مثل الكافر «هل يستوي هو» أي الأبكم المذكور «ومن يأمر بالعدل» أي ومن هو ناطق نافع للناس حيث يأمر به ويحث عليه «وهو على صراط» طريق «مستقيم» وهو الثاني المؤمن؟ لا، وقيل هذا مثل الله، والأبكم للأصنام والذي قبله مثل الكافر والمؤمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20686','chapter_id' => '16','chapter_detail_id' => '1978','translator_id' => '4','verse_number' => '77','translate_name' => '«ولله غيب السماوات والأرض» أي علم ما غاب فيهما «وما أمر الساعة إلا كلمح البصر أو هو أقرب» لأنه بلفظ كن فيكون «إن الله على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20687','chapter_id' => '16','chapter_detail_id' => '1979','translator_id' => '4','verse_number' => '78','translate_name' => '«والله أخرجكم من بطون أمهاتكم لا تعلمون شيئا» الجملة حال «وجعل لكم السمع» بمعنى الأسماع «والأبصار والأفئدة» القلوب «لعلكم تشكرونـ» ـه على ذلك فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20688','chapter_id' => '16','chapter_detail_id' => '1980','translator_id' => '4','verse_number' => '79','translate_name' => '«ألم يروْا إلى الطير مسخرات» مذللات للطيران «في جو السماء» أي الهواء بين السماء والأرض «ما يمسكهن» عند قبض أجنحتهن أو بسطها أن يقعن «إلا الله» بقدرته «إن في ذلك لآيات لقوم يؤمنون» هي خلقها بحيث يمكنها الطيران وخلق الجو بحيث يمكن الطيران فيه وإمساكها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20689','chapter_id' => '16','chapter_detail_id' => '1981','translator_id' => '4','verse_number' => '80','translate_name' => '«والله جعل لكم من بيوتكم سكنا» موضعا تسكنون فيه «وجعل لكم من جلود الأنعام بيوتا» كالخيام والقباب «تستخفونها» للحمل «يوم ظعنكم» سفركم «ويوم إقامتكم ومن أصوافها» أي الغنم «وأوبارها» أي الإبل «وأشعارها» أي المعز «أثاثا» متاعا لبيوتكم كبسط وأكسية «ومتاعا» تتمتعون به «إلى حين» يبلى فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20690','chapter_id' => '16','chapter_detail_id' => '1982','translator_id' => '4','verse_number' => '81','translate_name' => '«والله جعل لكم مما خلق» من البيوت والشجر والغمام «ظلالاً» جمع ظل، تقيكم حر الشمس «وجعل لكم من الجبال أكنانا» جمع كن، وهو ما يستكن فيه كالغار والسرب «وجعل لكم سرابيل» قمصا «تقيكم الحر» أي والبرد «وسرابيل تقيكم بأسكم» حربكم أي الطعن والضرب فيها كالدروع والجواشن «كذلك» كما خلق هذه الأشياء «يُتم نعمته» في الدنيا «عليكم» بخلق ما تحتاجون إليه «لعلكم» يا أهل مكة «تسلمون» توحدونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20691','chapter_id' => '16','chapter_detail_id' => '1983','translator_id' => '4','verse_number' => '82','translate_name' => '«فإن تولوْا» أعرضوا عن الإسلام «فإنما عليك» يا محمد «البلاغ المبين» الإبلاغ البيِّن وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20692','chapter_id' => '16','chapter_detail_id' => '1984','translator_id' => '4','verse_number' => '83','translate_name' => '«يعرفون نعمة الله» أي يقرّون بأنها من عنده «ثم ينكرونها» بإشراكهم «وأكثرهم الكافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20693','chapter_id' => '16','chapter_detail_id' => '1985','translator_id' => '4','verse_number' => '84','translate_name' => '«و» اذكر «يوم نبعث من كل أمة شهيداً» هو نبيها يشهد لها وعليها وهو يوم القيامة «ثم لا يؤذن للذين كفروا» في الاعتذار «ولا هم يستعتبون» لا يطلب منهم العتبى أي الرجوع إلى ما يرضي الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20694','chapter_id' => '16','chapter_detail_id' => '1986','translator_id' => '4','verse_number' => '85','translate_name' => '«وإذا رأى الذين ظلموا» كفروا «العذاب» النار «فلا يُخفف عنهم» العذاب «ولا هم يُنظرون» يمهلون عنه إذا رأوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20695','chapter_id' => '16','chapter_detail_id' => '1987','translator_id' => '4','verse_number' => '86','translate_name' => '(وإذا رأى الذين أشركوا شركاءهم) من الشياطين وغيرها (قالوا ربنا هؤلاء شركاؤنا الذين كنا ندعو) نعبدهم (من دونك فألقوا إليهم القول) أي قالوا لهم (إنكم لكاذبون) في قولكم إنكم عبدتمونا كما في آية أخرى " ما كانوا إيانا يعبدون "، سيكفرون بعبادتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20696','chapter_id' => '16','chapter_detail_id' => '1988','translator_id' => '4','verse_number' => '87','translate_name' => '«وألقوا إلى الله يومئذ السلم» أي استسلموا لحكمه «وضل» غاب «عنهم ما كانوا يفترون» من أن آلهتهم تشفع لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20697','chapter_id' => '16','chapter_detail_id' => '1989','translator_id' => '4','verse_number' => '88','translate_name' => '«الذين كفروا وصدوا» الناس «عن سبيل الله» دينه «زدناهم عذابا فوق العذاب» الذي استحقوه بكفرهم قال ابن مسعود: عقارب أنيابها كالنخل الطوال «بما كانوا يفسدون» بصدهم الناس عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20698','chapter_id' => '16','chapter_detail_id' => '1990','translator_id' => '4','verse_number' => '89','translate_name' => '«و» اذكر «يوم نبعث في كل أمة شهيدا عليهم من أنفسهم» وهو نبيهم «وجئنا بك» يا محمد «شهيدا على هؤلاء» أي قومك «ونزلنا عليك الكتاب» القرآن «تبيانا» بيانا «لكل شيء» يحتاج إليه الناس من أمر الشريعة «وهدى» من الضلالة «ورحمة وبشرى» بالجنة «للمسلمين» الموحدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20699','chapter_id' => '16','chapter_detail_id' => '1991','translator_id' => '4','verse_number' => '90','translate_name' => '«إن الله يأمر بالعدل» التوحيد أو الإنصاف «والإحسان» أداء الفرائض أو أن تعبد الله كأنك تراه كما في الحديث «وإيتاءِ» إعطاء «ذي القربى» القرابة خصه بالذكر اهتماما به «وينهى عن الفحشاء» الزنا «والمنكر» شرعا من الكفر والمعاصي «والبغي» الظلم للناس خصه بالذكر اهتماما كما بدأ بالفحشاء كذلك «يعظكم» بالأمر والنهي «لعلكم تذكرون» تتعظون وفيه إدغام التاء في الأصل في الذال، وفي المستدرك عن ابن مسعود وهذه أجمع آية في القرآن للخير والشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20700','chapter_id' => '16','chapter_detail_id' => '1992','translator_id' => '4','verse_number' => '91','translate_name' => '«وأوْفوا بعهد الله» من البيع والأيمان وغيرها «إذا عاهدتم ولا تنقضوا الأيمان بعد توكيدها» توثيقها «وقد جعلتم الله عليكم كفيلاً» بالوفاء حيث حلفتم به والجملة حال «إن الله يعلم ما تفعلون» تهديد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20701','chapter_id' => '16','chapter_detail_id' => '1993','translator_id' => '4','verse_number' => '92','translate_name' => '«ولا تكونوا كالتي نقضت» أفسدت «غزلها» ما غزلته «من بعد قوة» إحكام له وبرم «أنكاثا» حال جمع نكث وهو ما ينكث أي يحل إحكامه وهي امرأة حمقاء من مكة كانت تغزل طوال يومها ثم تنقضه «تتخذون» حال من ضمير تكونوا: أي لا تكونوا مثلها في اتخاذكم «أيمانكم دخلاً» هو ما يدخل في الشيء وليس منه أي فسادا أو خديعة «بينكم» بأن تنقضوها «أن» أي لأن «تكون أُمة» جماعة «هي أربى» أكثر «من أمة» وكانوا يحالفون الحلفاء فإذا وجد أكثر منهم وأعز نقضوا حلف أولئك وحالفوهم «إنما يبلوكم» يختبركم «الله به» أي بما أمر به من الوفاء بالعهد لينظر المطيع منكم والعاصي أو يكون أمة أربى لينظر أتفون أم لا «وليبينن لكم يوم القيامة ما كنتم فيه تختلفون» في الدنيا من أمر العهد وغيره بأن يعذب الناكث ويثبت الوافي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20702','chapter_id' => '16','chapter_detail_id' => '1994','translator_id' => '4','verse_number' => '93','translate_name' => '«ولو شاء الله لجعلكم أمة واحدة» أهل دين واحد «ولكن يضل من يشاء ويهدي من يشاء ولتسألُن» يوم القيامة سؤال تبكيت «عما كنتم تعملون» لتجازوا عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20703','chapter_id' => '16','chapter_detail_id' => '1995','translator_id' => '4','verse_number' => '94','translate_name' => '«ولا تتخذوا أيمانكم دخلاً بينكم» كرره تأكدا «فتزل قدم» أي أقدامكم عن محجة الإسلام «بعد ثبوتها» استقامتها عليها «وتذوقوا السوء» أي العذاب «بما صددتم عن سبيل الله» أي بصدكم عن الوفاء بالعهد أو بصدكم غيركم عنه لأنه يستن بكم «ولكم عذاب عظيم» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20704','chapter_id' => '16','chapter_detail_id' => '1996','translator_id' => '4','verse_number' => '95','translate_name' => '«ولا تشتروا بعهد الله ثمنا قليلاً» من الدنيا بأن تنقضوه لأجله «إنما عند الله» من الثواب «هو خير لكم» مما في الدنيا «إن كنتم تعلمون» ذلك فلا تنقضوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20705','chapter_id' => '16','chapter_detail_id' => '1997','translator_id' => '4','verse_number' => '96','translate_name' => '«ما عندكم» من الدنيا «يَنفدُ» يفنى «وما عند الله باقي» دائم «وليجزينَّ» بالياء والنون «الذين صبروا» من الوفاء بالعهود «أجرهم بأحسن ما كانوا يعملون» أحسن بمعنى حسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20706','chapter_id' => '16','chapter_detail_id' => '1998','translator_id' => '4','verse_number' => '97','translate_name' => '«من عمل صالحاً من ذكر أو أنثى وهو مؤمن فلنحيينه حياة طيبة» قيل هي حياة الجنة وقيل في الدنيا بالقناعة أو الرزق الحلال «ولنجزينهم أجرهم بأحسن ما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20707','chapter_id' => '16','chapter_detail_id' => '1999','translator_id' => '4','verse_number' => '98','translate_name' => '«فإذا قرأت القرآن» أي أردت قراءته «فاستعذ بالله من الشيطان الرجيم» أي قل: أعوذ بالله من الشيطان الرجيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20708','chapter_id' => '16','chapter_detail_id' => '2000','translator_id' => '4','verse_number' => '99','translate_name' => '«إنه ليس له سلطان» تسلط «على الذين آمنوا وعلى ربهم يتوكلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20709','chapter_id' => '16','chapter_detail_id' => '2001','translator_id' => '4','verse_number' => '100','translate_name' => '«إنما سلطانه على الذين يتولوْنه» بطاعته «والذين هم به» أي الله «مشركون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20710','chapter_id' => '16','chapter_detail_id' => '2002','translator_id' => '4','verse_number' => '101','translate_name' => '«وإذا بدلنا آية مكان آية» بنسخها وإنزال غيرها بمصلحة العباد «والله أعلم بما ينزل قالوا» أي الكفار للنبي صلى الله عليه وسلم «إنما أنت مفتر» كذاب تقوله من عندك «بل أكثرهم لا يعلمون» حقيقة القرآن وفائدة النسخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20711','chapter_id' => '16','chapter_detail_id' => '2003','translator_id' => '4','verse_number' => '102','translate_name' => '«قل» لهم «نزَّله روح القدس» جبريل «من ربك بالحق» متعلق بنزل «ليثبت الذين آمنوا» بإيمانهم به «وهدى وبشرى للمسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20712','chapter_id' => '16','chapter_detail_id' => '2004','translator_id' => '4','verse_number' => '103','translate_name' => '«ولقد» للتحقيق «نعلم أنهم يقولون إنما يعلمه» القرآن «بشر» وهو قين نصراني كان النبي صلى الله عليه وسلم يدخل عليه قال تعالى «لسان» لغة «الذي يلحدون» يميلون «إليه» أنه يعلمه «أعجمي وهذا» القرآن «لسان عربي مبين» ذو بيان وفصاحة فكيف يعلمه أعجمي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20713','chapter_id' => '16','chapter_detail_id' => '2005','translator_id' => '4','verse_number' => '104','translate_name' => '«إن الذين لا يؤمنون بآيات الله لا يهديهم الله ولهم عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20714','chapter_id' => '16','chapter_detail_id' => '2006','translator_id' => '4','verse_number' => '105','translate_name' => '(إنما يفتري الكذب الذين لا يؤمنون بآيات الله) القرآن بقولهم هذا من قول البشر (وأولئك هم الكاذبون) والتأكيد بالتكرار، وإن وغيرهما رد لقولهم "" إنما أنت مفتر "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20715','chapter_id' => '16','chapter_detail_id' => '2007','translator_id' => '4','verse_number' => '106','translate_name' => '«من كفر بالله من بعد إيمانه إلا من أكره» على التلفظ بالكفر فتلفظ به «وقلبه مطمئن بالإيمان» ومن مبتدأ أو شرطية والخبر أو الجواب لهم وعيد شديد دل على هذا «ولكن من شرح بالكفر صدرا» له أي فتحه ووسعه بمعنى طابت به نفسه «فعليهم غضب من الله ولهم عذاب عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20716','chapter_id' => '16','chapter_detail_id' => '2008','translator_id' => '4','verse_number' => '107','translate_name' => '«ذلك» الوعيد لهم «بأنهم استحبوا الحياة الدنيا» اختاروها «على الآخرة وأن الله لا يهدي القوم الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20717','chapter_id' => '16','chapter_detail_id' => '2009','translator_id' => '4','verse_number' => '108','translate_name' => '«أولئك الذين طبع الله على قلوبهم وسمعهم وأبصارهم وأولئك هم الغافلون» عما يراد بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20718','chapter_id' => '16','chapter_detail_id' => '2010','translator_id' => '4','verse_number' => '109','translate_name' => '«لا جرم» حقاً «أنهم في الآخرة هم الخاسرون» لمصيرهم إلى النار المؤبدة عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20719','chapter_id' => '16','chapter_detail_id' => '2011','translator_id' => '4','verse_number' => '110','translate_name' => '«ثم إن ربك للذين هاجروا» إلى المدينة «من بعد ما فُتنوا» عذبوا وتلفظوا بالكفر وفي قراءة بالبناء للفاعل أي كفروا أو فتنوا الناس عن الأيمان «ثم جاهدوا وصبروا» على الطاعة «إن ربك من بعدها» أي الفتنة «لغفور» لهم «رحيم» بهم وخبر إن الأولى دل عليه خبر الثانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20720','chapter_id' => '16','chapter_detail_id' => '2012','translator_id' => '4','verse_number' => '111','translate_name' => 'اذكر «يوم تأتي كل نفس تجادل» تحاج «عن نفسها» لا يهمها غيرها وهو يوم القيامة «وتوفى كل نفس» جزاء «ما عملت وهم لا يظلمون» شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20721','chapter_id' => '16','chapter_detail_id' => '2013','translator_id' => '4','verse_number' => '112','translate_name' => '«وضرب الله مثلاً» ويبدل منه «قرية» هي مكة والمراد أهلها «كانت آمنة» من الغارات لا تهاج «مطمئنة» لا يحتاج إلى الانتقال عنها لضيق أو خوف «يأتيها رزقها رغدا» واسعا «من كل مكان فكفرت بأنعم الله» بتكذيب النبي صلى الله عليه وسلم «فأذاقها الله لباس الجوع» فقحطوا سبع سنين «والخوف» بسرايا النبي صلى الله عليه وسلم «بما كانوا يصنعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20722','chapter_id' => '16','chapter_detail_id' => '2014','translator_id' => '4','verse_number' => '113','translate_name' => '«ولقد جاءهم رسول منهم» محمد صلى الله عليه وسلم «فكذبوه فأخذهم العذاب» الجوع والخوف «وهم ظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20723','chapter_id' => '16','chapter_detail_id' => '2015','translator_id' => '4','verse_number' => '114','translate_name' => '«فكلوا» أيها المؤمنون «مما رزقكم الله حلالاً طيبا واشكروا نعمة الله إن كنتم إياه تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20724','chapter_id' => '16','chapter_detail_id' => '2016','translator_id' => '4','verse_number' => '115','translate_name' => '«إنما حرم عليكم الميتة والدم ولحم الخنزير وما أهل لغير الله به فمن اضطر غير باغ ولا عاد فإن الله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20725','chapter_id' => '16','chapter_detail_id' => '2017','translator_id' => '4','verse_number' => '116','translate_name' => '«ولا تقولوا لما تصف ألسنتكم» أي لوصف ألسنتكم «الكذب هذا حلال وهذا حرام» لما لم يحله الله ولم يحرمه «لتفتروا على الله الكذب» بنسبة ذلك إليه «إن الذين يفترون على الله الكذب لا يفلحون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20726','chapter_id' => '16','chapter_detail_id' => '2018','translator_id' => '4','verse_number' => '117','translate_name' => 'لهم «متاع قليل» في الدنيا «ولهم» في الآخرة «عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20727','chapter_id' => '16','chapter_detail_id' => '2019','translator_id' => '4','verse_number' => '118','translate_name' => '(وعلى الذين هادوا) أي اليهود (حرمنا ما قصصنا عليك من قبل) في آية "" وعلى الذين هادوا حرمنا كل ذي ظفر "" إلى آخرها (وما ظلمناهم) بتحريم ذلك (ولكن كانوا أنفسهم يظلمون) بارتكاب المعاصي الموجبة لذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20728','chapter_id' => '16','chapter_detail_id' => '2020','translator_id' => '4','verse_number' => '119','translate_name' => '«ثم إن ربك للذين عملوا السوء» الشرك «بجهالة ثم تابوا» رجعوا «من بعد ذلك وأصلحوا» عملهم «إن ربك من بعدها» أي الجهالة أو التوبة «لغفور» لهم «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20729','chapter_id' => '16','chapter_detail_id' => '2021','translator_id' => '4','verse_number' => '120','translate_name' => '«إن إبراهيم كان أُمَّة» إماما قدوة جامعا لخصال الخير «قانتا» مطيعا «لله حنيفا» مائلاً إلى الدين القيم «ولم يك من المشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20730','chapter_id' => '16','chapter_detail_id' => '2022','translator_id' => '4','verse_number' => '121','translate_name' => '«شاكرا لأنعمه اجتباه» اصطفاه «وهداهُ إلى صراط مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20731','chapter_id' => '16','chapter_detail_id' => '2023','translator_id' => '4','verse_number' => '122','translate_name' => '«وآتيناه» فيه التفات عن الغيبة «في الدنيا حسنة» هي الثناء الحسن في كل أهل الأديان «وإنه في الآخرة لمن الصالحين» الذين لهم الدرجات العلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20732','chapter_id' => '16','chapter_detail_id' => '2024','translator_id' => '4','verse_number' => '123','translate_name' => '«ثم أوحينا إليك» دينه يا محمد «أن اتبع ملة» دينه «إبراهيم حنيفا وما كان من المشركين» كرر ردا على زعم اليهود والنصارى أنهم على دينه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20733','chapter_id' => '16','chapter_detail_id' => '2025','translator_id' => '4','verse_number' => '124','translate_name' => '«إنما جعل السبت» فرض تعظيمه «على الذين اختلفوا فيه» على نبيهم، وهم اليهود أمروا أن يتفرغوا للعبادة يوم الجمعة فقالوا: لا نريده واختاروا السبت فشدد عليه فيه «وإن ربك ليحكم بينهم يوم القيامة فيما كانوا يختلفون» من أمره بأن يثيب الطائع ويعذب العاصي بانتهاك حرمته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20734','chapter_id' => '16','chapter_detail_id' => '2026','translator_id' => '4','verse_number' => '125','translate_name' => '«ادع» الناس يا محمد «إلى سبيل ربك» دينه «بالحكمة» بالقرآن «والموعظة الحسنة» مواعظه أو القول الرقيق «وجادلهم بالتي» أي بالمجادلة التي «هي أحسن» كالدعاء إلى الله بآياته والدعاء إلى حججه «إن ربك هو أعلم» أي عالم «بمن ضل عن سبيله وهو أعلم بالمهتدين» فيجازيهم وهذا قبل الأمر بالقتال ونزل لما قتل حمزة ومثِّل به فقال صلى الله عليه وسلم وقد رآه: لأمثلن بسبعين منهم مكانك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20735','chapter_id' => '16','chapter_detail_id' => '2027','translator_id' => '4','verse_number' => '126','translate_name' => '«وإن عاقبتم فعاقبوا بمثل ما عوقبتم به ولئن صبرتم» عن الانتقام «لهو» أي الصبر «خير للصابرين» فكف صلى الله عليه وسلم وكفَّر عن يمينه رواه البزار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20736','chapter_id' => '16','chapter_detail_id' => '2028','translator_id' => '4','verse_number' => '127','translate_name' => '«واصبر وما صبرك إلا بالله» بتوفيقه «ولا تحزن عليهم» أي الكفار. إن لم يؤمنوا لحرصك على إيمانهم «ولا تك في ضيق مما يمكرون» أي لا تهتم بمكرهم فأنا ناصرك عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20737','chapter_id' => '16','chapter_detail_id' => '2029','translator_id' => '4','verse_number' => '128','translate_name' => '«إن الله مع الذين اتقوا» الكفر والمعاصي «والذين هم محسنون» بالطاعة والصبر، بالعون والنصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20738','chapter_id' => '17','chapter_detail_id' => '2030','translator_id' => '4','verse_number' => '1','translate_name' => '(سبحان) أي تنزيه (الذي أسرى بعبده) محمد صلى الله عليه وسلم (ليلاً) نصب على الظرف والإسراء سير الليل وفائدة ذكره الإشارة بتنكيره إلى تقليل مدته (من المسجد الحرام إلى المسجد الأقصى) بيت المقدس لبعده منه (الذي باركنا حوله) بالثمار والأنهار (لنريه من آياتنا) عجائب قدرتنا (إنه هو السميع البصير) أي العالم بأقوال النبي صلى الله عليه وسلم وأفعاله فأنعم عليه بالإسراء المشتمل على اجتماعه بالأنبياء وعروجه إلى السماء، ورؤية عجائب الملكوت، ومناجاته له تعالى، فإنه صلى الله عليه وسلم قال: "" أتيت بالبراق وهو دابة أبيض فوق الحمار ودون البغل يضع حافره عند منتهى طرفه فركبته فسار بي حتى أتيت بيت المقدس، فربطت الدابة بالحلقة التي تربط فيها الأنبياء، ثم دخلت فصليت فيه ركعتين، ثم خرجت فجاءني جبريل بإناء من خمر وإناء من لبن فاخترت اللبن، قال جبريل: أصبت الفطرة، قال: ثم عرج بي إلى السماء الدنيا، فاستفتح جبريل قيل: من أنت قال: جبريل، قيل: ومن معك؟ قال: محمد قيل: أو قد أرسل إليه؟ قال: قد أرسل إليه، ففتح لنا فإذا أنا بآدم فرحب بي ودعا لي بالخير، ثم عرج بي إلى السماء الثانية فاستفتح جبريل فقيل: من أنت فقال: جبريل قيل: ومن معك قال: محمد قيل أو قد بعث إليه قال: قد بعث إليه ففتح لنا فإذا بابني الخالة يحيى وعيسى فرحبا بي ودعوا لي بالخير ثم عرج بنا إلى السماء الثالثة فاستفتح جبريل فقيل: من أنت؟ قال: جبريل فقيل: ومن معك قال: محمد فقيل: أو قد أرسل إليه قال: قد أرسل إليه ففتح لنا فإذا أنا بيوسف وإذا هو قد أعطي شطر الحسن فرحب بي ودعا لي بخير ثم عرج بنا إلى السماء الرابعة فاستفتح جبريل فقيل: من أنت قال جبريل فقيل: ومن معك قال: محمد فقيل: أو قد بعث إليه قال: قد بعث إليه ففتح لنا فإذا أنا بإدريس فرحب بي ودعا لي بخير ثم عرج بنا إلى السماء الخامسة فاستفتح جبريل فقيل: من أنت قال: جبريل فقيل: ومن معك قال: محمد فقيل: أو قد بعث إليه قال: قد بعث إليه ففتح لنا فإذا أنا بهارون فرحب بي ودعا لي بخير ثم عرج بنا إلى السماء السادسة فاستفتح جبريل فقيل: من أنت فقال: جبريل فقيل: ومن معك قال: محمد فقيل: أو قد بعث إليه قال: قد بعث إليه ففتح لنا فإذا أنا بموسى فرحب بي ودعا لي بخير ثم عرج بنا إلى السماء السابعة فاستفتح جبريل فقيل: من أنت فقال: جبريل قيل ومن معك فقال: محمد قيل: أو قد بعث إليه قال: قد بعث إليه ففتح لنا فإذا أنا بإبراهيم فإذا هو مستند إلى البيت المعمور وإذا هو يدخله كل يوم سبعون ألف ملك ثم لا يعودون إليه; ثم ذهب إلى سدرة المنتهى فإذا أوراقها كآذان الفيلة وإذا ثمرها كالقلال فلما غشيها من أمر الله ما غشيها تغيرت فما أحد من خلق الله تعالى يستطيع أن يصفها من حسنها قال: فأوحى الله إلي ما أوحى وفرض علي في كل يوم وليلة خمسين صلاة فنزلت حتى انتهيت إلى موسى فقال: ما فرض ربك على أمتك قلت: خمسين صلاة في كل يوم وليلة قال: ارجع إلى ربك فاسأله التخفيف لأمتك فإن أمتك لا تطيق ذلك وإني قد بلوت بني إسرائيل وخبرتهم قال: فرجعت إلى ربي فقلت: أي رب خفف عن أمتي فحط عني خمسا فرجعت إلى موسى قال: ما فعلت فقلت قد حط عني خمسا قال: إن أمتك لا تطيق ذلك فارجع إلى ربك فاسأله التخفيف لأمتك قال: فلم أزل أرجع بين ربي وبين موسى ويحط عني خمسا خمسا حتى قال: يا محمد هي خمس صلوات في كل يوم وليلة بكل صلاة عشر فتلك خمسون صلاة ومن هم بحسنة فلم يعملها كتبت له حسنة فإن عملها كتبت له عشرا ومن هم بسيئة ولم يعملها لم تكتب فإن عملها كتبت له سيئة واحدة فنزلت حتى انتهيت إلى موسى فأخبرته فقال ارجع إلى ربك فاسأله التخفيف فإن أمتك لا تطيق ذلك فقلت:"قد رجعت إلى ربي حتى استحييت" رواه الشيخان واللفظ لمسلم وروى الحاكم في المستدرك عن ابن عباس قال: قال رسول الله صلى الله عليه وسلم"رأيت ربي عز وجل".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20739','chapter_id' => '17','chapter_detail_id' => '2031','translator_id' => '4','verse_number' => '2','translate_name' => 'قال تعالى «وآتينا موسى الكتاب» التوراة «وجعلناه هدى لبني إسرائيل» لـ «أ» ن «لا يتخذوا من دوني وكيلاً» يفوضون إليه أمرهم وفي قراءة تتخذوا بالفوقانية التفاتا فأن زائدة والقول مضمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20740','chapter_id' => '17','chapter_detail_id' => '2032','translator_id' => '4','verse_number' => '3','translate_name' => 'يا «ذرية من حملنا مع نوح» في السفينة «إنه كان عبدا شكورا» كثير الشكر لنا حامدا في جميع أحواله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20741','chapter_id' => '17','chapter_detail_id' => '2033','translator_id' => '4','verse_number' => '4','translate_name' => '«وقضينا» أوحينا «إلى بني إسرائيل في الكتاب» التوراة «لتفسدن في الأرض» أرض الشام بالمعاصي «مرتين ولتعلُن علوا كبيرا» تبغون بغيا عظيما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20742','chapter_id' => '17','chapter_detail_id' => '2034','translator_id' => '4','verse_number' => '5','translate_name' => '«فإذا جاء وعد أولاهما» أولى مَرَّتي الفساد «بعثنا عليكم عبادا لنا أولي بأس شديد» أصحاب قوة في الحرب والبطش «فجاسوا» ترددوا لطلبكم «خلال الديار» وسط دياركم ليقتلوكم ويسبوكم «وكان وعدا مفعولاً» وقد أفسدوا الأولى بقتل زكريا فبعث عليهم جالوت وجنوده فقتلوهم وسبوا أولادهم وضربوا بين المقدس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20743','chapter_id' => '17','chapter_detail_id' => '2035','translator_id' => '4','verse_number' => '6','translate_name' => '«ثم رددنا لكم الكرة» الدولة والغلبة «عليهم» بعد مائة سنة بقتل جالوت «وأمددناكم بأموال وبنين وجعلناكم أكثر نفيرا» عشيرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20744','chapter_id' => '17','chapter_detail_id' => '2036','translator_id' => '4','verse_number' => '7','translate_name' => 'وقلنا «إن أحسنتم» بالطاعة «أحسنتم لأنفسكم» لأن ثوابه لها «وإن أسأتم» بالفساد «فلها» إساءتكم «فإذا جاء وعد» المرة «الآخرة» بعثناهم «ليسوءوا وجوهكم» يحزنوكم بالقتل والسبي حزنا يظهر في وجوهكم «وليدخلوا المسجد» بيت المقدس فيخربوه «كما دخلوه» وخربوه «أول مرة وليتبروا» يهلكوا «ما علوْا» غلبوا عليه «تتبيرا» هلاكا وقد أفسدوا ثانيا بقتل يحيى فبعث عليهم بختنصر فقتل منهم ألوفا وسبى ذريتهم وخرب بيت المقدس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20745','chapter_id' => '17','chapter_detail_id' => '2037','translator_id' => '4','verse_number' => '8','translate_name' => 'وقلنا في الكتاب «عسى ربكم أن يرحمكم» بعد المرة الثانية إن تبتم «وإن عدتم» إلى الفساد «عدنا» إلى العقوبة وقد عادوا بتكذيب محمد صلى الله عليه وسلم فسلط عليهم بقتل قريظة ونفي النضير وضرب الجزية عليهم «وجعلنا جهنم للكافرين حصيرا» محبسا وسجنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20746','chapter_id' => '17','chapter_detail_id' => '2038','translator_id' => '4','verse_number' => '9','translate_name' => '«إن هذا القرآن يهدي للتي» أي للطريقة التي «هي أقوم» أعدل وأصوب «ويبشر المؤمنين الذين يعملون الصالحات أن لهم أجرا كبيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20747','chapter_id' => '17','chapter_detail_id' => '2039','translator_id' => '4','verse_number' => '10','translate_name' => '«و» يخبر «أن الذين لا يؤمنون بالآخرة أعتدنا» أعددنا «لهم عذابا أليما» مؤلما هو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20748','chapter_id' => '17','chapter_detail_id' => '2040','translator_id' => '4','verse_number' => '11','translate_name' => '«ويَدْعُ الإنسان بالشر» على نفسه وأهله إذا ضجر «دعاءه» أي كدعائه له «بالخير وكان الإنسان» الجنس «عجولا» بالدعاء على نفسه وعدم النظر في عاقبته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20749','chapter_id' => '17','chapter_detail_id' => '2041','translator_id' => '4','verse_number' => '12','translate_name' => '«وجعلنا الليل والنهار آيتين» دالتين على قدرتنا «فمحونا آية الليل» طمسنا نورها بالظلام لتسكنوا فيه والإضافة للبيان «وجعلنا آية النهار مبصرة» أي مبصرا فيها بالضوء «لتبتغوا» فيه «فضلاً من ربكم» بالكسب «ولتعلموا» بهما «عدد السنين والحساب» للأوقات «وكل شيء» يحتاج إليه «فصلناه تفصيلاً» بيناه تبيينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20750','chapter_id' => '17','chapter_detail_id' => '2042','translator_id' => '4','verse_number' => '13','translate_name' => '«وكل إنسان ألزمناه طائره» عمله يحمله «في عنقه» خص بالذكر لأن اللزوم فيه أشد وقال مجاهد: ما من مولد يولد إلا وفي عنقه ورقة مكتوب فيها شقي أو سعيد «ونخرج له يوم القيامة كتابا» مكتوبا فيه عمله «يلقاه منشورا» صفتان لكتابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20751','chapter_id' => '17','chapter_detail_id' => '2043','translator_id' => '4','verse_number' => '14','translate_name' => 'ويقال له «اقرأ كتابك كفى بنفسك اليوم عليك حسيبا» محاسبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20752','chapter_id' => '17','chapter_detail_id' => '2044','translator_id' => '4','verse_number' => '15','translate_name' => '«من اهتدى فإنما يهتدي لنفسه» لأن ثواب اهتدائه له «ومن ضل فإنما يضل عليها» لأن إثمه عليها «ولا تزر» نفس «وازرة» آثمة أي لا تحمل «وزر» نفس «أخرى وما كنا معذبين» أحدا «حتى نبعث رسولاً» يبين له ما يجب عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20753','chapter_id' => '17','chapter_detail_id' => '2045','translator_id' => '4','verse_number' => '16','translate_name' => '«وإذا أردنا أن نهلك قرية أمرنا مترفيها» منعميها بمعنى رؤسائها بالطاعة على لسان رسلنا «ففسقوا فيها» فخرجوا عن أمرنا «فحق عليها القول» بالعذاب «فدمرناها تدميرا» أهلكناها بإهلاك أهلها وتخريبها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20754','chapter_id' => '17','chapter_detail_id' => '2046','translator_id' => '4','verse_number' => '17','translate_name' => '«وكم» أي كثيرا «أهلكنا من القرون» الأمم «من بعد نوح وكفى بربك بذنوب عباده خبيرا بصيرا» عالما ببواطنها وظواهرها وبه يتعلق بذنوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20755','chapter_id' => '17','chapter_detail_id' => '2047','translator_id' => '4','verse_number' => '18','translate_name' => '«من كان يريد» بعمله «العاجلة» أي الدنيا «عجلنا له فيها ما نشاء لمن نريد» التعجيل له بدل من له بإعادة الجار «ثم جعلنا له» في الآخرة «جهنم يصلاها» يدخلها «مذموما» ملوما «مدحورا» مطرودا عن الرحمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20756','chapter_id' => '17','chapter_detail_id' => '2048','translator_id' => '4','verse_number' => '19','translate_name' => '«ومن أراد الآخرة وسعى لها سعيها» عمل عملها اللائق بها «وهو مؤمن» حال «فأولئك كان سعيهم مشكورا» عند الله أي مقبولاً مثابا عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20757','chapter_id' => '17','chapter_detail_id' => '2049','translator_id' => '4','verse_number' => '20','translate_name' => '«كلا» من الفريقين «نمد» نعطي «هؤلاء وهؤلاء» بدل «من» متعلق بنمد «عطاء ربك» في الدنيا «وما كان عطاء ربك» فيها «محظورا» ممنوعا عن أحد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20758','chapter_id' => '17','chapter_detail_id' => '2050','translator_id' => '4','verse_number' => '21','translate_name' => '«انظر كيف فضلنا بعضهم على بعض» في الرزق والجاه «وللآخرة أكبر» أعظم «درجات وأكبر تفضيلاً» من الدنيا فينبغي الاعتناء بها دونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20759','chapter_id' => '17','chapter_detail_id' => '2051','translator_id' => '4','verse_number' => '22','translate_name' => '«لا تجعل مع الله إلها آخر فتقعد مذموما مخذولاً» لا ناصر لك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20760','chapter_id' => '17','chapter_detail_id' => '2052','translator_id' => '4','verse_number' => '23','translate_name' => '«وقضى» أمر «ربك أ» ن أي بأن «لا تعبدوا إلا إياه و» أن تحسنوا «بالوالدين إحسانا» بأن تبروهما «إما يبلغن عندك الكبر أحدهما» فاعل «أو كلاهما» وفي قراءة يَبْلُغان فأحدهما بدل من ألفه «فلا تقل لهما أف» بفتح الفاء وكسرها منونا وغير منون مصدر بمعنى تبا وقبحا «ولا تنهرهما» تزجرهما «وقل لهما قولاً كريما» جميلاً لينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20761','chapter_id' => '17','chapter_detail_id' => '2053','translator_id' => '4','verse_number' => '24','translate_name' => '«واخفض لهما جناح الذل» ألن لهما جانبك الذليل «من الرحمة» أي لرقتك عليهما «وقل رب ارحمهما كما» رحماني حين «ربياني صغيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20762','chapter_id' => '17','chapter_detail_id' => '2054','translator_id' => '4','verse_number' => '25','translate_name' => '«ربكم أعلم بما في نفوسكم» من إضمار البر والعقوق «إن تكونوا صالحين» طائعين لله «فإنه كان للأوابين» الرجّاعين إلى طاعته «غفورا» لما صدر منهم في حق الوالدين من بادرة وهم لا يضمرون عقوقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20763','chapter_id' => '17','chapter_detail_id' => '2055','translator_id' => '4','verse_number' => '26','translate_name' => '«وآت» أعط «ذا القربى» القرابة «حقه» من البر والصلة «والمسكين وابن السبيل ولا تبذر تبذيرا» بالإنفاق في غير طاعة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20764','chapter_id' => '17','chapter_detail_id' => '2056','translator_id' => '4','verse_number' => '27','translate_name' => '«إن المبذرين كانوا إخوان الشياطين» أي على طريقتهم «وكان الشيطان لربه كفورا» شديد الكفر لنعمه فكذلك أخوه المبذر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20765','chapter_id' => '17','chapter_detail_id' => '2057','translator_id' => '4','verse_number' => '28','translate_name' => '«وإما تعرضن عنهم» أي المذكورين من ذي القربى وما بعدهم فلم تعطهم «ابتغاء رحمة من ربك ترجوها» أي لطلب رزق تنتظره يأتيك تعطيهم منه «فقل لهم قولاً ميسورا» لينا سهلاً بأن تعدهم بالإعطاء عند مجيء الرزق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20766','chapter_id' => '17','chapter_detail_id' => '2058','translator_id' => '4','verse_number' => '29','translate_name' => '«ولا تجعل يدك مغلولة إلى عنقك» أي لا تمسكها عن الإنفاق كل المسك «ولا تبسطها» في الإنفاق «كل البسط فتقعد ملوما» راجع للأول «محسورا» منقطعا لا شيء عندك راجع للثاني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20767','chapter_id' => '17','chapter_detail_id' => '2059','translator_id' => '4','verse_number' => '30','translate_name' => '«إن ربك يبسط الرزق» يوسعه «لمن يشاء ويقدر» يضيقه لمن يشاء «إنه كان بعباده خبيرا بصيرا» عالما ببواطنهم وظواهرهم فيرزقهم على حسب مصالحهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20768','chapter_id' => '17','chapter_detail_id' => '2060','translator_id' => '4','verse_number' => '31','translate_name' => '«ولا تقتلوا أولادكم» بالوأد «خشية» مخافة «إملاق» فقر «نحن نرزقهم وإياكم إن قتلهم كان خطأ» إثما «كبيرا» عظيما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20769','chapter_id' => '17','chapter_detail_id' => '2061','translator_id' => '4','verse_number' => '32','translate_name' => '«ولا تقربوا الزنى» أبلغ من لا تأتوه «إنه كان فاحشة» قبيحا «وساء» بئس «سبيلاً» طريقا هو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20770','chapter_id' => '17','chapter_detail_id' => '2062','translator_id' => '4','verse_number' => '33','translate_name' => '«ولا تقتلوا النفس التي حرم الله إلا بالحق ومن قُتل مظلوما فقد جعلنا لوليه» لوارثه «سلطانا» تسلطا على القاتل «فلا يسرف» يتجاوز الحد «في القتل» بأن يقتل غير قاتله أو بغير ما قتل به «إنه كان منصورا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20771','chapter_id' => '17','chapter_detail_id' => '2063','translator_id' => '4','verse_number' => '34','translate_name' => '«ولا تقربوا مال اليتيم إلا بالتي هي أحسن حتى يبلغ أشده وأوفوا بالعهد» إذا عاهدتم الله أو الناس «إن العهد كان مسؤولا» عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20772','chapter_id' => '17','chapter_detail_id' => '2064','translator_id' => '4','verse_number' => '35','translate_name' => '«وأوْفوا الكيل» أتموه «إذا كلتم وزنوا بالقسطاس المستقيم» الميزان السوي «ذلك خير وأحسن تأويلاً» مآلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20773','chapter_id' => '17','chapter_detail_id' => '2065','translator_id' => '4','verse_number' => '36','translate_name' => '«ولا تقفُ» تتبع «ما ليس لك به علم إن السمع والبصر والفؤاد» القلب «كل أولئك كان عنه مسؤولاً» صاحبه ماذا فعل به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20774','chapter_id' => '17','chapter_detail_id' => '2066','translator_id' => '4','verse_number' => '37','translate_name' => '«ولا تمش في الأرض مرحا» أي ذا مرح بالكبر والخيلاء «إنك لن تخرق الأرض» تثقبها حتى تبلغ آخرها بكبرك «ولن تبلغ الجبال طولاً» المعنى أنك لا تبلغ هذا المبلغ فكيف تختال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20775','chapter_id' => '17','chapter_detail_id' => '2067','translator_id' => '4','verse_number' => '38','translate_name' => '«كل ذلك» المذكور «كان سيِّئُهُ عند ربك مكروها».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20776','chapter_id' => '17','chapter_detail_id' => '2068','translator_id' => '4','verse_number' => '39','translate_name' => '«ذلك مما أوحى إليك» يا محمد «ربك من الحكمة» الموعظة «ولا تجعل مع الله إلها آخر فتلقى في جهنم ملوما مدحورا» مطرودا من رحمة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20777','chapter_id' => '17','chapter_detail_id' => '2069','translator_id' => '4','verse_number' => '40','translate_name' => '«أفأصفاكم» أخلصكم يا أهل مكة «ربكم بالبنين واتخذ من الملائكة إناثا» بنات لنفسه بزعمكم «إنكم لتقولون» بذلك «قولاً عظيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20778','chapter_id' => '17','chapter_detail_id' => '2070','translator_id' => '4','verse_number' => '41','translate_name' => '«ولقد صرفنا» بينا «في هذا القرآن» من الأمثال والوعد والوعيد «ليذكروا» يتعظوا «وما يزيدهم» ذلك «إلا نفروا» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20779','chapter_id' => '17','chapter_detail_id' => '2071','translator_id' => '4','verse_number' => '42','translate_name' => '«قل» لهم «لو كان معه» أي الله «آلهة كما يقولون إذا لابتغوْا» طلبوا «إلى ذي العرش» أي الله «سبيلاً» ليقاتلوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20780','chapter_id' => '17','chapter_detail_id' => '2072','translator_id' => '4','verse_number' => '43','translate_name' => '«سبحانه» تنزيها له «وتعالى عما يقولون» من الشركاء «علوا كبيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20781','chapter_id' => '17','chapter_detail_id' => '2073','translator_id' => '4','verse_number' => '44','translate_name' => '«تسبح له» تنزهه «السماوات السبع والأرض ومن فيهن وإن» ما «من شيء» من المخلوقات «إلا يسبح» متلبسا «بحمده» أي يقول سبحان الله وبحمده «ولكن لا تفقهون» تفهمون «تسبيحهم» لأنه ليس بلغتكم «إنه كان حليما غفورا» حيث لم يعاجلكم بالعقوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20782','chapter_id' => '17','chapter_detail_id' => '2074','translator_id' => '4','verse_number' => '45','translate_name' => '«وإذا قرأت القرآن جعلنا بينك وبين الذين لا يؤمنون بالآخرة حجابا مستورا» أي ساترا لك عنهم فلا يرونك، نزل فيمن أراد الفتك به صلى الله عليه وسلم','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20783','chapter_id' => '17','chapter_detail_id' => '2075','translator_id' => '4','verse_number' => '46','translate_name' => '«وجعلنا على قلوبهم أكنة» أغطية «أن يفقهوه» من أن يفهموا القرآن أي فلا يفهمونه «وفي آذانهم وقرا» ثقلاً فلا يسمعونه «وإذا ذكرت ربك في القرآن وحده ولَّوا على أدبارهم نفورا» عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20784','chapter_id' => '17','chapter_detail_id' => '2076','translator_id' => '4','verse_number' => '47','translate_name' => '«نحن أعلم بما يستمعون به» بسببه من الهزء «إذ يستمعون إليك» قراءتك «وإذ هم نجوى» يتناجون بينهم أي يتحدثون «إذ» بدل من إذ قبله «يقول الظالمون» في تناجيهم «إن» ما «تتبعون إلا رجلاً مسحورا» مخدوعا مغلوبا على عقله. قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20785','chapter_id' => '17','chapter_detail_id' => '2077','translator_id' => '4','verse_number' => '48','translate_name' => '«انظر كيف ضربوا لك الأمثال» بالمسحور والكاهن والشاعر «فضَلُّوا» بذلك عن الهدى «فلا يستطيعون سبيلاً» طريقا إليه «وقالوا» منكرين للبعث:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20786','chapter_id' => '17','chapter_detail_id' => '2078','translator_id' => '4','verse_number' => '49','translate_name' => '«أئذا كنا عظاما ورفاتا أئنا لمبعوثون خلقا جديدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20787','chapter_id' => '17','chapter_detail_id' => '2079','translator_id' => '4','verse_number' => '50','translate_name' => '«قل» لهم «كونوا حجارة أو حديدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20788','chapter_id' => '17','chapter_detail_id' => '2080','translator_id' => '4','verse_number' => '51','translate_name' => '«أو خلقا مما يكبر في صدوركم» يعظم عن قبول الحياة فضلا عن العظام والرفات فلا بد من إيجاد الروح فيكم «فسيقولون من يعيدنا» إلى الحياة «قل الذي فطركم» خلقكم «أول مرة» ولم تكونوا شيئا لأن القادر على البدء قادر على الإعادة بل هي أهون «فسينغضون» يحركون «إليك رءوسهم» تعجبا «ويقولون» استهزاء «متى هو» أي البعث «قل عسى أن يكون قريبا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20789','chapter_id' => '17','chapter_detail_id' => '2081','translator_id' => '4','verse_number' => '52','translate_name' => '«يوم يدعوكم» يناديكم من القبور على لسان إسرافيل «فتستجيبون» فتجيبون دعوته من القبور «بحمده» بأمره وقيل وله الحمد «وتظنون إن» ما «لبثتم» في الدنيا «إلا قليلا» لهول ما ترون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20790','chapter_id' => '17','chapter_detail_id' => '2082','translator_id' => '4','verse_number' => '53','translate_name' => '«وقل لعبادي» المؤمنين «يقولوا» للكفار الكلمة «التي هي أحسن إن الشيطان ينزغ» يفسد «بينهم إن الشيطان كان للإنسان عدوا مبينا» بين العداوة والكلمة التي هي أحسن هي:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20791','chapter_id' => '17','chapter_detail_id' => '2083','translator_id' => '4','verse_number' => '54','translate_name' => '«ربكم أعلم بكم إن يشأ يرحمكم» بالتوبة والإيمان «أو إن يشأ» تعذيبكم «يعذبكم» بالموت على الكفر «وما أرسلناك عليهم وكيلاً» فتجبرهم على الإيمان وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20792','chapter_id' => '17','chapter_detail_id' => '2084','translator_id' => '4','verse_number' => '55','translate_name' => '«وربك أعلم بمن في السماوات والأرض» فيخصهم بما شاء على قدر أحوالهم «ولقد فضلنا بعض النبيين على بعض» بتخصيص كل منهم بفضيلة كموسى بالكلام وإبراهيم بالخلة ومحمد بالإسراء «وآتينا داود زبورا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20793','chapter_id' => '17','chapter_detail_id' => '2085','translator_id' => '4','verse_number' => '56','translate_name' => '«قل» لهم «ادعوا الذين زعمتم» أنهم آلهة «من دونه» كالملائكة وعيسى وعزير «فلا يملكون كشف الضر عنكم ولا تحويلا» له إلى غيركم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20794','chapter_id' => '17','chapter_detail_id' => '2086','translator_id' => '4','verse_number' => '57','translate_name' => '«أولئك الذين يدعونـ» ـهم آلهة «يبتغون» يطلبون «إلى ربهم الوسيلة» القربة بالطاعة «أيهم» بدل من واو يبتغون أي يبتغيها الذي هو «أقرب» إليه فكيف بغيره «ويرجون رحمته ويخافون عذابه» كغيرهم فكيف تدعونهم آلهة «إن عذاب ربك كان محذوراً».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20795','chapter_id' => '17','chapter_detail_id' => '2087','translator_id' => '4','verse_number' => '58','translate_name' => '«وإن» ما «من قرية» أريد أهلها «إلا نحن مهلكوها قبل يوم القيامة» بالموت «أو معذبوها عذابا شديدا» بالقتل وغيره «كان ذلك في الكتاب» اللوح المحفوظ «مسطورا» مكتوبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20796','chapter_id' => '17','chapter_detail_id' => '2088','translator_id' => '4','verse_number' => '59','translate_name' => '«وما منعنا أن نرسل بالآيات» التي اقترحها أهل مكة «إلا أن كذب بها الأولون» لما أرسلناها فأهلكناهم ولو أرسلناها إلى هؤلاء لكذبوا بها واستحثوا الإهلاك وقد حكمنا بإمهالهم لإتمام أمر محمد صلى الله عليه وسلم «وآتينا ثمود الناقة» أي «مبصرة» بينة واضحة «فظلموا» كفروا «بها» فأهلكوا «وما نرسل بالآيات» المعجزات «إلا تخويفا» للعباد فيؤمنوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20797','chapter_id' => '17','chapter_detail_id' => '2089','translator_id' => '4','verse_number' => '60','translate_name' => '«و» اذكر «إذ قلنا لك إن ربك أحاط بالناس» علما وقدرة فهم في قبضته فبلّغهم ولا تخف أحدا فهو يعصمك منهم «وما جعلنا الرؤيا التي أريناك» عيانا ليلة الإسراء «إلا فتنة للناس» أهل مكة إذ كذبوا بها وارتد بعضهم لما أخبرهم بها «والشجرة الملعونة في القرآن» هي الزقوم التي تنبت في أصل الجحيم جعلناها فتنة لهم إذ قالوا: النار تحرق الشجر فكيف تنبته «ونخوفهم» بها «فما يزيدهم» تخويفنا «إلا طغيانا كبيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20798','chapter_id' => '17','chapter_detail_id' => '2090','translator_id' => '4','verse_number' => '61','translate_name' => '«و» اذكر «إذ قلنا للملائكة اسجدوا لآدم» سجود تحية بالانحناء «فسجدوا إلا إبليس قال أأسجد لمن خلقت طينا» نصب بنزع الخافض أي من طين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20799','chapter_id' => '17','chapter_detail_id' => '2091','translator_id' => '4','verse_number' => '62','translate_name' => '(قال أرأيتك) أي أخبرني (هذا الذي كرمت) فضلت (علي) بالأمر بالسجود له "" وأنا خير منه خلقتني من نار "" (لئن) لام قسم (أخرتن إلى يوم القيامة لأحتنكن) لأستأصلن (ذريته) بالإغواء (إلا قليلاً) منهم ممن عصمته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20800','chapter_id' => '17','chapter_detail_id' => '2092','translator_id' => '4','verse_number' => '63','translate_name' => '«قال» تعالى له «اذهب» منظرا إلى وقت النفخة الأولى «فمن تبعك منهم فإن جهنم جزاؤكم» أنت وهم «جزاءً موفورا» وافرا كاملاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20801','chapter_id' => '17','chapter_detail_id' => '2093','translator_id' => '4','verse_number' => '64','translate_name' => '«واستفزز» استخف «من استطعت منهم بصوتك» بدعائك بالغناء والمزامير وكل داع إلى المعصية «وأجلب» صحْ «عليهم بخيلك ورجلك» وهم الركاب والمشاة في المعاصي «وشاركهم في الأموال» المحرمة كالربا والغصب «والأولاد» من الزنى «وعدهم» بأن لا بعث ولا جزاء «وما يعدهم الشيطان» بذلك «إلا غرورا» باطلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20802','chapter_id' => '17','chapter_detail_id' => '2094','translator_id' => '4','verse_number' => '65','translate_name' => '«إن عبادي» المؤمنين «ليس لك عليهم سلطان» تسلط وقوة «وكفى بربك وكيلا» حافظا لهم منك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20803','chapter_id' => '17','chapter_detail_id' => '2095','translator_id' => '4','verse_number' => '66','translate_name' => '«ربكم الذي يزجي» يجري «لكم الفلك» السفن «في البحر لتبتغوا» تطلبوا «من فضله» تعالى بالتجارة «إنه كان بكم رحيما» في تسخيرها لكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20804','chapter_id' => '17','chapter_detail_id' => '2096','translator_id' => '4','verse_number' => '67','translate_name' => '«وإذا مسكم الضر» الشدة «في البحر» خوف الغرق «ضل» غاب عنكم «من تدعون» تعبدون من الآلهة فلا تدعونه «إلا إياه» تعالى فإنكم تدعونه وحده لأنكم في شدة لا يكشفها إلا هو «فلما نجاكم» من الغرق وأوصلكم «إلى البر أعرضتم» عن التوحيد «وكان الإنسان كفورا» جحودا للنعم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20805','chapter_id' => '17','chapter_detail_id' => '2097','translator_id' => '4','verse_number' => '68','translate_name' => '«أفأمنتم أن يخسف بكم جانب البر» أي الأرض كقارون «أو يرسل عليكم حاصبا» أي يرميكم بالحصباء كقوم لوط «ثم لا تجدوا لكم وكيلاً» حافظا منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20806','chapter_id' => '17','chapter_detail_id' => '2098','translator_id' => '4','verse_number' => '69','translate_name' => '«أم أمنتم أن نعيدكم فيه» أي البحر «تارة» مرة «أخرى فنرسل عليكم قاصفا من الريح» أي ريحا شديدة لا تمر بشيء إلا قصفته فتكسر فلككم «فتغرقكم بما كفرتم» بكفركم «ثم لا تجدوا لكم علينا به تبيعا» ناصرا وتابعا يطالبنا بما فعلنا بكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20807','chapter_id' => '17','chapter_detail_id' => '2099','translator_id' => '4','verse_number' => '70','translate_name' => '«ولقد كرمنا» فضلنا «بني آدم» بالعلم والنطق واعتدال الخلق وغير ذلك ومنه طهارتهم بعد الموت «وحملناهم في البر» على الدواب «والبحر» على السفن «ورزقناهم من الطيبات وفضلناهم على كثير ممن خلقنا» كالبهائم والوحوش «تفضيلاً» فمن بمعنى ما أو على بابها وتشمل الملائكة والمراد تفضيل الجنس، ولا يلزم تفضيل أفراده إذ هم أفضل من البشر غير الأنبياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20808','chapter_id' => '17','chapter_detail_id' => '2100','translator_id' => '4','verse_number' => '71','translate_name' => 'اذكر «يوم ندعو كل أناس بإمامهم» نبيهم فيقال يا أمة فلان أو بكتاب أعمالهم فيقال يا صاحب الشر وهو يوم القيامة «فمن أوتي» منهم «كتابه بيمينه» وهم السعداء أولو البصائر في الدنيا «فأولئك يقرءُون كتابهم ولا يُظلمون» ينقصون من أعمالهم «فتيلاً» قدر قشرة النواة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20809','chapter_id' => '17','chapter_detail_id' => '2101','translator_id' => '4','verse_number' => '72','translate_name' => '«ومن كان في هذه» أي الدنيا «أعمى» عن الحق «فهو في الآخرة أعمى» عن طريق النجاة وقراءة القرآن «وأضل سبيلاً» أبعد طريقا عنه. ونزل في ثقيف وقد سألوا صلى الله عليه وسلم أن يحرم واديهم وألحوا عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20810','chapter_id' => '17','chapter_detail_id' => '2102','translator_id' => '4','verse_number' => '73','translate_name' => '«وإن» مخففة «كادوا» قاربوا «ليفتنونك» ليستنزلون «عن الذي أوحينا إليك لتفتري علينا غيره وإذا» لو فعلت ذلك «لاتخذوك خليلاً».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20811','chapter_id' => '17','chapter_detail_id' => '2103','translator_id' => '4','verse_number' => '74','translate_name' => '«ولولا أن ثبتناك» على الحق بالعصمة «لقد كدت» قاربت «تركن» تميل «إليهم شيئا» ركونا «قليلاً» لشدة احتيالهم وإلحاحهم، وهو صريح في أنه صلى الله عليه وسلم لم يركن ولا قارب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20812','chapter_id' => '17','chapter_detail_id' => '2104','translator_id' => '4','verse_number' => '75','translate_name' => '«إذاً» لو ركنت «لأذقناك ضعف» عذاب «الحياة وضعف» عذاب «الممات» أي مثلي ما يعذب غيرك في الدنيا والآخرة «ثم لا تجد لك علينا نصيرا» مانعا منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20813','chapter_id' => '17','chapter_detail_id' => '2105','translator_id' => '4','verse_number' => '76','translate_name' => 'ونزل لما قال له اليهود: إن كنت نبيا فالحق بالشام فإنها أرض الأنبياء «وإن» مخففة «كادوا ليستفزونك من الأرض» أرض المدينة «ليخرجوك منها وإذا» لو أخرجوك «لا يلبثون خلافك» فيها «إلا قليلاً» ثم يهلكون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20814','chapter_id' => '17','chapter_detail_id' => '2106','translator_id' => '4','verse_number' => '77','translate_name' => '«سنّة من قد أرسلنا قبلك من رسلنا» أي كسنتنا فيهم من إهلاك من أخرجهم «ولا تجد لسنتنا تحويلاً» تبديلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20815','chapter_id' => '17','chapter_detail_id' => '2107','translator_id' => '4','verse_number' => '78','translate_name' => '«أقم الصلاة لدلوك الشمس» أي من وقت زوالها «إلى غسق الليل» إقبال ظلمته أي الظهر والعصر والمغرب والعشاء «وقرآن الفجر» صلاة الصبح «إن قرآن الفجر كان مشهودا» تشهده ملائكة الليل وملائكة النهار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20816','chapter_id' => '17','chapter_detail_id' => '2108','translator_id' => '4','verse_number' => '79','translate_name' => '«ومن الليل فتهجد» فصلِّ «به» بالقرآن «نافلة لك» فريضة زائدة لك دون أمتك أو فضيلة على الصلوات المفروضة «عسى أن يبعثك» يقيمك «ربك» في الآخرة «مقاما محمودا» يحمدك فيه الأولون والآخرون وهو مقام الشفاعة في فصل القضاء، ونزل لما أمر بالهجرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20817','chapter_id' => '17','chapter_detail_id' => '2109','translator_id' => '4','verse_number' => '80','translate_name' => '«وقل ربِّ أدخلني» المدينة «مُدخل صدق» إدخالاً مرضيا لا أرى فيه ما أكره «وأخرجني» من مكة «مُخرج صدق» إخراجا لا ألتفت بقلبي إليها «واجعل لي من لدنك سلطانا نصيرا» قوة تنصرني بها على أعدائك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20818','chapter_id' => '17','chapter_detail_id' => '2110','translator_id' => '4','verse_number' => '81','translate_name' => '(وقل) عند دخولك مكة (جاء الحق) الإسلام (وزهق الباطل) بطل الكفر (إن الباطل كان زهوقا) مضمحلاً زائلاً "" وقد دخلها صلى الله عليه وسلم وحول البيت ثلاثمائة وستون صنما فجعل يطعنها بعود في يده ويقول ذلك حتى سقطت "" رواه الشيخان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20819','chapter_id' => '17','chapter_detail_id' => '2111','translator_id' => '4','verse_number' => '82','translate_name' => '«وننزل من» للبيان «القرآن ما هو شفاء» من الضلالة «ورحمة للمؤمنين» به «ولا يزيد الظالمين» الكافرين «إلا خسارا» لكفرهم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20820','chapter_id' => '17','chapter_detail_id' => '2112','translator_id' => '4','verse_number' => '83','translate_name' => '«وإذا أنعمنا على الإنسان» الكافر «أعرض» عن الشكر «ونأى بجانبه» ثنى عطفه متبخترا «وإذا مسه الشر» الفقر والشدة «كان يؤوسا» قنوطا من رحمة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20821','chapter_id' => '17','chapter_detail_id' => '2113','translator_id' => '4','verse_number' => '84','translate_name' => '«قل كل» منا ومنكم «يعمل على شاكلته» طريقته «فربكم أعلم بمن هو أهدى سبيلاً» طريقا فيثيبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20822','chapter_id' => '17','chapter_detail_id' => '2114','translator_id' => '4','verse_number' => '85','translate_name' => '«ويسألونك» أي اليهود «عن الروح» الذي يحيا به البدن «قل» لهم «الروح من أمر ربي» أي علمه لا تعلمونه «وما أويتم من العلم إلا قليلاً» بالنسبة إلى علمه تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20823','chapter_id' => '17','chapter_detail_id' => '2115','translator_id' => '4','verse_number' => '86','translate_name' => '«ولئن» لام قسم «شئنا لنذهبن بالذي أوحينا إليك» أي القرآن بأن نمحوه من الصدور والمصاحف «ثم لا تجد لك به علينا وكيلاً».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20824','chapter_id' => '17','chapter_detail_id' => '2116','translator_id' => '4','verse_number' => '87','translate_name' => '«إلا» لكن أبقيناه «رحمة من ربك إن فضله كان عليك كبيرا» عظيما حيث أنزله عليك وأعطاك المقام المحمود وغير ذلك من الفضائل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20825','chapter_id' => '17','chapter_detail_id' => '2117','translator_id' => '4','verse_number' => '88','translate_name' => '(قل لئن اجتمعت الإنس والجن على أن يأتوا بمثل هذا القرآن) في الفصاحة والبلاغة. (لا يأتون بمثله ولو كان بعضهم لبعض ظهيرا) معينا نزل ردا لقولهم "" ولو نشاء لقلنا مثل هذا "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20826','chapter_id' => '17','chapter_detail_id' => '2118','translator_id' => '4','verse_number' => '89','translate_name' => '«ولقد صرفنا» بينا «للناس في هذا القرآن من كل مثل» صفة لمحذوف أي مثلاً من جنس كل مثل ليتعظوا «فأبى أكثر الناس» أي أهل مكة «إلا كفورا» جحودا للحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20827','chapter_id' => '17','chapter_detail_id' => '2119','translator_id' => '4','verse_number' => '90','translate_name' => '«وقالوا» عطف على أبى «لن نؤمن لك حتى تفجر لنا من الأرض ينبوعا» عينا ينبع منها الماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20828','chapter_id' => '17','chapter_detail_id' => '2120','translator_id' => '4','verse_number' => '91','translate_name' => '«أو تكون لك جنة» بستان «من نخيل وعنب فتفجر الأنهار خلالها» وسطها «تفجيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20829','chapter_id' => '17','chapter_detail_id' => '2121','translator_id' => '4','verse_number' => '92','translate_name' => '«أو تسقط السماء كما زعمت علينا كسفا» قطعا «أو تأتي بالله والملائكة قبيلاً» مقابلة وعيانا فنراهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20830','chapter_id' => '17','chapter_detail_id' => '2122','translator_id' => '4','verse_number' => '93','translate_name' => '«أو يكون لك بيت من زخرف» ذهب «أو ترقى» تصعد «في السماء» بسُلَّم «ولن نؤمن لرقيك» لو رقيت فيها «حتى تنزل علينا» منها «كتابا» فيه تصديقك «نقرؤه قل» لهم «سبحان ربي» تعجب «هل» ما «كنت إلا بشرا رسولاً» كسائر الرسل ولم يكونوا يأتون بآية إلا بإذن الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20831','chapter_id' => '17','chapter_detail_id' => '2123','translator_id' => '4','verse_number' => '94','translate_name' => '«وما منع الناس أن يؤمنوا إذ جاءهم الهدى إلا أن قالوا» أي قولهم منكرين «أبعث الله بشرا رسولاً» ولم يبعث ملكا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20832','chapter_id' => '17','chapter_detail_id' => '2124','translator_id' => '4','verse_number' => '95','translate_name' => '«قل» لهم «لو كان في الأرض» بدل البشر «ملائكة يمشون مطمئنين لنزّلنا عليهم من السماء ملكا رسولاً» إذ لا يرسل إلى قوم رسول إلا من جنسهم ليمكنهم مخاطبته والفهم عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20833','chapter_id' => '17','chapter_detail_id' => '2125','translator_id' => '4','verse_number' => '96','translate_name' => '«قل كفى بالله شهيدا بيني وبينكم» على صدقي «إنه كان بعباده خبيرا بصيرا» عالما ببواطنهم وظواهرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20834','chapter_id' => '17','chapter_detail_id' => '2126','translator_id' => '4','verse_number' => '97','translate_name' => '«ومن يهد اللهُ فهو المهتد ومن يضلل فلن تجد لهم أولياء» يهدونهم «من دونه ونحشرهم يوم القيامة» ماشين «على وجوههم عميا وبكما وصمّا مأواهم جهنم كلما خبت» سكن لهبها «زدناهم سعيرا» تلهبا واشتعالاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20835','chapter_id' => '17','chapter_detail_id' => '2127','translator_id' => '4','verse_number' => '98','translate_name' => '«ذلك جزاؤهم بأنهم كفروا بآياتنا وقالوا» منكرين للبعث «أئذا كنا عظاما ورفاتا أئنا لمبعوثون خلقا جديدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20836','chapter_id' => '17','chapter_detail_id' => '2128','translator_id' => '4','verse_number' => '99','translate_name' => '«أولم يرَوْا» يعلموا «أن الله الذي خلق السماوات والأرض» مع عظمهما «قادر على أن يخلق مثلهم» أي الأناسي في الصغر «وجعل لهم أجلاً» للموت والبعث «لا ريب فيه فأبى الظالمون إلا كفورا» جحودا له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20837','chapter_id' => '17','chapter_detail_id' => '2129','translator_id' => '4','verse_number' => '100','translate_name' => '«قل» لهم «لو أنتم تملكون خزائن رحمة ربي» من الرزق والمطر «إذا لأمسكتم» لبخلتم «خشية الإنفاق» خوف نفادها بالإنفاق فتقتروا «وكان الإنسان قتورا» بخيلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20838','chapter_id' => '17','chapter_detail_id' => '2130','translator_id' => '4','verse_number' => '101','translate_name' => '«ولقد آتينا موسى تسع آيات بينات» وهي اليد والعصا والطوفان والجراد والقمل والضفادع والدم أو الطمس ونقص الثمرات «فاسأل» يا محمد «بني إسرائيل» عنه سؤال تقرير للمشركين على صدقك، أو فقلنا له: اسأل وفي قراءة بلفظ الماضي «إذ جاءهم فقال له فرعون إني لأظنك يا موسى مسحورا» مخدوعا مغلوبا على عقلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20839','chapter_id' => '17','chapter_detail_id' => '2131','translator_id' => '4','verse_number' => '102','translate_name' => '«قال لقد علمت ما أنزل هؤلاء» الآيات «إلا رب السماوات والأرض بصائر» عبرا، ولكنك تعاند وفي قراءة بضم التاء «وإني لأظنك يا فرعون مثبورا» هالكا أو مصروفا عن الخير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20840','chapter_id' => '17','chapter_detail_id' => '2132','translator_id' => '4','verse_number' => '103','translate_name' => '«فأراد» فرعون «أن يستفزهم» يخرج موسى وقومه «من الأرض» أرض مصر «فأغرقناه ومن معه جميعا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20841','chapter_id' => '17','chapter_detail_id' => '2133','translator_id' => '4','verse_number' => '104','translate_name' => '«وقلنا من بعده لبني إسرائيل اسكنوا الأرض فإذا جاء وعد الآخرة» أي الساعة «جئنا بكم لفيفا» جميعا أنتم وهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20842','chapter_id' => '17','chapter_detail_id' => '2134','translator_id' => '4','verse_number' => '105','translate_name' => '«وبالحق أنزلناه» أي القرآن «وبالحق» المشتمل عليه «نزل» كما أنزل لم يعتره تبديل «وما أرسلناك» يا محمد «إلا مبشرا» من آمن بالجنة «ونذيرا» من كفر بالنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20843','chapter_id' => '17','chapter_detail_id' => '2135','translator_id' => '4','verse_number' => '106','translate_name' => '«وقرآنا» منصوب بفعل يفسره «فرقناه» نزلناه مفرقا في عشرين سنة أو ثلاث «لتقرأه على الناس على مكث» مهل وتؤدة ليفهموه «ونزلناه تنزيلا» شيئا بعد شيء على حسب المصالح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20844','chapter_id' => '17','chapter_detail_id' => '2136','translator_id' => '4','verse_number' => '107','translate_name' => '«قل» لكفار مكة «آمنوا به أو لا تؤمنوا» تهديد لهم «إن الذين أوتوا العلم من قبله» قبل نزوله وهم مؤمنو أهل الكتاب «إذا يتلى عليهم يخرون للأذقان سُجَّدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20845','chapter_id' => '17','chapter_detail_id' => '2137','translator_id' => '4','verse_number' => '108','translate_name' => '«ويقولون سبحان ربنا» تنزيها له عن خلف الوعد «إن» مخففة «كان وعد ربنا» بنزوله وبعث النبي صلى الله عليه وسلم «لمفعولا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20846','chapter_id' => '17','chapter_detail_id' => '2138','translator_id' => '4','verse_number' => '109','translate_name' => '«ويخرون للأذقان يبكون» عطف بزيادة صفة «ويزيدهم» القرآن «خشوعا» تواضعا لله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20847','chapter_id' => '17','chapter_detail_id' => '2139','translator_id' => '4','verse_number' => '110','translate_name' => 'وكان صلى الله عليه وسلم يقول "" يا الله يا رحمن "" فقالوا: ينهانا أن نعبد إلهين وهو يدعو إلها آخر معه فنزل (قل) لهم (ادعوا الله أو ادعوا الرحمن) أي سموه بأيهما أو نادوه بأن تقولوا: يا الله يا رحمن (أيا) شرطية (ما) زائدة أي هذين (تدعوا) فهو حسن دل على هذا (فله) أي لمسماهما (الأسماء الحسنى) وهذان منها فإنها كما في الحديث "" الله لا إله إلا هو الرحمن الرحيم الملك القدوس السلام المؤمن المهيمن العزيز الجبار المتكبر الخالق البارئ المصور الغفار القهار الوهاب الرزاق الفتاح العليم القابض الباسط الخافض الرافع المعز المذل السميع البصير الحكم العدل اللطيف الخبير الحليم العظيم الغفور الشكور العلي الكبير الحفيظ المقيت الحسيب الجليل الكريم الرقيب المجيب الواسع الحكيم الودود المجيد الباعث الشهيد الحق الوكيل القوي المتين الولي الحميد المحصي المبدئ المعيد المحيي المميت الحي القيوم الواجد الماجد الواحد الأحد الصمد القادر المقتدر المقدم المؤخر الأول الآخر الظاهر الباطن الوالي المتعالي البر التواب المنتقم العفو الرءوف مالك الملك ذو الجلال والإكرام المقسط الجامع الغني المغني المانع الضار النافع النور الهادي البديع الباقي الوارث الرشيد الصبور" رواه الترمذي «ولا تجهر بصلاتك» بقراءتك بها فيسمعك المشركون فيسبوك ويسبوا القرآن ومن أنزله «ولا تخافت» تسر «بها» لينتفع أصحابك «وابتغ» اقصد «بين ذلك» الجهر والمخافتة «سبيلا» طريقا وسطا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20848','chapter_id' => '17','chapter_detail_id' => '2140','translator_id' => '4','verse_number' => '111','translate_name' => '«شريك في الملك» في الألوهية «ولم يكن له ولي» ينصره «من» أجل «الذل» أي لم يذل فيحتاج إلى ناصر «وكبره تكبيرا» عظمه عظمة تامة عن اتخاذ الولد الشريك والذل وكل ما لا يليق به وترتيب الحمد على ذلك للدلالة على أنه المستحق لجميع المحامد لكمال ذاته وتفرده في صفاته وروى الإمام أحمد في مسنده عن معاذ الجهني عن رسول الله صلى الله عليه وسلم أنه كان يقول: (آية العز الحمد لله الذي لم يتخذ ولدا ولم يكن له شريك في الملك) إلى آخر السورة والله تعالى أعلم قال مؤلفه هذا آخر ما كملت به تفسير القرآن الكريم الذي ألفه الشيخ الإمام العالم المحقق جلال الدين المحلي الشافعي رضي الله عنه وقد أفرغت لمكمل وعليه في الآي المتشابهة الاعتماد والمعول فرحم الله امرأ نظر بعين الإنصاف إليه ووقف فيه على خطأ فأطلعني عليه وقد قلت: حمدت الله ربي إذ هداني لما أبديت مع عجزي وضعفي فمن لي بالخطأ فأرد عنه ومن لي بالقبول ولو بحرف هذا ولم يكن قط في خلدي أن أتعرض لذلك لعلمي بالعجز عن الخوض في هذه المسالك وعسى الله أن ينفع به نفعا جما ويفتح به قلوبا غلفا وأعينا وآذانا صما وكأني بمن اعتاد المطولات وقد أضرب عن هذه التكملة وأصلها حسما وعدل إلى صريح العناد ولم يوجه إلى دقائقها فهما «ومن كان في هذه أعمى فهو في الآخرة أعمى» رزقنا الله به هداية إلى سبيل الحق وتوفيقا واطلاعا على دقائق كلماته وتحقيقا وجعلنا به «مع الذين أنعم الله عليهم من النبيين والصديقين والشهداء والصالحين وحسن أولئك رفيقا» وفرغ من تأليفه يوم الأحد عاشر شوال سنة سبعين وثمانمائة وكان الابتداء في يوم الأربعاء مستهل رمضان من السنة المذكورة وفرغ من تبييضه يوم الأربعاء سادس صفر سنة إحدى وسبعين وثمانمائة والله أعلم قال الشيخ شمس الدين محمد بن أبي بكر الخطيب الطوخي أخبرني صديقي الشيخ العلامة كمال الدين المحلي أخو شيخنا الشيخ جلال الدين المحلي رحمهما الله تعالى أنه رأى أخاه الشيخ جلال الدين المذكور في النوم وبين يديه صديقنا الشيخ العلامة المحقق جلال الدين السيوطي مصنف هذه التكملة وقد أخذ الشيخ هذه التكملة في يده وتصفحها ويقول لمصنفها المذكور أيهما أحسن وضعي أو وضعك فقال: وضعي فقال: انظر وعرض عليه مواضع فيها وكأنه يشير إلى اعتراض فيها بلطف ومصنف هذه التكملة كلما أورد عليه شيئا يجيبه والشيخ يبتسم ويضحك قال شيخنا الإمام العلامة جلال الدين عبد الرحمن بن أبي بكر السيوطي مصنف هذه التكملة: الذي أعتقده وأجزم به أن الوضع الذي وضعه الشيخ جلال الدين المحلي رحمه الله تعالى في قطعته أحسن من وضعي أنا بطبقات كثيرة كيف وغالب ما وضعته هنا مقتبس من وضعه ومستفاد منه لا مرية عندي في ذلك وأما الذي رئي في المنام المكتوب أعلاه فلعل الشيخ أشار به إلى المواضع القليلة التي خالفت وضعه فيها لنكتة وهي يسيرة جدا ما أظنها تبلغ عشرة مواضع منها أن الشيخ قال في سورة ص: والروح جسم لطيف يحيا به الإنسان بنفوذه فيه وكنت تبعته أولا فذكرت هذا الحد في سورة الحجر ثم ضربت عليه لقوله تعالى «ويسألونك عن الروح قل الروح من أمر ربي» الآية فهي صريحة أو كالصريحة في أن الروح من علم الله تعالى لا نعلمه فالإمساك عن تعريفها أولى ولذا قال الشيخ تاج الدين بن السبكي في جمع الجوامع: والروح لم يتكلم عليها محمد صلى الله عليه وسلم فنمسك عنها ومنها أن الشيخ قال في سورة الحج: الصابئون فرقة من اليهود فذكرت ذلك في سورة البقرة وزدت أو النصارى بيانا لقول ثان فإنه المعروف خصوصا عند أصحابنا الفقهاء وفي المنهاج وإن خالفت السامرة اليهود والصابئة النصارى في أصل دينهم وفي شرحه أن الشافعي رضي الله عنه نص على أن الصابئين فرقة من النصارى ولا أستحضر الآن موضعا ثالثا فكأن الشيخ رحمه الله تعالى يشير إلى مثل هذا والله أعلم بالصواب وإليه المرجع والمآب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20849','chapter_id' => '18','chapter_detail_id' => '2141','translator_id' => '4','verse_number' => '1','translate_name' => '«الحمد» وهو الوصف بالجميل، ثابت «لله» تعالى وهل المراد الإعلام بذلك للإيمان به أو الثناء به أو هما؟ احتمالات، أفيدها الثالث «الذي أنزل على عبده» محمد «الكتاب» القرآن «ولم يجعل له» أي فيه «عوجا» اختلافا أو تناقضا، والجملة حال من الكتاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20850','chapter_id' => '18','chapter_detail_id' => '2142','translator_id' => '4','verse_number' => '2','translate_name' => '«قيّما» مستقيما حال ثانية مؤكدة «لينذر» يخوف بالكتاب الكافرين «بأسا» عذابا «شديدا من لدنه» من قبل الله «ويبشر المؤمنين الذين يعملون الصالحات أن لهم أجرا حسنا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20851','chapter_id' => '18','chapter_detail_id' => '2143','translator_id' => '4','verse_number' => '3','translate_name' => '«ماكثين فيه أبدا» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20852','chapter_id' => '18','chapter_detail_id' => '2144','translator_id' => '4','verse_number' => '4','translate_name' => '«وينذر» من جملة الكافرين «الذين قالوا اتخذ الله ولدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20853','chapter_id' => '18','chapter_detail_id' => '2145','translator_id' => '4','verse_number' => '5','translate_name' => '«ما لهم به» بهذا القول «من علم ولا لآبائهم» من قبلهم القائلين له «كبرت» عظمت «كلمة تخرج من أفواههم» كلمة تمييز مفسر للضمير المبهم والمخصوص بالذم محذوف أي مقالتهم المذكورة «إن» ما «يقولون» في ذلك «إلا» مقولا «كذبا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20854','chapter_id' => '18','chapter_detail_id' => '2146','translator_id' => '4','verse_number' => '6','translate_name' => '«فلعلك باخع» مهلك «نفسك على آثارهم» بعدهم أي بعد توليهم عنك «إن لم يؤمنوا بهذا الحديث» القرآن «أسفا» غيظا وحزنا منك لحرصك على إيمانهم، ونصبه على المفعول له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20855','chapter_id' => '18','chapter_detail_id' => '2147','translator_id' => '4','verse_number' => '7','translate_name' => '«إنا جعلنا ما على الأرض» من الحيوان والنبات والشجر والأنهار وغير ذلك «زينة لها لنبلوهم» لنختبر الناس ناظرين إلى ذلك «أيهم أحسن عملاً» فيه أي أزهد له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20856','chapter_id' => '18','chapter_detail_id' => '2148','translator_id' => '4','verse_number' => '8','translate_name' => '«وإنا لجاعلون ما عليها صعيدا» فتاتا «جرزا» يابسا لا ينبت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20857','chapter_id' => '18','chapter_detail_id' => '2149','translator_id' => '4','verse_number' => '9','translate_name' => '«أم حسبت» أي ظننت «أن أصحاب الكهف» الغار في الجبل «والرقيم» اللوح المكتوب فيه أسماؤهم وأنسابهم وقد سئل صلى الله عليه وسلم عن قصتهم «كانوا» في قصتهم «من» جملة «آياتنا عجبا» خبر كان وما قبله حال، أي كانوا عجبا دون باقي الآيات أو أعجبها ليس الأمر كذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20858','chapter_id' => '18','chapter_detail_id' => '2150','translator_id' => '4','verse_number' => '10','translate_name' => 'اذكر «إذ أوى الفتية إلى الكهف» جمع فتى وهو الشاب الكامل، خائفين على إيمانهم من قومهم الكفار «فقالوا ربنا آتنا من لدنك» من قبلك «رحمة وهيئ» أصلح «لنا من أمرنا رشدا» هداية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20859','chapter_id' => '18','chapter_detail_id' => '2151','translator_id' => '4','verse_number' => '11','translate_name' => '«فضربنا على آذانهم» أي أنمناهم «في الكهف سنين عددا» معدودة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20860','chapter_id' => '18','chapter_detail_id' => '2152','translator_id' => '4','verse_number' => '12','translate_name' => '«ثم بعثناهم» أيقظناهم «لنعلم» علم مشاهدة «أي الحزبين» الفريقين المختلفين في مدة لبثهم «أحصى» أفعل بمعنى أضبط «لما لبثوا» لبثهم متعلق بما بعده «أمدا» غاية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20861','chapter_id' => '18','chapter_detail_id' => '2153','translator_id' => '4','verse_number' => '13','translate_name' => '«نحن نقص» نقرأ «عليك نبأهم بالحق» بالصدق «إنهم فتية آمنوا بربِّهم وزدناهم هدى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20862','chapter_id' => '18','chapter_detail_id' => '2154','translator_id' => '4','verse_number' => '14','translate_name' => '«وربطنا على قلوبهم» قويناها على قول الحق «إذ قاموا» بين يدي ملكهم وقد أمرهم بالسجود للأصنام «فقالوا ربنا رب السماوات والأرض لن ندعو من دونه» أي غيره «إلها لقد قلنا إذا شططا» أي قولاً ذا شطط أي إفراط في الكفر إن دعونا إلها غير الله فرضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20863','chapter_id' => '18','chapter_detail_id' => '2155','translator_id' => '4','verse_number' => '15','translate_name' => '«هؤلاء» مبتدأ «قومنا» عطف بيان «اتخذوا من دونه آلهة لولا» هلا «يأتون عليهم» على عبادتهم «بسلطان بين» بحجة ظاهرة «فمن أظلم» أي لا أحد أظلم «ممن افترى على الله كذبا» بنسبة الشريك إليه تعالى قال بعض الفتية لبعض:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20864','chapter_id' => '18','chapter_detail_id' => '2156','translator_id' => '4','verse_number' => '16','translate_name' => '«وإذ اعتزلتموهم وما يعبدون إلا الله فأووا إلى الكهف ينشر لكم ربكم من رحمته ويهيئ لكم من أمركم مرفقا» بكسر الميم وفتح الفاء وبالعكس ما ترتفقون به من غداء وعشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20865','chapter_id' => '18','chapter_detail_id' => '2157','translator_id' => '4','verse_number' => '17','translate_name' => '«وترى الشمس إذا طلعت تزّاور» بالتشديد والتخفيف تميل «عن كهفهم ذات اليمين» ناحيته «وإذا غربت تقرضهم ذات الشمال» تتركهم وتتجاوز عنهم فلا تصيبهم ألبتة «وهم في فجوة منه» متسع من الكهف ينالهم برد الريح ونسيمها «ذلك» المذكور «من آيات الله» دلائل قدرته «من يهد الله فهو المهتد ومن يضلل فلن تجد له وليا مرشدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20866','chapter_id' => '18','chapter_detail_id' => '2158','translator_id' => '4','verse_number' => '18','translate_name' => '«وتحسبهم» لو رأيتهم «أيقاظا» أي منتبهين لأن أعينهم منفتحة، جمع يقظ بكسر القاف «وهم رقود» نيام جمع راقد «ونقلبهم ذات اليمين وذات الشمال» لئلا تأكل الأرض لحومهم «وكلبهم باسط ذراعيه» يديه «بالوصيد» بفناء الكهف وكانوا إذا انقلبوا انقلب هو مثلهم في النوم واليقظة «لو اطلعت عليهم لولَّيت منهم فرارا ولملِّئت» بالتشديد والتخفيف «منهم رعْبا» بسكون العين وضمها منعهم الله بالرعب من دخول أحد عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20867','chapter_id' => '18','chapter_detail_id' => '2159','translator_id' => '4','verse_number' => '19','translate_name' => '«وكذلك» كما فعلنا بهم ما ذكرنا «بعثناهم» أيقظناهم «ليتساءلوا بينهم» عن حالهم ومدة لبثهم «قال قائل منهم كم لبثتم قالوا لبثنا يوما أو بعض يوم» لأنهم دخلوا الكهف عند طلوع الشمس وبُعثوا عند غروبها فظنوا أنه غروب يوم الدخول ثم «قالوا» متوقفين في ذلك «ربكم أعلم بما لبثتم فابعثوا أحدكم بوَرقِكُمْ» بسكون الراء وكسرها بفضتكم «هذه إلى المدينة» يقال إنها المسماة الآن طرسوس بفتح الراء «فلينظر أيها أزكى طعاما» أي أيّ أطعمة المدينة أحل «فليأتكم برزق منه وليتلطف ولا يشعرن بكم أحداً».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20868','chapter_id' => '18','chapter_detail_id' => '2160','translator_id' => '4','verse_number' => '20','translate_name' => '«إنهم إن يظهروا عليكم يرجموكم» يقتلوكم بالرجم «أو يعيدوكم في ملتهم ولن تفلحوا إذا» أي إن عدتم في ملتهم «أبدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20869','chapter_id' => '18','chapter_detail_id' => '2161','translator_id' => '4','verse_number' => '21','translate_name' => '«وكذلك» كما بعثناهم «أعثرنا» أطلعنا «عليهم» قومهم والمؤمنين «ليعلموا» أي قومهم «أن وعد الله» بالبعث «حق» بطريق أن القادر على إنامتهم المدة الطويلة وإبقائهم على حالهم بلا غذاء قادر على إحياء الموتى «وأن الساعة لا ريب» لا شك «فيها إذ» معمول لأعثرنا «يتنازعون» أي المؤمنون والكفار «بينهم أمرهم» أمر الفتية في البناء حولهم «فقالوا» أي الكفار «ابنوا عليهم» أي حولهم «بنيانا» يسترهم. «ربهم أعلم بهم قال الذين غلبوا على أمرهم» أمر الفتية وهم المؤمنون «لنتخذن عليهم» حولهم «مسجدا» يصلى فيه، وفعل ذلك على باب الكهف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20870','chapter_id' => '18','chapter_detail_id' => '2162','translator_id' => '4','verse_number' => '22','translate_name' => '«سيقولون» أي المتنازعون في عدد الفتية في زمن النبي صلى الله عليه وسلم أي يقول بعضهم هم «ثلاثة رابعهم كلبهم ويقولون» أي بعضهم «خمسة سادسهم كلبهم» والقولان لنصارى نجران «رجما بالغيب» أي ظنا في الغيبة عنهم وهو راجع إلى القولين معا ونصبه على المفعول له أي لظنهم ذلك «ويقولون» أي المؤمنون «سبعة وثامنهم كلبهم» الجملة من المبتدأ وخبره صفة سبعة بزيادة الواو، وقيل تأكيد أو دلالة على لصوق الصفة بالموصوف ووصف الأولين بالرجم دون الثالث دليل على أنه مرضي وصحيح «قل ربي أعلم بعدتهم ما يعلمهم إلا قليل» قال ابن عباس أنا من القليل وذكرهم سبعة «فلا تمار» تجادل «فيهم إلا مراءً ظاهرا» بما أنزل عليك «ولا تستفت فيهم» تطلب الفتيا «منهم» من أهل الكتاب اليهود «أحدا» وسأله أهل مكة عن خبر أهل الكهف فقال أخبركم به غدا ولم يقل إن شاء الله فنزل:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20871','chapter_id' => '18','chapter_detail_id' => '2163','translator_id' => '4','verse_number' => '23','translate_name' => '«ولا تقولن لشيء» أي لأجل شيء «إني فاعل ذلك غدا» أي قيما يستقبل من الزمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20872','chapter_id' => '18','chapter_detail_id' => '2164','translator_id' => '4','verse_number' => '24','translate_name' => '«إلا يشاء الله» أي إلا ملتبسا بمشيئة الله تعالى بأن تقول إن شاء الله «واذكر ربك» أي مشيئته معلقا بها «إذا نسيت» ويكون ذكرها بعد النسيان كذكرها مع القول الحسن وغيره ما دام في المجلس «وقل عسى أن يهدين ربي لأقرب من هذا» من خبر أهل الكهف في الدلالة على نبوتي «رشدا» هداية وقد فعل الله ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20873','chapter_id' => '18','chapter_detail_id' => '2165','translator_id' => '4','verse_number' => '25','translate_name' => '«ولبثوا في كهفهم ثلاث مائة» بالتنوين «سنين» عطف بيان لثلاثمائة وهذه السنون الثلاثمائة عند أهل الكهف شمسية وتزيد القمرية عليها عند العرب تسع سنين وقد ذكرت في قوله «وازدادوا تسعا» أي تسع سنين فالثلاثمائة الشمسية: ثلاثمائة وتسع قمرية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20874','chapter_id' => '18','chapter_detail_id' => '2166','translator_id' => '4','verse_number' => '26','translate_name' => '«قل الله أعلموا بما لبثوا» ممن اختلفوا فيه وهو ما تقدم ذكره «له غيب السماوات والأرض» أي علمه «أبصرْ به» أي بالله هي صيغة تعجب «وأسمعْ» به كذلك بمعنى ما أبصرهُ وما أسمعهُ وهما على جهة المجاز والمراد أنه تعالى لا يغيب عن بصره وسمعه شيء «ما لهم» لأهل السماوات والأرض «من دونه من ولي» ناصر «ولا يشرك في حكمه أحدا» لأنه غني عن الشريك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20875','chapter_id' => '18','chapter_detail_id' => '2167','translator_id' => '4','verse_number' => '27','translate_name' => 'واتل ما أوحي إليك من كتاب ربك لا مبدل لكلماته ولن تجد من دونه ملتحدا» ملجأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20876','chapter_id' => '18','chapter_detail_id' => '2168','translator_id' => '4','verse_number' => '28','translate_name' => '«واصبر نفسك» احبسها «مع الذين يدعون ربهم بالغداة والعشي يريدون» بعبادتهم «وجهه» تعالى لا شيئا من أعراض الدنيا وهم الفقراء «ولا تعدُ» تنصرف «عيناك عنهم» عبر بهما عن صاحبهما «تريد زينة الحياة الدنيا ولا تطع من أغفلنا قلبه عن ذكرنا» أي القرآن هو عيينة بن حصن وأصحابه «واتبعَ هواه» في الشرك «وكان أمره فرطا» إسرافا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20877','chapter_id' => '18','chapter_detail_id' => '2169','translator_id' => '4','verse_number' => '29','translate_name' => '«وقل» له ولأصحابه هذا القرآن «الحق من ربكم فمن شاء فليؤمن ومن شاء فليكفر» تهديد لهم «إنا أعتدنا للظالمين» أي الكافرين «نارا أحاط بهم سرادقها» ما أحاط بها «وإن يستغيثوا يغاثوا بماء كالمهل» كعكر الزيت «يشوي الوجوه» من حره إذا قرب إليها «بئس الشراب» هو «وساءت» أي النار «مرتفقا» تمييز منقول عن الفاعل أي قبح مرتفقها وهو مقابل لقوله الآتي في الجنة «وحسنت مرتفقا» وإلا فأي ارتفاق في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20878','chapter_id' => '18','chapter_detail_id' => '2170','translator_id' => '4','verse_number' => '30','translate_name' => '«إن الذين آمنوا وعملوا الصالحات إنا لا نضيع أجر من أحسن عملاً» الجملة خبر إن الذين وفيها إقامة الظاهر مقام المضمر والمعنى أجرهم أي نثيبهم بما تضمنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20879','chapter_id' => '18','chapter_detail_id' => '2171','translator_id' => '4','verse_number' => '31','translate_name' => '(أولئك لهم جنات عدن) إقامة (تجري من تحتهم الأنهار يحلون فيها من أساور) قيل من زائدة وقيل للتبعيض، وهي جمع أسورة كأحمرة جمع سوار (من ذهب ويلبسون ثيابا خضرا من سندس) ما رقَّ من الديباج (وإستبرق) ما غلظ منه وفي آية الرحمن "" بطائنها من إستبرق "" (متكئين فيها على الأرائك) جمع أريكة وهي السرير في الحجلة وهي بيت يزين بالثياب والستور للعروس (نعم الثواب) الجزاء الجنة (وحسنت مرتفقا).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20880','chapter_id' => '18','chapter_detail_id' => '2172','translator_id' => '4','verse_number' => '32','translate_name' => '«واضرب» اجعل «لهم» للكفار مع المؤمنين «مثلاً رجلين» بدل وهو وما بعده تفسير للمثل «جعلنا لأحدهما» الكافر «جنتين» بستانين «من أعناب وحففناهما بنخل وجعلنا بينهما زرعا» يقتات به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20881','chapter_id' => '18','chapter_detail_id' => '2173','translator_id' => '4','verse_number' => '33','translate_name' => '«كلتا الجنتين» كلتا مفرد يدل على التثنية مبتدأ «آتت» خبره «أكلها» ثمرها «ولم تظلم» تنقص «منه شيئا» «وفجرنا» أي شقتنا «خلالهما نهرا» يجري بينهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20882','chapter_id' => '18','chapter_detail_id' => '2174','translator_id' => '4','verse_number' => '34','translate_name' => '«وكان له» مع الجنتين «ثمر» بفتح الثاء والميم وبضمهما وبضم الأول وسكون الثاني وهو جمع ثمرة كشجرة وشجر وخشبة وخشب وبدنة وبدن «فقال لصاحبه» المؤمن «وهو يحاوره» يفاخره «أنا أكثر منك مالاً وأعز نفرا» عشيرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20883','chapter_id' => '18','chapter_detail_id' => '2175','translator_id' => '4','verse_number' => '35','translate_name' => '«ودخل جنته» بصاحبه يطوف به فيها ويريه أثمارها ولم يقل جنتيه إرادة للروضة وقيل اكتفاء بالواحد «وهو ظالم لنفسه» بالكفر «قال ما أظن أن تبيد» تنعدم «هذه أبدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20884','chapter_id' => '18','chapter_detail_id' => '2176','translator_id' => '4','verse_number' => '36','translate_name' => '«وما أظن الساعة قائمة ولئن رُدِدت إلى ربي» في الآخرة على زعمك «لأجدن خيرا منها منقلبا» مرجعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20885','chapter_id' => '18','chapter_detail_id' => '2177','translator_id' => '4','verse_number' => '37','translate_name' => '«قال له صاحبه وهو يحاوره» يجاوبه «أكفرت بالذي خلقك من تراب» لأن آدم خُلق منه «ثم نطقه» منيّ «ثم سواك» عدلك وصيرك «رجلاً».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20886','chapter_id' => '18','chapter_detail_id' => '2178','translator_id' => '4','verse_number' => '38','translate_name' => '«لكنا» أصله لكن أنا نقلت حركة الهمزة إلى النون أو حذفت الهمزة ثم أدغمت النون في مثلها «هو» ضمير الشأن تفسره الجملة بعده والمعنى أنا أقول «الله ربي ولا أشرك بربي أحدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20887','chapter_id' => '18','chapter_detail_id' => '2179','translator_id' => '4','verse_number' => '39','translate_name' => '(ولولا) هلا (إذ دخلت جنتك قلت) عند إعجابك بها هذا (ما شاء الله لا قوة إلا بالله) وفي الحديث "" من أعطي خيرا من أهل أو مال فيقول عند ذلك ما شاء الله لا قوة إلا بالله لم ير فيه مكروها "" (إن ترن أنا) ضمير فصل بين المفعولين (أقل منك مالاً وولدا).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20888','chapter_id' => '18','chapter_detail_id' => '2180','translator_id' => '4','verse_number' => '40','translate_name' => '«فعسى ربي أن يؤتين خيرا من جنتك» جواب الشرط «ويرسل عليها حسبانا» جمع حسبانة أي صواعق «من السماء فتصبح صعيدا زلقا» أرضا ملساء لا يثبت عليها قدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20889','chapter_id' => '18','chapter_detail_id' => '2181','translator_id' => '4','verse_number' => '41','translate_name' => '«أو يصبح ماؤها غورا» بمعنى غائرا عطف على يرسل دون تصبح لأن غور الماء لا يتسبب عن الصواعق «فلن تستطيع له طلبا» حيلة تدركه بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20890','chapter_id' => '18','chapter_detail_id' => '2182','translator_id' => '4','verse_number' => '42','translate_name' => '«وأحيط بثمره» بأوجه الضبط السابقة مع جنته بالهلاك فهلكت «فأصبح يقلب كفيه» ندما وتحسرا «على ما أنفق فيها» في عمارة جنته «وهي خاوية» ساقطة «على عروشها» دعائمها للكرم بأن سقطت ثم سقط الكرم «ويقول يا» للتنبيه «ليتني لم أشرك بربي أحدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20891','chapter_id' => '18','chapter_detail_id' => '2183','translator_id' => '4','verse_number' => '43','translate_name' => '«ولم تكن» بالتاء والياء «له فئة» جماعة «ينصرونه من دون الله» عند هلاكها «وما كان منتصرا» عن هلاكها بنفسه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20892','chapter_id' => '18','chapter_detail_id' => '2184','translator_id' => '4','verse_number' => '44','translate_name' => '«هنالك» أي يوم القيامة «الولاية» بفتح الواو النصرة وبكسرها الملك «لله الحق» بالرفع صفة الولاية وبالجر صفة الجلالة «هو خير ثوابا» من ثواب غيره لو كان يثيب «وخير عقبا» بضم القاف وسكونها عاقبة للمؤمنين ونصبهما على التمييز.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20893','chapter_id' => '18','chapter_detail_id' => '2185','translator_id' => '4','verse_number' => '45','translate_name' => '«واضرب» صير «لهم» لقومك «مثل الحياة الدنيا» مفعول أول «كماء» مفعول ثان «أنزلناه من السماء فاختلط به» تكاثف بسبب نزول الماء «نبات الأرض» أو امتزج الماء بالنبات فَرَوِيَ وَحَسُن «فأصبح» صار النبات «هشيما» يابسا متفرقة أجزاؤه «تذروه» تنثره وتفرقه «الرياح» فتذهب به، المعنى: شبه الدنيا بنبات حسن فيبس فتكسر ففرقته الرياح وفي قراءة الريح «وكان الله على كل شيء مقتدرا» قادرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20894','chapter_id' => '18','chapter_detail_id' => '2186','translator_id' => '4','verse_number' => '46','translate_name' => '«المال والبنون زينة الحياة الدنيا» يتجمل بها فيها «والباقيات الصالحات» هي سبحان الله والحمد لله ولا إله إلا الله والله أكبر زاد بعضهم ولا حول ولا قوة إلا بالله «خير عند ربك ثوابا وخير أملاً» أي ما يأمله الإنسان ويرجوه عند الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20895','chapter_id' => '18','chapter_detail_id' => '2187','translator_id' => '4','verse_number' => '47','translate_name' => '«و» اذكر «يوم تُسَيَّرُ الجبالُ» نذهب بها عن وجه الأرض فتصير هباء منبثا وفي قراءة بالنون وكسر الياء ونصب الجبال «وترى الأرض بارزة» ظاهرة ليس عليها شيء من جبل ولا غيره «وحشرناهم» المؤمنين والكافرين «فلم نغادر» نترك «منهم أحدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20896','chapter_id' => '18','chapter_detail_id' => '2188','translator_id' => '4','verse_number' => '48','translate_name' => '«وعرضوا على ربك صفا» حال أي مصطفين كل أمة صف ويقال لهم «لقد جئتمونا كما خلقناكم أول مرة» أي فرادى حفاة عراة غُرْلاً ويقال لمنكري البعث «بل زعمتم أ» ن مخففة من الثقيلة أي أنه «لن نجعل لكم موعدا» للبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20897','chapter_id' => '18','chapter_detail_id' => '2189','translator_id' => '4','verse_number' => '49','translate_name' => '«ووضع الكتاب» كتاب كل امرئ في يمينه من المؤمنين وفي شماله من الكافرين «فترى المجرمين» الكافرين «مشفقين» خائفين «مما فيه ويقولن» عند معاينتهم ما فيه من السيئات «يا» للتنبيه «ويلتنا» هلكتنا وهو مصدر لا فعل له من لفظه «ما لهذا الكتاب لا يغادر صغيرة ولا كبيرة» من ذنوبنا «إلا أحصاها» عدها وأثبتها تعجبوا منه في ذلك «ووجدوا ما عملوا حاضرا» مثبتا في كتابهم «ولا يظلم ربك أحدا» لا يعاقبه بغير جرم ولا ينقص من ثواب مؤمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20898','chapter_id' => '18','chapter_detail_id' => '2190','translator_id' => '4','verse_number' => '50','translate_name' => '«وإذ» منصوب باذكر «قلنا للملائكة اسجدوا لآدم» سجود انحناء لا وضع جبهة تحية له «فسجدوا إلا إبليس كان من الجن» قيل هم نوع من الملائكة فالاستثناء متصل وقيل هو منقطع وإبليس هو أبو الجن فله ذرية ذكرت معه بعد والملائكة لا ذرية لهم «ففسق عن أمر ربه» أي خرج عن طاعته بترك السجود «أفتتخذونه وذريته» الخطاب لآدم وذريته والهاء في الموضعين لإبليس «أولياء من دوني» تطيعونهم «وهم لكم عدو» أي أعداء حال «بئس للظالمين بدلاً» إبليس وذريته في إطاعتهم بدل إطاعة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20899','chapter_id' => '18','chapter_detail_id' => '2191','translator_id' => '4','verse_number' => '51','translate_name' => '«ما أشهدتهم» أي إبليس وذريته «خلق السماوات والأرض ولا خلق أنفسهم» أي لم أحضر بعضهم خلق بعض «وما كنت متخذ المضلين» الشياطين «عضدا» أعوانا في الخلق، فكيف تطيعونهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20900','chapter_id' => '18','chapter_detail_id' => '2192','translator_id' => '4','verse_number' => '52','translate_name' => '«ويوم» منصوب باذكر «يقول» بالياء والنون «نادوا شركاءي» الأوثان «الذين زعمتم» ليشفعوا لكم بزعمكم «فدعوهم فلم يستجيبوا لهم» لم يجيبوهم «وجعلنا بينهم» بين الأوثان وعابديها «موبقا» واديا من أودية جهنم يهلكون فيه جميعا وهو من وبق بالفتح هلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20901','chapter_id' => '18','chapter_detail_id' => '2193','translator_id' => '4','verse_number' => '53','translate_name' => '«ورأى المجرمون النار فظنوا» أي أيقنوا «أنهم مواقعوها» أي واقعون فيها «ولم يجدوا عنها مَصرفا» معدلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20902','chapter_id' => '18','chapter_detail_id' => '2194','translator_id' => '4','verse_number' => '54','translate_name' => '«ولقد صرفنا» بينا «في هذا القرآن للناس من كل مثل» صفة لمحذوف، أي مثلاً من جنس كل مثل ليتعظوا «وكان الإنسان» أي الكفار «أكثر شيء جدلاً» خصومة في الباطل وهو تمييز منقول من اسم كان، المعنى: وكان جدل الإنسان أكثر شيء فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20903','chapter_id' => '18','chapter_detail_id' => '2195','translator_id' => '4','verse_number' => '55','translate_name' => '«وما منع الناس» أي كفار مكة «أن يؤمنوا» مفعول ثان «إذ جاءهم الهدى» القرآن «ويستغفروا ربهم إلا أن تأتيهم سنة الأولين» فاعل أي سنتنا فيهم وهي الإهلاك المقدر عليهم «أو يأتيهم العذاب قبلاً» مقابلة وعيناً، وهو القتل يوم بدر وفي قراءة بضمتين جمع قبيل أي أنواعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20904','chapter_id' => '18','chapter_detail_id' => '2196','translator_id' => '4','verse_number' => '56','translate_name' => '(وما نرسل المرسلين إلا مبشرين) للمؤمنين (ومنذرين) مخوفين للكافرين (ويجادل الذين كفروا بالباطل) بقولهم: "" أبعث الله بشرا رسولاً "" ونحوه (ليدحضوا به) ليبطلوا بجدالهم (الحق) القرآن (واتخذوا آياتي) أي القرآن (وما أنذروا) به من النار (هزوا) سخرية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20905','chapter_id' => '18','chapter_detail_id' => '2197','translator_id' => '4','verse_number' => '57','translate_name' => '«ومن أظلم ممن ذكر بآيات ربه فأعرض عنها ونسي ما قدمت يداه» ما عمل من الكفر والمعاصي «إنا جعلنا على قلوبهم أكنَّة» أغطية «أن يفقهوه» أي من أن يفهموا القرآن أي فلا يفهمونه «وفي آذانهم وقرا» ثقلاً فلا يسمعونه «وإن تدعهم إلى الهدى فلن يهتدوا إذا» أي بالجعل المذكور «أبدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20906','chapter_id' => '18','chapter_detail_id' => '2198','translator_id' => '4','verse_number' => '58','translate_name' => '«وربك الغفور ذو الرحمة لو يؤاخذهم» في الدنيا «بما كسبوا لعجل لهم العذاب» فيها «بل لهم موعد» وهو يوم القيامة «لن يجدوا من دونه موئلاً» ملجأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20907','chapter_id' => '18','chapter_detail_id' => '2199','translator_id' => '4','verse_number' => '59','translate_name' => '«وتلك القرى» أي أهلها كعاد وثمود وغيرهما «أهلكناهم لما ظلموا» كفروا «وجعلنا لمهلكهم» لإهلاكهم وفي قراءة بفتح الميم أي لهلاكهم «موعدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20908','chapter_id' => '18','chapter_detail_id' => '2200','translator_id' => '4','verse_number' => '60','translate_name' => '«و» اذكر «إذ قال موسى» هو ابن عمران «لفتاهُ» يوشع بن نون كان يتبعه ويخدمه ويأخذ عنه العلم «لا أبرح» لا أزال أسير «حتى أبلغ مجمع البحرين» ملتقى بحر الروم وبحر فارس مما يلي المشرق أي المكان الجامع لذلك «أو أمضي حقبا» دهرا طويلاً في بلوغه إن بعد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20909','chapter_id' => '18','chapter_detail_id' => '2201','translator_id' => '4','verse_number' => '61','translate_name' => '«فلما بلغا مجمع بينهما» بين البحرين «نسيا حوتهما» نسي يوشع حمله عند الرحيل ونسي موسى تذكيره «فاتخذ» الحوت «سبيله في البحر» أي جعله بجعل الله «سربا» أي مثل السرب، وهو الشق الطويل لا نفاذ له، وذلك أن الله تعالى أمسك عن الحوت جري الماء فانجاب عنه فبقي كالكوة لم يلتئم وجمد ما تحته منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20910','chapter_id' => '18','chapter_detail_id' => '2202','translator_id' => '4','verse_number' => '62','translate_name' => '«فلما جاوزا» ذلك المكان بالسير إلى وقت الغداء من ثاني يوم «قال» موسى «لفتاهُ آتينا غداءنا» هو ما يؤكل أول النهار «لقد لقينا من سفرنا هذا نصبا» تعبا وحصوله بعد المجاوزة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20911','chapter_id' => '18','chapter_detail_id' => '2203','translator_id' => '4','verse_number' => '63','translate_name' => '«قال أرأيت» أي تنبه «إذ أوينا إلى الصخرة» بذلك المكان «فإني نسيت الحوت وما أنسانيهُ إلا الشيطان» يبدل من الهاء «أن أذكره» بدل اشتمال أي أنساني ذكره «واتخذ» الحوت «سبيله في البحر عجبا» مفعول ثان، أي يتعجب منه موسى وفتاه لما تقدم في بيانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20912','chapter_id' => '18','chapter_detail_id' => '2204','translator_id' => '4','verse_number' => '64','translate_name' => '«قال» موسى «ذلك» أي فقدنا الحوت «ما» أي الذي «كنا نبغ» نطلبه فإنه علامة لنا على وجود من نطلبه «فارتدا» رجعا «على آثارهما» يقصانها «قصصا» فأتيا الصخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20913','chapter_id' => '18','chapter_detail_id' => '2205','translator_id' => '4','verse_number' => '65','translate_name' => '(فوجدا عبدا من عبادنا) هو الخضر (آتيناه رحمة من عندنا) نبوة في قول وولاية في آخر وعليه أكثر العلماء (وعلمناه من لدنا) من قبلنا (علما) مفعول ثان أي معلوما من المغيبات، روى البخاري حديث "" إن موسى قام خطيبا في بني إسرائيل فسئل أي الناس أعلم؟ فقال: أنا، فعتب الله عليه إذ لم يرد العلم إليه، فأوحى الله إليه: إن لي عبدا بمجمع البحرين هو أعلم منك قال موسى: يا رب فكيف لي به قال: تأخذ معك حوتا فتجعله في مكتل فحيثما فقد الحوت فهو ثم، فأخذ حوتا فجعله في مكتل ثم انطلق وانطلق معه فتاه يوشع بن نون حتى أتيا الصخرة ووضعا رأسيهما فناما واضطرب الحوت في المكتل فخرج منه فسقط في البحر "" فاتخذ سبيله في البحر سربا "" وأمسك الله عن الحوت جرية الماء فصار عليه مثل الطاق فلما استيقظ نسي صاحبه أن يخبره بالحوت فانطلقا بقية يومهما وليلتهما حتى إذا كانا من الغداة قال موسى لفتاه آتنا غداءنا إلى قوله واتخذ سبيله في البحر عجبا قال وكان للحوت سربا ولموسى ولفتاه عجبا إلخ "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20914','chapter_id' => '18','chapter_detail_id' => '2206','translator_id' => '4','verse_number' => '66','translate_name' => '«قال له موسى هل أتَّبعك على أن تعلَّمن مما عُلمت رَشَداً» أي صواباً أرشد به وفي قراءة بضم الراء وسكون الشين وسأله ذلك لأن الزيارة في العلم مطلوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20915','chapter_id' => '18','chapter_detail_id' => '2207','translator_id' => '4','verse_number' => '67','translate_name' => '«قال إنك لن تستطيع معي صبرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20916','chapter_id' => '18','chapter_detail_id' => '2208','translator_id' => '4','verse_number' => '68','translate_name' => '(وكيف تصبر على ما لم تحط به خبرا) في الحديث السابق عقب هذه الآية "" يا موسى إني على علم من الله علمنيه لا تعلمه وأنت على علم من الله علمكه الله لا أعلمه، وقوله خبرا مصدر بمعنى لم تحط أي لم تخبر حقيقته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20917','chapter_id' => '18','chapter_detail_id' => '2209','translator_id' => '4','verse_number' => '69','translate_name' => '«قال ستجدني إن شاء الله صابرا ولا أعصي» أي وغير عاص «لك أمرا» تأمرني به، وقيد بالمشيئة لأنه لم يكن على ثقة من نفسه فيما التزم، وهذه عادة الأنبياء والأولياء ألا يثقوا إلى أنفسهم طرفة عين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20918','chapter_id' => '18','chapter_detail_id' => '2210','translator_id' => '4','verse_number' => '70','translate_name' => '«قال فإن اتبعتني فلا تسألني» وفي قراءة بفتح اللام وتشديد النون «عن شيء» تنكره مني في علمك واصبر «حتى أحدث لك منه ذكرا» أي أذكره لك بعلته، فقبل موسى شرطه رعاية لأدب المتعلم مع العالم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20919','chapter_id' => '18','chapter_detail_id' => '2211','translator_id' => '4','verse_number' => '71','translate_name' => '«فانطلقا» يمشيان على البحر «حتى إذا ركبا في السفينة» التي مرت بهما «خرقها» الخضر بأن اقتلع لوحا أو لوحين منها من جهة البحر بفأس لما بلغت اللجج «قال» له موسى «اخرقتها لتغرق أهلها» وفي قراءة بفتح التحتانية والراء ورفع أهلها «لقد جئت شيئا إمرا» أي عظيما منكرا روي أن الماء لم يدخلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20920','chapter_id' => '18','chapter_detail_id' => '2212','translator_id' => '4','verse_number' => '72','translate_name' => '«قال ألم أقل إنك لن تستطيع معي صبرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20921','chapter_id' => '18','chapter_detail_id' => '2213','translator_id' => '4','verse_number' => '73','translate_name' => '«قال لا تؤاخذني بما نسيت» أي غفلت عن التسليم لك وترك الانكار عليك «ولا ترهقني» تكلفني «من أمري عسرا» مشقة في صحبتي إياك أي عاملني فيها بالعفو واليسر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20922','chapter_id' => '18','chapter_detail_id' => '2214','translator_id' => '4','verse_number' => '74','translate_name' => '«فانطلقا» بعد خروجهما من السفينة يمشيان «حتى إذا لقيا غلاما» لم يبلغ الحنث يلعب مع الصبيان أحسنهم وجها «فقتله» الخضر بأن ذبحه بالسكين مضطجعا أو اقتلع رأسه بيده أو ضرب رأسه بالجدار، أقوال وأتى هنا بالفاء العاطفة لأن القتل عقب اللقاء وجواب إذا «قال» له موسى «أقتلت نفسا زاكية» أي طاهرة لم تبلغ حد التكليف وفي قراءة زكية بتشديد الياء بلا ألف «بغير نفس» أي لم تقتل نفسا «لقد جئت شيئا نكرا» بسكون الكاف وضمها أي منكرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20923','chapter_id' => '18','chapter_detail_id' => '2215','translator_id' => '4','verse_number' => '75','translate_name' => '«قال ألم أقل لك إنك لن تستطيع معي صبرا» زاد لك على ما قبله لعدم العذر هنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20924','chapter_id' => '18','chapter_detail_id' => '2216','translator_id' => '4','verse_number' => '76','translate_name' => 'ولهذا «قال إن سألتك عن شيء بعدها» أي بعد هذه المرة «فلا تصاحبني» لا تتركني أتبعك «قد بلغت من لدني» بالتشديد والتخفيف من قبلي «عذرا» في مفارقتك لي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20925','chapter_id' => '18','chapter_detail_id' => '2217','translator_id' => '4','verse_number' => '77','translate_name' => '«فانطلقا حتى إذا أتيا أهل قرية» هي أنطاكية «استطعما أهلها» طلبا منهم الطعام بضيافة «فأبوا أن يضيفوهما فوجدا فيها جدارا» ارتفاعه مائة ذراع «يريد أن ينقضَّ» أي يقرب أن يسقط لميلانه «فأقامه» الخضر بيده «قال» له موسى «لو شئت لاتخذت» وفي قراءة لتخذت «عليه أجرا» جُعْلاً حيث لم يضيفونا مع حاجتنا إلى الطعام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20926','chapter_id' => '18','chapter_detail_id' => '2218','translator_id' => '4','verse_number' => '78','translate_name' => '«قال» له الخضر «هذا فراق» أي وقت فراق «بيني وبينك» فيه إضافة بين إلى غير متعدد سوغها تكريره بالعطف بالواو «سأُنبئك» قبل فراقي لك «بتأويل ما لم تستطع عليه صبرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20927','chapter_id' => '18','chapter_detail_id' => '2219','translator_id' => '4','verse_number' => '79','translate_name' => '«أما السفينة فكانت لمساكين» عشرة «يعملون في البحر» بها مؤاجرة لها طلبا للكسب «فأردت أن أعيبها وكان وراءهم» إذا رجعوا أو أمامهم الآن «ملك» كافر «يأخذ كل سفينة» صالحة «غصبا» نصبه على المصدر المبين لنوع الأخذ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20928','chapter_id' => '18','chapter_detail_id' => '2220','translator_id' => '4','verse_number' => '80','translate_name' => '«وأما الغلام فكان أبواه مؤمنين فخشينا أن يرهقهما طغيانا وكفرا» فإنه كما في حديث مسلم طبع كافرا ولو عاش لأرهقهما ذلك لمحبتهما له يتبعانه في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20929','chapter_id' => '18','chapter_detail_id' => '2221','translator_id' => '4','verse_number' => '81','translate_name' => '«فأردنا أن يبدِّلهما» بالتشديد والتخفيف «ربهما خيرا منه زكاة» أي صلاحا وتقى «وأقرب» منه «رحْما» بسكون الحاء وضمها رحمة وهي البرّ بوالديه فأبدلهما تعالى جارية تزوجت نبيا فولدت نبيا فهدى الله تعالى به أمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20930','chapter_id' => '18','chapter_detail_id' => '2222','translator_id' => '4','verse_number' => '82','translate_name' => '«وأما الجدار فكان لغلامين يتيمين في المدينة وكان تحته كنز» مال مدفون من ذهب وفضة «لهما وكان أبوهما صالحا» فحفظا بصلاحه في أنفسهما ومالهما «فأراد ربك أن يبلغا أشدهما» أي إيناس رشدهما «ويستخرجا كنزهما رحمة من ربك» مفعول له عامله أراد «وما فعلته» أي ما ذكر من خرق السفينة وقتل الغلام وإقامة الجدار «عن أمري» أي اختباري بل بأمر إلهام من الله «ذلك تأويل ما لم تسطع عليه صبرا» يقال اسطاع واستطاع بمعنى أطاق، ففي هذا وما قبله جمع بين اللغتين ونوعت العبارة في: فأردت، فأردنا فأراد ربك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20931','chapter_id' => '18','chapter_detail_id' => '2223','translator_id' => '4','verse_number' => '83','translate_name' => '«ويسألونك» أي اليهود «عن ذي القرنين» اسمه الاسكندر ولم يكن نبيا «قل سأتلو» سأقص «عليكم منه» من حاله «ذكرا» خبرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20932','chapter_id' => '18','chapter_detail_id' => '2224','translator_id' => '4','verse_number' => '84','translate_name' => '«إنا مكنا له في الأرض» بتسهيل السير فيها «وآتيناه من كل شيء» يحتاج إليه «سببا» طريقا يوصله إلى مراده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20933','chapter_id' => '18','chapter_detail_id' => '2225','translator_id' => '4','verse_number' => '85','translate_name' => '«فأتبع سببا» سلك طريقا نحو الغرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20934','chapter_id' => '18','chapter_detail_id' => '2226','translator_id' => '4','verse_number' => '86','translate_name' => '«حتى إذا بلغ مغرب الشمس» موضع غروبها «وجدها تغرب في عين حمئة» ذات حمأة وهي الطين الأسود وغروبها في العين في رأي وإلا فهي أعظم من الدنيا «ووجد عندها» أي العين «قوما» كافرين «قلنا يا ذا القرنين» بإلهام «إما أن تُعذّب» القوم بالقتل «وإما أن تتخذ فيهم حُسنا» بالأسر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20935','chapter_id' => '18','chapter_detail_id' => '2227','translator_id' => '4','verse_number' => '87','translate_name' => '«قال أما من ظلم» بالشرك «فسوف نعذبه» نقتله «ثم يُرد إلى ربه فيعذبه عذابا نكرا» بسكون الكاف وضمها شديدا في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20936','chapter_id' => '18','chapter_detail_id' => '2228','translator_id' => '4','verse_number' => '88','translate_name' => '«وأما من آمن وعمل صالحا فله جزاء الحسنى» أي الجنة والإضافة للبيان وفي قراءة بنصب جزاء وتنوينه قال الفراء: ونصبه على التفسير أي لجهة النسبة «وسنقول له من أمرنا يُسرا» أي نأمره بما سهل عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20937','chapter_id' => '18','chapter_detail_id' => '2229','translator_id' => '4','verse_number' => '89','translate_name' => '«ثم أتبع سببا» نحو المشرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20938','chapter_id' => '18','chapter_detail_id' => '2230','translator_id' => '4','verse_number' => '90','translate_name' => '«حتى إذا بلغ مطلع الشمس» موضع طلوعها «وجدها تطلع على قوم» هم الزنج «لم نجعل لهم من دونها» أي الشمس «سترا» من لباس ولا سقف، لأن أرضهم لا تحمل بناء ولهم سروب يغيبون فيها عند طلوع الشمس ويظهرون عند ارتفاعها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20939','chapter_id' => '18','chapter_detail_id' => '2231','translator_id' => '4','verse_number' => '91','translate_name' => '«كذلك» أي الأمر كما قلنا «وقد أحطنا بما لديه» أي عند ذي القرنين من الآلات والجند وغيرهما «خبرا» علما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20940','chapter_id' => '18','chapter_detail_id' => '2232','translator_id' => '4','verse_number' => '92','translate_name' => '«ثم أتبع سببا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20941','chapter_id' => '18','chapter_detail_id' => '2233','translator_id' => '4','verse_number' => '93','translate_name' => '«حتى إذا بلغ بين السدين» بفتح السين وضمها هنا وبعدهما جبلان بمنقطع بلاد الترك، سد الإسكندر ما بينهما كما سيأتي «وجد من دونهما» أي أمامهما «قوما لا يكادون يفقهون قولاً» أي لا يفهمونه إلا بعد بطء، وفي قراءة بضم الياء وكسر القاف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20942','chapter_id' => '18','chapter_detail_id' => '2234','translator_id' => '4','verse_number' => '94','translate_name' => '«قالوا يا ذا القرنين إن يأجوج ومأجوج» بالهمز وتركه: هما اسمان أعجميان لقبيلتين فلم ينصرفا «مفسدون في الأرض» بالنهب والبغي عند خروجهم إلينا «فهل نجعل لك خرجا» جعلاً من المال وفي قراءة خراجا «على أن تجعل بيننا وبينهم سداً» حاجزا فلا يصلون إلينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20943','chapter_id' => '18','chapter_detail_id' => '2235','translator_id' => '4','verse_number' => '95','translate_name' => '«قال ما مكَّني» وفي قراءة بنونين من غير إدغام «فيه رب» من المال وغيره «خير» من خرجكم الذي تجعلونه لي فلا حاجة بي إليه وأجعل لكم السد تبرعا «فأعينوني بقوة» لما أطلبه منكم «أجعل بينكم وبينهم رَدما» حاجزا حصينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20944','chapter_id' => '18','chapter_detail_id' => '2236','translator_id' => '4','verse_number' => '96','translate_name' => '«آتوني زبر الحديد» قطعه على قدر الحجارة التي يبني بها فبنى بها وجعل بينها الحطب والفحم «حتى إذا ساوى بين الصدفين» بضم الحرفين وفتحهما وضم الأول وسكون الثاني، أي جانبي الجبلين بالبناء ووضع المنافخ والنار حول ذلك «قال انفخوا» فنفخوا «حتى إذا جعله» أي الحديد «نارا» أي كالنار «قال آتوني أفرغ عليه قِطرا» هو النحاس المذاب تنازع فيه الفعلان، وحذف من الأول لإعمال الثاني النحاس المذاب على الحديد المحمى فدخل بين زبره فصارا شيئا واحدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20945','chapter_id' => '18','chapter_detail_id' => '2237','translator_id' => '4','verse_number' => '97','translate_name' => '«فما اسطاعوا» أي يأجوج ومأجوج «أن يظهروه» يعلوا ظهره لارتفاعه وملاسته «وما استطاعوا له نقبا» لصلابته وسمكه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20946','chapter_id' => '18','chapter_detail_id' => '2238','translator_id' => '4','verse_number' => '98','translate_name' => '«قال» ذو القرنين «هذا» أي السد، أي الإقدار عليه «رحمة من ربي» نعمة لأنه مانع من خروجهم «فإذا جاء وعد ربي» بخروجهم القريب من البعث «جعله دكاء» مدكوكا مبسوطا «وكان وعد ربي» بخروجهم وغيره «حقا» كائنا قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20947','chapter_id' => '18','chapter_detail_id' => '2239','translator_id' => '4','verse_number' => '99','translate_name' => '«وتركنا بعضهم يومئذ» يوم خروجهم «يموج في بعض» يختلط به لكثرتهم «ونفخ في الصور» أي القرن للبعث «فجمعناهم» أي الخلائق في مكان واحد يوم القيامة «جمعا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20948','chapter_id' => '18','chapter_detail_id' => '2240','translator_id' => '4','verse_number' => '100','translate_name' => '«وعرضنا» قربنا «جهنم يومئذ للكافرين عرضا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20949','chapter_id' => '18','chapter_detail_id' => '2241','translator_id' => '4','verse_number' => '101','translate_name' => '«الذين كانت أعينهم» بدل من الكافرين «في غطاء عن ذكري» أي القرآن فهم عمي لا يهتدون به «وكانوا لا يستطيعون سمعا» أي لا يقدرون أن يسمعوا من النبي ما يتلو عليهم بغضا له فلا يؤمنون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20950','chapter_id' => '18','chapter_detail_id' => '2242','translator_id' => '4','verse_number' => '102','translate_name' => '«أفحسب الذين كفروا أن يتخذوا عبادي» أي ملائكتي وعيسى وعزيرا «من دوني أولياء» أربابا مفعول ثان ليتخذوا والمفعول الثاني لحسب محذوف المعنى أظنوا أن الاتخاذ المذكور لا يغضبني ولا أعاقبهم عليه كلا «إنا أعتدنا جهنم للكافرين» هؤلاء وغيرهم «نُزلاً» أي هي معدة لهم كالمنزل المعد للضيف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20951','chapter_id' => '18','chapter_detail_id' => '2243','translator_id' => '4','verse_number' => '103','translate_name' => '«قل هل ننبِّئكم بالأخسرين أعمالاً» تمييز طابق المميز، وبيَّنهم بقوله:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20952','chapter_id' => '18','chapter_detail_id' => '2244','translator_id' => '4','verse_number' => '104','translate_name' => '«الذين ضل سعيهم في الحياة الدنيا» بطل عملهم «وهم يحسبون» يظنون «أنهم يحسنون صنعا» عملاً يجازون عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20953','chapter_id' => '18','chapter_detail_id' => '2245','translator_id' => '4','verse_number' => '105','translate_name' => '«أولئك الذين كفروا بآيات ربهم» بدلائل توحيده من القرآن وغيره «ولقائه» أي وبالبعث والحساب والثواب والعقاب «فحبطت أعمالهم» بطلت «فلا نقيم لهم يوم القيامة وزنا» أي لا نجعل لهم قدرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20954','chapter_id' => '18','chapter_detail_id' => '2246','translator_id' => '4','verse_number' => '106','translate_name' => '«ذلك» أي الأمر الذي ذكرت عن حُبوط أعمالهم وغيره مبتدأ خبره «جزاؤهم جهنم بما كفروا واتخذوا آياتي ورسلي هزوا» أي مهزوءا بهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20955','chapter_id' => '18','chapter_detail_id' => '2247','translator_id' => '4','verse_number' => '107','translate_name' => '«إن الذين آمنوا وعملوا الصالحات كانت لهم» في علم الله «جناتُ الفردوس» هو وسط الجنة وأعلاها والإضافة إليه للبيان «نُزُلاً» منزلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20956','chapter_id' => '18','chapter_detail_id' => '2248','translator_id' => '4','verse_number' => '108','translate_name' => '«خالدين فيها لا يبغون» يطلبون «عنها حولاً» تحولاً إلى غيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20957','chapter_id' => '18','chapter_detail_id' => '2249','translator_id' => '4','verse_number' => '109','translate_name' => '«قل لو كان البحر» أي ماؤه «مدادا» هو ما يكتب به «لكلمات ربي» الدالة على حكمه وعجائبه بأن تكتب به «لنفد البحر» في كتابتها «قبل أن تنفد» بالتاء والياء: تفرغ «كلمات ربي ولو جئنا بمثله» أي البحر «مَدَدا» زيادة فيه لنفد، ولم تفرغ هي، ونصبه على التمييز.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20958','chapter_id' => '18','chapter_detail_id' => '2250','translator_id' => '4','verse_number' => '110','translate_name' => '«قل إنما أنا بشر» آدمي «مثلكم يوحى إليَّ أنما إلهكم إله واحد» أن المكفوفة بما باقية على مصدريتها والمعنى: يوحى إليَّ وحدانية الإله «فمن كان يرجو» يأمل «لقاء ربه» بالبعث والجزاء «فليعمل عملاً صالحا ولا يشرك بعبادة ربه» أي فيها بأن يرائي «أحدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20959','chapter_id' => '19','chapter_detail_id' => '2251','translator_id' => '4','verse_number' => '1','translate_name' => '«كَهيعَص» الله أعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20960','chapter_id' => '19','chapter_detail_id' => '2252','translator_id' => '4','verse_number' => '2','translate_name' => 'هذا «ذكر رحمة ربك عبده» مفعول رحمة «زكريا» بيان له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20961','chapter_id' => '19','chapter_detail_id' => '2253','translator_id' => '4','verse_number' => '3','translate_name' => '«إذ» متعلق برحمة «نادى ربه نداءً» مشتملاً على دعاء «خفيا» سرا جوف الليل لأنه أسرع للإجابة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20962','chapter_id' => '19','chapter_detail_id' => '2254','translator_id' => '4','verse_number' => '4','translate_name' => '«قال رب إني وهن» ضعف «العظم» جميعه «مني واشتعل الرأس» مني «شيبا» تمييز محوَّل عن الفاعل أي: انتشر الشيب في شعره كما ينتشر شعاع النار في الحطب وإني أريد أن أدعوك «ولم أكن بدعائك» أي: بدعائي إياك «ربّ شقيا» أي: خائبا فيما مضى فلا تخيبني فيما يأتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20963','chapter_id' => '19','chapter_detail_id' => '2255','translator_id' => '4','verse_number' => '5','translate_name' => '«وإني خفت الموالي» أي الذين يلوني في النسب كبني العم «من ورائي» أي بعد موتي على الدين أن يُضيعوه كما شاهدته في بني إسرائيل من تبديل الدين «وكانت امرأتي عاقرا» لا تلد «فهب لي من لدنك» من عندك «وليا» ابنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20964','chapter_id' => '19','chapter_detail_id' => '2256','translator_id' => '4','verse_number' => '6','translate_name' => '«يَرثني» بالجزم جواب الأمر وبالرفع صفة وليا «ويرث» بالوجهين «من آل يعقوب» جدّي، العلم والنبوة «واجعله رب رضيا» أي: مرضيا عندك. قال تعالى في إجابة طلبه الابن الحاصل به رحمته:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20965','chapter_id' => '19','chapter_detail_id' => '2257','translator_id' => '4','verse_number' => '7','translate_name' => '«يا زكريا إنا نبشرك بغلامِ» يَرثُ كما سألت «اسمه يحيى لم نجعل له من قبل سميا» أي: مسمى بيحيى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20966','chapter_id' => '19','chapter_detail_id' => '2258','translator_id' => '4','verse_number' => '8','translate_name' => '«قال ربّ أنَّى» كيف «يكون لي غلام وكانت امرأتي عاقرا وقد بلغت من الكبر عتيا» من عتا: يبس، أي نهاية السن مائة وعشرين سنة وبلغت امرأته ثمانية وتسعين سنة وأصل عتى: عتو وكسرت التاء تخفيفا وقلبت الواو الأولى ياء لمناسبة الكسرة والثانية ياء لتدغم فيها الياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20967','chapter_id' => '19','chapter_detail_id' => '2259','translator_id' => '4','verse_number' => '9','translate_name' => '«قال» الأمر «كذلك» من خلق غلام منكما «قال ربك هو عليَّ هين» أي: بأن أرد عليك قوة الجماع وأفتق رحم امرأتك للعلوق «وقد خلقتك من قبل ولم تكُ شيئا» قبل خلقك ولإظهار الله هذه القدرة العظيمة ألهمه السؤال ليجاب بما يدل عليها ولما تاقت نفسه إلى سرعة المبشر به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20968','chapter_id' => '19','chapter_detail_id' => '2260','translator_id' => '4','verse_number' => '10','translate_name' => '«قال رب اجعل آية» أي علامة على حمل امرأتي «قال آيتك» عليه «ألا تكلم الناس» أي تمتنع من كلامهم بخلاف ذكر الله «ثلاث ليال» أي بأيامها كما في آل عمران ثلاثة أيام «سَويا» حال من فاعل تكلم أي بلا علة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20969','chapter_id' => '19','chapter_detail_id' => '2261','translator_id' => '4','verse_number' => '11','translate_name' => '«فخرج على قومه من المحراب» أي المسجد وكانوا ينتظرون فتحه ليصلوا فيه بأمره على العادة «فأوحى» أشار «إليهم أن سبحوا» صلوا «بُكرة وعشيا» أوائل النهار وأواخره على العادة فعلم بمنعه من كلامهم حملها بيحيى، وبعد ولادته بسنتين قال الله تعالى له:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20970','chapter_id' => '19','chapter_detail_id' => '2262','translator_id' => '4','verse_number' => '12','translate_name' => '«يا يحيى خذ الكتاب» أي: التوراة «بقوة» بجد «وآتيناه الحكم» النبوة «صبيا» ابن ثلاث سنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20971','chapter_id' => '19','chapter_detail_id' => '2263','translator_id' => '4','verse_number' => '13','translate_name' => '«وحنانا» رحمة للناس «من لدنا» من عندنا «وزكاة» صدقة عليهم «وكان تقيا» روي أنه لم يعمل خطيئة ولم يهم بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20972','chapter_id' => '19','chapter_detail_id' => '2264','translator_id' => '4','verse_number' => '14','translate_name' => '«وبرّا بوالديه» أي: محسنا إليهما «ولم يكن جبارا» متكبرا «عصيا» عاصيا لربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20973','chapter_id' => '19','chapter_detail_id' => '2265','translator_id' => '4','verse_number' => '15','translate_name' => '«وسلامٌ» منا «عليه يوم وُلد ويوم يموت ويوم يُبعث حيا» أي: في هذه الأيام المخوفة التي يرى ما لم يره قبلها فهو آمن فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20974','chapter_id' => '19','chapter_detail_id' => '2266','translator_id' => '4','verse_number' => '16','translate_name' => '«واذكر في الكتاب» القرآن «مريم» أي: خبرها «إذ» حين «انتبذت من أهلها مكانا شرقيا» أي: اعتزلت في مكان نحو الشرق من الدار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20975','chapter_id' => '19','chapter_detail_id' => '2267','translator_id' => '4','verse_number' => '17','translate_name' => '«فاتخذت من دونهم حجابا» أرسلت سترا تستتر به لتفلي رأسها أو ثيابها أو تغسل من حيضها «فأرسلنا إليها روحنا» جبريل «فتمثل لها» ب لبسها ثيابها «بشرا سويا» تام الخلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20976','chapter_id' => '19','chapter_detail_id' => '2268','translator_id' => '4','verse_number' => '18','translate_name' => '«قالت إني أعوذ بالرحمن منك إن كنت تقيا» فتنتهي عني بتعوذي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20977','chapter_id' => '19','chapter_detail_id' => '2269','translator_id' => '4','verse_number' => '19','translate_name' => '«قال إنما أنا رسول ربك ليهب لك غلاما زكيا» بالنبوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20978','chapter_id' => '19','chapter_detail_id' => '2270','translator_id' => '4','verse_number' => '20','translate_name' => '«قالت أنَّى يكون لي غلام ولم يمسسني بشر» يتزوج «ولم أك بغيّا» زانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20979','chapter_id' => '19','chapter_detail_id' => '2271','translator_id' => '4','verse_number' => '21','translate_name' => '«قال» الأمر «كذلك» من خلق غلام منك من غير أب «قال ربك هو عليَّ هينٌ» أي: بأن ينفخ بأمري جبريل فيك فتحملي به ولكون ما ذكر في معنى العلة عطف عليه «ولنجعله آيةً للناس» على قدرتنا «ورحمة منا» لمن آمن به «وكان» خلقه «أمرا مقضيا» به في علمي فنفخ جبريل في جيب درعها فأحست بالحمل في بطنها مصورا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20980','chapter_id' => '19','chapter_detail_id' => '2272','translator_id' => '4','verse_number' => '22','translate_name' => '«فحملته فانتبذت» تنحَّت «به مكانا قصيا» بعيدا من أهلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20981','chapter_id' => '19','chapter_detail_id' => '2273','translator_id' => '4','verse_number' => '23','translate_name' => '«فأجاءَها» جاءَ بها «المخاض» وجع الولادة «إلى جذع النخلة» لتعتمد عليه فولدت والحمل والتصوير والولادة في ساعة «قالت يا» للتنبيه «ليتني متُّ قبل هذا» الأمر «وكنت نسيا منسيا» شيئا متروكا لا يعرف ولا يذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20982','chapter_id' => '19','chapter_detail_id' => '2274','translator_id' => '4','verse_number' => '24','translate_name' => '«فناداها من تحتها» أي: جبريل وكان أسفل منها «ألا تحزني قد جعل ربك تحتك سريا» نهر ماء كان قد انقطع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20983','chapter_id' => '19','chapter_detail_id' => '2275','translator_id' => '4','verse_number' => '25','translate_name' => '«وهزي إليك بجذع النخلة» كانت يابسة والباء زائدة «تساقط» أصله بتاءين قلبت الثانية سينا وأدغمت في السين، وفى قراءة تركها «عليك رطبا» تمييز «جنيا» صفته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20984','chapter_id' => '19','chapter_detail_id' => '2276','translator_id' => '4','verse_number' => '26','translate_name' => '«فكلي» من الرطب «واشربي» من السري «وقري عينا» بالولد تمييز محول من الفاعل أي: لتقر عينك به أي: تسكن فلا تطمح إلى غيره «فإما» فيه إدغام نون إن الشرطية في ما الزائدة «ترين» حذفت منه لام الفعل وعينه وألقيت حركتها على الراء وكسرت ياء الضمير لالتقاء الساكنين «من البشر أحدا» فيسألك عن ولدك «فقولي إني نذرت للرحمن صوما» أي إمساكا عن الكلام في شأنه وغيره من الأناسي بدليل «فلن أكلم اليوم إنسا» أي: بعد ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20985','chapter_id' => '19','chapter_detail_id' => '2277','translator_id' => '4','verse_number' => '27','translate_name' => '«فأتت به قومها تحمله» حال فرأوه «قالوا يا مريم لقد جئت شيئا فريا» عظيما حيث أتيت بولد من غير أب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20986','chapter_id' => '19','chapter_detail_id' => '2278','translator_id' => '4','verse_number' => '28','translate_name' => '«يا أخت هارون» هو رجل صالح أي: يا شبيهته في العفة «ما كان أبوك أمرأ سوء» أي: زانيا «وما كانت أمك بغيا» زانية فمن أين لك هذا الولد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20987','chapter_id' => '19','chapter_detail_id' => '2279','translator_id' => '4','verse_number' => '29','translate_name' => '«فأشارت» لهم «إليه» أن كلموه «قالوا كيف نكلم من كان» أي وجد «في المهد صبيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20988','chapter_id' => '19','chapter_detail_id' => '2280','translator_id' => '4','verse_number' => '30','translate_name' => '«قال إني عبد الله آتاني الكتاب» أي: الإنجيل «وجعلني نبيا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20989','chapter_id' => '19','chapter_detail_id' => '2281','translator_id' => '4','verse_number' => '31','translate_name' => '«وجعلني مباركا أينما كنت» أي: نفاعا للناس إخبار بما كتب له «وأوصاني بالصلاة والزكاة» أمرني بهما «ما دمت حيا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20990','chapter_id' => '19','chapter_detail_id' => '2282','translator_id' => '4','verse_number' => '32','translate_name' => '«وبرا بوالدتي» منصوب بجعلني مقدرا «ولم يجعلني جبارا» متعاظما «شقيا» عاصيا لربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20991','chapter_id' => '19','chapter_detail_id' => '2283','translator_id' => '4','verse_number' => '33','translate_name' => '«والسلام» من الله «عليّ يوم ولدت ويوم أموت ويوم أبعث حيا» يقال فيه ما تقدم في السيد يحيى. قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20992','chapter_id' => '19','chapter_detail_id' => '2284','translator_id' => '4','verse_number' => '34','translate_name' => '«ذلك عيسى ابن مريم قولُ الحق» بالرفع خبر مبتدأ مقدر أي: قول ابن مريم وبالنصب بتقدير قلت، والمعنى القول الحق «الذي فيه يمترون» من المرية أي: يشكون وهم النصارى: قالوا إن عيسى ابن الله، كذبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20993','chapter_id' => '19','chapter_detail_id' => '2285','translator_id' => '4','verse_number' => '35','translate_name' => '«ما كان لله أن يتخذ من ولد سبحانه» تنزيها له عن ذلك «إذا قضى أمرا» أي: أراد أن يحدثه «فإنما يقول له كن في فيكونُ» بالرفع بتقدير هو، وبالنصب بتقدير أن ومن ذلك خلق عيسى من غير أب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20994','chapter_id' => '19','chapter_detail_id' => '2286','translator_id' => '4','verse_number' => '36','translate_name' => '(وأن الله ربي وربكم فاعبدوه) بفتح أن بتقدير اذكر، وبكسرها بتقدير قل بدليل "" ما قلت لهم إلا ما أمرتني به أن اعبدوا الله ربي وربكم "" (هذا) المذكور (صراط) طريق (مستقيم) مؤد إلى الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20995','chapter_id' => '19','chapter_detail_id' => '2287','translator_id' => '4','verse_number' => '37','translate_name' => '«فاختلف الأحزاب من بينهم» أي النصارى في عيسى أهو ابن الله أو إله معه أو ثالث ثلاثة «فويل» فشدة عذاب «للذين كفروا» بما ذكر وغيره «من مشهد يوم عظيم» أي: حضور يوم القيامة وأهواله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20996','chapter_id' => '19','chapter_detail_id' => '2288','translator_id' => '4','verse_number' => '38','translate_name' => '«أسمع بهم وأبصر» بهم صيغتا تعجب بمعنى ما أسمعهم وما أبصرهم «يوم يأتوننا» في الآخرة «لكن الظالمون» من إقامة الظاهر مقام المضمر «اليوم» أي: في الدنيا «في ضلال مبين» أي بين به صموا عن سماع الحق وعموا عن إبصاره أي: اعجب منهم يا مخاطب في سمعهم وإبصارهم في الآخرة بعد أن كانوا في الدنيا صما عميا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20997','chapter_id' => '19','chapter_detail_id' => '2289','translator_id' => '4','verse_number' => '39','translate_name' => '«وأنذرهم» خوّف يا محمد كفار مكة «يوم الحسرة» هو يوم القيامة يتحسر فيه المسيء على ترك الإحسان في الدنيا «إذ قُضي الأمر» لهم فيه بالعذاب «وهم» في الدنيا «في غفلة» عنه «وهم لا يؤمنون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20998','chapter_id' => '19','chapter_detail_id' => '2290','translator_id' => '4','verse_number' => '40','translate_name' => '«إنا نحن» تأكيد «نرث الأرض ومن عليها» من العقلاء وغيرهم بإهلاكهم «وإلينا يرجعون» فيه للجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '20999','chapter_id' => '19','chapter_detail_id' => '2291','translator_id' => '4','verse_number' => '41','translate_name' => '«واذكر» لهم «في الكتاب إبراهيم» أي: خبره «إنه كان صديقا» مبالغا في الصدق «نبيا» ويبدل من خبره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21000','chapter_id' => '19','chapter_detail_id' => '2292','translator_id' => '4','verse_number' => '42','translate_name' => '«إذ قال لأبيه» آزر «يا أبت» التاء عوض عن ياء الإضافة ولا يجمع بينهما وكان يعبد الأصنام «لمَ تعبد مالا يسمع ولا يبصر ولا يغني عنك» لا يكفيك «شيئا» من نفع أو ضر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21001','chapter_id' => '19','chapter_detail_id' => '2293','translator_id' => '4','verse_number' => '43','translate_name' => '«يا أبت إني قد جاءني من العلم ما لم يأتك فاتبعني أهدك صراطا» طريقا «سويا» مستقيما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21002','chapter_id' => '19','chapter_detail_id' => '2294','translator_id' => '4','verse_number' => '44','translate_name' => '«يا أبت لا تعبد الشيطان» بطاعتك إياه في عبادة الأصنام «إن الشيطان كان للرحمن عصيا» كثير العصيان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21003','chapter_id' => '19','chapter_detail_id' => '2295','translator_id' => '4','verse_number' => '45','translate_name' => '«يا أبت إني أخاف أن يمسك عذاب من الرحمن» إن لم تتب «فتكون للشيطان وليا» ناصرا وقرينا في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21004','chapter_id' => '19','chapter_detail_id' => '2296','translator_id' => '4','verse_number' => '46','translate_name' => '«قال أراغب أنت عن آلهتي يا إبراهيم» فتعيبها «لئن لم تنته» عن التعرض لها «لأرجمنَّك» بالحجارة أو بالكلام القبيح فاحذرني «واهجرني مليّا» دهرا طويلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21005','chapter_id' => '19','chapter_detail_id' => '2297','translator_id' => '4','verse_number' => '47','translate_name' => '(قال سلام عليك) مني أي لا أصيبك بمكروه (سأستغفر لك ربي إنه كان بي حفيا) من حفي أي بارا فيجيب دعائي وقد أوفى بوعده المذكور في الشعراء "" واغفر لأبي "" وهذا قبل أن يتبين له أنه عدو الله كما ذكره في براءة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21006','chapter_id' => '19','chapter_detail_id' => '2298','translator_id' => '4','verse_number' => '48','translate_name' => '«وأعتزلكم وما تدعون» تعبدون «من دون الله وأدعو» أعبد «ربي عسى أ» ن «لا أكون بدعاء ربي» بعبادته «شقيا» كما شقيتم بعبادة الأصنام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21007','chapter_id' => '19','chapter_detail_id' => '2299','translator_id' => '4','verse_number' => '49','translate_name' => '«فلما اعتزلهم وما يعبدون من دون الله» بأن ذهب إلى الأرض المقدسة «وهبنا له» ابنين يأنس بهما «إسحاق ويعقوب وكلا» منهما «جعلنا نبيا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21008','chapter_id' => '19','chapter_detail_id' => '2300','translator_id' => '4','verse_number' => '50','translate_name' => '«ووهبنا لهم» للثلاثة «من رحمتنا» المال والولد «وجعلنا لهم لسان صدق عليا» رفيعا هو الثناء الحسن في جميع أهل الأديان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21009','chapter_id' => '19','chapter_detail_id' => '2301','translator_id' => '4','verse_number' => '51','translate_name' => '«واذكر في الكتاب موسى إنه كان مخلصا» بكسر اللام وفتحها من أخلص في عبادته وخلصه الله من الدنس «وكان رسولاً نبيا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21010','chapter_id' => '19','chapter_detail_id' => '2302','translator_id' => '4','verse_number' => '52','translate_name' => '(وناديناه) بقول "" يا موسى إني أنا الله "" (من جانب الطور) اسم جبل (الأيمن) أي الذي يلي يمين موسى حين أقبل من مدين (وقربناه نجيا) مناجيا بأن أسمعه الله تعالى كلامه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21011','chapter_id' => '19','chapter_detail_id' => '2303','translator_id' => '4','verse_number' => '53','translate_name' => '«ووهينا له من رحمتنا» نعمتنا «أخاه هارون» بدل أو عطف بيان «نبيا» حال هي المقصودة بالهبة إجابة لسؤاله أن يرسل أخاه معه وكان أسنَّ منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21012','chapter_id' => '19','chapter_detail_id' => '2304','translator_id' => '4','verse_number' => '54','translate_name' => '«واذكر في الكتاب إسماعيل إنه كان صادق الوعد» لم يعد شيئا إلا وفى به وانتظر من وعده ثلاثة أيام أيام أو حولاً حتى رجع إليه في مكانه «وكان رسولاً» إلى جُرهم «نبيا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21013','chapter_id' => '19','chapter_detail_id' => '2305','translator_id' => '4','verse_number' => '55','translate_name' => '«وكان يأمر أهله» أي قومه «بالصلاة والزكاة وكان عند ربه مرضيا» أصله مرضوو قبلت الواوان ياءين والضمة كسرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21014','chapter_id' => '19','chapter_detail_id' => '2306','translator_id' => '4','verse_number' => '56','translate_name' => '«واذكر في الكتاب إدريس» هو جدّ أبي نوح «إنه كان صديقا نبيا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21015','chapter_id' => '19','chapter_detail_id' => '2307','translator_id' => '4','verse_number' => '57','translate_name' => '«ورفعناه مكانا عليا» هو حي في السماء الرابعة أو السادسة أو السابعة أو في الجنة أدخلها بعد أن أذيق الموت وأحيي ولم يخرج منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21016','chapter_id' => '19','chapter_detail_id' => '2308','translator_id' => '4','verse_number' => '58','translate_name' => '«أولئك» مبتدأ «الذين أنعم الله عليهم» صفة له «من النبيين» بيان له وهو في معنى الصفة وما بعده إلى جملة الشرط صفة للنبيين فقوله «من ذرية آدم» أي إدريس «وممن حملنا مع نوح» في السفينة أي إبراهيم ابن ابنه سام «ومن ذرية إبراهيم» أي إسماعيل وإسحاق ويعقوب «و» من ذرية «إسرائيل» هو يعقوب أي موسى وهارون وزكريا ويحيى وعيسى «وممن هدينا واجتبينا» أي من جملتهم وخبر أولئك «إذا تتلى عليهم آيات الرحمن خروا سجدا وبكيا» جمع ساجد وباك أي فكونوا مثلهم وأصل بكي بكوي قبلت الواو ياء والضمة كسرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21017','chapter_id' => '19','chapter_detail_id' => '2309','translator_id' => '4','verse_number' => '59','translate_name' => '«فخلف من بعدهم خلف أضاعوا الصلاة» بتركها كاليهود والنصارى «واتبعوا الشهوات» من المعاصي «فسوف يلقون غيّا» هو واد في جهنم، أي يقعون فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21018','chapter_id' => '19','chapter_detail_id' => '2310','translator_id' => '4','verse_number' => '60','translate_name' => '«إلا» لكن «من تاب وآمن وعمل صالحا فأولئك يدخلون الجنة ولا يظلمون» ينقصون «شيئا» من ثوابهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21019','chapter_id' => '19','chapter_detail_id' => '2311','translator_id' => '4','verse_number' => '61','translate_name' => '«جنات عدن» إقامة بدل من الجنة «التي وعد الرحمن عباده بالغيب» حال، أي غائبين عنها «إنه كان وعده» أي موعده «مأتيا» بمعنى آتيا وأصله مأتوي أو موعوده هنا الجنة يأتيه أهله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21020','chapter_id' => '19','chapter_detail_id' => '2312','translator_id' => '4','verse_number' => '62','translate_name' => '«لا يسمعون فيها لغوا» من الكلام «إلا» لكن يسمعون «سلاما» من الملائكة عليهم أو من بعضهم على بعض «ولهم رزقهم فيها بكرة وعشيا» أي على قدرهما في الدنيا، وليس في الجنة نهار ولا ليل بل ضوء ونور أبدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21021','chapter_id' => '19','chapter_detail_id' => '2313','translator_id' => '4','verse_number' => '63','translate_name' => '«تلك الجنة التي نورث» نعطي وننزل «من عبادنا من كان تقيا» بطاعته، ونزل لما تأخر الوحي أياما وقال النبي صلى الله عليه وسلم لجبريل: ما يمنعك أن تزورنا أكثر مما تزورنا؟.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21022','chapter_id' => '19','chapter_detail_id' => '2314','translator_id' => '4','verse_number' => '64','translate_name' => '«وما نتنزل إلا بأمر ربك له ما بين أيدينا» أي أمامنا من أمور الآخرة «وما خلفنا» من أمور الدنيا «وما بين ذلك» أي: ما يكون في هذا الوقت إلى قيام الساعة أي له علم ذلك جمعيه «وما كان ربك نسيّا» بمعنى ناسيا أي: تاركا لك بتأخير الوحي عنك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21023','chapter_id' => '19','chapter_detail_id' => '2315','translator_id' => '4','verse_number' => '65','translate_name' => 'هو «ربّ» مالك «السماوات والأرض وما بينهما فاعبده واصطبر لعبادته» أي: اصبر عليها «هل تعلم له سميا» مسمى بذلك؟ لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21024','chapter_id' => '19','chapter_detail_id' => '2316','translator_id' => '4','verse_number' => '66','translate_name' => '«ويقول الإنسان» المنكر للبعث أبي بن خلف أو الوليد بن المغيرة النازل فيه الآية: «أئذا» بتحقيق الهمزة الثانية وإدخال ألف بينها بوجهيها وبين الأخرى «ما متّ لسوف أخرج حيا» من القبر كما يقول محمد، فالاستفهام بمعنى النفي أي: لا أحيا بعد الموت وما زائدة للتأكيد وكذا اللام ورد عليه بقوله تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21025','chapter_id' => '19','chapter_detail_id' => '2317','translator_id' => '4','verse_number' => '67','translate_name' => '«أولا يَذكرُ الإنسان» أصله يتذكر أبدلت التاء ذالا وأدغمت في الذال وفي قراءة تركها وسكون الذال وضم الكاف «أنا خلقناه من قبل ولم يك شيئا» فيستدل بالابتداء على الإعادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21026','chapter_id' => '19','chapter_detail_id' => '2318','translator_id' => '4','verse_number' => '68','translate_name' => '«فوربك لنحشرنهم» أي المنكرين للبعث «والشياطين» أي نجمع كلا منهم وشيطانه في سلسلة «ثم لنحضرنهم حول جهنم» من خارجها «جثيا» على الركب جمع جاث وأصله جثوو أو جثوي من جثا يجثو أو يجثي لغتان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21027','chapter_id' => '19','chapter_detail_id' => '2319','translator_id' => '4','verse_number' => '69','translate_name' => '«ثم لننزعن من كل شيعة» فرقة منهم «أيهم أشد على الرحمن عتيا» جراءة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21028','chapter_id' => '19','chapter_detail_id' => '2320','translator_id' => '4','verse_number' => '70','translate_name' => '«ثم لنحن أعلم بالذين هم أولى بها» أحق بجهنم الأشد وغيره منهم «صليا» دخولا واحتراقا فنبدأ بهم وأصله صلوي من صلي بكسر اللام وفتحها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21029','chapter_id' => '19','chapter_detail_id' => '2321','translator_id' => '4','verse_number' => '71','translate_name' => '«وإن» أي ما «منكم» أحد «إلا واردها» أي داخل جهنم «كان على ربك حتما مقضيا» حتمه وقضى به لا يتركه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21030','chapter_id' => '19','chapter_detail_id' => '2322','translator_id' => '4','verse_number' => '72','translate_name' => '«ثم ننجِّي» مشددا ومخففا «الذين اتقوا» الشرك والكفر منها «ونذر الظالمين» بالشرك والكفر «فيها جثيا» على الركب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21031','chapter_id' => '19','chapter_detail_id' => '2323','translator_id' => '4','verse_number' => '73','translate_name' => '«وإذا تتلى عليهم» أي المؤمنين والكافرين «آياتنا» من القرآن «بينات» واضحات حال «قال الذين كفروا للذين آمنوا أيُّ الفريقين» نحن وأنتم «خير مقاما» منزلا ومسكنا بالفتح من قام وبالضم من أقام «وأحسن نديا» بمعنى النادي وهو مجتمع القوم يتحدثون فيه، يعنون نحن فنكون خيرا منكم قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21032','chapter_id' => '19','chapter_detail_id' => '2324','translator_id' => '4','verse_number' => '74','translate_name' => '«وكم» أي كثيرا «أهلكنا قبلهم من قرن» أي أمة من الأمم الماضية «هم أحسن أثاثا» مالاً ومتاعا «ورئيا» منظرا من الرؤية فكما أهلكناهم لكفرهم هلك هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21033','chapter_id' => '19','chapter_detail_id' => '2325','translator_id' => '4','verse_number' => '75','translate_name' => '«قل من كان في الضلالة» شرط جوابه «فليمدد» بمعنى الخبر أي يمد «له الرحمن مدا» في الدنيا يستدرجه «حتى إذا رأوا ما يوعدون إما العذاب» كالقتل والأسر «وإما الساعة» المشتملة على جهنم فيدخلونها «فسيعلمون من هو شر مكانا وأضعف جندا» أعوانا أهم أم المؤمنون وجندهم الشياطين وجند المؤمنين عليهم الملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21034','chapter_id' => '19','chapter_detail_id' => '2326','translator_id' => '4','verse_number' => '76','translate_name' => '«ويزيد الله الذين اهتدوا» بالإيمان «هدى» يما ينزل عليهم من الآيات «والباقيات الصالحات» هي الطاعة تبقى لصاحبها «خير عند ربك ثوابا وخير مردّا» أي ما يرد إليه ويرجع بخلاف أعمال الكفار والخيرية منا في مقابلة قولهم أي الفرقين خير مقاما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21035','chapter_id' => '19','chapter_detail_id' => '2327','translator_id' => '4','verse_number' => '77','translate_name' => '«أفرأيت الذي كفر بآياتنا» العاص بن وائل «وقال» لخباب بن الأرث القائل له نبعث بعد الموت والمطالب له بمال «لأوتينَّ» على تقدير البعث «مالاً وولدا» فأقضيك، قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21036','chapter_id' => '19','chapter_detail_id' => '2328','translator_id' => '4','verse_number' => '78','translate_name' => '«أطلع الغيب» أي أعلمه وأن يؤتى ما قاله واستغنى بهمزة الاستفهام عن همزة الوصل فحذفت «أم اتخذ عند الرحمن عهدا» بأن يؤتى ما قاله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21037','chapter_id' => '19','chapter_detail_id' => '2329','translator_id' => '4','verse_number' => '79','translate_name' => '«كلا» أي لا يؤتى ذلك «سنكتب» نأمر بكتب «ما يقول ونمدّ له العذاب مدا» نزيده بذلك عذابا فوق عذاب كفره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21038','chapter_id' => '19','chapter_detail_id' => '2330','translator_id' => '4','verse_number' => '80','translate_name' => '«ونرثه ما يقول» من المال والولد «ويأتينا» يوم القيامة «فردا» لا مال له ولا ولد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21039','chapter_id' => '19','chapter_detail_id' => '2331','translator_id' => '4','verse_number' => '81','translate_name' => '«واتخذوا» أي كفار مكة «من دون الله» الأوثان «آلهة» يعبدونهم «ليكونوا لهم عزا» شفعاء عند الله بألا يعذبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21040','chapter_id' => '19','chapter_detail_id' => '2332','translator_id' => '4','verse_number' => '82','translate_name' => '(كلا) أي لا مانع من عذابهم (سيكفرون) أي الآلهة (بعبادتهم) أي ينفونها كما في آية أخرى "" ما كانوا إيانا يعبدون "" (ويكونون عليهم ضدا) أعوانا وأعداء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21041','chapter_id' => '19','chapter_detail_id' => '2333','translator_id' => '4','verse_number' => '83','translate_name' => '«ألم تر أنا أرسلنا الشياطين» سلطانهم «على الكافرين تؤزهم» تهيجهم إلى المعاصي «أزّا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21042','chapter_id' => '19','chapter_detail_id' => '2334','translator_id' => '4','verse_number' => '84','translate_name' => '«فلا تعجل عليهم» بطلب العذاب «إنما نعد لهم» الأيام والليالي أو الأنفاس «عدا» إلى وقت عذابهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21043','chapter_id' => '19','chapter_detail_id' => '2335','translator_id' => '4','verse_number' => '85','translate_name' => 'اذكر «يوم نحشر المتقين» بإيمانهم «إلى الرحمن وفدا» جمع وافد بمعنى: راكب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21044','chapter_id' => '19','chapter_detail_id' => '2336','translator_id' => '4','verse_number' => '86','translate_name' => '«ونسوق المجرمين» بكفرهم «إلى جهنم وردا» جمع وارد بمعنى ماش عطشان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21045','chapter_id' => '19','chapter_detail_id' => '2337','translator_id' => '4','verse_number' => '87','translate_name' => '«لا يملكون» أي الناس «الشفاعة إلا من اتخذ عند الرحمن عهدا» أي شهادة أن لا إله إلا الله ولا حول ولا قوة إلا بالله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21046','chapter_id' => '19','chapter_detail_id' => '2338','translator_id' => '4','verse_number' => '88','translate_name' => '«وقالوا» أي اليهود والنصارى ومن زعم أن الملائكة بنات الله «اتخذ الرحمن ولدا» قال تعالى لهم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21047','chapter_id' => '19','chapter_detail_id' => '2339','translator_id' => '4','verse_number' => '89','translate_name' => '«لقد جئتم شيئا إدا» أي منكرا عظيما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21048','chapter_id' => '19','chapter_detail_id' => '2340','translator_id' => '4','verse_number' => '90','translate_name' => '«تكاد» بالتاء والياء «السماوات يتفطرن» بالتاء وتشديد الطاء بالانشقاق وفي قراءة بالنون «منه وتنشق الأرض وتخر الجبال هدّا» أي تنطبق عليهم من أجل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21049','chapter_id' => '19','chapter_detail_id' => '2341','translator_id' => '4','verse_number' => '91','translate_name' => '«أن دعوا للرحمن ولدا» قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21050','chapter_id' => '19','chapter_detail_id' => '2342','translator_id' => '4','verse_number' => '92','translate_name' => '«وما ينبغي للرحمن أن يتخذ ولدا» أي ما يليق به ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21051','chapter_id' => '19','chapter_detail_id' => '2343','translator_id' => '4','verse_number' => '93','translate_name' => '«إن» أي ما «كل من في السماوات والأرض إلا آتي للرحمن عبداً» ذليلا خاضعا يوم القيامة منهم عزير وعيسى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21052','chapter_id' => '19','chapter_detail_id' => '2344','translator_id' => '4','verse_number' => '94','translate_name' => '«لقد أحصاهم وعدهم عدا» فلا يخفى عليه مبلغ جميعهم ولا واحد منهم','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21053','chapter_id' => '19','chapter_detail_id' => '2345','translator_id' => '4','verse_number' => '95','translate_name' => '«وكلهم آتيه يوم القيامة فردا» بلا مال ولا نصير يمنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21054','chapter_id' => '19','chapter_detail_id' => '2346','translator_id' => '4','verse_number' => '96','translate_name' => '«إن الذين آمنوا وعملوا الصالحات سيجعل لهم الرحمن وُدّا» فيما بينهم يتوادون ويتحابون ويحبهم الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21055','chapter_id' => '19','chapter_detail_id' => '2347','translator_id' => '4','verse_number' => '97','translate_name' => '«فإنما يسرناه» أي القرآن «بلسانك» العربي «لتبشر به المتقين» الفائزين بالإيمان «وتنذر» تخوف «به قوما لُدّا» جمع ألد أي جدل بالباطل وهم كفار مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21056','chapter_id' => '19','chapter_detail_id' => '2348','translator_id' => '4','verse_number' => '98','translate_name' => '«وكم» أي كثيرا «أهلكنا قبلهم من قرن» أي أمة من الأمم الماضية بتكذيبهم الرسل «هل تحس» تجد «منهم من أحد أو تسمع لهم ركزا» صوتا خفيا؟ لا، فكما أهلكنا أولئك نهلك هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21057','chapter_id' => '20','chapter_detail_id' => '2349','translator_id' => '4','verse_number' => '1','translate_name' => '«طه» الله أعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21058','chapter_id' => '20','chapter_detail_id' => '2350','translator_id' => '4','verse_number' => '2','translate_name' => '«ما أنزلنا عليك القرآن» يا محمد «لتشقى» لتتعب بما فعلت بعد نزوله من طول قيامك بصلاة الليل أي خفف عن نفسك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21059','chapter_id' => '20','chapter_detail_id' => '2351','translator_id' => '4','verse_number' => '3','translate_name' => '«إلا» لكن أنزلناه «تذكرة» به «لمن يخشى» يخاف الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21060','chapter_id' => '20','chapter_detail_id' => '2352','translator_id' => '4','verse_number' => '4','translate_name' => '«تنزيلا» بدل من اللفظ بفعله الناصب له «ممن خلق الأرض والسماوات العلى» جمع عليا ككبرى وكبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21061','chapter_id' => '20','chapter_detail_id' => '2353','translator_id' => '4','verse_number' => '5','translate_name' => 'هو «الرحمن على العرش» وهو في اللغة سرير الملك «استوى» اكتفاء يليق به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21062','chapter_id' => '20','chapter_detail_id' => '2354','translator_id' => '4','verse_number' => '6','translate_name' => '«له ما في السماوات وما في الأرض وما بينهما» من المخلوقات «وما تحت الثرى» هو التراب الندي، والمراد الأرضون السبع لأنها تحته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21063','chapter_id' => '20','chapter_detail_id' => '2355','translator_id' => '4','verse_number' => '7','translate_name' => '«وإن تجهر بالقول» في ذكر أو دعاء فالله غني عن الجهر به «فإنه يعلم السر وأخفى» منه: أي ما حدثت به النفس وما خطر ولم تحدث به فلا تجهد نفسك بالجهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21064','chapter_id' => '20','chapter_detail_id' => '2356','translator_id' => '4','verse_number' => '8','translate_name' => '«الله لا إله إلى هو له الأسماء الحسنى» التسعة والتسعون الوارد بها الحديث والحسنى مؤنث الأحسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21065','chapter_id' => '20','chapter_detail_id' => '2357','translator_id' => '4','verse_number' => '9','translate_name' => '«وهل» قد «أتاك حديث موسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21066','chapter_id' => '20','chapter_detail_id' => '2358','translator_id' => '4','verse_number' => '10','translate_name' => '«إذا رأى نارا فقال لأهله» لامرأته «امكثوا» هنا، وذلك في مسيره من مدين طالبا مصر «إني آنست» أبصرت «نارا لعلي آتيكم منها بقبس» بشعلة في رأس فتيلة أو عود «أو أجد على النار هدى» أي هاديا يدلني على الطريق وكان أخطأها لظلمة الليل، وقال لعل لعدم الجزم بوفاء الوعد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21067','chapter_id' => '20','chapter_detail_id' => '2359','translator_id' => '4','verse_number' => '11','translate_name' => '«فلما أتاها» وهي شجرة عوسج «نُوديَ يا موسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21068','chapter_id' => '20','chapter_detail_id' => '2360','translator_id' => '4','verse_number' => '12','translate_name' => '«إني» بكسر الهمزة بتأويل نودي بقيل وفتحها بتقدير الباء «أنا» تأكيد لياء المتكلم «ربُّك فاخلع نعليك إنك بالواد المقدس» المطهر أو المبارك «طُوى» بدل أو عطف بيان، بالتنوين وتركه مصروف باعتبار المكان وغير مصروف لتأنيث باعتبار البقعة مع العلمية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21069','chapter_id' => '20','chapter_detail_id' => '2361','translator_id' => '4','verse_number' => '13','translate_name' => '«وأنا اخترتك» من قومك «فاستمع لما يُوحى» إليك مني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21070','chapter_id' => '20','chapter_detail_id' => '2362','translator_id' => '4','verse_number' => '14','translate_name' => '«إنني أنا الله لا إله إلا أنا فاعبدني وأقم لصلاة لذكري» فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21071','chapter_id' => '20','chapter_detail_id' => '2363','translator_id' => '4','verse_number' => '15','translate_name' => '«إن الساعة آتية أكاد أخفيها» عن الناس ويظهر لهم قربها بعلاماتها «لتجزى» فيها «كل نفس بما تسعى» به من خير أو شر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21072','chapter_id' => '20','chapter_detail_id' => '2364','translator_id' => '4','verse_number' => '16','translate_name' => '«فلا يَصُدنَّكَ» يصرفنَّك «عنها» أي عن الإيمان بها «من لا يؤمن بها واتبع هواه» في إنكارها «فَتَردى» أي فتهلك إن صددت عنها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21073','chapter_id' => '20','chapter_detail_id' => '2365','translator_id' => '4','verse_number' => '17','translate_name' => '«وما تلك» كائنة «بيمينك يا موسى» الاستفهام للتقرير ليرتب عليه المعجزة فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21074','chapter_id' => '20','chapter_detail_id' => '2366','translator_id' => '4','verse_number' => '18','translate_name' => '«قال هي عصاي أتوكَّأ» أعتمد «عليها» عند الوثوب والمشي «وأهش» أخبط ورق الشجر «بها» ليسقط «على غنمي» فتأكله «ولي فيها مآرب» جمع مأربة مثلث الراء أي: حوائج «أخرى» كحمل الزاد والسقاء وطرد الهوام زاد في الجواب بيان حاجاته بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21075','chapter_id' => '20','chapter_detail_id' => '2367','translator_id' => '4','verse_number' => '19','translate_name' => '«قال ألقها يا موسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21076','chapter_id' => '20','chapter_detail_id' => '2368','translator_id' => '4','verse_number' => '20','translate_name' => '«فألقاها فإذا هي حية» ثعبان عظيم «تسعى» تمشي على بطنها سريعا كسرعة الثعبان الصغير المسمى بالجان المعبر به فيها في آية أخرى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21077','chapter_id' => '20','chapter_detail_id' => '2369','translator_id' => '4','verse_number' => '21','translate_name' => '«قال خذها ولا تخف» منها «سنعيدها سيرتها» منصوب بنزع الخافض أي: إلى حالتها «الأولى» فأدخل يده في فمها فعادت عصا، فتبين أن موضع الإدخال موضع مسكها بين شعبتيها، وأي ذلك السيد موسى لئلا يجزع إذا انقلبت حية لدى فرعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21078','chapter_id' => '20','chapter_detail_id' => '2370','translator_id' => '4','verse_number' => '22','translate_name' => '«واضمم يدك» اليمنى بمعنى الكف «إلى جناحك» أي جنبك الأيسر تحت العضد إلى الإبط وأخرجها «تخرج» خلاف ما كانت عليه من الأدمة «بيضاء من غير سوءٍ» أي بَرَص تضيء كشعاع الشمس تغشى البصر «آية أخرى» وهي بيضاء حالان من ضمير تخرج.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21079','chapter_id' => '20','chapter_detail_id' => '2371','translator_id' => '4','verse_number' => '23','translate_name' => '«لنريك» بها إذا فعلت ذلك لإظهارها «من آياتنا» الآية «الكبرى» أي العظمى على رسالتك، وإذا أراد عودها إلى حالتها الأولى ضمها إلى جناحه كما تقدم وأخرجها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21080','chapter_id' => '20','chapter_detail_id' => '2372','translator_id' => '4','verse_number' => '24','translate_name' => '«اذهب» رسولا «إلى فرعون» ومن معه «إنه طغى» جاوز الحد في كفره إلى ادعاء الإلهية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21081','chapter_id' => '20','chapter_detail_id' => '2373','translator_id' => '4','verse_number' => '25','translate_name' => '«قال رب اشرح لي صدري» وسّعه لتحمل الرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21082','chapter_id' => '20','chapter_detail_id' => '2374','translator_id' => '4','verse_number' => '26','translate_name' => '«ويسِّر» سَهِّلْ «لي أمري» لأبلغها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21083','chapter_id' => '20','chapter_detail_id' => '2375','translator_id' => '4','verse_number' => '27','translate_name' => '«واحلل عقدة من لساني» حدثت من احتراقه بجمرة وضعها بفيه وهو صغير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21084','chapter_id' => '20','chapter_detail_id' => '2376','translator_id' => '4','verse_number' => '28','translate_name' => '«يفقهوا» يفهموا «قولي» عند تبليغ الرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21085','chapter_id' => '20','chapter_detail_id' => '2377','translator_id' => '4','verse_number' => '29','translate_name' => '«واجعل لي وزيرا» معينا عليها «من أهلي».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21086','chapter_id' => '20','chapter_detail_id' => '2378','translator_id' => '4','verse_number' => '30','translate_name' => '«هارون» مفعول ثان «أخي» عطف بيان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21087','chapter_id' => '20','chapter_detail_id' => '2379','translator_id' => '4','verse_number' => '31','translate_name' => '«اشدد به أزري» ظهري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21088','chapter_id' => '20','chapter_detail_id' => '2380','translator_id' => '4','verse_number' => '32','translate_name' => '«وأشركه في أمري» أي الرسالة والفعلان بصيغتي الأمر والمضارع المجزوم وهو جواب الطلب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21089','chapter_id' => '20','chapter_detail_id' => '2381','translator_id' => '4','verse_number' => '33','translate_name' => '«كي نسبحك» تسبيحا «كثيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21090','chapter_id' => '20','chapter_detail_id' => '2382','translator_id' => '4','verse_number' => '34','translate_name' => '«ونذكرك» ذكرا «كثيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21091','chapter_id' => '20','chapter_detail_id' => '2383','translator_id' => '4','verse_number' => '35','translate_name' => '«إنك كنت بصيرا» عالما فأنعمت بالرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21092','chapter_id' => '20','chapter_detail_id' => '2384','translator_id' => '4','verse_number' => '36','translate_name' => '«قال قد أوتيت سُؤلك يا موسى» منا عليك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21093','chapter_id' => '20','chapter_detail_id' => '2385','translator_id' => '4','verse_number' => '37','translate_name' => '«ولقد مننا عليك مرة أخرى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21094','chapter_id' => '20','chapter_detail_id' => '2386','translator_id' => '4','verse_number' => '38','translate_name' => '«إذ» للتعليل «أوحينا إلى أمك» مناما أو إلهاما لما ولدتك وخافت أن يقتلك فرعون في جملة من يولد «ما يوحى» في أمرك ويبدل منه:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21095','chapter_id' => '20','chapter_detail_id' => '2387','translator_id' => '4','verse_number' => '39','translate_name' => '«أن اقذفيه» ألقيه «في التابوت فاقذفيه» بالتابوت «في اليم» بحر النيل «فلْيُلقه اليم بالساحل» أي شاطئه والأمر بمعنى الخبر «يأخذه عدو لي وعدو له» وهو فرعون «وألقيت» بعد أن أخذك «عليك محبة مني» لتحب في الناس فأحبك فرعون وكل من رآك «ولتُصنع على عيني» تربى على رعايتي وحفظي لك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21096','chapter_id' => '20','chapter_detail_id' => '2388','translator_id' => '4','verse_number' => '40','translate_name' => '«إذ» للتعليل «تمشي أختك» مريم لتتعرف من خبرك وقد أحضروا مراضع وأنت لا تقبل ثدي واحدة منهن «فتقول هل أدلكم على من يكفله» فأجيبت فجاءت بأمه فقبل ثديها «فرجعناك إلى أمك كي تقر عينها» بلقائك «ولا تحزن» حينئذ «وقتلت نفسا» هو القبطي بمصر، فاغتممت لقتله من جهة فرعون «فنجيناك من الغم وفتناك فتونا» اختبرناك بالإيقاع في غير ذلك وخلصناك منه «فلبثت سنين» عشرا «في أهل مدين» بعد مجيئك إليها من مصر عند شعيب النبي وتزوجك بابنته «ثم جئت على قدر» في علمي بالرسالة وهو أربعون سنة من عمرك «يا موسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21097','chapter_id' => '20','chapter_detail_id' => '2389','translator_id' => '4','verse_number' => '41','translate_name' => '«واصطنعتك» اخترتك «لنفسي» بالرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21098','chapter_id' => '20','chapter_detail_id' => '2390','translator_id' => '4','verse_number' => '42','translate_name' => '«اذهب أنت وأخوك» إلى الناس «بآياتي» التسع «ولا تَنِيا» تفترا «في ذكري» بتسبيح وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21099','chapter_id' => '20','chapter_detail_id' => '2391','translator_id' => '4','verse_number' => '43','translate_name' => '«اذهبا إلى فرعون إنه طغى» بادعائه الربوبية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21100','chapter_id' => '20','chapter_detail_id' => '2392','translator_id' => '4','verse_number' => '44','translate_name' => '«فقولا له قولا لينا» في رجوعه عن ذلك «لعله يتذكر» يتعظ «أو يخشى» الله فيرجع والترجي بالنسبة إليهما لعلمه تعالى بأنه لا يرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21101','chapter_id' => '20','chapter_detail_id' => '2393','translator_id' => '4','verse_number' => '45','translate_name' => '«قالا ربنا إننا نخاف أن يفرط علينا» أي يعجل بالعقوبة «أو أن يطغى» علينا أي يتكبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21102','chapter_id' => '20','chapter_detail_id' => '2394','translator_id' => '4','verse_number' => '46','translate_name' => '«قال لا تخافا إنني معكما» بعوني «أسمع» ما يقول «وأرى» ما يفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21103','chapter_id' => '20','chapter_detail_id' => '2395','translator_id' => '4','verse_number' => '47','translate_name' => '«فأتياه فقولا إنَّا رسولا ربك فأرسل معنا بني إسرائيل» إلى الشام «ولا تعذبهم» أي خل عنهم من استعمالك إياهم في أشغالك الشاقة كالحفر والبناء وحمل الثقيل «قد جئناك بآية» بحجة «من ربك» على صدقنا بالرسالة «والسلام على من اتبع الهدى» أي السلامة له من العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21104','chapter_id' => '20','chapter_detail_id' => '2396','translator_id' => '4','verse_number' => '48','translate_name' => '«إنا قد أوحي إلينا أن العذاب على مَن كذب» ما جئنا له «وتولى» أعرض عنه، فأتياه وقالا جميع ما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21105','chapter_id' => '20','chapter_detail_id' => '2397','translator_id' => '4','verse_number' => '49','translate_name' => '«قال فمن ربكما يا موسى» اقتصر عليه لأنه الأصل ولإدلاله عليه بالتربية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21106','chapter_id' => '20','chapter_detail_id' => '2398','translator_id' => '4','verse_number' => '50','translate_name' => '«قال ربنا الذي أعطى كل شيء» من الخلق «خلقه» الذي هو عليه متميز به عن غيره «ثم هدى» الحيوان منه إلى مطعمه ومشربه ومنكحه وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21107','chapter_id' => '20','chapter_detail_id' => '2399','translator_id' => '4','verse_number' => '51','translate_name' => '«قال» فرعون «فما بال» حال «القرون» الأمم «الأولى» كقوم نوح وهود ولوط وصالح في عبادتهم الأوثان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21108','chapter_id' => '20','chapter_detail_id' => '2400','translator_id' => '4','verse_number' => '52','translate_name' => '«قال» موسى «علمها» أي علم حالهم محفوظ «عند ربي في كتاب» هو اللوح المحفوظ يجازيهم عليها يوم القيامة «لا يضل» يغيب «ربي» عن شيء «ولا ينسى» ربي شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21109','chapter_id' => '20','chapter_detail_id' => '2401','translator_id' => '4','verse_number' => '53','translate_name' => 'هو «الذي جعل لكم» في جملة الخلق «الأرض مهادا» فراشا «وسلك» سهل «لكم فيها سبلا» طرقا «وأنزل من السماء ماءً» مطرا قال تعالى تتميما لما وصفه به موسى وخطابا لأهل مكة «فأخرجنا به أزواجا» أصنافا «من نبات شتى» صفة أزواجا أي مختلفة الألوان والطعوم وغيرهما، وشتى جمع شتيت كمريض ومرضى، من شت الأمر تفرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21110','chapter_id' => '20','chapter_detail_id' => '2402','translator_id' => '4','verse_number' => '54','translate_name' => '«كلوا» منها «وارعوا أنعامكم» فيها جمع نعم، وهي الإبل والبقر والغنم، يقال رعت الأنعام ورعيتها والأمر للإباحة وتذكير النعمة والجملة حال من ضمير أخرجنا، أي مبيحين لكم الأكل ورعي الأنعام «إن في ذلك» المذكور «لآيات» لعبرا «لأولي النهى» لأصحاب العقول ينهى صاحبه عن ارتكاب القبائح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21111','chapter_id' => '20','chapter_detail_id' => '2403','translator_id' => '4','verse_number' => '55','translate_name' => '«منها» أي من الأرض «خلقناكم» بخلق أبيكم آدم منها «وفيها نعيدكم» مقبورين بعد الموت «ومنها نخرجكم» عند البعث «تارة» مرة «أخرى» كما أخرجناكم عند ابتداء خلقكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21112','chapter_id' => '20','chapter_detail_id' => '2404','translator_id' => '4','verse_number' => '56','translate_name' => '«ولقد أريناه» أي أبصرنا فرعون «آياتنا كلها» التسع «فكذب» بها وزعم أنها سحر «وأبى» أن يوحد الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21113','chapter_id' => '20','chapter_detail_id' => '2405','translator_id' => '4','verse_number' => '57','translate_name' => '«قال أجئتنا لتخرجنا من أرضنا» مصر ويكون لك فيها «بسحرك يا موسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21114','chapter_id' => '20','chapter_detail_id' => '2406','translator_id' => '4','verse_number' => '58','translate_name' => '«فلنأتينك بسحر مثله» يعارضه «فاجعل بيننا وبينك موعدا» لذلك «لا نخلفه نحن ولا أنت مكانا» منصوب بنزع الخافض في «سِوى» بكسر أوله وضمه أي وسطا تستوي مسافة الجائي إليه من الطرفين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21115','chapter_id' => '20','chapter_detail_id' => '2407','translator_id' => '4','verse_number' => '59','translate_name' => '«قال» موسى «موعدكم يوم الزينة» يوم عيد لهم يتزينون فيه ويجتمعون «وأن يُحشر الناس» يجمع أهل مصر «ضحى» وقته للنظر فيما يقع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21116','chapter_id' => '20','chapter_detail_id' => '2408','translator_id' => '4','verse_number' => '60','translate_name' => '«فتولى فرعون» أدير «فجمع كيده» أي ذوي كيده من السحرة «ثم أتى» بهم الموعد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21117','chapter_id' => '20','chapter_detail_id' => '2409','translator_id' => '4','verse_number' => '61','translate_name' => '«قال لهم موسى» وهم اثنان وسبعون مع كل واحد حبل وعصا «ويلكم» أي ألزمكم الله الويل «لا تفتروا على الله كذبا» بإشراك أحد معه «فيُسحتكم» بضم الياء وكسر الحاء وبفتحهما أي يهلككم «بعذاب» من عنده «وقد خاب» خسر «من افترى» كذب على الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21118','chapter_id' => '20','chapter_detail_id' => '2410','translator_id' => '4','verse_number' => '62','translate_name' => '«فتنازعوا أمرهم بينهم» في موسى وأخيه «وأسرُّوا النجوى» أي الكلام بينهم فيهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21119','chapter_id' => '20','chapter_detail_id' => '2411','translator_id' => '4','verse_number' => '63','translate_name' => '«قالوا» لأنفسهم «إن هذان» وهو موافق للغة من يأتي في المثنى بالألف في أحواله الثلاث ولأبي عمرو: هذين «لساحران يريدان أن يخرجاكم من أرضكم بسحرهما ويذهبا بطريقتكم المثلى» مؤنث أمثل بمعنى أشرف أي بأشرافكم بميلهم إليهما لغلبتهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21120','chapter_id' => '20','chapter_detail_id' => '2412','translator_id' => '4','verse_number' => '64','translate_name' => '«فأجمعوا كيدكم» من السحر بهمزة وصل وفتح الميم من جمع أي لمَّ وبهمزة قطع وكسر الميم من أجمع أحكم «ثم أئتوا صفا» حال أي مصطفين «وقد أفلح» فاز «اليوم من استعلى» غلب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21121','chapter_id' => '20','chapter_detail_id' => '2413','translator_id' => '4','verse_number' => '65','translate_name' => '«قالوا يا موسى» اختر «إما أن تُلقيَ» عصاك أولا «وإما أن نكون أول من ألقى» عصاه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21122','chapter_id' => '20','chapter_detail_id' => '2414','translator_id' => '4','verse_number' => '66','translate_name' => '«قال بل ألقوا» فألقوا «فإذا حبالهم وعصيهم» أصله عصوو قبلت الواوان ياءين وكسرت العين والصاد «يخيل إليه من سحرهم أنها» حيات «تسعى» على بطونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21123','chapter_id' => '20','chapter_detail_id' => '2415','translator_id' => '4','verse_number' => '67','translate_name' => '«فأوجس» أحس «في نفسه خيفة موسى» أي خاف من جهة أن سحرهم من جنس معجزته أن يتلبس أمره على الناس فلا يؤمنوا به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21124','chapter_id' => '20','chapter_detail_id' => '2416','translator_id' => '4','verse_number' => '68','translate_name' => '«قلنا» له «لا تخف إنك أنت الأعلى» عليهم بالغلبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21125','chapter_id' => '20','chapter_detail_id' => '2417','translator_id' => '4','verse_number' => '69','translate_name' => '«وألقِ ما في يمينك» وهي عصاه «تَلْقَف» تبتلع «ما صنعوا إنما صنعوا كيد ساحر» أي جنسه «ولا يفلح الساحر حيث أتى» بسحره فألقى موسى عصاه فتلقَّفت كل ما صنعوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21126','chapter_id' => '20','chapter_detail_id' => '2418','translator_id' => '4','verse_number' => '70','translate_name' => '«فألقي السحرة سجدا» خرّوا ساجدين لله تعالى «قالوا آمنا برب هارون وموسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21127','chapter_id' => '20','chapter_detail_id' => '2419','translator_id' => '4','verse_number' => '71','translate_name' => '«قال» فرعون «آمنتم» بتحقيق الهمزتين وإبدال الثانية ألفا «له قبل أن آذن» أنا «لكم إنه لكبيركم» معلمكم «الذي علمكم السحر فلأقطعن أيديكم وأرجلكم من خلاف» حال بمعنى مختلعة أي الأيدي اليمنى والأرجل اليسرى «ولأصلبنكم في جذوع النخل» أي عليها «ولتعلمن أينا» يعني نفسه ورب موسى «أشد عذابا وأبقى» أدوم على مخالفته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21128','chapter_id' => '20','chapter_detail_id' => '2420','translator_id' => '4','verse_number' => '72','translate_name' => '«قالوا لن نؤثرك» نختارك «على ما جاءنا من البيانات» الدالة على صدق موسى «والذي فطرنا» خلفنا قسم أو عطف على ما «فاقض ما أنت قاض» أي اصنع ما قتله «إنما تقضي هذه الحياة الدنيا» النصب على الاتساع أي فيها وتجزى عليه في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21129','chapter_id' => '20','chapter_detail_id' => '2421','translator_id' => '4','verse_number' => '73','translate_name' => '«إنا آمنا بربنا ليغفر لنا خطايانا» من الإشراك وغيره «وما أكرهتنا عليه من السحر» تعلما وعملاً لمعارضة موسى «والله خير» منك ثوابا إذا أطيع «وأبقى» منك عذابا إذا عصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21130','chapter_id' => '20','chapter_detail_id' => '2422','translator_id' => '4','verse_number' => '74','translate_name' => 'قال تعالى «إنه من يأت ربه مجرما» كافرا كفرعون «فإن له جهنم لا يموت فيها» فيستريح «ولا يحيى» حياة تنفعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21131','chapter_id' => '20','chapter_detail_id' => '2423','translator_id' => '4','verse_number' => '75','translate_name' => '«ومن يأته مؤمنا قد عمل الصالحات» الفرائض والنوافل «فأولئك لهم الدرجات العلى» جمع مؤنث أعلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21132','chapter_id' => '20','chapter_detail_id' => '2424','translator_id' => '4','verse_number' => '76','translate_name' => '«جنات عدن» أي إقامة بيان له «تجري من تحتها الأنهار خالدين فيها وذلك جزاءُ من تزكى» تَطهَّر من الذنوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21133','chapter_id' => '20','chapter_detail_id' => '2425','translator_id' => '4','verse_number' => '77','translate_name' => '«ولقد أوحينا إلى موسى أن أسْر بعبادي» بهمزة قطع من أسرى، وبهمز وصل وكسر النون من سرى لغتان أي سر بهم ليلا من أرض مصر «فاضرب لهم» اجعل لهم بالضرب بعصاك «طريقا في البحر يبسا» أي يابسا فامتثل ما أمر به وأيبس الله الأرض فمروا فيها «لا تخاف دَرَكا» أي أن يدركك فرعون «ولا تخشى» غرقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21134','chapter_id' => '20','chapter_detail_id' => '2426','translator_id' => '4','verse_number' => '78','translate_name' => '«فأتبعهم فرعون بجنوده» وهو معهم «فغشيهم من اليَمِّ» أي البحر «ما غشيهم» فأغرقهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21135','chapter_id' => '20','chapter_detail_id' => '2427','translator_id' => '4','verse_number' => '79','translate_name' => '«وأضل فرعون قومه» بدعائهم إلى عبادته «وما هدى» بل أوقعهم في الهلاك خلاف قوله «وما أهديكم إلا سبيل الرشاد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21136','chapter_id' => '20','chapter_detail_id' => '2428','translator_id' => '4','verse_number' => '80','translate_name' => '«يا بني إسرائيل قد أنجيناكم من عدوكم» فرعون بإغراقه «ووعدناكم جانب الطور الأيمن» فنؤتي موسى التوراة للعمل بها «ونزلنا عليكم المن والسلوى» الترنجبين والطير السمانى بتخفيف الميم والقصر، والمنادى من وُجد من اليهود زمن النبي صلى الله عليه وسلم وخُوطبوا لما أنعم الله به على أجدادهم زمن النبي موسى توطئة لقوله تعالى لهم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21137','chapter_id' => '20','chapter_detail_id' => '2429','translator_id' => '4','verse_number' => '81','translate_name' => '«كلوا من طيبات ما رزقناكم» أي المنعم به عليكم «ولا تطغوا فيه» بأن تكفروا النعمة به «فيحل عليكم غضبي» بكسر الحاء: أي يجب وبضمها أي ينزل «ومن يحلل عليه غضبي» بكسر اللام وضمها «فقد هوى» سقط في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21138','chapter_id' => '20','chapter_detail_id' => '2430','translator_id' => '4','verse_number' => '82','translate_name' => '«وإني لغفار لمن تاب» من الشرك «وآمن» وحَّد الله «وعمل صالحا» يصدق بالفرض والنفل «ثم اهتدى» باستمراره على ما ذكر إلى موته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21139','chapter_id' => '20','chapter_detail_id' => '2431','translator_id' => '4','verse_number' => '83','translate_name' => '«وما أعجلك عن قومك» لمجيء ميعاد أخذ التوراة «يا موسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21140','chapter_id' => '20','chapter_detail_id' => '2432','translator_id' => '4','verse_number' => '84','translate_name' => '«قال هم أولاء» أي بالقرب مني يأتون «على أثري وعجلت إليك رب لترضى» عني أي زيادة في رضاك وقبل الجواب أتى بالاعتذار حسب ظنه، وتخلف المظنون لما:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21141','chapter_id' => '20','chapter_detail_id' => '2433','translator_id' => '4','verse_number' => '85','translate_name' => '«قال» تعالى «فإنا قد فتنا قومك من بعدك» أي بعد فراقك لهم «وأضلهم السامري» فعبدوا العجل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21142','chapter_id' => '20','chapter_detail_id' => '2434','translator_id' => '4','verse_number' => '86','translate_name' => '«فرجع موسى إلى قومه غضبان» من جهتهم «أسفا» شديد الحزن «قال يا قوم ألم يعدكم ربكم وعدا حسنا» أي صدقا أنه يعطيكم التوراة «أفطال عليكم العهد» مدة مفارقتي إياكم «أم أردتم أن يحل» يجب «عليكم غضب من ربكم» بعبادتكم العجل «فأخلفتم موعدي» وتركتم المجيء بعدي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21143','chapter_id' => '20','chapter_detail_id' => '2435','translator_id' => '4','verse_number' => '87','translate_name' => '«قالوا ما أخلفنا موعدك بملكنا» مثلث الميم أي بقدرتنا أو أمرنا «ولكنا حَمَلْنا» بفتح الحاء مخففا وبضمها وكسر الميم مشددا «أوزارا» أثقالاً «من زينة القوم» أي قوم فرعون، استعارها بنو إسرائيل بعلَّة عرس فبقيت عندهم «فقذفناها» طرحناها في النار بأمر السامري «فكذلك» كما ألقينا «ألقى السامري» ما معه من حليهم، ومن التراب الذي أخذه من أثر حافر فرس جبريل على الوجه الآتي:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21144','chapter_id' => '20','chapter_detail_id' => '2436','translator_id' => '4','verse_number' => '88','translate_name' => '«فأخرج لهم عجلاً» صاغه من الحلي «جسدا» لحما ودما «له خوار» أي صوت يُسمع أي انقلب كذلك بسبب التراب الذي أثره الحياة فيما يوضع ووضعه بعد صوغه في فمه «فقالوا» أي السامري وأتباعه «هذا إلهكم وإله موسى فنسيَ» موسى ربه هنا وذهب يطلبه قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21145','chapter_id' => '20','chapter_detail_id' => '2437','translator_id' => '4','verse_number' => '89','translate_name' => '(أفلا يرون أ) أن مخففة من الثقيلة واسمها محذوف أي أنه (لا يرجع) العجل (إليهم قولاً) أي لا يرد لهم جوابا (ولا يملك لهم ضرا) أي دفعه (ولا نفعا) أي جلبه أي فكيف يتخذ إلها؟','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21146','chapter_id' => '20','chapter_detail_id' => '2438','translator_id' => '4','verse_number' => '90','translate_name' => '«ولقد قال لهم هارون من قبل» أي قبل أن يرجع موسى «يا قوم إنما فُتنْتم به وإنَّ ربكم الرحمن فاتَّبعوني» في عبادته «وأطيعوا أمري» فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21147','chapter_id' => '20','chapter_detail_id' => '2439','translator_id' => '4','verse_number' => '91','translate_name' => '«قالوا لن نبرح» نزال «عليه عاكفين» على عبادته مقيمين «حتى يرجع إلينا موسى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21148','chapter_id' => '20','chapter_detail_id' => '2440','translator_id' => '4','verse_number' => '92','translate_name' => '«قال» موسى بعد رجوعه «يا هارون ما منعك إذ رأيتهم ضلوا» بعبادته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21149','chapter_id' => '20','chapter_detail_id' => '2441','translator_id' => '4','verse_number' => '93','translate_name' => '«أ» ن «لا تتبعن» لا زائدة «أفعصيت أمري» بإقامتك بين من يعبد غير الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21150','chapter_id' => '20','chapter_detail_id' => '2442','translator_id' => '4','verse_number' => '94','translate_name' => '«قال» هارون «يا ابن أم» بكسر الميم وفتحها أراد أمي وذكرها أَعْطَف لقلبه «لا تأخذ بلحيتي» وكان أخذها بشماله «ولا برأسي» وكان أخذ شعره بيمينه غضبا «إني خشيت» لو اتبعك ولا بد أن يتبعني جمع ممن لم يعبدوا العجل «أن تقول فرقت بين بني إسرائيل» وتغضب عليَّ «ولم ترقب» تنتظر «قولي» فيما رأيته في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21151','chapter_id' => '20','chapter_detail_id' => '2443','translator_id' => '4','verse_number' => '95','translate_name' => '«قال فما خطبك» شأنك الداعي إلى ما صنعت «يا سامري».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21152','chapter_id' => '20','chapter_detail_id' => '2444','translator_id' => '4','verse_number' => '96','translate_name' => '«قال بصرت بما لم يبصروا به» بالياء والتاء أي علمت ما لم يعلموه «فقبضت قبضة من» تراب «أثر» حافر فرس «الرسول» جبريل «فنبذتها» ألقيتها في صورة العجل المصاغ «وكذلك سولت» زينت «لي نفسي» وألقى فيها أن أخذ قبضة من تراب ما ذكر، وألقيها على ما لا روح، به يصير له روح ورأيت قومك طلبوا منك أن تجعل لهم إلها فحدثتني نفسي أن يكون ذلك العجل إلههم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21153','chapter_id' => '20','chapter_detail_id' => '2445','translator_id' => '4','verse_number' => '97','translate_name' => '«قال» له موسى «فاذهب» من بيننا «فإن لك في الحياة» أي مدة حياتك «أن تقول» لمن رأيته «لا مساس» أي لا تقربني فكان بهم في البرية وإذا مس أحدا أو مسه أحد حُمَّا جميعا «وإن لك موعدا» لعذابك «لن تخلفه» بكسر اللام: أي لن تغيب عنه، وبفتحها أي بل تبعث إليه «وانظر إلى إلهك الذي ظلْت» أصله ظللت بلامين أولاهما مكسورة حذفت تخفيفا أي دمت «عليه عاكفا» أي مقيما تعبده «لنحرقنه» بالنار «ثم لننسفنه في اليمّ نسفا» نذرينه في هواء البحر، وفعل موسى بعد ذبحه ما ذكره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21154','chapter_id' => '20','chapter_detail_id' => '2446','translator_id' => '4','verse_number' => '98','translate_name' => '«إنما إلهكم الله الذي لا اله إلا هو وسع كل شيء علما» تمييز محول عن الفاعل وسع علمه كل شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21155','chapter_id' => '20','chapter_detail_id' => '2447','translator_id' => '4','verse_number' => '99','translate_name' => '«كذلك» أي كما قصصنا عليك يا محمد هذه القصة «نقص عليك من أنباء» أخبار «ما قد سبق» من الأمم «وقد آتيناك» أعطيناك «من لدنا» من عندنا «ذكرا» قرآنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21156','chapter_id' => '20','chapter_detail_id' => '2448','translator_id' => '4','verse_number' => '100','translate_name' => '«من أعرض عنه» فلم يؤمن به «فإنه يحمل يوم القيامة وزرا» حملا ثقيلا من الإثم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21157','chapter_id' => '20','chapter_detail_id' => '2449','translator_id' => '4','verse_number' => '101','translate_name' => '«خالدين فيه» أي في عذاب الوزر «وساء لهم يوم القيامة حملا» تمييز مفسر للضمير في ساء والمخصوص بالذم محذوف تقديره وزرهم، واللام للبيان ويبدل من يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21158','chapter_id' => '20','chapter_detail_id' => '2450','translator_id' => '4','verse_number' => '102','translate_name' => '«يوم ننفخ في الصور» القرن، النفخة الثانية «ونحشر المجرمين» الكافرين «يومئذ زرقا» عيونهم مع سواد وجوههم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21159','chapter_id' => '20','chapter_detail_id' => '2451','translator_id' => '4','verse_number' => '103','translate_name' => '«يتخافتون بينهم» يتسارون «إن» ما «لبثتم» في الدنيا «إلا عشرا» من الليالي بأيامها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21160','chapter_id' => '20','chapter_detail_id' => '2452','translator_id' => '4','verse_number' => '104','translate_name' => '«نحن أعلم بما يقولون» في ذلك: أي ليس كما قالوا «إذ يقول أمثلهم» أعدلهم «طريقة» فيه «إن لبثتم إلا يوما» يستقلون لبثهم في الدنيا جدا بما يعاينونه في الآخرة من أهوالها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21161','chapter_id' => '20','chapter_detail_id' => '2453','translator_id' => '4','verse_number' => '105','translate_name' => '«ويسألونك عن الجبال» كيف تكون يوم القيامة «فقل» لهم «ينسفها ربي نسفا» بأن يفتتها كالرمل السائل ثم يطيرها بالرياح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21162','chapter_id' => '20','chapter_detail_id' => '2454','translator_id' => '4','verse_number' => '106','translate_name' => '«فيذرها قاعا» منبسطا «صفصفا» مستويا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21163','chapter_id' => '20','chapter_detail_id' => '2455','translator_id' => '4','verse_number' => '107','translate_name' => '«لا ترى فيها عوجا» انخفاضا «ولا أمْتا» ارتفاعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21164','chapter_id' => '20','chapter_detail_id' => '2456','translator_id' => '4','verse_number' => '108','translate_name' => '«يومئذ» أي يوم إذ نسفت الجبال «يتبعون» أي الناس بعد القيام من القبور «الداعي» إلى المحشر بصوته وهو إسرافيل يقول: هلموا إلى عرض الرحمن «لا عوج له» أي لاتباعهم: أي لا يقدرون أن لا يتعبوا «وخشعت» سكنت «الأصوات للرحمن فلا تسمع إلا همسا» صوت وطء الأقدام في نقلها إلى المحشر كصوت أخفاف الإبل في مشيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21165','chapter_id' => '20','chapter_detail_id' => '2457','translator_id' => '4','verse_number' => '109','translate_name' => '«يومئذ لا تنفع الشفاعة» أحداً «إلا من أذن له الرحمن» أن يشفع له «ورضي له قولا» بأن يقول: لا إله إلا الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21166','chapter_id' => '20','chapter_detail_id' => '2458','translator_id' => '4','verse_number' => '110','translate_name' => '«يعلم ما بين أيديهم» من أمور الآخرة «وما خلفهم» من أمور الدنيا «ولا يحيطون به علماً» لا يعلمون ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21167','chapter_id' => '20','chapter_detail_id' => '2459','translator_id' => '4','verse_number' => '111','translate_name' => '«وعنت الوجوه» خضعت «للحي القيوم» أي الله «وقد خاب» خسر «من حَمَلَ ظلماً» أي شركاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21168','chapter_id' => '20','chapter_detail_id' => '2460','translator_id' => '4','verse_number' => '112','translate_name' => '«ومن يعمل من الصالحات» الطاعات «وهو مؤمن فلا يخاف ظلماً» بزيادة في سيئاته «ولا هضماً» بنقص من حسناته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21169','chapter_id' => '20','chapter_detail_id' => '2461','translator_id' => '4','verse_number' => '113','translate_name' => '«وكذلك» معطوف على كذلك نقص: أي مثل إنزال ما ذكر «أنزلناه» أي القرآن «قرآناً عربيا وصرفنا» كررنا «فيه من الوعيد لعلهم يتقون» الشرك «أو يُحدث» القرآن «لهم ذكراً» بهلاك من تقدمهم من الأمم فيعتبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21170','chapter_id' => '20','chapter_detail_id' => '2462','translator_id' => '4','verse_number' => '114','translate_name' => '«فتعالى الله الملك الحق» عما يقول المشركون «ولا تعجل بالقرآن» أي بقراءته «من قبل أن يُقضى إليك وحيه» أي يفرغ جبريل من إبلاغه «وقل ربّ زدني علما» أي بالقرآن فكلما أنزل عليه منه زاد به علمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21171','chapter_id' => '20','chapter_detail_id' => '2463','translator_id' => '4','verse_number' => '115','translate_name' => '«ولقد عهدنا إلى آدم» وصيناه أن لا يأكل من الشجرة «من قبل» أي قبل أكله منها «فنسي» ترك عهدنا «ولم نجد له عزماً» حزماً وصبراً عما نهيناه عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21172','chapter_id' => '20','chapter_detail_id' => '2464','translator_id' => '4','verse_number' => '116','translate_name' => '(و) اذكر (إذ قلنا للملائكة اسجدوا لآدم فسجدوا إلا إبليس) وهو أبو الجن كان يصحب الملائكة ويعبد الله معهم (أبى) عن السجود لآدم "" قال أنا خير منه "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21173','chapter_id' => '20','chapter_detail_id' => '2465','translator_id' => '4','verse_number' => '117','translate_name' => '«فقلنا يا آدم إنَّ هذا عدو لك ولزوجك» حواء بالمد «فلا يخرجنكما من الجنة فتشقى» تتعب بالحرث والزرع والحصد والطحن والخبز وغير ذلك واقتصر على شقائه لأن الرجل يسعى على زوجته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21174','chapter_id' => '20','chapter_detail_id' => '2466','translator_id' => '4','verse_number' => '118','translate_name' => '«إن لك أ» «لا تجوع فيها ولا تعرى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21175','chapter_id' => '20','chapter_detail_id' => '2467','translator_id' => '4','verse_number' => '119','translate_name' => '«وأنك» بفتح الهمزة وكسرها عطف على اسم إن وجملتها «لا تظمأ فيها» تعطش «ولا تضحى» لا يحصل لك حر شمس الضحى لانتفاء الشمس في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21176','chapter_id' => '20','chapter_detail_id' => '2468','translator_id' => '4','verse_number' => '120','translate_name' => '«فوسوس إليه الشيطان قال يا آدم هل أدلك على شجرة الخلد» أي التي يخلد من يأكل منها «ومُلْك لا يبلى» لا يفنى وهو لازم الخلد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21177','chapter_id' => '20','chapter_detail_id' => '2469','translator_id' => '4','verse_number' => '121','translate_name' => '«فأكلا» أي آدم وحواء «منها فبدت لهما سوآتهما» أي ظهر لكل منهما قبله وقبل الآخر ودُبره وسمي كل منهما سوأة لأن انكشافه يسوء صاحبه «وطفقا يخصفان» أخذا يلزقان «عليهما من ورق الجنة» ليستترا به «وعصى آدم ربه فغوى» بالأكل من الشجرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21178','chapter_id' => '20','chapter_detail_id' => '2470','translator_id' => '4','verse_number' => '122','translate_name' => '«ثم اجتباه ربه» قربه «فتاب عليه» قبل توبته «وهدى» أي هداه إلى المداومة على التوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21179','chapter_id' => '20','chapter_detail_id' => '2471','translator_id' => '4','verse_number' => '123','translate_name' => '«قال اهبطا» أي آدم وحواء بما اشمتلنا عليه من ذريتكما «منها» من الجنة «جميعاً بعضكم» بعض الذرية «لبعض عدو» من ظلم بعضهم بعضاً «فإما» فيه إدغام نون إن الشرطية في ما المزيدة «يأتينكم مني هدى فمن اتبع هدايَ» القرآن «فلا يضل» في الدنيا «ولا يشقى» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21180','chapter_id' => '20','chapter_detail_id' => '2472','translator_id' => '4','verse_number' => '124','translate_name' => '«ومن أعرض عن ذكري» القرآن فلم يؤمن به «فإن له معيشة ضنكاً» بالتنوين مصدر بمعنى ضيقة، وفسرت في حديث بعذاب الكافر في قبره «ونحشره» أي المعرض عن القرآن «يوم القيامة أعمى» أعمى البصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21181','chapter_id' => '20','chapter_detail_id' => '2473','translator_id' => '4','verse_number' => '125','translate_name' => '«قال ربِّ لمَ حشرتني أعمى وقد كنت بصيراً» في الدنيا وعند البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21182','chapter_id' => '20','chapter_detail_id' => '2474','translator_id' => '4','verse_number' => '126','translate_name' => '«قال» الأمر «كذلك أتتك آياتنا فنسيتها» تركتها ولم تؤمن بها «وكذلك» مثل نسيانك آياتنا «اليوم تنسى» تترك في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21183','chapter_id' => '20','chapter_detail_id' => '2475','translator_id' => '4','verse_number' => '127','translate_name' => '«وكذلك» ومثل جزائنا من أعرض عن القرآن «نجزي من أسرف» أشرك «ولم يؤمن بآيات ربه ولعذاب الآخرة أشد» من عذاب الدنيا وعذاب القبر «وأبقى» أدوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21184','chapter_id' => '20','chapter_detail_id' => '2476','translator_id' => '4','verse_number' => '128','translate_name' => '«أفلم يهد» يتبين «لهم» لكفار مكة «كم» خبرية مفعول «أهلكنا» أي كثيرا إهلاكنا «قبلهم من القرون» أي الأمم الماضية بتكذيب الرسل «يمشون» حال من ضمير لهم «في مساكنهم» في سفرهم إلى الشام وغيرها فيعتبروا، وما ذكر من أخذ إهلاك من فعله الخالي عن حرف مصدري لرعاية المعنى لا مانع منه «إنَّ في ذلك لآيات» لعبراً «لأولي النهى» لذوي العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21185','chapter_id' => '20','chapter_detail_id' => '2477','translator_id' => '4','verse_number' => '129','translate_name' => '«ولولا كلمة سبقت من ربك» بتأخير العذاب عنهم إلى الآخرة «لكان» الإهلاك «لزاماً» لازماً لهم في الدنيا «وأجل مسمى» مضروب لهم معطوف على الضمير المستتر في كان وقام الفصل بخبرها مكان التأكيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21186','chapter_id' => '20','chapter_detail_id' => '2478','translator_id' => '4','verse_number' => '130','translate_name' => '«فاصبر على ما يقولون» منسوخ بآية القتال «وسبّح» صلّ «بحمد ربك» حال: أي ملتبساً به «قبل طلوع الشمس» صلاة الصبح «وقبل غروبها» صلاة العصر «ومن آناء الليل» ساعاته «فسبح» صل المغرب والعشاء «وأطراف النهار» عطف على محل من آناء المنصوب: أي صل الظهر لأن وقتها يدخل بزوال الشمس، فهو طرف النصف الأول وطرف النصف الثاني «لعلك ترضى» بما تعطى من الثواب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21187','chapter_id' => '20','chapter_detail_id' => '2479','translator_id' => '4','verse_number' => '131','translate_name' => '«ولا تمدنَّ عينيك إلى ما متَّعنا به أزواجاً» أصنافا «منهم زهرة الحياة الدنيا» زينتها وبهجتها «لنفتنهم فيه» بأن يطغوا «ورزق ربك» في الجنة «خير» مما أوتوه في الدنيا «وأبقى» أدوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21188','chapter_id' => '20','chapter_detail_id' => '2480','translator_id' => '4','verse_number' => '132','translate_name' => '«وأمر أهلك بالصلاة واصطبر» اصبر «عليها لا نسألك» نكلفك «رزقاً» لنفسك ولا لغيرك «نحن نرزقك والعاقبة» الجنة «للتقوى» لأهلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21189','chapter_id' => '20','chapter_detail_id' => '2481','translator_id' => '4','verse_number' => '133','translate_name' => '«وقالوا» المشركون «لولا» هلا «يأتينا» محمد «بآية من ربه» مما يقترحونه «أو لم تأتيهم» بالتاء والياء «بينة» بيان «ما في الصحف الأولى» المشتمل عليه القرآن من أنباء الأمم الماضية وإهلاكهم بتكذيب الرسل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21190','chapter_id' => '20','chapter_detail_id' => '2482','translator_id' => '4','verse_number' => '134','translate_name' => '«ولو أنا أهلكناهم بعذاب من قبله» قبل محمد الرسول «لقالوا» يوم القيامة «ربنا لولا» هلا «أرسلت إلينا رسولاً فنتبع آياتك» المرسل بها «من قبل أن نذل» في القيامة «ونخزى» في جهنم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21191','chapter_id' => '20','chapter_detail_id' => '2483','translator_id' => '4','verse_number' => '135','translate_name' => '«قل» لهم «كل» منا ومنكم «متربص» منتظر ما يؤول إليه الأمر «فتربصوا فستعلمون» في القيامة «مَن أصحاب الصراط» الطريق «السويّ» المستقيم «ومن اهتدى» من الضلالة أنحن أم أنتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21192','chapter_id' => '21','chapter_detail_id' => '2484','translator_id' => '4','verse_number' => '1','translate_name' => '«اقترب» قرب «للناس» أهل مكة منكري البعث «حسابهم» يوم القيامة «وهم في غفلة» عنه «معرضون» عن التأهب له بالإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21193','chapter_id' => '21','chapter_detail_id' => '2485','translator_id' => '4','verse_number' => '2','translate_name' => '«ما يأتيهم من ذكر من ربهم محدث» شيئاً فشيئاً أي لفظ قرآن «إلا استمعوه وهم يلعبون» يستهزئون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21194','chapter_id' => '21','chapter_detail_id' => '2486','translator_id' => '4','verse_number' => '3','translate_name' => '«لاهية» غافلة «قلوبهم» عن معناه «وأسَرُّوا النجوى» الكلام «الذين ظلموا» بدل من واو «وأسروا النجوى الذين ظلموا» «هلْ هذا» أي محمد «إلا بشر مثلكم» فما يأتي به سحر «أفتأتون السحر» تتبعونه «وأنتم تبصرون» تعلمون أنه سحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21195','chapter_id' => '21','chapter_detail_id' => '2487','translator_id' => '4','verse_number' => '4','translate_name' => '«قال» لهم «ربي يعلم القول» كائناً «في السماء والأرض وهو السميع» لما أسروه «العليم» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21196','chapter_id' => '21','chapter_detail_id' => '2488','translator_id' => '4','verse_number' => '5','translate_name' => '«بل» للانتقال من غرض إلى آخر في المواضع الثلاثة «قالوا» فيما أتى به من القرآن هو «أضغاث أحلام» أخلاط رآها في النوم «بل افتراه» اختلقه «بل هو شاعر» فما أتى به شعر «فليأتنا بآية كما أرسل الأولون» كالناقة والعصا واليد قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21197','chapter_id' => '21','chapter_detail_id' => '2489','translator_id' => '4','verse_number' => '6','translate_name' => '«ما آمنت قبلهم من قرية» أي أهلها «أهلكناها» بتكذيبها ما أتاها من الآيات «أفهم يؤمنون» لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21198','chapter_id' => '21','chapter_detail_id' => '2490','translator_id' => '4','verse_number' => '7','translate_name' => '«وما أرسلنا قبلك إلا رجالاً نوحي» وفي قراءة بالياء وفتح الحاء «إليهم» لا ملائكة «فاسألوا أهل الذكر» العلماء بالتوراة والإنجيل «إن كنتم لا تعلمون» ذلك فإنهم يعلمونه، وأنتم إلى تصديقهم أقرب من تصديق المؤمنين بمحمد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21199','chapter_id' => '21','chapter_detail_id' => '2491','translator_id' => '4','verse_number' => '8','translate_name' => '«وما جعلناهم» أي الرسل «جسداً» بمعنى أجساداً «لا يأكلون الطعام» بل يأكلونه «وما كانوا خالدين» في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21200','chapter_id' => '21','chapter_detail_id' => '2492','translator_id' => '4','verse_number' => '9','translate_name' => '«ثم صدقناهم الوعد» بإنجائهم «فأنجيناهم ومن نشاء» المصدقين لهم «وأهلكنا المسرفين» المكذبين لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21201','chapter_id' => '21','chapter_detail_id' => '2493','translator_id' => '4','verse_number' => '10','translate_name' => 'لقد أنزلنا إليكم» يا معشر قريش «كتاباً فيه ذكركم» لأنه بلغتكم «أفلا تعقلون» فتؤمنون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21202','chapter_id' => '21','chapter_detail_id' => '2494','translator_id' => '4','verse_number' => '11','translate_name' => '«وكم قصمنا» أهلكنا «من قرية» أي أهلها «كانت ظالمة» كافرة «وأنشأنا بعدها قوماً آخرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21203','chapter_id' => '21','chapter_detail_id' => '2495','translator_id' => '4','verse_number' => '12','translate_name' => '«فلما أحسُّوا بأسنا» شعر أهل القرية بالإهلاك «إذا هم منها يركضون» يهربون مسرعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21204','chapter_id' => '21','chapter_detail_id' => '2496','translator_id' => '4','verse_number' => '13','translate_name' => 'فقالت لهم الملائكة استهزاء «لا تركضوا وارجعوا إلى ما أترفتم» نعمتم «فيه ومساكنكم لعلكم تسألون» شيئاً من دنياكم على العادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21205','chapter_id' => '21','chapter_detail_id' => '2497','translator_id' => '4','verse_number' => '14','translate_name' => '«قالوا يا» للتنبيه «ويلنا» هلاكنا «إنا كنا ظالمين» بالكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21206','chapter_id' => '21','chapter_detail_id' => '2498','translator_id' => '4','verse_number' => '15','translate_name' => '«فما زالت تلك» الكلمات «دعواهم» يدعون بها ويرددونها «حتى جعلناهم حصيداً» كالزرع المحصود بالمناجل بأن قتلوا بالسيف «خامدين» ميتين كخمود النار إذا طفئت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21207','chapter_id' => '21','chapter_detail_id' => '2499','translator_id' => '4','verse_number' => '16','translate_name' => '«وما خلقنا السماء والأرض وما بينهما لاعبين» عابثين بل دالين على قدرتنا ونافعين عبادنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21208','chapter_id' => '21','chapter_detail_id' => '2500','translator_id' => '4','verse_number' => '17','translate_name' => '«لو أردنا أن نتخذ لهواً» ما يلهى به من زوجة أو ولد «لاتخذناه من لدنا» من عندنا من الحور العين والملائكة «إن كنا فاعلين» ذلك، لكنا لم نفعله فلم نُرده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21209','chapter_id' => '21','chapter_detail_id' => '2501','translator_id' => '4','verse_number' => '18','translate_name' => '«بل نقذف» نرمي «بالحق» الإيمان «على الباطل» الكفر «فيدمغه» يذهبه «فإذا هو زاهق» ذاهب، ودمغه في الأصل: أصاب دماغه بالضرب وهو مقتل «ولكم» يا كفار مكة «الويْل» العذاب الشديد «مما تصفون» الله به من الزوجة أو الولد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21210','chapter_id' => '21','chapter_detail_id' => '2502','translator_id' => '4','verse_number' => '19','translate_name' => '«وله» تعالى «من في السماوات والأرض» ملكاً «ومن عنده» أي الملائكة مبتدأ خبره «لا يستكبرون عن عبادته ولا يستحسرون» لا يعيون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21211','chapter_id' => '21','chapter_detail_id' => '2503','translator_id' => '4','verse_number' => '20','translate_name' => '«يسبحون الليل والنهار لا يفترون» عنه فهو منهم كالنفس منا لا يشغلنا عنه شاغل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21212','chapter_id' => '21','chapter_detail_id' => '2504','translator_id' => '4','verse_number' => '21','translate_name' => '«أم» بمعني بل للانتقال والهمزه للإنكار «اتخذوا آلهة» كائنة «من الأرض» كحجر وذهب وفضة «هم» أي الآلهة «ينشرون» أي يحيون الموتى؟ لا، ولا يكون إلهاً إلا من يحيي الموتى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21213','chapter_id' => '21','chapter_detail_id' => '2505','translator_id' => '4','verse_number' => '22','translate_name' => '«لو كان فيهما» أي السماوات والأرض «آلهة إلا الله» أي غيره «لفسدتا» أي خرجتا عن نظامهما المشاهد، لوجود التمانع بينهم على وفق العادة عند تعدد الحاكم من التمانع في الشيء وعدم الاتفاق عليه «فسبحان» تنزيه «الله رب» خالق «العرش» الكرسي «عما يصفون» الكفار الله به من الشريك له وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21214','chapter_id' => '21','chapter_detail_id' => '2506','translator_id' => '4','verse_number' => '23','translate_name' => '«لا يُسأل عما يفعل وهم يسألون» عن أفعالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21215','chapter_id' => '21','chapter_detail_id' => '2507','translator_id' => '4','verse_number' => '24','translate_name' => '«أم اتخذوا من دونه» تعالى أي سواه «آلهة» فيه استفهام توبيخ «قل هاتوا برهانكم» على ذلك ولا سبيل إليه «هذا ذكر من معي» أمتي وهو القرآن «وذكر من قبلي» من الأمم وهو التوراة والإنجيل وغيرهما من كتب الله ليس في واحد منها أن مع الله إلهاً مما قالوا، تعالى عن ذلك «بل أكثرهم لا يعلمون الحق» توحيد الله «فهم معرضون» عن النظر الموصل إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21216','chapter_id' => '21','chapter_detail_id' => '2508','translator_id' => '4','verse_number' => '25','translate_name' => '«وما أرسلنا من قبلك من رسول إلا نوحي» وفي قراءة بالياء وفتح الحاء «إليه أنه لا إله إلا أنا فاعبدون» أي وحدوني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21217','chapter_id' => '21','chapter_detail_id' => '2509','translator_id' => '4','verse_number' => '26','translate_name' => '«وقالوا اتخذ الرحمن ولداً» من الملائكة «سبحانه بل» هم «عباد مكرمون» عنده والعبودية تنافي الولادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21218','chapter_id' => '21','chapter_detail_id' => '2510','translator_id' => '4','verse_number' => '27','translate_name' => '«لا يسبقونه بالقول» لا يأتون بقولهم إلا بعد قوله «وهم بأمره يعملون» أي بعده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21219','chapter_id' => '21','chapter_detail_id' => '2511','translator_id' => '4','verse_number' => '28','translate_name' => '«يعلم ما بين أيديهم وما خلفهم» ما عملوا وما هم عاملون «ولا يشفعون إلا لمن ارتضى» تعالى أن يشفع له «وهم من خشيته» تعالى «مشفقون» خائفون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21220','chapter_id' => '21','chapter_detail_id' => '2512','translator_id' => '4','verse_number' => '29','translate_name' => '«ومن يقل منهم إني إله من دونه» أي الله أي غيره، وهو إبليس دعا إلى عبادة نفسه وأمر بطاعتها «فذلك نجزيه جهنم كذلك» كما نجريه «نجزي الظالمين» المشركين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21221','chapter_id' => '21','chapter_detail_id' => '2513','translator_id' => '4','verse_number' => '30','translate_name' => '«أوَلم» بواو وتركها «يرَ» يعلم «الذين كفروا أن السماوات والأرض كانتا رَتقاً» سدا بمعنى مسدودة «ففتقناهما» جعلنا السماء سبعاً والأرض من سبعاً، أو فتق السماء أن كانت لا تمطر فأمطرت، وفتق الأرض أن كانت لا تنبت فأنبتت «وجعلنا من الماء» النازل من السماء والنابع من الأرض «كل شيء حي» من نبات وغيره أي فالماء سبب لحياته «أفلا يؤمنون» بتوحيدي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21222','chapter_id' => '21','chapter_detail_id' => '2514','translator_id' => '4','verse_number' => '31','translate_name' => '«وجعلنا في الأرض رواسي» جبالاً ثوابت لـ «أن» لا «تميد» تتحرك «بهم وجعلنا فيها» الرواسي «فجاجاً» مسالك «سبلاً» بدل، طرقاً نافذة واسعة «لعلهم يهتدون» إلى مقاصدهم في الأسفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21223','chapter_id' => '21','chapter_detail_id' => '2515','translator_id' => '4','verse_number' => '32','translate_name' => '«وجلعنا السماء سقفاً» للأرض كالسقف للبيت «محفوظاً» عن الوقوع «وهم عن آياتها» من الشمس والقمر والنجوم «معرضون» لا يتفكرون فيها فيعلمون أن خالقها لا شريك له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21224','chapter_id' => '21','chapter_detail_id' => '2516','translator_id' => '4','verse_number' => '33','translate_name' => '«وهو الذي خلق الليل والنهار والشمس والقمر كل» تنوينه عوض عن المضاف إليه من الشمس والقمر وتابعه وهو النجوم «في فلك» مستدير كالطاحونة في السماء «يسبحون» يسيرون بسرعة كالسابح في الماء، وللتشبيه به أتى بضمير جمع من يعقل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21225','chapter_id' => '21','chapter_detail_id' => '2517','translator_id' => '4','verse_number' => '34','translate_name' => 'ونزل لما قال الكفار إنَّ محمداً سيموت: «وما جعلنا لبشر من قبلك الخلد» البقاء في الدنيا «أفإن مت فهم الخالدون» فيها؟ لا، فالجملة الأخيرة محل الاستفهام الإنكاري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21226','chapter_id' => '21','chapter_detail_id' => '2518','translator_id' => '4','verse_number' => '35','translate_name' => '«كل نفس ذائقة الموت» في الدنيا «ونبلوكم» نختبركم «بالشر والخير» كفقر وغنى وسقم وصحة «فتنة» مفعول له، أي لننظر أتصبرون وتشكرون أم لا «وإلينا ترجعون» فنجازيكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21227','chapter_id' => '21','chapter_detail_id' => '2519','translator_id' => '4','verse_number' => '36','translate_name' => '«وإذا رآك الذين كفروا إن» ما «يتخذونك إلا هزواً» أي مهزوءاً به يقولون «أهذا الذي يذكر آلهتكم» أي يعيبها «وهم بذكر الرحمن» لهم «هم» تأكيد «كافرون» به إذا قالوا ما نعرفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21228','chapter_id' => '21','chapter_detail_id' => '2520','translator_id' => '4','verse_number' => '37','translate_name' => 'ونزل في استعجالهم العذاب «خلق الإنسان من عجل» أي أنه لكثرة عجله في أحواله كأنه خلق منه «سأريكم آياتي» مواعيدي بالعذاب «فلا تستعجلون» فيه فأراهم القتل ببدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21229','chapter_id' => '21','chapter_detail_id' => '2521','translator_id' => '4','verse_number' => '38','translate_name' => '«ويقولون متى هذا الوعد» بالقيامة «إن كنتم صادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21230','chapter_id' => '21','chapter_detail_id' => '2522','translator_id' => '4','verse_number' => '39','translate_name' => 'قال تعالى: «لو يعلم الذين كفروا حين لا يكفون» يدفعون «عن وجوههم النار ولا عن ظهورهم ولا هم ينصرون» يمنعون منها في القيامة وجواب لو ما قالوا ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21231','chapter_id' => '21','chapter_detail_id' => '2523','translator_id' => '4','verse_number' => '40','translate_name' => '«بل تأتيهم» القيامة «بغتة فتبهتهم» تحيرهم «فلا يستطيعون ردها ولا هم ينظرون» يمهلون لتوبة أو معذرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21232','chapter_id' => '21','chapter_detail_id' => '2524','translator_id' => '4','verse_number' => '41','translate_name' => '«ولقد استهزئ برسل من قبلك» فيه تسلية للنبي صلى الله عليه وسلم «فحاق» نزل «بالذين سخروا منهم ما كانوا به يستهزءون» وهو العذاب فكذا يحيق بمن استهزأ بك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21233','chapter_id' => '21','chapter_detail_id' => '2525','translator_id' => '4','verse_number' => '42','translate_name' => '«قل» لهم «من يكلؤكم» يحفظكم «بالليل والنهار من الرحمن» من عذابه إن نزل بكم، أي: لا أحد يفعل ذلك، والمخاطبون لا يخافون عذاب الله لإنكارهم له «بل هم عن ذكر ربهم» أي القرآن «معرضون» لا يتفكرون فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21234','chapter_id' => '21','chapter_detail_id' => '2526','translator_id' => '4','verse_number' => '43','translate_name' => '«أم» فيها معنى الهمزة للإنكار: أي أ «لهم آلهة تمنعهم» مما يسوؤهم «من دوننا» أي ألَهم من يمنعهم منه غيرنا؟ لا «لا يستطيعون» أي الآلهة «نصر أنفسهم» فلا ينصرونهم «ولا هم» أي الكفار «منا» من عذابنا «يصحبون» يجارون، يقال صحبك الله: أي حفظك وأجارك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21235','chapter_id' => '21','chapter_detail_id' => '2527','translator_id' => '4','verse_number' => '44','translate_name' => '«بل متعنا هؤلاء وآباءهم» بما أنعمنا عليهم «حتى طال عليهم العمر» فاغتروا بذلك «أفلا يرون أنا نأتي الأرض» نقصد أرضهم «ننقصها من أطرافها» بالفتح على النبي «أفهم الغالبون»؟ لا، بل النبي وأصحابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21236','chapter_id' => '21','chapter_detail_id' => '2528','translator_id' => '4','verse_number' => '45','translate_name' => '«قل» لهم «إنما أنذركم بالوحي» من الله لا من قبل نفسي «ولا يسمع الصم الدعاء إذا» بتحقيق الهمزتين وتسهيل الثانية بينها وبين الياء «ما ينذرون» هم لتركهم العمل بما سمعوه من الإنذار كالصم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21237','chapter_id' => '21','chapter_detail_id' => '2529','translator_id' => '4','verse_number' => '46','translate_name' => '«ولئن مستهم نفحة» وقعة خفيفة «من عذاب ربك ليقولن يا» للتنبيه «ويلنا» هلاكنا «إنا كنا ظالمين» بالإشراك وتكذيب محمد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21238','chapter_id' => '21','chapter_detail_id' => '2530','translator_id' => '4','verse_number' => '47','translate_name' => '«ونضع الموازين القسط» ذوات العدل «ليوم القيامة» أي فيه «فلا تظلم نفس شيئاً» من نقص حسنة أو زيادة سيئة «وإن كان» العمل «مثقال» زنة «حبة من خردل أتينا بها» بموزونها «وكفى بنا حاسبين» مُحْصين كل شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21239','chapter_id' => '21','chapter_detail_id' => '2531','translator_id' => '4','verse_number' => '48','translate_name' => '«ولقد آتينا موسى وهارون الفرقان» أي التوراة الفارقة بين الحق والباطل والحلال والحرام «وضياءً» بها «وذكراً» عظة بها «للمتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21240','chapter_id' => '21','chapter_detail_id' => '2532','translator_id' => '4','verse_number' => '49','translate_name' => '«الذين يخشون ربهم بالغيب» عن الناس أي في الخلاء عنهم «وهم من الساعة» أي أهوالها «مشفقون» خائفون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21241','chapter_id' => '21','chapter_detail_id' => '2533','translator_id' => '4','verse_number' => '50','translate_name' => '«وهذا» أي القرآن «ذكر مبارك أنزلناه أفأنتم له منكرون» الاستفهام فيه للتوبيخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21242','chapter_id' => '21','chapter_detail_id' => '2534','translator_id' => '4','verse_number' => '51','translate_name' => '«ولقد آتينا إبراهيم رشده من قبل» أي هداه قبل بلوغه «وكنا به عالمين» بأنه أهل لذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21243','chapter_id' => '21','chapter_detail_id' => '2535','translator_id' => '4','verse_number' => '52','translate_name' => '«إذ قال لأبيه وقومه ما هذه التماثيل» الأصنام «التي أنتم لها عاكفون» أي على عبادتها مقيمون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21244','chapter_id' => '21','chapter_detail_id' => '2536','translator_id' => '4','verse_number' => '53','translate_name' => '«قالوا وجدنا آباءنا لها عابدين» فاقتدنيا بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21245','chapter_id' => '21','chapter_detail_id' => '2537','translator_id' => '4','verse_number' => '54','translate_name' => '«قال» لهم «لقد كنتم أنتم وآباؤكم» بعبادتها «في ضلال مبين» بَيّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21246','chapter_id' => '21','chapter_detail_id' => '2538','translator_id' => '4','verse_number' => '55','translate_name' => '«قالوا أجئتنا بالحق» في قولك هذا «أم أنت من اللاعبين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21247','chapter_id' => '21','chapter_detail_id' => '2539','translator_id' => '4','verse_number' => '56','translate_name' => '«قال بل ربكم» المستحق للعبادة «رب» مالك «السماوات والأرض الذي فطرهن» خلقهن على غير مثال سبق «وأنا على ذلكم» الذي قلته «من الشاهدين» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21248','chapter_id' => '21','chapter_detail_id' => '2540','translator_id' => '4','verse_number' => '57','translate_name' => '«وتالله لأكيدن أصنامهم بعد أن تولوا مدبرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21249','chapter_id' => '21','chapter_detail_id' => '2541','translator_id' => '4','verse_number' => '58','translate_name' => '«فجعلهم» بعد ذهابهم إلى مجتمعهم في يوم عيد لهم «جُذاذاً» بضم الجيم وكسرها: فتاتاً بفأس «إلا كبيراً لهم» علق الفأس في عنقه «لعلهم إليه» أي إلى الكبير «يرجعون» فيرون ما فعل بغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21250','chapter_id' => '21','chapter_detail_id' => '2542','translator_id' => '4','verse_number' => '59','translate_name' => '«قالوا» بعد رجوعهم ورؤيتهم ما فعل «من فعل هذا بآلهتنا إنه لمن الظالمين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21251','chapter_id' => '21','chapter_detail_id' => '2543','translator_id' => '4','verse_number' => '60','translate_name' => '«قالوا» أي بعضهم لبعض «سمعنا فتى يذكرهم» أي يعيبهم «يقال له إبراهيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21252','chapter_id' => '21','chapter_detail_id' => '2544','translator_id' => '4','verse_number' => '61','translate_name' => '«قالوا فأتوا به على أعين الناس» أي ظاهراً «لعلهم يشهدون» عليه أنه الفاعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21253','chapter_id' => '21','chapter_detail_id' => '2545','translator_id' => '4','verse_number' => '62','translate_name' => '«قالوا» له بعد إتيانه «أأنت» بتحقيق الهمزتين وإبدال الثانية ألفاً وتسهيلها وإدخال ألف بين المسهلة والأخرى وتركه «فعلت هذا بآلهتنا يا إبراهيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21254','chapter_id' => '21','chapter_detail_id' => '2546','translator_id' => '4','verse_number' => '63','translate_name' => '«قال» ساكتاً عن فعله «بل فعله كبيرهم هذا فاسألوهم» عن فاعله «إن كانوا ينطقون» فيه تقديم جواب الشرط وفيها قبله تعرض لهم بأن الصنم المعلوم عجزه عن الفعل لا يكون إلهاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21255','chapter_id' => '21','chapter_detail_id' => '2547','translator_id' => '4','verse_number' => '64','translate_name' => '«فرجعوا إلى أنفسهم» بالتفكر «فقالوا» لأنفسهم «إنكم أنتم الظالمون» بعبادتكم من لا ينطق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21256','chapter_id' => '21','chapter_detail_id' => '2548','translator_id' => '4','verse_number' => '65','translate_name' => '«ثم نكسوا» من الله «على رءُوسهم» أي ردوا إلى كفرهم وقالوا والله «لقد علمتَ ما هؤلاء ينطقون» أي فكيف تأمرنا بسؤالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21257','chapter_id' => '21','chapter_detail_id' => '2549','translator_id' => '4','verse_number' => '66','translate_name' => '«قال أفتعبدون من دون الله» أي بدله «ما لا ينفعكم شيئاً» من رزق وغيره «ولا يضركم» شيئاً إذا لم تعبدوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21258','chapter_id' => '21','chapter_detail_id' => '2550','translator_id' => '4','verse_number' => '67','translate_name' => '«أف» بكسر الفاء وفتحها بمعنى مصدر أي نتناً وقبحاً «لكم ولما تعبدون من دون الله» أي غيره «أفلا تعقلون» أن هذه الأصنام لا تستحق العبادة ولا تصلح لها، وإنما يستحقها الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21259','chapter_id' => '21','chapter_detail_id' => '2551','translator_id' => '4','verse_number' => '68','translate_name' => '«قالوا حرِّقوه» أي إبراهيم «وانصروا آلهتكم» أي بتحريقه «إن كنتم فاعلين» نصرتها فجمعوا له الحطب الكثير وأضرموا النار في جميعه وأوثقوا إبراهيم وجعلوه في منجنيق ورموه في النار قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21260','chapter_id' => '21','chapter_detail_id' => '2552','translator_id' => '4','verse_number' => '69','translate_name' => '(قلنا يا نار كوني برداً وسلاماً على إبراهيم) فلم تحرق منه غير وثاقه، وذهبت حرارتها وبقيت إضاءتها وبقوله "" وسلاماً "" سلم من الموت ببردها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21261','chapter_id' => '21','chapter_detail_id' => '2553','translator_id' => '4','verse_number' => '70','translate_name' => '«وأرادوا به كيداً» وهو التحريق «فجعلناهم الأخسرين» في مرادهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21262','chapter_id' => '21','chapter_detail_id' => '2554','translator_id' => '4','verse_number' => '71','translate_name' => '«ونجيناه ولوطاً» ابن أخيه هاران من العراق «إلى الأرض التي باركنا فيها للعالمين» بكثرة الأنهار والأشجار وهي الشام نزل إبراهيم بفلسطين ولوط بالمؤتفكة وبينهما يوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21263','chapter_id' => '21','chapter_detail_id' => '2555','translator_id' => '4','verse_number' => '72','translate_name' => '«ووهبنا له» أي لإبراهيم وكان سأل ولداً كما ذكر في الصافات «إسحاق ويعقوب نافلة» أي زيادة على المسؤول أو هو ولد الولد «وكلاً» أي هو وولداه «جعلنا صالحين» أنبياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21264','chapter_id' => '21','chapter_detail_id' => '2556','translator_id' => '4','verse_number' => '73','translate_name' => '«وجعلناهم أئمة» بتحقيق الهمزتين وإبدال الثانية ياء يقتدى بهم في الخير «يهدون» الناس «بأمرنا» إلى ديننا «وأوحينا إليهم فعل الخيرات وإقام الصلاة وإيتاء الزكاة» أي أن تفعل وتقام وتؤتى منهم ومن أتباعهم، وحذف هاء إقامة تخفيف «وكانوا لنا عابدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21265','chapter_id' => '21','chapter_detail_id' => '2557','translator_id' => '4','verse_number' => '74','translate_name' => '«ولوطاً آتيناه حكماً» فصلاً بين الخصوم «وعلماً ونجيناه من القرية التي كانت تعمل» أي أهلها الأعمال «الخبائث» من اللواط والرمي بالبندق واللعب بالطيور وغير ذلك «إنهم كانوا قوم سوء» مصدر ساءه نقيض سرَّه «فاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21266','chapter_id' => '21','chapter_detail_id' => '2558','translator_id' => '4','verse_number' => '75','translate_name' => '«وأدخلناه في رحمتنا» بأن أنجيناه من قومه «إنه من الصالحين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21267','chapter_id' => '21','chapter_detail_id' => '2559','translator_id' => '4','verse_number' => '76','translate_name' => '(و) اذكر (نوحاً) وما بعده بدل منه (إذ نادى) دعا على قومه بقوله "" رب لا تذر "" إلخ (من قبل) أي قبل إبراهيم ولوط (فاستجبنا له فنجيناه وأهله) الذين في سفينته (من الكرب العظيم) أي الغرق وتكذيب قومه له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21268','chapter_id' => '21','chapter_detail_id' => '2560','translator_id' => '4','verse_number' => '77','translate_name' => '«ونصرناه» منعناه «من القوم الذين كذبوا بآياتنا» الدالة على رسالته أن لا يصلوا إليه بسوء «إنهم كانوا قوم سوء فأغرقناهم أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21269','chapter_id' => '21','chapter_detail_id' => '2561','translator_id' => '4','verse_number' => '78','translate_name' => '«و» اذكر «داود وسليمان» أي قصتهما ويبدل منهما «إذ يحكمان في الحرث» هو زرع أو كرم «إذ نفشت فيه غنم القوم» أي رعته ليلاً بلا راع بأن انفلتت «وكنا لحكمهم شاهدين» فيه استعمال ضمير الجمع لاثنين، قال داود لصاحب الحرث رقاب الغنم، وقال سليمان: ينتفع بدرها ونسلها وصوفها إلى أن يعود الحرث كما كان بإصلاح صاحبها فيردها إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21270','chapter_id' => '21','chapter_detail_id' => '2562','translator_id' => '4','verse_number' => '79','translate_name' => '«ففهمناها» أي الحكومة «سليمان» وحكمهما باجتهاد ورجع داود إلى سليمان وقيل بوحي والثاني ناسخ للأول «وكلا» منهما «آتينا» ه «حكماً» نبوة «وعلماً» بأمور الدين «وسخرنا مع داود الجبال يسبحن والطير» كذلك سخرا للتسبيح معه لأمره به إذا وجد فترة لينشط له «وكنا فاعلين» تسخير تسبيحهما معه، وإن كان عجباً عندكم: أي مجاوبته للسيد داود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21271','chapter_id' => '21','chapter_detail_id' => '2563','translator_id' => '4','verse_number' => '80','translate_name' => '«وعلمناه صنعة لَبُوس» وهي الدرع لأنها تلبس، وهو أول من صنعها وكان قبلها صفائح «لكم» في جملة الناس «لنحصنكم» بالنون لله وبالتحتانية لداود وبالفوقانية للبوس «من بأسكم» حربكم مع أعدائكم «فهل أنتم» يا أهل مكة «شاكرون» نعمتي بتصديق الرسول: أي اشكروني بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21272','chapter_id' => '21','chapter_detail_id' => '2564','translator_id' => '4','verse_number' => '81','translate_name' => '«و» سخرنا «لسليمان الريح عاصفة» وفي آية أخرى: رخاء، أي شديدة الهبوب وخفيفته حسب إرادته «تجري بأمره إلى الأرض التي باركنا فيها» وهي الشام «وكنا بكل شيء عالمين» من ذلك علم الله تعالى بأن ما يعطيه سليمان يدعوه إلى الخضوع لربه ففعله تعالى على مقتضى علمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21273','chapter_id' => '21','chapter_detail_id' => '2565','translator_id' => '4','verse_number' => '82','translate_name' => '«و» سخرنا «من الشياطين من يغوصون له» يدخلون في البحر فيُخرجون منه الجواهر لسليمان «ويعلمون عملاً دون ذلك» أي سوى الغوص من البناء وغيره «وكنا لهم حافظين» من أن يُفسدوا ما عملوا، لأنهم كانوا إذا فرغوا من عمل قبل الليل أفسدوه إن لم يشتغلوا بغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21274','chapter_id' => '21','chapter_detail_id' => '2566','translator_id' => '4','verse_number' => '83','translate_name' => '«و» اذكر «أيوب» ويبدل منه «إذ نادى ربه» لما ابتلي بفقد جميع ماله وولده وتمزيق جسده وهجر جميع الناس له إلا زوجته سنين ثلاثا أو سبعاً أو ثماني عشرة وضيق عيشه «أني» بفتح الهمزة بتقدير الياء «مسنيَ الضر» أي الشدة «وأنت أرحم الراحمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21275','chapter_id' => '21','chapter_detail_id' => '2567','translator_id' => '4','verse_number' => '84','translate_name' => '«فاستجبنا له» نداءه «فكشفنا ما به من ضر وآتيناه أهله» أولاده الذكور والإناث بأن أحيوا له وكل من الصنفين ثلاث أو سبع «ومثلهم معهم» من زوجته وزيد في شبابها، وكان له أندر للقمح وأندر للشعير فبعث الله سحابتين أفرغت إحداهما على أندر القمح الذهب وأفرغت الأخرى على أندر الشعير الورق حتى فاض «رحمة» مفعول له «من عندنا» صفة «وذكرى للعابدين» ليصبروا فيثابوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21276','chapter_id' => '21','chapter_detail_id' => '2568','translator_id' => '4','verse_number' => '85','translate_name' => '«و» اذكر «إسماعيل وإدريس وذا الكفل كل من الصابرين» على طاعة الله وعن معاصيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21277','chapter_id' => '21','chapter_detail_id' => '2569','translator_id' => '4','verse_number' => '86','translate_name' => '«وأدخلناهم في رحمتنا» من النبوة «إنهم من الصالحين» لها وسمي ذا الكفل لأنه تكفل بصيام جميع نهاره وقيام جميع ليله وأن يقضي بين الناس ولا يغضب فوفى بذلك وقيل لم يكن نبيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21278','chapter_id' => '21','chapter_detail_id' => '2570','translator_id' => '4','verse_number' => '87','translate_name' => '«و» اذكر «ذا النون» صاحب الحوت وهو يونس بن متى ويبدل منه «إذ ذهب مغاضباً» لقومه أي غضبان عليهم مما قاسى منهم ولم يؤذن له في ذلك «فظن أن لن نقدر عليه» أي نقضي عليه بما قضيناه من حبسه في بطن الحوت، أو نضيق عليه بذلك «فنادى في الظلمات» ظلمة الليل وظلمة البحر وظلمة بطن الحوت «أن» أي بأن «لا إله إلا أنت سبحانك إني كنت من الظالمين» في ذهابي من بين قومي بلا إذن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21279','chapter_id' => '21','chapter_detail_id' => '2571','translator_id' => '4','verse_number' => '88','translate_name' => '«فاستجبنا له ونجيناه من الغم» بتلك الكلمات «وكذلك» كما نجيناه «ننجي المؤمنين» من كربهم إذا استغاثوا بنا داعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21280','chapter_id' => '21','chapter_detail_id' => '2572','translator_id' => '4','verse_number' => '89','translate_name' => '«و» اذكر «زكريا» ويبدل منه «إذ نادى ربه» بقوله «رب لا تذرني فرداً» أي بلا ولد يرثني «وأنت خير الوارثين» الباقي بعد فناء خلقك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21281','chapter_id' => '21','chapter_detail_id' => '2573','translator_id' => '4','verse_number' => '90','translate_name' => '«فاستجبنا له» نداءه «ووهبنا له يحيى» ولداً «وأصلحنا له زوجه» فأتت بالولد بعد عقمها «إنهم» أي من ذُكر من الأنبياء «كانوا يسارعون» يبادرون «في الخيرات» الطاعات «ويدعوننا رغباً» في رحمتنا «ورهباً» من عذابنا «وكانوا لنا خاشعين» متواضعين في عبادتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21282','chapter_id' => '21','chapter_detail_id' => '2574','translator_id' => '4','verse_number' => '91','translate_name' => '«و» اذكر مريم «التي أحصنت فرجها» حفظته من أن ينال «فنفخنا فيها من روحنا» أي جبريل حيث نفخ في جيب درعها فحملت بعيسى «وجعلناها وابنها آية للعالمين» الإنس والجن والملائكة حيث ولدته من غير فحل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21283','chapter_id' => '21','chapter_detail_id' => '2575','translator_id' => '4','verse_number' => '92','translate_name' => '«إن هذه» أي ملة الإسلام «أمتكم» دينكم أيها المخاطبون أي يجب أن تكونوا عليها «أمة واحدة» حال لازمة «وأنا ربكم فاعبدون» وحدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21284','chapter_id' => '21','chapter_detail_id' => '2576','translator_id' => '4','verse_number' => '93','translate_name' => '«وتَقطَّعوا» أي بعض المخاطبين «أمرهم بينهم» أي تفرقوا أمر دينهم متخالفين فيه، وهم طوائف اليهود والنصارى قال تعالى: «كل إلينا راجعون» أي فنجازيه بعمله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21285','chapter_id' => '21','chapter_detail_id' => '2577','translator_id' => '4','verse_number' => '94','translate_name' => '«فمن يعمل من الصالحات وهو مؤمن فلا كفران» أي لا جحود «لسعيه وإنا له كاتبون» بأن نأمر الحفظة بكتبه فنجازيه عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21286','chapter_id' => '21','chapter_detail_id' => '2578','translator_id' => '4','verse_number' => '95','translate_name' => '«وحرام على قرية أهلكناها» أريد أهلها «أنهم لا» زائدة «يرجعون» أي ممتنع رجوعهم إلى الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21287','chapter_id' => '21','chapter_detail_id' => '2579','translator_id' => '4','verse_number' => '96','translate_name' => '«حتى» غاية لامتناع رجوعهم «إذا فتحت» بالتخفيف والتشديد «يأجوج ومأجوج» بالهمز وتركه اسمان أعجميان لقبيلتين، ويقدر قبله مضاف أي سدهما وذلك قرب القيامة «وهم من كل حدب» مرتفع من الأرض «ينسلُون» يسرعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21288','chapter_id' => '21','chapter_detail_id' => '2580','translator_id' => '4','verse_number' => '97','translate_name' => '«واقترب الوعد الحق» أي يوم القيامة «فإذا هي» أي القصة «شاخصة أبصار الذين كفروا» في ذلك اليوم لشدته، يقولون «يا» للتنبيه «ويلنا» هلاكنا «قد كنا» في الدنيا «في غفلة من هذا» اليوم «بل كنا ظالمين» أنفسنا بتكذيبنا للرسل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21289','chapter_id' => '21','chapter_detail_id' => '2581','translator_id' => '4','verse_number' => '98','translate_name' => '«إنكم» يا أهل مكة «وما تعبدون من دون الله» أي غيره من الأوثان «حصب جهنم» وقودها «أنتم لها واردون» داخلون فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21290','chapter_id' => '21','chapter_detail_id' => '2582','translator_id' => '4','verse_number' => '99','translate_name' => '«لو كان هؤلاء» الأوثان «آلهة» كما زعمتم «ما وردوها» دخلوها «وكل» من العابدين والمعبودين «فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21291','chapter_id' => '21','chapter_detail_id' => '2583','translator_id' => '4','verse_number' => '100','translate_name' => '«لهم» للعابدين «فيها زفير وهم فيها لا يسمعون» شيئاً لشدة غليانها. ونزل لما قال ابن الزبعري عبد عزير والمسيح والملائكة فهم في النار على مقتضى ما تقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21292','chapter_id' => '21','chapter_detail_id' => '2584','translator_id' => '4','verse_number' => '101','translate_name' => '«إن الذين سبقت لهم منا» المنزلة «الحسنى» ومنهم من ذكر «أولئك عنها مبعدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21293','chapter_id' => '21','chapter_detail_id' => '2585','translator_id' => '4','verse_number' => '102','translate_name' => '«لا يسمعون حسيسها» صوتها «وهم في ما اشتهت أنفسهم» من النعيم «خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21294','chapter_id' => '21','chapter_detail_id' => '2586','translator_id' => '4','verse_number' => '103','translate_name' => '«لا يحزنهم الفزع الأكبر» وهو أن يؤمر بالعبد إلى النار «وتتلقاهم» تستقبلهم «الملائكة» عند خروجهم من القبور يقولون لهم «هذا يومكم الذي كنتم توعدون» في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21295','chapter_id' => '21','chapter_detail_id' => '2587','translator_id' => '4','verse_number' => '104','translate_name' => '«يوم» منصوب باذكر مقدراً قبله «نطوي السماء كطي السجل» اسم ملك «للكتاب» صحيفة ابن آدم عند موته واللام زائدة أو السجل الصحيفة والكتاب بمعنى المكتوب واللام بمعنى على وفي قراءة للكتب جمعاً «كما بدأنا أول خلق» من عدم «نُعيده» بعد إعدامه فالكاف متعلقة بنعيد وضميره عائد إلى أول وما مصدرية «وعداً علينا» منصوب بوعدنا مقدراً قبله وهو مؤكد لمضمون ما قبله «إنا كنا فاعلين» ما وعدناه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21296','chapter_id' => '21','chapter_detail_id' => '2588','translator_id' => '4','verse_number' => '105','translate_name' => '«ولقد كتبنا في الزبور» بمعنى الكتاب أي كتب الله المنزلة «من بعد الذكر» بمعنى أم الكتاب الذي عند الله «أن الأرض» أرض الجنة «يرثها عبادي الصالحون» عام في كل صالح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21297','chapter_id' => '21','chapter_detail_id' => '2589','translator_id' => '4','verse_number' => '106','translate_name' => '«إن في هذا» القرآن «لبلاغاً» كفاية في دخول الجنة «لقوم عابدين» عاملين به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21298','chapter_id' => '21','chapter_detail_id' => '2590','translator_id' => '4','verse_number' => '107','translate_name' => '«وما أرسلناك» يا محمد «إلا رحمة» أي للرحمة «للعالمين» الإنس والجن بك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21299','chapter_id' => '21','chapter_detail_id' => '2591','translator_id' => '4','verse_number' => '108','translate_name' => '«قل إنما يوحى إليَّ أنما إلهكم إله واحد» أي ما يوحى إليَّ في أمر الإله إلا وحدانيته «فهل أنتم مسلمون» منقادون لما يوحى إليَّ من وحدانية الإله والاستفهام بمعنى الأمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21300','chapter_id' => '21','chapter_detail_id' => '2592','translator_id' => '4','verse_number' => '109','translate_name' => '«فإن تولوا» عن ذلك «فقل آذنتكم» أعلمتكم بالحرب «على سواء» حال من الفاعل والمفعول، أي مستوين في علمه لا أستبد به دونكم لتتأهبوا «وإن» ما «أدري أقريب أم بعيد ما توعدون» من العذاب أو القيامة المشتملة عليه وإنما يعلمه الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21301','chapter_id' => '21','chapter_detail_id' => '2593','translator_id' => '4','verse_number' => '110','translate_name' => '«إنه» تعالى «يعلم الجهر من القول» والفعل منكم ومن غيركم «ويعلم ما تكتمون» أنتم وغيركم من السر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21302','chapter_id' => '21','chapter_detail_id' => '2594','translator_id' => '4','verse_number' => '111','translate_name' => '«وإن» ما «أدري لعله» أي ما أعلمتكم به ولم يعلم وقته «فتنة» اختبار «لكم» ليرى كيف صنعكم «ومتاع» تمتع «إلى حين» أي انقضاء آجالكم وهذا مقابل للأول المترجى بلعل وليس الثاني محلا للترجي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21303','chapter_id' => '21','chapter_detail_id' => '2595','translator_id' => '4','verse_number' => '112','translate_name' => '(قل) وفي قراءة قال (رب احكم) بيني وبين مكذبي (بالحق) بالعذاب لهم أو النصر عليهم، فعذبوا ببدر وأحد وحنين والأحزاب والخندق ونصر عليهم (وربنا الرحمن المستعان على ما تصفون) من كذبكم على الله في قولكم "" اتخذ ولداً "" وعلي في قولكم: ساحر، وعلى القرآن في قولكم: شعر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21304','chapter_id' => '22','chapter_detail_id' => '2596','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها الناس» أي أهل مكة وغيرهم «اتقوا ربكم» أي عقابه بأن تطيعوه «إنَّ زلزلة الساعة» أي الحركة الشديدة للأرض التي يكون بعدها طلوع الشمس من مغربها الذي هو قرب الساعة «شيء عظيم» في إزعاج الناس الذي هو نوع من العقاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21305','chapter_id' => '22','chapter_detail_id' => '2597','translator_id' => '4','verse_number' => '2','translate_name' => '«يوم ترَوْنها تذُهَلُ» بسببها «كل مرضعة» بالفعل «عما أرضعت» أي تنساه «وتضع كل ذات حمل» أي حبلى «حملها وترى الناس سكارى» من شدة الخوف «وما هم بسكارى» من الشراب «ولكن عذاب الله شديد» فهم يخافونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21306','chapter_id' => '22','chapter_detail_id' => '2598','translator_id' => '4','verse_number' => '3','translate_name' => 'ونزل في النضر بن الحارث وجماعته «ومن الناس من يجادل في الله بغير علم» قالوا: الملائكة بنات الله، والقرآن أساطير الأولين، وأنكروا البعث وإحياء من صار ترابا «ويتبع» في جداله «كل شيطان مريد» أي متمرد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21307','chapter_id' => '22','chapter_detail_id' => '2599','translator_id' => '4','verse_number' => '4','translate_name' => '«كتب عليه» قضي على الشيطان «أنه من تولاه» أي اتبعه «فأنه يضله ويهديه» يدعوه «إلى عذاب السعير» أي النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21308','chapter_id' => '22','chapter_detail_id' => '2600','translator_id' => '4','verse_number' => '5','translate_name' => '«يا أيها الناس» أي أهل مكة «إن كنتم في ريب» شك «من البعث فإنا خلقناكم» أي أصلكم آدم «من تراب ثم» خلقنا ذريته «من نطفة» منيّ «ثم من علقة» وهي الدم الجامد «ثم من مضغة» وهي لحمة قدر ما يمضغ «مخلقة» مصورة تامة الخلق «وغير مخلقة» أي غير تامة الخلق «لنبين لكم» كمال قدرتنا لتستدلوا بها في ابتداء الخلق على إعادته «ونُقرُّ» مستأنف «في الأرحام ما نشاء إلى أجل مسمى» وقت خروجه «ثم نخرجكم» من بطون أمهاتكم «طفلا» بمعنى أطفالا «ثم» نعمركم «لتبلغوا أشدكم» أي الكمال والقوة وهو ما بين الثلاثين إلى الأربعين سنة «ومنكم من يُتوفى» يموت قبل بلوغ الأشد «ومنكم من يرد إلى أرذل العمر» أخسه من الهرم والخرف «لكيلا يعلم من بعد علم شيئا» قال عكرمة من قرأ القرآن لم يصر بهذه الحالة «وترى الأرض هامدة» يابسة «فإذا أنزلنا عليها الماء اهتزت» تحركت «وَرَبَتْ» ارتفعت وزادت «وأنبتت من» زائدة «كلّ زوج» صنف «بهيج» حسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21309','chapter_id' => '22','chapter_detail_id' => '2601','translator_id' => '4','verse_number' => '6','translate_name' => '«ذلك» المذكور من بدء خلق الإنسان إلى آخر إحياء الأرض «بأن» بسبب أن «الله هو الحق» الثابت الدائم «وأنه يحيى الموتى وأنه على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21310','chapter_id' => '22','chapter_detail_id' => '2602','translator_id' => '4','verse_number' => '7','translate_name' => '«وأن الساعة آتية لا ريب» شك «فيها وأن الله يبعث من في القبور» ونزل في أبي جهل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21311','chapter_id' => '22','chapter_detail_id' => '2603','translator_id' => '4','verse_number' => '8','translate_name' => '«ومن الناس من يجادل في الله بغير علم ولا هدى» معه «ولا كتاب منير» له نور معه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21312','chapter_id' => '22','chapter_detail_id' => '2604','translator_id' => '4','verse_number' => '9','translate_name' => '«ثانيَ عطفه» حال أي لاويَ عنقه تكبرا عن الإيمان والعطف الجانب عن يمين أو شمال «ليَضِلَّ» بفتح الياء وضمها «عن سبيل الله» أي دينه «له في الدنيا خزي» عذاب فقتل يوم بدر «ونذيقه يوم القيامة عذاب الحريق» أي الإحراق بالنار، ويقال له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21313','chapter_id' => '22','chapter_detail_id' => '2605','translator_id' => '4','verse_number' => '10','translate_name' => '«ذلك بما قدمت يداك» أي قدمته عبر عنه بهما دون غيرهما لأن أكثر الأفعال تزاول بهما «وأن الله ليس بظلام» أي بذي ظلم «للعبيد» فيعذبهم بغير ذنب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21314','chapter_id' => '22','chapter_detail_id' => '2606','translator_id' => '4','verse_number' => '11','translate_name' => '«ومن الناس من يعبد الله على حرف» أي شك في عبادته، شبه بالحالِّ على حرف جبل في عدم ثباته «فإن أصابه خير» صحة وسلامة في نفسه وماله «اطمأن به وإن أصابته فتنة» محنة وسقم في نفسه وماله «انقلب على وجهه» أي رجع إلى الكفر «خسر الدنيا» بفوات ما أمله منها «والآخرة» بالكفر «ذلك هو الخسران المبين» البيِّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21315','chapter_id' => '22','chapter_detail_id' => '2607','translator_id' => '4','verse_number' => '12','translate_name' => '«يدعو» يعبد «من دون الله» من الصنم «ما لا يضره» إن لم يعبده «وما لا ينفعه» إن عبده «ذلك» الدعاء «هو الضلال البعيد» عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21316','chapter_id' => '22','chapter_detail_id' => '2608','translator_id' => '4','verse_number' => '13','translate_name' => '«يدعو لمن» اللام زائدة «ضره» بعبادته «أقرب من نفعه» إن نفع بتخيله «لبئس المولى» هو أي الناصر «ولبئس العشير» الصاحب هو، وعقب ذكر الشاك بالخسران بذكر المؤمنين بالثواب في.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21317','chapter_id' => '22','chapter_detail_id' => '2609','translator_id' => '4','verse_number' => '14','translate_name' => '«إن الله يدخل الذين آمنوا وعملوا الصالحات» من الفروض والنوافل «جناتِ تجري من تحتها الأنهار إن الله يفعل ما يريد» من إكرام من يعطيه وإهانة من يعصيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21318','chapter_id' => '22','chapter_detail_id' => '2610','translator_id' => '4','verse_number' => '15','translate_name' => '«من كان يظن أن لن ينصره الله» أي محمدا نبيه «في الدنيا والآخرة فليمدد بسبب» بحبل «إلى السماء» أي سقف بيته يشدّه فيه وفي عنقه «ثم ليقطع» أي ليختنق به بأن يقطع نفسه من الأرض كما في الصحاح «فلينظر هل يُذهبن كيده» في عدم نصرة النبي «ما يغيظ» منها المعنى فليختنق غيظا منها فلا بد منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21319','chapter_id' => '22','chapter_detail_id' => '2611','translator_id' => '4','verse_number' => '16','translate_name' => '«وكذلك» أي مثل إنزالنا الآية السابقة «أنزلناه» أي القرآن الباقي «آيات بينات» ظاهرات حال «وأن الله يهدي من يريد» هداه معطوف على هاء أنزلناه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21320','chapter_id' => '22','chapter_detail_id' => '2612','translator_id' => '4','verse_number' => '17','translate_name' => '«إن الذين آمنوا والذين هادوا» هم اليهود «والصابئين» طائفة منهم «والنصارى والمجوس والذين أشركوا إن الله يفصل بينهم يوم القيامة» بإدخال المؤمنين الجنة وإدخال غيرهم النار «إن الله على كل شيء» من عملهم «شهيد» عالم به علم مشاهدة','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21321','chapter_id' => '22','chapter_detail_id' => '2613','translator_id' => '4','verse_number' => '18','translate_name' => '«ألم تر» تعلم «أن الله يسجد له من في السماوات ومن في الأرض والشمس والقمر والنجوم والجبال والشجر والدواب» أي يخضع له بما يراد منه «وكثير من الناس» وهم المؤمنون بزيادة على الخضوع في سجود الصلاة «وكثير حق عليه العذاب» وهم الكافرون لأنهم أبوا السجود المتوقف على الإيمان «ومن يهن الله» يشقه «فما له من مكرم» مسعد «إن الله يفعل ما يشاء» من الإهانة والإكرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21322','chapter_id' => '22','chapter_detail_id' => '2614','translator_id' => '4','verse_number' => '19','translate_name' => '«هذان خصمان» أي المؤمنون خصم، والكفار الخمسة خصم، وهو يطلق على الواحد والجماعة «اختصموا في ربهم» أي في دينه «فالذين كفروا قطعت لهم ثياب من نار» يلبسونها يعني أحيطت بهم النار «يصب من فوق رؤوسهم الحميم» الماء البالغ نهاية الحرارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21323','chapter_id' => '22','chapter_detail_id' => '2615','translator_id' => '4','verse_number' => '20','translate_name' => '«يصهر» يذاب «به ما في بطونهم» من شحوم وغيرها «و» تشوى به «الجلود».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21324','chapter_id' => '22','chapter_detail_id' => '2616','translator_id' => '4','verse_number' => '21','translate_name' => '«ولهم مقامع من حديد» لضرب رؤوسهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21325','chapter_id' => '22','chapter_detail_id' => '2617','translator_id' => '4','verse_number' => '22','translate_name' => '«كلما أرادوا أن يخرجوا منها» أي النار «من غم» يلحقهم بها «أعيدوا فيها» ردوا إليها بالمقامع «و» قيل لهم «ذوقوا عذاب الحريق» أي البالغ نهاية الإحراق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21326','chapter_id' => '22','chapter_detail_id' => '2618','translator_id' => '4','verse_number' => '23','translate_name' => 'وقال في المؤمنين «إن الله يدخل الذين آمنوا وعملوا الصالحات جنات تجري من تحتها الأنهار يحلون فيها من أساور من ذهب ولؤلؤ» بالجرّ أي منهما بأن يرصع اللؤلؤ بالذهب، وبالنصب عطفا على محل من أساور «ولباسهم فيها حرير» هو المحرَّم لبسه على الرجال في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21327','chapter_id' => '22','chapter_detail_id' => '2619','translator_id' => '4','verse_number' => '24','translate_name' => '«وهدوا» في الدنيا «إلى الطيب من القول» وهو لا إله إلا الله «وهدوا إلى صراط الحميد» أي طريق الله المحمود ودينه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21328','chapter_id' => '22','chapter_detail_id' => '2620','translator_id' => '4','verse_number' => '25','translate_name' => '«إن الذين كفروا ويصدون عن سبيل الله» طاعته «و» عن «المسجد الحرام الذي جعلناه» منسكا ومتعبدا «للناس سواءً العاكف» المقيم «فيه والباد» الطارئ «ومن يرد فيه بإلحاد» الباء زائدة «بظلم» أي بسببه بأن ارتكب منهيا، ولو شتم الخادم «نذقه من عذاب أليم» مؤلم: أي بعضه، ومن هذا يؤخذ خبر إن: أي نذيقهم من عذاب أليم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21329','chapter_id' => '22','chapter_detail_id' => '2621','translator_id' => '4','verse_number' => '26','translate_name' => '«و» اذكر «إذ بوأنا» بينا «لإبراهيم مكان البيت» ليبنيه، وكان قد رفع زمن الطوفان، وأمرناه «أن لا تشرك بي شيئا وطهر بيتي» من الأوثان «للطائفين والقائمين» المقيمين به «والركع السجود» جمع راكع وساجد: المصلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21330','chapter_id' => '22','chapter_detail_id' => '2622','translator_id' => '4','verse_number' => '27','translate_name' => '«وأذِّن» ناد «في الناس بالحج» فنادى على جبل أبي قبيس: يا أيها الناس إن ربكم بنى بيتاً وأوجب عليكم الحج إليه فأجيبوا ربكم، والتفت بوجهه يمينا وشمالا وشرقا وغربا، فأجابه كل من كتب له أن يحج من أصلاب الرجال وأرحام الأمهات: لبيك اللهم لبيك، وجواب الأمر «يأتوك رجالا» مشاة جمع راجل كقائم وقيام «و» ركبانا «على كل ضامر» أي بعير مهزول وهو يطلق على الذكر والأنثى «يأتين» أي الضوامر حملا على المعنى «من كل فج عميق» طريق بعيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21331','chapter_id' => '22','chapter_detail_id' => '2623','translator_id' => '4','verse_number' => '28','translate_name' => '«ليشهدوا» أي يحضروا «منافع لهم» في الدنيا بالتجارة أو في الآخرة أو فيهما أقوال «ويذكروا اسم الله في أيام معلومات» أي عشر ذي الحجة أو يوم عرفة أو يوم النحر إلى آخر أيام التشريق أقوال «على ما رزقهم من بهيمة الأنعام» الإبل والبقر والغنم التي تنحر في يوم العيد، وما بعده من الهدايا والضحايا «فكلوا منها» إذا كانت مستحبة «وأطعموا البائس الفقير» أي الشديد الفقر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21332','chapter_id' => '22','chapter_detail_id' => '2624','translator_id' => '4','verse_number' => '29','translate_name' => '«ثم ليقضوا تفثهم» أي يزيلوا أوساخهم وشعثهم كطول الظفر «وليوفوا» بالتخفيف والشديد «نذورهم» من الهدايا والضحايا «وليطوفوا» طواف الإفاضة «بالبيت العتيق» أي القديم لأنه أول بيت وضع للناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21333','chapter_id' => '22','chapter_detail_id' => '2625','translator_id' => '4','verse_number' => '30','translate_name' => '«ذلك» خبر مبتدأ مقدر: أي الأمر أو الشأن ذلك المذكور «ومن يعظم حرمات الله» هي ما لا يحل انتهاكه «فهو» أي تعظيمها «خير له عند ربه» في الآخرة «وأحلت لكم الأنعام» أكلا بعد الذبح «إلا ما يتلى عليكم» تحريم في (حرمت عليكم الميتة) الآية فالاستثناء منقطع، ويجوز أن يكون متصلا، والتحريم لما عرض من الموت ونحوه «فاجتنبوا الرجس من الأوثان» من للبيان أي الذي هو الأوثان «واجتنبوا قول الزور» أي الشرك بالله في تلبيتكم أو شهادة الزور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21334','chapter_id' => '22','chapter_detail_id' => '2626','translator_id' => '4','verse_number' => '31','translate_name' => '«حنفاء لله» مسلمين عادلين عن كل دين سوى دينه «غير مشركين به» تأكيد لما قبله، وهما حالان من الواو «ومن يشرك بالله فكأنما خر» سقط «من السماء فتخطفه الطير» أي تأخذه بسرعة «أو تهوي به الريح» أي تسقطه «في مكان سحيق» بعيد فهو لا يرجى خلاصه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21335','chapter_id' => '22','chapter_detail_id' => '2627','translator_id' => '4','verse_number' => '32','translate_name' => '«ذلك» يقدر قبله الأمر، مبتدأ «ومن يعظم شعائر الله فإنها» أي فإن تعظيمها وهي البدن التي تهدى للحرم بأن تُستَحسَنَ وتُستمنَ «من تقوى القلوب» منهم، وسميت شعائر لإشعارها بما تعرف به أنها هدي طعن حديد بسنامها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21336','chapter_id' => '22','chapter_detail_id' => '2628','translator_id' => '4','verse_number' => '33','translate_name' => '«لكم فيها منافع» كركوبها ولحمل عليها ما لا يضرها «إلى أجل مسمى» وقت نحرها «ثم محلها» أي مكان حل نحرها «إلى البيت العتيق» أي عنده، والمراد الحرم جميعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21337','chapter_id' => '22','chapter_detail_id' => '2629','translator_id' => '4','verse_number' => '34','translate_name' => '«ولكل أمة» أي جماعة مؤمنة سلفت قبلكم «جعلنا منسكا» بفتح السين مصدر وبكسرها اسم مكان: أي ذبحا قربانا أو مكانه «ليذكروا اسم الله على ما رزقهم من بهيمة الأنعام» عند ذبحها «فإلهكم إله واحد فله أسلموا» انقادوا «وبشر المخبتين» المطيعين المتواضعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21338','chapter_id' => '22','chapter_detail_id' => '2630','translator_id' => '4','verse_number' => '35','translate_name' => '«الذين إذا ذكر الله وجلت» خافت «قلوبهم والصابرين على ما أصابهم» من البلايا «والمقيمي الصلاة» في أوقاتها «ومما رزقناهم ينفقون» يتصدقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21339','chapter_id' => '22','chapter_detail_id' => '2631','translator_id' => '4','verse_number' => '36','translate_name' => '«والبدن» جمع بدنة: وهي الإبل «جعلناها لكم من شعائر الله» أعلام دينه «لكم فيها خير» نفع في الدنيا كما تقدم، وأجر في العقبى «فاذكروا اسم الله عليها» عند نحرها «صوافَّ» قائمة على ثلاث معقولة اليد اليسرى «فإذا وجبت جنوبها» سقطت إلى الأرض بعد النحر: وهو وقت الأكل منها «فكلوا منها» إن شئتم «وأطعموا القانع» الذي يقنع بما يعطى ولا يسأل ولا يتعرّض «والمعترَّ» والسائل أو المتعرض «كذلك» أي مثل ذلك التسخير «سخرناها لكم» بأن تُنحر وتركب، وإلا لم تطق «لعلكم تشكرون» إنعامي عليكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21340','chapter_id' => '22','chapter_detail_id' => '2632','translator_id' => '4','verse_number' => '37','translate_name' => '«لن ينال الله لحومها ولا دماؤها» أي لا يرفعان إليه «ولكن يناله التقوى منكم» أي يرفع إليه منكم العمل الصالح الخالص له مع الإيمان «كذلك سخرها لكم لتكبروا الله على ما هداكم» أرشدكم لمعالم دينه ومناسك حجه «وبشر المحسنين» أي الموحدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21341','chapter_id' => '22','chapter_detail_id' => '2633','translator_id' => '4','verse_number' => '38','translate_name' => '«إن الله يدافع عن الذين آمنوا» غوائل المشركين «إن الله لا يحب كل خوَّانِ» في أمانته «كفور» لنعمته، وهم المشركون المعنى أنه يعاقبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21342','chapter_id' => '22','chapter_detail_id' => '2634','translator_id' => '4','verse_number' => '39','translate_name' => '«أذن للذين يقاتلون» أي للمؤمنين أن يقاتلوا، وهذه أول آية نزلت في الجهاد «بأنهم» أي بسبب أنهم «ظلموا» لظلم الكافرين إياهم «وإن الله على نصرهم لقدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21343','chapter_id' => '22','chapter_detail_id' => '2635','translator_id' => '4','verse_number' => '40','translate_name' => 'هم «الذين أخرجوا من ديارهم بغير حق» في الإخراج، ما أخرجوا «إلا أن يقولوا» أي بقولهم «ربنا الله» وحده وهذا القول حق فالإخراج به إخراج بغير حق «ولولا دفع الله الناس بعضهم» بدل بعض من الناس «ببعض لهدمت» بالتشديد للتكثير وبالتخفيف «صوامع» للرهبان «وبيع» كنائس للنصارى «وصلوات» كنائس لليهود بالعبرانية «ومساجد» للمسلمين «يذكر فيها» أي المواضع المذكورة «اسم الله كثيرا» وتنقطع العبادات بخرابها «ولينصرن الله من ينصره» أي ينصر دينه «إن الله لقويٌ» على خلقه «عزيز» منيع في سلطانه وقدرته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21344','chapter_id' => '22','chapter_detail_id' => '2636','translator_id' => '4','verse_number' => '41','translate_name' => '«الذين إن مكانهم في الأرض» بنصرهم على عدوهم «أقاموا الصلاة وآتوا الزكاة وأمروا بالمعروف ونهوا عن المنكر» جواب الشرط، وهو وجوابه صلة الموصول، ويقدر قبله هم بمبتدأ «ولله عاقبة الأمور» أي إليه مرجعها في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21345','chapter_id' => '22','chapter_detail_id' => '2637','translator_id' => '4','verse_number' => '42','translate_name' => '«وإن يكذبوك» إلى آخره فيه تسليه للنبي صلى الله عليه وسلم «فقد كذبت قبلهم قوم نوح» تأنيث قوم باعتبار المعنى «وعاد» قوم هود «وثمود» قوم صالح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21346','chapter_id' => '22','chapter_detail_id' => '2638','translator_id' => '4','verse_number' => '43','translate_name' => '«وقوم إبراهيم وقوم لوط».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21347','chapter_id' => '22','chapter_detail_id' => '2639','translator_id' => '4','verse_number' => '44','translate_name' => '«وأصحاب مدين» قوم شعيب «وكُذب موسى» كذبه القبط لا قومه بنو إسرائيل أي كذب هؤلاء رسلهم فلك أسوة بهم «فأمليتُ للكافرين» أمهلتهم بتأخير العقاب لهم «ثم أخذتهم» بالعذاب «فكيف كان نكير» أي إنكاري عليم بتكذيبهم بإهلاكهم والاستفهام للتقرير: أي هو واقع موقعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21348','chapter_id' => '22','chapter_detail_id' => '2640','translator_id' => '4','verse_number' => '45','translate_name' => '«فكأين» أي كم «من قرية أهلكتها» وفي قراءة أهلكناها «وهي ظالمة» أي أحلها بكفرهم «فهي خاوية» ساقطة «على عروشها» سقوفها «و» كم من «بئر معطلة» متروكة بموت أهلها «وقصر مشيد» رفيع خال بموت أهله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21349','chapter_id' => '22','chapter_detail_id' => '2641','translator_id' => '4','verse_number' => '46','translate_name' => '«أفلم يسيروا» أي كفار مكة «في الأرض فتكون لهم قلوب يعقلون بها» ما نزل بالمكذبين قبلهم «أو آذان يسمعون بها» أخبارهم بإلاهلاك وخراب الديار فيعتبروا «فإنها» أي القصة «لا تعمى الأبصار ولكن تعمى القلوب التي في الصدور» تأكيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21350','chapter_id' => '22','chapter_detail_id' => '2642','translator_id' => '4','verse_number' => '47','translate_name' => '«ويستعجلونك بالعذاب ولن يخلف الله وعده» بإنزال العذاب فأنزله يوم بدر «وإنَّ يوما عند ربك» من أيام الآخرة بسبب العذاب «كألف سنة مما تعدون» بالتاء والياء في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21351','chapter_id' => '22','chapter_detail_id' => '2643','translator_id' => '4','verse_number' => '48','translate_name' => '«وكأيِّن من قرية أمليت لها وهي ظالمة ثم أخذتها» المراد أهلها «وإليَّ المصير» المرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21352','chapter_id' => '22','chapter_detail_id' => '2644','translator_id' => '4','verse_number' => '49','translate_name' => '«قل يا أيها الناس» أهل مكة «إنما أنا لكم نذير مبين» الإنذار وأنا بشير للمؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21353','chapter_id' => '22','chapter_detail_id' => '2645','translator_id' => '4','verse_number' => '50','translate_name' => '«فالذين آمنوا وعملوا الصالحات لهم مغفرة» من الذنوب «ورزق كريم» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21354','chapter_id' => '22','chapter_detail_id' => '2646','translator_id' => '4','verse_number' => '51','translate_name' => '«والذين سعوْا في آياتنا» القرآن بإبطالها «معجِّزين» من اتبع النبي أي ينسبونهم إلى العجز، ويثبطونهم عن الإيمان أو مقدرين عجزنا عنهم، وفي قراءة معاجزين: مسابقين لنا، أي يظنون أن يفوتونا بإنكارهم البعث والعقاب «أولئك أصحاب الجحيم» النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21355','chapter_id' => '22','chapter_detail_id' => '2647','translator_id' => '4','verse_number' => '52','translate_name' => '«وما أرسلنا من قبلك من رسول» هو نبي أمر بالتبليغ «ولا نبي» أي لم يؤمر بالتبليغ «إلا إذا تمنى» قرأ «ألقى الشيطان في أمنيته» قراءته ما ليس من القرآن مما يرضاه المرسل إليهم، وقد قرأ النبي صلى الله عليه وسلم في سورة النجم بمجلس من قريش بعد: (أفرأيتم اللات والعزى، ومناة الثالثة الأخرى) بإلقاء الشيطان على لسانه من غير علمه صلى الله عليه وسلم به: تلك الغرانيق العلا، وإن شفاعتهن لترجي، ففرحوا لذلك، ثم أخبره جبريل بما ألقه الشيطان على لسانه من ذلك، بحزن فسلي بهذه الآية ليطمئن «فينسخ الله» يبطل «ما يلقي الشيطان ثم يحكم الله آياته» يثبتها «والله عليم» بإلقاء الشيطان ما ذكر «حكيم» في تمكنيه منه يفعل ما يشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21356','chapter_id' => '22','chapter_detail_id' => '2648','translator_id' => '4','verse_number' => '53','translate_name' => '«ليجعل ما يلقي الشيطان فتنة» محنة «للذين في قلوبهم مرض» شقاق ونفاق «والقاسية قلوبهم» أي المشركين عن قبول الحق «وإن الظالمين» الكافرين «لفي شقاق بعيد» خلاف طويل مع النبي صلى الله عليه وسلم والمؤمنين حيث جرى على لسانه ذكر آلهتهم بما يرضيهم ثم أبطل ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21357','chapter_id' => '22','chapter_detail_id' => '2649','translator_id' => '4','verse_number' => '54','translate_name' => '«وليعلم الذين أوتوا العلم» التوحيد والقرآن «أنه» أي القرآن «الحق من ربك فيؤمنوا به فتخبت» نطمئن «له قلوبهم وإن الله لهاد الذين آمنوا إلى صراط» طريق «مستقيم» أي دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21358','chapter_id' => '22','chapter_detail_id' => '2650','translator_id' => '4','verse_number' => '55','translate_name' => '«ولا يزال الذين كفروا في مرية» شك «منه» أي القرآن بما ألقاه الشيطان على لسان النبي ثم أبطل «حتى تأتيهم الساعة بغتة» أي ساعة موتهم أو القيامة فجأة «أو يأتيهم عذاب يوم عقيم» هو يوم بدر لا خير فيه للكفار كالريح العقيم التي لا تأتي بخير، أو هو يوم القيامة لا ليل بعده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21359','chapter_id' => '22','chapter_detail_id' => '2651','translator_id' => '4','verse_number' => '56','translate_name' => '«الملك يومئذ» أي يوم القيامة «لله» وحده وما تضمنه من الاستقرار ناصب للظرف «يحكم بينهم» بين المؤمنين والكافرين بما بيّن بعده «فالذين آمنوا وعملوا الصالحات في جنات النعيم» فضلا من الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21360','chapter_id' => '22','chapter_detail_id' => '2652','translator_id' => '4','verse_number' => '57','translate_name' => '«والذين كفروا وكذبوا بآياتنا فأولئك لهم عذاب مُهين» شديد بسبب كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21361','chapter_id' => '22','chapter_detail_id' => '2653','translator_id' => '4','verse_number' => '58','translate_name' => '«والذين هاجروا في سبيل الله» أي طاعته من مكة إلى المدينة «ثم قُتلوا أو ماتوا ليرزقنهم الله رزقا حسنا» هو رزق الجنة «وإن الله لهو خير الرازقين» أفضل المعطين','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21362','chapter_id' => '22','chapter_detail_id' => '2654','translator_id' => '4','verse_number' => '59','translate_name' => '«ليدخلنهم مدخلا» بضم الميم وفتحها أي إدخالا أو موضعا «يرضونه» وهو الجنة «وإن الله لعليم» بنياتهم «حليم» عن عقابهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21363','chapter_id' => '22','chapter_detail_id' => '2655','translator_id' => '4','verse_number' => '60','translate_name' => 'الأمر «ذلك» الذي قصصناه عليك «ومن عاقب» جازي من المؤمنين «بمثل ما عوقب به» ظلما من المشركين: أي قاتلهم كما قاتلوه في الشهر الحرام «ثم بغي عليه» منهم أي ظلم بإخراجه من منزله «لينصرنه الله إن الله لعفوٌ» عن المؤمنين «غفور» لهم عن قتالهم في الشهر الحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21364','chapter_id' => '22','chapter_detail_id' => '2656','translator_id' => '4','verse_number' => '61','translate_name' => '«ذلك» النصر «بأن الله يولج الليل في النهار ويولج النهار في الليل» أي يدخل كلا منهما في الآخر بأن يزيد به، من أثر قدرته تعالى التي بها النصر «وأن الله سميع» دعاء المؤمنين «بصير» بهم حيث جعل فيهم الإيمان فأجاب دعائهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21365','chapter_id' => '22','chapter_detail_id' => '2657','translator_id' => '4','verse_number' => '62','translate_name' => '«ذلك» النصر أيضا «بأن الله هو الحق» الثابت «وأن ما يدعون» بالياء والتاء يعبدون «من دونه» وهو الأصنام «هو الباطل» الزائل «وأن الله هو العلي» أي العالي على كل شيء بقدرته «الكبير» الذي يصغر كل شيء سواه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21366','chapter_id' => '22','chapter_detail_id' => '2658','translator_id' => '4','verse_number' => '63','translate_name' => '«ألم تر» تعلم «أن الله أنزل من السماء ماءً» مطرا «فتصبح الأرض مخضرة» بالنبات وهذا من أثر قدرته «إن الله لطيف» بعباده في إخراج النبات بالماء «خبير» بما في قلوبهم عند تأخير المطر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21367','chapter_id' => '22','chapter_detail_id' => '2659','translator_id' => '4','verse_number' => '64','translate_name' => '«له ما في السماوات وما في الأرض» على جهة الملك «وإن الله لهو الغني» عن عباده «الحميد» لأوليائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21368','chapter_id' => '22','chapter_detail_id' => '2660','translator_id' => '4','verse_number' => '65','translate_name' => '«ألم ترَ» تَعلم «أن الله سخر لكم ما في الأرض» من البهائم «والفلك» السفن «تجري في البحر» للركوب والحمل «بأمره» بإذنه «ويمسك السماء» من «أن» أو لئلا «تقع على الأرض إلا بإذنه» فتهلكوا «إن الله بالناس لرؤوف رحيم» في التسخير والإمساك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21369','chapter_id' => '22','chapter_detail_id' => '2661','translator_id' => '4','verse_number' => '66','translate_name' => '«وهو الذي أحياكم» بالإنشاء «ثم يميتكم» عند انتهاء آجالكم «ثم يحييكم» عند البعث «إن الإنسان» أي المشرك «لكفور» لنعم الله بتركه توحيده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21370','chapter_id' => '22','chapter_detail_id' => '2662','translator_id' => '4','verse_number' => '67','translate_name' => '«لكل أمة جعلنا منسكا» بفتح السين وكسرها شريعة «هم ناسكوه» عاملون به «فلا يُنازعُنَّك» يراد به لا تنازعهم «في الأمر» أي أمر الذبيحة إذ قالوا: ما قتل الله أحق أن تأكلوه مما قتلتم «وادع إلى ربك» إلى دينه «إنك لعلى هدى» دين «مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21371','chapter_id' => '22','chapter_detail_id' => '2663','translator_id' => '4','verse_number' => '68','translate_name' => '«وإن جادلوك» في أمر الدين «فقل الله أعلم بما تعملون» فيجازيكم عليه، وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21372','chapter_id' => '22','chapter_detail_id' => '2664','translator_id' => '4','verse_number' => '69','translate_name' => '«الله يحكم بينكم» أيها المؤمنون والكافرون «يوم القيامة فيما كنتم فيه تختلفون» بأن يقول كل من الفريقين خلاف قول الآخر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21373','chapter_id' => '22','chapter_detail_id' => '2665','translator_id' => '4','verse_number' => '70','translate_name' => '«ألم تعلم» الاستفهام فيه للتقرير «أن الله يعلم ما في السماء والأرض إن ذلك» أي ما ذكر «في كتاب» هو اللوح المحفوظ «إن ذلك» أي علم ما ذكر «على الله يسير» سهل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21374','chapter_id' => '22','chapter_detail_id' => '2666','translator_id' => '4','verse_number' => '71','translate_name' => '«ويعبدون» أي المشركون «من دون الله ما لم ينزل به» هو الأصنام «سلطانا» حجة «وما ليس لهم به علم» أنها آلهة «وما للظالمين» بالإشراك «من نصير» يمنع عنهم عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21375','chapter_id' => '22','chapter_detail_id' => '2667','translator_id' => '4','verse_number' => '72','translate_name' => '«وإذا تُتلى عليهم آياتنا» من القرآن «بيِّنات» ظاهرات حال «تعرف في وجوه الذين كفروا المنكر» أي الإنكار لها: أي أثره من الكراهة والعبوس «يكادون يسطون بالذين يتلون عليهم آياتنا» أي يقعون فيه بالبطش «قل أفأنبئكم بشرِّ من ذلكم» بأكره إليكم من القرآن المتلو عليكم هو «النار وعَدَها الله الذين كفروا» بأن مصيرهم إليها «وبئس المصير» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21376','chapter_id' => '22','chapter_detail_id' => '2668','translator_id' => '4','verse_number' => '73','translate_name' => '«يا أيها الناس» أي أهل مكة «ضُرب مثل فاستمعوا له» وهو «إن الذين تدعون» تعبدون «من دون الله» أي غيره وهم الأصنام «لن يخلقوا ذباباً» اسم جنس، واحده ذبابة يقع على المذكر والمؤنث «ولو اجتمعوا له» لخلقه «وإن يسلبهم الذباب شيئا» مما عليهم من الطيب والزعفران الملطخين به «لا يستنقذوه» لا يستردوه «منه» لعجزهم، فكيف يعبدون شركاء لله تعالى؟ هذا أمر مستغرب عبر عنه بضرب مثل «ضعف الطالب» العابد «والمطلوب» المعبود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21377','chapter_id' => '22','chapter_detail_id' => '2669','translator_id' => '4','verse_number' => '74','translate_name' => '«ما قدروا الله» عظموه «حقَّ قدره» عظمته إذ أشركوا به ما لم يمتنع من الذباب ولا ينتصف منه «إن الله لقوي عزيز» غالب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21378','chapter_id' => '22','chapter_detail_id' => '2670','translator_id' => '4','verse_number' => '75','translate_name' => '«الله يصطفي من الملائكة رسلا ومن الناس» رسلا، نزل لما قال المشركون (أأنزل عليه الذكر من بيننا) «إن الله سميع» لمقالتهم «بصير» بمن يتخذه رسولاً كجبريل وميكائيل وإبراهيم ومحمد وغيرهم صلى الله عليهم وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21379','chapter_id' => '22','chapter_detail_id' => '2671','translator_id' => '4','verse_number' => '76','translate_name' => '«يعلم ما بين أيديهم وما خلفهم» أي ما قدَّموا وما خلّفوا وما عملوا وما هم عاملون بعد «وإلى الله ترجع الأمور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21380','chapter_id' => '22','chapter_detail_id' => '2672','translator_id' => '4','verse_number' => '77','translate_name' => '«يا أيها الذين آمنوا اركعوا واسجدوا» أي صلوا «واعبدوا ربكم» وحدوه «وافعلوا الخير» كصلة الرحم ومكارم الأخلاق «لعلكم تفلحون» تفوزون بالبقاء في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21381','chapter_id' => '22','chapter_detail_id' => '2673','translator_id' => '4','verse_number' => '78','translate_name' => '«وجاهدوا في الله» لإقامة دينه «حق جهاده» باستفراغ الطاقة فيه ونصب حَقَّ على المصدر «هو اجتباكم» اختاركم لدينه «وما جعل عليكم في الدين من حَرَج» أي ضيق بأن سهله عند الضرورات كالقصر والتيمم وأكل الميتة والفطر للمرض والسفر «مِلة أبيكم» منصوب الخافض الكاف «إبراهيم» عطف بيان «هو» أي الله «سمَّاكم المسلمين من قبل» أي قبل هذا الكتاب «وفي هذا» أي القرآن «ليكون الرسول شهيداً عليكم» يوم القيامة أنه بلَّغكم «وتكونوا» أنتم «شهداء على الناس» أن رسلهم بلَّغوهم «فأقيموا الصلاة» داوموا عليها «وآتوا الزكاة واعتصموا بالله» ثقوا به «هو مولاكم» ناصركم ومتولي أموركم «فنعم المولى» هو «ونعم النصير» الناصر لكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21382','chapter_id' => '23','chapter_detail_id' => '2674','translator_id' => '4','verse_number' => '1','translate_name' => '«قد» للتحقيق «أفلح» فاز «المؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21383','chapter_id' => '23','chapter_detail_id' => '2675','translator_id' => '4','verse_number' => '2','translate_name' => '«الذين هم في صلاتهم خاشعون» متواضعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21384','chapter_id' => '23','chapter_detail_id' => '2676','translator_id' => '4','verse_number' => '3','translate_name' => '«والذين هم عن اللَّغو» من الكلام وغيره «معُرضون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21385','chapter_id' => '23','chapter_detail_id' => '2677','translator_id' => '4','verse_number' => '4','translate_name' => '«والذين هم للزكاة فاعلون» مؤدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21386','chapter_id' => '23','chapter_detail_id' => '2678','translator_id' => '4','verse_number' => '5','translate_name' => '«والذين هم لفروجهم حافظون» عن الحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21387','chapter_id' => '23','chapter_detail_id' => '2679','translator_id' => '4','verse_number' => '6','translate_name' => '«إلا على أزواجهم» أي زوجاتهم «أو ما ملكت أيمانهم» أي السراري «فإنهم غير ملومين» في إتيانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21388','chapter_id' => '23','chapter_detail_id' => '2680','translator_id' => '4','verse_number' => '7','translate_name' => '«فمن ابتغى وراء ذلك» من الزوجات والسراري كالاستمناء باليد في إتيانهنَّ «فأولئك هم العادون» المتجاوزون إلى ما لا يحل لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21389','chapter_id' => '23','chapter_detail_id' => '2681','translator_id' => '4','verse_number' => '8','translate_name' => '«والذين هم لأمانتهم» جمعاً ومفرداً «وعهدهم» فيما بينهم أو فيما بينهم وبين الله من صلاة وغيرها «راعون» حافظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21390','chapter_id' => '23','chapter_detail_id' => '2682','translator_id' => '4','verse_number' => '9','translate_name' => '«والذين هم على صلواتهم» جمعاً ومفرداً «يحافظون» يقيمونها في أوقاتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21391','chapter_id' => '23','chapter_detail_id' => '2683','translator_id' => '4','verse_number' => '10','translate_name' => '«أولئك هم الوارثون» لا غيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21392','chapter_id' => '23','chapter_detail_id' => '2684','translator_id' => '4','verse_number' => '11','translate_name' => '«الذين يرثون الفردوس» هو جنة أعلى الجنان «هم فيها خالدون» في ذلك إشارة إلى المعاد ويناسبه ذكر المبتدأ بعده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21393','chapter_id' => '23','chapter_detail_id' => '2685','translator_id' => '4','verse_number' => '12','translate_name' => '«و» الله «لقد خلقنا الإنسان» آدم «من سُلالةِ» هي من سللت الشيء من الشيء أي استخرجته منه وهو خلاصته «من طين» متعلق بسلالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21394','chapter_id' => '23','chapter_detail_id' => '2686','translator_id' => '4','verse_number' => '13','translate_name' => '«ثم جعلناه» أي الإنسان نسل آدم «نطفةّ» منياً «في قرار مكين» هو الرحم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21395','chapter_id' => '23','chapter_detail_id' => '2687','translator_id' => '4','verse_number' => '14','translate_name' => '«ثم خلقنا النطفة عَلَقَةٌ» دماً جامداً «فخلقنا العلقة مضغة» لحمة قدر ما يمضغ «فخلقنا المضغة عظاماً فكسونا العظام لحماً» وفي قراءة عظماً في الموضعين، وخلقنا في المواضع الثلاث بمعنى صيرنا «ثم أنشأناه خلقاً أخر» بنفخ الروح فيه «فتبارك الله أحسن الخالقين» أي المقدرين ومميز أحسن محذوف للعلم به: أي خلقاُ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21396','chapter_id' => '23','chapter_detail_id' => '2688','translator_id' => '4','verse_number' => '15','translate_name' => '«ثم إنكم بعد ذلك لميتون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21397','chapter_id' => '23','chapter_detail_id' => '2689','translator_id' => '4','verse_number' => '16','translate_name' => '«ثم إنكم يوم القيامة تبعثون» للحساب والجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21398','chapter_id' => '23','chapter_detail_id' => '2690','translator_id' => '4','verse_number' => '17','translate_name' => '«ولقد خلقنا فوقكم سبع طرائق» أي سماوات: جمع طريقة لأنها طرق الملائكة «وما كنا عن الخلق» التي تحتها «غافلين» أن تسقط عليهم فتهلكهم بل نمسكها كآية (ويمسك السماء أن تقع على الأَرض).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21399','chapter_id' => '23','chapter_detail_id' => '2691','translator_id' => '4','verse_number' => '18','translate_name' => '«وأنزلنا من السماء ماءً بقدر» من كفايتهم «فأسكنَّاه في الأرض وإنَّا على ذهاب به لقادرون» فيموتون مع دوابهم عطشاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21400','chapter_id' => '23','chapter_detail_id' => '2692','translator_id' => '4','verse_number' => '19','translate_name' => '«فأنشأنا لكم به جنات من نخيل وأعناب» هما أكثر فواكه العرب «لكم فيها فواكه كثيرة ومنها تأكلون» صيفاً وشتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21401','chapter_id' => '23','chapter_detail_id' => '2693','translator_id' => '4','verse_number' => '20','translate_name' => '«و» أنشأنا «شجرةٌ تخرج من طور سيناء» جبل بكسر السين وفتحها ومنع الصرف للعلمية والتأنيث للبقعة «تُنبت» من الرباعي والثلاثي «بالدهن» الباء زائدة على الأول ومعدية على الثاني وهي شجرة الزيتون «وصبغ للآكلين» عطف على الدهن أي إدام يصبغ اللقمة بغمسها فيه وهو الزيت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21402','chapter_id' => '23','chapter_detail_id' => '2694','translator_id' => '4','verse_number' => '21','translate_name' => '«وإن لكم في الأنعام» الإبل والبقر والغنم «لعبرةٌ» عظة تعتبرون بها «نَسقيكم» بفتح النون وضمها «مما في بطونها» اللبن «ولكم فيها منافع كثيرة» من الأصواف والأوبار والأشعار وغير ذلك «ومنها تأكلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21403','chapter_id' => '23','chapter_detail_id' => '2695','translator_id' => '4','verse_number' => '22','translate_name' => '«وعليها» الإبل «وعلى الفلك» السفن «تحملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21404','chapter_id' => '23','chapter_detail_id' => '2696','translator_id' => '4','verse_number' => '23','translate_name' => '«ولقد أرسلنا نوحاً إلى قومه فقال يا قوم اعبدوا الله» أطيعوا الله ووحدوه «مالكم من إله غيره» وهو اسم ما، وما قبله الخبر، ومن زائدة «أفلا تتقون» تخافون عقوبته بعبادتكم غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21405','chapter_id' => '23','chapter_detail_id' => '2697','translator_id' => '4','verse_number' => '24','translate_name' => '«فقال الملأ الذين كفروا من قومه» لأتباعهم «ما هذا إلا بشرٌ مثلكم يريد أن يتفضَّل» يتشرف «عليكم» بأن يكون متبوعاً وأنتم أتباعه «ولو شاء الله» أن لا يعبد غيره «لأنزل ملائكة» بذلك لا بشراً «ما سمعنا بهذا» الذي دعا إليه نوح من التوحيد «في آبائنا الأولين» الأمم الماضية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21406','chapter_id' => '23','chapter_detail_id' => '2698','translator_id' => '4','verse_number' => '25','translate_name' => '«إن هو» ما نوح «إلا رجل به جِنَّةٌ» حالة جنون «فتربَّصوا به» انتظروا «حتى حين» إلى زمن موته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21407','chapter_id' => '23','chapter_detail_id' => '2699','translator_id' => '4','verse_number' => '26','translate_name' => '«قال» نوح «ربَّ انصرني» عليهم «بما كذَّبونِ» بسبب تكذيبهم إياي بأن تهلكهم قال تعالى مجيباً دعاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21408','chapter_id' => '23','chapter_detail_id' => '2700','translator_id' => '4','verse_number' => '27','translate_name' => '«فأوحينا إليه أن اصنع الفلك» السفينة «بأعيننا» برأي منا وحفظنا «ووحينا» أمرنا «فإذا جاء أمرنا» بإهلاكهم «وفار التنور» للخباز بالماء وكان ذلك علامة لنوح «فاسلك فيها» أي أدخِلْ في السفينة «من كلِ زوجين» ذكر وأنثى، أي من كل أنواعهما «اثنين» ذكراً وأنثى وهو مفعول ومن متعلقة باسلك، ففي القصة أن الله تعالى حشر لنوح السباع والطير وغيرهما، فجعل يضرب بيديه في كل نوع فتقع يده اليمنى على الذكر واليسرى على الأنثى فيحملهما في السفينة، وفي قراءة كلِ بالتنوين فزوجين مفعول واثنين تأكيد له «وأهلك» زوجته وأولاده «إلا من سبق عليه القول منهم» بالإهلاك وهو زوجته وولده كنعان بخلاف سام وحام ويافث فحملهم وزوجاتهم ثلاثة، وفي سورة هود (ومن آمن وما آمن معه إلا قليل) قيل كانوا ستة رجال ونساؤهم وقبل جميع من كان في السفينة ثمانية وسبعون نصفهم رجال ونصفهم نساء «ولا تخاطبني في الذين ظلموا» كفروا بترك إهلاكهم «إنهم مغرقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21409','chapter_id' => '23','chapter_detail_id' => '2701','translator_id' => '4','verse_number' => '28','translate_name' => '«فإذا استويت» اعتدلت «أنت ومن معك على الفلك فقل الحمد لله الذي نجانا من القوم الظالمين» الكافرين وإهلاكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21410','chapter_id' => '23','chapter_detail_id' => '2702','translator_id' => '4','verse_number' => '29','translate_name' => '«وقل» عند نزولك «رب أنزلني مُنزَلاً» بضم الميم وفتح الزاي مصدراً واسم مكان وبفتح الميم وكسر الزاي مكان النزول «مُباركاً» ذلك الإنزال أو المكان «وأنت خير المنزلين» ما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21411','chapter_id' => '23','chapter_detail_id' => '2703','translator_id' => '4','verse_number' => '30','translate_name' => '«إن في ذلك» المذكور من أمر نوح والسفينة وإهلاك الكفار «لآيات» دلالات على قدرة الله تعالى «وإن» مخففة من الثقيلة واسمها ضمير الشأن «كنا لمبتلين» قوم نوح بإرساله إليهم ووعظه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21412','chapter_id' => '23','chapter_detail_id' => '2704','translator_id' => '4','verse_number' => '31','translate_name' => '«ثم أنشأنا من بعدهم قَرناً» قوماً «آخرين» هم عاد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21413','chapter_id' => '23','chapter_detail_id' => '2705','translator_id' => '4','verse_number' => '32','translate_name' => '«فأرسلنا فيهم رسولاً منهم» هوداً «أن» بأن «اعبدوا الله ما لكم من إله غيره أفلا تتقون» عقابه فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21414','chapter_id' => '23','chapter_detail_id' => '2706','translator_id' => '4','verse_number' => '33','translate_name' => '«وقال الملأ من قومه الذين كفروا وكذبوا بلقاء الآخرة» بالمصير إليها «وأترفناهم» نعمناهم «في الحياة الدنيا ما هذا إلا بشر مثلكم يأكل مما تأكلون منه ويشرب مما تشربون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21415','chapter_id' => '23','chapter_detail_id' => '2707','translator_id' => '4','verse_number' => '34','translate_name' => '«و» الله «لئن أطعتم بشراً مثلكم» فيه قسم وشرط الثاني والجواب لأولهما وهو مغن عن جواب الثاني «أنكم إذاً» أي إذا أطعتموه «لخاسرون» أي مغبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21416','chapter_id' => '23','chapter_detail_id' => '2708','translator_id' => '4','verse_number' => '35','translate_name' => '«أيعدكم أنكم إذا متُّم وكنتم تراباً وعظاماً أنكم مخرجون» هو خبر أنكم الأولى وأنكم الثانية تأكيد لها لما طال الفصل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21417','chapter_id' => '23','chapter_detail_id' => '2709','translator_id' => '4','verse_number' => '36','translate_name' => '«هَيْهات هَيْهات» اسم فعل ماض بمعنى مصدر: أي بعد «لما توعدون» من الإخراج من القبور واللام زائدة للبيان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21418','chapter_id' => '23','chapter_detail_id' => '2710','translator_id' => '4','verse_number' => '37','translate_name' => '«إن هي» أي ما الحياة «إلا حياتنا الدنيا نموت ونحيا» بحياة أبنائنا «وما نحن بمبعوثين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21419','chapter_id' => '23','chapter_detail_id' => '2711','translator_id' => '4','verse_number' => '38','translate_name' => '«إن هو» ما الرسول «إلا رجل افترى على الله كذباً وما نحن له بمؤمنين» مصدقين بالبعث بعد الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21420','chapter_id' => '23','chapter_detail_id' => '2712','translator_id' => '4','verse_number' => '39','translate_name' => '«قال رب انصرني بما كذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21421','chapter_id' => '23','chapter_detail_id' => '2713','translator_id' => '4','verse_number' => '40','translate_name' => '«قال عما قليل» من الزمان وما زائدة «ليصبحن» ليصيرن «نادمين» على كفرهم وتكذيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21422','chapter_id' => '23','chapter_detail_id' => '2714','translator_id' => '4','verse_number' => '41','translate_name' => '«فأخذتهم الصيحة» صيحة العذاب والهلاك كائنة «بالحق» فماتوا «فجعلناهم غثاءً» هو نبت يبس أي صيرناهم مثله في اليبس «فبعداً» من الرحمة «للقوم الظالمين» المكذبين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21423','chapter_id' => '23','chapter_detail_id' => '2715','translator_id' => '4','verse_number' => '42','translate_name' => '«ثم أنشأنا من بعدهم قروناً» أقواماً «آخرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21424','chapter_id' => '23','chapter_detail_id' => '2716','translator_id' => '4','verse_number' => '43','translate_name' => '«ما تسبق من أمة أجلها» بأن تموت قبله «وما يستأخرون» عنه ذكر الضمير بعد تأنيثه رعاية للمعنى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21425','chapter_id' => '23','chapter_detail_id' => '2717','translator_id' => '4','verse_number' => '44','translate_name' => '«ثم أرسلنا رسلنا تتراً» بالتنوين وعدمه متتابعين بين كل اثنين زمان طويل «كلما جاء أمة» بتحقيق الهمزتين وتسهيل الثانية بينها وبين الواو «رسولها كذبوه فأتبعنا بعضهم بعضاً» في الهلاك «وجعلناهم أحاديث فعبداً لقوم لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21426','chapter_id' => '23','chapter_detail_id' => '2718','translator_id' => '4','verse_number' => '45','translate_name' => '«ثم أرسلنا موسى وأخاه هارون بآياتنا وسلطان مبين» حجة وهي اليد والعصا وغيرهما من الآيات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21427','chapter_id' => '23','chapter_detail_id' => '2719','translator_id' => '4','verse_number' => '46','translate_name' => '«إلى فرعون وملئه فاستكبروا» عن الإيمان بها وبالله «وكانوا قوماً عالين» قاهرين بني إسرائيل بالظلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21428','chapter_id' => '23','chapter_detail_id' => '2720','translator_id' => '4','verse_number' => '47','translate_name' => '«فقالوا أنؤمن لبشرين مثلنا وقومهما لنا عابدون» مطيعون خاضعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21429','chapter_id' => '23','chapter_detail_id' => '2721','translator_id' => '4','verse_number' => '48','translate_name' => '«فكذبوهما فكانوا من المهلكين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21430','chapter_id' => '23','chapter_detail_id' => '2722','translator_id' => '4','verse_number' => '49','translate_name' => '«ولقد آتينا موسى الكتاب» التوراة «لعلهم» قومه بني إسرائيل «يهتدون» به من الضلالة، وأوتيها بعد هلاك فرعون وقومه جملة واحدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21431','chapter_id' => '23','chapter_detail_id' => '2723','translator_id' => '4','verse_number' => '50','translate_name' => '«وجعلنا ابن مريم» عيسى «وأمه آية» لم يقل آيتين لأن الآية فيهما واحدة: ولادته من غير فحل «وآوينهما إلى ربوة» مكان مرتفع وهو بيت المقدس أو دمشق أو فلسطين، أقوال «ذات قرار» أي مستوية يستقر عليها ساكنوها «ومعين» وماء جار ظاهر تراه العيون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21432','chapter_id' => '23','chapter_detail_id' => '2724','translator_id' => '4','verse_number' => '51','translate_name' => '«يا أيها الرسل كلوا من الطيبات» الحلالات «واعلموا صالحاً» من فرض ونفل «إني بما تعملون عليم» فأجازيكم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21433','chapter_id' => '23','chapter_detail_id' => '2725','translator_id' => '4','verse_number' => '52','translate_name' => '«و» اعلموا «إنَّ هذه» أي ملة الإسلام «أمتكم» دينكم أيها المخاطبون أي يجب أن تكونوا عليها «أمة واحدة» حال لازمة وفي قراءة بتخفيف النون وفي أخرى بكسرها مشددة استئنافا «وأنا ربكم فاتقون» فاحذرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21434','chapter_id' => '23','chapter_detail_id' => '2726','translator_id' => '4','verse_number' => '53','translate_name' => '«فتقطعوا» أي الأتباع «أمرهم» دينهم «بينهم زبرا» حال من فاعل تقطعوا أي أحزابا متخالفين كاليهود والنصارى وغيرهم «كل حزب بما لديهم» أي عندهم من الدين «فرحون» مسرورون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21435','chapter_id' => '23','chapter_detail_id' => '2727','translator_id' => '4','verse_number' => '54','translate_name' => '«فذرهم» اترك كفار مكة «في غمرتهم» ضلالتهم «حتى حين» إلى حين موتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21436','chapter_id' => '23','chapter_detail_id' => '2728','translator_id' => '4','verse_number' => '55','translate_name' => '«أيحسبون أنما نمدهم به» نعطيهم «من مال وبنين» في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21437','chapter_id' => '23','chapter_detail_id' => '2729','translator_id' => '4','verse_number' => '56','translate_name' => '«نسارع» نعجل «لهم في الخيرات» لا «بل لا يشعرون» أن ذلك استدراج لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21438','chapter_id' => '23','chapter_detail_id' => '2730','translator_id' => '4','verse_number' => '57','translate_name' => '«إن الذين هم من خشية ربهم» خوفهم منه «مشفقون» خائفون من عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21439','chapter_id' => '23','chapter_detail_id' => '2731','translator_id' => '4','verse_number' => '58','translate_name' => '«والذين هم بآيات ربهم» القرآن «يؤمنون» يصدقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21440','chapter_id' => '23','chapter_detail_id' => '2732','translator_id' => '4','verse_number' => '59','translate_name' => '«والذين هم بربهم لا يشركون» معه غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21441','chapter_id' => '23','chapter_detail_id' => '2733','translator_id' => '4','verse_number' => '60','translate_name' => '«والذين يؤتون» يعطون «ما آتوْا» أعطوا من الصدقة والأعمال الصالحة «وقلوبهم وجلة» خائفة أن لا تقبل منهم «أنهم» يقدر قبله لام الجر «إلى ربهم راجعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21442','chapter_id' => '23','chapter_detail_id' => '2734','translator_id' => '4','verse_number' => '61','translate_name' => '«أولئك يسارعون في الخيرات وهم لها سابقون» في علم الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21443','chapter_id' => '23','chapter_detail_id' => '2735','translator_id' => '4','verse_number' => '62','translate_name' => '«ولا نكلف نفسا إلا وسعها» طاقتها فمن لم يستطع أن يصلي قائما فليصل جالسا، ومن لم يستطع أن يصوم فليأكل «ولدينا» عندنا «كتاب ينطق بالحق» بما عملته وهو واللوح المحفوظ تسطر فيه الأعمال «وهم» أي النفوس العاملة «لا يظلمون» شيئا منها فلا ينقص من ثواب أعمال الخيرات ولا يزاد في السيئات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21444','chapter_id' => '23','chapter_detail_id' => '2736','translator_id' => '4','verse_number' => '63','translate_name' => '«بل قلوبهم» أي الكفار «في غمره» جهالة «من هذا» القرآن «ولهم أعمال من دون ذلك» المذكور للمؤمنين «هم لها عاملون» فيعذبون عليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21445','chapter_id' => '23','chapter_detail_id' => '2737','translator_id' => '4','verse_number' => '64','translate_name' => '«حتى» ابتدائية «إذا أخذنا مترفيهم» أغنياءهم ورؤساءهم «بالعذاب» أي السيف يوم بدر «إذا هم يجأرون» يضجون يقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21446','chapter_id' => '23','chapter_detail_id' => '2738','translator_id' => '4','verse_number' => '65','translate_name' => '«لا تجأروا اليوم إنكم منا لا تنصرون» لا تمنعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21447','chapter_id' => '23','chapter_detail_id' => '2739','translator_id' => '4','verse_number' => '66','translate_name' => '«قد كانت آياتي» من القرآن «تتلى عليكم فكنتم على إعقابكم تنكصون» ترجعون القهقرى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21448','chapter_id' => '23','chapter_detail_id' => '2740','translator_id' => '4','verse_number' => '67','translate_name' => '«مستكبرين» عن الإيمان «به» أي بالبيت أو الحرم بأنهم أهله في أمن بخلاف سائر الناس في مواطنهم «سامرا» حال أي جماعة يتحدثون بالليل حول البيت «تهجرون» من الثلاثي تتركون القرآن، ومن الرباعي أي تقولن غير الحق في النبي والقرآن قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21449','chapter_id' => '23','chapter_detail_id' => '2741','translator_id' => '4','verse_number' => '68','translate_name' => '«أفلم يدَّبروا» أصله يتدبروا فأدغمت التاء في الدال «القول» أي القرآن الدال على صدق النبي «أم جاءهم ما لم يأت آباءهم الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21450','chapter_id' => '23','chapter_detail_id' => '2742','translator_id' => '4','verse_number' => '69','translate_name' => '«أم لم يعرفوا رسولهم فهم له منكرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21451','chapter_id' => '23','chapter_detail_id' => '2743','translator_id' => '4','verse_number' => '70','translate_name' => '«أم يقولون به جنَّة» الاستفهام للتقرير بالحق من صدق النبيّ ومجيء الرسل للأمم الماضية ومعرفة رسولهم بالصدق والأمانة وأن لا جنون به «بل» للانتقال «جاءهم بالحق» أي القرآن المشتمل على التوحيد وشرائع الإسلام «وأكثرهم للحق كارهون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21452','chapter_id' => '23','chapter_detail_id' => '2744','translator_id' => '4','verse_number' => '71','translate_name' => '«ولو اتبع الحق» أي القرآن «أهواءهم» بأن جاء بما يهوونه من الشريك والولد لله، تعالى الله عن ذلك: «لفسدت السماوات والأرض ومن فيهن» خرجت عن نظامها المشاهد لوجود التمانع في الشيء عادة عند تعدد الحاكم «بل أتيناهم بذكرهم» أي القرآن الذي فيه ذكرهم وشرفهم «فهم عن ذكرهم معرضون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21453','chapter_id' => '23','chapter_detail_id' => '2745','translator_id' => '4','verse_number' => '72','translate_name' => '«أم تسألهم خرجا» أجرا على ما جئتهم به من الإيمان «فخراج ربك» أجره وثوابه ورزقه «خير» وفي قراءة خرجا في الموضعين وفي قراءة أخرى خراجا فيهما «وهو خير الرازقين» أفضل من أعطى وآجر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21454','chapter_id' => '23','chapter_detail_id' => '2746','translator_id' => '4','verse_number' => '73','translate_name' => '«وإنك لتدعوهم إلى صراط» طريق «مستقيم» أي دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21455','chapter_id' => '23','chapter_detail_id' => '2747','translator_id' => '4','verse_number' => '74','translate_name' => '«وإن الذين لا يؤمنون بالآخرة» بالبعث والثواب والعقاب «عن الصراط» أي الطريق «لناكبون» عادلون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21456','chapter_id' => '23','chapter_detail_id' => '2748','translator_id' => '4','verse_number' => '75','translate_name' => '«ولو رحمناهم وكشفنا ما بهم من ضر» أي جوع أصابهم بمكة سبع سنين «للجوا» تمادوا «في طغيانهم» ضلالتهم «يعمهون» يترددون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21457','chapter_id' => '23','chapter_detail_id' => '2749','translator_id' => '4','verse_number' => '76','translate_name' => '«ولقد أخذناهم بالعذاب» الجوع «فما استكانوا» تواضعوا «لربهم وما يتضرعون» يرغبون إلى الله بالدعاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21458','chapter_id' => '23','chapter_detail_id' => '2750','translator_id' => '4','verse_number' => '77','translate_name' => '«حتى» ابتدائية «إذا فتحنا عليهم بابا ذا» صاحب «عذاب شديد» هو يوم بدر بالقتل «إذا هم فيه مبلسون» آيسون من كل خير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21459','chapter_id' => '23','chapter_detail_id' => '2751','translator_id' => '4','verse_number' => '78','translate_name' => '«وهو الذي أنشأ» خلق «لكم السمع» بمعنى الأسماع «والأبصار والأفئدة» القلوب «قليلاً ما» تأكيد للقلة «تشكرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21460','chapter_id' => '23','chapter_detail_id' => '2752','translator_id' => '4','verse_number' => '79','translate_name' => '«وهو الذي ذرأكم» خلقكم «في الأرض وإليه تحشرون» تبعثون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21461','chapter_id' => '23','chapter_detail_id' => '2753','translator_id' => '4','verse_number' => '80','translate_name' => '«وهو الذي يحيى» بنفخ الروح في المضغة «ويميت وله اختلاف الليل والنهار» بالسواد والبياض والزيادة والنقصان «أفلا تعقلون» صنعه تعالى فتعتبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21462','chapter_id' => '23','chapter_detail_id' => '2754','translator_id' => '4','verse_number' => '81','translate_name' => '«بل قالوا مثل ما قال الأولون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21463','chapter_id' => '23','chapter_detail_id' => '2755','translator_id' => '4','verse_number' => '82','translate_name' => '«قالوا» أي الأولون «أئذا متنا وكنا ترابا وعظاما أئنا لمبعوثون» لا وفي الهمزتين في الموضعين التحقيق وتسهيل الثانية وإدخال ألف بينهما على الوجهين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21464','chapter_id' => '23','chapter_detail_id' => '2756','translator_id' => '4','verse_number' => '83','translate_name' => '«لقد وعدنا نحن وآباؤنا هذا» أي البعث بعد الموت «من قبل إن» ما «هذا إلا أساطير» أكاذيب «الأولين» كالأضاحيك والأعاجيب جمع أسطورة بالضم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21465','chapter_id' => '23','chapter_detail_id' => '2757','translator_id' => '4','verse_number' => '84','translate_name' => '«قل» لهم «لمن الأرض ومن فيها» من الخلق «إن كنتم تعلمون» خالقها ومالكها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21466','chapter_id' => '23','chapter_detail_id' => '2758','translator_id' => '4','verse_number' => '85','translate_name' => '«سيقولون لله قل» لهم «أفلا تذَّكرون» بإدغام التاء الثانية في الذال تتعظون فتعلمون أن القادر على الخلق ابتداء قادر على الإحياء بعد الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21467','chapter_id' => '23','chapter_detail_id' => '2759','translator_id' => '4','verse_number' => '86','translate_name' => '«قل من رب السماوات السبع ورب العرش العظيم» الكرسي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21468','chapter_id' => '23','chapter_detail_id' => '2760','translator_id' => '4','verse_number' => '87','translate_name' => '«سيقولون الله قل أفلا تتقون» تحذرون عبادة غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21469','chapter_id' => '23','chapter_detail_id' => '2761','translator_id' => '4','verse_number' => '88','translate_name' => '«قل من بيده ملكوت» ملك «كل شيء» والتاء للمبالغة «وهو يُجير ولا يُجار عليه» يَحمي ولا يُحمى عليه «إن كنتم تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21470','chapter_id' => '23','chapter_detail_id' => '2762','translator_id' => '4','verse_number' => '89','translate_name' => '«سيقولون لله» وفي قراءة بلام الجر في الموضعين نظرا إلى أن المعنى من له ما ذكر «قل فأنى تسحرون» تخدعون وتصرفون عن الحق عبادة الله وحده أي كيف تخيل لكم أنه باطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21471','chapter_id' => '23','chapter_detail_id' => '2763','translator_id' => '4','verse_number' => '90','translate_name' => '«بل آتيناهم بالحق» بالصدق «وإنهم لكذبون» في نفيه وهو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21472','chapter_id' => '23','chapter_detail_id' => '2764','translator_id' => '4','verse_number' => '91','translate_name' => '«ما اتخذ الله من ولد وما كان معه من إله إذاً» أي لو كان معه إله «لذهب كل إله بما خلق» انفرد به ومنع الآخر من الاستيلاء عليه «ولعلا بعضهم على بعض» مغالبة كفعل ملوك الدنيا «سبحان الله» تنزيهاً له «عما يصفونـ» ـه به مما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21473','chapter_id' => '23','chapter_detail_id' => '2765','translator_id' => '4','verse_number' => '92','translate_name' => '«عالم الغيب والشهادة» ما غاب وما شوهد بالجر صفة والرفع خبر هو مقدرا «فتعالى» تعظم «عما يشركونـ» ـه معه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21474','chapter_id' => '23','chapter_detail_id' => '2766','translator_id' => '4','verse_number' => '93','translate_name' => '«قل رب إما» فيه إدغام إن الشرطية في الزائدة «ترينّي ما يوعدونـ» ـه من العذاب هو صادق بالقتل ببدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21475','chapter_id' => '23','chapter_detail_id' => '2767','translator_id' => '4','verse_number' => '94','translate_name' => '«رب فلا تجعلني في القوم الظالمين» فأهلك بإهلاكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21476','chapter_id' => '23','chapter_detail_id' => '2768','translator_id' => '4','verse_number' => '95','translate_name' => '«وإنا على أن نريك ما نعدهم لقادرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21477','chapter_id' => '23','chapter_detail_id' => '2769','translator_id' => '4','verse_number' => '96','translate_name' => '«أدفع بالتي هي أحسن» أي الخصلة من الصفح والإعراض عنهم «السيئة» أذاهم إياك وهذا قبل الأمر بالقتال «نحن أعلم بما يصفون» يكذبون ويقولون فنجازيهم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21478','chapter_id' => '23','chapter_detail_id' => '2770','translator_id' => '4','verse_number' => '97','translate_name' => '«وقل رب أعوذ» أعتصم «بك من همزات الشياطين» نزعاتهم بما يوسوسون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21479','chapter_id' => '23','chapter_detail_id' => '2771','translator_id' => '4','verse_number' => '98','translate_name' => '«وأعوز بك رب أن يحضرون» في أموري لأنهم إنما يحضرون بسوء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21480','chapter_id' => '23','chapter_detail_id' => '2772','translator_id' => '4','verse_number' => '99','translate_name' => '«حتى» ابتدائية «إذا جاء أحدهم الموت» ورأى مقعده من النار ومقعده من الجنة لو آمن «قال رب ارجعون» الجمع للتعظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21481','chapter_id' => '23','chapter_detail_id' => '2773','translator_id' => '4','verse_number' => '100','translate_name' => '«لعلي أعمل صالحا» بأن أشهد أن لا إله إلا الله يكون «فيما تركت» ضيعت من عمري أي في مقابلته قال تعال: «كلا» أي لا رجوع «إنها» أي رب ارجعون «كلمة هو قائلها» ولا فائدة له فيها «ومن ورائهم» أمامهم «برزخ» حاجز يصدهم عن الرجوع «إلى يوم يبعثون» ولا رجوع بعده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21482','chapter_id' => '23','chapter_detail_id' => '2774','translator_id' => '4','verse_number' => '101','translate_name' => '«فإذا نُفخ في الصور» القرن النفخة الأولى أو الثانية «فلا أنساب بينهم يومئذ» يتفاخرون بها «ولا يتساءلون» عنها خلاف حالهم في الدنيا لما يشغلهم من عظم الأمر عن ذلك في بعض مواطن القيامة، وفي بعضها يفيقون وفي آية (فأقبل بعضهم على بعض يتساءلون).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21483','chapter_id' => '23','chapter_detail_id' => '2775','translator_id' => '4','verse_number' => '102','translate_name' => '«فمن ثقلت موازينه» بالحسنات «فأولئك هم المفلحون» الفائزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21484','chapter_id' => '23','chapter_detail_id' => '2776','translator_id' => '4','verse_number' => '103','translate_name' => '«ومن خفت موازينه» بالسيئات «فأولئك الذين خسروا أنفسهم» فهم «في جهنم خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21485','chapter_id' => '23','chapter_detail_id' => '2777','translator_id' => '4','verse_number' => '104','translate_name' => '«تلفح وجوههم النار» تحرقها «وهم فيها كالحون» شمرت شفاههم العليا والسفلى عن أسنانهم، ويقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21486','chapter_id' => '23','chapter_detail_id' => '2778','translator_id' => '4','verse_number' => '105','translate_name' => '«ألم تكن آياتي» من القرآن «تتلي عليكم» تُخوَّفُون بها «فكنتم بها تكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21487','chapter_id' => '23','chapter_detail_id' => '2779','translator_id' => '4','verse_number' => '106','translate_name' => '«قالوا ربنا غلبت علينا شقوتنا» وفي قراءة شقاوتنا بفتح أوله وألف وهما مصدران بمعنى «وكنا قوماً ضالين» عن الهداية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21488','chapter_id' => '23','chapter_detail_id' => '2780','translator_id' => '4','verse_number' => '107','translate_name' => '«ربنا أخرجنا منها فإن عدنا» إلى المخالفة «فإنا ظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21489','chapter_id' => '23','chapter_detail_id' => '2781','translator_id' => '4','verse_number' => '108','translate_name' => '«قال» لهم بلسان مالك بعد قدر الدنيا مرتين «أخسؤا فيها» ابعدوا في النار أذلاء «ولا تكلمون» في رفع العذاب عنكم لينقطع رجاؤهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21490','chapter_id' => '23','chapter_detail_id' => '2782','translator_id' => '4','verse_number' => '109','translate_name' => '«إنه كان فريق من عبادي» هم المهاجرون «يقولون ربنا آمنا فاغفر لنا وارحما وأنت خير الراحمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21491','chapter_id' => '23','chapter_detail_id' => '2783','translator_id' => '4','verse_number' => '110','translate_name' => '«فاتخذتموهم سُخرياً» بضم السين وكسرها مصدر بمعنى الهزء، منهم: بلال وصهيب وعمار وسلمان «حتى أنسوكم ذكري» فتركتموه لاشتغالكم بالاستهزاء بهم فهم سبب الإنساء فنسب إليهم «وكنتم منهم تضحكون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21492','chapter_id' => '23','chapter_detail_id' => '2784','translator_id' => '4','verse_number' => '111','translate_name' => '«إني جزيتهم اليوم» النعيم المقيم «بما صبروا» على استهزائكم بهم وأذاكم إياهم «إنهم» بكسر الهمزة «هم الفائزون» بمطلوبهم استئناف وبفتحها مفعول ثان لجزيتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21493','chapter_id' => '23','chapter_detail_id' => '2785','translator_id' => '4','verse_number' => '112','translate_name' => '«قال» تعالى لهم بلسان مالك وفي قراءة قل «كم لبثتم في الأرض» في الدنيا وفي قبوركم «عدد سنين» تمييز.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21494','chapter_id' => '23','chapter_detail_id' => '2786','translator_id' => '4','verse_number' => '113','translate_name' => '«قالوا لبثنا يوماً أو بعض يوم» شكّوا في ذلك واستقصروه لعظم ما هم فيه من العذاب «فاسأل العادين» أي الملائكة المحصين أعمال الخلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21495','chapter_id' => '23','chapter_detail_id' => '2787','translator_id' => '4','verse_number' => '114','translate_name' => '«قال» تعالى بلسان مالك وفي قراءة قل «إن» أي ما «لبثتم إلا قليلاً لو أنكم كنتم تعلمون» مقدرا لبثكم من الطول كان قليلا بالنسبة إلى لبثكم في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21496','chapter_id' => '23','chapter_detail_id' => '2788','translator_id' => '4','verse_number' => '115','translate_name' => '«أفحسبتم أنما خلقناكم عبثا» لا لحكمة «وأنكم إلينا لا ترجعون» بالبناء للفاعل وللمفعول؟ لا بل لنتعبدكم بالأمر والنهي ترجعوا إلينا ونجازي على ذلك (وما خلقت الجن والإنس إلا ليعبدون).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21497','chapter_id' => '23','chapter_detail_id' => '2789','translator_id' => '4','verse_number' => '116','translate_name' => '«فتعالى الله» عن العبث وغيره مما لا يليق به «الملك الحق لا إله إلا هو رب العرش الكريم» الكرسي: هو السرير الحسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21498','chapter_id' => '23','chapter_detail_id' => '2790','translator_id' => '4','verse_number' => '117','translate_name' => '«ومن يدع مع الله إلها آخر لا برهان له به» صفة كاشفة لا مفهوم لها «فإنما حسابه» جزاؤه «عند ربه إنه لا يفلح الكافرون» لا يسعدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21499','chapter_id' => '23','chapter_detail_id' => '2791','translator_id' => '4','verse_number' => '118','translate_name' => '«وقل رب اغفر وارحم» المؤمنين في الرحمة زيادة عن المغفرة «وأنت خير الراحمين» أفضل راحم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21500','chapter_id' => '24','chapter_detail_id' => '2792','translator_id' => '4','verse_number' => '1','translate_name' => 'هذه «سورة أنزلناها وفرضناها» مخففة ومشددة لكثرة المفروض فيها «وأنزلنا فيها آيات بينات» واضحات الدلالات «لعلكم تذَّكرون» بإدغام التاء الثانية في الذال تتعظون','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21501','chapter_id' => '24','chapter_detail_id' => '2793','translator_id' => '4','verse_number' => '2','translate_name' => '«الزانية والزاني» أي غير المحصنين لرجمهما بالسنة وأل فيما ذكر موصولة وهو مبتدأ ولشبه بالشرط دخلت الفاء في خبره وهو «فاجلدوا كل واحد منهما مائة جلدة» ضربة يقال جَلَدهُ: ضربَ جلدهُ ويزاد على ذلك بالسنة تغريب عام والرقيق على النصف مما ذكر «ولا تأخذكم بهما رأفة في دين الله» أي حكمه بأن تتركوا شيئا من حدهما «إن كنتم تؤمنون بالله واليوم الآخر» أي يوم البعث في هذا تحريض على ما قبل الشرط وهو جوابه أو دال على جوابه «وليشهد عذابهما» الجلد «طائفة من المؤمنين» قيل ثلاثة وقيل أربعة عدد شهود الزنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21502','chapter_id' => '24','chapter_detail_id' => '2794','translator_id' => '4','verse_number' => '3','translate_name' => '«الزاني لا ينكح» يتزوج «إلا زانية أو مشركة والزانية لا ينكحها إلا زان أو مشرك» أي المناسب لكل منهما ما ذكر «وحرم ذلك» أي نكاح الزواني «على المؤمنين» الأخيار، نزل ذلك لما همَّ فقراء المهاجرين أن يتزوجوا بغيا المشركين وهن موسرات لينفقن عليهم فقيل التحريم خاص بهم وقيل عام ونسخ بقوله تعالى (وأنكحوا الأيامى منكم).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21503','chapter_id' => '24','chapter_detail_id' => '2795','translator_id' => '4','verse_number' => '4','translate_name' => '«والذين يرمون المحصنات» العفيفات بالزنا «ثم لم يأتوا بأربعة شهداء» على زناهن برؤيتهم «فاجلدوهم» أي كل واحد منهم «ثمانين جلدة ولا تقبلوا لهم شهادة» في شيء «أبدا وأولئك هم الفاسقون» لإتيانهم كبيرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21504','chapter_id' => '24','chapter_detail_id' => '2796','translator_id' => '4','verse_number' => '5','translate_name' => '«إلا الذين تابوا من بعد ذلك وأصلحوا» عملهم «فإن الله غفور» لهم قذفهم «رحيم» بهم بإلهامهم التوبة فيها ينتهي فسقهم وتقبل شهادتهم وقيل لا تقبل رجوعا بالاستثناء إلى الجملة الأخيرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21505','chapter_id' => '24','chapter_detail_id' => '2797','translator_id' => '4','verse_number' => '6','translate_name' => '«والذين يرمون أزواجهم» بالزنا «ولم يكن لهم شهداء» عليه «إلا أنفسهم» وقع ذلك لجماعة من الصحابة «فشهادة أحدهم» مبتدأ «أربع شهادات» نصب على المصدر «بالله إنه لمن الصادقين» فيما رمى به زوجته من الزنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21506','chapter_id' => '24','chapter_detail_id' => '2798','translator_id' => '4','verse_number' => '7','translate_name' => '«والخامسة أن لعنة الله عليه إن كان من الكاذبين» في ذلك وخبر المبتدأ: تدفع عنه حد القذف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21507','chapter_id' => '24','chapter_detail_id' => '2799','translator_id' => '4','verse_number' => '8','translate_name' => '«ويدرأ» أي يدفع «عنها العذاب» حد الزنا الذي ثبت بشهاداته «أن تشهد أربع شهادات بالله إنه لمن الكاذبين» فيما رماها من الزنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21508','chapter_id' => '24','chapter_detail_id' => '2800','translator_id' => '4','verse_number' => '9','translate_name' => '«والخامسة أن غضب الله عليها إن كان من الصادقين» في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21509','chapter_id' => '24','chapter_detail_id' => '2801','translator_id' => '4','verse_number' => '10','translate_name' => '«ولولا فضل الله عليكم ورحمته» بالستر في ذلك «وأن الله تواب» بقبوله التوبة في ذلك وغيره «حكيم» فيما حكم به في ذلك وغيره ليبين الحق في ذلك وعاجل بالعقوبة من يستحقها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21510','chapter_id' => '24','chapter_detail_id' => '2802','translator_id' => '4','verse_number' => '11','translate_name' => '(إن الذين جاءوا بالإفك) أسوأ الكذب على عائشة رضي الله عنها، أم المؤمنين بقذفها (عصبة منكم) جماعة من المؤمنين قالت: حسان بن ثابت، وعبد الله بن أبي، ومسطح، وحمنة بنت جحش (لا تحسبوه) أيها المؤمنون غير العصبة (شرا لكم بل هو خير لكم) يأجركم الله به، ويظهر براءة عائشة ومن جاء معها منه وهو صفوان، فإنها قالت: " كنت مع النبي صلى الله عليه وسلم في غزوة بعدما أنزل الحجاب، ففرغ منها ورجع ودنا من المدينة، وآذن بالرحيل ليلة فمشيت وقضيت شأني وأقبلت إلى الرحل فإذا عقدي انقطع ـ هو بكسر المهملة: القلادة ـ فرجعت ألتمسه، وحملوا هودجي ـ هو ما يركب فيه ـ على بعيري يحسبونني فيه، وكانت النساء خفافا إنما يأكلن العلقة ـ هو بضم المهملة وسكون اللام من الطعام: أي القليل ـ ووجدت عقدي وجئت بعدما ساروا فجلست في المنزل الذي كنت فيه، وظننت أن القوم سيفقدونني فيرجعون إلي فغلبتني عيناي فنمت وكان صفوان قد عرس من وراء الجيش فأدلج ـ هما بتشديد الراء والدال أي نزل من آخر الليل للاستراحة ـ فسار منه فأصبح في منزله فرأى سواد إنسان نائم ـ أي شخصه ـ فعرفني حين رآني، وكان يراني قبل الحجاب، فاستيقظت باست','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21511','chapter_id' => '24','chapter_detail_id' => '2803','translator_id' => '4','verse_number' => '12','translate_name' => '«لولا» هلا «إذ» حين «سمعتموه ظن المؤمنين والمؤمنات بأنفسهم» أي بعضهم ببعض «خيرا وقالوا هذا إفك مبين» كذب بيِّن، فيه التفات عن الخطاب أي ظننتم أيها العصبة وقلتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21512','chapter_id' => '24','chapter_detail_id' => '2804','translator_id' => '4','verse_number' => '13','translate_name' => '«لولا» هلا «جاءُوا» أي العصبة «عليه بأربعة شهداء» شاهدوه «فإذا لم يأتوا بالشهداء فأولئك عند الله» أي في حكمه «هم الكاذبون» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21513','chapter_id' => '24','chapter_detail_id' => '2805','translator_id' => '4','verse_number' => '14','translate_name' => '«ولولا فضل الله عليكم ورحمته في الدنيا والآخرة لمسكم فيما أفضتم» أيها العصبة أي خضتم «فيه عذاب عظيم» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21514','chapter_id' => '24','chapter_detail_id' => '2806','translator_id' => '4','verse_number' => '15','translate_name' => 'إذ تلقونه بألسنتكم» أي يرونه بعضكم عن بعض وحذف من الفعل إحدى التاءين وإذ منصوب بمسكم أو بأفضتم «وتقولون بأفواهكم ما ليس لكم به علم وتحسبونه هينا» لا إثم فيه «وهو عند الله عظيم» في الإثم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21515','chapter_id' => '24','chapter_detail_id' => '2807','translator_id' => '4','verse_number' => '16','translate_name' => '«ولولا» هلا «إذ» حين «سمعتموه قلتم ما يكون» ما ينبغي «لنا أن نتكلم بهذا سبحانك» هو للتعجيب هنا «هذا بهتان» كذب «عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21516','chapter_id' => '24','chapter_detail_id' => '2808','translator_id' => '4','verse_number' => '17','translate_name' => '«يعظكم الله» ينهاكم «أن تعودوا لمثله أبدا إن كنتم مؤمنين» تتعظون بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21517','chapter_id' => '24','chapter_detail_id' => '2809','translator_id' => '4','verse_number' => '18','translate_name' => '«ويبين الله لكم الآيات» في الأمر والنهي «والله عليم» بما يأمر به وينهي عنه «حكيم» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21518','chapter_id' => '24','chapter_detail_id' => '2810','translator_id' => '4','verse_number' => '19','translate_name' => '«إن الذين يحبون أن تشيع الفاحشة» باللسان «في الذين آمنوا» بنسبتها إليهم وهم العصبة «لهم عذاب أليم في الدنيا» بحد القذف «والآخرة» بالنار لحق الله «والله يعلم» انتفاءها عنهم «وأنتم» أيها العصبة بما قلتم من الإفك «لا تعلمون» وجودها فيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21519','chapter_id' => '24','chapter_detail_id' => '2811','translator_id' => '4','verse_number' => '20','translate_name' => '«ولولا فضل الله عليكم» أيها العصبة «ورحمته وأن الله رؤوف رحيم» بكم لعاجلكم بالعقوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21520','chapter_id' => '24','chapter_detail_id' => '2812','translator_id' => '4','verse_number' => '21','translate_name' => '«يا أيها الذين آمنوا لا تتبعوا خطوات الشيطان» أي طرق تزينه «ومن يتبع خطوات الشيطان فإنه» أي المتبع «يأمر بالفحشاء» أي القبيح «والمنكر» شرعاً باتباعها «ولولا فضل الله عليكم ورحمته ما زكى منكم» أيها العصبة بما قلتم من الإفك «من أحد أبداً» أي ما صلح وطهر من هذا الذنب بالتوبة منه «ولكن الله يزكي» يطهر «من يشاء» من الذنب بقبول توبته منه «والله سميع» بما قلتم «عليم» بما قصدتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21521','chapter_id' => '24','chapter_detail_id' => '2813','translator_id' => '4','verse_number' => '22','translate_name' => '«ولا يأتل» يحلف «أولوا الفضل» أصحاب الغنى «منكم والسعة أن» لا «يؤتوا أولي القربى والمساكين والمهاجرين في سبيل الله» نزلت في أبي بكر حلف أن لا ينفق على مسطح وهو ابن خالته مسكين مهاجر بدري لما خاض في الإفك بعد أن كان ينفق عليه، وناس من الصحابة أقسموا أن لا يتصدقوا على من تكلم بشيء من الإفك «وليعفوا وليصفحوا» عنهم في ذلك «ألا تحبون أن يغفر الله لكم والله غفور رحيم» للمؤمنين قال أبو بكر: بلى أنا أحب أن يغفر الله لي ورجع إلى مسطح ما كان ينفقه عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21522','chapter_id' => '24','chapter_detail_id' => '2814','translator_id' => '4','verse_number' => '23','translate_name' => '«إن الذين يرمون» بالزنا «المحصنات» العفائف «الغافلات» عن الفواحش بأن لا يقع في قلوبهن فعلها «المؤمنات» بالله ورسوله «لعنوا في الدنيا والآخرة ولهم عذاب عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21523','chapter_id' => '24','chapter_detail_id' => '2815','translator_id' => '4','verse_number' => '24','translate_name' => '«يوم» ناصبه الاستقرار الذي تعلق به لهم «تشهد» بالفوقانية والتحتانية «عليهم ألسنتهم وأيديهم وأرجلهم بما كانوا يعملون» من قول وفعل وهو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21524','chapter_id' => '24','chapter_detail_id' => '2816','translator_id' => '4','verse_number' => '25','translate_name' => '«يومئذٍ يوفيهم الله دينهم الحق» يجازيهم جزاءَه الواجب عليهم «ويعلمون أن الله هو الحق المبين» حيث حقق لهم جزاءه الذي كانوا يشكون فيه ومنهم عبد الله بن أبيّ والمحصنات هنا أزواج النبي صلى الله عليه وسلم لم يذكر في قذفهن توبة ومن ذكر في قذفهن أول سورة التوبة غيرهن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21525','chapter_id' => '24','chapter_detail_id' => '2817','translator_id' => '4','verse_number' => '26','translate_name' => '«الخبيثات» من النساء ومن الكلمات «للخبيثين» من الناس «والخبيثون» من الناس «للخبيثات» مما ذكر «والطيبات» مما ذكر «للطيبين» من الناس «والطيبون» منهم «للطيبات» مما ذكر أي اللائق بالخبيث مثله وبالطيب مثله «أولئك» الطيبون والطيبات من النساء ومنهم عائشة وصفوان «مبرؤون مما يقولون» أي الخبيثون من الرجال والنساء فيهم «لهم» للطيبين والطيبات «مغفرة ورزق كريم» في الجنة وقد افتخرت عائشة بأشياء منها أنها خلقت طيبة ووعدت مغفرة ورزقاً كريماً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21526','chapter_id' => '24','chapter_detail_id' => '2818','translator_id' => '4','verse_number' => '27','translate_name' => '«يا أيها الذين آمنوا لا تدخلوا بيوتا غير بيوتكم حتى تستأنوا» أي تستأذنوا «وتسلموا على أهلها» فيقول الواحد السلام عليكم أأدخل؟ كما ورد في حديث «ذلكم خير لكم» من الدخول بغير استئذان «لعلكم تذكرون» بإدغام التاء الثانية في الذال خيريته فتعملون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21527','chapter_id' => '24','chapter_detail_id' => '2819','translator_id' => '4','verse_number' => '28','translate_name' => '«فإن لم تجدوا فيها أحدا» يأذن لكم «فلا تدخلوها حتى يؤذن لكم وإن قيل لكم» بعد الاستئذان «ارجعوا فارجعوا هو» أي الرجوع «أزكى» أي خير «لكم» من القعود على الباب «والله بما تعملون» من الدخول بإذن وغير إذن «عليم» فيجازيكم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21528','chapter_id' => '24','chapter_detail_id' => '2820','translator_id' => '4','verse_number' => '29','translate_name' => '«ليس عليكم جناح أن تدخلوا بيوتا غير مسكونة فيها متاعٌ» أي منفعة «لكم» باستكنان وغيره كبيوت الربط والخانات المسبلة «والله يعلم ما تبدون» تظهرون «وما تكتمون» تخفون في دخول غير بيوتكم من قصد صلاح أو غيره، وسيأتي أنهم إذا دخلوا بيوتهم يسلمون على أنفسهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21529','chapter_id' => '24','chapter_detail_id' => '2821','translator_id' => '4','verse_number' => '30','translate_name' => '«قل للمؤمنين يغضوا من أبصارهم» عما لا يحلُّ لهم نظره، ومن زائدة «ويحفظوا فروجهم» عما لا يحل لهم فعله بها «ذلك أزكي» أي خير «لهم إن الله خبير بما يصنعون» بالأبصار والفروج فيجازيهم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21530','chapter_id' => '24','chapter_detail_id' => '2822','translator_id' => '4','verse_number' => '31','translate_name' => '«وقل للمؤمنات يغضضن من أبصارهنّ» عما لا يحل لهنّ نظره «ويحفظن فروجهنَّ» عما لا يحل لهنَّ فعله بها «ولا يبدين» يُظهرن «زينتهن إلا ما ظهر منها» وهو الوجه والكفان فيجوز نظره لأجني إن لم يخف فتنة في أحد وجهين، والثاني يحرم لأنه مظنة الفتنة، ورجح حسما للباب «وليضرين بخمرهنَّ على جيوبهنَّ» أي يسترن الرؤوس والأعناق والصدور بالمقانع «ولا يبدين زينتهنّ» الخفية، وهي ما عدا الوجه والكفين «إلا لبعولتهن» جمع بعل: أي زوج «أو آبائهن أو آباء بعولتهن أو أبنائهن أو أبناء بعولتهن أو إخواتهن أو بني إخوانهن أو بني أخوانهن أو نسائهن أو ما ملكت أيمانهن» فيجوز لهم نظره إلا ما بين السرة والركبة فيحرم نظره لغير الأزواج وخرج بنسائهن الكافرات فلا يجوز للمسلمات الكشف لهنَّ وشمل ما ملكت أيمانهنَّ العبيد «أو التابعين» في فضول الطعام «غير» بالجر صفة والنصب استثناء «أولي الإربة» أصحاب الحاجة إلى النساء «من الرجال» بأن لم ينتشر ذكر كل «أو الطفل» بمعنى الأطفال «الذين لم يظهروا» يطلعوا «على عورات النساء» للجماع فيجوز أن يبدين لهم ما عدا ما بين السرة والركبة «ولا يضربن بأرجلهن ليعلم ما يخفين من زينتهن» من خلخال يتقعقع «وتوبوا إلى الله جميعا أيها المؤمنون» مما وقع لكم من النظر الممنوع منه ومن غيره «لعلكم تفلحون» تنجون من ذلك لقبول التوبة منه وفي الآية تغليب الذكور على الإناث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21531','chapter_id' => '24','chapter_detail_id' => '2823','translator_id' => '4','verse_number' => '32','translate_name' => '«وأنكحوا الأيامى منكم» جمع أيم: وهي من ليس لها زوج بكرا كانت أو ثيبا ومن ليس له زوج وهذا في الأحرار والحرائر «والصالحين» المؤمنين «من عبادكم وإمائكم» وعباد من جموع عبد «إن يكونوا» أي الأحرار «فقراء يغنهم الله» بالتزوج «من فضله والله واسع» لخلقه «عليم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21532','chapter_id' => '24','chapter_detail_id' => '2824','translator_id' => '4','verse_number' => '33','translate_name' => '«وليستعفف الذين لا يجدون نكاحا» ما ينكحون به من مهر ونفقة عن الزنا «حتى يغنيهم الله» يوسع عليهم «من فضله» فينكحون «والذين يبتغون الكتاب» بمعنى المكاتبة «مما ملكت أيمانكم» من العبيد والإماء «فكاتبوهم إن علمتم فيهم خيرا» أي أمانة وقدرة على الكسب لأداء مال الكتابة وصيغتها مثلا: كاتبتك على ألفين في شهرين كل شهر ألف فإذا أديتها فأنت حر فيقول قبلت «وآتوهم» أمر للسادة «من مال الله الذي آتاكم» ما يستعينون به في أداء ما التزموه لكم وفي معنى الإيتاء حط شيء مما التزموه «ولا تكرهوا فتياتكم» إماءكم «على البغاء» الزنا «إن أردن تحصنا» تعففا عنه وهذه الإرادة محل الإكراه فلا مفهوم للشرط «لتبتغوا» بالإكراه «عرض الحياة الدنيا» نزلت في عبد الله بن أبي كان يكره جواريه على الكسب بالزنا «ومن يكرههن فإن الله من بعد إكراههن غفور» لهن «رحيم» بهن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21533','chapter_id' => '24','chapter_detail_id' => '2825','translator_id' => '4','verse_number' => '34','translate_name' => '«ولقد أنزلنا إليكم آيات مبيَّنات» بفتح الياء وكسرها في هذه السورة، بيَّن فيها ما ذكر أو بينة «ومثلاً» خبرا عجيبا وهو خبر عائشة «من الذين خلوْا من قبلكم» أي من جنس أمثالهم أي أخبارهم العجيبة كخبر يوسف ومريم «وموعظة للمتقين» في قوله تعالى (ولا تأخذكم بها رائفة في دين الله) (لولا إذ سمعتموه ظن المؤمنون) الخ (ولولا إذ سمعتموه قلتم) الخ (يعظكم الله أن تعودوا) الخ وتخصيصها بالمتقين لأنهم المنتفعون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21534','chapter_id' => '24','chapter_detail_id' => '2826','translator_id' => '4','verse_number' => '35','translate_name' => '«الله نور السماوات والأرض» أي منورهما بالشمس والقمر «مثل نوره» أي صفته في قلب المؤمن «كمشكاة فيها مصباح المصباح في زجاجة» هي القنديل والمصباح السراج: أي الفتيلة الموقودة، والمشكاة: الطاقة غير النافذة، أي الأنبوبة في القنديل «الزجاجة كأنها» والنور فيها «كوكبٌ دِرِّيٌ» أي مضيء بكسر الدال وضمها من الدرء بمعنى الدفع لدفعها الظلام، وبضمها وتشديد الياء منسوب إلى الدر: اللؤلؤ «توَقَّد» المصباح بالماضي، وفي قراءة بمضارع أو قد مبنيا للمفعول بالتحتانية وفي أخرى توقد بالفوقانية، أي الزجاجة «مِن» زيت «شجرة مباركةِ زيتونةِ لا شرقيةِ ولا غربيةِ» بل بينهما فلا يتمكن منها ولا برد مضران «يكاد زيتها يضيء ولو لم تمسسهُ نار» لصفائه «نور» به «على نور» بالنار، ونور الله: أي هداه للمؤمنين نور على نور الإيمان «يهدي الله لنوره» أي دين الإسلام «من يشاء ويضرب» يبين «الله الأمثال للناس» تقريبا لأفهامهم ليعتبروا فيؤمنوا «والله بكل شيء عليم» ومنه ضرب الأمثال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21535','chapter_id' => '24','chapter_detail_id' => '2827','translator_id' => '4','verse_number' => '36','translate_name' => '«في بيوت» متعلق بيسبح الآتي «أذن الله أن ترفع» تعظم «ويذكر فيها اسمه» بتوحيده «يسبَّح» بفتح الموحدة وكسرها: أي يُصلِي «له فيها بالغدو» مصدر بمعنى الغدوات: أي البُكر «والآصال» العشايا من بعد الزوال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21536','chapter_id' => '24','chapter_detail_id' => '2828','translator_id' => '4','verse_number' => '37','translate_name' => '«رجال» فاعل يسبح بكسر الباء وعلى فتحها نائب الفاعل له ورجال فاعل فعل مقدر جواب سؤال مقدر كأنه قيل: من يسبحه «لا تلهيهم تجارة» شراء «ولا بيع عن ذكر الله وإقام الصلاة» حذف هاء إقامة تخفيف «وإيتاء الزكاة يخافون يوما تتقلب» تضطرب «فيه القلوب والأبصار» من الخوف، القلوب بين النجاة والهلاك والأبصار بين ناحيتي اليمين والشمال: وهو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21537','chapter_id' => '24','chapter_detail_id' => '2829','translator_id' => '4','verse_number' => '38','translate_name' => '«ليجزيهم الله أحسن ما عملوا» أي ثوابه وأحسن بمعنى حسن «ويزيدهم من فضله والله يرزق من يشاءُ بغير حساب» يقال فلان ينفق بغير حساب: أي يوسع كأنه لا يحسب ما ينفقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21538','chapter_id' => '24','chapter_detail_id' => '2830','translator_id' => '4','verse_number' => '39','translate_name' => '«والذين كفروا أعمالهم كسراب بقيعةِ» جمع قاع: أي فيلاه وهو شعاع يرى فيها نصف النهار في شدة الحر يشبه الماء الجاري «يحسبه» يظنه «الظمآن» أي العطشان «ماءً حتى إذا جاءه لم يجده شيئا» مما حسبه كذلك الكافر يحسب أن عمله كصدقه ينفعه حتى إذا مات وقدم على ربه لم يجد عمله أي لم ينفعه «ووجد الله عنده» أي عند عمله «فوفَّاه حسابه» أي جازاه عليه في الدنيا «والله سريع الحساب» أي المجازاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21539','chapter_id' => '24','chapter_detail_id' => '2831','translator_id' => '4','verse_number' => '40','translate_name' => '«أو» الذين كفروا أعمالهم السيئة «كظلمات في بحر لجَّي» عميق «يغشاه موج من فوقه» أي الموج «موج من فوقه» أي الموج الثاني «سحاب» أي غيم، هذه «ظلمات بعضها فوق بعض» ظلمة البحر وظلمة الموج الأول، وظلمة الثاني وظلمة السحاب «إذا أخرج» الناظر «يده» في هذه الظلمات «لم يكد يراها» أي لم يقرب من رؤيتها «ومن لم يجعل الله له نورا فما له من نور» أي من لم يهده الله لم يهتد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21540','chapter_id' => '24','chapter_detail_id' => '2832','translator_id' => '4','verse_number' => '41','translate_name' => '«ألم تر أن الله يسبح له من في السماوات والأرض» ومن التسبيح صلاة «والطير» جمع طائر بين السماء والأرض «صافّات» حال باسطات أجنحتهنَّ «كل قد علم» الله «صلاته وتسبيحه والله عليم بما يفعلون» فيه تغليب العاقل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21541','chapter_id' => '24','chapter_detail_id' => '2833','translator_id' => '4','verse_number' => '42','translate_name' => '«ولله ملك السماوات والأرض» خزائن المطر والرزق والنبات «وإلى الله المصير» المرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21542','chapter_id' => '24','chapter_detail_id' => '2834','translator_id' => '4','verse_number' => '43','translate_name' => '«ألم تر أن الله يزجي سحابا» يسوقه برفق «ثم يؤلف بينه» يضم بعضه إلى بعض فيجعل القطع المتفرقة قطعة واحدة «ثم يجعله ركاما» بعضه فوق بعض «فترى الوَدْق» المطر «يخرج من خلاله» مخارجه «وينزل من السماء من» زائدة «جبال فيها» في السماء بدل بإعادة الجار «من بَرَدِ» أي بعضه «فيصيب به من يشاء ويصرفه عن من يشاء يكاد» يقرب «سنا برقه» لمعانه «يذهب بالأبصار» الناظرة له: أي يخطفها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21543','chapter_id' => '24','chapter_detail_id' => '2835','translator_id' => '4','verse_number' => '44','translate_name' => '«يقلب الله الليل والنهار» أي يأتي بكل منهما بدل الآخر «إن في ذلك» التقليب «لعبرة» دلالة «لأولي الأبصار» لأصحاب البصائر على قدرة الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21544','chapter_id' => '24','chapter_detail_id' => '2836','translator_id' => '4','verse_number' => '45','translate_name' => '«والله خلق كل دابة» أي حيوان «من ماءٍ» نطفة «فمنهم من يمشي على بطنه» كالحيات والهوام «ومنهم من يمشي على رجلين» كالإنسان والطير «ومنهم من يمشي على أربع» كالبهائم والأنعام «يخلق الله ما يشاء إن الله على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21545','chapter_id' => '24','chapter_detail_id' => '2837','translator_id' => '4','verse_number' => '46','translate_name' => '«لقد أنزلنا آيات مبينات» أي بينات هي القرآن «والله يهدي من يشاء إلى صراط» طريق «مستقيم» أي دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21546','chapter_id' => '24','chapter_detail_id' => '2838','translator_id' => '4','verse_number' => '47','translate_name' => '«ويقولون» المنافقون «آمنا» صدقنا «بالله» بتوحيده «وبالرسول» محمد «وأطعنا» هما فيما حكما به «ثم يتولى» يعرض «فريق منهم من بعد ذلك» عنه «وما أولئك» المعرضون «بالمؤمنين» المعهودين الموافق قلوبهم لألسنتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21547','chapter_id' => '24','chapter_detail_id' => '2839','translator_id' => '4','verse_number' => '48','translate_name' => '«وإذا دعوا إلى الله ورسوله» المبلغ عنه «ليحكم بينهم إذا فريق منهم معرضون» عن المجيء إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21548','chapter_id' => '24','chapter_detail_id' => '2840','translator_id' => '4','verse_number' => '49','translate_name' => '«وإن يكن لهم الحق يأتوا إليه مذعنين» مسرعين طائعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21549','chapter_id' => '24','chapter_detail_id' => '2841','translator_id' => '4','verse_number' => '50','translate_name' => '«أفي قلوبهم مرض» كفر «أم ارتابوا» أي شكوا في نبوته «أم يخافون أن يحيف الله عليهم ورسوله» في الحكم أي فيظلموا فيه؟ لا «بل أولئك هم الظالمون» بالإعراض عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21550','chapter_id' => '24','chapter_detail_id' => '2842','translator_id' => '4','verse_number' => '51','translate_name' => '«إنما كان قول المؤمنين إذا دعوا إلى الله ورسوله ليحكم بينهم» فالقول اللائق بهم «أن يقولوا سمعنا وأطعنا» بالإجابة «وأولئك» حينئذ «هم المفلحون» الناجون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21551','chapter_id' => '24','chapter_detail_id' => '2843','translator_id' => '4','verse_number' => '52','translate_name' => '«ومن يطع الله ورسوله ويخش الله» يخافه «ويتقهْ» بسكون الهاء وكسرها بأن يطيعه «فأولئك هم الفائزون» بالجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21552','chapter_id' => '24','chapter_detail_id' => '2844','translator_id' => '4','verse_number' => '53','translate_name' => '«وأقسموا بالله جهد إيمانهم» غايتها «لئن أمرتهم» بالجهاد «ليخرجنَّ قل» لهم «لا تقسموا طاعة معروفة» للنبي خير من قسمكم الذي لا تصدقون فيه «إن الله خبير بما تعلمون» من طاعتكم بالقول ومخالفتكم بالفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21553','chapter_id' => '24','chapter_detail_id' => '2845','translator_id' => '4','verse_number' => '54','translate_name' => '«قل أطيعوا الله وأطيعوا الرسول فان تولوْ» عن طاعته بحذف إحدى التاءين خطاب لهم «فإنما عليه ما حمل» من التبليغ «وعليكم ما حملتم» من طاعته «وإن تطيعوه تهتدوا وما على الرسول إلا البلاغ المبين» أي التبليغ البيِّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21554','chapter_id' => '24','chapter_detail_id' => '2846','translator_id' => '4','verse_number' => '55','translate_name' => '«وعد الله الذين آمنوا منكم وعملوا الصالحات ليستخلفنهم في الأرض» بدلا عن الكفار «كما استخلف» بالبناء للفاعل والمفعول «الذين من قبلهم» من بنى إسرائيل بدلا عن الجبارة «وليمكنن لهم دينهم الذي أرتضى لهم» وهو الإسلام بأن يظهر على جميع الأديان ويوسع لهم في البلاد فيملكوها «وَلَيُبْدلَنَّهُمْ» بالتخفيف والتشديد «من بعد خوفهم» من الكفار «أمنا» وقد أنجز الله وعده لهم بما ذكر وأثنى عليهم بقوله: «يعبدونني لا يشركون بي شيئا» هو مستأنف في حكم التعليل «ومن كفر بعد ذلك» الإنعام منهم به «فأولئك هم الفاسقون» وأول من كفر به قتلة عثمان رضي الله عنه فصاروا يقتتلون بعد أن كانوا إخوانا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21555','chapter_id' => '24','chapter_detail_id' => '2847','translator_id' => '4','verse_number' => '56','translate_name' => '«وأقيموا الصلاة وآتوا الزكاة وأطيعوا الرسول لعلكم ترحمون» أي رجاء الرحمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21556','chapter_id' => '24','chapter_detail_id' => '2848','translator_id' => '4','verse_number' => '57','translate_name' => '«لا تحسبن» بالفوقانية والتحتانية والفاعل الرسول «الذين كفروا معجزين» لنا «في الأرض» بأن يفوتونا «ومأواهم» مرجعهم «النار ولبئس المصير» المرجع هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21557','chapter_id' => '24','chapter_detail_id' => '2849','translator_id' => '4','verse_number' => '58','translate_name' => '«يا أيها الذين آمنوا ليستأذنكم الذين ملكت أيمانكم» من العبيد آمنوا والإماء «والذين لم يبلغوا الحلم منكم» من الأحرار وعرفوا أمر النساء «ثلاث مرات» في ثلاثة أوقات «من قبل صلاة الفجر وحين تضعون ثيابكم من الظهيرة» أي وقت الظهر «ومن بعد الصلاة العشاء ثلاث عورات لكم» بالرفع خبر مبتدأ بعده مضاف وقام المضاف إليه مقامه: أي هي أوقات وبالنصب بتقدير أوقات منصوبا بدلاً من محل ما قبله قام المضاف إليه مقامه، وهي لإلقاء الثياب تبدو فيها العورات «ليس عليكم ولا عليهم» أي المماليك والصبيان «جناح» في الدخول عليكم بغير استئذان «بعدهن» أي بعد الأوقات الثلاثة هم «طوافون عليكم» للخدمة «بعضكم» طائف «على بعض» والجملة مؤكدة لما قبلها «كذلك» كما بين ما ذكر «يبين الله لكم الآيات» أي الأحكام «والله عليم» بأمور خلقه «حكيم» بما دبره لهم وآية الاستئذان قيل منسوخة وقيل لا ولكن تهاون الناس في ترك الاستئذان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21558','chapter_id' => '24','chapter_detail_id' => '2850','translator_id' => '4','verse_number' => '59','translate_name' => '«وإذا بلغ الأطفال» أيها الأحرار «منكم الحلم فليستأذنوا» في جميع الأوقات «كما استأذن الذين من قبلهم» أي الأحرار الكبار «كذلك يبين الله لكم آياته والله عليم حكيم»','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21559','chapter_id' => '24','chapter_detail_id' => '2851','translator_id' => '4','verse_number' => '60','translate_name' => '«والقواعد من النساء» قعدن عن الحيض والولد لكبرهن «اللاتي لا يرجون نكاحا» لذلك «فليس عليهن جناح أن يضعن ثيابهن» من الجلباب والرداء والقناع فوق الخمار «غير متبرجات» مظهرات «بزينة» خفيفة كقلادة وسوار وخلخال «وأن يستعففن» بأن لا يضعنها «خير لهن والله سميع» لقولكم «عليم» بما في قلوبكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21560','chapter_id' => '24','chapter_detail_id' => '2852','translator_id' => '4','verse_number' => '61','translate_name' => '«ليس على الأعمى حرج ولا على الأعرج حرج ولا على المريض حرج» في مؤاكلة مقابليهمْ «ولا» حرج «على أنفسكم أن تأكلوا من بيوتكم» أولادكم «أو بيوت آبائكم أو بيوت أمهاتكم أو بيوت إخوانكم أو بيوت أخواتكم أو بيوت أعمامكم أو بيوت عماتكم أو بيوت أخوالكم أو بيوت خالاتكم أو ما ملكتم مفاتحه» خزنتموه لغيركم «أو صديقكم» وهو من صدقكم في مودته المعنى يجوز الأكل من بيوت من ذكر وإن لم يحضروا إذا علم رضاهم به «ليس عليكم جناح أن تأكلوا جميعا» مجتمعين «أو أشتاتا» متفرقين جمع شت نزل فيمن تحرج أن يأكل وحده وإذا لم بجد يؤاكله يترك الأكل «فإذا دخلتم بيوتا» لكم لا أهل بها «فسلموا على أنفسكم» قولوا السلام علينا وعلى عباد الله الصالحين فإن الملائكة ترد عليكم وإن كان بها أهل فسلموا عليهم «تحية» حيا «من عند الله مباركة طيبة» يثاب عليها «كذلك يبيَّن الله لكم الآيات» أي يفضل لكم معالم دينكم «لعلكم تعقلون» لكي تفهموا ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21561','chapter_id' => '24','chapter_detail_id' => '2853','translator_id' => '4','verse_number' => '62','translate_name' => '«إنما المؤمنون الذين آمنوا بالله ورسوله وإذا كانوا معه» أي الرسول «على أمر جامع» كخطبة الجمعة «لم يذهبوا» لعروض عذر لهم «حتى يستأذنوه إن الذين يستأذنونك أولئك الذين يؤمنون بالله ورسوله فإذا استأذنوك لبعض شأنهم» أمرهم «فأذن لمن شئت منهم» بالانصراف «واستغفر لهم الله إن الله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21562','chapter_id' => '24','chapter_detail_id' => '2854','translator_id' => '4','verse_number' => '63','translate_name' => '«لا تجعلوا دعاء الرسول بينكم كدعاء بعضكم بعضا» بأن تقولوا يا محمد، بل قولوا يا نبيَّ الله، يا رسول الله، في لين وتواضع وخفض صوت «قد يعلم الله الذين يتسللون منكم لواذا» أي يخرجون من المسجد في الخطبة من غير استئذان خفية مستترين بشيء، وقد للتحقيق «فليحذر الذين يخالفون عن أمره» أي الله ورسوله «أن تصيبهم فتنة» بلاء «أو يصيبهم عذاب أليم» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21563','chapter_id' => '24','chapter_detail_id' => '2855','translator_id' => '4','verse_number' => '64','translate_name' => '«ألا إنَّ لله ما في السماوات والأرض» ملكا وخلفا وعبيدا «قد يعلم ما أنتم» أيها المكلفون «عليه» من الإيمان والنفاق «و» يعلم «يوم يرجعون إليه» فيه التفات عن الخطاب إلى من يكون «فينبئهم» فيه «بما عملوا» من الخير والشر «والله لكل شيء» من أعمالهم وغيرها «عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21564','chapter_id' => '25','chapter_detail_id' => '2856','translator_id' => '4','verse_number' => '1','translate_name' => '«تبارك» تعالى «الذي نزَّل الفرقان» القرآن لأنه فرق بين الحق والباطل «على عبده» محمد «ليكون للعالمين» الإنس والجن دون الملائكة «نذيرا» مخوّفا من عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21565','chapter_id' => '25','chapter_detail_id' => '2857','translator_id' => '4','verse_number' => '2','translate_name' => '«الذي له ملك السماوات والأرض، ولم يتخذ ولدا ولم يكن له شريك في الملك وخلق كل شيء» من شأنه أن يخلق «فقدره تقديرا» سواه تسوية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21566','chapter_id' => '25','chapter_detail_id' => '2858','translator_id' => '4','verse_number' => '3','translate_name' => '«واتخذوا» أي الكفار «من دونه» أي الله أي غيره «آلهة» هي الأصنام «لا يَخلقون شيئاً وهم يُخلقون ولا يملكون لأنفسهم ضرا» أي دفعه «ولا نفعا» أي جره «ولا يملكون موتا ولا حياةً» أي إماتة لأحد وإحياء لأحد «ولا نشورا» أي بعثا للأموات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21567','chapter_id' => '25','chapter_detail_id' => '2859','translator_id' => '4','verse_number' => '4','translate_name' => '«وقال الذين كفروا إن هذا» أي ما القرآن «إلا إفك» كذب «افتراه» محمد «وأعانه عليه قوم آخرون» وهم من أهل الكتاب، قال تعالى: «فقد جاءُوا ظلما وزورا» كفرا وكذبا: أي بهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21568','chapter_id' => '25','chapter_detail_id' => '2860','translator_id' => '4','verse_number' => '5','translate_name' => '«وقالوا» أيضا هو «أساطير والأولين» أكاذيبهم: جمع أسطورة بالضم «اكتتبها» انتسخها من ذلك القوم بغيره «فهي تملى» تقرأ «عليه» ليحفظها «بكرة وأصيلاً» غدوة وعشيا قال تعالى ردا عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21569','chapter_id' => '25','chapter_detail_id' => '2861','translator_id' => '4','verse_number' => '6','translate_name' => '«قل أنزله الذي يعلم السرَّ» الغيب «في السماوات والأرض إنه كان غفورا» للمؤمنين «رحيما» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21570','chapter_id' => '25','chapter_detail_id' => '2862','translator_id' => '4','verse_number' => '7','translate_name' => '«وقالوا مال هذا الرسول يأكل الطعام ويمشي في الأسواق لولا» هلا «أنزل إليه ملك أو جاء معه نذيرا» يصدقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21571','chapter_id' => '25','chapter_detail_id' => '2863','translator_id' => '4','verse_number' => '8','translate_name' => '«أو يُلقى إليه كنز» من السماء ينفقه، ولا يحتاج إلى المشي في الأسواق لطلب المعاش «أو تكون له جنة» بستان «يأكل منها» أي من ثمارها فيكتفي بها وفي قراءة نأكل بالنون: أي نحن فيكون له مزية علينا بها «وقال الظالمون» أي الكافرون للمؤمنين «إن» ما «تتبعون إلا رجلا مسحورا» مخدوعا مغلوبا على عقله، قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21572','chapter_id' => '25','chapter_detail_id' => '2864','translator_id' => '4','verse_number' => '9','translate_name' => '«أنظر كيف ضربوا لك الأمثال» بالمسحور، والمحتاج إلى ما ينفقه وإلى ملك يقوم معه بالأمر «فضلوا» بذلك عن الهدى «فلا يستطيعون سبيلا» طريقا إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21573','chapter_id' => '25','chapter_detail_id' => '2865','translator_id' => '4','verse_number' => '10','translate_name' => '«تبارك» تكاثر خير «الذي إن شاء جعل لك خيرا من ذلك» الذي قالوه من الكنز والبستان «جناتٍ تجري من تحتها الأنهار» أي في الدنيا لأنه شاء أن يعطيه إياها في الآخرة «ويجعلْ» بالجزم «لك قصورا» أيضا، وفي قراءة بالرفع استئنافا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21574','chapter_id' => '25','chapter_detail_id' => '2866','translator_id' => '4','verse_number' => '11','translate_name' => '«بل كذَّبوا بالساعة» القيامة «وأعتدنا لمن كذَّب بالساعة سعيرا» نارا مسعرة: أي مشتدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21575','chapter_id' => '25','chapter_detail_id' => '2867','translator_id' => '4','verse_number' => '12','translate_name' => '«إذا رأتهم من مكان بعيد سمعوا لها تغيظا» غليانا كالغضبان إذا غلى صدره من الغضب «وزفيرا» صوتا شديدا، أو سماع التغيظ رؤيته وعلمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21576','chapter_id' => '25','chapter_detail_id' => '2868','translator_id' => '4','verse_number' => '13','translate_name' => '«وإذا أُلقوا منها مكانا ضيقا» بالتشديد والتخفيف بأن يضيق عليهم ومنها حال من مكانا لأنه في الأصل صفة له «مقُرَّنين» مصفدين قد قرنت: أي جمعت أيديهم إلى أعناقهم في الأغلال والتشديدُ للتكثير «دعوا هنالك ثبورا» هلاكا فيقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21577','chapter_id' => '25','chapter_detail_id' => '2869','translator_id' => '4','verse_number' => '14','translate_name' => '«لا تدعوا اليوم ثبورا واحدا وادعوا ثبورا كثيرا» كعذابكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21578','chapter_id' => '25','chapter_detail_id' => '2870','translator_id' => '4','verse_number' => '15','translate_name' => '«قل أذلك» المذكور من الوعيد وصفة النار «خير أم جنة الخلد التي وعد» ها «المتقون كانت لهم» في علمه تعالى «جزاءً» ثوابا «ومصيرا» مرجعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21579','chapter_id' => '25','chapter_detail_id' => '2871','translator_id' => '4','verse_number' => '16','translate_name' => '«لهم فيها ما يشاءُون خالدين» حال لازمة «كان» وعدهم ما ذكر «على ربك وعدا مسؤولا» يسأله من وعد به (ربنا وآتنا ما وعدتنا على رسلك) أو تسأله لهم الملائكة (ربنا وأدخلهم جنات عدن التي وعدتهم).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21580','chapter_id' => '25','chapter_detail_id' => '2872','translator_id' => '4','verse_number' => '17','translate_name' => '«ويوم نحشرهم» بالنون والتحتانية «وما يعبدون من دون الله» أي غيره من الملائكة وعيسى وعزير والجن «فيقول» تعالى بالتحتانية والنون للمعبودين إثباتا للحجة على العابدين: «أأنتم» بتحقيق الهمزتين وإبدال الثانية ألفا وتسهيلها وإدخال ألف بين الُسهَلة والأخرى وتركه «أضْللْتم عبادي هؤلاء» أوقعتموهم في الضلال بأمركم إياهم بعبادتكم «أم هم ضلوا السبيل» طريق الحق بأنفسهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21581','chapter_id' => '25','chapter_detail_id' => '2873','translator_id' => '4','verse_number' => '18','translate_name' => '«قالوا سبحانك» تنزيها لك عما لا يليق بك «ما كان ينبغي» يستقيم «لنا أن نتخذ من دونك» أي غيرك «من أولياء» مفعول أول ومن زائدة لتأكيد النفي وما قبله الثاني فكيف نأمر بعبادتنا؟ «ولكن متعتهم وآباءهم» من قبلهم بإطالة العمر وسعة الرزق «حتى نسوا الذكر» تركوا الموعظة والإيمان بالقرآن «وكانوا قوما بورا» هلكى، قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21582','chapter_id' => '25','chapter_detail_id' => '2874','translator_id' => '4','verse_number' => '19','translate_name' => '«فقد كذبوكم» أي كذب المعبودون العابدين «بما تقولون» بالفوقانية أنهم آلهة «فما يستطيعون» بالتحتانية والفوقانية: أي لا هم ولا أنتم «صرفا» دفعا للعذاب عنكم «ولا نصرا» منعا لكم منه «ومن يظلم» يشرك «منكم نُذقْه عذابا كبيرا» شديدا في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21583','chapter_id' => '25','chapter_detail_id' => '2875','translator_id' => '4','verse_number' => '20','translate_name' => '«وما أرسلنا قبلك من المرسلين إلا إنهم ليأكلون الطعام ويمشون في الأسواق» فأنت مثلهم في ذلك، وقد قيل لهم مثل ما قيل لك «وجلنا بعضكم لبعض فتنة» بلية ابتلى الغني بالفقير والصحيح بالمريض، والشريف بالوضيع يقول الثاني في كلّ: ما لي لا أكون كالأول في كلّ: «أتصبرون» على ما تسمعون ممن ابتليتم بهم استفهام بمعنى الأمر: أي اصبروا «وكان ربك بصيرا» بمن يصبر وبمن يجزع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21584','chapter_id' => '25','chapter_detail_id' => '2876','translator_id' => '4','verse_number' => '21','translate_name' => '«وقال الذين لا يرجون لقاءنا» لا يخافون البعث «لولا» هلا «أنزل علينا الملائكة» فكانوا رسلا إلينا «أو نرى ربنا» فنخبر بأن محمدا رسوله قال تعالى: «لقد استكبروا» تكبروا «في» شأن «أنفسهم وعتوْا» طغوا «عُتُوَّا كبيرا» بطلبهم رؤية الله تعالى في الدنيا، وعتوا بالواو على أصله بخلاف عتى بالإبدال في مريم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21585','chapter_id' => '25','chapter_detail_id' => '2877','translator_id' => '4','verse_number' => '22','translate_name' => '«يوم يرون الملائكة» في جملة الخلائق هو يوم القيامة ونصبه باذكر مقدرا «لا بشرى يومئذٍ للمجرمين» أي الكافرين بخلاف المؤمنين فلهم البشرى بالجنة «ويقولون حِجرا محجورا» على عادتهم في الدنيا إذا نزلت بهم شدة: أي عوذا معاذا يستعيذون من الملائكة، قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21586','chapter_id' => '25','chapter_detail_id' => '2878','translator_id' => '4','verse_number' => '23','translate_name' => '«وقدمنا» عمدنا «إلى ما عملوا من عمل» من الخير كصدقة وصلة رحم، وقرى ضيف وإغاثة ملهوف في الدنيا «فجعلناه هباءً منشورا» هو ما يرى في الكوى التي عليها الشمس كالغبار المفرق: أي مثله في عدم النفع به إذ لا ثواب فيه لعدم شرطه ويجازون عليه في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21587','chapter_id' => '25','chapter_detail_id' => '2879','translator_id' => '4','verse_number' => '24','translate_name' => '«أصحاب الجنة يومئذ» يوم القيامة «خيرٌ مستقرا» من الكافرين في الدنيا «وأحسن مقيلا» منهم: أي موضع قائلة فيها، وهي الاستراحة نصف النهار في الحر، وأخذ من ذلك انقضاء الحساب في نصف نهار كما ورد في حديث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21588','chapter_id' => '25','chapter_detail_id' => '2880','translator_id' => '4','verse_number' => '25','translate_name' => '«ويوم تشقق السماء» أي كل سماء «بالغمام» أي معه وهو غيم أبيض «ونزّل الملائكة» من كل سماء «تنزيلا» هو يوم القيامة ونصبه باذكر مقدرا وفي قراءة بتشديد شين تشقق بإدغام التاء الثانية في الأصل فيها، وفي أخرى: ننزل بنونين الثانية ساكنة وضم اللام ونصب الملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21589','chapter_id' => '25','chapter_detail_id' => '2881','translator_id' => '4','verse_number' => '26','translate_name' => '«الملك يومئذ الحق للرحمن» لا يشركه فيه أحد «وكان» اليوم «يوما على الكافرين عسيرا» بخلاف المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21590','chapter_id' => '25','chapter_detail_id' => '2882','translator_id' => '4','verse_number' => '27','translate_name' => '«ويوم يعضُّ الظالم» المشرك: عقبة بن أبي معيط كان نطق بالشهادتين ثم رجع إرضاءً لأبيّ بن خلف «على يديه» ندما وتحسرا في يوم القيامة «يقول يا» للتنبيه «ليتني اتخذت مع الرسول» محمد «سبيلا» طريقا إلى الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21591','chapter_id' => '25','chapter_detail_id' => '2883','translator_id' => '4','verse_number' => '28','translate_name' => '«يا وَيْلَتَى» ألفه عوض عن ياء الإضافة أي ويلتي، ومعناه هلكتي «ليتني لم أتخذ فلانا» أي أبيَّا «خليلا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21592','chapter_id' => '25','chapter_detail_id' => '2884','translator_id' => '4','verse_number' => '29','translate_name' => '«لقد أضلني عن الذكر» أي القرآن «بعد إذ جاءني» بأن ردَّني عن الإيمان به، قال تعالى: «وكان الشيطان للإنسان» الكافر «خذولا» بأن يتركه ويتبرأ منه عند البلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21593','chapter_id' => '25','chapter_detail_id' => '2885','translator_id' => '4','verse_number' => '30','translate_name' => '«وقال الرسول» محمد «يا رب إن قومي» قريشا «اتخذوا هذا القرآن مهجورا» متروكا قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21594','chapter_id' => '25','chapter_detail_id' => '2886','translator_id' => '4','verse_number' => '31','translate_name' => '«وكذلك» كما جعلنا لك عدوّا من مشركي قومك «جعلنا لكل نبي» قبلك «عدوا من المجرمين» المشركين فاصبر كما صبروا «وكفى بربك هاديا» لك «ونصيرا» ناصرا لك على أعدائك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21595','chapter_id' => '25','chapter_detail_id' => '2887','translator_id' => '4','verse_number' => '32','translate_name' => '«وقال الذين كفروا لولا» هلا «نزل عليه القرآن جملة واحدة» كالتوراة والإنجيل والزَّبور، قال تعالى: نزلناه، «كذلك» متفرّقا «لنثبَّت به فؤادك» نقوي قلبك «ورتلناه ترتيلا» أي أتينا به شيئا بعد شيء بتمهل وتؤدة لتيسر فهمه وحفظه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21596','chapter_id' => '25','chapter_detail_id' => '2888','translator_id' => '4','verse_number' => '33','translate_name' => '«ولا يأتونك بمثل» في إبطال أمرك «إلا جئناك بالحق» الدافع له «وأحسن تفسيرا» بيانا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21597','chapter_id' => '25','chapter_detail_id' => '2889','translator_id' => '4','verse_number' => '34','translate_name' => 'هم «الذين يُحشرون على وجوههم» أي يساقون «إلى جهنم أولئك شرٌ مكانا» هو جهنم «وأضَلُّ سبيلا» أخطأ طريقا من غيرهم وهو كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21598','chapter_id' => '25','chapter_detail_id' => '2890','translator_id' => '4','verse_number' => '35','translate_name' => '«ولقد آتينا موسى الكتاب» التوراة «وجعلنا معه أخاه هارون وزيرا» معينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21599','chapter_id' => '25','chapter_detail_id' => '2891','translator_id' => '4','verse_number' => '36','translate_name' => '«فقلنا اذهبا إلى القوم الذين كذبوا بآياتنا» أي القبط فرعون وقومه فذهبا إليهم بالرسالة فكذبوهما «فدمرناهم تدميرا» أهلكناهم إهلاكا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21600','chapter_id' => '25','chapter_detail_id' => '2892','translator_id' => '4','verse_number' => '37','translate_name' => '«و» اذكر «قوم نوح لما كذبوا الرسل» بتكذيبهم نوحا لطول لبثه فيهم فكأنه رسل، أو لأن تكذيبه تكذيب لباقي الرسل لاشتراكهم في المجيء بالتوحيد «أغرقناهم» جواب لما «وجعلناهم للناس» بعدهم «آية» عبرة «وأعتدنا» في الآخرة «للظالمين» الكافرين «عذابا أليما» مؤلما سوى ما يحل بهم في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21601','chapter_id' => '25','chapter_detail_id' => '2893','translator_id' => '4','verse_number' => '38','translate_name' => '«و» اذكر «عادا» يوم هود «وثمود» قوم صالح «وأصحاب الرَّسَّ» اسم بئر، ونبيهم قيل شعيب وقيل غيره كانوا قعودا حولها فانهارت بهم وبمنازلهم «وقرونا» أقواما «بين ذلك كثيرا» أي بين عاد وأصحاب الرَّسَّ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21602','chapter_id' => '25','chapter_detail_id' => '2894','translator_id' => '4','verse_number' => '39','translate_name' => '«وكلا ضربنا له الأمثال» في إقامة الحجة عليهم فلم نهلكهم إلا بعد الإنذار «وكلاٌ تبَّرنا تتبيرا» أهلكنا إهلاكا بتكذيبهم أنبياءهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21603','chapter_id' => '25','chapter_detail_id' => '2895','translator_id' => '4','verse_number' => '40','translate_name' => '«ولقد أتوا» أي مرَّ كفار مكة «على القرية التي أمطرت مطر السوء» مصدر ساء أي بالحجارة وهي عظمى قرى قوم لوط فأهلك الله أهلها لفعلهم الفاحشة «أفلم يكونوا يرونَها» في سفرهم إلى الشام فيعتبرون، والاستفهام للتقرير «بل كانوا لا يرجون» يخافون «نشورا» بعثا فلا يؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21604','chapter_id' => '25','chapter_detail_id' => '2896','translator_id' => '4','verse_number' => '41','translate_name' => '«وإذا رأوْك إن» ما «يتخذونك إلا هزؤا» مهزوءا به يقولن «أهذا الذي بعث الله رسولا» في دعواه محتقرين له عن الرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21605','chapter_id' => '25','chapter_detail_id' => '2897','translator_id' => '4','verse_number' => '42','translate_name' => '«إن» مخففة من الثقيلة واسمها محذوف أي إنه «كاد ليضلنا» يصرفنا «عن آلهتنا لولا أن صبرنا عليها» لصرفنا عنها، قال تعالى: «وسوف يعلمون حين يرون العذاب» عينانا في الآخرة «من أضلُّ سبيلا» أخطأ طريقا، أهم أم المؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21606','chapter_id' => '25','chapter_detail_id' => '2898','translator_id' => '4','verse_number' => '43','translate_name' => '«أرأيت» أخبرني «من اتخذ إلههُ هواه» أي مُهويه قدَّم المفعول الثاني لأنه أهمّ وجملة من اتخذ مفعول أول لرأيت والثاني «أفأنت تكون عليه وكيلا» حافظا تحفظه عن ابتاع هواه لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21607','chapter_id' => '25','chapter_detail_id' => '2899','translator_id' => '4','verse_number' => '44','translate_name' => '«أم تحسب أن أكثرهم يسمعون» سماع تفهم «أو يعقلون» ما تقول لهم «إن» ما «هم إلا كالأنعام بل هم أضل سبيلا» أخطأ طريقا منها لأنها تنقاد لمن يتعهدها، وهم لا يطيعون مولاهم المنعم عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21608','chapter_id' => '25','chapter_detail_id' => '2900','translator_id' => '4','verse_number' => '45','translate_name' => '«ألم تَرَ» تنظر «إلى» فعل «ربّك كيف مدَّ الظل» من وقت الإسفار إلى وقت طلوع الشمس «ولو شاء» ربك «لجعله ساكنا» مقيما لا يزول بطلوع الشمس «ثم جعلنا الشمس عليه» أي الظل «دليلا» فلولا الشمس ما عرف الظل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21609','chapter_id' => '25','chapter_detail_id' => '2901','translator_id' => '4','verse_number' => '46','translate_name' => '«ثم قبضناه» أي الظل الممدود «إلينا قبضا يسيرا» خفيفا بطلوع الشمس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21610','chapter_id' => '25','chapter_detail_id' => '2902','translator_id' => '4','verse_number' => '47','translate_name' => '«وهو الذي جعل لكم الليل لباسا» ساترا كاللباس «والنوم سُباتا» راحة للأبدان بقطع الأعمال «وجعل النهار نشورا» منشورا فيه لابتغاء الرزق وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21611','chapter_id' => '25','chapter_detail_id' => '2903','translator_id' => '4','verse_number' => '48','translate_name' => '«وهو الذي أرسل الرياح» وفي قراءة الريح «نُشرا بين يديْ رحمته» متفرقة قدام المطر، وفي قراءة بسكون الشين تخفيفا، وفي أخرى بسكونها ونون مفتوحة مصدر، وفي أخرى بسكونها وضم الموحدة بدل النون: أي مبشرات ومفرد الأولى نشور كرسول والأخيرة بشير «وأنزلنا من السماء ماءً طهورا» مطهرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21612','chapter_id' => '25','chapter_detail_id' => '2904','translator_id' => '4','verse_number' => '49','translate_name' => '«لنحيي به بلدة ميتا» بالتخفيف يستوي فيه المذكور والمؤنث ذكّره باعتبار المكان «ونسقيه» أي الماء «مما خلقنا أنعاما» إبلا وبقرا وغنما «وأناسيَّ كثيرا» جمع إنسان وأصله أناسين فأبدلت النون ياء وأدغمت فيها الياء أو جمع انسي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21613','chapter_id' => '25','chapter_detail_id' => '2905','translator_id' => '4','verse_number' => '50','translate_name' => '«ولقد صرفناه» أي الماء «بينهم ليذَّكروا» أصله يتذكروا أدغمت التاء في الذال وفي قراءة ليذْكُروا بسكون الذال وضم الكاف أي نعمة الله به «فأبى أكثر الناس إلا كفورا» جحودا للنعمة حيث قالوا: مطرنا بنوء كذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21614','chapter_id' => '25','chapter_detail_id' => '2906','translator_id' => '4','verse_number' => '51','translate_name' => '«ولو شئنا لبعثنا في كل قرية نذيرا» يخوِّف أهلها ولكن بعثناك إلى أهل القرى كلها نذيرا ليعظم أجرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21615','chapter_id' => '25','chapter_detail_id' => '2907','translator_id' => '4','verse_number' => '52','translate_name' => '«فلا تُطع الكافرين» في هواهم «وجاهدهم به» أي القرآن «جهادا كبيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21616','chapter_id' => '25','chapter_detail_id' => '2908','translator_id' => '4','verse_number' => '53','translate_name' => '«وهو الذي مرج البحرين» أرسلهما متجاورين «هذا عذبٌ فرات» شديد العذوبة «وهذا مِلْحٌ أُجَاجٌ» شديد الملوحةِ «وجعل بينهما برزخا» حاجزا لا يختلط أحدهما بالآخر «وحجرا محجورا» سترا ممنوعا به اختلاطهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21617','chapter_id' => '25','chapter_detail_id' => '2909','translator_id' => '4','verse_number' => '54','translate_name' => '«وهو الذي خلق من الماء بشرا» من المني إنسانا «فجعله نسبا» ذا نسب «وصهرا» ذا صهر بأن يتزوج ذكرا كان أو أنثي طلبا للتناسل «وكان ربُّك قديرا» قادرا على ما يشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21618','chapter_id' => '25','chapter_detail_id' => '2910','translator_id' => '4','verse_number' => '55','translate_name' => '«ويعبدون» أي الكفار «من دون الله ما لا ينفعهم» بعبادته «ولا يضرهم» بتركها وهو الأصنام «وكان الكافر على ربه ظهيرا» معينا للشيطان بطاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21619','chapter_id' => '25','chapter_detail_id' => '2911','translator_id' => '4','verse_number' => '56','translate_name' => '«وما أرسلناك إلا مبشرا» بالجنة «ونذيرا» مخوفا من النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21620','chapter_id' => '25','chapter_detail_id' => '2912','translator_id' => '4','verse_number' => '57','translate_name' => '«قل ما أسألكم عليه» أي على تبليغ ما أرسلت به «من أجر إلا» لكن «من شاء أن يتخذ إلى ربه سبيلا» طريقا بإنفاق ماله في مرضاته تعالى فلا أمنعه من ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21621','chapter_id' => '25','chapter_detail_id' => '2913','translator_id' => '4','verse_number' => '58','translate_name' => '«وتوكل على الحي الذي لا يموت وسَبِّح» متلبسا «بحمده» أي قل: سبحان الله والحمد لله «وكفى به بذنوب عباده خبيرا» عالما تعلق به بذنوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21622','chapter_id' => '25','chapter_detail_id' => '2914','translator_id' => '4','verse_number' => '59','translate_name' => '«وهو الذي خلق السماوات والأرض وما بينهما في ستة أيام» من أيام الدنيا: أي في قدرها لأنه لم يكن ثم شمس ولو شاء لخلقهنّ في لمحة والعدول عنه لتعليم خلقه التثبيت «ثم استوى على العرش» هو في اللغة سرير الملك «الرحمن» بدل من ضمير استوى: أي استواءً يليق به «فاسأل» أيها الإنسان «به» بالرحمن «خبيرا» يخبرك بصفاته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21623','chapter_id' => '25','chapter_detail_id' => '2915','translator_id' => '4','verse_number' => '60','translate_name' => '«وإذا قيل لهم» لكفار مكة «اسجدوا للرحمن قالوا وما الرحمن أنسجد لما تأمرنا» بالفوقانية والتحتانية والآمر محمد ولا نعرفه صلى الله علية وسلم لا «وزادهم» هذا القول لهم «نفورا» عن الإيمان قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21624','chapter_id' => '25','chapter_detail_id' => '2916','translator_id' => '4','verse_number' => '61','translate_name' => '«تبارك» تعاظم «الذي جعل في السماء بروجا» اثني عشر: الحمل والثور والجوزاء والسرطان والأسد، والسنبلة والميزان والعقرب والقوس والجدي والدلو والحوت، وهي منازل الكواكب السبعة السيارة المريخ وله الحمل والعقرب، والزهرة ولها الثور والميزان، وعطارد وله الجوزاء والسنبلة والقمر وله السرطان والشمس ولها الأسد، والمشتري وله القوس والحوت، وزحل وله الجدي والدلو «وجَعَلَ» «فيها» أيضا «سراجا» هو الشمس «وقمرا منيرا» وفي قراءة سُرُجا بالجمع: أي نيرات، وخصّ القمر منها بالذكر لنوع فضيلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21625','chapter_id' => '25','chapter_detail_id' => '2917','translator_id' => '4','verse_number' => '62','translate_name' => '«وهو الذي جعل الليل والنهار خلفة» أي يخلف كل منهما الآخر «لمن أراد أن يذَّكَّر» بالتشديد والتخفيف كما تقدم: ما فاته في أحدهما من خير فيفعله في الآخر «أو أراد شُكور» أي شكرا لنعمة ربه عليه فيهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21626','chapter_id' => '25','chapter_detail_id' => '2918','translator_id' => '4','verse_number' => '63','translate_name' => '«وعباد الرحمن» مبتدأ وما بعده صفات له إلى أولئك يجزون غير المعترض فيه «الذي يمشون على الأرض هوْنا» أي بسكينة وتواضع «وإذا خاطبهم الجاهلون» بما يكرهونه «قالوا سلاما» أي قولا يَسلمون فيه من الإثم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21627','chapter_id' => '25','chapter_detail_id' => '2919','translator_id' => '4','verse_number' => '64','translate_name' => '«والذين يبيتون لربهم سُجَّدا» جمع ساجد «وقياما» بمعنى قائمين يصلون بالليل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21628','chapter_id' => '25','chapter_detail_id' => '2920','translator_id' => '4','verse_number' => '65','translate_name' => '«والذين يقولون ربنا اصرف عنا عذاب جهنم إنَّ عذابها كان غراما» أي لازما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21629','chapter_id' => '25','chapter_detail_id' => '2921','translator_id' => '4','verse_number' => '66','translate_name' => '«إنها ساءت» بئست «مُستقرا ومُقاما» هي: أي موضع استقرار وإقامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21630','chapter_id' => '25','chapter_detail_id' => '2922','translator_id' => '4','verse_number' => '67','translate_name' => '«والذين إذا أنفقوا» على عيالهم «لم يسرفوا ولم يقتروا» بفتح أوله وضمه: أي يضيقوا «وكان» إنفاقهم «بين ذلك» الإسراف والإقتار «قواما» وسطا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21631','chapter_id' => '25','chapter_detail_id' => '2923','translator_id' => '4','verse_number' => '68','translate_name' => '«والذين لا يدعون مع الله إلها آخر ولا يقتلون النفس التي حرم الله» قتلها «إلا بالحق ولا يزنون ومن يفعل ذلك» أي واحدا من الثلاثة «يلق أثاما» أي عقوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21632','chapter_id' => '25','chapter_detail_id' => '2924','translator_id' => '4','verse_number' => '69','translate_name' => '«يُضاعَف» وفي قراءة يضعَف بالتشديد «له العذاب يوم القيامة ويخلد فيه» بجزم الفعلين بدلا وبرفعها أستئنافا «مهانا» حال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21633','chapter_id' => '25','chapter_detail_id' => '2925','translator_id' => '4','verse_number' => '70','translate_name' => '«إلا من تاب وآمن وعمل عملا صالحا» منهم «فأولئك يبدِّل الله سيئاتهم» المذكورة «حسنات» في الآخرة «وكان الله غفورا رحيما» أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21634','chapter_id' => '25','chapter_detail_id' => '2926','translator_id' => '4','verse_number' => '71','translate_name' => '«ومن تاب» من ذنوبه غير من ذكر «وعمل صالحا فإنه يتوب إلى الله متابا» أي يرجع إليه رجوعا فيجازيه خيرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21635','chapter_id' => '25','chapter_detail_id' => '2927','translator_id' => '4','verse_number' => '72','translate_name' => '«والذين لا يشهدون الزور» أي الكذب والباطل «وإذا مرّوا باللغو» من الكلام القبيح وغيره «مروا كراما» معرضين عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21636','chapter_id' => '25','chapter_detail_id' => '2928','translator_id' => '4','verse_number' => '73','translate_name' => '«والذين إذا ذُكِّروا» وعظوا «بآيات ربِّهم» أي القرآن «لم يخرّوا» يسقطوا «عليها صما وعمياناً» بل خروا سامعين ناظرين منتفعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21637','chapter_id' => '25','chapter_detail_id' => '2929','translator_id' => '4','verse_number' => '74','translate_name' => '«والذين يقولون ربنا هب لنا من أزواجنا وذرياتنا» بالجمع والإفراد «قرة أعين» لنا بأن نراهم مطيعين لك «واجعلنا للمتقين إماما» في الخير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21638','chapter_id' => '25','chapter_detail_id' => '2930','translator_id' => '4','verse_number' => '75','translate_name' => '«أولئك يجزوْن الغرفة» الدرجة العليا في الجنة «بما صبروا» على طاعة الله «ويُلقَّون» بالتشديد والتخفيف مع فتح الياء «فيها» في الغرفة «تحية وسلاما» من الملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21639','chapter_id' => '25','chapter_detail_id' => '2931','translator_id' => '4','verse_number' => '76','translate_name' => '«خالدين فهيا حسُنت مستقرا ومقاما» موضع إقامة لهم وأولئك وما بعده خبر عباد الرحمن المبتدأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21640','chapter_id' => '25','chapter_detail_id' => '2932','translator_id' => '4','verse_number' => '77','translate_name' => '«قل» يا محمد لأهل مكة «ما» نافية «يعبأ» يكترث «بكم ربي لولا دعاؤكم» إياه في الشدائد فيكشفها «فقد» أي فكيف يعبأ بكم وقد «كذبتم» الرسول والقرآن «فسوف يكون» العذاب «لزاما» ملازما لكم في الآخرة بعد ما يحلّ بكم في الدنيا، فقتل منهم يوم بدر سبعون وجواب لولا دلَّ عليه ما قبلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21641','chapter_id' => '26','chapter_detail_id' => '2933','translator_id' => '4','verse_number' => '1','translate_name' => '«طسَمَ» الله أعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21642','chapter_id' => '26','chapter_detail_id' => '2934','translator_id' => '4','verse_number' => '2','translate_name' => '«تلك» أي هذه الآيات «آيات الكتاب» القرآن والإضافة بمعنى من «المبين» المظهر الحق من الباطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21643','chapter_id' => '26','chapter_detail_id' => '2935','translator_id' => '4','verse_number' => '3','translate_name' => '«لعلك» يا محمد «باخعٌ نفسك» قاتلها غما من أجل «ألا يكونوا» أي أهل مكة «مؤمنين» ولعل هنا للإشفاق أي أشفق عليها بتخفيف هذا الغم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21644','chapter_id' => '26','chapter_detail_id' => '2936','translator_id' => '4','verse_number' => '4','translate_name' => '«إن نشأ ننزل عليهم من السماء آية فظلّت» بمعنى المضارع: أي تظل، أي تدوم «أعناقهم لها خاضعين» فيؤمنون، ولما وصفت الأعناق بالخضوع الذي هو لأربابها جمعت الصفة جمع العقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21645','chapter_id' => '26','chapter_detail_id' => '2937','translator_id' => '4','verse_number' => '5','translate_name' => '«وما يأتيهم من ذكر» قرآن «من الرحمن مُحدّث» صفة كاشفة «إلا كانوا عنه معرضين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21646','chapter_id' => '26','chapter_detail_id' => '2938','translator_id' => '4','verse_number' => '6','translate_name' => '«فقد كذبوا» به «فسيأتيهم أنباء» عواقب «ما كانوا به يستهزءُون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21647','chapter_id' => '26','chapter_detail_id' => '2939','translator_id' => '4','verse_number' => '7','translate_name' => '«أوَلم يروا» ينظروا «إلى الأرض كم أنبتنا فيها» أي كثيرا «من كل زوجِ كريم» نوع حسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21648','chapter_id' => '26','chapter_detail_id' => '2940','translator_id' => '4','verse_number' => '8','translate_name' => '«إن في ذلك لآية» دلالة على كمال قدرته تعالى «وما كان أكثرهم مؤمنين» في علم الله، وكان قال سيبويه: زائدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21649','chapter_id' => '26','chapter_detail_id' => '2941','translator_id' => '4','verse_number' => '9','translate_name' => '«وإن ربك لهو العزيز» ذو العزة ينتقم من الكافرين «الرحيم» يرحم المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21650','chapter_id' => '26','chapter_detail_id' => '2942','translator_id' => '4','verse_number' => '10','translate_name' => '«و» اذكر يا محمد لقومك «إذ نادى ربك موسى» ليلة رأى النار والشجرة «أن» أي: بأن «ائت القوم الظالمين» رسولا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21651','chapter_id' => '26','chapter_detail_id' => '2943','translator_id' => '4','verse_number' => '11','translate_name' => '«قوم فرعون» معه ظلموا أنفسهم بالكفر بالله وبني إسرائيل باستعبادهم «ألا» الهمزة للاستفهام الإنكارى «يتقون» الله بطاعته فيوحدونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21652','chapter_id' => '26','chapter_detail_id' => '2944','translator_id' => '4','verse_number' => '12','translate_name' => '«قال» موسى «ربِ إني أخاف أن يكذّبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21653','chapter_id' => '26','chapter_detail_id' => '2945','translator_id' => '4','verse_number' => '13','translate_name' => '«ويضيق صدري» من تكذيبهم لي «ولا ينطلق لساني» بأداء الرسالة للعقدة التي فيه «فأرسل إلى» أخي «هارون» معي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21654','chapter_id' => '26','chapter_detail_id' => '2946','translator_id' => '4','verse_number' => '14','translate_name' => '«ولهم عليَّ ذنبٌ» بقتل القبطي منهم «فأخاف أن يقتلون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21655','chapter_id' => '26','chapter_detail_id' => '2947','translator_id' => '4','verse_number' => '15','translate_name' => '«قال» تعالى: «كلا» لا يقتلونك «فاذهبا» أي أنت وأخوك، ففيه تغليب الحاضر على الغائب «بآياتنا إنا معكم مستمعون» ما تقولون وما يقال لكم، أجريا مجرى الجماعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21656','chapter_id' => '26','chapter_detail_id' => '2948','translator_id' => '4','verse_number' => '16','translate_name' => '«فأتِيَا فرعون فقولا إنا» كلاً منا «رسول رب العالمين» إليك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21657','chapter_id' => '26','chapter_detail_id' => '2949','translator_id' => '4','verse_number' => '17','translate_name' => '«أن» أي: بأن «أرسل معنا» إلى الشام «بني إسرائيل» فأتياه فقالا له ما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21658','chapter_id' => '26','chapter_detail_id' => '2950','translator_id' => '4','verse_number' => '18','translate_name' => '«قال» فرعون لموسى «ألم نربِّك فينا» في منازلنا «وليدا» صغيرا قريبا من الولادة بعد فطامه «ولبثت فينا من عمرك سنين» ثلاثين سنة يلبس من ملابس فرعون ويركب من مراكبه وكان يسمى ابنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21659','chapter_id' => '26','chapter_detail_id' => '2951','translator_id' => '4','verse_number' => '19','translate_name' => '«وفعلت فعلتك التي فعلت» هي قتله القبطي «وأنت من الكافرين» الجاحدين لنعمتي عليك بالتربية وعدم الاستعباد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21660','chapter_id' => '26','chapter_detail_id' => '2952','translator_id' => '4','verse_number' => '20','translate_name' => '«قال» موسى «فعلتها إذاً» أي حينئذ «وأنا من الضالين» عما آتاني الله بعدها من العلم والرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21661','chapter_id' => '26','chapter_detail_id' => '2953','translator_id' => '4','verse_number' => '21','translate_name' => '«ففررتُ منكم لما خفتكم فوهب لي ربي حكما» علما «وجعلني من المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21662','chapter_id' => '26','chapter_detail_id' => '2954','translator_id' => '4','verse_number' => '22','translate_name' => '«وتلك نعمةٌ تمنُّها عليَّ» أصله تمن بها عليَّ «أن عبدت بني إسرائيل» بيان لتلك: أي اتخذتهم عبيدا ولم تستعبدني لا نعمة لك بذلك لظلمك باستعبادهم وقدر بعضهم أول الكلام همزة استفهام للإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21663','chapter_id' => '26','chapter_detail_id' => '2955','translator_id' => '4','verse_number' => '23','translate_name' => '«قال فرعون» لموسى «وما رب العالمين» الذي قلت إنك رسوله أي: أي شيء هو ولما لم يكن سبيل للخلق إلى معرفة حقيقته تعالى وإنما يعرفونه بصفاته أجابه موسى عليه الصلاة والسلام ببعضها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21664','chapter_id' => '26','chapter_detail_id' => '2956','translator_id' => '4','verse_number' => '24','translate_name' => '«قال ربُّ السماوات والأرض وما بينهما» أي خالق ذلك «إن كنتم موقنين» بأنه تعالى خالقه فآمنوا به وحده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21665','chapter_id' => '26','chapter_detail_id' => '2957','translator_id' => '4','verse_number' => '25','translate_name' => '«قال» فرعون «لمن حوله» من أشراف قومه «ألا تستمعون» جوابه الذي لم يطابق السؤال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21666','chapter_id' => '26','chapter_detail_id' => '2958','translator_id' => '4','verse_number' => '26','translate_name' => '«قال» موسى «ربكم ورب آبائكم الأولين» وهذا وإن كان داخلا فيما قبله يغيظ فرعون ولذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21667','chapter_id' => '26','chapter_detail_id' => '2959','translator_id' => '4','verse_number' => '27','translate_name' => '«قال إنَّ رسولكم الذي أرسل إليكم لمجنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21668','chapter_id' => '26','chapter_detail_id' => '2960','translator_id' => '4','verse_number' => '28','translate_name' => '«قال» موسى «ربُّ المشرق والمغرب وما بينهما إن كنتم تعقلون» إنه كذلك فآمنوا به وحده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21669','chapter_id' => '26','chapter_detail_id' => '2961','translator_id' => '4','verse_number' => '29','translate_name' => '«قال» فرعون لموسى «لئن اتخذت إلها غيري لأجعلنَّك من المسجونين» كان سجنه شديدا يحبس الشخص في مكان تحت الأرض وحده لا يبصر ولا يسمع فيه أحدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21670','chapter_id' => '26','chapter_detail_id' => '2962','translator_id' => '4','verse_number' => '30','translate_name' => '«قال» له موسى «أوَلوْ» أي: أتفعل ذلك ولو «جئتك بشيءٍ مبينِ» برهان بيِّن على رسالتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21671','chapter_id' => '26','chapter_detail_id' => '2963','translator_id' => '4','verse_number' => '31','translate_name' => '«قال» فرعون له «فأتِ به إن كنت من الصادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21672','chapter_id' => '26','chapter_detail_id' => '2964','translator_id' => '4','verse_number' => '32','translate_name' => '«فألقى عصاه فإذا هي ثعبانٌ مبينٌ» حية عظيمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21673','chapter_id' => '26','chapter_detail_id' => '2965','translator_id' => '4','verse_number' => '33','translate_name' => '«ونزع يده» أخرجها من جيبه «فإذا هي بيضاء» ذات شعاع «للناظرين» خلاف ما كانت عليه من الأدمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21674','chapter_id' => '26','chapter_detail_id' => '2966','translator_id' => '4','verse_number' => '34','translate_name' => '«قال» فرعون «للملإ حوله إنَّ هذا لساحر عليم» فائق في علم السحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21675','chapter_id' => '26','chapter_detail_id' => '2967','translator_id' => '4','verse_number' => '35','translate_name' => '«يريد أن يخرجكم من أرضكم بسحره فماذا تأمرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21676','chapter_id' => '26','chapter_detail_id' => '2968','translator_id' => '4','verse_number' => '36','translate_name' => '«قالوا أرجه وأخاه» أخّر أمرهما «وابعث في المدائن حاشرين» جامعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21677','chapter_id' => '26','chapter_detail_id' => '2969','translator_id' => '4','verse_number' => '37','translate_name' => '«يأتوك بكل سَحَّار عليم» يفضل موسى في علم السحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21678','chapter_id' => '26','chapter_detail_id' => '2970','translator_id' => '4','verse_number' => '38','translate_name' => '«فجمع السحرة لميقات يوم معلوم» وهو وقت الضحى من يوم الزينة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21679','chapter_id' => '26','chapter_detail_id' => '2971','translator_id' => '4','verse_number' => '39','translate_name' => '«وقيل للناس هل أنتم مجتمعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21680','chapter_id' => '26','chapter_detail_id' => '2972','translator_id' => '4','verse_number' => '40','translate_name' => '«لعلنا نتبع السحرة إن كانوا هم الغالبين» الاستفهام للحث على الاجتماع والترجي على تقدير غلبتهم ليستمروا على دينهم فلا يتبعوا موسى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21681','chapter_id' => '26','chapter_detail_id' => '2973','translator_id' => '4','verse_number' => '41','translate_name' => '«فلما جاء السحرة قالوا لفرعون أئن» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجيهين «لنا لأجرا إن كنا نحن الغالبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21682','chapter_id' => '26','chapter_detail_id' => '2974','translator_id' => '4','verse_number' => '42','translate_name' => '«قال نعم وإنكم إذاً» أي حينئذ «لمن المقربين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21683','chapter_id' => '26','chapter_detail_id' => '2975','translator_id' => '4','verse_number' => '43','translate_name' => '«قال لهم موسى» بعد ما قالوا له (إما أن تُلقي وإما أن نكون نحن الملقين) «ألقوا ما أنتم ملقون» فالأمر فيه للإذن بتقديم إلقائهم توسلا به إلى إظهار الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21684','chapter_id' => '26','chapter_detail_id' => '2976','translator_id' => '4','verse_number' => '44','translate_name' => '«فألقوْا حبالهم وعصيهم وقالوا بعزة فرعون إنا لنحن الغالبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21685','chapter_id' => '26','chapter_detail_id' => '2977','translator_id' => '4','verse_number' => '45','translate_name' => '«فألقى موسى عصاه فإذا هي تلقف» بحذف إحدى التاءين من الأصل تبتلع «ما يأفكون» يقلبونه بتمويههم فيخيلون حبالهم وعصيهم أنها حيات تسعى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21686','chapter_id' => '26','chapter_detail_id' => '2978','translator_id' => '4','verse_number' => '46','translate_name' => '«فألقيَ السحرة ساجدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21687','chapter_id' => '26','chapter_detail_id' => '2979','translator_id' => '4','verse_number' => '47','translate_name' => '«قالوا آمنا برب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21688','chapter_id' => '26','chapter_detail_id' => '2980','translator_id' => '4','verse_number' => '48','translate_name' => '«رب موسى وهارون» لعلمهم بأن ما شاهدوه من العصا لا يتأتى بالسحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21689','chapter_id' => '26','chapter_detail_id' => '2981','translator_id' => '4','verse_number' => '49','translate_name' => '«قال» فرعون «أآمنتم» بتحقيق الهمزتين وإبدال الثانية ألفا «له» لموسى «قبل أن آذن» أنا «لكم إنه لكبيركم الذي علمكم السحر» فعلَّمك شيئا منه وغلبكم بآخر «فلسوف تعلمون» ما ينالكم مني «لأقطعنَّ أيديكم وأرجلكم من خلاف» أي يد كل واحد اليمنى ورجله اليسرى «ولأصلبنكم أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21690','chapter_id' => '26','chapter_detail_id' => '2982','translator_id' => '4','verse_number' => '50','translate_name' => '«قالوا لا ضَيْرَ» لا ضرر علينا في ذلك «إنا إلى ربنا» بعد موتنا بأي وجه كان «منقلبون» راجعون في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21691','chapter_id' => '26','chapter_detail_id' => '2983','translator_id' => '4','verse_number' => '51','translate_name' => '«إنا نطمع» نرجوا «أن يغفر لنا ربنا خطايانا أن» أي بأن «كنَّا أول المؤمنين» في زماننا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21692','chapter_id' => '26','chapter_detail_id' => '2984','translator_id' => '4','verse_number' => '52','translate_name' => '«وأوحينا إلى موسى» بعد سنين أقامها بينهم يدعوهم بآيات الله إلى الحق فلم يزيدوا إلا عتوا «أن أسر بعبادي» بني إسرائيل وفي قراءة بكسر النون ووصل همزة أسر من سرى لغة في أسرى أي سر بهم ليلا إلى البحر «إنكم مُتَّبعون» يتبعكم فرعون وجنوده فيلجون وراءكم البحر فأنجيكم وأغرقهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21693','chapter_id' => '26','chapter_detail_id' => '2985','translator_id' => '4','verse_number' => '53','translate_name' => '«فأرسل فرعون» حين أخبر بسيرهم «في المدائن» قيل كان له ألف مدينة واثنا عشر ألف قرية «حاشرين» جامعين الجيش قائلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21694','chapter_id' => '26','chapter_detail_id' => '2986','translator_id' => '4','verse_number' => '54','translate_name' => '«إن هؤلاء لشرذمةٌ» طائفة «قليلون» قيل كانوا ستمائة ألف وسبعين ومقدمة جيشه سبعمائة ألف فقللهم بالنظر إلى كثرة جيشه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21695','chapter_id' => '26','chapter_detail_id' => '2987','translator_id' => '4','verse_number' => '55','translate_name' => '«وإنهم لنا لغائظون» فاعلون ما يغيظنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21696','chapter_id' => '26','chapter_detail_id' => '2988','translator_id' => '4','verse_number' => '56','translate_name' => '«وإنا لجميعٌ حذرون» مستعدون وفي قراءة حاذرون متيقظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21697','chapter_id' => '26','chapter_detail_id' => '2989','translator_id' => '4','verse_number' => '57','translate_name' => 'قال تعالى: «فأخرجناهم» أي فرعون وقومه من مصر ليلحقوا موسى وقومه «من جنات» بساتين كانت على جانبي النيل «وعيون» أنهار جارية في الدور من النيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21698','chapter_id' => '26','chapter_detail_id' => '2990','translator_id' => '4','verse_number' => '58','translate_name' => '«وكنوز» أموال ظاهرة من الذهب والفضة، وسميت كنوزا لأنه لم يعط حق الله تعالى منها «ومقامٍ كريمٍ» مجلس حسن للأمراء والوزراء يحفه أتباعهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21699','chapter_id' => '26','chapter_detail_id' => '2991','translator_id' => '4','verse_number' => '59','translate_name' => '«كذلك» أي إخراجنا كما وصفنا «وأورثناها بني إسرائيل» بعد إغراق فرعون وقومه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21700','chapter_id' => '26','chapter_detail_id' => '2992','translator_id' => '4','verse_number' => '60','translate_name' => '«فأتبعوهم» لحقوهم «مشرقين» وقت شروق الشمس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21701','chapter_id' => '26','chapter_detail_id' => '2993','translator_id' => '4','verse_number' => '61','translate_name' => '«فلما تراءى الجمعان» رأى كل منهما الآخر «قال أصحاب موسى إنا لمدركون» يدركنا جمع فرعون ولا طاقة لنا به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21702','chapter_id' => '26','chapter_detail_id' => '2994','translator_id' => '4','verse_number' => '62','translate_name' => '«قال» موسى «كلا» أي لن يدركونا «إن معي ربي» ينصره «سيهدين» طريق النجاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21703','chapter_id' => '26','chapter_detail_id' => '2995','translator_id' => '4','verse_number' => '63','translate_name' => 'قال تعالى: «فأوحينا إلى موسى أن اضرب بعصاك البحر» فضربه «فانفلق» فانشق اثنى عشر فرقا «فكان كل فرق كالطود العظيم» الجبل الضخم بينهما مسالك سلكوها لم يبتل منها سرج الراكب ولا لبده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21704','chapter_id' => '26','chapter_detail_id' => '2996','translator_id' => '4','verse_number' => '64','translate_name' => '«وأزلفنا» قرَّبنا «ثمَّ» هناك «الآخرين» فرعون وقومه حتى سلكوا مسالكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21705','chapter_id' => '26','chapter_detail_id' => '2997','translator_id' => '4','verse_number' => '65','translate_name' => '«وأنجينا موسى ومن معه أجمعين» بإخراجهم من البحر على هيئته المذكورة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21706','chapter_id' => '26','chapter_detail_id' => '2998','translator_id' => '4','verse_number' => '66','translate_name' => '«ثم أغرقنا الآخرين» فرعون وقومه بإطباق البحر عليهم لما تم دخولهم في البحر وخروج بني إسرائيل منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21707','chapter_id' => '26','chapter_detail_id' => '2999','translator_id' => '4','verse_number' => '67','translate_name' => '«إن في ذلك» إغراق فرعون وقومه «لآيةٌ» عبرة لمن بعدهم «وما كان أكثرهم مؤمنين» بالله لم يؤمن منهم غير آسية امرأة فرعون وحزقيل مؤمن آل فرعون ومريم بنت ناموصى التي دلت على عظام يوسف عليه السلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21708','chapter_id' => '26','chapter_detail_id' => '3000','translator_id' => '4','verse_number' => '68','translate_name' => '«وإن ربك لهو العزيز» فانتقم من الكافرين بإغراقهم «الرحيم» بالمؤمنين فأنجاهم من الغرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21709','chapter_id' => '26','chapter_detail_id' => '3001','translator_id' => '4','verse_number' => '69','translate_name' => '«واتل عليهم» أي كفار مكة «نبأ» خبر «إبراهيم» ويبدل منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21710','chapter_id' => '26','chapter_detail_id' => '3002','translator_id' => '4','verse_number' => '70','translate_name' => '«إذا قال لأبيه وقومه ما تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21711','chapter_id' => '26','chapter_detail_id' => '3003','translator_id' => '4','verse_number' => '71','translate_name' => '«قالوا نعبد أصناما» صرحوا بالفعل ليعطفوا عليه «فنظل لها عاكفين» نقيم نهارا على عبادتها زادوه في الجواب افتخارا به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21712','chapter_id' => '26','chapter_detail_id' => '3004','translator_id' => '4','verse_number' => '72','translate_name' => '«قال هل يسمعونكم إذ» حين «تدعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21713','chapter_id' => '26','chapter_detail_id' => '3005','translator_id' => '4','verse_number' => '73','translate_name' => '«أو ينفعونكم» إن عبدتموهم «أو يضرونـ» كم إن لم تعبدوهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21714','chapter_id' => '26','chapter_detail_id' => '3006','translator_id' => '4','verse_number' => '74','translate_name' => '«قالوا بل وجدنا آباءنا كذلك يفعلون» أي مثل فعلنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21715','chapter_id' => '26','chapter_detail_id' => '3007','translator_id' => '4','verse_number' => '75','translate_name' => '«قال أفرآيتم ما كنتم تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21716','chapter_id' => '26','chapter_detail_id' => '3008','translator_id' => '4','verse_number' => '76','translate_name' => '«أنتم وآبائكم الأقدمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21717','chapter_id' => '26','chapter_detail_id' => '3009','translator_id' => '4','verse_number' => '77','translate_name' => '«فإنهم عدو لي» لا أعبدهم «إلا» لكن «ربَّ العالمين» فإني أعبده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21718','chapter_id' => '26','chapter_detail_id' => '3010','translator_id' => '4','verse_number' => '78','translate_name' => '«الذي خلقني فهو يهدين» إلى الدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21719','chapter_id' => '26','chapter_detail_id' => '3011','translator_id' => '4','verse_number' => '79','translate_name' => '«والذي هو يطعمني ويسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21720','chapter_id' => '26','chapter_detail_id' => '3012','translator_id' => '4','verse_number' => '80','translate_name' => '«وإذا مرضت فهو يشفين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21721','chapter_id' => '26','chapter_detail_id' => '3013','translator_id' => '4','verse_number' => '81','translate_name' => '«والذي يُميتني ثم يحيين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21722','chapter_id' => '26','chapter_detail_id' => '3014','translator_id' => '4','verse_number' => '82','translate_name' => '«والذي أطمع» أرجو «أن يغفر لي خطيئتي يوم الدين» الجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21723','chapter_id' => '26','chapter_detail_id' => '3015','translator_id' => '4','verse_number' => '83','translate_name' => '«رب هب لي حكما» علما «وألحقني بالصالحين» النبيين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21724','chapter_id' => '26','chapter_detail_id' => '3016','translator_id' => '4','verse_number' => '84','translate_name' => '«واجعل لي لسان صدق» ثناء حسنا «في الآخرين» الذين يأتون بعدي إلى يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21725','chapter_id' => '26','chapter_detail_id' => '3017','translator_id' => '4','verse_number' => '85','translate_name' => '«واجعلني من ورثة جنة النعيم» ممن يعطاها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21726','chapter_id' => '26','chapter_detail_id' => '3018','translator_id' => '4','verse_number' => '86','translate_name' => '«واغفر لأبي إنه كان من الضالين» بأن تتوب عليه فتغفر له وهذا قبل أن يتبين له أنه عدو لله كما ذكر في سورة براءة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21727','chapter_id' => '26','chapter_detail_id' => '3019','translator_id' => '4','verse_number' => '87','translate_name' => '«ولا تخزني» تفضحني «يوم يُبعثون» الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21728','chapter_id' => '26','chapter_detail_id' => '3020','translator_id' => '4','verse_number' => '88','translate_name' => 'قال تعالى فيه: «يوم لا ينفع مال ولا بنون» أحدا','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21729','chapter_id' => '26','chapter_detail_id' => '3021','translator_id' => '4','verse_number' => '89','translate_name' => '«إلا» لكن «من أتى الله بقلب سليم» من الشرك والنفاق وهو قلب المؤمن فإنه ينفعه ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21730','chapter_id' => '26','chapter_detail_id' => '3022','translator_id' => '4','verse_number' => '90','translate_name' => '«وأُزلفت الجنة» قربت «للمتقين» فيرونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21731','chapter_id' => '26','chapter_detail_id' => '3023','translator_id' => '4','verse_number' => '91','translate_name' => '«وبرزت الجحيم» أظهرت «للغاوين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21732','chapter_id' => '26','chapter_detail_id' => '3024','translator_id' => '4','verse_number' => '92','translate_name' => '«وقيل لهم أين ما كنتم تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21733','chapter_id' => '26','chapter_detail_id' => '3025','translator_id' => '4','verse_number' => '93','translate_name' => '«من دون الله» أي غيره من الأصنام «هل ينصرونكم» بدفع العذاب عنكم «أو ينتصرون» بدفعه عن أنفسهم، لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21734','chapter_id' => '26','chapter_detail_id' => '3026','translator_id' => '4','verse_number' => '94','translate_name' => '«فكُبْكِبوا» ألقوا «فيها هم والغاوون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21735','chapter_id' => '26','chapter_detail_id' => '3027','translator_id' => '4','verse_number' => '95','translate_name' => '«وجنود إبليس» أتباعه، ومن أطاعه من الجن والإنس «أجمعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21736','chapter_id' => '26','chapter_detail_id' => '3028','translator_id' => '4','verse_number' => '96','translate_name' => '«قالوا» أي الغاوون «وهم فيها يختصمون» مع معبوديهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21737','chapter_id' => '26','chapter_detail_id' => '3029','translator_id' => '4','verse_number' => '97','translate_name' => '«تالله إن» مخففة من الثقلية واسمها محذوف أي إنه «كنا لفي ضلال مبين» بين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21738','chapter_id' => '26','chapter_detail_id' => '3030','translator_id' => '4','verse_number' => '98','translate_name' => '«إذ» حيث «نسويكم برب العالمين» في العبادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21739','chapter_id' => '26','chapter_detail_id' => '3031','translator_id' => '4','verse_number' => '99','translate_name' => '«وما أضلنا» عن الهدى «إلا المجرمون» أي الشياطين أو أوّلونا الذين اقتدينا بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21740','chapter_id' => '26','chapter_detail_id' => '3032','translator_id' => '4','verse_number' => '100','translate_name' => '«فما لنا من شافعين» كما للمؤمنين من الملائكة والنبيين والمؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21741','chapter_id' => '26','chapter_detail_id' => '3033','translator_id' => '4','verse_number' => '101','translate_name' => '«ولا صديق حميم» يهمه أمرنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21742','chapter_id' => '26','chapter_detail_id' => '3034','translator_id' => '4','verse_number' => '102','translate_name' => '«فلو أن لنا كرَّة» رجعة إلى الدنيا «فنكون من المؤمنين» لو هنا للتمني ونكون جوابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21743','chapter_id' => '26','chapter_detail_id' => '3035','translator_id' => '4','verse_number' => '103','translate_name' => '«إن في ذلك» المذكور من قصة إبراهيم وقومه «لآية وما كان أكثرهم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21744','chapter_id' => '26','chapter_detail_id' => '3036','translator_id' => '4','verse_number' => '104','translate_name' => '«وإن ربك لهم العزيز الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21745','chapter_id' => '26','chapter_detail_id' => '3037','translator_id' => '4','verse_number' => '105','translate_name' => '«كذبت قوم نوح المرسلين» بتكذيبهم له لاشتراكهم في المجيء بالتوحيد، أو لأنه لطول لبثه فيهم كأنه رسل وتأنيث قوم باعتبار معناه وتذكيره باعتبار لفظه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21746','chapter_id' => '26','chapter_detail_id' => '3038','translator_id' => '4','verse_number' => '106','translate_name' => '«إذ قال لهم أخوهم» نسبا «نوح ألا تتقون» الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21747','chapter_id' => '26','chapter_detail_id' => '3039','translator_id' => '4','verse_number' => '107','translate_name' => '«إني لكم رسول أمين» على تبليغ ما أرسلت به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21748','chapter_id' => '26','chapter_detail_id' => '3040','translator_id' => '4','verse_number' => '108','translate_name' => '«فاتقوا الله وأطيعون» فيما آمركم به من توحيد الله وطاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21749','chapter_id' => '26','chapter_detail_id' => '3041','translator_id' => '4','verse_number' => '109','translate_name' => '«وما أسألكم عليه» على تبليغه «من أجر إن» ما «أجريَ» أي ثوابي «إلا على رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21750','chapter_id' => '26','chapter_detail_id' => '3042','translator_id' => '4','verse_number' => '110','translate_name' => '«فاتقوا الله وأطيعون» كرره تأكيدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21751','chapter_id' => '26','chapter_detail_id' => '3043','translator_id' => '4','verse_number' => '111','translate_name' => '«قالوا أنؤمن» نصدق «لك» لقولك «واتبعك» وفي قراءة وأتباعك جمع تابع مبتدأ «الأرذلون» السفلة كالحاكة والأساكفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21752','chapter_id' => '26','chapter_detail_id' => '3044','translator_id' => '4','verse_number' => '112','translate_name' => '«قال وما علمي» أيّ علم لي «بما كانوا يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21753','chapter_id' => '26','chapter_detail_id' => '3045','translator_id' => '4','verse_number' => '113','translate_name' => '«إن» ما «حسابهم إلا على ربي» فيجازيهم «لو تشعرون» تعلمون ذلك ما عبَّدتموهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21754','chapter_id' => '26','chapter_detail_id' => '3046','translator_id' => '4','verse_number' => '114','translate_name' => '«وما أنا بطارد المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21755','chapter_id' => '26','chapter_detail_id' => '3047','translator_id' => '4','verse_number' => '115','translate_name' => '«إن» ما «أنا إلا نذير مبين» بيَّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21756','chapter_id' => '26','chapter_detail_id' => '3048','translator_id' => '4','verse_number' => '116','translate_name' => '«قالوا لئن لم تنته يا نوح» عما تقول لنا «لتكونن من المرجومين» بالحجارة أو بالشتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21757','chapter_id' => '26','chapter_detail_id' => '3049','translator_id' => '4','verse_number' => '117','translate_name' => '«قال» نوح «رب إن قومي كذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21758','chapter_id' => '26','chapter_detail_id' => '3050','translator_id' => '4','verse_number' => '118','translate_name' => '«فافتح بيني وبينهم فتحا» أي احكم «ونجني ومن معي من المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21759','chapter_id' => '26','chapter_detail_id' => '3051','translator_id' => '4','verse_number' => '119','translate_name' => 'قال تعالى «فأنجيناه ومن معه في الفلك المشحون» المملوء من الناس والحيوان والطير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21760','chapter_id' => '26','chapter_detail_id' => '3052','translator_id' => '4','verse_number' => '120','translate_name' => '«ثم أغرقنا بعد» بعد إنجائهم «الباقين» من قومه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21761','chapter_id' => '26','chapter_detail_id' => '3053','translator_id' => '4','verse_number' => '121','translate_name' => '«إن ذلك لآية وما كان أكثرهم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21762','chapter_id' => '26','chapter_detail_id' => '3054','translator_id' => '4','verse_number' => '122','translate_name' => '«وإن ربك لهو العزيز الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21763','chapter_id' => '26','chapter_detail_id' => '3055','translator_id' => '4','verse_number' => '123','translate_name' => '«كذبت عادٌ المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21764','chapter_id' => '26','chapter_detail_id' => '3056','translator_id' => '4','verse_number' => '124','translate_name' => '«إذ قال لهم أخوهم هود ألا تتقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21765','chapter_id' => '26','chapter_detail_id' => '3057','translator_id' => '4','verse_number' => '125','translate_name' => '«إني لكم رسول أمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21766','chapter_id' => '26','chapter_detail_id' => '3058','translator_id' => '4','verse_number' => '126','translate_name' => '«فاتقوا الله وأطيعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21767','chapter_id' => '26','chapter_detail_id' => '3059','translator_id' => '4','verse_number' => '127','translate_name' => '«وما أسألكم عليه من أجر إن» ما «أجري إلا على رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21768','chapter_id' => '26','chapter_detail_id' => '3060','translator_id' => '4','verse_number' => '128','translate_name' => '«أتبنون بكل ريع» مكان مرتفع «آية» بنا علما للمارة «تعبثون» ممن يمر بكم وتسخرون منهم والجملة حال من ضمير تبنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21769','chapter_id' => '26','chapter_detail_id' => '3061','translator_id' => '4','verse_number' => '129','translate_name' => '«وتتخذون مصانع» للماء تحت الأرض «لعلكم» كأنكم «تخلدون» فيها لا تموتون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21770','chapter_id' => '26','chapter_detail_id' => '3062','translator_id' => '4','verse_number' => '130','translate_name' => '«وإذا بطشتم» بضرب أو قتل «بطشتم جبارين» من غير رأفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21771','chapter_id' => '26','chapter_detail_id' => '3063','translator_id' => '4','verse_number' => '131','translate_name' => '«فاتقوا الله» في ذلك «وأطيعون» فيما أمرتكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21772','chapter_id' => '26','chapter_detail_id' => '3064','translator_id' => '4','verse_number' => '132','translate_name' => '«واتقوا الذي أمدكم» أنعم عليكم «بما تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21773','chapter_id' => '26','chapter_detail_id' => '3065','translator_id' => '4','verse_number' => '133','translate_name' => '«أمدكم بأنعام وبنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21774','chapter_id' => '26','chapter_detail_id' => '3066','translator_id' => '4','verse_number' => '134','translate_name' => '«وجنات» بساتين «وعيون» أنهار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21775','chapter_id' => '26','chapter_detail_id' => '3067','translator_id' => '4','verse_number' => '135','translate_name' => '«إني أخاف عليكم عذاب يوم عظيم» في الدنيا والآخرة إن عصيتموني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21776','chapter_id' => '26','chapter_detail_id' => '3068','translator_id' => '4','verse_number' => '136','translate_name' => '«قالوا سواء علينا» مستو عندنا «أوعظت أم لم تكن من الواعظين» أصلا أي لا نرعوي لوعظك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21777','chapter_id' => '26','chapter_detail_id' => '3069','translator_id' => '4','verse_number' => '137','translate_name' => '«إن» ما «هذا» الذي خوفنا به «إلا خَلْق الأولين» اختلافهم وكذبهم وفي قراءة بضم الخاء واللام أي ما هذا الذي نحن عليه من إنكار للبعث إلا خلق الأولين أي طبيعتهم وعادتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21778','chapter_id' => '26','chapter_detail_id' => '3070','translator_id' => '4','verse_number' => '138','translate_name' => '«وما نحن بمعذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21779','chapter_id' => '26','chapter_detail_id' => '3071','translator_id' => '4','verse_number' => '139','translate_name' => '«فكذبوه» بالعذاب «فأهلكناهم» في الدنيا بالريح «إن في ذلك لآية وما كان أكثرهم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21780','chapter_id' => '26','chapter_detail_id' => '3072','translator_id' => '4','verse_number' => '140','translate_name' => '««إن ربك لهو العزيز الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21781','chapter_id' => '26','chapter_detail_id' => '3073','translator_id' => '4','verse_number' => '141','translate_name' => '«كذبت ثمود المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21782','chapter_id' => '26','chapter_detail_id' => '3074','translator_id' => '4','verse_number' => '142','translate_name' => '«إذ قال لهم أخوهم صالح ألا تتقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21783','chapter_id' => '26','chapter_detail_id' => '3075','translator_id' => '4','verse_number' => '143','translate_name' => '«إني لكم رسول أمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21784','chapter_id' => '26','chapter_detail_id' => '3076','translator_id' => '4','verse_number' => '144','translate_name' => '«فاتقوا الله وأطيعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21785','chapter_id' => '26','chapter_detail_id' => '3077','translator_id' => '4','verse_number' => '145','translate_name' => '«وما أسألكم عليه من أجر إن» ما «أجري إلا على رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21786','chapter_id' => '26','chapter_detail_id' => '3078','translator_id' => '4','verse_number' => '146','translate_name' => '«أتتركون في ما ههنا» من الخيرات «آمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21787','chapter_id' => '26','chapter_detail_id' => '3079','translator_id' => '4','verse_number' => '147','translate_name' => '«في جنات وعيون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21788','chapter_id' => '26','chapter_detail_id' => '3080','translator_id' => '4','verse_number' => '148','translate_name' => '«وزروع ونخل طلعها هضيم» لطيف لين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21789','chapter_id' => '26','chapter_detail_id' => '3081','translator_id' => '4','verse_number' => '149','translate_name' => '«وتنحتون من الجبال بيوتا فرهين» بطرين وفي قراءة فارهين حاذقين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21790','chapter_id' => '26','chapter_detail_id' => '3082','translator_id' => '4','verse_number' => '150','translate_name' => '«فاتقوا الله وأطيعون» فيما أمرتكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21791','chapter_id' => '26','chapter_detail_id' => '3083','translator_id' => '4','verse_number' => '151','translate_name' => '«ولا تطيعوا أمر المسرفين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21792','chapter_id' => '26','chapter_detail_id' => '3084','translator_id' => '4','verse_number' => '152','translate_name' => '«الذين يفسدون في الأرض» بالمعاصي «ولا يصلحون» بطاعة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21793','chapter_id' => '26','chapter_detail_id' => '3085','translator_id' => '4','verse_number' => '153','translate_name' => '«قالوا إنما أنت من المسحرين» الذين سحروا كثيرا حتى غلب على عقلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21794','chapter_id' => '26','chapter_detail_id' => '3086','translator_id' => '4','verse_number' => '154','translate_name' => '«ما أنت» أيضا «إلا بشر مثلنا فأت بآية إن كنتم من الصادقين» في رسالتك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21795','chapter_id' => '26','chapter_detail_id' => '3087','translator_id' => '4','verse_number' => '155','translate_name' => '«قال هذه ناقة لها شرب» نصيب من الماء «ولكم شرب يوم معلوم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21796','chapter_id' => '26','chapter_detail_id' => '3088','translator_id' => '4','verse_number' => '156','translate_name' => '«ولا تمسوها بسوء فيأخذكم عذاب يوم عظيم» بعظم العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21797','chapter_id' => '26','chapter_detail_id' => '3089','translator_id' => '4','verse_number' => '157','translate_name' => '«فعقروها» عقرها بعضهم برضاهم «فأصبحوا نادمين» على عقرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21798','chapter_id' => '26','chapter_detail_id' => '3090','translator_id' => '4','verse_number' => '158','translate_name' => '«فأخذهم العذاب» الموعود به فهلكوا «إن في ذلك لآية وما كان أكثرهم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21799','chapter_id' => '26','chapter_detail_id' => '3091','translator_id' => '4','verse_number' => '159','translate_name' => '«وإن ربك لهو العزيز الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21800','chapter_id' => '26','chapter_detail_id' => '3092','translator_id' => '4','verse_number' => '160','translate_name' => '«كذبت قوم لوط المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21801','chapter_id' => '26','chapter_detail_id' => '3093','translator_id' => '4','verse_number' => '161','translate_name' => '«إذ قال لهم أخوهم لوط ألا تتقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21802','chapter_id' => '26','chapter_detail_id' => '3094','translator_id' => '4','verse_number' => '162','translate_name' => '«إني لكم رسول أمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21803','chapter_id' => '26','chapter_detail_id' => '3095','translator_id' => '4','verse_number' => '163','translate_name' => '«فاتقوا الله وأطيعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21804','chapter_id' => '26','chapter_detail_id' => '3096','translator_id' => '4','verse_number' => '164','translate_name' => '«وما أسألكم عليه من أجر إن» ما «أجري إلا على رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21805','chapter_id' => '26','chapter_detail_id' => '3097','translator_id' => '4','verse_number' => '165','translate_name' => '«أتأتون الذكران من العالمين» الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21806','chapter_id' => '26','chapter_detail_id' => '3098','translator_id' => '4','verse_number' => '166','translate_name' => '«وتذرون ما خلق لكم ربكم من أزواجكم» أي أقبالهن «بل أنتم قوم عادون» متجاوزون الحلال إلى الحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21807','chapter_id' => '26','chapter_detail_id' => '3099','translator_id' => '4','verse_number' => '167','translate_name' => '«قالوا لئن لم تنته يا لوط» عن إنكارك علينا «لتكونن من المخرجين» من بلدتنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21808','chapter_id' => '26','chapter_detail_id' => '3100','translator_id' => '4','verse_number' => '168','translate_name' => '«قال» لوط «إني لعملكم من القالين» المبغضين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21809','chapter_id' => '26','chapter_detail_id' => '3101','translator_id' => '4','verse_number' => '169','translate_name' => '«رب نجني وأهلي مما يعلمون» أي من عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21810','chapter_id' => '26','chapter_detail_id' => '3102','translator_id' => '4','verse_number' => '170','translate_name' => '«فنجيناه وأهله أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21811','chapter_id' => '26','chapter_detail_id' => '3103','translator_id' => '4','verse_number' => '171','translate_name' => '«إلا عجوزا» امرأته «في الغابرين» الباقين أهلكناها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21812','chapter_id' => '26','chapter_detail_id' => '3104','translator_id' => '4','verse_number' => '172','translate_name' => '«ثم دمرنا الآخرين» أهلناهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21813','chapter_id' => '26','chapter_detail_id' => '3105','translator_id' => '4','verse_number' => '173','translate_name' => '«وأمطرنا عليهم مطرا» حجارة من جملة الإهلاك «فساء مطر المنذرين» مطرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21814','chapter_id' => '26','chapter_detail_id' => '3106','translator_id' => '4','verse_number' => '174','translate_name' => '«إن في ذلك لآية وما كان أكثرهم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21815','chapter_id' => '26','chapter_detail_id' => '3107','translator_id' => '4','verse_number' => '175','translate_name' => '«وإن ربك لهو العزيز الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21816','chapter_id' => '26','chapter_detail_id' => '3108','translator_id' => '4','verse_number' => '176','translate_name' => '«كذب أصحاب الأيكة» وفي قراءة بحذف الهمزة وإلقاء حركتها على اللام وفتح الهاء: هي غيضة شجر قرب مدين «المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21817','chapter_id' => '26','chapter_detail_id' => '3109','translator_id' => '4','verse_number' => '177','translate_name' => '«إذ قال لهم شعيب» لم يقل أخوهم لأنه لم يكن منهم «ألا تتقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21818','chapter_id' => '26','chapter_detail_id' => '3110','translator_id' => '4','verse_number' => '178','translate_name' => '«إني لكم رسول أمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21819','chapter_id' => '26','chapter_detail_id' => '3111','translator_id' => '4','verse_number' => '179','translate_name' => '«فاتقوا الله وأطيعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21820','chapter_id' => '26','chapter_detail_id' => '3112','translator_id' => '4','verse_number' => '180','translate_name' => '«وما أسألكم عليه من أجر إن» ما «أجري إلا على رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21821','chapter_id' => '26','chapter_detail_id' => '3113','translator_id' => '4','verse_number' => '181','translate_name' => '«أوْفوا الكيل» أتموه «ولا تكونوا من المخسرين» الناقصين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21822','chapter_id' => '26','chapter_detail_id' => '3114','translator_id' => '4','verse_number' => '182','translate_name' => '«وزنوا بالقسطاس المستقيم» الميزان السوي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21823','chapter_id' => '26','chapter_detail_id' => '3115','translator_id' => '4','verse_number' => '183','translate_name' => '«ولا تبخسوا الناس أشياءهم» لا تنقصوهم من حقهم شيئا «ولا تعثوْا في الأرض مفسدين» بالقتل وغيره من عَثِيَ بكسر المثلثة أفسد ومفسدين حال مؤكدة لمعنى عاملها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21824','chapter_id' => '26','chapter_detail_id' => '3116','translator_id' => '4','verse_number' => '184','translate_name' => '«واتقوا الذي خلقكم والجبلة» الخليقة «الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21825','chapter_id' => '26','chapter_detail_id' => '3117','translator_id' => '4','verse_number' => '185','translate_name' => '«قالوا إنما أنت من المسحرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21826','chapter_id' => '26','chapter_detail_id' => '3118','translator_id' => '4','verse_number' => '186','translate_name' => '«وما أنت إلا بشر مثلنا وإن» مخففة من الثقيلة واسمها محذوف أي إنه «نظنك لمن الكاذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21827','chapter_id' => '26','chapter_detail_id' => '3119','translator_id' => '4','verse_number' => '187','translate_name' => '«فأسقط علينا كسْفا» بسكون السين وفتحها قطعا «من السماء إن كنت من الصادقين» في رسالتك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21828','chapter_id' => '26','chapter_detail_id' => '3120','translator_id' => '4','verse_number' => '188','translate_name' => '«قال ربي أعلم بما تعملون» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21829','chapter_id' => '26','chapter_detail_id' => '3121','translator_id' => '4','verse_number' => '189','translate_name' => '«فكذبوه فأخذهم عذاب يوم الظلة» هي سحابة أظلتهم بعد حر شديد أصابهم فأمطرت عليهم نارا فاحترقوا «إنه كان عذاب يوم عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21830','chapter_id' => '26','chapter_detail_id' => '3122','translator_id' => '4','verse_number' => '190','translate_name' => '«إن في ذلك لآية وما كان أكثرهم مؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21831','chapter_id' => '26','chapter_detail_id' => '3123','translator_id' => '4','verse_number' => '191','translate_name' => '«وإن ربك لهو العزيز الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21832','chapter_id' => '26','chapter_detail_id' => '3124','translator_id' => '4','verse_number' => '192','translate_name' => '«وإنه» أي القرآن «لتنزيل رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21833','chapter_id' => '26','chapter_detail_id' => '3125','translator_id' => '4','verse_number' => '193','translate_name' => '«نزل به الروح الأمين» جبريل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21834','chapter_id' => '26','chapter_detail_id' => '3126','translator_id' => '4','verse_number' => '194','translate_name' => '«على قلبك لتكون من المنذرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21835','chapter_id' => '26','chapter_detail_id' => '3127','translator_id' => '4','verse_number' => '195','translate_name' => '«بلسان عربي مبين» بيَّن وفي قراءة بتشديد نزل ونصب الروح والفاعل الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21836','chapter_id' => '26','chapter_detail_id' => '3128','translator_id' => '4','verse_number' => '196','translate_name' => '«وإنه» ذكر القرآن المنزل على محمد «لفي زُبُر» كتب «الأولين» كالتوراة والإنجيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21837','chapter_id' => '26','chapter_detail_id' => '3129','translator_id' => '4','verse_number' => '197','translate_name' => '«أو لم يكن لهم» لكفار مكة «آية» على ذلك «أن يعلمه علماء بني إسرائيل» كعبد الله بن سلام وأصحابه من الذين آمنوا فإنهم يخبرون بذلك، ويكن بالتحتانية ونصب آية وبالفوقانية ورفع آية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21838','chapter_id' => '26','chapter_detail_id' => '3130','translator_id' => '4','verse_number' => '198','translate_name' => '«ولو نزلناه على بعض الأعجمين» جمع أعجم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21839','chapter_id' => '26','chapter_detail_id' => '3131','translator_id' => '4','verse_number' => '199','translate_name' => '«فقرأه عليهم» كفار مكة «ما كانوا به مؤمنين» أنفة من اتباعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21840','chapter_id' => '26','chapter_detail_id' => '3132','translator_id' => '4','verse_number' => '200','translate_name' => '«كذلك» أي مثل إدخالنا التكذيب به بقراءة الأعجمي «سلكناه» أدخلنا التكذيب به «في قلوب المجرمين» كفار مكة بقراءة النبي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21841','chapter_id' => '26','chapter_detail_id' => '3133','translator_id' => '4','verse_number' => '201','translate_name' => '«لا يؤمنون به حتى يروا العذاب الأليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21842','chapter_id' => '26','chapter_detail_id' => '3134','translator_id' => '4','verse_number' => '202','translate_name' => '«فيأتيهم بغتة وهم لا يشعرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21843','chapter_id' => '26','chapter_detail_id' => '3135','translator_id' => '4','verse_number' => '203','translate_name' => '«فيقولوا هل نحن منظرون» لنؤمن فيقال لهم: لا قالوا: متى هذا العذاب، قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21844','chapter_id' => '26','chapter_detail_id' => '3136','translator_id' => '4','verse_number' => '204','translate_name' => '«أفبعذابنا يستعجلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21845','chapter_id' => '26','chapter_detail_id' => '3137','translator_id' => '4','verse_number' => '205','translate_name' => '«أفرأيت» أخبرني «إن متَّعناهم سنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21846','chapter_id' => '26','chapter_detail_id' => '3138','translator_id' => '4','verse_number' => '206','translate_name' => '«ثم جاءهم ما كانوا يوعدون» من العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21847','chapter_id' => '26','chapter_detail_id' => '3139','translator_id' => '4','verse_number' => '207','translate_name' => '«ما» إستفهامية بمعنى: أي شيء «أغنى عنهم ما كانوا يمتعون» في دفع العذاب أو تخفيفه أي: لم يغن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21848','chapter_id' => '26','chapter_detail_id' => '3140','translator_id' => '4','verse_number' => '208','translate_name' => '«وما أهلكنا من قرية إلا لها منذرون» رسل تنذر أهلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21849','chapter_id' => '26','chapter_detail_id' => '3141','translator_id' => '4','verse_number' => '209','translate_name' => '«ذكرى» عظة لهم «وما كنا ظالمين» في إهلاكهم بعد إنذارهم ونزل ردا لقول المشركين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21850','chapter_id' => '26','chapter_detail_id' => '3142','translator_id' => '4','verse_number' => '210','translate_name' => '«وما تنزلت به» بالقرآن «الشياطين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21851','chapter_id' => '26','chapter_detail_id' => '3143','translator_id' => '4','verse_number' => '211','translate_name' => '«وما ينبغي» يصلح «لهم» أن ينزلوا به «وما يستطيعون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21852','chapter_id' => '26','chapter_detail_id' => '3144','translator_id' => '4','verse_number' => '212','translate_name' => '«إنهم عن السمع» لكلام الملائكة «لمعزولون» بالشهب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21853','chapter_id' => '26','chapter_detail_id' => '3145','translator_id' => '4','verse_number' => '213','translate_name' => '«فلا تدع مع الله إلها آخر فتكون من المعذبين» إن فعلت ذلك الذي دعوك إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21854','chapter_id' => '26','chapter_detail_id' => '3146','translator_id' => '4','verse_number' => '214','translate_name' => '(وأنذر عشيرتك الأقربين) وهم بنو هاشم وبنو عبد المطلب "" وقد أنذرهم جهارا "" رواه البخاري ومسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21855','chapter_id' => '26','chapter_detail_id' => '3147','translator_id' => '4','verse_number' => '215','translate_name' => '«واخفض جناحكْ» ألن جانبك «لمن اتبعك من المؤمنين» الموحدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21856','chapter_id' => '26','chapter_detail_id' => '3148','translator_id' => '4','verse_number' => '216','translate_name' => '«فإن عصوك» عشيرتك «فقل» لهم «إني بريء مما تعملون» من عبادة غير الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21857','chapter_id' => '26','chapter_detail_id' => '3149','translator_id' => '4','verse_number' => '217','translate_name' => '«وتوكل» بالواو والفاء «على العزيز الرحيم» الله أي فوض إليه جميع أمورك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21858','chapter_id' => '26','chapter_detail_id' => '3150','translator_id' => '4','verse_number' => '218','translate_name' => '«الذي يراك حين تقوم» إلى الصلاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21859','chapter_id' => '26','chapter_detail_id' => '3151','translator_id' => '4','verse_number' => '219','translate_name' => '«وتقلبك» في أركان الصلاة قائما وقاعدا وراكعا وساجدا «في الساجدين» المصلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21860','chapter_id' => '26','chapter_detail_id' => '3152','translator_id' => '4','verse_number' => '220','translate_name' => '«إنه هو السميع العليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21861','chapter_id' => '26','chapter_detail_id' => '3153','translator_id' => '4','verse_number' => '221','translate_name' => '«هل أنبئكم» يا كفرا مكة «على من تنزل الشياطين» بحذف إحدى التاءين من الأصل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21862','chapter_id' => '26','chapter_detail_id' => '3154','translator_id' => '4','verse_number' => '222','translate_name' => '«تنزل على كل أفاك» كذاب «أثيم» فاجر مثل مسيلمة وغيره من الكهنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21863','chapter_id' => '26','chapter_detail_id' => '3155','translator_id' => '4','verse_number' => '223','translate_name' => '«يلقون» الشياطين «السمع» ما سمعوه من الملائكة إلى الكهنة «وأكثرهم كاذبون» يضمنون إلى المسموع كذبا وكان هذا قبل أن حجبت الشياطين عن السماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21864','chapter_id' => '26','chapter_detail_id' => '3156','translator_id' => '4','verse_number' => '224','translate_name' => '«والشعراء يتبعهم الغاوون» في شعرهم فيقولن به ويرونه عنهم فهم مذمومون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21865','chapter_id' => '26','chapter_detail_id' => '3157','translator_id' => '4','verse_number' => '225','translate_name' => '«ألم تر» تعلم «أنهم في كل واد» من أودية الكلام وفنونه «يهيمون» يمضون فيجازون الحد مدحا وهجاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21866','chapter_id' => '26','chapter_detail_id' => '3158','translator_id' => '4','verse_number' => '226','translate_name' => '«وأنهم يقولون» فعلنا «مالا يفعلون» يكذبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21867','chapter_id' => '26','chapter_detail_id' => '3159','translator_id' => '4','verse_number' => '227','translate_name' => '«إلا الذين آمنوا وعملوا الصالحات» من الشعراء. «وذكروا الله كثيرا» لم يشغلهم الشعر عن الذكر «وانتصروا» بهجوهم الكفار «من بعد ما ظلموا» بهجو الكفار لهم في جملة المؤمنين فليسو مذمومين قال الله تعالى: (لا يحب الله الجهر بالسوء من القول إلا من ظلم) وقال تعالى (فمن اعتدى عليكم فاعتدوا عليه بمثل ما اعتدي عليكم) «وسيعلم الذين ظلموا» من الشعراء وغيرهم «أي منقلب» مرجع «ينقلبون» يرجعون بعد الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21868','chapter_id' => '27','chapter_detail_id' => '3160','translator_id' => '4','verse_number' => '1','translate_name' => '«طس» الله أعلم بمراده بذلك «تلك» هذه الآيات «آيات القرآن» آيات منه «وكتاب مبين» مظهر للحق من الباطل عطف بزيادة صفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21869','chapter_id' => '27','chapter_detail_id' => '3161','translator_id' => '4','verse_number' => '2','translate_name' => 'هو «هدى» هاد من الضلالة «وبشرى للمؤمنين» المصدقين به بالجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21870','chapter_id' => '27','chapter_detail_id' => '3162','translator_id' => '4','verse_number' => '3','translate_name' => '«الذي يقيمون الصلاة» يأتون بها على وجهها «ويؤتون» يعطون «الزكاة وهم بالآخرة هم يوقنون» يعلمونها بالاستدلال وأعيد «هم» لما فصل بينه وبين الخبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21871','chapter_id' => '27','chapter_detail_id' => '3163','translator_id' => '4','verse_number' => '4','translate_name' => '«إن الذين لا يؤمنون بالآخرة زينا لهم أعمالهم» القبيحة بتركيب الشهوة حتى رأوها حسنة «فهم يعمهون» يتحيرون فيها لقبحها عندنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21872','chapter_id' => '27','chapter_detail_id' => '3164','translator_id' => '4','verse_number' => '5','translate_name' => '«أولئك الذين لهم سوء العذاب» أشدَّه في الدنيا القتل والأسر «وهم في الآخرة هم الأخسرون» لمصيرهم إلى النار المؤبدة عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21873','chapter_id' => '27','chapter_detail_id' => '3165','translator_id' => '4','verse_number' => '6','translate_name' => '«وإنك» خطاب للنبي «لتلقَّى القرآن» يُلقى عليك بشدة «من لدن» من عند «حكيم عليم» في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21874','chapter_id' => '27','chapter_detail_id' => '3166','translator_id' => '4','verse_number' => '7','translate_name' => 'اذكر: «إذ قال موسى لأهله» زوجته عند مسيره من مدين إلى مصر «إني آنست» أبصرت من بعيد «ناراً سآتيكم منها بخبر» عن حال الطريق وكان قد ضلها «أو آتيكم بشهاب قبس» بالإضافة للبيان أي شعلة نار في رأس فتيلة أو عود «لعلكم تصطلون» والطاء بدل من تاء الافتعال من صلى بالنار بكسر اللام وفتحها: تستدفئون من البرد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21875','chapter_id' => '27','chapter_detail_id' => '3167','translator_id' => '4','verse_number' => '8','translate_name' => '«فلما جاءها نودي أن» أي بأن «بورك» أي بارك الله «من في النار» أي موسى «ومن حولها» أي الملائكة، أو العكس وبارك يتعدى بنفسه وبالحرف ويقدر بعد في مكان «وسبحان الله رب العالمين» من جملة ما نودي ومعناه تنزيه الله من السوء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21876','chapter_id' => '27','chapter_detail_id' => '3168','translator_id' => '4','verse_number' => '9','translate_name' => '«يا موسى إنه» أي الشأن «أنا الله العزيز الحكيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21877','chapter_id' => '27','chapter_detail_id' => '3169','translator_id' => '4','verse_number' => '10','translate_name' => '«وألق عصاك» فألقاها «فلما رآها تهتز» تتحرك «كأنها جان» حية خفيفة «ولى مدبراً ولم يعقب» يرجع قال تعالى «يا موسى لا تخف» منها «إني لا يخاف لدي» عندي «المرسلون» من حية وغيرها','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21878','chapter_id' => '27','chapter_detail_id' => '3170','translator_id' => '4','verse_number' => '11','translate_name' => '«إلا» لكن «من ظلم» نفسه «ثم بدَّل حُسناً» أتاه «بعد سوءٍ» أي تاب «فإني غفور رحيم» أقبل التوبة وأغفر له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21879','chapter_id' => '27','chapter_detail_id' => '3171','translator_id' => '4','verse_number' => '12','translate_name' => '«وأدخل يدك في جيبك» طوق قميصك «تخرج» خلاف لونها من الأدمة «بيضاء من غير سوءٍ» برص لها شعاع يغشى البصر، آية «في تسع آيات» مرسلا بها «إلى فرعون وقومه إنهم كانوا قوماً فاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21880','chapter_id' => '27','chapter_detail_id' => '3172','translator_id' => '4','verse_number' => '13','translate_name' => '«فلما جاءتهم آياتنا مبصرة» مضيئة واضحة «قالوا هذا سحر مبين» بيّن ظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21881','chapter_id' => '27','chapter_detail_id' => '3173','translator_id' => '4','verse_number' => '14','translate_name' => '«وجحدوا بها» لم يقروا «و» قد «استيقنتها أنفسهم» أي تيقنوا أنها من عند الله «ظلماً وعلوّاً» تكبراً عن الإيمان بما جاء به موسى راجع إلى الجحد «فانظر» يا محمد «كيف كان عاقبة المفسدين» التي علمتها من إهلاكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21882','chapter_id' => '27','chapter_detail_id' => '3174','translator_id' => '4','verse_number' => '15','translate_name' => '«ولقد آتينا داود وسليمان» ابنه «علما» بالقضاء بين الناس ومنطق الطير وغير ذلك «وقالا» شكراً لله «الحمد لله الذي فضلنا» بالنبوة وتسخير الجنّ والإنس والشياطين «على كثير من عباده المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21883','chapter_id' => '27','chapter_detail_id' => '3175','translator_id' => '4','verse_number' => '16','translate_name' => '«وورث سليمان داود» النبوة والعلم دون باقي أولاده «وقال يا أيها الناس عُلمنا منطق الطير» أي‌: فهمَ أصواته «وأُوتينا من كل شيء» تؤتاه الأنبياء والملوك «إن هذا» المؤتى «لهو الفضل المبين» البيَّن الظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21884','chapter_id' => '27','chapter_detail_id' => '3176','translator_id' => '4','verse_number' => '17','translate_name' => '«وحشر» جمع «لسليمان جنوده من الجن والإنس والطير» في مسير له «فهم يوزعون» يجمعون ثم يساقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21885','chapter_id' => '27','chapter_detail_id' => '3177','translator_id' => '4','verse_number' => '18','translate_name' => '«حتى إذا أتوْا على وادِ النمل» هو بالطائف أو بالشام، نمله صغار أو كبار «قالت نملة» ملكة النمل وقد رأت جند سليمان «يا أيها النمل ادخلوا مساكنكم لا يحطمنكم» يكسرنكم «سليمان وجنوده وهم لا يشعرون» نزل النمل منزلة العقلاء في الخطاب بخطابهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21886','chapter_id' => '27','chapter_detail_id' => '3178','translator_id' => '4','verse_number' => '19','translate_name' => '«فتبسّم» سليمان ابتداء «ضاحكا» انتهاء «من قولها» وقد سمعه من ثلاثة أميال حملته إليه الريح فحبس جنده حين أشرف على واديهم حتى دخلوا بيوتهم وكان جنده ركباناً ومشاة في هذا السير «وقال رب أوزعني» ألهمني «أن أشكر نعمتك التي أنعمت» بها «علىَّ وعلى والديَّ وأن أعمل صالحاً ترضاه وأدخلني برحمتك في عبادك الصالحين» الأنبياء والأولياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21887','chapter_id' => '27','chapter_detail_id' => '3179','translator_id' => '4','verse_number' => '20','translate_name' => '«وتفقّد الطير» ليرى الهدهد الذي يرى الماء تحت الأرض ويدل عليه بنقره فيها فتستخرجه الشياطين لاحتياج سليمان إليه للصلاة فلم يره «فقال ماليَ لا أرى الهدهد» أي أعرضَ لي ما منعني من رؤيته «أم كان من الغائبين» فلم أره لغيبته فلما تحققها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21888','chapter_id' => '27','chapter_detail_id' => '3180','translator_id' => '4','verse_number' => '21','translate_name' => 'قال «لأعذبنه عذاباً» تعذيباً «شديداً» بنتف ريشه وذنبه ورميه في الشمس فلا يمتنع من الهوام «أو لأذبحنه» بقطع حلقومه «أو ليأتيني» بنون مشددة مكسورة أو مفتوحة يليها نون مكسورة «بسلطان مبين» ببرهان بين ظاهر على عذره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21889','chapter_id' => '27','chapter_detail_id' => '3181','translator_id' => '4','verse_number' => '22','translate_name' => '«فمكث» بضم الكاف وفتحها «غير بعيد» يسيراً من الزمن وحضر لسليمان متواضعاً برفع رأسه وإرخاء ذنبه وجناحيه فعفا عنه وسأله عما لقي في غيبته «فقال أحَطتُ بما لم تحط به» أي: اطلعت على ما لم تطلع عليه «وجئتك من سبأٍ» بالصرف وتركه، قبيلة باليمن سميت باسم جد لهم باعتباره صرف «بنِبأ» خبر «يقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21890','chapter_id' => '27','chapter_detail_id' => '3182','translator_id' => '4','verse_number' => '23','translate_name' => '«إني وجدت امرأة تملكهم» أي: هي ملكة لهم اسمها بلقيس «وأوتيت من كل شيء» يحتاج إليه الملوك من الآلة والعدة «ولها عرش» سرير «عظيم» طوله ثمانون ذراعاً وعرضه أربعون ذراعاً وارتفاعه ثلاثون ذراعاً مضروب من الذهب والفضة مكلل بالدر والياقوت الأحمر والزبرجد الأخضر والزمرد وقوائمه من الياقوت الأحمر والزبرجد الأخضر والزمرد عليه سبعة أبواب على كل بيت باب مغلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21891','chapter_id' => '27','chapter_detail_id' => '3183','translator_id' => '4','verse_number' => '24','translate_name' => '«وجدتها وقومها يسجدون للشمس من دون الله وزيَّن لهم الشيطان أعمالهم فصدَّهم عن السبيل» طريق الحق «فهم لا يهتدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21892','chapter_id' => '27','chapter_detail_id' => '3184','translator_id' => '4','verse_number' => '25','translate_name' => '«ألاً يسجدوا لله» أي: أن يسجدوا له فزيدت لا وأدغم فيها نون أن كما في قوله تعالى: (لئلا يعلم أهل الكتاب) والجملة في محل مفعول يهتدون بإسقاط إلى «الذي يخرج الخبء» مصدر بمعنى المخبوء من المطر والنبات «في السماوات والأرض ويعلم ما يخفون» في قلوبهم «وما يعلنون» بألسنتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21893','chapter_id' => '27','chapter_detail_id' => '3185','translator_id' => '4','verse_number' => '26','translate_name' => '«الله لا إله إلا هو رب العرش العظيم» استئناف جملة ثناء مشتمل على عرش الرحمن في مقابلة عرش بلقيس وبينهما بون عظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21894','chapter_id' => '27','chapter_detail_id' => '3186','translator_id' => '4','verse_number' => '27','translate_name' => '«قال» سليمان للهدهد «سننظر أصدقت» فيما أخبرتنا به «أم كنت من الكاذبين» أي من هذا النوع فهو أبلغ من أم كذبت فيه، ثم دلهم على الماء فاستخرج وارتووا وتوضؤوا وصلوا ثم كتب سليمان كتاباً صورته (من عبد الله سليمان بن داود إلى بلقيس ملكة سبأ "بسم الله الرحمن الرحيم السلام على من اتبع الهدى أما بعد فلا تعلوا علي وأتوني مسلمين) ثم طبعه بالمسك وختمه بخاتمه ثم قال للهدهد:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21895','chapter_id' => '27','chapter_detail_id' => '3187','translator_id' => '4','verse_number' => '28','translate_name' => '«إذهب بكتابي هذا فألقه إليهم» أي بلقيس وقومها «ثم تولَّ» انصرف «عنهم» وقف قريباً منهم «فانظر ماذا يرجعون» يردون من الجواب فأخذه وأتاها وحولها جندها وألقاه في حجرها فلما رأته ارتعدت وخضعت خوفاً ثم وقفت على ما فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21896','chapter_id' => '27','chapter_detail_id' => '3188','translator_id' => '4','verse_number' => '29','translate_name' => 'ثم «قالت» لأشراف قومها «يا أيها الملأ إني» بتحقيق الهمزتين وتسهيل الثانية بقلبها واواً مكسورة «أُلقي إليَّ كتاب كريم» مختوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21897','chapter_id' => '27','chapter_detail_id' => '3189','translator_id' => '4','verse_number' => '30','translate_name' => '«إنه من سليمان وإنه» أي مضمونه «بسم الله الرحمن الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21898','chapter_id' => '27','chapter_detail_id' => '3190','translator_id' => '4','verse_number' => '31','translate_name' => '«ألا تعلوا عليَّ وأتوني مسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21899','chapter_id' => '27','chapter_detail_id' => '3191','translator_id' => '4','verse_number' => '32','translate_name' => '«قالت يا أيها الملأ أفتوني» بتحقيق الهمزتين وتسهيل الثانية بقلبها واواً، أي أشيروا عليَّ «في أمري ما كنت قاطعة أمراً» قاضيته «حتى تشهدون» تحضرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21900','chapter_id' => '27','chapter_detail_id' => '3192','translator_id' => '4','verse_number' => '33','translate_name' => '«قالوا نحن أولوا قوة وأولو بأس شديد» أي: أصحاب شدة في الحرب «والأمر إليك فانظري ماذا تأمرينـ» ـنا نطعك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21901','chapter_id' => '27','chapter_detail_id' => '3193','translator_id' => '4','verse_number' => '34','translate_name' => '«قالت إن الملوك إذا دخلوا قريةً أفسدوها» بالتخريب «وجعلوا أعزة أهلها أذلة وكذلك يفعلون» أي: مرسلو الكتاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21902','chapter_id' => '27','chapter_detail_id' => '3194','translator_id' => '4','verse_number' => '35','translate_name' => '«وإني مرسلة إليهم بهدية فناظرة بم يرجع المرسلون» من قبول الهدية أو ردها إن كان ملكاً قبلها أو نبياً لم يقبلها فأرسلت خدماً ذكوراً وإناثاً ألفاً بالسوية وخمسمائة لبنة من الذهب وتاجاً مكللا بالجواهر ومسكاً وعنبراً وغير ذلك مع رسول بكتاب فأسرع الهدهد إلى سليمان يخبره الخبر فأمر أن تضرب لبنات الذهب والفضة وأن تبسط من موضعه إلى تسعة فراسخ ميداناً وأن يبنوا حوله حائطاً مشرفاً من الذهب والفضة وأن يؤتي بأحسن دواب البر والبحر مع أولاد الجن عن يمين الميدان وشماله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21903','chapter_id' => '27','chapter_detail_id' => '3195','translator_id' => '4','verse_number' => '36','translate_name' => '«فلما جاء» الرسول بالهدية ومعه أتباعه «سليمان قال أتمدونن بمال فما أتانيَ الله» من النبوة والملك «خير مما آتاكم» من الدنيا «بل أنتم بهديتكم تفرحون» لفخركم بزخارف الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21904','chapter_id' => '27','chapter_detail_id' => '3196','translator_id' => '4','verse_number' => '37','translate_name' => '«إرجع إليهم» بما أتيت من الهدية «فلنأتينهم بجنود لا قبل» لا طاقة «لهم بها ولنخرجنهم منها» من بلد سبأ سميت باسم أبي قبيلتهم «أذلة وهم صاغرون» إن لم يأتوني مسلمين فلما رجع إليها الرسول بالهدية جعلت سريرها داخل سبعة أبواب داخل قصرها وقصرها داخل سبعة قصور وغلقت الأبواب وجعلت عليها حرساً وتجهزت للمسير إلى سليمان لتنظر ما يأمرها به فارتحلت في اثني عشر ألف قَيْل مع كل قَيْل ألوف كثيرة إلى أن قربت منه على فرسخ شعر بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21905','chapter_id' => '27','chapter_detail_id' => '3197','translator_id' => '4','verse_number' => '38','translate_name' => '«قال يا أيها الملأ أيكم» في الهمزتين ما تقدم «يأتيني بعرشها قبل أن يأتوني مسلمين» منقادين طائعين فلي أخذه قبل ذلك لا بعده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21906','chapter_id' => '27','chapter_detail_id' => '3198','translator_id' => '4','verse_number' => '39','translate_name' => '«قال عفريت من الجن» هو القوي الشديد «أنا آتيك به قبل أن تقوم من مقامك» الذي تجلس فيه للقضاء وهو من الغداة إلى نصف النهار «وإني عليه لقوي» أي على حمله «أمين» على ما فيه من الجواهر وغيرها، قال سليمان أريد أسرع من ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21907','chapter_id' => '27','chapter_detail_id' => '3199','translator_id' => '4','verse_number' => '40','translate_name' => '«قال الذي عنده علم من الكتاب» المنزل وهو آصف بن برخيا كان صدّيقاً يعلم اسم الله الأعظم الذي إذا دعا به أجيب «أنا آتيك به قبل أن يرتد إليك طرفك» إذا نظرت به إلى شيء فقال له انظر إلى السماء فنظر إليها ثم رد بطرفه فوجده موضوعاً بين يديه ففي نظره إلى السماء دعا آصف الاسم الأعظم أن يأتي الله به فحصل بأن جرى تحت الأرض حتى نبع تحت كرسي سليمان «فلما رآه مستقراً» ساكناً «عنده قال هذا» أي الإتيان لي به «من فضل ربي ليبلوني» ليختبرني «أأشكر» بتحقيق الهمزتين وإبدال الثانية ألف وتسهيلها وإدخال ألف بين المسهلة الأخرى وتركه «أم أكفر» النعمة «ومن شكر فإنما يشكر لنفسه» أي لأجلها لأن ثواب شكره له «ومن كفر» النعمة «فإن ربي غني» عن شكره «كريم» بالإفضال على من يكفرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21908','chapter_id' => '27','chapter_detail_id' => '3200','translator_id' => '4','verse_number' => '41','translate_name' => '«قال نكّروا لها عرشها» أي غيروه إلى حال تنكره إذا رأته «ننظر أتهتدي» إلى معرفته «أم تكون من الذين لا يهتدون» إلى معرفة ما يغيّر عليهم قصد بذلك اختبار عقلها لما قيل إن فيه شيئاً فغيروه بزيادة أو نقص وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21909','chapter_id' => '27','chapter_detail_id' => '3201','translator_id' => '4','verse_number' => '42','translate_name' => '«فلما جاءت قيل» لها «أهكذا عرشك» أي أمثل هذا عرشك «قالت كأنه هو» فعرفته وشبهت عليهم كما شبهوا عليها إذ لم يقل أهذا عرشك ولو قيل هذا قالت: نعم، قال سليمان لما رأى لها معرفة وعلماً: «وأوتينا العلم من قبلها وكنا مسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21910','chapter_id' => '27','chapter_detail_id' => '3202','translator_id' => '4','verse_number' => '43','translate_name' => '«وصدها» عن عبادة الله «ما كانت تعبد من دون الله» أي غيره «إنها كانت من قوم كافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21911','chapter_id' => '27','chapter_detail_id' => '3203','translator_id' => '4','verse_number' => '44','translate_name' => '«قيل لها» أيضاً «ادخلي الصرح» هو سطح من زجاج أبيض شفاف تحته ماء عذب جار فيه سمك اصطنعه سليمان لما قيل له إن ساقيها وقدميها كقدمي الحمار «فلما رأته حسبته لجة» من الماء «وكشفت عن ساقيها» لتخوضه وكان سليمان على سريره في صدر الصرح فرأى ساقيها وقدميها حساناً «قال» لها «إنه صرح ممرد» مملس «من قوارير» من زجاج ودعاها إلى الإسلام «قالت رب إني ظلمت نفسي» بعبادة غيرك «وأسلمت» كائنة «مع سليمان لله رب العالمين» وأراد تزوجها فكره شعر ساقيها فعملت له الشياطين النورة فأزالته بها فتزوجها وأحبها وأقرها على ملكها وكان يزورها في كل شهر مرة ويقيم عندها ثلاثة أيام وانقضى ملكها بانقضاء ملك سليمان روي أنه ملك وهو ابن ثلاث عشرة سنة ومات وهو ابن ثلاث وخمسين سنة فسبحان من لا انقضاء لدوام ملكه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21912','chapter_id' => '27','chapter_detail_id' => '3204','translator_id' => '4','verse_number' => '45','translate_name' => '«ولقد أرسلنا إلى ثمود أخاهم» من القبيلة «صالحاً أن» أي بأن «اعبدا الله» وحدوه «فإذا هم فريقان يختصمون» في الدين فريق مؤمنون من حين إرساله إليهم وفريق كافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21913','chapter_id' => '27','chapter_detail_id' => '3205','translator_id' => '4','verse_number' => '46','translate_name' => '«قال» للمكذبين «ياقوم لمَ تستعجلون بالسيئة قبل الحسنة» أي بالعذاب قبل الرحمة حيث قلتم إن كان ما أتيتنا به حقاً فأتنا بالعذاب «لولا» هلا «تستغفرون الله» من الشرك «لعلكم ترحمون» فلا تعذبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21914','chapter_id' => '27','chapter_detail_id' => '3206','translator_id' => '4','verse_number' => '47','translate_name' => '«قالوا اطّيرنا» أصله تطيرنا أدغمت التاء في الطاء واجتلبت همزة الوصل أي تشاءمنا «بك وبمن معك» المؤمنين حيث قحطوا المطر وجاعوا «قال طائركم» شؤمكم «عند الله» أتاكم به «بل أنتم قوم تفتنون» تختبرون بالخير والشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21915','chapter_id' => '27','chapter_detail_id' => '3207','translator_id' => '4','verse_number' => '48','translate_name' => '«وكان في المدينة» مدينة ثمود «تسعة رهط» أي رجال «يفسدون في الأرض» بالمعاصي منها قرضهم الدنانير والدراهم «ولا يصلحون» بالطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21916','chapter_id' => '27','chapter_detail_id' => '3208','translator_id' => '4','verse_number' => '49','translate_name' => '«قالوا» أي قال بعضهم لبعض «تقاسموا» أي احلفوا «بالله لنبيتنه» بالنون والتاء وضم التاء الثانية «وأهله» أي من آمن به أي نقتلهم ليلاً «ثم لنقولن» بالنون والتاء وضم اللام الثانية «لوليه» لولي دمه «ما شهدنا» حضرنا «مهلك أهله» بضم الميم وفتحها أي إهلاكهم أو هلاكهم فلا ندري من قتلهم «وإنا لصادقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21917','chapter_id' => '27','chapter_detail_id' => '3209','translator_id' => '4','verse_number' => '50','translate_name' => '«ومكروا» في ذلك «مكراً ومكرنا مكراً» أي جازيناهم بتعجيل عقوبتهم «وهم لا يشعرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21918','chapter_id' => '27','chapter_detail_id' => '3210','translator_id' => '4','verse_number' => '51','translate_name' => '«فانظر كيف كان عاقبة مكرهم أنّا دمرناهم» أهلكناهم «وقومهم أجمعين» بصيحة جبريل أو برمي الملائكة بحجارة يرونها ولا يرونهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21919','chapter_id' => '27','chapter_detail_id' => '3211','translator_id' => '4','verse_number' => '52','translate_name' => '«فتلك بيوتهم خاوية» أي خالية ونصبه على الحال والعامل معنى الإشارة «بما ظلموا» بظلمهم أي كفرهم «إن في ذلك لآية» لعبرة «لقوم يعلمون» قدرتنا فيتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21920','chapter_id' => '27','chapter_detail_id' => '3212','translator_id' => '4','verse_number' => '53','translate_name' => '«وأنجينا الذين آمنوا» بصالح وهم أربعة آلاف «وكانوا يتقون» الشرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21921','chapter_id' => '27','chapter_detail_id' => '3213','translator_id' => '4','verse_number' => '54','translate_name' => '«ولوطاً» منصوب باذكر مقدراً قبله ويبدل منه «إذ قال لقومه أتأتون الفاحشة» أي اللواط «وأنتم تبصرون» أي يبصر بعضكم بعضا انهماكاً في المعصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21922','chapter_id' => '27','chapter_detail_id' => '3214','translator_id' => '4','verse_number' => '55','translate_name' => '«أإنكم» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين «لتأتون الرجال شهوة من دون النساء بل أنتم قوم تجهلون» عاقبة فعلكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21923','chapter_id' => '27','chapter_detail_id' => '3215','translator_id' => '4','verse_number' => '56','translate_name' => '«فما كان جواب قومه إلا أن قالوا أخرجوا آل لوط» أهل «من قريتكم إنهم أناس يتطهرون» من أدبار الرجال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21924','chapter_id' => '27','chapter_detail_id' => '3216','translator_id' => '4','verse_number' => '57','translate_name' => '«فأنجيناه وأهله إلا امرأته قدرناها» جعلناها بتقديرنا «من الغابرين» الباقين في العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21925','chapter_id' => '27','chapter_detail_id' => '3217','translator_id' => '4','verse_number' => '58','translate_name' => '«وأمطرنا عليهم مطراً» حجارة السجيل فأهلكتهم «فساء» بئس «مطر المنذرين» بالعذاب مطرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21926','chapter_id' => '27','chapter_detail_id' => '3218','translator_id' => '4','verse_number' => '59','translate_name' => '«قل» يا محمد «الحمد لله» على هلاك الكفار من الأمم الخالية «وسلام على عباده الذين اصطفى» هم «آلله» بتحقيق الهمزتين وإبدال الثانية ألفاً وتسهليها وإدخال ألف بين المسهلة والأخرى وتركه «خير» لمن يعبده «أمّا تشركون» بالتاء والياء أي أهل مكة به الآلهة خير لعابديها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21927','chapter_id' => '27','chapter_detail_id' => '3219','translator_id' => '4','verse_number' => '60','translate_name' => '«أمَّن خلق السماوات والأرض وأنزل لكم من السماء ماءً فأنبتنا» فيه التفتات من الغيبة إلى التكلم «به حدائق» جمع حديقة وهو البستان المحوط «ذات بهجةِ» حُسن «ما كان لكم أن تنبتوا شجرها» لعدم قدرتكم عليه «أإلهٌ» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين في مواضعه السبعة «مع الله» أعانه على ذلك أي ليس معه إله «بل هم قوم يعدلون» يشركون بالله غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21928','chapter_id' => '27','chapter_detail_id' => '3220','translator_id' => '4','verse_number' => '61','translate_name' => '«أمَّن جعل الأرض قراراً» لا تميد بأهلها «وجعل خلالها» فيما بينها «أنهاراً وجعل لها رواسي» جبالاً أثبت بها الأرض «وجعل بين البحرين حاجزاً» بين العذب والملح لا يختلط أحدهما بالآخر «أإلهٌ مع الله بل أكثرهم لا يعلمون» توحيده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21929','chapter_id' => '27','chapter_detail_id' => '3221','translator_id' => '4','verse_number' => '62','translate_name' => '«أَمَّن يجيب المضطر» المكروب الذي مسه الضر «إذا دعاه ويكشف السوء» عنه وعن غيره «ويجعلكم خلفاء الأرض» الإضافة بمعنى في، أي يخلف كل قرن القرن الذي قبله: «أَإِله مع الله قليلاً ما تذكَّرون» تتعظون بالفوقانية والتحتانية وفيه إدغام التاء في الذال وما زائدة لتقليل القليل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21930','chapter_id' => '27','chapter_detail_id' => '3222','translator_id' => '4','verse_number' => '63','translate_name' => '«أمَّن يهديكم» يرشدكم إلى مقاصدكم «في ظلمات البر والبحر» بالنجوم ليلاً وبعلامات الأرض نهاراً «ومن يرسل الرياح بُشراً بين يديْ رحمته» قدام المطر «أَإِله مع الله تعالى الله عما يشركون» به غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21931','chapter_id' => '27','chapter_detail_id' => '3223','translator_id' => '4','verse_number' => '64','translate_name' => '«أمَّن يبدأ الخلق» في الأرحام من نطفة «ثم يعيده» بعد الموت وإن لم تعترفوا بالإعادة لقيام البراهين عليها «ومن يرزقكم من السماء» بالمطر «والأرض» بالنبات «أَإِله مع الله» أي لا يفعل شيئاً مما ذكر إلا الله ولا إله معه «قل» يا محمد «هاتوا برهانكم» حجتكم «إن كنتم صادقين» أن معي إلهاً فعل شيئاً مما ذكر، وسألوه عن وقت قيام الساعة فنزل:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21932','chapter_id' => '27','chapter_detail_id' => '3224','translator_id' => '4','verse_number' => '65','translate_name' => '«قل لا يعلم من في السماوات والأرض» من الملائكة والناس «الغيب» أي ما غاب عنهم «إلا» لكن «الله» يعلمه «وما يشعرون» أي كفار مكة كغيرهم «أيان» وقت «يبعثون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21933','chapter_id' => '27','chapter_detail_id' => '3225','translator_id' => '4','verse_number' => '66','translate_name' => '«بل» بمعنى هل «أدرك» وزن أكرم، وفي قراءة أخرى ادّارَكَ بتشديد الدال وأصله تدارك أبدلت التاء دالاً وأدغمت في الدال واجتلبت همزة الوصل أي بلغ ولحق أو تتابع وتلاحق «علمهم في الآخرة» أي بها حتى سألوا عن وقت مجيئها ليس الأمر كذلك «بل هم في شك منها بل هم منها عمون» من عمى القلب وهو أبلغ مما قبله والأصل عميون استثقلت الضمة على الياء فنقلت إلى الميم بعد حذف كسرتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21934','chapter_id' => '27','chapter_detail_id' => '3226','translator_id' => '4','verse_number' => '67','translate_name' => '«وقال الذين كفروا» أيضاً في إنكار البعث «أئذا كنا تراباً وآباؤنا أئنا لمخرجون» من القبور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21935','chapter_id' => '27','chapter_detail_id' => '3227','translator_id' => '4','verse_number' => '68','translate_name' => '«لقد وعدنا هذا نحن وآباؤنا من قبل إن» ما «هذا إلا أساطير الأولين» جمع أسطورة بالضم أي ما سطر من الكذب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21936','chapter_id' => '27','chapter_detail_id' => '3228','translator_id' => '4','verse_number' => '69','translate_name' => '«قل سيروا في الأرض فانظروا كيف كان عاقبة المجرمين» بإنكارهم، وهي هلاكهم بالعذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21937','chapter_id' => '27','chapter_detail_id' => '3229','translator_id' => '4','verse_number' => '70','translate_name' => '«ولا تحزن عليهم ولا تكن في ضيق مما يمكرون» تسلية للنبي * أي لا تهتم بمكرهم عليك فإنا ناصروك عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21938','chapter_id' => '27','chapter_detail_id' => '3230','translator_id' => '4','verse_number' => '71','translate_name' => '«ويقولون متى هذا الوعد» بالعذاب «إن كنتم صادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21939','chapter_id' => '27','chapter_detail_id' => '3231','translator_id' => '4','verse_number' => '72','translate_name' => '«قل عسى أن يكون رَدِفَ» قرب «لكم بعض الذي تستعجلون» فحصل لهم القتل ببدر وباقي العذاب يأتيهم بعد الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21940','chapter_id' => '27','chapter_detail_id' => '3232','translator_id' => '4','verse_number' => '73','translate_name' => '«وإن ربك لذو فضل على الناس» ومنه تأخير العذاب عن الكفار «ولكن أكثرهم لا يشكرون» فالكفار لا يشكرون تأخير العذاب لإنكارهم وقوعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21941','chapter_id' => '27','chapter_detail_id' => '3233','translator_id' => '4','verse_number' => '74','translate_name' => '«وإن ربك ليعلم ما تكن صدورهم» تخفيه «وما يعلنون» بألسنتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21942','chapter_id' => '27','chapter_detail_id' => '3234','translator_id' => '4','verse_number' => '75','translate_name' => '«وما من غائبة في السماء والأرض» الهاء للمبالغة: أي شيء في غاية الخفاء على الناس «إلا في كتاب مبين» بَيِّن هو اللوح المحفوظ ومكنون علمه تعالى ومنه تعذيب الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21943','chapter_id' => '27','chapter_detail_id' => '3235','translator_id' => '4','verse_number' => '76','translate_name' => '«إن هذا القرآن يقص على بني إسرائيل» الموجودين في زمان نبينا «أكثر الذي هم فيه يختلفون» أي ببيان ما ذكر على وجهه الرافع للاختلاف بينهم لو أخذوا به وأسلموا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21944','chapter_id' => '27','chapter_detail_id' => '3236','translator_id' => '4','verse_number' => '77','translate_name' => '«وإنه لهدى» من الضلالة «ورحمة للمؤمنين» من العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21945','chapter_id' => '27','chapter_detail_id' => '3237','translator_id' => '4','verse_number' => '78','translate_name' => '«إن ربك يقضي بينهم» كغيرهم يوم القيامة «بحكمه» أي عدله «وهو العزيز» الغالب «العليم» بما يحكم به فلا يمكن أحداً مخالفته كما خالف الكفار في الدنيا أنبياءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21946','chapter_id' => '27','chapter_detail_id' => '3238','translator_id' => '4','verse_number' => '79','translate_name' => '«فتوكل على الله» ثق به «إنك على الحق المبين» الدين البيِّن فالعاقبة لك بالنصر على الكفار ثم ضرب أمثالاً لهم بالموتى والصم والعمي فقال:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21947','chapter_id' => '27','chapter_detail_id' => '3239','translator_id' => '4','verse_number' => '80','translate_name' => '«إنك لا تسمع الموتى ولا تسمع الصم الدعاء إذا» بتحقيق الهمزتين وتسهيل الثانية بينها وبين الياء «ولوا مدبرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21948','chapter_id' => '27','chapter_detail_id' => '3240','translator_id' => '4','verse_number' => '81','translate_name' => '«وما أنت بهاد العمي عن ضلالتهم إن» ما «تسمع» سماع إفهام وقبول «إلا من يؤمن بآياتنا» القرآن «فهم مسلمون» مخلصون بتوحيد الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21949','chapter_id' => '27','chapter_detail_id' => '3241','translator_id' => '4','verse_number' => '82','translate_name' => '«وإذا وقع القول عليهم» حق العذاب أن ينزل بهم في جملة الكفار «أخرجنا لهم دابة من الأرض تكلمهم» أي تكلم الموجودين حين خروجها بالعربية تقول لهم من جملة كلامها عنا «إن الناس» كفار مكة وعلى قراءة فتح همزة إن تقدر الباء بعد تكلمهم «كانوا بآياتنا لا يوقنون» لا يؤمنون بالقرآن المشتمل على البعث والحساب والعقاب، وبخروجها ينقطع الأمر بالمعروف والنهى عن المنكر ولا يؤمن كافر كما أوْحى الله إلى نوح [أنه لن يؤمن من قومك إلا من قد آمن].','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21950','chapter_id' => '27','chapter_detail_id' => '3242','translator_id' => '4','verse_number' => '83','translate_name' => '«و» اذكر «يوم نحشر من كل أمة فوجاً» جماعة «ممن يكذب بآياتنا» وهم رؤساؤهم المتبعون «فهم يوزعون» أي يجمعون برد آخرهم إلى أولهم ثم يساقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21951','chapter_id' => '27','chapter_detail_id' => '3243','translator_id' => '4','verse_number' => '84','translate_name' => '«حتى إذا جاءُوا» مكان الحساب «قال» تعالى لهم «أكذبتم» أنبيائي «بآياتي ولم تحيطوا» من جهة تكذيبكم «بها علماً أما» فيه إدغام ما الاستفهامية «ذا» موصول أي ما الذي «كنتم تعملون» مما أمرتم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21952','chapter_id' => '27','chapter_detail_id' => '3244','translator_id' => '4','verse_number' => '85','translate_name' => '«ووقع القول» حق العذاب «عليهم بما ظلموا» أي أشركوا «فهم لا ينطقون» إذ لا حجة لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21953','chapter_id' => '27','chapter_detail_id' => '3245','translator_id' => '4','verse_number' => '86','translate_name' => '«ألم يروا أنا جعلنا» خلقنا «الليل ليسكنوا فيه» كغيرهم «والنهار مبصراً» بمعنى يبصر فيه ليتصرفوا فيه «إن في ذلك لآيات» دلالات على قدرته تعالى «لقوم يؤمنون» خصوا بالذكر لانتفاعهم بها في الإيمان بخلاف الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21954','chapter_id' => '27','chapter_detail_id' => '3246','translator_id' => '4','verse_number' => '87','translate_name' => '«ويوم ينفخ في الصور» القرن النفخة الأولى من إسرافيل «ففزع من في السماوات ومن في الأرض» خافوا الخوف المفضي إلى الموت كما في آية أخرى فصعق، والتعبير فيه بالماضي لتحقق وقوعه «إلا من شاء الله» أي جبريل وميكائيل وإسرافيل وملك الموت وعن ابن عباس هم الشهداء إذ هم أحياء عند ربهم يرزقون «وكل» تنوينه عوض عن المضاف إليه، أي وكلهم بعد إحيائهم يوم القيامة «أتوه» بصيغة الفعل واسم الفاعل «داخرين» صاغرين والتعبير في الإتيان بالماضي لتحقق وقوعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21955','chapter_id' => '27','chapter_detail_id' => '3247','translator_id' => '4','verse_number' => '88','translate_name' => '«وترى الجبال» تبصرها وقت النفخة «تحسبها» تظنها «جامدة» واقفة مكانها لعظمها «وهي تمر مر السحاب» المطر إذا ضربته الريح أي تسير سيره حتى تقع على الأرض فتستوي بها مبثوثة ثم تصير كالعهن، ثم تصير هباء منثوراً «صنع الله» مصدر مؤكد لمضمون الجملة قبله أضيف فاعله بعد حذف عامله أي صنع الله ذلك صنع «الذي أتقن» أحكم «كل شيء» صنعه «إنه خبير بما يفعلون» بالياء والتاء أي أعداؤه من المعصية وأولياؤه من الطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21956','chapter_id' => '27','chapter_detail_id' => '3248','translator_id' => '4','verse_number' => '89','translate_name' => '«من جاء بالحسنة» أي لا إله إلا الله يوم القيامة «فله خير» ثواب «منها» أي بسببها وليس للتفضيل إذ لا فعل خير منها وفي آية أخرى "عشر أمثالها" «وهم» الجاءون بها «من فزع يومئذ» بالإضافة وكسر الميم وفتحها وفزع منوناً وفتح الميم «آمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21957','chapter_id' => '27','chapter_detail_id' => '3249','translator_id' => '4','verse_number' => '90','translate_name' => '«ومن جاء بالسيئة» أي الشرك «فكبت وجوههم في النار» بأن وليتها، وذكرت الوجوه لأنها موضع الشرف من الحواس فغيرها من باب أولى ويقال لهم تبكيتاً «هل» ما «تجزون إلا» جزاء «ما كنتم تعملون» من الشرك والمعاصي قل لهم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21958','chapter_id' => '27','chapter_detail_id' => '3250','translator_id' => '4','verse_number' => '91','translate_name' => '«إنما أمرت أن أعبد رب هذه البلدة» أي مكة «الذي حرمها» جعلها حرماً آمناً لا يسفك فيها دم إنسان ولا يظلم فيها أحد ولا يصاد صيدها ولا يختلى خلاها، وذلك من النعم على قريش أهلها في رفع الله عن بلدهم العذاب والفتن الشائعة في جميع بلاد العرب «وله» تعالى «كل شيء» فهو ربه وخالقه ومالكه «وأمرت أن أكون من المسلمين» لله بتوحيده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21959','chapter_id' => '27','chapter_detail_id' => '3251','translator_id' => '4','verse_number' => '92','translate_name' => '«وأن أتلوَ القرآن» عليكم تلاوة الدعوة إلى الإيمان «فمن اهتدى» له «فإنما يهتدي لنفسه» أي لأجلها فإن ثواب اهتدائه له «ومن ضل» عن الإيمان وأخطأ طريق الهدى «فقل» له «إنما أنا من المنذرين» المخوفين فليس عليَّ إلا التبليغ وهذا قبل الأمر بالقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21960','chapter_id' => '27','chapter_detail_id' => '3252','translator_id' => '4','verse_number' => '93','translate_name' => '«وقل الحمد لله سيريكم آياته فتعرفونها» فأراهم الله يوم بدر القتل والسبي وضرب الملائكة وجوههم وأدبارهم وعجلهم الله إلى النار «وما ربك بغافل عما يعملون» بالياء والتاء وإنما يمهلهم لوقتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21961','chapter_id' => '28','chapter_detail_id' => '3253','translator_id' => '4','verse_number' => '1','translate_name' => '«طسم» الله أعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21962','chapter_id' => '28','chapter_detail_id' => '3254','translator_id' => '4','verse_number' => '2','translate_name' => '«تلك» أي هذه الآيات «آيات الكتاب» الإضافة بمعنى من «المبين» المظهر الحق من الباطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21963','chapter_id' => '28','chapter_detail_id' => '3255','translator_id' => '4','verse_number' => '3','translate_name' => '«نتلُوا» نقص «عليك من نبإِ» خبر «موسى وفرعون بالحق» الصدق «لقوم يؤمنون» لأجلهم لأنهم المنتفعون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21964','chapter_id' => '28','chapter_detail_id' => '3256','translator_id' => '4','verse_number' => '4','translate_name' => '«إن فرعون علا» تعظم «في الأرض» أرض مصر «وجعل أهلها شيعاً» فرقاً في خدمته «يستضعف طائفة منهم» هم بنو إسرائيل «يذِّبح أبناءهم» المولودين «ويستحيي نساءَهم» يستبقيهن أحياء لقول بعض الكهنة له: إن مولوداً يولد في بني إسرائيل يكون سبب زوال ملكك «إنه كان من المفسدين» بالقتل وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21965','chapter_id' => '28','chapter_detail_id' => '3257','translator_id' => '4','verse_number' => '5','translate_name' => '«ونريد أن نمن على الذين استضعفوا في الأرض ونجعلهم أئمة» بتحقيق الهمزتين وإبدال الثانية ياء يقتدى بهم في الخير «ونجعلهم الوارثين» ملك فرعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21966','chapter_id' => '28','chapter_detail_id' => '3258','translator_id' => '4','verse_number' => '6','translate_name' => '«ونمكن لهم في الأرض» أرض مصر والشام «ونريَ فرعون وهامان وجنودهما» وفي قراءة ويرى بفتح التحتانية والراء ورفع الأسماء الثلاثة «منهم ما كانوا يحذرون» يخافون من المولود الذي يذهب ملكهم على يديه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21967','chapter_id' => '28','chapter_detail_id' => '3259','translator_id' => '4','verse_number' => '7','translate_name' => '«وأوحينا» وحي إلهام أو منام «إلى أم موسى» وهو المولود المذكور ولم يشعر بولادته غير أخته «أن أرضعيه فإذا خفت عليه فألقيه في اليم» البحر أي النيل «ولا تخافي» غرقه «ولا تحزني» لفراقه «إنا رادوه إليك وجاعلوه من المرسلين» فأرضعته ثلاثة أشهر لا يبكي وخافت عليه فوضعته في تابوت مطليٍّ بالقار من داخل ممهد له فيه وأغلقته وألقته في بحر النيل ليلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21968','chapter_id' => '28','chapter_detail_id' => '3260','translator_id' => '4','verse_number' => '8','translate_name' => '«فالتقطه» بالتابوت صبيحة الليل «آل» أعوان «فرعون» فوضعوه بين يديه وفتح وأخرج موسى منه وهو يمص من إبهامه لبناً «ليكون لهم» في عاقبة الأمر «عدواً» يقتل رجالهم «وحزناً» يستعبد نساءهم وفي قراءة بضم الحاء وسكون الزاي لغتان في المصدر وهو هنا بمعنى اسم الفاعل من حزنه كأحزنه «إن فرعون وهامان». وزيره «وجنودهما كانوا خاطئين» من الخطيئة أي عاصين فعوقبوا على يديه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21969','chapter_id' => '28','chapter_detail_id' => '3261','translator_id' => '4','verse_number' => '9','translate_name' => '«وقالت امرأة فرعون» وقد هم مع أعوانه بقتله هو «قرت عين لي ولك لا تقتلوه عسى أن ينفعنا أو نتخذه ولداً» فأطاعوها «وهو لا يشعرون» بعاقبة أمرهم معه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21970','chapter_id' => '28','chapter_detail_id' => '3262','translator_id' => '4','verse_number' => '10','translate_name' => '«وأصبح فؤاد أم موسى» لما علمت بالتقاطه «فارغاً» مما سواه. «إن» مخففة من الثقيلة واسمها محذوف أي إنها «كادت لتبدي به» أي بأنه ابنها «لولا أن ربطنا على قلبها» بالصبر أي سكناه «لتكون من المؤمنين» المصدقين بوعد الله وجواب لولا دل عليه ما قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21971','chapter_id' => '28','chapter_detail_id' => '3263','translator_id' => '4','verse_number' => '11','translate_name' => '«وقالت لأخته» مريم «قصيه» اتبعي أثره حتى تعلمي خبره «فبصرت به» أبصرته «عن جُنُب» من مكان بعيد اختلاساً «وهم لا يشعرون» أنها أخته وأنها ترقبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21972','chapter_id' => '28','chapter_detail_id' => '3264','translator_id' => '4','verse_number' => '12','translate_name' => '«وحرمنا عليه المراضع من قبل» أي قبل رده إلى أمه أي منعناه من قبول ثدي مرضعة غير أمه فلم يقبل ثدي واحدة من المراضع المحضرة له «فقالت» أخته «هل أدلكم على أهل بيت» لما رأت حنوهم عليه «يكفلونه لكم» بالإرضاع وغيره «وهم له ناصحون» وفسرت ضمير له بالملك جواباً لهم فأجيبت فجاءت بأمه فقبل ثديها وأجابتهم عن قبوله بأنها طيبة الريح طيبة اللبن فأذن لها في إرضاعه في بيتها فرجعت به كما قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21973','chapter_id' => '28','chapter_detail_id' => '3265','translator_id' => '4','verse_number' => '13','translate_name' => '«فرددناه إلى أمه كي تقر عينها» بلقائه «ولا تحزن» حينئذ «ولتعلم أن وعد الله» برده إليها «حق ولكن أكثرهم» أي الناس «لا يعلمون» بهذا الوعد ولا بأن هذه أخته وهذه أمه فمكث عندها إلى أن فطمته وأجرى عليها أجرتها لكل يوم دينار وأخذتها لأنها مال حربي فأتت به فرعون فتربى عنده كما قال تعالى حكاية عنه في سورة الشعراء «ألم نربِّك فينا وليداً ولبثت فينا من عمرك سنين»','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21974','chapter_id' => '28','chapter_detail_id' => '3266','translator_id' => '4','verse_number' => '14','translate_name' => '«ولما بلغ أشده» وهو ثلاثون سنة أو وثلاث «واستوى» أي بلغ أربعين سنة «آتيناه حكماً» حكمة «وعلماً» فقهاً في الدين قبل أن يبعث نبياً «وكذلك» كما جزيناه «نجزي المحسنين» لأنفسهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21975','chapter_id' => '28','chapter_detail_id' => '3267','translator_id' => '4','verse_number' => '15','translate_name' => '«ودخل» موسى «المدينة» مدينة فرعون وهي منف بعد أن غاب عنه مدة «على حين غفلة من أهلها» وقت القيلولة «فوجد فيها رجلين يقتتلان هذا من شيعته» أي إسرائيلي «وهذا من عدوه» أي قبطي يسخر إسرائيلياً ليحمل حطباً إلى مطبخ فرعون «فاستغاثه الذي من شيعته على الذي من عدوه» فقال له موسى خلِّ سبيله فقيل إنه قال لموسى لقد هممت أن أحمله عليك «فوكزه موسى» أي ضربه بجمع كفه وكان شديد القوة والبطش «فقضى عليه» قتله ولم يكن يقصد قتله ودفنه في الرمل «قال هذا» قتله «من عمل الشيطان» المهيج غضبي «إنه عدو» لابن آدم «مضل» له «مبين» بيّن الإضلال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21976','chapter_id' => '28','chapter_detail_id' => '3268','translator_id' => '4','verse_number' => '16','translate_name' => '«قال» نادماً «رب إني ظلمت نفسي» بقتله «فاغفر لي فغفر له إنه هو الغفور الرحيم» أي المتصف بهما أزلاً وأبداً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21977','chapter_id' => '28','chapter_detail_id' => '3269','translator_id' => '4','verse_number' => '17','translate_name' => '«قال رب بما أنعمت» بحق إنعامك «عليَّ» بالمغفرة اعصمني «فلن أكون ظهيراً» عوناً «للمجرمين» الكافرين بعد هذه إن عصمتني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21978','chapter_id' => '28','chapter_detail_id' => '3270','translator_id' => '4','verse_number' => '18','translate_name' => '«فأصبح في المدينة خائفاً يترقب» ينتظر ما يناله من جهة أهل القتيل «فإذا الذي استنصره بالأمس يستصرخه» يستغيث به على قبطيٍّ آخر «قال له موسى إنك لغوي مبين» بيّن الغواية لما فعلته بالأمس واليوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21979','chapter_id' => '28','chapter_detail_id' => '3271','translator_id' => '4','verse_number' => '19','translate_name' => '«فلما أن» زائدة «أراد أن يبطش بالذي هو عدو لهما» لموسى والمستغيث به «قال» المستغيث ظاناً أنه يبطش به لما قال له «يا موسى أتريد أن تقتلني كما قتلت نفساً بالأمس إن» ما «تريد إلا أن تكون جباراً في الأرض وما تريد أن تكون من المصلحين» فسمع القبطي ذلك فعلم أن القاتل موسى فانطلق إلى فرعون فأخبره بذلك فأمر فرعون الذباحين بقتل موسى فأخذوا في الطريق إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21980','chapter_id' => '28','chapter_detail_id' => '3272','translator_id' => '4','verse_number' => '20','translate_name' => '«وجاء رجل» هو مؤمن آل فرعون «من أقصا المدينة» آخرها «يسعى» يسرع في مشيه من طريق أقرب من طريقهم «قال يا موسى إن الملأَ» من قوم فرعون «يأتمرون بك» يتشاورون فيك «ليقتلوك فاخرج» من المدينة «إني لك من الناصحين» في الأمر بالخروج.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21981','chapter_id' => '28','chapter_detail_id' => '3273','translator_id' => '4','verse_number' => '21','translate_name' => '«فخرج منها خائفاً يترقب» لحوق طالب أو غوث الله إياه «قال رب نجني من القوم الظالمين» قوم فرعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21982','chapter_id' => '28','chapter_detail_id' => '3274','translator_id' => '4','verse_number' => '22','translate_name' => '«ولما توجه» قصد بوجهه «تلقاء مدين» جهتها وهي قرية شعيب مسيرة ثمانية أيام من مصر سميت بمدين بن إبراهيم ولم يكن يعرف طريقها «قال عسى ربي أن يهديني سواء السبيل» أي قصد الطريق الوسط إليها فأرسل الله ملكاً بيده عنزة فانطلق به إليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21983','chapter_id' => '28','chapter_detail_id' => '3275','translator_id' => '4','verse_number' => '23','translate_name' => '«ولما ورد ماء مدين» بئر فيها أي وصل إليها «وجد عليه أُمَّة» جماعة «من الناس يسقون» مواشيهم «ووجد من دونهم» سواهم «امرأتين تذودان» تمنعان أغنامهما عن الماء «قال» موسى لهما «ما خطبكما» ما شأنكما لا تسقيان «قالتا لا نسقي حتى يصدر الرعاء» جمع راع أي يرجعون من سقيهم خوف الزحام فنسقي وفي قراءة يصدر من الرباعي أي يصرفوا مواشيهم عن الماء «وأبونا شيخ كبير» لا يقدر أن يسقي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21984','chapter_id' => '28','chapter_detail_id' => '3276','translator_id' => '4','verse_number' => '24','translate_name' => '«فسقى لهما» من بئر أخرى بقربهما رفع حجراً عنها لا يرفعه إلا عشرة أنفس «ثم تولى» انصرف «إلى الظل» لسمرة من شدة حر الشمس وهو جائع «فقال رب إني لما أنزلت إليَّ من خير» طعام «فقيرٌ» محتاج فرجعتا إلى أبيهما في زمن أقل مما كانتا ترجعان فيه فسألهما عن ذلك فأخبرتاه بمن سقي لهما فقال لإحداهما: ادعيه لي، قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21985','chapter_id' => '28','chapter_detail_id' => '3277','translator_id' => '4','verse_number' => '25','translate_name' => '«فجاءته إحداهما تمشي على استحياء» أي واضعة كُمَّ درعها على وجهها حياء منه «قالت إن أبي يدعوك ليجزيك أجر ما سقيت لنا» فأجابها منكراً في نفسه أخذ الأجرة كأنها قصدت المكافأة إن كان ممن يريدها فمشت بين يديه فجعلت الريح تضرب ثوبها فتكشف ساقيها فقال لها: امشي خلفي ودليني على الطريق ففعلت إلى أن جاء أباها وهو شعيب عليه السلام وعنده عشاء فقال: اجلس فتعش قال: أخاف أن يكون عوضاً مما سقيت لهما وإنا أهل بيت لا نطلب على عمل خير عوضاً قال: لا، عادتي وعادة آبائي نقري الضيف ونطعم الطعام فأكل وأخبره بحاله قال تعالي «فلما جاءه وقص عليه القصص» مصدر بمعنى المقصوص من قتله القبطي وقصدهم قتله وخوفه من فرعون «قال لا تخف نجوت من القوم الظالمين» إذ لا سلطان لفرعون على مدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21986','chapter_id' => '28','chapter_detail_id' => '3278','translator_id' => '4','verse_number' => '26','translate_name' => '«قالت إحداهما» وهي المرسَلة الكبرى أو الصغرى «يا أبت استأجره» اتخذه أجيراً يرعى غنمنا بدلنا «إن خير من استأجرت القوي الأمين» أي استأجره لقوته وأمانته فسألها عنه فأخبرته بما تقدم من رفعه حجر البئر ومن قوله لها: إمشي خلفي وزيادة أنها لما جاءته وعلم بها صوب رأسه فلم يرفعه فرغب في إنكاحه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21987','chapter_id' => '28','chapter_detail_id' => '3279','translator_id' => '4','verse_number' => '27','translate_name' => '«قال إني أريد أن أُنكحك إحدى ابنتيَّ هاتين» وهي الكبرى أو الصغرى «على أن تأجرني» تكون أجيراً لي في رعي غنمي «ثماني حجج» أي سنين «فإن أتممت عشراً» أي رعي عشر سنين «فمن عندك» التمام «وما أريد أن أشق عليك» باشتراط العشر «ستجدني إن شاء الله» للتبرك «من الصالحين» الوافين بالعهد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21988','chapter_id' => '28','chapter_detail_id' => '3280','translator_id' => '4','verse_number' => '28','translate_name' => '«قال» موسى «ذلك» الذي قلته «بيني وبينك أيما الأجلين» الثماني أو العشر وما زائدة أي رعيه «قضيت» به أي فرغت منه «فلا عدوان عليَّ» بطلب الزيادة عليه «والله على ما نقول» أنا وأنت «وكيل» حفيظ أو شهيد فتم العقد بذلك وأمر شعيب ابنته أن تعطي موسى عصا يدفع بها السباع عن غنمه وكانت عصيُّ الأنبياء عنده فوقع في يدها عصا آدم من آس الجنة فأخذها موسى بعلم شعيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21989','chapter_id' => '28','chapter_detail_id' => '3281','translator_id' => '4','verse_number' => '29','translate_name' => '«فلما قضى موسى الأجل» أي رعيه وهو ثمان أو عشر سنين وهو المظنون به «وسار بأهله» زوجته بإذن أبيها نحو مصر «آنس» أبصر من بعيد «من جانب الطور» اسم جبل «ناراً قال لأهله امكثوا» هنا «إني آنست ناراً لعلي آتيكم منها بخبر» عن الطريق وكان قد أخطئها «أو جذوة» بتثليث الجيم قطعة وشعلة «من النار لعلكم تصطلون» تستدفئون والطاء بدل من تاء الافتعال من صلي بالنار بكسر اللام وفتحها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21990','chapter_id' => '28','chapter_detail_id' => '3282','translator_id' => '4','verse_number' => '30','translate_name' => '«فلما أتاها نودي من شاطئ» جانب «الواد الأيمن» لموسى «في البقعة المباركة» لموسى لسماعه كلام الله فيها «من الشجرة» بدل من شاطئ بإعادة الجار لنباتها فيه وهي شجرة عناب أو عليق أو عوسج «أن» مفسرة لا مخففة «يا موسى إني أنا الله رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21991','chapter_id' => '28','chapter_detail_id' => '3283','translator_id' => '4','verse_number' => '31','translate_name' => '«وأن ألق عصاك» فألقاها «فلما رآها تهتز» تتحرك «كأنها جان» وهي الحية الصغيرة من سرعة حركتها «ولَّى مدبرا» هاربا منها «ولم يعقب» أي يرجع فنودي «يا موسى أقبل ولا تخف إنك من الآمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21992','chapter_id' => '28','chapter_detail_id' => '3284','translator_id' => '4','verse_number' => '32','translate_name' => '«اسلك» أدخل «يدك» اليمنى بمعنى الكف «في جيبك» هو طوق القميص وأخرجها «تخرج» خلاف ما كانت عليه من الأدمة «بيضاء من غير سوء» أي برص فأدخلها وأخرجها تضيء كشعاع الشمس تغشى البصر «واضمم إليك جناحك من الرَّهَب» بفتح الحرفين وسكون الثاني مع فتح الأول وضمه أي الخوف الحاصل من إضاءة اليد بأن تدخلها في جيبك فتعود إلى حالتها الأولى وعبر عنها بالجناح لأنها للإنسان كالجناح للطائر «فَذَانِّكَ» بالتشديد والتخفيف أي العصا واليد وهما مؤنثان وإنما ذكر المشار به إليهما المبتدأ لتذكير خبره «برهانان» مرسلان «من ربك إلي فرعون وملئه إنهم كانوا قوماً فاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21993','chapter_id' => '28','chapter_detail_id' => '3285','translator_id' => '4','verse_number' => '33','translate_name' => '«قال رب إني قتلت منهم نفساً» هو القبطي السابق «فأخاف أن يقتلون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21994','chapter_id' => '28','chapter_detail_id' => '3286','translator_id' => '4','verse_number' => '34','translate_name' => '«وأخي هارون هو أفصح مني لسانا» أبين «فأرسله معي ردْءا» معينا وفي قراءة بفتح الدال بلا همزة «يصدقْني» بالجزم جواب الدعاء وفي قراءة بالرفع وجملته صفة ردءاً «إني أخاف أن يكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21995','chapter_id' => '28','chapter_detail_id' => '3287','translator_id' => '4','verse_number' => '35','translate_name' => '«قال سنشد عضدك» نقويك «بأخيك ونجعل لكما سلطاناً» غلبة «فلا يصلون إليكما» بسوء، اذهبا «بآياتنا أنتما ومن اتبعكما الغالبون» لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21996','chapter_id' => '28','chapter_detail_id' => '3288','translator_id' => '4','verse_number' => '36','translate_name' => '«فلما جاءهم موسى بآياتنا بينات» واضحات حال «قالوا ما هذا إلا سحر مفترى» مختلق «وما سمعنا بهذا» كائنا «في» أيام «آبائنا الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21997','chapter_id' => '28','chapter_detail_id' => '3289','translator_id' => '4','verse_number' => '37','translate_name' => '«وقال» بواو وبدونها «موسى ربي أعلم» عالم «بمن جاء بالهدى من عنده» الضمير للرب «ومن» عطف على من قبلها «تكون» بالفوقانية والتحتانية «له عاقبة الدار» أي العاقبة المحمودة في الدار الآخرة أي هو أنا في الشقين فأنا محق فيما جئت به «إنه لا يفلح الظالمون» الكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21998','chapter_id' => '28','chapter_detail_id' => '3290','translator_id' => '4','verse_number' => '38','translate_name' => '«وقال فرعون يا أيها الملأ ما علمت لكم من إله غيري فأوقد لي يا هامان على الطين» فاطبخ لي الآجر «فاجعل لي صرحا» قصرا عاليا «لعلى أطلع إلى إله موسى» أنظر إليه وأقف عليه «وإني لأظنه من الكاذبين» في ادعائه إلها آخر وأنه رسوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '21999','chapter_id' => '28','chapter_detail_id' => '3291','translator_id' => '4','verse_number' => '39','translate_name' => '«واستكبر هو وجنوده في الأرض» أرض مصر «بغير الحق وظنوا أنهم إلينا لا يرَجِعون» بالبناء للفاعل وللمفعول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22000','chapter_id' => '28','chapter_detail_id' => '3292','translator_id' => '4','verse_number' => '40','translate_name' => '«فأخذناه وجنوده فنبذناهم» طرحناهم «في اليم» البحر المالح فغرقوا «فانظر كيف كان عاقبة الظالمين» حين صاروا إلى الهلاك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22001','chapter_id' => '28','chapter_detail_id' => '3293','translator_id' => '4','verse_number' => '41','translate_name' => '«وجعلناهم» في الدنيا «أئمة» بتحقيق الهمزتين وإبدال الثانية ياء رؤساء في الشرك «يدعون إلى النار» بدعائهم إلى الشرك «ويوم القيامة لا يُنصرون» بدفع العذاب عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22002','chapter_id' => '28','chapter_detail_id' => '3294','translator_id' => '4','verse_number' => '42','translate_name' => '«وأتبعناهم في هذه الدنيا لعنة» خزياً «ويوم القيامة هم من المقبوحين» المبعدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22003','chapter_id' => '28','chapter_detail_id' => '3295','translator_id' => '4','verse_number' => '43','translate_name' => '«ولقد آتينا موسى الكتاب» التوراة «من بعد ما أهلكنا القرون الأولى» قوم نوح وعاد وثمود وغيرهم «بصائر للناس» حال من الكتاب جمع بصيرة وهي نور القلب أي أنوارا للقلوب «وهدى» من الضلالة لمن عمل به «ورحمةً» لمن آمن به «لعلهم يتذكرون» يتعظون بما فيه من المواعظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22004','chapter_id' => '28','chapter_detail_id' => '3296','translator_id' => '4','verse_number' => '44','translate_name' => '«وما كنت» يا محمد «بجانب» الجبل أو الوادي أو المكان «الغربي» من موسى حين المناجاة «إذ قضينا» أوحينا «إلى موسى الأمر» بالرسالة إلى فرعون وقومه «وما كنت من الشاهدين» لذلك فتعلمه فتخبر به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22005','chapter_id' => '28','chapter_detail_id' => '3297','translator_id' => '4','verse_number' => '45','translate_name' => '«ولكنا أنشأنا قرونا» أمما من بعد موسى «فتطاول عليهم العمر» طالت أعمارهم فنسوا العهود واندرست العلوم وانقطع الوحي فجئنا بك رسولا وأوحينا إليك خبر موسى وغيره «وما كنت ثاويا» مقيما «في أهل مدين تتلو عليهم آياتنا» خبر ثان فتعرف قصتهم فتخبر بها «ولكنا كنا مرسلين» لك وإليك بأخبار المتقدمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22006','chapter_id' => '28','chapter_detail_id' => '3298','translator_id' => '4','verse_number' => '46','translate_name' => '«وما كنت بجانب الطور» الجبل «إذ» حين «نادينا» موسى أن خذ الكتاب بقوة «ولكن» أرسلناك «رحمة من ربك لتنذر قوماً ما أتاهم من نذير من قبلك» وهم أهل مكة «لعلهم يتذكرون» يتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22007','chapter_id' => '28','chapter_detail_id' => '3299','translator_id' => '4','verse_number' => '47','translate_name' => '«ولولا أن تصيبهم مصيبة» عقوبة «بما قدمت أيديهم» من الكفر وغيره «فيقولوا ربنا لولا» هلا «أرسلت إلينا رسولا فنتبع آياتك» المرسل بها «ونكون من المؤمنين» وجواب لولا محذوف وما بعده مبتدأ، والمعنى لولا الإصابة المسبب عنها قولهم أو لولا قولهم المسبب عنها لعاجلناهم بالعقوبة ولما أرسلناك إليهم رسولا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22008','chapter_id' => '28','chapter_detail_id' => '3300','translator_id' => '4','verse_number' => '48','translate_name' => '«فلما جاءهم الحق» محمد «من عندنا قالوا لولا» هلا «أوتي مثل ما أوتي موسى» من الآيات كاليد البيضاء والعصا وغيرهما أو الكتاب جملة واحدة قال تعالى «أوَ لم يكفروا بما أوتيَ موسى من قبل» حيث «قالوا» فيه وفي محمد «ساحران» وفي قراءة سحران أي القرآن والتوراة «تظاهراً» تعاوناً «وقالوا إنا بكل» من النبيين والكتابين «كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22009','chapter_id' => '28','chapter_detail_id' => '3301','translator_id' => '4','verse_number' => '49','translate_name' => '«قل» لهم «فأتوا بكتاب من عند الله هو أهدى منهما» من الكتابين «أتَّبعه إن كنتم صادقين» في قولكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22010','chapter_id' => '28','chapter_detail_id' => '3302','translator_id' => '4','verse_number' => '50','translate_name' => '«فإن لم يستجيبوا لك» دعاءك بالإتيان بكتاب «فاعلم أنما يتبعون أهواءهم» في كفرهم «ومن أضل ممن اتبع هواه بغير هدىً من الله» أي لا أضل منه «إن الله لا يهدي القوم الظالمين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22011','chapter_id' => '28','chapter_detail_id' => '3303','translator_id' => '4','verse_number' => '51','translate_name' => '«ولقد وصَّلنا» بينا «لهم القول» القرآن «لعلهم يتذكرون» يتعظون فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22012','chapter_id' => '28','chapter_detail_id' => '3304','translator_id' => '4','verse_number' => '52','translate_name' => '«الذين آتيناهم الكتاب من قبله» أي القرآن «هم به يؤمنون» أيضا نزلت في جماعة أسلموا من اليهود كعبد الله بن سلام وغيره ومن النصارى قدموا من الحبشة ومن الشام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22013','chapter_id' => '28','chapter_detail_id' => '3305','translator_id' => '4','verse_number' => '53','translate_name' => '«وإذا يتلى عليهم» القرآن «قالوا آمنا به إنه الحق من ربنا إنا كنا من قبله مسلمين» موحدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22014','chapter_id' => '28','chapter_detail_id' => '3306','translator_id' => '4','verse_number' => '54','translate_name' => '«أولئك يؤتون أجرهم مرتين» بإيمانهم بالكتابين «بما صبروا» بصبرهم على العمل بهما «ويدرؤون» يدفعون «بالحسنة السيئة» منهم «ومما رزقناهم ينفقون» يتصدقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22015','chapter_id' => '28','chapter_detail_id' => '3307','translator_id' => '4','verse_number' => '55','translate_name' => '«وإذا سمعوا اللغو» الشتم والأذى من الكفار «أعرضوا عنه وقالوا لنا أعمالنا ولكم أعمالكم سلام عليكم» سلام متاركة أي سلمتم منا من الشتم وغيره «لا نبتغي الجاهلين» لا نصحبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22016','chapter_id' => '28','chapter_detail_id' => '3308','translator_id' => '4','verse_number' => '56','translate_name' => 'ونزل في حرصه صلى الله عليه وسلم على إيمان عمه أبي طالب «إنك لا تهدي من أحببت» هدايته «ولكن الله يهدي من يشاء وهو أعلم» عالم «بالمهتدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22017','chapter_id' => '28','chapter_detail_id' => '3309','translator_id' => '4','verse_number' => '57','translate_name' => '«وقالوا» قومه «إن نتبع الهدى معك نتخطف من أرضنا» ننتزع منها بسرعة قال تعالى «أَو لمْ نمكن لهم حرما آمنا» يأمنون فيه من الإغارة والقتل الواقعين من بعض العرب على بعض «تجبى» بالفوقانية والتحتانية «إليه ثمرات كل شيء» من كل أوب «رزقا» لهم «من لدنا» عندنا «ولكن أكثرهم لا يعلمون» أن ما نقوله حق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22018','chapter_id' => '28','chapter_detail_id' => '3310','translator_id' => '4','verse_number' => '58','translate_name' => '«وكم أهلكنا من قرية بطرت معيشتها» عيشها وأريد بالقرية أهلها «فتلك مساكنهم لم تسكن من بعدهم إلا قليلا» للمارة يوماً أو بعضه «وكنا نحن الوارثين» منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22019','chapter_id' => '28','chapter_detail_id' => '3311','translator_id' => '4','verse_number' => '59','translate_name' => '«وما كان ربك مهلك القرى» بظلم منها «حتى يبعث في أمها» أي أعظمها «رسولا يتلوا عليهم آياتنا وما كنا مهلكي القرى إلا وأهلها ظالمون» بتكذيب الرسل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22020','chapter_id' => '28','chapter_detail_id' => '3312','translator_id' => '4','verse_number' => '60','translate_name' => '«وما أوتيتم من شيء فمتاع الحياة الدنيا وزينتها» تتمتعون وتتزينون به أيام حياتكم ثم يفنى «وما عند الله» أي ثوابه «خير وأبقى أفلا تعقلون» بالتاء والياء أن الباقي خير من الفاني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22021','chapter_id' => '28','chapter_detail_id' => '3313','translator_id' => '4','verse_number' => '61','translate_name' => '«أَفمن وعدناه وعداً حسناً فهو لاقيه» وهو مصيبه وهو الجنة «كمن متعناه متاع الحياة الدنيا» فيزول عن قريب «ثم هو يوم القيامة من المحضرين» النار. الأول المؤمن، والثاني الكافر، أي لا تساوي بينهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22022','chapter_id' => '28','chapter_detail_id' => '3314','translator_id' => '4','verse_number' => '62','translate_name' => '«و» اذكر «يوم يناديهم» الله «فيقول أين شركائيَ الذين كنتم تزعمونـ» ـهم شركائي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22023','chapter_id' => '28','chapter_detail_id' => '3315','translator_id' => '4','verse_number' => '63','translate_name' => '«قال الذين حق عليهم القول» بدخول النار وهم رؤساء الضلالة «ربنا هؤلاء الذين أغوينا» هم مبتدأ وصفة «أغويناهم» خبره فغووا «كما غوينا» لم نكرههم على الغيّ «تبرأنا إليك» منهم «ما كانوا إيانا يعبدون» ما نافية وقدم المفعول للفاصلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22024','chapter_id' => '28','chapter_detail_id' => '3316','translator_id' => '4','verse_number' => '64','translate_name' => '«وقيل ادعوا شركاءكم» أي الأصنام الذين تزعمون أنهم شركاء الله «فدعوْهم فلم يستجيبوا لهم» دعاءهم «ورأوا العذاب» أبصروه «لو أنهم كانوا يهتدون» في الدنيا لما رأوه في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22025','chapter_id' => '28','chapter_detail_id' => '3317','translator_id' => '4','verse_number' => '65','translate_name' => '«و» اذكر «يوم يناديهم فيقول ماذا أجبتم المرسلين» إليكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22026','chapter_id' => '28','chapter_detail_id' => '3318','translator_id' => '4','verse_number' => '66','translate_name' => '«فعميت عليهم الأنباء» الأخبار المنجية في الجواب «يومئذ» لم يجدوا خبراً لهم فيه نجاة «فهم لا يتساءلون» عنه فيسكتون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22027','chapter_id' => '28','chapter_detail_id' => '3319','translator_id' => '4','verse_number' => '67','translate_name' => '«فأما من تاب» من الشرك «وآمن» صدق بتوحيد الله «وعمل صالحاً» أدى الفرائض «فعسى أن يكون من المفلحين» الناجين بوعد الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22028','chapter_id' => '28','chapter_detail_id' => '3320','translator_id' => '4','verse_number' => '68','translate_name' => '«وربك يخلق ما يشاء ويختار» ما يشاء «ما كان لهم» للمشركين «الخيرة» الاختيار في شيء «سبحان الله وتعالى عما يشركون» عن إشراكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22029','chapter_id' => '28','chapter_detail_id' => '3321','translator_id' => '4','verse_number' => '69','translate_name' => '«وربك يعلم ما تكن صدورهم» تُسِرُّ قلوبهم من الكفر وغيره. «وما يعلنون» بألسنتهم من ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22030','chapter_id' => '28','chapter_detail_id' => '3322','translator_id' => '4','verse_number' => '70','translate_name' => '«وهو الله لا إله إلا هو له الحمد في الأولى» الدنيا «والآخرة» الجنة «وله الحكم» القضاء النافذ في كل شيء «وإليه ترجعون» بالنشور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22031','chapter_id' => '28','chapter_detail_id' => '3323','translator_id' => '4','verse_number' => '71','translate_name' => '«قل» لأهل مكة «أرأيتم» أي أخبروني «إن جعل الله عليكم الليل سرمداً» دائماً «إلى يوم القيامة من إله غير الله» بزعمكم «يأتيكم بضياءٍ» نهار تطلبون فيه المعيشة «أفلا تسمعون» ذلك سماع تفهم فترجعون عن الإشراك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22032','chapter_id' => '28','chapter_detail_id' => '3324','translator_id' => '4','verse_number' => '72','translate_name' => '«قل» لهم «أرأيتم إن جعل الله عليكم النهار سرمداً إلى يوم القيامة من إله غير الله» بزعمكم «يأتيكم بليل تسكنون» تستريحون «فيه» من التعب «أفلا تبصرون» ما أنتم عليه من الخطأ في الإشراك فترجعون عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22033','chapter_id' => '28','chapter_detail_id' => '3325','translator_id' => '4','verse_number' => '73','translate_name' => '«ومن رحمته» تعالى «جعل لكم الليل والنهار لتسكنوا فيه» في الليل «ولتبتغوا من فضله» في النهار للكسب «ولعلكم تشكرون» النعمة فيهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22034','chapter_id' => '28','chapter_detail_id' => '3326','translator_id' => '4','verse_number' => '74','translate_name' => '«و» اذكر «يوم يناديهم فيقول أين شركائيَ الذين كنتم تزعمون» ذكر ثانياً ليبنى عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22035','chapter_id' => '28','chapter_detail_id' => '3327','translator_id' => '4','verse_number' => '75','translate_name' => '«ونزعنا» أخرجنا «من كل أمة شهيداً» وهو نبيهم يشهد عليهم بما قالوا «فقلنا» لهم «هاتوا برهانكم» على ما قلتم من الإشراك «فعلموا أن الحق» في الإلهية «لله» لا يشاركه فيه أحد «وضل» غاب «عنهم ما كانوا يفترون» في الدنيا من أن معه شريكاً تعالى عن ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22036','chapter_id' => '28','chapter_detail_id' => '3328','translator_id' => '4','verse_number' => '76','translate_name' => '«إن قارون كان من قوم موسى» ابن عمه وابن خالته وآمن به «فبغى عليهم» بالكبر والعلو وكثرة المال «وآتيناه من الكنوز ما إن مفاتحه لتنوء» تثقل «بالعصبة» الجماعة «أولي» أصحاب «القوة» أي تثقلهم فالباء للتعدية وعدتهم قيل سبعون وقيل أربعون وقيل عشرة وقيل غير ذلك، اذكر «إذ قال له قومه» المؤمنون من بني إسرائيل «لا تفرح» بكثرة المال فرح بطر «إن الله لا يحب الفرحين» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22037','chapter_id' => '28','chapter_detail_id' => '3329','translator_id' => '4','verse_number' => '77','translate_name' => '«وابتغ» اطلب «فيما آتاك الله» من المال «الدار الآخرة» بأن تنفقه في طاعة الله «ولا تنس» تترك «نصيبك من الدنيا» أي أن تعمل فيها للآخرة «وأحسن» للناس بالصدقة «كما أحسن الله إليك ولا تبغ» تطلب «الفساد في الأرض» بعمل المعاصي «إن الله لا يحب المفسدين» بمعنى أنه يعاقبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22038','chapter_id' => '28','chapter_detail_id' => '3330','translator_id' => '4','verse_number' => '78','translate_name' => '«قال إنما أوتيته» أي المال «على علم عندي» أي في مقابلته وكان أعلم بني إسرائيل بالتوراة بعد موسى وهارون قال تعالى «أوَلم يعلم أن الله قد أهلك من قبله من القرون» الأمم «من هو أشد منه قوةً وأكثر جمعا» للمال: أي هو عالم بذلك ويهلكهم الله «ولا يُسأل عن ذنوبهم المجرمون» لعلمه تعالى بها فيدخلون النار بلا حساب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22039','chapter_id' => '28','chapter_detail_id' => '3331','translator_id' => '4','verse_number' => '79','translate_name' => '«فخرج» قارون «على قومه في زينته» بأتباعه الكثيرين ركبانا متحلين بملابس الذهب والحرير على خيول وبغال متحلية «قال الذين يريدون الحياة الدنيا يا» للتنبيه «ليت لنا مثل ما أوتي قارون» في الدنيا «إنه لذو حظ» نصيب «عظيم» واف فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22040','chapter_id' => '28','chapter_detail_id' => '3332','translator_id' => '4','verse_number' => '80','translate_name' => '«وقال» لهم «الذين أوتوا العلم» بما وعد الله في الآخرة «ويلكم» كلمة زجر «ثواب الله» في الآخرة بالجنة «خير لمن آمن وعمل صالحاً» مما أوتي قارون في الدنيا «ولا يلقاها» أي الجنة المثاب بها «إلا الصابرون» على الطاعة وعن المعصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22041','chapter_id' => '28','chapter_detail_id' => '3333','translator_id' => '4','verse_number' => '81','translate_name' => '«فخسفنا به» بقارون «وبداره الأرض فما كان له من فئة ينصرونه من دون الله» أي غيره بأن يمنعوا عنه الهلاك «وما كان من المنتصرين» منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22042','chapter_id' => '28','chapter_detail_id' => '3334','translator_id' => '4','verse_number' => '82','translate_name' => '«وأصبح الذين تمنوا مكانه بالأمس» أي من قريب «يقولون ويكأن الله يبسط» يوسع «الرزق لمن يشاء من عباده ويقدر» يضيق على ما يشاء و "وي" اسم فعل بمعنى: أعجب، أي أنا والكاف بمعنى اللام «لولا أن من الله علينا لخسف بنا» بالبناء للفاعل والمفعول «ويكأنه لا يفلح الكافرون» لنعمة الله كقارون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22043','chapter_id' => '28','chapter_detail_id' => '3335','translator_id' => '4','verse_number' => '83','translate_name' => '«تلك الدار الآخرة» أي الجنة «نجعلها للذين لا يريدون علوّا في الأرض» بالبغي «ولا فسادا» بعمل المعاصي «والعاقبة» المحمودة «للمتقين» عقاب الله، بعمل الطاعات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22044','chapter_id' => '28','chapter_detail_id' => '3336','translator_id' => '4','verse_number' => '84','translate_name' => '«من جاء بالحسنة فله خير منها» ثواب بسببها وهو عشر أمثالها «ومن جاء بالسيئة فلا يجزى الذين عملوا السيئات إلا» جزاء «ما كانوا يعملون» أي: مثله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22045','chapter_id' => '28','chapter_detail_id' => '3337','translator_id' => '4','verse_number' => '85','translate_name' => '«إن الذي فرض عليك القرآن» أنزله «لرادّك إلى معاد» إلى مكة وكان قد اشتاقها «قل ربي أعلم من جاء بالهدى، ومن هو في ضلال مبين» نزل جواباً لقول كفار مكة له: إنك في ضلال، أي فهو الجائي بالهدى، وهم في ضلال وأعلم بمعنى عالم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22046','chapter_id' => '28','chapter_detail_id' => '3338','translator_id' => '4','verse_number' => '86','translate_name' => '«وما كنت ترجو أن يلقى إليك الكتاب» القرآن «إلا» لكن ألقي إليك «رحمة من ربِّك فلا تكوننَّ ظهيراً» معيناً «للكافرين» على دينهم الذي دعوك إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22047','chapter_id' => '28','chapter_detail_id' => '3339','translator_id' => '4','verse_number' => '87','translate_name' => '«ولا يصدنَّك» أصله يصدوننك حذفت نون الرفع للجازم، وواو للفاعل لالتقائها مع النون الساكنة «عن آيات الله بعد إذ أنزلت إليك» أي لا ترجع إليهم في ذلك «وادع» الناس «إلى ربك» بتوحيده وعبادته «ولا تكونن من المشركين» بإعانتهم ولم يؤثر الجازم في الفعل لبنائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22048','chapter_id' => '28','chapter_detail_id' => '3340','translator_id' => '4','verse_number' => '88','translate_name' => '«ولا تدعُ» تعبد «مع الله إلها آخر لا إله إلا هو كل شيءٍ هالك إلا وجهه» إلا إياه «له الحكم» القضاء النافذ «وإليه ترجعون» بالنشور من قبوركم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22049','chapter_id' => '29','chapter_detail_id' => '3341','translator_id' => '4','verse_number' => '1','translate_name' => '«الم» الله أعلم بمراده بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22050','chapter_id' => '29','chapter_detail_id' => '3342','translator_id' => '4','verse_number' => '2','translate_name' => '«أحسب الناس أن يتركوا أن يقولوا» أي: بقولهم «آمنا وهم لا يفتنون» يختبرون بما يتبين به حقيقة إيمانهم، نزل في جماعة آمنوا فآذاهم المشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22051','chapter_id' => '29','chapter_detail_id' => '3343','translator_id' => '4','verse_number' => '3','translate_name' => '«ولقد فتنَّا الذين من قبلهم فليعلمن الله الذين صدقوا» في إيمانهم علم مشاهدة «وليعلمنَّ الكاذبين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22052','chapter_id' => '29','chapter_detail_id' => '3344','translator_id' => '4','verse_number' => '4','translate_name' => '«أم حسب الذين يعملون السيئات» الشرك والمعاصي «أن يسبقونا» يفوتونا فلا ننتقم منهم «ساء» بئس «ما» الذي «يحكمونـ» ـه حكمهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22053','chapter_id' => '29','chapter_detail_id' => '3345','translator_id' => '4','verse_number' => '5','translate_name' => '«من كان يرجو» يخاف «لقاء الله فإن أجل الله» به «لآتٍ» فليستعد له «وهو السميع» لأقوال العباد «العليم» بأفعالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22054','chapter_id' => '29','chapter_detail_id' => '3346','translator_id' => '4','verse_number' => '6','translate_name' => '«ومن جاهد» جهاد حرب أو نفس «فإنما يجاهد لنفسه» فإن منفعة جهاده له لا لله «إن الله لغني عن العالمين» الإنس والجن والملائكة وعن عبادتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22055','chapter_id' => '29','chapter_detail_id' => '3347','translator_id' => '4','verse_number' => '7','translate_name' => '«والذين آمنوا وعملوا الصالحات لنكفرن عنهم سيئاتهم» بعمل الصالحات «ولنجزينهم أحسن» بمعنى: حسن ونصبه بنزع الخافض الباء «الذي كانوا يعملون» وهو الصالحات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22056','chapter_id' => '29','chapter_detail_id' => '3348','translator_id' => '4','verse_number' => '8','translate_name' => '«ووصينا الإنسان بوالديه حسناً» أي إيصاء ذات حسن بأن يبرهما «وإن جاهداك لتشرك بي ما ليس لك به» بإشراكه «علم» موافقة للواقع فلا مفهوم له «فلا تطعهما» في الإشراك «إليَّ مرجعكم فأنبئكم بما كنتم تعملون» فأجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22057','chapter_id' => '29','chapter_detail_id' => '3349','translator_id' => '4','verse_number' => '9','translate_name' => '«والذين آمنوا وعملوا الصالحات لندخلنهم في الصالحين» الأنبياء والأولياء بأن نحشرهم معهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22058','chapter_id' => '29','chapter_detail_id' => '3350','translator_id' => '4','verse_number' => '10','translate_name' => '«ومن الناس من يقول آمنا بالله فإذا أوذي في الله جعل فتنة الناس» أي أذاهم له «كعذاب الله» في الخوف منه فيطيعهم فينافق «ولئن» لام قسم «جاء نصرٌ» للمؤمنين «من ربك» فغنموا «ليقولنَّ» حذفت منه نون الرفع لتوالي النونات والواو ضمير الجمع لالتقاء الساكنين «إنا كنا معكم» في الإيمان فأشركونا في الغنيمة قال تعالى: «أوَ ليس الله بأعلم» أي بعالم «بما في صدور العالمين» بقلوبهم من الإيمان والنفاق؟ بلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22059','chapter_id' => '29','chapter_detail_id' => '3351','translator_id' => '4','verse_number' => '11','translate_name' => '«وليعلمنَّ الله الذين آمنوا» بقلوبهم «وليعلمنَّ المنافقين» فيجازي الفريقين واللام في الفعلين لام قسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22060','chapter_id' => '29','chapter_detail_id' => '3352','translator_id' => '4','verse_number' => '12','translate_name' => '«وقال الذين كفروا للذين آمنوا اتبعوا سبيلنا» ديننا «ولنحمل خطاياكم» في اتباعنا إن كانت والأمر بمعنى الخبر، قال تعالى: «وما هم بحاملين من خطاياهم من شيءٍ إنهم لكاذبون» في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22061','chapter_id' => '29','chapter_detail_id' => '3353','translator_id' => '4','verse_number' => '13','translate_name' => '(وليحملن أثقالهم) أوزارهم (وأثقالاً مع أثقالهم) بقولهم للمؤمنين "اتبعوا سبيلنا" وإضلالهم مقلديهم (وليسألن يوم القيامة عما كانوا يفترون) يكذبون على الله سؤال توبيخ واللام في الفعلين لام قسم، وحذف فاعلهما الواو ونون الرفع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22062','chapter_id' => '29','chapter_detail_id' => '3354','translator_id' => '4','verse_number' => '14','translate_name' => '«ولقد أرسلنا نوحاً إلى قومه» وعمره أربعون سنة أو أكثر «فلبس فيهم ألف سنة إلا خمسين عاماً» يدعوهم إلى توحيد الله فكذبوه «فأخذهم الطوفان» أي الماء الكثير طاف بهم وعلاهم فغرقوا «وهم ظالمون» مشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22063','chapter_id' => '29','chapter_detail_id' => '3355','translator_id' => '4','verse_number' => '15','translate_name' => '«فأنجيناه» أي نوحا «وأصحاب السفينة» الذين كانوا معه فيها «وجعلناها آية» عبرة «للعالمين» لمن بعدهم من الناس إن عصوا رسلهم وعاش نوح بعد الطوفان ستين سنة أو أكثر حتى كثر الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22064','chapter_id' => '29','chapter_detail_id' => '3356','translator_id' => '4','verse_number' => '16','translate_name' => '«و» اذكر «إبراهيم إذ قال لقومه اعبدوا الله واتقوه» خافوا عقابه «ذلكم خير لكم» مما أنتم عليه من عبادة الأصنام «إن كنتم تعلمون» الخير من غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22065','chapter_id' => '29','chapter_detail_id' => '3357','translator_id' => '4','verse_number' => '17','translate_name' => '«إنما تعبدون من دون الله» أي غيره «أوثاناً وتخلقون إفكا» تقولون كذباً إن الأوثان شركاء الله «إن الذين تعبدون من دون الله لا يملكون لكم رزقا» لا يقدرون أن يرزقوكم «فابتغوا عند الله الرزق» اطلبوه منه «واعبدوه واشكروا له إليه ترجعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22066','chapter_id' => '29','chapter_detail_id' => '3358','translator_id' => '4','verse_number' => '18','translate_name' => '«إنما تعبدون من دون الله» أي غيره «أوثانا وتخلقون إفكا» تقولون كذبا إن الأوثان شركاء الله «إن الذين تعبدون من دون الله لا يملكون لكم رزقا» لا يقدرون أن يرزقوكم «فابتغوا عند الله الرزق» اطلبوه منه «واعبدوه واشكروا له إليه ترجعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22067','chapter_id' => '29','chapter_detail_id' => '3359','translator_id' => '4','verse_number' => '19','translate_name' => '«أَو لم يروْا» بالياء والتاء ينظروا «كيف يُبدئ الله الخلق» هو بضم أوله وقرأ بفتحة من بدأ وأبدأ بمعنى أي يخلقهم ابتداءً «ثم» هو «يعيده» أي الخلق كما بدأه «إن ذلك» المذكور من الخلق الأول والثاني «على الله يسير» فكيف ينكرون الثاني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22068','chapter_id' => '29','chapter_detail_id' => '3360','translator_id' => '4','verse_number' => '20','translate_name' => '«قل سيروا في الأرض فانظروا كيف بدأ الخلق» لمن كان قبلكم وأماتهم «ثم الله ينشئ النَّشأةَ الآخرة» مداً وقصراً مع سكون الشين «إن الله على كل شيءٍ قدير» ومنه البدء والإعادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22069','chapter_id' => '29','chapter_detail_id' => '3361','translator_id' => '4','verse_number' => '21','translate_name' => '«يعذِّب من يشاء» تعذيبه «ويرحم من يشاء» رحمته «وإليه تقبلون» تردون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22070','chapter_id' => '29','chapter_detail_id' => '3362','translator_id' => '4','verse_number' => '22','translate_name' => '«وما أنتم بمعجزين» ربكم عن إدراككم «في الأرض ولا في السماء» لو كنتم فيها: أي لا تفوتونه «وما لكم من دون الله» أي غيره «من ولي» يمنعكم منه «ولا نصير» ينصركم من عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22071','chapter_id' => '29','chapter_detail_id' => '3363','translator_id' => '4','verse_number' => '23','translate_name' => '«والذين كفروا بآيات الله ولقائه» أي القرآن والبعث «أولئك يئسوا من رحمتي» أي جنتي «وأولئك لهم عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22072','chapter_id' => '29','chapter_detail_id' => '3364','translator_id' => '4','verse_number' => '24','translate_name' => 'قال تعالى في قصة إبراهيم عليه السلام: «فما كان جواب قومه إلا أن قالوا اقتلوه أو حرّقوه فأنجاه الله من النار» التي قذفوه فيها بأن جعلها برداً وسلاماً «إن في ذلك» أي إنجائه منها «لآيات» هي عدم تأثيرها فيه مع عظمها وإخمادها وإنشاء روض مكانها في زمن يسير «لقوم يؤمنون» يصدقون بتوحيد الله وقدرته لأنهم المنتفعون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22073','chapter_id' => '29','chapter_detail_id' => '3365','translator_id' => '4','verse_number' => '25','translate_name' => '«وقال» إبراهيم «إنما اتخذتم من دون الله أوثانا» تعبدونها وما مصدرية «مودةُ بينكم» خبر إن، وعلى قراءة النصب مفعول له وما كافة المعنى تواددتم على عبادتها «في الحياة الدنيا ثم يوم القيامة يكفر بعضكم ببعض» يتبرأ القادة من الأتباع «ويلعن بعضكم بعضاً» يلعن الأتباع القادة «ومأواكم» مصيركم جميعاً «النار وما لكم من ناصرين» مانعين منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22074','chapter_id' => '29','chapter_detail_id' => '3366','translator_id' => '4','verse_number' => '26','translate_name' => '«فآمن له» صدق إبراهيم «لوط» وهو ابن أخيه هاران «وقال» إبراهيم «إني مهاجر» من قومي «إلى ربي» إلى حيث أمرني ربي وهجر قومه وهاجر من سواد العراق إلى الشام «إنه هو العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22075','chapter_id' => '29','chapter_detail_id' => '3367','translator_id' => '4','verse_number' => '27','translate_name' => '«ووهبنا له» بعد إسماعيل «إسحاق ويعقوب» بعد إسحاق «وجعلنا في ذريته النبوة» فكل الأنبياء بعد إبراهيم من ذريته «والكتاب» بمعنى الكتب أي التوراة والإنجيل، والزبور والفرقان «وآتيناه أجره في الدنيا» وهو الثناء الحسن في كل أهل الأديان «وإنه في الآخرة لمن الصالحين» الذين لهم الدرجات العلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22076','chapter_id' => '29','chapter_detail_id' => '3368','translator_id' => '4','verse_number' => '28','translate_name' => '«و» اذكر «لوطاً إذ قال لقومه أإنكم» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين في الموضعين «لتأتون الفاحشة» أي: أدبار الرجال «ما سبقكم بها من أحد من العالمين» الإنس والجن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22077','chapter_id' => '29','chapter_detail_id' => '3369','translator_id' => '4','verse_number' => '29','translate_name' => '«أإنكم لتأتون الرجال وتقطعون السبيل» طريق المارة بفعلكم الفاحشة بمن يمر بكم فترك الناس الممر بكم «وتأتون في ناديكم» أي متحدَّثِكم «المنكر» فعل الفاحشة بعضكم ببعض «فما كان جواب قومه إلا أن قالوا ائتنا بعذاب الله إن كنت من الصادقين» في استقباح ذلك وأن العذاب نازل بفاعليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22078','chapter_id' => '29','chapter_detail_id' => '3370','translator_id' => '4','verse_number' => '30','translate_name' => '«قال رب انصرني» بتحقيق قولي في إنزال العذاب «على القوم المفسدين» العاصين بإتيان الرجال فاستجاب الله دعاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22079','chapter_id' => '29','chapter_detail_id' => '3371','translator_id' => '4','verse_number' => '31','translate_name' => '«ولما جاءت رسلنا إبراهيم بالبشرى» بإسحاق ويعقوب بعده «قالوا إنا مهلكوا أهل هذه القرية» أي قرية لوط «إن أهلها كانوا ظالمين» كافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22080','chapter_id' => '29','chapter_detail_id' => '3372','translator_id' => '4','verse_number' => '32','translate_name' => '«قال» إبراهيم «إن فيها لوطا قالوا» أي الرسل «نحن أعلم بمن فيها لنُنجينَّه» بالتخفيف والتشديد «وأهله إلا امرأته كانت من الغابرين» الباقين في العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22081','chapter_id' => '29','chapter_detail_id' => '3373','translator_id' => '4','verse_number' => '33','translate_name' => '«ولما أن جاءت رسلنا لوطا سيء بهم» حزن بسببهم «وضاق بهم ذرعا» صدرا لأنهم حسان الوجوه في صورة أضياف فخاف عليهم قومه فأعلموه أنهم رسل ربه «وقالوا لا تخف ولا تحزن إنا منجُّوك» بالتشديد والتخفيف «وأهلك إلا امرأتك كانت من الغابرين» ونصب أهلك عطف على محل الكاف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22082','chapter_id' => '29','chapter_detail_id' => '3374','translator_id' => '4','verse_number' => '34','translate_name' => '«إنا منزلون» بالتخفيف والتشديد «على أهل هذه القرية رجزا» عذابا «من السماء بما» بالفعل الذي «كانوا يفسقون» به أي بسبب فسقهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22083','chapter_id' => '29','chapter_detail_id' => '3375','translator_id' => '4','verse_number' => '35','translate_name' => '«ولقد تركنا منها آية بينة» ظاهرة هي آثار خرابها «لقوم يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22084','chapter_id' => '29','chapter_detail_id' => '3376','translator_id' => '4','verse_number' => '36','translate_name' => '«و» أَرسلنا «إلى مدْين أخاهم شعيبا فقال يا قوم اعبدوا الله وارجوا اليوم الآخر» اخشوه، هو يوم القيامة «ولا تعثوْا في الأرض مفسدين» حال مؤكدة لعاملها من عثي بكسر المثلثة أفسد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22085','chapter_id' => '29','chapter_detail_id' => '3377','translator_id' => '4','verse_number' => '37','translate_name' => '«فكذبوه فأخذتهم الرجفة» الزلزلة الشديدة «فأصبحوا في دارهم جاثمين» باركين على الركب ميّتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22086','chapter_id' => '29','chapter_detail_id' => '3378','translator_id' => '4','verse_number' => '38','translate_name' => '«و» أهلكنا «عادا وثمودا» بالصرف وتركه بمعنى الحي والقبيلة «وقد تبيّن لكم» إهلاكهم «من مساكنهم» بالحجر واليمن «وزيَّن لهم الشيطان أعمالهم» من الكفر والمعاصي «فصدهم عن السبيل» سبيل الحق «وكانوا مستبصرين» ذوي بصائر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22087','chapter_id' => '29','chapter_detail_id' => '3379','translator_id' => '4','verse_number' => '39','translate_name' => '«و» أهلكنا «قارون وفرعون وهامان ولقد جاءهم» من قبل «موسى بالبيّنات» الحجج الظاهرات «فاستكبروا في الأرض وما كانوا سابقين» فائتين عذابنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22088','chapter_id' => '29','chapter_detail_id' => '3380','translator_id' => '4','verse_number' => '40','translate_name' => '«فكلا» من المذكورين «أخذنا بذنبه فمنهم من أرسلنا عليه حاصبا» ريحاً عاصفة فيها حصباء كقوم لوط «ومنهم من أخذته الصيحة» كثمود «ومنهم من خسفنا به الأرض» كقارون «ومنهم من أغرقنا» كقوم نوح وفرعون وقومه «وما كان الله ليظلمهم» فيعذبهم بغير ذنب «ولكن كانوا أنفسهم يظلمون» بارتكاب الذنب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22089','chapter_id' => '29','chapter_detail_id' => '3381','translator_id' => '4','verse_number' => '41','translate_name' => '«مثل الذين اتخذوا من دون الله أولياء» أي أصناماً يرجون نفعها «كمثل العنكبوت اتخذت بيتاً» لنفسها تأوي إليه «وإن أوهن» أضعف «البيوت لبيت العنكبوت» لا يدفع عنها حراً ولا برداً كذلك الأصنام لا تنفع عابديها «لو كانوا يعلمون» ذلك ما عبدوها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22090','chapter_id' => '29','chapter_detail_id' => '3382','translator_id' => '4','verse_number' => '42','translate_name' => '«إن الله يعلم ما» بمعنى الذي «يدعون» يعبدون بالياء والتاء «من دونه» غيره «من شيء وهو العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22091','chapter_id' => '29','chapter_detail_id' => '3383','translator_id' => '4','verse_number' => '43','translate_name' => '«وتلك الأمثال» في القرآن «نضربها» نجعلها «للناس وما يعقلها» أي يفهمها «إلا العالمون» المتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22092','chapter_id' => '29','chapter_detail_id' => '3384','translator_id' => '4','verse_number' => '44','translate_name' => '«خلقَ الله السماوات والأرض بالحق» أي محقا «إن في ذلك لآيةً» دالة على قدرته تعالى «للمؤمنين» خصّوا بالذكر لأنهم المنتفعون بها في الإيمان بخلاف الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22093','chapter_id' => '29','chapter_detail_id' => '3385','translator_id' => '4','verse_number' => '45','translate_name' => '«اتل ما أوحي إليك من الكتاب» القرآن «وأقم الصلاة إن الصلاة تنهى عن الفحشاء والمنكر» شرعا أي من شأنها ذلك ما دام المرء فيها «ولذكر الله أكبر» من غيره من الطاعات «والله يعلم ما تصنعون» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22094','chapter_id' => '29','chapter_detail_id' => '3386','translator_id' => '4','verse_number' => '46','translate_name' => '«ولا تجادلوا أهل الكتاب إلا بالتي» أي: المجادلة التي «هي أحسن» كالدعاء إلى الله بآياته والتنبيه على حججه «إلا الذين ظلموا منهم» بأن حاربوا وأبوا أن يقرّوا بالجزية فجادلوهم بالسيف حتى يسلموا أو يعطوا الجزية «وقولوا» لمن قبل الإقرار بالجزية إذا أخبروكم بشيء مما في كتبهم «آمنا بالذي أنزل إلينا وأنزل إليكم» ولا تصدقوهم ولا تكذبوهم في ذلك «وإلهنا وإلهكم واحدٌ ونحن مسلمون» مطيعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22095','chapter_id' => '29','chapter_detail_id' => '3387','translator_id' => '4','verse_number' => '47','translate_name' => '«وكذلك أنزلنا إليك الكتاب» القرآن كما أنزلنا إليهم التوراة وغيرها «فالذين آتيناهم الكتاب» التوراة كعبد الله بن سلام وغيره «يؤمنون به» بالقرآن «ومن هؤلاء» أهل مكة «من يؤمن به وما يجحد بآياتنا» بعد ظهورها «إلا الكافرون» أي اليهود وظهر لهم أن القرآن حق والجائي به محق وجحدوا ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22096','chapter_id' => '29','chapter_detail_id' => '3388','translator_id' => '4','verse_number' => '48','translate_name' => '«وما كنت تتلوا من قبله» أي القرآن «من كتاب ولا تخطه بيمينك إذا» أي لو كنت قارئا كتابا «لارتاب» شك «المبطلون» اليهود فيك وقالوا الذي في التوراة أنه أمي لا يقرأ ولا يكتب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22097','chapter_id' => '29','chapter_detail_id' => '3389','translator_id' => '4','verse_number' => '49','translate_name' => '«بل هو» أي القرآن الذي جئت به «آيات بينات في صدور الذين أوتوا العلم» أي المؤمنون يحفظونه «وما يجحد بآياتنا إلا الظالمون» أي: اليهود وجحدوها بعد ظهورها لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22098','chapter_id' => '29','chapter_detail_id' => '3390','translator_id' => '4','verse_number' => '50','translate_name' => '«وقالوا» أي كفار مكة «لولا» هلا «أنزل عليه» أي محمد «آية من ربه» وفي قراءة آيات كناقة صالح وعصا موسى ومائدة عيسى «قل» لهم «إنما الآيات عند الله» ينزلها كيف يشاء «وإنما أنا نذير مبين» مظهر إنذاري بالنار أهل المعصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22099','chapter_id' => '29','chapter_detail_id' => '3391','translator_id' => '4','verse_number' => '51','translate_name' => '«أو لم يكفهم» فيما طلبوا «أنَّا أنزلنا عليك الكتاب» القرآن «يتلى عليهم» فهو آية مستمرة لا انقضاء لها بخلاف ما ذكر من الآيات «إن في ذلك» الكتاب «لرحمةً وذكرى» عظة «لقوم يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22100','chapter_id' => '29','chapter_detail_id' => '3392','translator_id' => '4','verse_number' => '52','translate_name' => '«قل كفى بالله بيني وبينكم شهيدا» بصدقي «يعلم ما في السماوات والأرض» ومنه حالي وحالكم «والذين آمنوا بالباطل» وهو ما يعبد من دون الله «وكفروا بالله» منكم «أولئك هم الخاسرون» في صفقتهم حيث اشتروا الكفر بالإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22101','chapter_id' => '29','chapter_detail_id' => '3393','translator_id' => '4','verse_number' => '53','translate_name' => '«ويستعجلونك بالعذاب ولولا أجل مسمى» له «لجاءَهم العذاب» عاجلاً «ولياتينَّهم بغتةً وهم لا يشعرون» بوقت إتيانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22102','chapter_id' => '29','chapter_detail_id' => '3394','translator_id' => '4','verse_number' => '54','translate_name' => '«يستعجلونك بالعذاب» في الدنيا «وإن جهنم لمحيطه بالكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22103','chapter_id' => '29','chapter_detail_id' => '3395','translator_id' => '4','verse_number' => '55','translate_name' => '«يوم يغشاهم العذاب من فوقهم ومن تحت أرجلهم ونقول» فيه بالنون أي نأمر بالقول، وبالياء يقول أي الموكل بالعذاب «ذوقوا ما كنتم تعلمون» أي جزاءه فلا تفوتوننا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22104','chapter_id' => '29','chapter_detail_id' => '3396','translator_id' => '4','verse_number' => '56','translate_name' => '«يا عباديَ الذين آمنوا إنَّ أرضي واسعة فإياي فاعبدون» في أي أرض تيسَّرت فيها العبادة، بأن تهاجروا إليها من أرض لم تتيسر فيها نزل في ضعفاء مسلمي مكة كانوا في ضيق من إظهار الإسلام بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22105','chapter_id' => '29','chapter_detail_id' => '3397','translator_id' => '4','verse_number' => '57','translate_name' => '«كلُّ نفسٍ ذائقة الموت ثم إلينا ترجعون» بالتاء والياء بعد البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22106','chapter_id' => '29','chapter_detail_id' => '3398','translator_id' => '4','verse_number' => '58','translate_name' => '«والذين آمنوا وعملوا الصالحات لنُبوئنَّهم» ننزلنهم، وفي قراءة بالمثلثة بعد النون من الثواء: الإقامة وتعديته إلى غرفا بحذف في «من الجنة غرفا تجري من تحتها الأنهار خالدين» مقدّرين الخلود «فيها نِعم أجر العاملين» هذا الأجر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22107','chapter_id' => '29','chapter_detail_id' => '3399','translator_id' => '4','verse_number' => '59','translate_name' => 'هم «الذين صبروا» أي على أذى المشركين والهجرة لإظهار الدين «وعلى ربهم يتوكلون» فيرزقهم من حيث لا يحتسبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22108','chapter_id' => '29','chapter_detail_id' => '3400','translator_id' => '4','verse_number' => '60','translate_name' => '«وكأين» كم «من دابة لا تحمل رزقها» لضعفها «الله يرزقها وإياكم» أيها المهاجرون وإن لم يكن معكم زاد ولا نفقة «وهو السميع» لأقوالكم «العليم» بضمائركم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22109','chapter_id' => '29','chapter_detail_id' => '3401','translator_id' => '4','verse_number' => '61','translate_name' => '«ولئن» لام قسم «سألتهم» أي: الكفار «من خلق السماوات والأرض وسخَّر الشمس والقمر ليقولُنَّ الله فأنّى يؤفكون» يصرفون عن توحيده بعد إقرارهم بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22110','chapter_id' => '29','chapter_detail_id' => '3402','translator_id' => '4','verse_number' => '62','translate_name' => '«الله يبسط الرزق» يوسعه «لمن يشاء من عباده» امتحانا «ويقدر» يضيق «له» بعد البسط أي لمن يشاء ابتلاءه «إن الله بكل شيء عليم» ومنه محل البسط والتضييق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22111','chapter_id' => '29','chapter_detail_id' => '3403','translator_id' => '4','verse_number' => '63','translate_name' => '«ولئن» لام قسم «سألتهم من نزَّل من السماء ماءً فأحيا به الأرض من بعد موتها ليقولنَّ الله» فكيف يشركون به «قل» لهم «الحمد لله» على ثبوت الحجة عليكم «بل أكثرهم لا يعقلون» تناقضهم في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22112','chapter_id' => '29','chapter_detail_id' => '3404','translator_id' => '4','verse_number' => '64','translate_name' => '«وما هذه الحياة الدنيا إلا لهوٌ ولعب» وأما القرَب فمن أمور الآخرة لظهور ثمرتها فيها «وإن الدار الآخرة لهي الحيوان» بمعنى الحياة «لو كانوا يعلمون» ذلك ما آثروا الدنيا عليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22113','chapter_id' => '29','chapter_detail_id' => '3405','translator_id' => '4','verse_number' => '65','translate_name' => '«فإذا ركبوا في الفلك دعوا الله مخلصين له الدين» أي الدعاء، أي: لا يدعون معه غيره لأنهم في شدة لا يكشفها إلا هو «فلما نجّاهم إلى البر إذا هم يشركون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22114','chapter_id' => '29','chapter_detail_id' => '3406','translator_id' => '4','verse_number' => '66','translate_name' => '«ليكفروا بما آتيناهم» من النعمة «وليتمتعوا» باجتماعهم على عبادة الأصنام، وفي قراءة بسكون اللام أمر تهديد «فسوف يعلمون» عاقبة ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22115','chapter_id' => '29','chapter_detail_id' => '3407','translator_id' => '4','verse_number' => '67','translate_name' => '«أَو لم يروْا» يعلموا «أنَّا جعلنا» بلدهم مكة «حرماً آمناً ويتخطف الناس من حولهم» قتلاً وسبياً دونهم «أفبالباطل» الصنم «يؤمنون وبنعمة الله يكفرون» بإشراكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22116','chapter_id' => '29','chapter_detail_id' => '3408','translator_id' => '4','verse_number' => '68','translate_name' => '«ومن» أي لا أحد «أظلم ممن افترى على الله كذبا» بأن أشرك به «أو كذب بالحق» النبي أو الكتاب «لما جاءَه أَليس في جهنم مثوىّ» مأوى «للكافرين» أي فيها ذلك وهو منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22117','chapter_id' => '29','chapter_detail_id' => '3409','translator_id' => '4','verse_number' => '69','translate_name' => '«والذين جاهدوا فينا» في حقنا «لنهدينَّهم سُبُلنا» أي طريق السير إلينا «وإن الله لمع المحسنين» المؤمنين بالنصر والعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22118','chapter_id' => '30','chapter_detail_id' => '3410','translator_id' => '4','verse_number' => '1','translate_name' => '«الم» الله أعلم بمراده في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22119','chapter_id' => '30','chapter_detail_id' => '3411','translator_id' => '4','verse_number' => '2','translate_name' => '«غُلبت الروم» وهم أهل الكتاب غلبتها فارس وليسوا أهل كتاب بل يعبدون الأوثان ففرح كفار مكة بذلك، وقالوا للمسلمين: نحن نغلبكم كما غلبت فارس الروم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22120','chapter_id' => '30','chapter_detail_id' => '3412','translator_id' => '4','verse_number' => '3','translate_name' => '«في أدنى الأرض» أي أقرب أرض الروم إلى فارس بالجزيرة التقى فيها الجيشان والبادي بالغزو الفرس «وهم» أي الروم «من بعد غلبهم» أضيف المصدر إلى المفعول: أي غلبة فارس إياهم «سيغلبون» فارس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22121','chapter_id' => '30','chapter_detail_id' => '3413','translator_id' => '4','verse_number' => '4','translate_name' => '«في بضع سنين» هو ما بين الثلاث إلى التسع أو العشر، فالتقي الجيشان في السنة السابعة من الالتقاء الأول وغلبت الروم فارس «لله الأمر من قبل ومن بعد» أي من قبل غلب الروم ومن بعده المعنى أن غلبة فارس أولا وغلبة الروم ثانيا بأمر الله: أي إرادته «ويومئذٍ» أي يوم تغلب الروم «يفرح المؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22122','chapter_id' => '30','chapter_detail_id' => '3414','translator_id' => '4','verse_number' => '5','translate_name' => '«بنصر الله» إياهم على فارس وقد فرحوا بذلك وعلموا به يوم وقوعه أي يوم بدر بنزول جبريل بذلك مع فرحهم بنصرهم على قتل المشركين فيه «ينصر من يشاء وهو العزيز» الغالب «الرحيم» بالمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22123','chapter_id' => '30','chapter_detail_id' => '3415','translator_id' => '4','verse_number' => '6','translate_name' => '«وعد الله» مصدر بدل من اللفظ بفعله، والأصل وعدهم الله النصر «لا يخلف الله وعده» به «ولكن أكثر الناس» أي كفار مكة «لا يعلمون» وعده تعالى بنصرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22124','chapter_id' => '30','chapter_detail_id' => '3416','translator_id' => '4','verse_number' => '7','translate_name' => '«يعلمون ظاهراً من الحياة الدنيا» أي معايشها من التجارة والزراعة والبناء والغرس وغير ذلك «وهم عن الآخرة هم غافلون» إعادة هم تأكيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22125','chapter_id' => '30','chapter_detail_id' => '3417','translator_id' => '4','verse_number' => '8','translate_name' => '«أَو لم يتفكروا في أنفسهم» ليرجعوا عن غفلتهم «ما خلق الله السماوات والأرض وما بينهما إلا بالحق وأجلٍ مسمى» لذلك تفنى عند انتهائه وبعد البعث «وإن كثيرا من الناس» أي: كفار مكة «بلقاء ربهم لكافرون» أي لا يؤمنون بالبعث بعد الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22126','chapter_id' => '30','chapter_detail_id' => '3418','translator_id' => '4','verse_number' => '9','translate_name' => '«أوَ لم يسيروا في الأرض فينظروا كيف كانَ عاقبة الذين من قبلهم» من الأمم وهي إهلاكهم بتكذيبهم رسلهم «كانوا أشد منهم قوة» كعاد وثمود «وأثاروا الأرض» حرثوها وقلبوها للزرع والغرس «وعمَروها أكثر ممّا عمروها» أي كفار مكة «وجاءَتهم رسلهم بالبينات» بالحجج الظاهرات «فما كان الله ليظلمهم» بإهلاكهم بغير جرم «ولكن كانوا أنفسهم يظلمون» بتكذيبهم رسلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22127','chapter_id' => '30','chapter_detail_id' => '3419','translator_id' => '4','verse_number' => '10','translate_name' => 'ثم كان عاقبة الذين أساءُوا السُّوأى» تأنيث الأسوأ: الأقبح خبر كان على رفع عاقبة واسم كان على نصب عاقبة، والمراد بها جهنم وإساءتهم «أن» أي: بأن «كذبوا بآيات الله» القرآن «وكانوا بها يستهزءُون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22128','chapter_id' => '30','chapter_detail_id' => '3420','translator_id' => '4','verse_number' => '11','translate_name' => '«الله يبدأ الخلق» أي: ينشئ خلق الناس «ثم يعيده» أي خلقهم بعد موتهم «ثم إليه يرجعون» بالياء والتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22129','chapter_id' => '30','chapter_detail_id' => '3421','translator_id' => '4','verse_number' => '12','translate_name' => '«ويوم تقوم الساعة يُبلس المجرمون» يسكت المشركون لانقطاع حجتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22130','chapter_id' => '30','chapter_detail_id' => '3422','translator_id' => '4','verse_number' => '13','translate_name' => '«ولم يكن» أي لا يكون «لهم من شركائهم» ممن أشركوهم بالله وهم الأصنام ليشفعوا لهم «شفعاء وكانوا» أي: يكونون «بشركائهم كافرين» أي: متبرئين منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22131','chapter_id' => '30','chapter_detail_id' => '3423','translator_id' => '4','verse_number' => '14','translate_name' => '«ويوم تقوم الساعة يومئذ» تأكيد «يتفرقون» المؤمنون والكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22132','chapter_id' => '30','chapter_detail_id' => '3424','translator_id' => '4','verse_number' => '15','translate_name' => '«فأما الذين آمنوا وعملوا الصالحات فهم في روضةٍ» جنة «يحبرون» يسرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22133','chapter_id' => '30','chapter_detail_id' => '3425','translator_id' => '4','verse_number' => '16','translate_name' => '«وأما الذين كفروا وكذبوا بآياتنا» القرآن «ولقاء الآخرة» البعث وغيره «فأولئك في العذاب محضرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22134','chapter_id' => '30','chapter_detail_id' => '3426','translator_id' => '4','verse_number' => '17','translate_name' => '«فسبحان الله» أي: سبحوا الله بمعنى صلوا «حين تمسون» أي: تدخلون في المساء وفيه صلاتان: المغرب والعشاء «وحين تصبحون» تدخلون في الصباح وفيه صلاة الصبح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22135','chapter_id' => '30','chapter_detail_id' => '3427','translator_id' => '4','verse_number' => '18','translate_name' => '«وله الحمد في السموات والأرض» اعتراض ومعناه يحمده أهلهما «وعشيا» عطف على حين وفيه صلاة العصر «وحين تظهرون» تدخلون في الظهيرة وفيه صلاة الظهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22136','chapter_id' => '30','chapter_detail_id' => '3428','translator_id' => '4','verse_number' => '19','translate_name' => '«يُخرج الحي من الميت» كالإنسان من النطفة والطائر من البيضة «ويخرج الميت» النطفة والبيضة «من الحي ويحيي الأرض» بالنبات «بعد موتها» أي يبسها «وكذلك» الإخراج «تَخرجون» من القبور بالبناء للفاعل والمفعول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22137','chapter_id' => '30','chapter_detail_id' => '3429','translator_id' => '4','verse_number' => '20','translate_name' => '«ومن آياته» تعالى الدالة على قدرته «أن خلقكم من تراب» أي: أصلكم آدم «ثم إذا أنتم بشر» من دم ولحم «تنتشرون» في الأرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22138','chapter_id' => '30','chapter_detail_id' => '3430','translator_id' => '4','verse_number' => '21','translate_name' => '«ومن آياته أن خلق لكم من أنفسكم أزواجا» فخلقت حواء من ضلع آدم وسائر الناس من نطف الرجال والنساء «لتسكنوا إليها» وتألفوها «وجعل بينكم» جميعا «مودةً ورحمة إن في ذَلك» المذكور «لآيات لقوم يتفكرون» في صنع الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22139','chapter_id' => '30','chapter_detail_id' => '3431','translator_id' => '4','verse_number' => '22','translate_name' => '«ومن آياته خلق السماوات والأرض واختلاف ألسنتكم» أي لغاتكم من عربية وعجمية وغيرها «وألوانكم» من بياض وسواد وغيرهما، وأنتم أولاد رجل واحد وامرأة واحدة «إن في ذلك لآيات» دلالات على قدرته تعالى «للعالمين» بفتح اللام وكسرها، أي: ذوي العقول وأولي العلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22140','chapter_id' => '30','chapter_detail_id' => '3432','translator_id' => '4','verse_number' => '23','translate_name' => '«ومن آياته منامكم بالليل والنهار» بإرادته راحة لكم «وابتغاؤكم» بالنهار «من فضله» أي: تصرفكم في طلب المعِيشة بإرادته «إن في ذلك لآيات لقوم يسمعون» سماع تدبر واعتبار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22141','chapter_id' => '30','chapter_detail_id' => '3433','translator_id' => '4','verse_number' => '24','translate_name' => '«ومن آياته يريكم» أي إراءتكم «البرق خوفا» للمسافر من الصواعق «وطمعا» للمقيم في المطر «وينزل من السماء ماءً فيحيي به الأرض بعد موتها» أي: يبسطها بأن تنبت «إن في ذلك» المذكور «لآيات لقوم يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22142','chapter_id' => '30','chapter_detail_id' => '3434','translator_id' => '4','verse_number' => '25','translate_name' => '«ومن آياته أن تقوم السماء والأرض بأمره» بإرادته من غير عمد «ثم إذا دعاكم دعوة من الأرض» بأن ينفخ إسرافيل في الصور للبعث من القبور «إذا أنتم تخرجون» منها أحياء فخروجكم منها بدعوة من آياته تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22143','chapter_id' => '30','chapter_detail_id' => '3435','translator_id' => '4','verse_number' => '26','translate_name' => '«وله من في السماوات والأرض» ملكا وخلقا وعبيدا «كل له قانتون» مطيعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22144','chapter_id' => '30','chapter_detail_id' => '3436','translator_id' => '4','verse_number' => '27','translate_name' => '«وهو الذي يبدأ الخلق» للناس «ثم يعيده» بعد هلاكهم «وهو أهون عليه» من البدء بالنظر إلى ما عند المخاطبين من أن إعادة الشيء أسهل من ابتدائه وإلا فهما عند الله تعالى سواء في السهولة «وله المثل الأعلى في السماوات والأرض» أي: الصفة العليا، وهي أنه لا إله إلا هو «وهو العزيز» في ملكه «الحكيم» في خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22145','chapter_id' => '30','chapter_detail_id' => '3437','translator_id' => '4','verse_number' => '28','translate_name' => '«ضرب» جعل «لكم» أيها المشركون «مثلا» كائنا «من أنفسكم» وهو «هل لكم من ما ملكت أيمانكم» أي من مماليككم «من شركاء» لكم «فيما رزقناكم» من الأموال وغيرها «فأنتم» وهم «فيه سواءٌ تخافونهم كخيفتكم أنفسكم» أي أمثالكم من الأحرار والاستفهام بمعنى النفي المعنى: ليس مماليككم شركاء لكم إلى آخره عندكم فكيف تجعلون بعض مماليك الله شركاء له «كذلك نفصِّل الآيات» نبنيها مثل ذلك التفصيل «لقومٍ يعقلون» يتدبرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22146','chapter_id' => '30','chapter_detail_id' => '3438','translator_id' => '4','verse_number' => '29','translate_name' => '«بل اتبع الذين ظلموا» بالإشراك «أهواءَهم بغير علمٍ فمن يهدي من أضل الله» أي: لا هادي له «وما لهم من ناصرين» مانعين من عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22147','chapter_id' => '30','chapter_detail_id' => '3439','translator_id' => '4','verse_number' => '30','translate_name' => '«فأقم» يا محمد «وجهك للدين حنيفا» مائلا إليه: أي أخلص دينك لله أنت ومن تبعك «فطرتَ الله» خلقته «التي فطر الناس عليها» وهي دينه أي: الزموها «لا تبديل لخلق الله» لدينه أي: لا تبدلوه بأن تشركوا «ذلك الدين القيّم» المستقيم توحيد الله «ولكن أكثر الناس» أي كفار مكة «لا يعلمون» توحيد الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22148','chapter_id' => '30','chapter_detail_id' => '3440','translator_id' => '4','verse_number' => '31','translate_name' => '«منيبين» راجعين «إليه» تعالى فيما أمر به ونهى عنه حال من فاعل أقم وما أريد به؛ أي أقيموا «واتقوه» خافوه «وأقيموا الصلاة ولا تكونوا من المشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22149','chapter_id' => '30','chapter_detail_id' => '3441','translator_id' => '4','verse_number' => '32','translate_name' => '«من الذين» بدل بإعادة الجار «فرقوا دينهم» باختلافهم فيما يعبدونه «وكانوا شيعاً» فرقاً في ذلك «كل حزبٍ» منهم «بما لديهم» عندهم «فرحون» مسرورون، وفي قراءة فارقوا: أي تركوا دينهم الذي أمروا به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22150','chapter_id' => '30','chapter_detail_id' => '3442','translator_id' => '4','verse_number' => '33','translate_name' => '«وإذا مسَّ الناس» أي كفار مكة «ضرٌّ» شدة «دعوا ربهم منيبين» راجعين «إليه» دون غيره «ثم إذا أذاقهم منه رحمة» بالمطر «إذا فريقٌ منهم بربهم يشركون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22151','chapter_id' => '30','chapter_detail_id' => '3443','translator_id' => '4','verse_number' => '34','translate_name' => '«ليكفروا بما آتيناهم» أريد به التهديد «فتمتعوا فسوف تعلمون» عاقبة تمتعكم، فيه التفات عن الغيبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22152','chapter_id' => '30','chapter_detail_id' => '3444','translator_id' => '4','verse_number' => '35','translate_name' => '«أَم» بمعنى همزة الإنكار «أنزلنا عليهم سلطاناً» حجة وكتاباً «فهو يتكلم» تكلم دلالة «بما كانوا به يشركون» أي يأمرهم بالإشراك! لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22153','chapter_id' => '30','chapter_detail_id' => '3445','translator_id' => '4','verse_number' => '36','translate_name' => '«وإذا أذقنا الناس» كفار مكة وغيرهم «رحمة» نعمةً «فرحوا بها» فرح بطر «وإن تصبهم سيئة» شدة «بما قدمت أيديهم إذا هم يقنطون» ييأسون من الرحمة ومن شأن المؤمن أن يشكر عند النعمة ويرجو ربه عند الشدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22154','chapter_id' => '30','chapter_detail_id' => '3446','translator_id' => '4','verse_number' => '37','translate_name' => '«اوَ لم يروا» يعلموا «أن الله يبسط الرزق» يوسعه «لمن يشاء» امتحانا «ويقدر» يضيقه لمن يشاء ابتلاءً «إن في ذلك لآيات لقوم يؤمنون» بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22155','chapter_id' => '30','chapter_detail_id' => '3447','translator_id' => '4','verse_number' => '38','translate_name' => '«فآت ذا القربى» القرابة «حقه» من البر والصلة «والمسكين وابن السبيل» المسافر من الصدقة، وأمة النبي تبع له في ذلك «ذلك خير للذين يريدون وجه الله» أي ثوابه بما يعملون «وأولئك هم المفلحون» الفائزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22156','chapter_id' => '30','chapter_detail_id' => '3448','translator_id' => '4','verse_number' => '39','translate_name' => '«وما آتيتم من رِبا» بأن يعطي شيء هبة أو هدية ليطلب أكثر منه، فسمي باسم المطلوب من الزيادة في المعاملة «ليربوَ في أموال الناس» المعطين، أي يزيد «فلا يربو» يزكو «عند الله» لا ثواب فيه للمعطين «وما آتيتم من زكاة» صدقة «تريدون» بها «وجه الله فأولئك هم المضعفون» ثوابهم بما أرادوه، فيه التفات عن الخطاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22157','chapter_id' => '30','chapter_detail_id' => '3449','translator_id' => '4','verse_number' => '40','translate_name' => '«الله الذي خلقكم ثم رزقكم ثم يميتكم ثم يحييكم هل من شركائكم» ممن أشركتم بالله «من يفعل من ذلكم من شيء» لا «سبحانه وتعالى عما يشركون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22158','chapter_id' => '30','chapter_detail_id' => '3450','translator_id' => '4','verse_number' => '41','translate_name' => '«ظهر الفساد في البر» أي القفار بقحط المطر وقلة النبات «والبحر» أي البلاد التي على الأنهار بقلة مائها «بما كسبت أيدي الناس» من المعاصي «ليذيقهم» بالياء والنون «بعض الذي عملوا» أي عقوبته «لعلهم يرجعون» يتوبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22159','chapter_id' => '30','chapter_detail_id' => '3451','translator_id' => '4','verse_number' => '42','translate_name' => '«قل» لكفار مكة «سيروا في الأرض فانظروا كيف كان عاقبة الذين من قبل كان أكثرهم مشركين» فأهلكوا بإشراكهم ومساكنهم ومنازلهم خاوية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22160','chapter_id' => '30','chapter_detail_id' => '3452','translator_id' => '4','verse_number' => '43','translate_name' => '«فأقم وجهك للدين القيِّم» دين الإسلام «من قبل أن يأتي يوم لا مردَّ له من الله» هو يوم القيامة «يومئذ يصَّدَّعون» فيه إدغام التاء في الأصل في الصاد: يتفرقون بعد الحساب إلى الجنة والنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22161','chapter_id' => '30','chapter_detail_id' => '3453','translator_id' => '4','verse_number' => '44','translate_name' => '«من كفر فعليه كفره» وبال كفره وهو النار «ومن عمل صالحاً فلأنفسهم يمهدون» يوطئون منازلهم في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22162','chapter_id' => '30','chapter_detail_id' => '3454','translator_id' => '4','verse_number' => '45','translate_name' => '«ليجزي» متعلق بيصدعون «الذين آمنوا وعملوا الصالحات من فضله» يثيبهم «إنه لا يحب الكافرين» أي يعاقبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22163','chapter_id' => '30','chapter_detail_id' => '3455','translator_id' => '4','verse_number' => '46','translate_name' => '«ومن آياته» تعالى «أن يرسل الرياح مبشرات» بمعنى لتبشركم بالمطر «وليذيقكم» بها «من رحمته» المطر والخصب «ولتجري الفلك» السفن بها «بأمره» بإرادته «ولتبتغوا» تطلبوا «من فضله» الرزق بالتجارة في البحر «ولعلكم تشكرون» هذه النعم يا أهل مكة فتوحدوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22164','chapter_id' => '30','chapter_detail_id' => '3456','translator_id' => '4','verse_number' => '47','translate_name' => 'ولقد أرسلنا من قبلك رسلاً إلى قومهم فجاؤوهم بالبينات» بالحجج الواضحات على صدقهم في رسالتهم إليهم فكذبوهم «فانتقمنا من الذين أجرموا» أهلكنا الذين كذبوهم «وكان حقاً علينا نصر المؤمنين» على الكافرين بإهلاكهم وإنجاء المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22165','chapter_id' => '30','chapter_detail_id' => '3457','translator_id' => '4','verse_number' => '48','translate_name' => '«الله الذي يرسل الرياح فتثير سحابا» تزعجه «فيبسطه في السماء كيف يشاء» من قلة وكثرة «ويجعله كسفا» بفتح السين وسكونها قطعا متفرقة «فترى الودق» المطر «يخرج من خلاله» أي وسطه «فإذا أصاب به» بالودق «من يشاء من عباده إذا هم يستبشرون» يفرحون بالمطر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22166','chapter_id' => '30','chapter_detail_id' => '3458','translator_id' => '4','verse_number' => '49','translate_name' => '«وإن» وقد «كانوا من قبل أن يُنزَّل عليهم من قبله» تأكيد «لمبلسين» آيسين من إنزاله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22167','chapter_id' => '30','chapter_detail_id' => '3459','translator_id' => '4','verse_number' => '50','translate_name' => '«فانظر إلى أثر» وفي قراءة آثار «رحمة الله» أي نعمته بالمطر «كيف يحيي الأرض بعد موتها» أي يبسها بأن تنبت «إن ذلك لمحيي الموتى وهو على كل شيءٍ قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22168','chapter_id' => '30','chapter_detail_id' => '3460','translator_id' => '4','verse_number' => '51','translate_name' => '«ولئن» لام قسم «أرسلنا ريحا» مضرة على نبات «فرأوهُ مصفرا لظلوا» صاروا جواب القسم «من بعده» أي بعد إصفراره «يكفرون» يجحدون النعمة بالمطر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22169','chapter_id' => '30','chapter_detail_id' => '3461','translator_id' => '4','verse_number' => '52','translate_name' => '«فإنك لا تُسمع الموتى ولا تُسمع الصم الدعاء إذا» بتحقيق الهمزتين وتسهيل الثانية بينها وبين الياء «ولَّوْا مدبرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22170','chapter_id' => '30','chapter_detail_id' => '3462','translator_id' => '4','verse_number' => '53','translate_name' => '«وما أنت بهادِ العمي عن ضلالتهم إن» ما «تُسمع» سماع إفهام وقبول «إلا من يؤمن بآياتنا» القرآن «فهم مسلمون» مخلصون بتوحيد الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22171','chapter_id' => '30','chapter_detail_id' => '3463','translator_id' => '4','verse_number' => '54','translate_name' => '«الله الذي خلقكم من ضعف» ماء مهين «ثم جعل من بعد ضعف» آخر، وهو ضعف الطفولية «قوةً» أي قوة الشباب «ثم من بعد قوةٍ ضعفاً وشيبةً» ضعف الكبر وشيب الهرم والضعف في الثلاثة بضم أوله وفتحه «يخلق ما يشاء» من الضعف والقوة والشباب والشيبة «وهو العليم» بتدبير خلقه «القدير» على ما يشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22172','chapter_id' => '30','chapter_detail_id' => '3464','translator_id' => '4','verse_number' => '55','translate_name' => '«ويوم تقوم الساعة يُقسم» يحلف «المجرمون» الكافرون «ما لبثوا» في القبور «غير ساعة» قال تعالى: «كذلك كانوا يؤفكون» يصرفون عن الحق: البعث كما صرفوا عن الحق الصدق في مدة اللبث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22173','chapter_id' => '30','chapter_detail_id' => '3465','translator_id' => '4','verse_number' => '56','translate_name' => '«وقال الذين أوتوا العلم والإيمان» من الملائكة وغيرهم «لقد لبثتم في كتاب الله» فيما كتبه في سابق علمه «إلى يوم البعث فهذا يوم البعث» الذي أنكرتموه «ولكنكم كنتم لا تعلمون» وقوعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22174','chapter_id' => '30','chapter_detail_id' => '3466','translator_id' => '4','verse_number' => '57','translate_name' => '«فيومئذٍ لا ينفع» بالياء والتاء «الذين ظلموا معذرتُهم» في إنكارهم له «ولا هم يستعتبون» لا يطلب منهم العتبى: أي الرجوع إلى ما يرضي الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22175','chapter_id' => '30','chapter_detail_id' => '3467','translator_id' => '4','verse_number' => '58','translate_name' => '«ولقد ضربنا» جعلنا «للناس في هذا القرآن من كل مثل» تنبيهاً لهم «ولئن» لام قسم «جئتهم» يا محمد «بآية» مثل العصا واليد لموسى «ليقولنّ» حذف منه نون الرفع لتوالي النونات، والواو ضمير الجمع لالتقاء الساكنين «الذين كفروا» منهم «إن» ما «أنتم» أي محمد وأصحابه «إلا مبطلون» أصحاب أباطيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22176','chapter_id' => '30','chapter_detail_id' => '3468','translator_id' => '4','verse_number' => '59','translate_name' => '«كذلك يطبع الله على قلوب الذين لا يعلمون» التوحيد كما طبع على قلوب هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22177','chapter_id' => '30','chapter_detail_id' => '3469','translator_id' => '4','verse_number' => '60','translate_name' => '«فاصبر إنَّ وعد الله» بنصرك عليهم «حق ولا يستخفنك الذين لا يوقنون» بالبعث: أي لا يحملنَّك على الخفة والطيش بترك الصبر: أي لا تتركه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22178','chapter_id' => '31','chapter_detail_id' => '3470','translator_id' => '4','verse_number' => '1','translate_name' => '«الم» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22179','chapter_id' => '31','chapter_detail_id' => '3471','translator_id' => '4','verse_number' => '2','translate_name' => '«تلك» أي هذه الآيات «آيات الكتاب» القرآن «الحكيم» ذي الحكمة والإضافة بمعنى من.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22180','chapter_id' => '31','chapter_detail_id' => '3472','translator_id' => '4','verse_number' => '3','translate_name' => 'هو (هدى ورحمة) بالرفع (للمحسنين) وفي قراءة العامة بالنصب حالاً من الآيات العامل فيها ما في "تلك" من معنى الإشارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22181','chapter_id' => '31','chapter_detail_id' => '3473','translator_id' => '4','verse_number' => '4','translate_name' => '«الذين يقيمون الصلاة» بيان للمحسنين «ويؤتون الزكاة وهم بالآخرة هم يوقنون» هم الثاني تأكيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22182','chapter_id' => '31','chapter_detail_id' => '3474','translator_id' => '4','verse_number' => '5','translate_name' => '«أولئك على هدى من ربهم وأولئك هم المفلحون» الفائزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22183','chapter_id' => '31','chapter_detail_id' => '3475','translator_id' => '4','verse_number' => '6','translate_name' => '«ومن الناس من يشتري لهو الحديث» أي ما يلهي منه عما يعني «ليضلَّ» بفتح الياء وضمها «عن سبيل الله» طريق الإسلام «بغير علمٍ ويتخذها» بالنصب عطفاً على يضل، وبالرفع عطفاً على يشتري «هزؤاً» مهزوءاً بها «أولئك لهم عذاب مهين» ذو إهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22184','chapter_id' => '31','chapter_detail_id' => '3476','translator_id' => '4','verse_number' => '7','translate_name' => '«وإذا تتلى عليه آياتنا» أي القرآن «ولَّى مستكبرا» متكبرا «كأن لم يسمعها كأن في أذنيه وقرا» صمما وجملتا التشبيه حالان من ضمير ولَّى أو الثانية بيان للأولى «فبشِّره» أعلمه «بعذاب أليم» مؤلم وذكر البشارة تهكم به وهو النضر بن الحارث، كان يأتي الحيرة يتجر فيشتري كتب أخبار الأعاجم ويحدث بها أهل مكة ويقول: إن محمدا يحدثكم أحاديث عاد وثمود، وأنا أحدثكم أحاديث فارس والروم فيستملحون حديثه ويتركون استماع القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22185','chapter_id' => '31','chapter_detail_id' => '3477','translator_id' => '4','verse_number' => '8','translate_name' => '«إن الذين آمنوا وعملوا الصالحات لهم جنات النعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22186','chapter_id' => '31','chapter_detail_id' => '3478','translator_id' => '4','verse_number' => '9','translate_name' => '«خالدين فيها» حال مقدرة أي: مقدرا خلودهم فيها إذا دخلوها «وعد الله حقا» أي وعدهم الله ذلك وحقه حقا «وهو العزيز» الذي لا يغلبه شيء فيمنعه من إنجاز وعده ووعيده «الحكيم» الذي لا يضع شيئا إلا في محله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22187','chapter_id' => '31','chapter_detail_id' => '3479','translator_id' => '4','verse_number' => '10','translate_name' => '«خلق السماوات بغير عمَدٍ ترونها» أي العمد جمع عماد وهو الاسطوانة، وهو صادق بأن لا عمد أصلا «وألقى في الأرض رواسي» جبالا مرتفعة لـ «أن» لا «تميد» تتحرك «بكم وبثَّ فيها من كل دابة وأنزلنا» فيه التفات عن الغيبة «من السماء ماءً فأنبتنا فيها من كل زوجٍ كريمٍ» صنف حسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22188','chapter_id' => '31','chapter_detail_id' => '3480','translator_id' => '4','verse_number' => '11','translate_name' => '«هذا خلق الله» أي مخلوقه «فأروني» أخبروني يا أهل مكة «ماذا خلق الذين من دونه» غيره أي آلهتكم حتى أشركتموها به تعالى، وما استفهام إنكار مبتدأ وذا بمعنى الذي بصلته خبره وأروني معلق عن العمل وما بعده سد مسد المفعولين «بل» للانتقال «الظالمون في ضلالٍ مبينٍ» بيّن بإشراكهم وأنتم منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22189','chapter_id' => '31','chapter_detail_id' => '3481','translator_id' => '4','verse_number' => '12','translate_name' => '«ولقد آتينا لقمان الحكمة» منها العلم والديانة والإصابة في القول، وحكمه كثيرة مأثورة، كان يفتي قبل بعثة داود وأدرك بعثته وأخذ عنه العلم وترك الفتيا وقال في ذلك: ألا أكتفي إذا كفيت، وقيل له أي الناس شر؟ قال: الذي لا يبالي إن رآه الناس مسيئاً «أن» أي وقلنا له أن «أشكر لله» على ما أعطاك من الحكمة «ومن يشكر فإنما يشكر لنفسه» لأن ثواب شكره له «ومن كفر» النعمة «فإن الله غني» عن خلقه «حميد» محمود في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22190','chapter_id' => '31','chapter_detail_id' => '3482','translator_id' => '4','verse_number' => '13','translate_name' => '«و» اذكر «إذ قال لقمان لابنه وهو يعظه يا بنيّ» تصغير إشفاق «لا تشرك بالله إن الشرك» بالله «لظلم عظيم» فرجع إليه وأسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22191','chapter_id' => '31','chapter_detail_id' => '3483','translator_id' => '4','verse_number' => '14','translate_name' => '«ووصينا الإنسان بوالديه» أمرناه أن يبرهما «حملته أمُه» فْوهنت «وهنا على وهنٍ» أي ضعفت للحمل وضعفت للطلق وضعفت للولادة «وفصاله» أي فطامه «في عامين» وقلنا له «أنِ اشكر لي ولوالديك إلىَّ المصير» أي المرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22192','chapter_id' => '31','chapter_detail_id' => '3484','translator_id' => '4','verse_number' => '15','translate_name' => '«وإن جاهداك على أن تشرك بي ما ليس لك به علم» موافقة للواقع «فلا تطعهما وصاحبهما في الدنيا معروفا» أي بالمعروف البر والصلة «واتبع سبيل» طريق «من أناب» رجع «إليَّ» بالطاعة «ثم إليَّ مرجعكم فأنبئكم بما كنتم تعملون» فأجازيكم عليه وجملة الوصية وما بعدها اعتراض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22193','chapter_id' => '31','chapter_detail_id' => '3485','translator_id' => '4','verse_number' => '16','translate_name' => '«يا بنيّ إنها» أي الخصلة السيئة «إن تك مثقال حبة من خردلِ فتكن في صخرة أو في السماوات أو في الأرض» أي في أخفى مكان من ذلك «يأت بها الله» فيحاسب عليها «إن الله لطيف» باستخراجها «خبير» بمكانها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22194','chapter_id' => '31','chapter_detail_id' => '3486','translator_id' => '4','verse_number' => '17','translate_name' => '«يا بنيّ أقْم الصلاة وأمُر بالمعروف وانْهَ عن المنكر واصبر على ما أصابك» بسبب الأمر والنهي «إن ذلك» المذكور «من عزم الأمور» أي معزوماتها التي يعزم عليها لوجوبها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22195','chapter_id' => '31','chapter_detail_id' => '3487','translator_id' => '4','verse_number' => '18','translate_name' => '«ولا تصعِّر» وفي قراءة تصاعر «خدك للناس» لا تمل وجهك عنهم تكبرا «ولا تمش في الأرض مرحا» أي خيلاء «إن الله لا يحب كل مختالٍ» متبختر في مشيه «فخور» على الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22196','chapter_id' => '31','chapter_detail_id' => '3488','translator_id' => '4','verse_number' => '19','translate_name' => '«واقصد في مشيك» توسط فيه بين الدبيب والإسراع، وعليك السكينة والوقار «واغضض» اخفض «من صوتك إن أنكر الأصوات» أقبحها «لصوت الحمير» أوله زفير وآخره شهيق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22197','chapter_id' => '31','chapter_detail_id' => '3489','translator_id' => '4','verse_number' => '20','translate_name' => '«ألم تروْا» تعلموا يا مخاطبين «أن الله سخَّر لكم ما في السموات» من الشمس والقمر والنجوم لتنتفعوا بها «وما في الأرض» من الثمار والأنهار والدواب «وأسبغ» أوسع وأتمَّ «عليكم نعمه ظاهرةً» وهي حسن الصورة وتسوية الأعضاء وغير ذلك «وباطنةً» هي المعرفة وغيرها «ومن الناس» أي أهل مكة «من يجادل في الله بغير علم ولا هدىً» من رسول «ولا كتاب منير» أنزله الله، بل بالتقليد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22198','chapter_id' => '31','chapter_detail_id' => '3490','translator_id' => '4','verse_number' => '21','translate_name' => '«وإذا قيل لهم اتَّبعوا ما أَنزل الله قالوا بل نتبع ما وجدنا عليه آباءنا» قال تعالى: «أ» يتبعونه «ولو كان الشيطان يدعوهم إلى عذاب السعير» أي موجباته؟ لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22199','chapter_id' => '31','chapter_detail_id' => '3491','translator_id' => '4','verse_number' => '22','translate_name' => '«ومن يُسلم وجهه إلى الله» أي يقبل على طاعته «وهو محسن» موحد «فقد استمسك بالعروة الوثقى» بالطرف الأوثق الذي لا يخاف انقطاعه «وإلى الله عاقبة الأمور» مرجعها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22200','chapter_id' => '31','chapter_detail_id' => '3492','translator_id' => '4','verse_number' => '23','translate_name' => '«ومن كفر فلا يَحزُنْك» يا محمد «كفره» لا تهتم بكفره «إلينا مرجعهم فننبئهم بما عملوا إن الله عليم بذات الصدور» أي بما فيها كغيره فمجاز عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22201','chapter_id' => '31','chapter_detail_id' => '3493','translator_id' => '4','verse_number' => '24','translate_name' => '«نمتعهم» في الدنيا «قليلاً» أيام حياتهم «ثم نضطرهم» في الآخرة «إلى عذابٍ غليظٍ» وهو عذاب النار لا يجدون عنه محيصاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22202','chapter_id' => '31','chapter_detail_id' => '3494','translator_id' => '4','verse_number' => '25','translate_name' => '«ولئن» لام قسم «سألتهم من خلق السموات والأرض ليقولن الله» حذف منه نون الرفع لتوالي الأمثال، وواو الضمير لالتقاء الساكنين «قل الحمد لله» على ظهور الحجة عليهم بالتوحيد «بل أكثرهم لا يعلمون» وجوبه عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22203','chapter_id' => '31','chapter_detail_id' => '3495','translator_id' => '4','verse_number' => '26','translate_name' => '«لله ما في السماوات والأرض» ملكا وخلقا وعبيدا فلا يستحق العبادة فيهما غيره «إن الله هو الغني» عن خلقه «الحميد» المحمود في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22204','chapter_id' => '31','chapter_detail_id' => '3496','translator_id' => '4','verse_number' => '27','translate_name' => '«ولو أن ما في الأرض من شجرةٍ أقلامٌ والبحر» عطف على اسم أن «يمده من بعده سبعة أبحر» مدادا «ما نفدت كلمات الله» المعبر بها عن معلوماته بكتبها بتلك الأقلام بذلك المداد ولا بأكثر من ذلك لأن معلوماته تعالي غير متناهية «إن الله عزيز» لا يعجزه شيء «حكيم» لا يخرج شئ عن علمه وحكمته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22205','chapter_id' => '31','chapter_detail_id' => '3497','translator_id' => '4','verse_number' => '28','translate_name' => '«ما خلقكم ولا بعثكم إلا كنفس واحدة» خلقا وبعثا، لأنه بكلمة كن فيكون «إن الله سميعٌ» يسمع كل مسموع «بصيرٌ» يبصر كل مبصر لا يشغله شيء عن شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22206','chapter_id' => '31','chapter_detail_id' => '3498','translator_id' => '4','verse_number' => '29','translate_name' => '«ألم ترَ» تعلم يا مخاطب «أن الله يُولج» يدخل «الليل في النهار ويولج النهار» يدخله «في الليل» فيزيد كل منهما بما نقص من الآخر «وسخَّر الشمس والقمر كلُّ» منهما «يجري» في فلكه «إلى أجل مسمى» هو يوم القيامة «وأن الله بما تعملون خبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22207','chapter_id' => '31','chapter_detail_id' => '3499','translator_id' => '4','verse_number' => '30','translate_name' => '«ذلك» المذكور «بأن الله هو الحق» الثابت «وأن ما يدعون» بالياء والتاء يعبدون «من دونه الباطل» الزائل «وأن الله هو العليُّ» على خلقه بالقهر «الكبيرُ» العظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22208','chapter_id' => '31','chapter_detail_id' => '3500','translator_id' => '4','verse_number' => '31','translate_name' => '«ألم ترَ أن الفلك» السفن «تجري في البحر بنعمة الله ليريكم» يا مخاطبين بذلك «من آياته إنَّ في ذلك لآياتٍ» عبرا «لكل صبَّار» عن معاصي الله «شكور» لنعمته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22209','chapter_id' => '31','chapter_detail_id' => '3501','translator_id' => '4','verse_number' => '32','translate_name' => '«وإذا غشيهم» أي علا الكفار «موجٌ كالظلل» كالجبال التي تُظل من تحتها «دعوا الله مخلصين له الدين» أي الدعاء بأن ينجيهم أي لا يدعون معه غيره «فلما نجاهم إلى البر فمنهم مقتصد» متوسط بين الكفر والإيمان، ومنهم باق على كفره «وما يجحد بآياتنا» ومنها الإنجاء من الموج «إلا كل ختارٍ» غدار «كفورٍ» لنعم الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22210','chapter_id' => '31','chapter_detail_id' => '3502','translator_id' => '4','verse_number' => '33','translate_name' => '«يا أيها الناس» أي أهل مكة «اتقوا ربكم واخشوْا يوما لا يجزي» يغني «والد عن ولده» فيه شيئا «ولا مولود عن هو جاز عن والده» فيه «شيئا إن وعد الله حقٌ» بالبعث «فلا تغرنكم الحياة الدنيا» عن الإسلام «ولا يغرنكم بالله» في حلمه وإمهاله «الغرور» الشيطان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22211','chapter_id' => '31','chapter_detail_id' => '3503','translator_id' => '4','verse_number' => '34','translate_name' => '(إن الله عنده علم الساعة) متى تقوم (وينزل) بالتخفيف والتشديد (الغيث) بوقت يعلمه (ويعلم ما في الأرحام) أذكر أم أنثى، ولا يعلم واحدا من الثلاثة غير الله تعالى (وما تدري نفس ماذا تكسب غدا) من خير أو شر ويعلمه الله تعالى (وما تدري نفس بأي أرض تموت) ويعلمه الله تعالى (إن الله عليم) بكل شيء (خبير) بباطنه كظاهره، روى البخاري عن ابن عمر حديث: "مفاتيح الغيب خمسة إن الله عنده علم الساعة إلى آخر السورة".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22212','chapter_id' => '32','chapter_detail_id' => '3504','translator_id' => '4','verse_number' => '1','translate_name' => '«الم» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22213','chapter_id' => '32','chapter_detail_id' => '3505','translator_id' => '4','verse_number' => '2','translate_name' => '«تنزيل الكتاب» القرآن مبتدأ «لا ريب» شك «فيه» خبر أول «من رب العالمين» خبر ثان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22214','chapter_id' => '32','chapter_detail_id' => '3506','translator_id' => '4','verse_number' => '3','translate_name' => '«أَم» بل «يقولون افتراه» محمد صلى الله عليه وسلم لا «بل هو الحق من ربك، لتنذر» به «قوما ما» نافية «أَتاهم من نذير من قبلك لعلهم يهتدون» بإنذارك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22215','chapter_id' => '32','chapter_detail_id' => '3507','translator_id' => '4','verse_number' => '4','translate_name' => '«الله الذي خلق السماوات والأرض وما بينهما في ستة أيام» أولها الأحد وآخرها الجمعة «ثم استوى على العرش» هو في اللغة سرير الملك استواءً يليق به «مالكم» يا كفار مكة «من دونه» أي: غيره «من وليٍّ» اسم ما بزيادة من، أَي: ناصر «ولا شفيع» يدفع عذابه عنكم «أفلا تتذكرون» هذا فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22216','chapter_id' => '32','chapter_detail_id' => '3508','translator_id' => '4','verse_number' => '5','translate_name' => '(يدبر الأمر من السماء إلى الأرض) مدة الدنيا (ثم يعرج) يرجع الأمر والتدبير (إليه في يوم كان مقداره ألف سنة مما تعدون) في الدنيا، وفي سورة "سأل" خمسين ألف سنة وهو يوم القيامة لشدة أهواله بالنسبة إلى الكافر، وأما المؤمن فيكون أخف عليه من صلاة مكتوبة يصليها في الدنيا كما جاء في الحديث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22217','chapter_id' => '32','chapter_detail_id' => '3509','translator_id' => '4','verse_number' => '6','translate_name' => '«ذلك» الخالق المدبِّر «عالم الغيب والشهادة» أي ما غاب عن الخلق وما حضر «العزيز» المنيع في ملكه «الرحيم» بأهل طاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22218','chapter_id' => '32','chapter_detail_id' => '3510','translator_id' => '4','verse_number' => '7','translate_name' => '«الذي أحسن كل شيءٍ خلقه» بفتح اللام فعلا ماضيا صفة، وبسكونها بدل اشتمال «وبدأ خلق الإنسان» آدم «من طين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22219','chapter_id' => '32','chapter_detail_id' => '3511','translator_id' => '4','verse_number' => '8','translate_name' => '«ثم جعل نسله» ذريته «من سلالة» علقة «من ماءٍ مهين» ضعيف هو النطفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22220','chapter_id' => '32','chapter_detail_id' => '3512','translator_id' => '4','verse_number' => '9','translate_name' => '«ثم سوَّاه» أي خلق آدم «ونفخ فيه من روحه» أي جعله حيا حساسا بعد أن كان جمادا «وجعل لكم» أي لذريته «السمع» بمعنى الأسماع «والأبصار والأفئدة» القلوب «قليلا ما تشكرون» ما زائدة مؤكدة للقلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22221','chapter_id' => '32','chapter_detail_id' => '3513','translator_id' => '4','verse_number' => '10','translate_name' => '«وقالوا» أي منكرو البعث «أإذا ضللنا في الأرض» غبنا فيها، بأن صرنا ترابا مختلطا بترابها «أإنا لفي خلق جديد» استفهام إنكار بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين في الموضعين، قال تعالى: «بل هم بلقاء ربهم» بالبعث «كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22222','chapter_id' => '32','chapter_detail_id' => '3514','translator_id' => '4','verse_number' => '11','translate_name' => '«قل» لهم «يتوفاكم ملك الموت الذي وكِّل بكم» أي يقبض أرواحكم «ثم إلى ربكم ترجعون» أحياء فيجازيكم بأعمالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22223','chapter_id' => '32','chapter_detail_id' => '3515','translator_id' => '4','verse_number' => '12','translate_name' => '«ولو ترى إذ المجرمون» الكافرون «ناكسوا رؤوسهم عند ربهم» مطأطئوها حياءً يقولون «ربنا أبصرنا» ما أنكرنا من البعث «وسمعنا» منك تصديق الرسل فيما كذبناهم فيه «فارجعنا» إلى الدنيا «نعمل صالحا» فيها «إنا موقنون» الآن فما نفعهم ذلك ولا يرجعون، وجواب لو: لرأيت أمرا فظيعاً، قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22224','chapter_id' => '32','chapter_detail_id' => '3516','translator_id' => '4','verse_number' => '13','translate_name' => '«ولو شئنا لآتينا كل نفسٍ هداها» فتهتدي بالإيمان والطاعة باختيار منها «ولكن حق القول مني» وهو «لأملأنَّ جهنم من الجِنة» الجن «والناس أجمعين» وتقول لهم الخزنة إذا دخلوها:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22225','chapter_id' => '32','chapter_detail_id' => '3517','translator_id' => '4','verse_number' => '14','translate_name' => '«فذوقوا» العذاب «بما نسيتم لقاء يومكم هذا» أي بترككم الإيمان به «إنا نسيناكم» تركناكم في العذاب «وذوقوا عذاب الخلد» الدائم «بما كنتم تعملون» من الكفر والتكذيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22226','chapter_id' => '32','chapter_detail_id' => '3518','translator_id' => '4','verse_number' => '15','translate_name' => '«إنما يؤمن بآياتنا» القرآن «الذين إذا ذُكِّروا» وعظوا «بها خرُّوا سجَّدا وسبَّحوا» متلبسين «بحمد ربهم» أي قالوا: سبحان الله وبحمده «وهم لا يستكبرون» عن الإيمان والطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22227','chapter_id' => '32','chapter_detail_id' => '3519','translator_id' => '4','verse_number' => '16','translate_name' => '«تتجافى جنوبهم» ترتفع «عن المضاجع» مواضع الاضطجاع بفرشها لصلاتهم بالليل تهجدا «يدعون ربهم خوفا» من عقابه «وطمعا» في رحمته «ومما رزقناهم ينفقون» يتصدقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22228','chapter_id' => '32','chapter_detail_id' => '3520','translator_id' => '4','verse_number' => '17','translate_name' => '«فلا تعلم نفسٌ ما أخفىَ» خبئ «لهم من قرة أعين» ما تقر به أعينهم، وفي قراءة بسكون الياء مضارع «جزاءً بما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22229','chapter_id' => '32','chapter_detail_id' => '3521','translator_id' => '4','verse_number' => '18','translate_name' => '«أَفمن كان مؤمنا كمن كان فاسقا لا يستوون» أي المؤمنون والفاسقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22230','chapter_id' => '32','chapter_detail_id' => '3522','translator_id' => '4','verse_number' => '19','translate_name' => '«أما الذين آمنوا وعملوا الصالحات فلهم جنات المأوى نزلا» هو ما يعد للضيف «بما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22231','chapter_id' => '32','chapter_detail_id' => '3523','translator_id' => '4','verse_number' => '20','translate_name' => '«وأما الذين فسقوا» بالكفر والتكذيب «فمأواهم النار كلما أرادوا أن يخرجوا منها أعيدوا فيها وقيل لهم ذوقوا عذاب النار الذي كنتم به تكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22232','chapter_id' => '32','chapter_detail_id' => '3524','translator_id' => '4','verse_number' => '21','translate_name' => '«ولنذيقنهم من العذاب الأدنى» عذاب الدنيا بالقتل والأسر والجدب سنين والأمراض «دون» قبل «العذاب الأكبر» عذاب الآخرة «لعلهم» أي من بقي منهم «يرجعون» إلى الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22233','chapter_id' => '32','chapter_detail_id' => '3525','translator_id' => '4','verse_number' => '22','translate_name' => '«ومن أظلم ممن ذُكِّرَ بآيات ربِّه» القرآن «ثم أعرض عنها» أي لا أحد أظلم منه «إنا من المجرمين» المشركين «منتقمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22234','chapter_id' => '32','chapter_detail_id' => '3526','translator_id' => '4','verse_number' => '23','translate_name' => '«ولقد آتينا موسى الكتاب» التوراة «فلا تكن في مِريةٍ» شكٍ «من لقائه» وقد التقيا ليلة الإسراء «وجعلناهُ» أي موسى أو الكتاب «هدىً» هاديا «لبني إسرائيل».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22235','chapter_id' => '32','chapter_detail_id' => '3527','translator_id' => '4','verse_number' => '24','translate_name' => '«وجعلنا منهم أئمةً» بتحقيق الهمزتين وإبدال الثانية ياء: قادة «يهدون» الناس «بأمرنا لما صبروا» على دينهم وعلى البلاء من عدوهم، وفي قراءة بكسر اللام وتخفيف الميم «وكانوا بآياتنا» الدالة على قدرتنا ووحدانيتنا «يوقنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22236','chapter_id' => '32','chapter_detail_id' => '3528','translator_id' => '4','verse_number' => '25','translate_name' => '«إن ربك هو يفصل بينهم يوم القيامة فيما كانوا فيه يختلفون» من أمر الدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22237','chapter_id' => '32','chapter_detail_id' => '3529','translator_id' => '4','verse_number' => '26','translate_name' => '«أو لم يهدِ لهم كم أهلكنا من قبلهم» أي يتبيَّن لكفار مكة إهلاكنا كثيرا «من القرون» الأمم بكفرهم «يمشون» حال من ضمير لهم «في مساكنهم» في أسفارهم إلى الشام وغيرها فيعتبروا «إن في ذلك لآيات» دلالات على قدرتنا «أفلا يسمعون» سماع تدبر واتعاظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22238','chapter_id' => '32','chapter_detail_id' => '3530','translator_id' => '4','verse_number' => '27','translate_name' => '«أو لم يروا أنا نسوق الماء إلى الأرض الجرز» اليابسة التي لا نبات فيها «فنخرج به زرعا تأكل منه أنعامهم وأنفسهم أفلا يبصرون» هذا فيعلمون أنا نقدر على إعادتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22239','chapter_id' => '32','chapter_detail_id' => '3531','translator_id' => '4','verse_number' => '28','translate_name' => '«ويقولون» للمؤمنين «متى هذا الفتح» بيننا وبينكم «إن كنتم صادقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22240','chapter_id' => '32','chapter_detail_id' => '3532','translator_id' => '4','verse_number' => '29','translate_name' => '«قل يوم الفتح» بإنزال العذاب بهم «لا ينفع الذين كفروا إيمانهم ولا هم ينظرون» يمهلون لتوبة أو معذرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22241','chapter_id' => '32','chapter_detail_id' => '3533','translator_id' => '4','verse_number' => '30','translate_name' => '«فأعرض عنهم وانتظر» إنزال العذاب بهم «إنهم منتظرون» بك حادث موت أو قتل فيستريحون منك، وهذا قبل الأمر بقتالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22242','chapter_id' => '33','chapter_detail_id' => '3534','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها النبي اتق الله» دم على تقواه «ولا تطع الكافرين والمنافقين» فيما يخالف شريعتك «إن الله كان عليما» بما يكون قبل كونه «حكيما» فيما يخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22243','chapter_id' => '33','chapter_detail_id' => '3535','translator_id' => '4','verse_number' => '2','translate_name' => '«واتبع ما يوحى إليك من ربك» أي القرآن «إن الله كان بما تعملون خبيرا» وفي قراءة بالتحتانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22244','chapter_id' => '33','chapter_detail_id' => '3536','translator_id' => '4','verse_number' => '3','translate_name' => '«وتوكل على الله» في أمرك «وكفى بالله وكيلا» حافظا لك، وأمته تبع له في ذلك كله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22245','chapter_id' => '33','chapter_detail_id' => '3537','translator_id' => '4','verse_number' => '4','translate_name' => '«ما جعل الله لرجل من قلبين في جوفه» ردا على من قال من الكفار إن له قلبين يعقل بكل منهما أفضل من عقل محمد «وما جعل أزواجكم اللائي» بهمزة وياء وبلا ياء «تَظَّهَّروُنَ» بلا ألف قبل الهاء وبها والتاء الثانية في الأصل مدغمة في الظاء «منهن» يقول الواحد مثلا لزوجته أنت على كظهر أمي «أمهاتكم» أي كالأمهات في تحريمها بذلك المعد في الجاهلية طلاقا، وإنما تجب به الكفارة بشرطه كما ذكر في سورة المجادلة «وما جعل أدعياءَكم» جمع دعي وهو من يدعي لغير أبيه أبنا له «أبناءَكم» حقيقة «ذلكم قولكم بأفواهكم» أي اليهود والمنافقين قالوا لما تزوج النبي صلى الله عليه وسلم زينب بنت جحش التي كانت امرأة زيد بن حارثة الذي تبناه النبي صلى الله عليه وسلم قالوا: تزوج محمد امرأة ابنه فأكذبهم الله تعالى في ذلك «والله يقول الحق» في ذلك «وهو يهدي السبيل» سبيل الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22246','chapter_id' => '33','chapter_detail_id' => '3538','translator_id' => '4','verse_number' => '5','translate_name' => 'لكن «ادعوهم لآبائهم هو أقسطُ» أعدل «عند الله، فإن لم تعلموا آباءهم فإخوانكم في الدين ومواليكم» بنو عمكم «وليس عليكم جناح فيما أخطأتم به» في ذلك «ولكن» في «ما تعمدت قلوبكم» فيه أي بعد النهي «وكان الله غفورا» لما كان من قولكم قبل النهي «رحيما» بكم في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22247','chapter_id' => '33','chapter_detail_id' => '3539','translator_id' => '4','verse_number' => '6','translate_name' => '«النبيُّ أولى بالمؤمنين من أنفسهم» فيما دعاهم إليه ودعتهم أنفسهم إلى خلافه «وأزواجه أمهاتهم» في حرمة نكاحهن عليهم «وأولوا الأرحام» ذوو القرابات «بعضهم أولى ببعض» في الإرث «في كتاب الله من المؤمنين والمهاجرين» أي من الإرث بالإيمان والهجرة الذي كان أول الإسلام فنسخ «إلا» لكن «أن تفعلوا إلى أوليائكم معروفا» بوصية فجائز «كان ذلك» أي نسخ الإرث بالإيمان والهجرة بإرث ذوي الأرحام «في الكتاب مسطورا» وأريد بالكتاب في الموضعين اللوح المحفوظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22248','chapter_id' => '33','chapter_detail_id' => '3540','translator_id' => '4','verse_number' => '7','translate_name' => '«و» اذكر «إذ أخذنا من النبيين ميثاقهم» حين أخرجوا من صلب آدم كالذرّ جمع ذرة وهي أصغر النمل «ومنك ومن نوح وإبراهيم وموسى وعيسى ابن مريم» بأن يعبدوا الله ويدعوا إلى عبادته وذكر الخمسة من عطف الخاص على العام «وأخذنا منهم ميثاقا غليظا» شديدا بالوفاء بما حملوه وهو اليمين بالله تعالى ثم أخذ الميثاق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22249','chapter_id' => '33','chapter_detail_id' => '3541','translator_id' => '4','verse_number' => '8','translate_name' => '«ليسأل» الله «الصادقين عن صدقهم» في تبليغ الرسالة تبكيتا للكافرين بهم «وأعد» تعالى «للكافرين» بهم «عذابا أليما» مؤلما هو عطف على أخذنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22250','chapter_id' => '33','chapter_detail_id' => '3542','translator_id' => '4','verse_number' => '9','translate_name' => '«يا أيها الذين آمنوا اذكروا نعمة الله عليكم إذ جاءتكم جنود» من الكفار متحزبون أيام حفر الخندق «فأرسلنا عليهم ريحا وجنودا لم تروها» من الملائكة «وكان الله بما تعملون» بالتاء من حفر الخندق وبالياء من تحزيب المشركين «بصيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22251','chapter_id' => '33','chapter_detail_id' => '3543','translator_id' => '4','verse_number' => '10','translate_name' => '«إذ جاؤوكم من فوقكم ومن أسفل منكم» من أعلى الوادي وأسفله من المشرق والمغرب «وإذ زاغت الأبصار» مالت عن كل شيء إلى عدوّها من كل جانب «وبلغت القلوب الحناجر» جمع حنجرة وهي منتهى الحلقوم من شدة الخوف «وتظنون بالله الظنونا» المختلفة بالنصر والبأس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22252','chapter_id' => '33','chapter_detail_id' => '3544','translator_id' => '4','verse_number' => '11','translate_name' => '«هنالك ابتُليَ المؤمنون» اختبروا ليتبين المخلص من غيره «وزلزلوا» حركوا «زلزالا شديدا» من شدة الفزع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22253','chapter_id' => '33','chapter_detail_id' => '3545','translator_id' => '4','verse_number' => '12','translate_name' => '«و» اذكر «إذ يقول المنافقون والذين في قلوبهم مرض» ضعف اعتقاد «ما وعدنا الله ورسوله» بالنصر «إلا غرورا» باطلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22254','chapter_id' => '33','chapter_detail_id' => '3546','translator_id' => '4','verse_number' => '13','translate_name' => '«وإذ قالت طائفة منهم» أي المنافقون «يا أهل يثرب» هي أرض المدينة ولم تصرف للعلمية ووزن الفعل «لا مقام لكم» بضم الميم وفتحها: أي لا إقامة ولا مكانة «فارجعوا» إلى منازلكم من المدينة وكانوا خرجوا مع النبي صلى الله عليه وسلم إلى سلع جبل خارج المدينة للقتال «ويستأذن فريق منهم النبي» في الرجوع «يقولون إنَّ بيوتنا عورة» غير حصينة يخشى عليها، قال تعالى: «وما هي بعورة إن» ما «يريدون إلا فرارا» من القتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22255','chapter_id' => '33','chapter_detail_id' => '3547','translator_id' => '4','verse_number' => '14','translate_name' => '«ولو دُخلت» أي المدينة «عليهم من أقطارها» نواحيها «ثم سُئِلوا» أي سألهم الداخلون «الفتنة» الشرك «لآتوها» بالمد والقصر أي أعطوها وفعلوها «وما تلبَّثوا بها إلا يسيراً».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22256','chapter_id' => '33','chapter_detail_id' => '3548','translator_id' => '4','verse_number' => '15','translate_name' => '«ولقد كانوا عاهدوا الله من قبل لا يولون الأدبار وكان عهد الله مسؤولا» عن الوفاء به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22257','chapter_id' => '33','chapter_detail_id' => '3549','translator_id' => '4','verse_number' => '16','translate_name' => '«قل لن ينفعكم الفرار إن فررتم من الموت أو القتل وإذا» إن فررتم «لا تمتعون» في الدنيا بعد فراركم «إلا قليلا» بقية آجالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22258','chapter_id' => '33','chapter_detail_id' => '3550','translator_id' => '4','verse_number' => '17','translate_name' => '«قل من ذا الذي يعصمكم» يجيركم «من الله إن أراد بكم سوءا» هلاكا وهزيمة «أو» يصيبكم بسوء إن «أراد» الله «بكم رحمة» خيرا «ولا يجدون لهم من دون الله» أي غيره «وليا» ينفعهم «ولا نصيرا» يدفع الضُرَّ عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22259','chapter_id' => '33','chapter_detail_id' => '3551','translator_id' => '4','verse_number' => '18','translate_name' => '«قد يعلم الله المعوقين» المثبطين «منكم والقائلين لإخوانهم هلمَّ» تعالوا «إلينا ولا يأتون البأس» القتال «إلا قليلا» رياء وسمعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22260','chapter_id' => '33','chapter_detail_id' => '3552','translator_id' => '4','verse_number' => '19','translate_name' => '«أشحة عليكم» بالمعاونة، جمع شحيح وهو حال من ضمير يأتون «فإذا جاء الخوف رأيتهم ينظرون إليك تدور أعينهم كالذي» كنظر أو كدوران الذي «يغشى عليه من الموت» أي سكراته «فإذا ذهب الخوف» وحيزت الغنائم «سلقوكم» آذوكم أو ضربوكم «بألسنة حداد أشحة على الخير» أي الغنيمة يطلبونها «أولئك لم يؤمنوا» حقيقة «فأحبط الله أعمالهم وكان ذلك» الإحباط «على الله يسيرا» بإرادته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22261','chapter_id' => '33','chapter_detail_id' => '3553','translator_id' => '4','verse_number' => '20','translate_name' => '«يحسبون الأحزاب» من الكفار «لم يذهبوا» إلى مكة لخوفهم منهم «وإن يأت الأحزاب» كرة أخرى «يودُّوا» يتمنوا «لو أنهم بادون في الأعراب» أي كائنون في البادية «يسألون عن أنبائكم» أخباركم مع الكفار «ولو كانوا فيكم» هذه الكرة «ما قاتلوا إلا قليلا» رياءً وخوفا من التعيير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22262','chapter_id' => '33','chapter_detail_id' => '3554','translator_id' => '4','verse_number' => '21','translate_name' => '«لقد كان لكم في رسول الله أسوة» بكسر الهمزة وضمها «حسنة» اقتداء به في القتال والثبات في مواطنه «لمن» بدل من لكم «كان يرجو الله» يخافه «واليوم الآخر وذكر الله كثيرا» بخلاف من ليس كذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22263','chapter_id' => '33','chapter_detail_id' => '3555','translator_id' => '4','verse_number' => '22','translate_name' => '«ولمَّا رأى المؤمنون الأحزاب» من الكفار «قالوا هذا ما وعدنا الله ورسوله» من الابتلاء والنصر «وصدق الله ورسوله» في الوعد «وما زادهم» ذلك «إلا إيمانا» تصديقا بوعد الله «وتسليما» لأمره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22264','chapter_id' => '33','chapter_detail_id' => '3556','translator_id' => '4','verse_number' => '23','translate_name' => '«من المؤمنين رجال صدقوا ما عاهدوا الله عليه» من الثبات مع النبي صلى الله عليه وسلم «فمنهم من قضى نحبه» مات أو قتل في سبيل الله «ومنهم من ينتظر» ذلك «وما بدَّلوا تبديلا» في العهد، وهم بخلاف حال المنافقين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22265','chapter_id' => '33','chapter_detail_id' => '3557','translator_id' => '4','verse_number' => '24','translate_name' => 'ليجزيَ الله الصادقين بصدقهم ويعذب المنافقين إن شاء» بأن يميتهم على نفاقهم «أو يتوب عليهم إن الله كان غفورا» لمن تاب «رحيما» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22266','chapter_id' => '33','chapter_detail_id' => '3558','translator_id' => '4','verse_number' => '25','translate_name' => '«وردَّ الله الذين كفروا» أي الأحزاب «بغيظهم لم ينالوا خيرا» مرادهم من الظفر بالمؤمنين «وكفى الله المؤمنين القتال» بالريح والملائكة «وكان الله قويا» على إيجاد ما يريده «عزيزا» غالبا على أمره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22267','chapter_id' => '33','chapter_detail_id' => '3559','translator_id' => '4','verse_number' => '26','translate_name' => '«وأنزل الذين ظاهروهم من أهل الكتاب» أي قريظة «من صياصيهم» حصونهم جمع صيصة وهو ما يتحصن به «وقذف في قلوبهم الرعب» الخوف «فريقا تقتلون» منهم وهم المقاتلة «وتأسرون فريقا» منهم أي الذراري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22268','chapter_id' => '33','chapter_detail_id' => '3560','translator_id' => '4','verse_number' => '27','translate_name' => '«وأورثكم أرضهم وديارهم وأموالهم وأرضا لم تطؤوها» بعد وهي خيبر أخذت بعد قريظة «وكان الله على كل شيءٍ قديرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22269','chapter_id' => '33','chapter_detail_id' => '3561','translator_id' => '4','verse_number' => '28','translate_name' => '«يا أيها النبي قل لأزواجك» وهن تسع وطلبن منه من زينة الدنيا ما ليس عنده «إن كنتنَّ تردن الحياة الدنيا وزينتها فتعالين أمتعكن» أي متعة الطلاق «وأسرحكن سراحا جميلا» أطلقكنَّ من غير ضرار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22270','chapter_id' => '33','chapter_detail_id' => '3562','translator_id' => '4','verse_number' => '29','translate_name' => '«وإن كنتنَّ تردن الله ورسوله والدار الآخرة» أي الجنة «فإن الله أعد للمحسنات منكن» بإرادة الآخرة «أجرا عظيما» أي الجنة: فاخترن الآخرة على الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22271','chapter_id' => '33','chapter_detail_id' => '3563','translator_id' => '4','verse_number' => '30','translate_name' => '«يا نساء النبي من يأت منكن بفاحشةٍ مبيَنةٍ» بفتح الياء وكسرها، أي بينت أو هي بينة «يضاعف» وفي قراءة يضعف بالتشديد وفي أخرى نضعف بالنون معه ونصب العذاب «لها العذاب ضعفين» ضعفي عذاب غيرهن، أي مثليه «وكان ذلك على الله يسيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22272','chapter_id' => '33','chapter_detail_id' => '3564','translator_id' => '4','verse_number' => '31','translate_name' => '«ومن يقنت» يطع «منكن الله ورسوله وتعمل صالحا نؤتها أجرها مرتين» أي مثلي ثواب غيرهن من النساء، وفي قراءة بالتحتانية في تعمل ونؤتها «وأعتدنا لها رزقا كريما» في الجنة زيادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22273','chapter_id' => '33','chapter_detail_id' => '3565','translator_id' => '4','verse_number' => '32','translate_name' => '«يا نساء النبي لستنَّ كأحد» كجماعة «من النساء إن اتقيتن» الله فإنكن أعظم «فلا تخضعن بالقول» للرجال «فيطمع الذي في قلبه مرض» نفاق «وقلن قولا معروفا» من غير خضوع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22274','chapter_id' => '33','chapter_detail_id' => '3566','translator_id' => '4','verse_number' => '33','translate_name' => '(وقرن) بكسر القاف وفتحها (في بيوتكن) من القرار وأصله: اقررن بكسر الراء وفتحها من قررت بفتح الراء وكسرها نقلت حركة الراء إلى القاف وحذفت مع همزة الوصل (ولا تبرجن) بترك إحدى التاءين من أصله (تبرج الجاهلية الأولى) أي ما قبل الإسلام من إظهار النساء محاسنهن للرجال والإظهار بعد الإسلام مذكور في آية "ولا يبدين زينتهن إلا ما ظهر منها" (وأقمن الصلاة وآتين الزكاة وأطعن الله ورسوله إنما يريد الله ليذهب عنكم الرجس) الإثم يا (أهل البيت) أي نساء النبي صلى الله عليه وسلم (ويطهركم) منه (تطهيرا).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22275','chapter_id' => '33','chapter_detail_id' => '3567','translator_id' => '4','verse_number' => '34','translate_name' => '«واذكرن ما يتلى في بيوتكن من آيات الله» القرآن «والحكمة» السنة «إن الله كان لطيفا» بأوليائه «خبيرا» بجميع خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22276','chapter_id' => '33','chapter_detail_id' => '3568','translator_id' => '4','verse_number' => '35','translate_name' => '«إن المسلمين والمسلمات والمؤمنين والمؤمنات والقانتين والقانتات» المطيعات «والصادقين والصادقات» في الإيمان «والصابرين والصابرات» على الطاعات «والخاشعين» المتواضعين «والخاشعات والمتصدقين والمتصدقات والصائمين والصائمات والحافظين فروجهم والحافظات» عن الحرام «والذاكرين الله كثيرا والذاكرات أعد الله لهم مغفرة» للمعاصي «وأجرا عظيما» على الطاعات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22277','chapter_id' => '33','chapter_detail_id' => '3569','translator_id' => '4','verse_number' => '36','translate_name' => '(وما كان لمؤمن ولا مؤمنة إذا قضي الله ورسوله أمرا أن تكون) بالتاء والياء (لهم الخيرة) أي الاختيار (من أمرهم) خلاف أمر الله ورسوله، نزلت في عبد الله بن جحش وأخته زينب خطبها النبي لزيد بن حارثة فكرها ذلك حين علما لظنهما قبل أن النبي صلى الله عليه وسلم خطبها لنفسه ثم رضيا للآية (ومن يعص الله ورسوله فقد ضل ضلالا مبينا) بينا فزوجها النبي صلى الله عليه وسلم لزيد ثم وقع بصره عليها بعد حين فوقع في نفسه حبها وفي نفس زيد كراهتها، ثم قال للنبي صلى الله عليه وسلم أريد فراقها فقال: "أمسك عليك زوجك" كما قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22278','chapter_id' => '33','chapter_detail_id' => '3570','translator_id' => '4','verse_number' => '37','translate_name' => '«وإذ» منصوب باذكر «تقول للذي أنعم الله عليه» بالإسلام «وأَنعمت عليه» بالإعتاق وهو زيد بن حارثة كان من سبي الجاهلية اشتراه رسول الله صلى الله عليه وسلم قبل البعثة وأعتقه وتبناه «أمسك عليك زوجك واتق الله» في أمر طلاقها «وتخفي في نفسك ما الله مبديه» مظهره من محبتها وأن لو فارقها زيد تزوجتها «وتخشى الناس» أن يقولوا تزوج زوجة ابنه «والله أحق أن تخشاه» في كل شيء وتزوجها ولا عليك من قول الناس، ثم طلقها زيد وانقضت عدتها قال تعالى: «فلما قضى زيد منها وطرا» حاجة «زوجناكها» فدخل عليها النبي صلى الله عليه وسلم بغير إذن وأشبع المسلمين خبزا ولحما «لكي لا يكون على المؤمنين حرج في أزواج أدعيائهم إذا قضوْا منهن وطرا وكان أمر الله» مقضيه «مفعولا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22279','chapter_id' => '33','chapter_detail_id' => '3571','translator_id' => '4','verse_number' => '38','translate_name' => '«ما كان على النبي من حرج فيما فرض» أحل «الله له سنة الله» أي كسنة الله فنصب بنزع الخافض «في الذين خلوْا من قبل» من الأنبياء أن لا حرج عليهم في ذلك توسعة لهم في النكاح «وكان أمر الله» فعله «قدرا مقدورا» مقضيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22280','chapter_id' => '33','chapter_detail_id' => '3572','translator_id' => '4','verse_number' => '39','translate_name' => '«الذين» نعت للذين قبله «يبلغون رسالات الله ويخشونه ولا يخشون أحدا إلا الله» فلا يخشون مقالة الناس فيما أحل الله لهم «وكفى بالله حسيبا» حافظا لأعمال خلقه ومحاسبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22281','chapter_id' => '33','chapter_detail_id' => '3573','translator_id' => '4','verse_number' => '40','translate_name' => '«ما كان محمد أبا أحد من رجالكم» فليس أبا زيد: أي والده فلا يحرم عليه التزوج بزوجته زينب «ولكن» كان «رسول الله وخاتِم النبيين» فلا يكون له ابن رجل بعده يكون نبيا، وفي قراءة بفتح التاء كآلة الختم: أي به ختموا «وكان الله بكل شيءٍ عليما» منه بأن لا نبيّ بعده وإذا نزل السيد عيسى يحكم بشريعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22282','chapter_id' => '33','chapter_detail_id' => '3574','translator_id' => '4','verse_number' => '41','translate_name' => '«يا أيها الذين آمنوا اذكروا الله ذكرا كثيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22283','chapter_id' => '33','chapter_detail_id' => '3575','translator_id' => '4','verse_number' => '42','translate_name' => '«وسبحوه بكرةً وأصيلا» أول النهار وآخره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22284','chapter_id' => '33','chapter_detail_id' => '3576','translator_id' => '4','verse_number' => '43','translate_name' => '«هو الذي يصلي عليكم» أي يرحمكم «وملائكته» يستغفرون لكم «ليخرجكم» ليديم إخراجه إياكم «من الظلمات» أي الكفر «إلى النور» أي الإيمان «وكان بالمؤمنين رحيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22285','chapter_id' => '33','chapter_detail_id' => '3577','translator_id' => '4','verse_number' => '44','translate_name' => '«تحيتهم» منه تعالى «يوم يلقوْنه سلام» بلسان الملائكة «وأعد لهم أجرا كريما» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22286','chapter_id' => '33','chapter_detail_id' => '3578','translator_id' => '4','verse_number' => '45','translate_name' => '«يا أيها النبي إنا أرسلناك شاهدا» على من أرسلت إليهم «ومبشرا» من صدقك بالجنة «ونذيرا» منذرا من كذبك بالنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22287','chapter_id' => '33','chapter_detail_id' => '3579','translator_id' => '4','verse_number' => '46','translate_name' => '«وداعيا إلى الله» إلى طاعته «بإذنه» بأمره «وسراجا منيرا» أي مثله في الاهتداء به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22288','chapter_id' => '33','chapter_detail_id' => '3580','translator_id' => '4','verse_number' => '47','translate_name' => '«وبشّر المؤمنين بأن لهم من الله فضلا كبيرا» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22289','chapter_id' => '33','chapter_detail_id' => '3581','translator_id' => '4','verse_number' => '48','translate_name' => '«ولا تطع الكافرين والمنافقين» فيما يخالف شريعتك «ودع» اترك «أذاهم» لا تجازهم عليه إلى أن تؤمر فيهم بأمر «وتوكل على الله» فهو كافيك «وكفى بالله وكيلا» مفوضا إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22290','chapter_id' => '33','chapter_detail_id' => '3582','translator_id' => '4','verse_number' => '49','translate_name' => '«يا أيها الذين آمنوا إذا نكحتم المؤمنات ثم طلقتموهن من قبل أن تمسوهن» وفي قراءة تماسوهنَّ، أي تجامعوهنَّ «فما لكم عليهن من عدة تعتدونها» تحصونها بالأقراء وغيرها «فمتعوهن» أعطوهن ما يستمتعن به، أي إن لم يسم لهن أصدقة وإلا فلهن نصف المسمى فقط، قاله ابن عباس وعليه الشافعي «وسرّحوهن سراحا جميلا» خلوا سبيلهن من غير إضرار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22291','chapter_id' => '33','chapter_detail_id' => '3583','translator_id' => '4','verse_number' => '50','translate_name' => 'يا أيها النبي إنا أحللنا لك أزواجك اللاتي آتيت أجورهن» مهورهن «وما ملكت يمينك مما أفاء الله عليك» من الكفار بالسبي كصفية وجويرية «وبنات عمك وبنات عماتك وبنات خالك وبنات خالاتك اللاتي هاجرن معك» بخلاف من لم يهاجرن «وامرأةً مؤمنة إن وهبت نفسها للنبي إن أراد النبي أن يستنكحها» يطلب نكاحها بغير صداق «خالصة لك من دون المؤمنين» النكاح بلفظ الهبة من غير صداق «قد علمنا ما فرضنا عليهم» أي المؤمنين «في أزواجهم» من الأحكام بأن لا يزيدوا على أربع نسوة ولا يتزوجوا إلا بوليٍّ وشهود ومهر «و» في «ما ملكت أيمانهم» من الإماء بشراء وغيره بأن تكون الأمة ممن تحل لمالكها كالكتابية بخلاف المجوسية والوثنية وأن تستبرأ قبل الوطء «لكيلا» متعلق بما قبل ذلك «يكون عليك حرج» ضيق في النكاح «وكان الله غفورا» فيما يَعسر التحرز عنه «رحيما» بالتوسعة في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22292','chapter_id' => '33','chapter_detail_id' => '3584','translator_id' => '4','verse_number' => '51','translate_name' => '«ترجئ» بالهمزة والياء بدله تؤخر «من تشاء منهنَّ» أي أزواجك عن نوبتها «وتؤوي» تضم «إليك من تشاء» منهن فتأتيها «ومن ابتغيت» طلبت «ممن عزلت» من القسمة «فلا جُناح عليك» في طلبها وضمها إليك خُيِّر في ذلك بعد أن كان القسم واجبا عليه «ذلك» التخيير «أدنى» أقرب إلى «أن تقرَّ أعينهنَّ ولا يحزن ويرضين بما آتيتهن» ما ذكر المخيّر فيه «كلهن» تأكيد للفاعل في يرضين «والله يعلم ما في قلوبكم» من أمر النساء والميل إلى بعضهن، وإنما خيَّرناك فيهن تيسيرا عليك في كل ما أردت «وكان الله عليما» بخلقه «حليما» عن عقابهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22293','chapter_id' => '33','chapter_detail_id' => '3585','translator_id' => '4','verse_number' => '52','translate_name' => '«لا تحل» بالتاء وبالياء «لك النساء من بعد» التسع اللاتي اخترنك «ولا أن تبدل» بترك إحدى التاءين في الأصل «بهن من أزواج» بأن تطلقهن أو بعضهن وتنكح بدل من طلقت «ولو أعجبك حسنهن إلا ما ملكت يمينك» من الإماء فتحل لك وقد ملك صلى الله عليه وسلم بعدهن مارية وولدت له إبراهيم ومات في حياته «وكان الله على شيءٍ رقيبا» حفيظا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22294','chapter_id' => '33','chapter_detail_id' => '3586','translator_id' => '4','verse_number' => '53','translate_name' => '«يا أيها الذين آمنوا لا تدخلوا بيوت النبي إلا أن يؤذن لكم» في الدخول بالدعاء «إلى طعام» فتدخلوا «غير ناظرين» منتظرين «إناه» نضجه مصدر أنى يأنى «ولكن إذا دعيتم فادخلوا فإذا طعمتم فانتشروا ولا» تمكثوا «مستأنسين لحديث» من بعضكم لبعض «إن ذلكم» المكث «كان يؤذي النبي فيستحيي منكم» أن يخرجكم «والله لا يستحيي من الحق» أن يخرجكم، أي لا يترك بيانه، وقرئ يستحي بياء واحدة «وإذا سألتموهن» أي أزواج النبي صلى الله عليه وسلم «متاعا فاسألوهن من وراء حجابٍ» ستر «ذلكم أطهر لقلوبكم وقلوبهن» من الخواطر المريبة «وما كان لكم أن تؤذوا رسول الله» بشيء «ولا أن تنكحوا أزواجه من بعده أبدا إن ذلكم كان عند الله» ذنبا «عظيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22295','chapter_id' => '33','chapter_detail_id' => '3587','translator_id' => '4','verse_number' => '54','translate_name' => '«إن تبدوا شيئا أو تخفوه» من نكاحهنَّ بعده «فإن الله كان بكل شيءٍ عليماً» فيجازيكم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22296','chapter_id' => '33','chapter_detail_id' => '3588','translator_id' => '4','verse_number' => '55','translate_name' => '«لا جناح عليهنَّ في آبائهن ولا أبنائهن ولا إخوانهن ولا أبناء إخوانهن ولا أبناء أخواتهن ولا نسائهن» أي المؤمنات «ولا ما ملكت أيمانهن» من الإماء والعبيد أن يروهن ويكلموهن من غير حجاب «واتقين الله» فيما أمرتن به «إن الله كان على كل شيءٍ شهيدا» لا يخفى عليه شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22297','chapter_id' => '33','chapter_detail_id' => '3589','translator_id' => '4','verse_number' => '56','translate_name' => '«إن الله وملائكته يصلُّون على النبي» محمد صلى الله عليه وسلم «يا أيها الذين آمنوا صلوا عليه وسلموا تسليماً» أي قولوا: اللهم صل على سيدنا محمد وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22298','chapter_id' => '33','chapter_detail_id' => '3590','translator_id' => '4','verse_number' => '57','translate_name' => '«إن الذين يؤذون الله ورسوله» وهم الكفار يصفون الله بما هو منزه عنه من الولد والشريك ويكذبون رسوله «لعنهم الله في الدنيا والآخرة» أبعدهم «وأعدَّ لهم عذاباً مهيناً» ذا إهانة وهو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22299','chapter_id' => '33','chapter_detail_id' => '3591','translator_id' => '4','verse_number' => '58','translate_name' => '«والذين يؤذون المؤمنين والمؤمنات بغير ما اكتسبوا» يرمونهم بغير ما عملوا «فقد احتملوا بهتانا» تحملوا كذبا «وإثما مبينا» بيِّنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22300','chapter_id' => '33','chapter_detail_id' => '3592','translator_id' => '4','verse_number' => '59','translate_name' => '«يا أيها النبي قل لأزواجك وبناتك ونساء المؤمنين يدنين عليهن من جلابيبهن» جمع جلباب وهي الملاءة التي تشتمل بها المرأة، أي يرخين بعضها على الوجوه إذا خرجن لحاجتهن إلا عينا واحدة «ذلك أدنى» أقرب إلى «أن يعرفن» بأنهن حرائر «فلا يؤذين» بالتعرض لهن بخلاف الإماء فلا يغطين وجوههن، فكان المنافقون يتعرضون لهم «وكان الله غفورا» لما سلف منهن من ترك الستر «رحيما» بهن إذ سترهن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22301','chapter_id' => '33','chapter_detail_id' => '3593','translator_id' => '4','verse_number' => '60','translate_name' => '«لئن» لام قسم «لم ينته المنافقون» عن نفاقهم «والذين في قلوبهم مرض» بالزنا «والمرجفون في المدينة» المؤمنين بقولهم قد أتاكم العدو وسراياكم قتلوا أو هزموا «لنغرينك بهم» لنسلطنك عليهم «ثم لا يجاورونك» يساكنوك «فيها إلا قليلا» ثم يخرجون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22302','chapter_id' => '33','chapter_detail_id' => '3594','translator_id' => '4','verse_number' => '61','translate_name' => '«ملعونين» مبعدين عن الرحمة «أينما ثقفوا» وجدوا «أخذوا وقتِّلوا تقتيلا» أي الحكم فيهم هذا على جهة الأمر به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22303','chapter_id' => '33','chapter_detail_id' => '3595','translator_id' => '4','verse_number' => '62','translate_name' => '«سُنَّة الله» أي سنَّ الله ذلك «في الذين خلوْا من قبل» من الأمم الماضية في منافقيهم المرجفين المؤمنين «ولن تجد لسنة الله تبديلا» منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22304','chapter_id' => '33','chapter_detail_id' => '3596','translator_id' => '4','verse_number' => '63','translate_name' => '«يسألك الناس» أهل مكة «عن الساعة» متى تكون «قل إنما علمها عند الله وما يدريك» يعلمك بها: أي أنت لا تعلمها «لعلَّ الساعة تكون» توجد «قريبا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22305','chapter_id' => '33','chapter_detail_id' => '3597','translator_id' => '4','verse_number' => '64','translate_name' => '«إن الله لعن الكافرين» أبعدهم «وأعدَّ لهم سعيرا» نارا شديدة يدخلونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22306','chapter_id' => '33','chapter_detail_id' => '3598','translator_id' => '4','verse_number' => '65','translate_name' => '«خالدين» مقدرا خلودهم «فيها أبدا لا يجدون وليا» يحفظهم عنها «ولا نصيرا» يدفعها عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22307','chapter_id' => '33','chapter_detail_id' => '3599','translator_id' => '4','verse_number' => '66','translate_name' => '«يوم تُقلب وجوههم في النار يقولون يا» للتنبيه «ليتنا أطعنا الله وأطعنا الرسولا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22308','chapter_id' => '33','chapter_detail_id' => '3600','translator_id' => '4','verse_number' => '67','translate_name' => '«وقالوا» أي الأتباع منهم «ربنا إنا أطعنا سادتنا» وفي قراءة ساداتنا، جمع الجمع «وكبراءنا فأضلونا السبيلا» طريق الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22309','chapter_id' => '33','chapter_detail_id' => '3601','translator_id' => '4','verse_number' => '68','translate_name' => '«ربنا آتهم ضعفين من العذاب» أي مثليْ عذابنا «والعنهم» عذبهم «لعنا كثيرا» عدده، وفي قراءة بالموحدة، أي عظيماً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22310','chapter_id' => '33','chapter_detail_id' => '3602','translator_id' => '4','verse_number' => '69','translate_name' => '(يا أيها الذين آمنوا لا تكونوا) مع نبيكم (كالذين آذوا موسى) بقولهم مثلا: ما يمنعه أن يغتسل معنا إلا أنه آذر (فبرأه الله مما قالوا) بأن وضع ثوبه على حجر ليغتسل ففر الحجر به حتى وقف بين ملأ من بني إسرائيل فأدركه موسى فأخذ ثوبه فاستتر به فرأوه ولا أدرة به وهي نفخة في الخصية (وكان عند الله وجيها) ذا جاه: ومما أوذي به نبينا صلى الله عليه وسلم أنه قسم قسما فقال رجل هذه قسمة ما أريد بها وجه الله تعالى، فغضب النبي صلى الله عليه وسلم من ذلك وقال: "يرحم الله موسى لقد أوذي بأكثر من هذا فصبر" رواه البخاري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22311','chapter_id' => '33','chapter_detail_id' => '3603','translator_id' => '4','verse_number' => '70','translate_name' => '«يا أيها الذين آمنوا اتقوا الله وقولوا قوْلا سديدا» صوابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22312','chapter_id' => '33','chapter_detail_id' => '3604','translator_id' => '4','verse_number' => '71','translate_name' => '«يصلح لكم أعمالكم» يتقبلها «ويغفر لكم ذنوبكم ومن يطع الله ورسوله فقد فاز فوزا عظيما» نال غاية مطلوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22313','chapter_id' => '33','chapter_detail_id' => '3605','translator_id' => '4','verse_number' => '72','translate_name' => '«إنا عرضنا الأمانة» الصلوات وغيرهما مما في فعلها من الثواب وتركها من العقاب «على السماوات والأرض والجبال» بأن خلق فيهما فهما ونطقا «فأبين أن يحملنها وأشفقن» خفن «منها وحملها الإنسان» آدم بعد عرضها عليه «إنه كان ظلوما» لنفسه بما حمله «جهولا» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22314','chapter_id' => '33','chapter_detail_id' => '3606','translator_id' => '4','verse_number' => '73','translate_name' => '«ليعذب الله» اللام متعلقة بعرضنا المترتب عليه حمل آدم «المنافقين والمنافقات والمشركين والمشركات» المضيعين الأمانة «ويتوب الله على المؤمنين والمؤمنات» المؤدين الأمانة «وكان الله غفورا» للمؤمنين «رحيما» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22315','chapter_id' => '34','chapter_detail_id' => '3607','translator_id' => '4','verse_number' => '1','translate_name' => '«الحمد لله» حمد تعالى نفسه بذلك، والمراد به الثناء بمضمونه من ثبوت الحمد وهو الوصف بالجميل لله تعالى «الذي له ما في السماوات وما في الأرض» ملكا وخلقا «وله الحمد في الآخرة» كالدنيا يحمده أولياؤه إذا دخلوا الجنة «وهو الحكيم» في فعله «الخبير» في خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22316','chapter_id' => '34','chapter_detail_id' => '3608','translator_id' => '4','verse_number' => '2','translate_name' => '«يعلم ما يلج» يدخل «في الأرض» كماء وغيره «وما يخرج منها» كنبات وغيره «وما ينزل من السماء» من رزق وغيره «وما يعرج» يصعد «فيها» من عمل وغيره «وهو الرحيم» بأوليائه «الغفور» لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22317','chapter_id' => '34','chapter_detail_id' => '3609','translator_id' => '4','verse_number' => '3','translate_name' => '«وقال الذين كفروا لا تأتينا الساعة» القيامة «قل» لهم «بلى وربي لتأتينكم عالم الغيب» بالجر صفة والرفع خبر مبتدأ وعلام بالجر «لا يعزب» يغيب «عنه مثقال» وزن «ذرة» أصغر نملة «في السماوات ولا في الأرض ولا أصغر من ذلك ولا أكبر إلا في كتاب مبين» بيَّن وهو اللوح المحفوظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22318','chapter_id' => '34','chapter_detail_id' => '3610','translator_id' => '4','verse_number' => '4','translate_name' => '«ليجزي» فيها «الذين آمنوا وعملوا الصالحات أولئك لهم مغفرة ورزق كريم» حسن في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22319','chapter_id' => '34','chapter_detail_id' => '3611','translator_id' => '4','verse_number' => '5','translate_name' => '«والذين سعوا في» إبطال «آياتنا» القرآن «معجزين» وفي قراءة هنا وفيما يأتي معاجزين، أي مقدرين عجزنا أو مسابقين لنا فيفوتونا لظنهم أن لا بعث ولا عقاب «أولئك لهم عذاب من رجز» سيء العذاب «أليم» مؤلم بالجر والرفع صفة لرجز أو عذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22320','chapter_id' => '34','chapter_detail_id' => '3612','translator_id' => '4','verse_number' => '6','translate_name' => '«ويرى» يعلم «الذين أوتوا العلم» مؤمنوا أهل الكتاب كعبد الله بن سلام وأصحابه «الذي أنزل إليك من ربك» أي القرآن «هو» فصل «الحق ويهدي إلى صراط» طريق «العزيز الحميد» أي الله ذي العزة المحمود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22321','chapter_id' => '34','chapter_detail_id' => '3613','translator_id' => '4','verse_number' => '7','translate_name' => '«وقال الذين كفروا» أي قال بعضهم على جهة التعجب لبعض «هل ندلكم على رجل» هو محمد «ينبئكم» يخبركم أنكم «إذا مزقتم» قطعتم «كل ممزق» بمعنى تمزيق «إنكم لفي خلق جديد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22322','chapter_id' => '34','chapter_detail_id' => '3614','translator_id' => '4','verse_number' => '8','translate_name' => '«أفترى» بفتح الهمزة للاستفهام واستغني بها عن همزة الوصل «على الله كذبا» في ذلك «أم به جنة» جنون تخيل به ذلك قال تعالى: «بل الذين لا يؤمنون بالآخرة» المشتملة على البعث والعذاب «في العذاب» فيها «والضلال البعيد» عن الحق في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22323','chapter_id' => '34','chapter_detail_id' => '3615','translator_id' => '4','verse_number' => '9','translate_name' => '«أفلم يروا» ينظروا «إلى ما بين أيديهم وما خلفهم» ما فوقهم وما تحتهم «من السماء والأرض إن نشأ نخسف بهم الأرض أو نسقط عليهم كسْفا» بسكون السين وفتحها قِطَعَا «من السماء» وفي قراءة في الأفعال الثلاثة بالياء «إن في ذلك» المرئي «لآيه لكل عبد منيب» راجع إلى ربه تدل على قدرة الله على البعث وما يشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22324','chapter_id' => '34','chapter_detail_id' => '3616','translator_id' => '4','verse_number' => '10','translate_name' => '«ولقد آتينا داود منا فضلا» نبوة وكتابا وقلنا «يا جبال أوّبي» رجعي «معه» بالتسبيح «والطير» بالنصب عطفا على محل الجبال، أي ودعوناها تسبح معه «وألنا له الحديد» فكان في يده كالعجين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22325','chapter_id' => '34','chapter_detail_id' => '3617','translator_id' => '4','verse_number' => '11','translate_name' => 'وقلنا «أن اعمل» منه «سابغات» دروعا كوامل يجرها لابسها على الأرض «وقدر في السرد» أي نسج الدروع قيل لصانعها سراد، أي اجعله بحيث تتناسب حلقه «واعملوا» أي آل داود معه «صالحا إني بما تعملون بصير» فأجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22326','chapter_id' => '34','chapter_detail_id' => '3618','translator_id' => '4','verse_number' => '12','translate_name' => '«و» سخرنا «لسليمان الريح» وقراءة الرفع بتقدير تسخير «غدوها» مسيرها من الغدوة بمعنى الصباح إلى الزوال «شهر ورواحها» سيرها من الزوال إلى الغروب «شهر» أي مسيرته «وأسلنا» أذبنا «له عين القطر» أي النحاس فأجريت ثلاثة أيام بلياليهن كجري الماء وعمل الناس إلى اليوم مما أعطي سليمان «ومن الجن من يعمل بين يديه بإذن» بأمر «ربه ومن يزغ» يعدل «منهم عن أمرنا» له بطاعته «نذقه من عذاب السعير» النار في الآخرة، وقيل في الدنيا بأن يضربه ملك بسوط منها ضربة تحرقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22327','chapter_id' => '34','chapter_detail_id' => '3619','translator_id' => '4','verse_number' => '13','translate_name' => '«يعملون له ما يشاء من محاريب» أبنية مرتفعة يصعد اليها بدرج «وتماثيل» جمع تمثال وهو كل شيء مثلته بشيء، أي صور من نحاس وزجاج ورخام، ولم يكن اتخاذ الصور حراما في شريعته «وجفان» جمع جفنه «كالجوابـ» ـي جمع جابية وهو حوض كبير، يجتمع على الجفنة ألف رجل يأكلون منها «وقدور راسيات» ثابتات لها قوائم لا تتحرك عن أماكنها تتخذ من الجبال باليمن يصعد إليها بالسلالم وقلنا «اعملوا» يا «آل داود» بطاعة الله «شكرا» له على ما أتاكم «وقليل من عبادي الشكور» العامل بطاعتي شكرا لنعمتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22328','chapter_id' => '34','chapter_detail_id' => '3620','translator_id' => '4','verse_number' => '14','translate_name' => '«فلما قضينا عليه» على سليمان «الموت» أي مات ومكث قائما على عصاه حولا ميتا والجن تعمل تلك الأعمال الشاقة على عادتها لا تشعر بموته حتى أكلت الأرضة عصاه فخرّ ميتا «ما دلهم على موته إلا دابة الأرض» مصدر أرضت الخشبة بالبناء للمفعول أكلتها الأرضه «تأكل منسأته» بالهمز وتركه بألف عصاه لأنها ينسأ يطرد ويزجر بها «فلما خرَّ» ميتا «تبينت الجن» انكشف لهم «أن» مخففة أي أنهم «لو كانوا يعلمون الغيب» ومنه ما غاب عنهم من موت سليمان «ما لبثوا في العذاب المهين» العمل الشاق لهم لظنهم حياته خلاف ظنهم علم الغيب وعلم كونه سنة بحساب ما أكلته الأرضة من العصا بعد موته يوما وليلة مثلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22329','chapter_id' => '34','chapter_detail_id' => '3621','translator_id' => '4','verse_number' => '15','translate_name' => '«لقد كان لسبأ» بالصرف وعدمه قبيلة سميت باسم جد لهم من العرب «في مسكنهم» باليمن «آية» دالة على قدرة الله تعالى «جنتان» بدل «عن يمين وشمال» من يمين واديهم وشماله وقيل لهم: «كلوا من رزق ربكم واشكروا له» على ما رزقكم من النعمة في أرض سبأ «بلدة طيبة» ليس فيها سباخ ولا بعوضة ولا ذبابة ولا برغوث ولا عقرب ولا حية ويمر الغريب فيها وفي ثيابه قمل فيموت لطيب هوائها «و» الله «رب غفور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22330','chapter_id' => '34','chapter_detail_id' => '3622','translator_id' => '4','verse_number' => '16','translate_name' => '«فأعرضوا» عن شكره وكفروا «فأرسلنا عليهم سيل العرم» جمع عرمة وهو ما يمسك الماء من بناء وغيره إلى وقت حاجته، أي سيل واديهم الممسوك بما ذكر فأغرق جنتيهم وأموالهم «وبدلناهم بجنتيهم جنتين ذواتي» تثنية ذوات مفرد على الأصل «أُكُلٍ خَمْطِ» مرِّ بشع بإضافة أكل بمعنى مأكول وتركها ويعطف عليه «وأثل وشيء من سدر قليل».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22331','chapter_id' => '34','chapter_detail_id' => '3623','translator_id' => '4','verse_number' => '17','translate_name' => '«ذلك» التبديل «جزيناهم بما كفرواْ» بكفرهم «وهل يجازِى إلا الكفور» بالياء والنون مع كسر الزاي ونصب الكفور، أي ما يناقش إلا هو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22332','chapter_id' => '34','chapter_detail_id' => '3624','translator_id' => '4','verse_number' => '18','translate_name' => '«وجعلنا بينهم» بين سبأ، وهم باليمن «وبين القرى التي باركنا فيها» بالماء والشجر وهي قرى الشام التي يسيرون إليها للتجارة «قرى ظاهرة» متواصلة من اليمن إلى الشام «وقدرنا فيها السير» بحيث يقيلون في واحدة ويبيتون في أخرى إلى انتهاء سفرهم ولا يحتاجون فيه إلى حمل زاد وماء أي وقلنا «سيروا فيها ليالي وأياما آمنين» لا تخافون في ليل ولا في نهار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22333','chapter_id' => '34','chapter_detail_id' => '3625','translator_id' => '4','verse_number' => '19','translate_name' => '«فقالوا ربنا بَعِّدْ» وفي قراءة باعد «بين أسفارنا» إلى الشام اجعلها مفاوز ليتطاولوا على الفقراء بركوب الرواحل وحمل الزاد والماء فبطروا النعمة «وظلموا أنفسهم» بالكفر «فجعلناهم أحاديث» لمن بعدهم في ذلك «ومزقناهم كل ممزق» فرقناهم في البلاد كل التفريق «إن في ذلك» المذكور «لآيات» عبر «لكل صبَّار» عن المعاصي «شكور» على النعم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22334','chapter_id' => '34','chapter_detail_id' => '3626','translator_id' => '4','verse_number' => '20','translate_name' => '«ولقد صدق» بالتخفيف والتشديد «عليهم» أي الكفار منهم سبأ «إبليس ظنه» أنهم بإغوائه يتبعونه «فاتبعوه» فصدق بالتخفيف في ظنه أو صدق بالشديد ظنه أي وجده صادقا «إلا» بمعنى لكن «فريقا من المؤمنين» لبيان أي هم المؤمنون لم يتبعوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22335','chapter_id' => '34','chapter_detail_id' => '3627','translator_id' => '4','verse_number' => '21','translate_name' => '«وما كان له عليهم من سلطان» تسليط «إلا لنعلم» علم ظهور «من يؤمن بالآخرة ممن هو منها في شك» فنجازي كلا منهما «وربك على شيء حفيظ» رقيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22336','chapter_id' => '34','chapter_detail_id' => '3628','translator_id' => '4','verse_number' => '22','translate_name' => '«قل» يا محمد لكفار مكة «ادعوا الذين زعمتم» أي زعمتموهم آلهة «من دون الله» أي غيره لينفعوكم بزعمكم قال تعالى فيهم: «لا يملكون مثقال» وزن «ذرة» من خير أو شر «في السماوات ولا في الأرض وما لهم فيهما من شرك» شركة «وما له» تعالى «منهم» من الآلهة «من ظهير» معين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22337','chapter_id' => '34','chapter_detail_id' => '3629','translator_id' => '4','verse_number' => '23','translate_name' => '«ولا تنفع الشفاعة عنده» تعالى ردا لقولهم إن آلهتهم تشفع عنده «إلا لمن أذن» بفتح الهمزة وضمها «له» فيها «حتى إذا فَزَّع» بالبناء والمفعول «عن قلوبهم» كشف عنها الفزع بالإذن فيها «قالوا» قال بعضهم لبعض استبشارا «ماذا قال ربكم» فيها «قالوا» القول «الحق» أي قد أذن فيها «وهو العليّ» فوق خلقه بالقهر «الكبير» العظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22338','chapter_id' => '34','chapter_detail_id' => '3630','translator_id' => '4','verse_number' => '24','translate_name' => '«قل من يرزقكم من السماوات» المطر «والأرض» النبات «قل الله» إن لم يقولوه، لا جواب غيره «وإنا أو إياكم» أي أحد الفريقين «لعلى هدى أو في ضلال مبين» بين، في الإبهام إذا وفقوا له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22339','chapter_id' => '34','chapter_detail_id' => '3631','translator_id' => '4','verse_number' => '25','translate_name' => '«قل لا تسألون عما أجرمنا» أذنبنا «ولا نسأل عما تعملون» لأنا بريئون منكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22340','chapter_id' => '34','chapter_detail_id' => '3632','translator_id' => '4','verse_number' => '26','translate_name' => '«قل يجمع بينا ربنا» يوم القيامة «ثم يفتح» يحكم «بيننا بالحق» فيدخل المحقين الجنة والمبطلين النار «وهو الفتاح» الحاكم «العليم» بما يحكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22341','chapter_id' => '34','chapter_detail_id' => '3633','translator_id' => '4','verse_number' => '27','translate_name' => '«قل أروني» أعلموني «الذين ألحقتم به شركاء» في العبادة «كلا» ردع لهم عن اعتقاد شريك له «بل هو الله العزيز» الغالب على أمره «الحكيم» في تدبيره لخلقه فلا يكون له شريك في ملكه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22342','chapter_id' => '34','chapter_detail_id' => '3634','translator_id' => '4','verse_number' => '28','translate_name' => '«وما أرسلناك إلا كافة» حال من الناس قدم للاهتمام «للناس بشيرا» مبشرا للمؤمنين بالجنة «ونذيرا» منذرا للكافرين بالعذاب «ولكن أكثر الناس» أي كفار مكة «لا يعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22343','chapter_id' => '34','chapter_detail_id' => '3635','translator_id' => '4','verse_number' => '29','translate_name' => '«ويقولون متى هذا الوعد» بالعذاب «إن كنتم صادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22344','chapter_id' => '34','chapter_detail_id' => '3636','translator_id' => '4','verse_number' => '30','translate_name' => '«قل لكم ميعاد يوم لا تستأخرون عنه ساعة ولا تستقدمون» عليه وهو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22345','chapter_id' => '34','chapter_detail_id' => '3637','translator_id' => '4','verse_number' => '31','translate_name' => '«وقال الذين كفروا» من أهل مكة «لن نؤمن بهذا القرآن ولا بالذي بين يديه» أي تقدمه كالتوراة والإنجيل الدالين على البعث لإنكارهم له قال تعالى فيهم «ولو ترى» يا محمد «إذ الظالمون» الكافرون «موقوفون عند ربهم يرجع بعضهم إلى بعض القول يقول الذين استضعفوا» الأتباع «للذين استكبروا» الرؤساء «لولا أنتم» صددتمونا عن الإيمان «لكنا مؤمنين» بالنبي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22346','chapter_id' => '34','chapter_detail_id' => '3638','translator_id' => '4','verse_number' => '32','translate_name' => '«قال الذين استكبروا للذين استضعفوا أنحن صددناكم عن الهدى بعد إذ جاءكم» لا «بل كنتم مجرمين» في أنفسكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22347','chapter_id' => '34','chapter_detail_id' => '3639','translator_id' => '4','verse_number' => '33','translate_name' => '«وقال الذين استضعفوا للذين استكبروا بل مكر الليل والنهار» أي مكر فيهما منكم بنا «إذ تأمروننا أن نكفر بالله ونجعل له أندادا» شركاء «وأسرُّوا» أي الفريقين «الندامة» على ترك الإيمان به «لما رأوا العذاب» أي أخفاها كل عن رفيقه مخافة التعيير «وجعلنا الأغلال في أعناق الذين كفروا» في النار «هل» ما «يجزون إلا» جزاء «ما كانوا يعملون» في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22348','chapter_id' => '34','chapter_detail_id' => '3640','translator_id' => '4','verse_number' => '34','translate_name' => '«وما أرسلنا في قرية من نذير إلا قال مترفوها» رؤساؤها المتنعمون «إنا بما أرسلتم به كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22349','chapter_id' => '34','chapter_detail_id' => '3641','translator_id' => '4','verse_number' => '35','translate_name' => '«وقالوا نحن أكثر أموالا وأولادا» ممن آمن «وما نحن بمعذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22350','chapter_id' => '34','chapter_detail_id' => '3642','translator_id' => '4','verse_number' => '36','translate_name' => '«قل إن ربي يبسط الرزق» يوسعه «لمن يشاء» امتحانا «ويقدر» يضيقه لمن يشاء ابتلاءً «ولكن أكثر الناس» أي كفار مكة «لا يعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22351','chapter_id' => '34','chapter_detail_id' => '3643','translator_id' => '4','verse_number' => '37','translate_name' => '«وما أموالكم ولا أولادكم بالتي تقربكم عندنا زلفى» قربى، أي تقريبا «إلا» لكن «من آمن وعمل صالحا فأولئك لهم جزاءُ الضعف بما عملوا» أي جزاء العمل: الحسنة مثلا بعشر فأكثر «وهم في الغرفات» من الجنة «آمنون» من الموت وغيره، وفي قراءة الغرفة بمعنى الجمع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22352','chapter_id' => '34','chapter_detail_id' => '3644','translator_id' => '4','verse_number' => '38','translate_name' => '«والذين يسعوْن في آياتنا» القرآن بالإبطال «معجِّزين» لنا مقدّرين عجزنا وأنهم يفوتوننا «أولئك في العذاب محضرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22353','chapter_id' => '34','chapter_detail_id' => '3645','translator_id' => '4','verse_number' => '39','translate_name' => '«قل إن ربي يبسط الرزق» يوسعه «لمن يشاء من عباده» امتحانا «ويقدر» يضيقه «له» بعد البسط أو لمن يشاء ابتلاءً «وما أنفقتم من شيء» في الخير «فهو يخلفه وهو خير الرازقين» يقال: كل إنسان يرزق عائلته، أي من رزق الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22354','chapter_id' => '34','chapter_detail_id' => '3646','translator_id' => '4','verse_number' => '40','translate_name' => '«و» اذكر «يوم نحشرهم جميعا» أي المشركين «ثم نقول للملائكة أهؤلاء إياكم» بتحقيق الهمزتين وإبدال الأولى ياء وإسقاطها «كانوا يعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22355','chapter_id' => '34','chapter_detail_id' => '3647','translator_id' => '4','verse_number' => '41','translate_name' => '«قالوا سبحانك» تنزيها لك عن الشريك «أنت ولينا من دونهم» أي لا موالاة بيننا وبينهم من جهتنا «بل» للانتقال «كانوا يعبدون الجن» الشياطين، أي يطيعونهم في عبادتهم إيانا «أكثرهم بهم مؤمنون» مصدقون فيما يقولون لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22356','chapter_id' => '34','chapter_detail_id' => '3648','translator_id' => '4','verse_number' => '42','translate_name' => 'قال تعالى: «فاليوم لا يملك بعضكم لبعض» أي بعض المعبودين لبعض العابدين «نفعا» شفاعة «ولاضرا» تعذيبا «ونقول للذين ظلموا» كفروا «ذوقوا عذاب النار التي كنتم بها تكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22357','chapter_id' => '34','chapter_detail_id' => '3649','translator_id' => '4','verse_number' => '43','translate_name' => '«وإذا تتلى عليهم آياتنا» القرآن «بيّنات» واضحات بلسان نبينا محمد صلى الله عليه وسلم «قالوا ما هذا إلا رجل يريد أن يصدكم عما كان يعبد آباؤكم» من الأصنام «وقالوا ما هذا» القرآن «إلا إفك» كذب «مفترى» على الله «وقال الذين كفروا للحق» القرآن «لما جاءهم إن» ما «هذا إلا سحرٌ مبين» بيّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22358','chapter_id' => '34','chapter_detail_id' => '3650','translator_id' => '4','verse_number' => '44','translate_name' => 'قال تعالى: «وما آتيناهم من كتب يدرسونها وما أرسلنا إليهم قبلك من نذير» فمن أين كذبوك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22359','chapter_id' => '34','chapter_detail_id' => '3651','translator_id' => '4','verse_number' => '45','translate_name' => '«وكذب الذين من قبلهم وما بلغوا» أي هؤلاء «معشار ما آتيناهم» من القوة وطول العمر وكثرة المال «فكذبوا رسلي» إليهم «فكيف كان نكير» إنكاري عليهم العقوبة والإهلاك، أي هو واقع موقعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22360','chapter_id' => '34','chapter_detail_id' => '3652','translator_id' => '4','verse_number' => '46','translate_name' => '«قل إنما أعظكم بواحدة» هي «أن تقوموا لله» أي لأجله «مثنى» أي اثنين اثنين «وفرادى» واحدا واحدا «ثم تتفكروا» فتعلموا «ما بصاحبكم» محمد «من جنة» جنون «إن» ما «هو إلا نذير لكم بين يدي» أي قبل «عذاب شديد» في الآخرة إن عصيتموه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22361','chapter_id' => '34','chapter_detail_id' => '3653','translator_id' => '4','verse_number' => '47','translate_name' => '«قل» لهم «ما سألتكم» على الإنذار والتبليغ «من أجر فهو لكم» أي لا أسألكم عليه أجرا «إن أجري» ما ثوابي «إلا على الله وهو على كل شيء شهيد» مطلع يعلم صدقي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22362','chapter_id' => '34','chapter_detail_id' => '3654','translator_id' => '4','verse_number' => '48','translate_name' => '«قل إن ربي يقذف بالحق» يلقيه إلى أنبيائه «علاًم الغيوب» ما غاب عن خلقه في السماوات والأرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22363','chapter_id' => '34','chapter_detail_id' => '3655','translator_id' => '4','verse_number' => '49','translate_name' => '«قل جاء الحق» الإسلام «وما يبدئ الباطل» الكفر «وما يعيد» أي لم يبق له أثر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22364','chapter_id' => '34','chapter_detail_id' => '3656','translator_id' => '4','verse_number' => '50','translate_name' => '«قل إن ضللت» عن الحق «فإنما أضل على نفسي» أي إثم ضلالي عليها «وإن اهتديت فيما يوحي إليَّ ربي» من القرآن والحكمة «إنه سميع» للدعاء «قريب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22365','chapter_id' => '34','chapter_detail_id' => '3657','translator_id' => '4','verse_number' => '51','translate_name' => '«ولوْ ترى» يا محمد «إذْ فزعوا» عند البعث لرأيت أمرا عظيما «فلا فوت» لهم منا، أي لا يفوتوننا «وأخذوا من مكان قريب» أي القبور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22366','chapter_id' => '34','chapter_detail_id' => '3658','translator_id' => '4','verse_number' => '52','translate_name' => '«وقالوا آمنا به» بمحمد أو القرآن «وأنَّى لهم التناوش» بواو وبالهمزة بدلها، أي تناول الإيمان «من مكان بعيد» عن محله إذ هم في الآخرة ومحله الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22367','chapter_id' => '34','chapter_detail_id' => '3659','translator_id' => '4','verse_number' => '53','translate_name' => '«وقد كفروا به من قبل» في الدنيا «ويقذفون» يرمون «بالغيب من مكان بعيد» أي بما غاب علمه عنهم غيبة بعيدة حيث قالوا في النبي ساحر، شاعر، كاهن، وفي القرآن سحر، شعر، كهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22368','chapter_id' => '34','chapter_detail_id' => '3660','translator_id' => '4','verse_number' => '54','translate_name' => '«وحيلَ بينهم وبين ما يشتهون» من الإيمان، أي قبوله «كما فُعل بأشياعهم» أشباههم في الكفر «من قبل» أي قبلهم «إنهم كانوا في شك مريب» موقع في الريبة لهم فيما آمنوا به الآن ولم يعتدوّا بدلائله في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22369','chapter_id' => '35','chapter_detail_id' => '3661','translator_id' => '4','verse_number' => '1','translate_name' => '«الحمد لله» حمد تعالى نفسه بذلك كما بُيّن في أول سورة سبأ «فاطر السماوات والأرض» خالقهما على غير مثال سبق «جاعل الملائكة رسلا» إلى الأنبياء «أولي أجنحة مثنى وثلاث ورباع يزيد في الخلق» في الملائكة وغيرها «ما يشاء إن الله على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22370','chapter_id' => '35','chapter_detail_id' => '3662','translator_id' => '4','verse_number' => '2','translate_name' => '«ما يفتح الله للناس من رحمة» كرزق ومطر «فلا ممسك لها وما يمسك» من ذلك «فلا مرسل له من بعده» أي بعد إمساكه «وهو العزيز» الغالب على أمره «الحكيم» في فعله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22371','chapter_id' => '35','chapter_detail_id' => '3663','translator_id' => '4','verse_number' => '3','translate_name' => '«يا أيها الناس» أي أهل مكة «اذكروا نعمة الله عليكم» بإسكانكم الحرم ومنع الغارات عنكم «هل من خالق» من زائدة وخالق مبتدأ «غيرُ الله» بالرفع والجر نعت لخالق لفظا ومحلا، وخبر المبتدأ «يرزقكم من السماء» المطر «و» من «الأرض» النبات، والاستفهام للتقرير، أي لا خالق رازق غيره «لا إله إلا هو فأنَّى تؤفكون» من أين تصرفون عن توحيده مع إقراركم بأنه الخالق الرازق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22372','chapter_id' => '35','chapter_detail_id' => '3664','translator_id' => '4','verse_number' => '4','translate_name' => '«وإن يكذبوك» يا محمد في مجيئك بالتوحيد والبعث، والحساب والعقاب «فقد كُذِّبت رسل من قبلك» في ذلك فاصبر كما صبروا «وإلى الله ترجع الأمور» في الآخرة فيجازي المكذبين وينصر المسلمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22373','chapter_id' => '35','chapter_detail_id' => '3665','translator_id' => '4','verse_number' => '5','translate_name' => '«يا أيها الناس إن وعد الله» بالبعث وغيره «حق فلا تغرنكم الحياة الدنيا» من الإيمان بذلك «ولا يغرنكم بالله» في حلمه وإمهاله «الغرور» الشيطان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22374','chapter_id' => '35','chapter_detail_id' => '3666','translator_id' => '4','verse_number' => '6','translate_name' => '«إن الشيطان لكم عدوٌ فاتخذوه عدوّا» بطاعة الله ولا تطيعوه «إنما يدعو حزبه» أتباعه في الكفر «ليكونوا من أصحاب السعير» النار الشديدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22375','chapter_id' => '35','chapter_detail_id' => '3667','translator_id' => '4','verse_number' => '7','translate_name' => '«الذين كفروا لهم عذاب شديد والذين آمنوا وعملوا الصالحات لهم مغفرة وأجر كبير» هذا بيان ما لموافقي الشيطان وما لمخالفيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22376','chapter_id' => '35','chapter_detail_id' => '3668','translator_id' => '4','verse_number' => '8','translate_name' => 'ونزل في أبي جهل وغيره «أفمن زينَ له سوء عمله» بالتمويه «فرآه حسنا» من مبتدأ خبره كمن هداه الله؟ لا، دل عليه «فإن الله يضل من يشاء ويهدي من يشاء فلا تذهب نفسك عليهم» على المزيَّن لهم «حسرات» باغتمامك ألا يؤمنوا «إن الله عليم بما يصنعون» فيجازيهم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22377','chapter_id' => '35','chapter_detail_id' => '3669','translator_id' => '4','verse_number' => '9','translate_name' => '«والله الذي أرسل الرياح» وفي قراءة الريح «فتثير سحابا» المضارع لحكاية الحال الماضية، أي تزعجه «فسقناه» فيه التفات عن الغيبة «إلى بلد ميت» بالتشديد والتخفيف لا نبات بها «فأحيينا به الأرض» من البلد «بعد موتها» يبسها، أي أنبتنا به الزرع والكلأ «كذلك النشور» أي البعث والإحياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22378','chapter_id' => '35','chapter_detail_id' => '3670','translator_id' => '4','verse_number' => '10','translate_name' => '«من كان يريد العزة فلله العزة جميعا» أي في الدنيا والآخرة فلا تنال منه إلا بطاعته فليطعه «إليه يصعد الكلم الطيب» يعلمه وهو لا إله إلا الله ونحوها «والعمل الصالح يرفعه» يقبله «والذين يمكرون» المكرات «السيئات» بالنبي في دار الندوة من تقييده أو قتله أو إخراجه كما ذكر في الأنفال «لهم عذاب شديد ومكر أولئك هو يبور» يهلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22379','chapter_id' => '35','chapter_detail_id' => '3671','translator_id' => '4','verse_number' => '11','translate_name' => '«والله خلقكم من تراب» بخلق أبيكم آدم منه «ثم من نطفة» أي منيّ بخلق ذريته منها «ثم جعلكم أزواجا» ذكورا وإناثا «وما تحمل من أنثى ولا تضع إلا بعلمه» حال، أي معلومة له «وما يعمَّر من معمَّر» أي ما يزاد في عمر طويل العمر «ولا ينقص من عمره» أي ذلك المعمَّر أو معمَّر آخر «إلا في كتاب» هو اللوح المحفوظ «إن ذلك على الله يسير» هيِّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22380','chapter_id' => '35','chapter_detail_id' => '3672','translator_id' => '4','verse_number' => '12','translate_name' => '«وما يستوي البحران هذا عذب فرات» شديد العذوبة «سائغ شرابه» شربه «وهذا ملح أجاج» شديد الملوحة «ومن كل» منهما «تأكلون لحما طريا» هو السمك «وتستخرجون» من الملح، وقيل منهما «حلية تلبسونها» هي اللؤلؤ والمرجان «وترى» تُبصر «الفلك» السفن «فيه» في كل منهما «مواخر» تمخر الماء، أي تشقه بجريها فيه مقبلة ومدبرة بريح واحدة «لتبتغوا» تطلبوا «من فضله» تعالى بالتجارة «ولعلكم تشكرون» الله على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22381','chapter_id' => '35','chapter_detail_id' => '3673','translator_id' => '4','verse_number' => '13','translate_name' => '«يولج» يدخل الله «الليل في النهار» فيزيد «ويولج النهار» يدخله «في الليل» فيزيد «وسخر الشمس والقمر كل» منهما «يجري» في فلكه «لأجل مسمى» يوم القيامة «ذلكم الله ربكم له الملك والذين تدعون» تعبدون «من دونه» أي غيره وهم الأصنام «ما يملكون من قِطْمير» لفاقة النواة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22382','chapter_id' => '35','chapter_detail_id' => '3674','translator_id' => '4','verse_number' => '14','translate_name' => '«إن تدعوهم لا يسمعوا دعاءكم ولو سمعوا» فرضا «ما استجابوا لكم» ما أجابوكم «ويوم القيامة يكفرون بشرككم» بإشراككم إياهم مع الله، أي يتبرءون منكم ومن عبادتكم إياهم «ولا يُنبئك» بأحوال الدارين «مثل خبير» عالم هو الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22383','chapter_id' => '35','chapter_detail_id' => '3675','translator_id' => '4','verse_number' => '15','translate_name' => '«يا أيها الناس أنتم الفقراء إلى الله» بكل حال «والله هو الغنيُّ» عن خلقه «الحميد» المحمود في صنعه بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22384','chapter_id' => '35','chapter_detail_id' => '3676','translator_id' => '4','verse_number' => '16','translate_name' => '«إن يشأ يذهبكم ويأت بخلق جديد» بدلكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22385','chapter_id' => '35','chapter_detail_id' => '3677','translator_id' => '4','verse_number' => '17','translate_name' => '«وما ذلك على الله بعزيز» شديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22386','chapter_id' => '35','chapter_detail_id' => '3678','translator_id' => '4','verse_number' => '18','translate_name' => '«ولا تزر» نفس «وازرة» آثمة، أي لا تحمل «وزرَ» نفس «أخرى وإن تدع» نفس «مثقلة» بالوزر «إلى حملها» منه أحدا ليحمل بعضه «لا يُحمل منه شيء ولو كان» المدعو «ذا قربى» قرابة كالأب والابن وعدم الحمل في الشقين حكم من الله «إنما تنذر الذين يخشون ربهم بالغيب» أي يخافونه وما رأوه لأنهم المنتفعون بالإنذار «وأقاموا الصلاة» أداموها «ومن تزكَّى» تطهر من الشرك وغيره «فإنما يتزكَّى لنفسه» فصلاحه مختص به «وإلى الله المصير» المرجع فيجزي بالعمل في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22387','chapter_id' => '35','chapter_detail_id' => '3679','translator_id' => '4','verse_number' => '19','translate_name' => '«وما يستوي الأعمى والبصير» الكافر والمؤمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22388','chapter_id' => '35','chapter_detail_id' => '3680','translator_id' => '4','verse_number' => '20','translate_name' => '«ولا الظلمات» الكفر «ولا النور» الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22389','chapter_id' => '35','chapter_detail_id' => '3681','translator_id' => '4','verse_number' => '21','translate_name' => '«ولا الظل ولا الحرور» الجنة والنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22390','chapter_id' => '35','chapter_detail_id' => '3682','translator_id' => '4','verse_number' => '22','translate_name' => '«وما يستوي الأحياء ولا الأموات» المؤمنون ولا الكفار، وزيادة لا في الثلاثة تأكيد «إن الله يسمع من يشاء» هدايته فيجيبه بالإيمان «وما أنت بمسمع من في القبور» أي الكفار شبههم بالموتى فيجيبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22391','chapter_id' => '35','chapter_detail_id' => '3683','translator_id' => '4','verse_number' => '23','translate_name' => '«إن» ما «أنت إلا نذير» منذر لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22392','chapter_id' => '35','chapter_detail_id' => '3684','translator_id' => '4','verse_number' => '24','translate_name' => '«إنا أرسلناك بالحق» بالهدى «بشيرا» من أجاب إليه «ونذيرا» من لم يجب إليه «وإن» ما «من أمة إلا خلا» سلف «فيها نذير» نبي ينذرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22393','chapter_id' => '35','chapter_detail_id' => '3685','translator_id' => '4','verse_number' => '25','translate_name' => '«وإن يكذبوك» أي أهل مكة «فقد كذب الذين من قبلهم جاءتهم رسلهم بالبينات» المعجزات «وبالزبر» كصحف إبراهيم «وبالكتاب المنير» هو التوراة والإنجيل، فاصبر كما صبروا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22394','chapter_id' => '35','chapter_detail_id' => '3686','translator_id' => '4','verse_number' => '26','translate_name' => '«ثم أخذت الذين كفروا» بتكذيبهم «فكيف كان نكير» إنكاري عليهم بالعقوبة والإهلاك، أي هو واقع موقعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22395','chapter_id' => '35','chapter_detail_id' => '3687','translator_id' => '4','verse_number' => '27','translate_name' => '«ألم ترَ» تعلم «أن الله أنزل من السماء ماءً فأخرجنا» فيه التفات عن الغيبة «به ثمرات مختلفا ألوانها» كأخضر وأحمر وأصفر وغيرها «ومن الجبال جدد» جمع جدة، طريق في الجبل وغيره «بيض وحمر» وصفر «مختلف ألوانها» بالشدة والضعف «وغرابيب سود» عطف على جدد، أي صخور شديدة السواد، يقال كثيرا: أسود غربيب، وقليلا: غربيب أسود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22396','chapter_id' => '35','chapter_detail_id' => '3688','translator_id' => '4','verse_number' => '28','translate_name' => '«ومن الناس والدواب والأنعام مختلف ألوانه كذلك» كاختلاف الثمار والجبال «إنما يخشى الله من عباده العلماءُ» بخلاف الجهال ككفار مكة «إن الله عزيز» في ملكه «غفور» لذنوب عباده المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22397','chapter_id' => '35','chapter_detail_id' => '3689','translator_id' => '4','verse_number' => '29','translate_name' => '«إن الذين يتلون» يقرءُون «كتاب الله وأقاموا الصلاة» أداموها «وأنفقوا مما رزقناهم سرا وعلانية» زكاة وغيرها «يرجون تجارة لن تبور» تهلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22398','chapter_id' => '35','chapter_detail_id' => '3690','translator_id' => '4','verse_number' => '30','translate_name' => '«ليوفيهم أجورهم» ثواب أعمالهم المذكورة «ويزيدهم من فضله إنه غفور» لذنوبهم «شكور» لطاعتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22399','chapter_id' => '35','chapter_detail_id' => '3691','translator_id' => '4','verse_number' => '31','translate_name' => '«والذي أوحينا إليك من الكتاب» القرآن «هو الحق مصدقا لما بين يديه» تقدمه من الكتب «إن الله بعباده لخبير بصير» عالم بالبواطن والظواهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22400','chapter_id' => '35','chapter_detail_id' => '3692','translator_id' => '4','verse_number' => '32','translate_name' => '«ثم أورثنا» أعطينا «الكتاب» القرآن «الذين اصطفينا من عبادنا» وهم أمتك «فمنهم ظالم لنفسه» بالتقصير في العمل به «ومنهم مقتصد» يعمل به أغلب الأوقات «ومنهم سابق بالخيرات» يضم إلى العلم التعليم والإرشاد إلى العمل «بإذن الله» بإرادته «ذلك» أي إيراثهم الكتاب «هو الفضل الكبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22401','chapter_id' => '35','chapter_detail_id' => '3693','translator_id' => '4','verse_number' => '33','translate_name' => '«جنات عدن» أي إقامة «يدخلونها» الثلاثة بالبناء وللمفعول خبر جنات المبتدأ «يُحلَّون» خبر ثان «فيها من» بعض «أساور من ذهب ولؤلؤا» مرصع بالذهب «ولباسهم فيها حرير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22402','chapter_id' => '35','chapter_detail_id' => '3694','translator_id' => '4','verse_number' => '34','translate_name' => '«وقالوا الحمد لله الذي أذهب عنا الحَزَنَ» جميعه «إن ربنا لغفور» للذنوب «شكور» للطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22403','chapter_id' => '35','chapter_detail_id' => '3695','translator_id' => '4','verse_number' => '35','translate_name' => '«الذي أحلّنا دار المقامة» الإقامة «من فضله لا يمسنا فيها نصب» تعب «ولا يمسنا فيها لغوب» إعياء من التعب لعدم التكليف فيها، وذكر الثاني التابع للأول للتصريح بنفيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22404','chapter_id' => '35','chapter_detail_id' => '3696','translator_id' => '4','verse_number' => '36','translate_name' => '«والذين كفروا لهم نار جهنم لا يقضى عليهم» بالموت «فيموتوا» يستريحوا «ولا يُخفف عنهم من عذابها» طرفة عين «كذلك» كما جزيناهم «يجزِى كلَّ كفورِ» كافر بالياء والنون المفتوحة مع كسر الزاي ونصب كل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22405','chapter_id' => '35','chapter_detail_id' => '3697','translator_id' => '4','verse_number' => '37','translate_name' => '«وهم يصطرخون فيها» يستغيثون بشدة وعويل يقولون «ربنا أخرجنا» منها «نعمل صالحا غير الذي كنا نعمل» فيقال لهم «أوَ لم نعمّركم ما» وقتا «يتذكر فيه من تذكر وجاءكم النذير» الرسول فما أجبتم «فذوقوا فما للظالمين» الكافرين «من نصير» يدفع العذاب عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22406','chapter_id' => '35','chapter_detail_id' => '3698','translator_id' => '4','verse_number' => '38','translate_name' => '«إن الله عالم غيب السماوات والأرض إنه عليم بذات الصدور» بما في القلوب، فعلمه بغيره أولى بالنظر إلى حال الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22407','chapter_id' => '35','chapter_detail_id' => '3699','translator_id' => '4','verse_number' => '39','translate_name' => '«هو الذي جعلكم خلائف في الأرض» جمع خليفة، أي يخلف بعضكم بعضا «فمن كفر» منكم «فعليه كفره» أي وبال كفره «ولا يزيد الكافرين كفرهم عند ربهم إلا مقتا» غضبا «ولا يزيد الكافرين كفرهم إلا خسارا» للآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22408','chapter_id' => '35','chapter_detail_id' => '3700','translator_id' => '4','verse_number' => '40','translate_name' => '«قل أرأيتم شركاءكم الذين تدعون» تعبدون «من دون الله» أي غيره، وهم الأصنام الذين زعمتم أنهم شركاء الله تعالى «أروني» أخبروني «ماذا خلقوا من الأرض أم لهم شرك» شركة مع الله «في» خلق «السماوات» «أم آتيناهم كتابا فهم على بينة» حجة «منه» بأن لهم معه شركة «بل إن» ما «يعد الظالمون» الكافرون «بعضهم بعضا إلا غرورا» باطلا بقولهم الأصنام تشفع لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22409','chapter_id' => '35','chapter_detail_id' => '3701','translator_id' => '4','verse_number' => '41','translate_name' => '«إن الله يمسك السماوات والأرض أن تزولا» أي يمنعهما من الزوال «ولئن» لام قسم «زالتا إن» ما «أمسكهما» يمسكهما «من أحد من بعده» أي سواه «إنه كان حليما غفورا» في تأخير عقاب الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22410','chapter_id' => '35','chapter_detail_id' => '3702','translator_id' => '4','verse_number' => '42','translate_name' => '«وأقسموا» أي كفار مكة «بالله جهد أيمانهم» غاية اجتهادهم فيها «لئن جاءهم نذير» رسول «ليكوننَّ أهدى من إحدى الأمم» اليهود والنصارى وغيرهم، أي أيَّ واحدة منها لما رأوا من تكذيب بعضهم بعضا، إذ قالت اليهود: ليست النصارى على شيء، «فلما جاءهم نذير» محمد صلى الله عليه وسلم «ما زادهم» مجيئه «إلا نفورا» تباعدا عن الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22411','chapter_id' => '35','chapter_detail_id' => '3703','translator_id' => '4','verse_number' => '43','translate_name' => '«استكبارا في الأرض» عن الإيمان مفعول له «ومكر» العمل «السيء» من الشرك وغيره «ولا يحيق» يحيط «المكر السيء إلا بأهله» وهو الماكر، ووصف المكر بالسيء أصل، وإضافته إليه قيل استعمال آخر قدر فيه مضاف حذرا من الإضافة إلى الصفة «فهل ينظرون» ينتظرون «إلا سُنَّةَّ الأولين» سنة الله فيهم من تعذيبهم بتكذيبهم رسلهم «فلن تجد لسنَّةِ الله تبديلا ولن تجد لسنَّةِ الله تحويلا» أي لا يبدل بالعذاب غيره ولا يحول إلى غير مستحقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22412','chapter_id' => '35','chapter_detail_id' => '3704','translator_id' => '4','verse_number' => '44','translate_name' => '«أوْ لم يسيروا في الأرض فينظروا كيف كان عاقبة الذين من قبلهم وكانوا أشد منهم قوة» فأهلكهم الله بتكذيبهم رسلهم «وما كان الله ليعجزه من شيء» يسبقه ويفوته «في السماوات ولا في الأرض إنه كان عليما» أي بالأشياء كلها «قديرا» عليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22413','chapter_id' => '35','chapter_detail_id' => '3705','translator_id' => '4','verse_number' => '45','translate_name' => '«ولو يؤاخذ الله الناس بما كسبوا» من المعاصي «ما ترك على ظهرها» أي الأرض «من دابة» نسمة تدبّ عليها «ولكن يؤخرهم إلى أجل مسمى» أي يوم القيامة «فإذا جاء أجلهم فإن الله كان بعباده بصيرا» فيجازيهم على أعمالهم، بإثابة المؤمنين وعقاب الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22414','chapter_id' => '36','chapter_detail_id' => '3706','translator_id' => '4','verse_number' => '1','translate_name' => '«يس» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22415','chapter_id' => '36','chapter_detail_id' => '3707','translator_id' => '4','verse_number' => '2','translate_name' => '«والقرآن الحكيم» المحكم بعجيب النظم، وبديع المعاني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22416','chapter_id' => '36','chapter_detail_id' => '3708','translator_id' => '4','verse_number' => '3','translate_name' => '«إنك» يا محمد «لمن المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22417','chapter_id' => '36','chapter_detail_id' => '3709','translator_id' => '4','verse_number' => '4','translate_name' => '(على) متعلق بما قبله (صراط مستقيم) أي طريق الأنبياء قبلك التوحيد والهدى، والتأكيد بالقسم وغيره رد لقول الكفار له "لست مرسلا".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22418','chapter_id' => '36','chapter_detail_id' => '3710','translator_id' => '4','verse_number' => '5','translate_name' => '«تنزيل العزيز» في ملكه «الرحيم» بخلقه خبر مبتدأ مقدر، أي القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22419','chapter_id' => '36','chapter_detail_id' => '3711','translator_id' => '4','verse_number' => '6','translate_name' => '«لتنذرَ» به «قوما» متعلق بتنزيل «ما أنذر آباؤهم» أي لم ينذروا في زمن الفترة «فهم» أي القوم «غافلون» عن الإيمان والرشد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22420','chapter_id' => '36','chapter_detail_id' => '3712','translator_id' => '4','verse_number' => '7','translate_name' => '«لقد حق القول» وجب «على أكثرهم» بالعذاب «فهم لا يؤمنون» أي الأكثر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22421','chapter_id' => '36','chapter_detail_id' => '3713','translator_id' => '4','verse_number' => '8','translate_name' => '«إنا جعلنا في أعناقهم أغلالا» بأن تضم اليها الأيدي لأن الغل يجمع اليد إلى العنق «فهي» أي الأيدي مجموعة «إلى الأذقان» جمع ذقن، وهي مجتمع اللحيين «فهم مقمحون» رافعون رؤوسهم لا يستطيعون خفضها، وهذا تمثيل، والمراد أنهم لا يذعنون للإيمان ولا يخفضون رؤوسهم له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22422','chapter_id' => '36','chapter_detail_id' => '3714','translator_id' => '4','verse_number' => '9','translate_name' => '«وجعلنا من بين أيديهم سدا ومن خلفهم سدا» بفتح السين وضمها في الموضعين «فأغشيناهم فهم لا يبصرون» تمثيل أيضا لسدّ طرق الإيمان عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22423','chapter_id' => '36','chapter_detail_id' => '3715','translator_id' => '4','verse_number' => '10','translate_name' => '«وسواء عليهم أأنذرتهم» بتحقيق الهمزتين وإبدال الثانية ألفا وتسهيلها وإدخال ألف بين المسهلة والأخرى وتركه «أم لم تنذرهم لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22424','chapter_id' => '36','chapter_detail_id' => '3716','translator_id' => '4','verse_number' => '11','translate_name' => '«إنما تنذر» ينفع إنذارك «من أتَّبع الذكر» القرآن «وخشي الرحمن بالغيب» خافه ولم يره «فبشّره بمغفرة وأجر كريم» هو الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22425','chapter_id' => '36','chapter_detail_id' => '3717','translator_id' => '4','verse_number' => '12','translate_name' => '«إنا نحن نحي الموتى» للبعث «ونكتب» في اللوح المحفوظ «ما قدَّموا» في حياتهم من خير وشر ليجازوا عليه «وآثارهم» ما استنَّ به بعدهم «وكل شيء» نصبه بفعل يفسره «أحصيناه» ضبطناه «في إمام مبين» كتاب بيّن، هو اللوح المحفوظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22426','chapter_id' => '36','chapter_detail_id' => '3718','translator_id' => '4','verse_number' => '13','translate_name' => '«واضرب» اجعل «لهم مثلا» مفعول أول «أصحاب» مفعول ثان «القرية» أنطاكية «إذ جاءها» إلى آخره بدل اشتمال من أصحاب القرية «المرسلون» أي رسل عيسى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22427','chapter_id' => '36','chapter_detail_id' => '3719','translator_id' => '4','verse_number' => '14','translate_name' => '«إذْ أرسلنا إليهم اثنين فكذبوهما» إلى آخره بدل من إذ الأولى «فعَزَزْنا» بالتخفيف والتشديد: قوَّينا الاثنين «بثالث فقالوا إنا إليكم مرسلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22428','chapter_id' => '36','chapter_detail_id' => '3720','translator_id' => '4','verse_number' => '15','translate_name' => '«قالوا ما أنتم إلا بشر مثلنا وما أنزل الرحمن من شيء إن» ما «أنتم إلا تكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22429','chapter_id' => '36','chapter_detail_id' => '3721','translator_id' => '4','verse_number' => '16','translate_name' => '«قالوا ربنا يعلم» جار مجرى القسم، وزيد التأكيد به وباللام على ما قبله لزيادة الإنكار في «إنا إليكم لمرسلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22430','chapter_id' => '36','chapter_detail_id' => '3722','translator_id' => '4','verse_number' => '17','translate_name' => '«وما علينا إلا البلاغ المبين» التبليغ المبين الظاهر بالأدلة الواضحة وهي إبراء الأكمه والأبرص والمريض وإحياء الميت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22431','chapter_id' => '36','chapter_detail_id' => '3723','translator_id' => '4','verse_number' => '18','translate_name' => '«قالوا إنا تطيرنا» تشاءَمنا «بكم» لانقطاع المطر عنا بسببكم «لئن» لام قسم «لم تنتهوا لنرجمنكم» بالحجارة «وليمسنكم منا عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22432','chapter_id' => '36','chapter_detail_id' => '3724','translator_id' => '4','verse_number' => '19','translate_name' => '«قالوا طائركم» شؤمكم «معكم» بكفركم «أإن» همزة استفهام دخلت على إن الشرطية وفى همزتها التحقيق والتسهيل وإدخال ألف بينها بوجهيها وبين الأخرى «ذكرتم» وعظتم وخوِّفتم، وجواب الشرط محذوف، أي تطيرتم وكفرتم وهو محل الاستفهام، والمراد به التوبيخ «بل أنتم قوم مسرفون» متجاوزون الحدَّ بشرككم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22433','chapter_id' => '36','chapter_detail_id' => '3725','translator_id' => '4','verse_number' => '20','translate_name' => '«وجاء من أقصا المدينة رجل» هو حبيب النجار كان قد آمن بالرسل ومنزله بأقصى البلد «يسعى» يشتد عدوا لما سمع بتكذيب القوم الرسلَ «قال يا قوم اتبعوا المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22434','chapter_id' => '36','chapter_detail_id' => '3726','translator_id' => '4','verse_number' => '21','translate_name' => '«اتبعوا» تأكيد للأول «مَن لا يسألكم أجرا» على رسالته «وهم مهتدون» فقيل له: أنت على دينهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22435','chapter_id' => '36','chapter_detail_id' => '3727','translator_id' => '4','verse_number' => '22','translate_name' => 'فقال «وما لي لا أعبد الذي فطرني» خلقني، أي لا مانع لي من عبادته الموجود مقتضيها وأنتم كذلك «وإليه ترجعون» بعد الموت فيجازيكم بكفركم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22436','chapter_id' => '36','chapter_detail_id' => '3728','translator_id' => '4','verse_number' => '23','translate_name' => '«أأتخذ» في الهمزتين ما تقدم في أأنذرتهم وهو استفهام بمعنى النفي «من دونه» أي غيره «آلهة» أصناما «إن يُردْن الرحمن بضر لا تغن عني شفاعتهم» التي زعمتموها «شيئا ولا ينقذون» صفة آلهة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22437','chapter_id' => '36','chapter_detail_id' => '3729','translator_id' => '4','verse_number' => '24','translate_name' => '«إني إذا» أي إن عبدت غير الله «لفي ضلال مبين» بيَّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22438','chapter_id' => '36','chapter_detail_id' => '3730','translator_id' => '4','verse_number' => '25','translate_name' => '«إني آمنت بربكم فاسمعون» أي اسمعوا قولي، فرجموه فمات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22439','chapter_id' => '36','chapter_detail_id' => '3731','translator_id' => '4','verse_number' => '26','translate_name' => '«قيل» له عند موته «ادخل الجنة» وقيل دخلها حيا «قال يا» حرف تنبيه «ليت قومي يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22440','chapter_id' => '36','chapter_detail_id' => '3732','translator_id' => '4','verse_number' => '27','translate_name' => '«بما غفر لي ربي» بغفرانه «وجعلني من المكرمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22441','chapter_id' => '36','chapter_detail_id' => '3733','translator_id' => '4','verse_number' => '28','translate_name' => '«وما» نافية «أنزلنا على قومه» أي حبيب «من بعده» بعد موته «من جند من السماء» أي ملائكة لإهلاكهم «وما كنا منزلين» ملائكة لإهلاك أحد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22442','chapter_id' => '36','chapter_detail_id' => '3734','translator_id' => '4','verse_number' => '29','translate_name' => '«إن» ما «كانت» عقوبتهم «إلا صيحة واحدة» صاح بهم جبريل «فإذا هم خامدون» ساكنون ميتون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22443','chapter_id' => '36','chapter_detail_id' => '3735','translator_id' => '4','verse_number' => '30','translate_name' => '«يا حسرة على العباد» هؤلاء ونحوهم ممن كذبوا الرسل فأهلكوا، وهي شدة التألم ونداؤها مجاز، أي هذا أوانك فاحضري «ما يأتيهم من رسول إلا كانوا به يستهزءُون» مسوق لبيان سببها لاشتماله على استهزائهم المؤدى إلى إهلاكهم المسبب عنه الحسرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22444','chapter_id' => '36','chapter_detail_id' => '3736','translator_id' => '4','verse_number' => '31','translate_name' => '(ألم يروا) أي أهل مكة القائلون للنبي "لست مرسلا" والاستفهام للتقرير أي علموا (كم) خبرية بمعنى كثيرا معمولة لها بعدها معلقة لما قبلها عن العمل، والمعنى إنا (أهلكنا قبلهم) كثيرا (من القرون) الأمم (أنهم) أي المهلكين (إليهم) أي المكذبين (لا يرجعون) أفلا يعتبرون بهم، وأنه الخ بدل مما قبله برعاية المعنى المذكور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22445','chapter_id' => '36','chapter_detail_id' => '3737','translator_id' => '4','verse_number' => '32','translate_name' => '«وإن» نافية أو مخففة «كل» أي كل الخلائق مبتدأ «لما» بالتشديد بمعنى إلا، أو بالتخفيف، فاللام فارقة وما مزيدة «جميع» خبر المبتدأ، أي مجموعون «لدينا» عندنا في الموقف بعد بعثهم «محضرون» للحساب خبر ثان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22446','chapter_id' => '36','chapter_detail_id' => '3738','translator_id' => '4','verse_number' => '33','translate_name' => '«وآية لهم» على البعث خبر مقدم «الأرض الميتة» بالتخفيف والتشديد «أحييناها» بالماء مبتدأ «وأخرجنا منها حبا» كالحنطة «فمنه يأكلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22447','chapter_id' => '36','chapter_detail_id' => '3739','translator_id' => '4','verse_number' => '34','translate_name' => '«وجعلنا فيها جنات» بساتين «من نخيلٍ وأعنابٍ وفجَّرنا فيها من العيون» أي بعضها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22448','chapter_id' => '36','chapter_detail_id' => '3740','translator_id' => '4','verse_number' => '35','translate_name' => '«ليأكلوا من ثمره» بفتحتين وضمتين، أي ثمر المذكور من النخيل وغيره «وما عملته أيديهم» أي لم تعمل الثمر «أفلا يشكرون» أنعمه تعالى عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22449','chapter_id' => '36','chapter_detail_id' => '3741','translator_id' => '4','verse_number' => '36','translate_name' => '«سبحان الذي خلق الأزواج» الأصناف «كلها مما تنبت الأرض» من الحبوب وغيرها «ومن أنفسهم» من الذكور والإناث «ومما لا يعلمون» من المخلوقات العجيبة الغريبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22450','chapter_id' => '36','chapter_detail_id' => '3742','translator_id' => '4','verse_number' => '37','translate_name' => '«وآية لهم» على القدرة العظيمة «الليل نسلخ» نفصل «منه النهار فإذا هم مظلمون» داخلون في الظلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22451','chapter_id' => '36','chapter_detail_id' => '3743','translator_id' => '4','verse_number' => '38','translate_name' => '«والشمس تجري» إلى آخره من جملة الآية لهم آية أخرى والقمر كذلك «لمستقر لها» أي إليه لا تتجاوزه «ذلك» أي جريها «تقدير العزيز» في ملكه «العليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22452','chapter_id' => '36','chapter_detail_id' => '3744','translator_id' => '4','verse_number' => '39','translate_name' => '«والقمرُ» بالرفع والنصب وهو منصوب بفعل يفسره ما بعده «قدَرناه» من حيث سيره «منازل» ثمانية وعشرين منزلا في ثمان وعشرين ليلة من كل شهر، ويستتر ليلتين إن كان الشهر ثلاثين يوما وليلة إن كان تسعة وعشرين يوما «حتى عاد» في آخر منازله في رأي العين «كالعرجون القديم» أي كعود الشماريخ إذا عتق فإنه يرق ويتقوس ويصفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22453','chapter_id' => '36','chapter_detail_id' => '3745','translator_id' => '4','verse_number' => '40','translate_name' => '«لا الشمس ينبغي» يسهل ويصح «لها أن تدرك القمر» فتجتمع معه في الليل «ولا الليل سابق النهار» فلا يأتي قبل انقضائه «وكل» تنويه عوض عن المضاف إليه من الشمس والقمر والنجوم «في فلك» مستدير «يسبحون» يسيرون نزلوا منزلة العقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22454','chapter_id' => '36','chapter_detail_id' => '3746','translator_id' => '4','verse_number' => '41','translate_name' => '«وآية لهم» على قدرتنا «أنا حملنا ذريتهم» وفي قراءة ذرياتهم، أي آباءهم الأصول «في الفلك» أي سفينة نوح «المشحون» المملوء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22455','chapter_id' => '36','chapter_detail_id' => '3747','translator_id' => '4','verse_number' => '42','translate_name' => '«وخلقنا لهم من مثله» أي مثل فلك نوح وهو ما عملوه على شكله من السفن الصغار والكبار بتعليم الله تعالى «ما يركبون» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22456','chapter_id' => '36','chapter_detail_id' => '3748','translator_id' => '4','verse_number' => '43','translate_name' => '«وإن نشأ نغرقهم» مع إيجاد السفن «فلا صريخ» مغيث «لهم ولا هم ينقذون» ينجون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22457','chapter_id' => '36','chapter_detail_id' => '3749','translator_id' => '4','verse_number' => '44','translate_name' => '«إلا رحمة منا ومتاعا إلى حين» أي لا ينجيهم إلا رحمتنا لهم وتمتيعنا إياهم بلذاتهم إلى انقضاء آجالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22458','chapter_id' => '36','chapter_detail_id' => '3750','translator_id' => '4','verse_number' => '45','translate_name' => '«وإذا قيل لهم اتقوا ما بين أيديكم» من عذاب الدنيا كغيرهم «وما خلفكم» من عذاب الآخرة «لعلكم ترحمون» أعرضوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22459','chapter_id' => '36','chapter_detail_id' => '3751','translator_id' => '4','verse_number' => '46','translate_name' => '«وما تأتيهم من آية من آيات ربهم إلا كانوا عنها معرضين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22460','chapter_id' => '36','chapter_detail_id' => '3752','translator_id' => '4','verse_number' => '47','translate_name' => '«وإذا قيل» أي قال فقراء الصحابة «لهم أنفقوا» علينا «مما رزقكم الله» من الأموال «قال الذين كفروا للذين آمنوا» استهزاءً بهم «أنطعم من لو يشاء الله أطعمه» في معتقدكم هذا «إن» ما «أنتم» في قولكم لنا ذلك مع معتقدكم هذا «إلا في ضلال مبين» بيَّن وللتصريح بكفرهم موقع عظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22461','chapter_id' => '36','chapter_detail_id' => '3753','translator_id' => '4','verse_number' => '48','translate_name' => '«ويقولون متى هذا الوعد» بالبعث «إن كنتم صادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22462','chapter_id' => '36','chapter_detail_id' => '3754','translator_id' => '4','verse_number' => '49','translate_name' => 'قال تعالى: «ما ينظرون» أي ينتظرون «إلا صيحة واحدة» وهي نفخة إسرافيل الأولى «تأخذهم وهم يخصِّمون» بالتشديد أصله يختصمون نقلت حركة التاء إلى الحاء وأدغمت في الصاد، أي وهم في غفلة عنها بتخاصم وتبايع وأكل وشرب وغير ذلك، وفي قراءة يخصمون كيضربون، أي يخصم بعضهم بعضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22463','chapter_id' => '36','chapter_detail_id' => '3755','translator_id' => '4','verse_number' => '50','translate_name' => '«فلا يستطيعون توصية» أي أن يوصوا «ولا إلى أهلهم يرجعون» من أسواقهم وأشغالهم بل يموتون فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22464','chapter_id' => '36','chapter_detail_id' => '3756','translator_id' => '4','verse_number' => '51','translate_name' => '«ونفخ في الصور» هو قرن النفخة الثانية للبعث، وبين النفختين أربعون سنة «فإذا هم» أي المقبورين «من الأجداث» القبور «إلى ربهم ينسلون» يخرجون بسرعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22465','chapter_id' => '36','chapter_detail_id' => '3757','translator_id' => '4','verse_number' => '52','translate_name' => '«قالوا» أي الكفار منهم «يا» للتنبيه «ويلنا» هلاكنا وهو مصدر لا فعل له من لفظه «من بعثنا من مرقدنا» لأنهم كانوا بين النفختين نائمين لم يعذبوا «هذا» أي البعث «ما» أي الذي «وعد» به «الرحمن وصدق» فيه «المرسلون» أقروا حين لا ينفعهم الإقرار، وقيل: يقال لهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22466','chapter_id' => '36','chapter_detail_id' => '3758','translator_id' => '4','verse_number' => '53','translate_name' => '«إن» ما «كانت إلا صيحة واحدة فإذا هم جميع لدينا» عندنا «محضرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22467','chapter_id' => '36','chapter_detail_id' => '3759','translator_id' => '4','verse_number' => '54','translate_name' => '«فاليوم لا تظلم نفسٌ شيئا ولا تجزون إلا» جزاء «ما كنتم تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22468','chapter_id' => '36','chapter_detail_id' => '3760','translator_id' => '4','verse_number' => '55','translate_name' => '«إن أصحاب الجنة اليوم في شغْل» بسكون الغين وضمها عما فيه أهل النار مما يتلذذون به كافتضاض الأبكار، لا شغل يتعبون فيه، لأن الجنة لا نصب فيها «فاكهون» ناعمون خبر ثان لإن، والأول في شغل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22469','chapter_id' => '36','chapter_detail_id' => '3761','translator_id' => '4','verse_number' => '56','translate_name' => '«هم» مبتدأ «وأزواجهم في ظلال» جمع ظلة أو ظل خبر أي لا تصيبهم الشمس «على الأرائك» جمع أريكة، وهو السرير في الحجلة أو الفرش فيها «متكئون» خبر ثان متعلق بعلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22470','chapter_id' => '36','chapter_detail_id' => '3762','translator_id' => '4','verse_number' => '57','translate_name' => '«لهم فيها فاكهة ولهم» فيها «ما يدَّعون» يتمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22471','chapter_id' => '36','chapter_detail_id' => '3763','translator_id' => '4','verse_number' => '58','translate_name' => '«سلام» مبتدأ «قولا» أي بالقول خبره «من رب رحيم» بهم، أي يقول لهم: سلام عليكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22472','chapter_id' => '36','chapter_detail_id' => '3764','translator_id' => '4','verse_number' => '59','translate_name' => '«و» يقول «امتازوا اليوم أيها المجرمون» أي انفردوا عن المؤمنين عند اختلاطهم بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22473','chapter_id' => '36','chapter_detail_id' => '3765','translator_id' => '4','verse_number' => '60','translate_name' => '«ألم أعهد إليكم» آمركم «يابني آدم» على لسان رسلي «أن لا تعبدوا الشيطان» لا تطيعوه «إنه لكم عدوٌ مبين» بيَّن العداوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22474','chapter_id' => '36','chapter_detail_id' => '3766','translator_id' => '4','verse_number' => '61','translate_name' => '«وأن اعبدوني» وحِّدوني وأطيعوني «هذا صراط» طريق «مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22475','chapter_id' => '36','chapter_detail_id' => '3767','translator_id' => '4','verse_number' => '62','translate_name' => '«ولقد أضل منكم جبلا» خلقا جمع جبيل كقديم، وفي قراءة بضم الباء «كثيرا أفلم تكونوا تعقلون» عداوته وإضلاله أو ما حل بهم من العذاب فتؤمنون، ويقال لهم في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22476','chapter_id' => '36','chapter_detail_id' => '3768','translator_id' => '4','verse_number' => '63','translate_name' => '«هذه جهنم التي كنتم توعدون» بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22477','chapter_id' => '36','chapter_detail_id' => '3769','translator_id' => '4','verse_number' => '64','translate_name' => '«اصلوْها اليوم بما كنتم تكفرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22478','chapter_id' => '36','chapter_detail_id' => '3770','translator_id' => '4','verse_number' => '65','translate_name' => '(اليوم نختم على أفواههم) أي الكفار لقولهم "والله ربنا ما كنا مشركين" (وتكلمنا أيديهم وتشهد أرجلهم) وغيرها (بما كانوا يكسبون) فكل عضو ينطق بما صدر منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22479','chapter_id' => '36','chapter_detail_id' => '3771','translator_id' => '4','verse_number' => '66','translate_name' => '«ولو نشاء لطمسنا على أعينهم» لأعميناها طمسا «فاستَبَقُوا» ابتدروا «الصراط» الطريق ذاهبين كعادتهم «فأنَّا» فكيف «يبصرون» حينئذ؟ أي لا يبصرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22480','chapter_id' => '36','chapter_detail_id' => '3772','translator_id' => '4','verse_number' => '67','translate_name' => '«ولو نشاء لمسخناهم» قردة وخنازير أو حجارة «على مكانتهم» وفي قراءة مكاناتهم جمع مكانة بمعنى مكان أي في منازلهم «فما استطاعوا مضيا ولا يرجعون» أي لم يقدروا على ذهاب ولا مجيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22481','chapter_id' => '36','chapter_detail_id' => '3773','translator_id' => '4','verse_number' => '68','translate_name' => '«ومن نعمِّره» بإطالة أجله «نَنْكُسْهُ» وفي قراءة بالتشديد من التنكيس «في الخلق» فيكون بعد قوته وشبابه ضعيفا وهرما «أفلا يعقلون» أن القادر على ذلك المعلوم عندهم قادر على البعث فيؤمنون، وفي قراءة بالتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22482','chapter_id' => '36','chapter_detail_id' => '3774','translator_id' => '4','verse_number' => '69','translate_name' => '«وما علمناه» أي النبي «الشعر» رد لقولهم إن ما أتى به من القرآن شعر «وما ينبغي» يسهل «له» الشعر «إن هو» ليس الذي أتى به «إلا ذكر» عظة «وقرآن مبين» مظهر للأحكام وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22483','chapter_id' => '36','chapter_detail_id' => '3775','translator_id' => '4','verse_number' => '70','translate_name' => '«لينذر» بالياء والتاء به «من كان حيا» يعقل ما يخاطب به وهم المؤمنون «ويحق القول» بالعذاب «على الكافرين» وهم كالميتين لا يعقلون ما يخاطبون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22484','chapter_id' => '36','chapter_detail_id' => '3776','translator_id' => '4','verse_number' => '71','translate_name' => '«أوَ لم يروْا» يعلموا والاستفهام للتقرير والواو الداخلة عليه للعطف «أنا خلقنا لهم» في جملة الناس «مما عملت أيدينا» عملناه بلا شريك ولا معين «أنعاما» هي الإبل والبقر والغنم «فهم لها مالكون» ضابطون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22485','chapter_id' => '36','chapter_detail_id' => '3777','translator_id' => '4','verse_number' => '72','translate_name' => '«وذللناها» سخرناها «لهم فمنها ركوبهم» مركوبهم «ومنها يأكلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22486','chapter_id' => '36','chapter_detail_id' => '3778','translator_id' => '4','verse_number' => '73','translate_name' => '«ولهم فيها منافع» كأصوافها وأوبارها وأشعارها «ومشارب» من لبنها جمع مشرب بمعنى شِرْب أو موضعه «أفلا يشكرون» المنعم عليهم بها فيؤمنون أي ما فعلوا ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22487','chapter_id' => '36','chapter_detail_id' => '3779','translator_id' => '4','verse_number' => '74','translate_name' => '«واتخذوا من دون الله» أي غيره «آلهة» أصناما يعبدونها «لعلهم يُنصرون» يمنعون من عذاب الله تعالى بشفاعة آلهتهم بزعمهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22488','chapter_id' => '36','chapter_detail_id' => '3780','translator_id' => '4','verse_number' => '75','translate_name' => '«لا يستطيعون» أي آلهتهم، نزلوا منزلة العقلاء «نصرهم وهم» أي آلهتهم من الأصنام «لهم جندٌ» بزعمهم نصرهم «محضرون» في النار معهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22489','chapter_id' => '36','chapter_detail_id' => '3781','translator_id' => '4','verse_number' => '76','translate_name' => '«فلا يحزنك قولهم» لك: لست مرسلا وغير ذلك «إنا نعلم ما يسرون وما يعلنون» من ذلك وغيره فنجازيهم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22490','chapter_id' => '36','chapter_detail_id' => '3782','translator_id' => '4','verse_number' => '77','translate_name' => '«أوَ لم يرَ الإنسان» يعلم، وهو العاصي بن وائل «أنَّا خلقناه من نطفة» منيِّ إلى أن صيَّرناه شديدا قويا «فإذا هو خصيم» شديد الخصومة لنا «مبينٌ» بيِّنها في نفي البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22491','chapter_id' => '36','chapter_detail_id' => '3783','translator_id' => '4','verse_number' => '78','translate_name' => '(وضرب لنا مثلا) في ذلك (ونسي خلقه) من المني وهو أغرب من مثله (قال من يحيي العظام وهي رميم) أي بالية ولم يقل رميمة بالتاء لأنه اسم لا صفة، وروي أنه أخذ عظما رميما ففتته وقال للنبي صلى الله عليه وسلم: أترى يحيي الله هذا بعد ما بلي ورم؟ فقال صلى الله عليه وسلم: "نعم ويدخلك النار".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22492','chapter_id' => '36','chapter_detail_id' => '3784','translator_id' => '4','verse_number' => '79','translate_name' => '«قل يحييها الذي أنشأها أول مرة وهو بكل خلق» مخلوق «عليم» مجملا ومفصلا قبل خلقه وبعد خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22493','chapter_id' => '36','chapter_detail_id' => '3785','translator_id' => '4','verse_number' => '80','translate_name' => '«الذي جعل لكم» في جملة الناس «من الشجر الأخضر» المرخ والعفار أو كل شجر إلا العناب «نارا فإذا أنتم منه توقدون» تقدحون وهذا دال على القدرة على البعث فإنه جمع فيه بين الماء والنار والخشب، فلا الماء يطفأ النار، ولا النار تحرق الخشب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22494','chapter_id' => '36','chapter_detail_id' => '3786','translator_id' => '4','verse_number' => '81','translate_name' => '«أوَ ليس الذي خلق السماوات والأرض» مع عظمهما «بقادر على أن يخلق مثلهم» أي الأناسي في الصغر «بلى» أي هو قادر على ذلك أجاب نفسه «وهو الخلاًق» الكثير الخلق «العليم» بكل شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22495','chapter_id' => '36','chapter_detail_id' => '3787','translator_id' => '4','verse_number' => '82','translate_name' => '«إنما أمره» شأنه «إذا أراد شيئا» أي خلق شيء «أن يقول له كن فيكونُ» أي فهو يكون، وفي قراءة بالنصب عطفا على يقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22496','chapter_id' => '36','chapter_detail_id' => '3788','translator_id' => '4','verse_number' => '83','translate_name' => '«فسبحان الذي بيده ملكوت» مُلك زيدت الواو والتاء للمبالغة، أي القدرة على «كل شيء وإليه ترجعون» تردُّون في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22497','chapter_id' => '37','chapter_detail_id' => '3789','translator_id' => '4','verse_number' => '1','translate_name' => '«والصافات صفّا» الملائكة تصف نفوسها في العبادة أو أجنحتها في الهواء تنتظر ما تؤمر به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22498','chapter_id' => '37','chapter_detail_id' => '3790','translator_id' => '4','verse_number' => '2','translate_name' => '«فالزاجرات زجرا» الملائكة تزجر السحاب أي تسوقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22499','chapter_id' => '37','chapter_detail_id' => '3791','translator_id' => '4','verse_number' => '3','translate_name' => '«فالتاليات» أي قراء القرآن يتلونه «ذكرا» مصدر من معنى التاليات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22500','chapter_id' => '37','chapter_detail_id' => '3792','translator_id' => '4','verse_number' => '4','translate_name' => '«إن إلهكم» يا أهل مكة «لواحد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22501','chapter_id' => '37','chapter_detail_id' => '3793','translator_id' => '4','verse_number' => '5','translate_name' => '«ربُّ السماوات والأرض وما بينهما وربُّ المشارق» أي والمغارب للشمس، لها كل يوم مشرق ومغرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22502','chapter_id' => '37','chapter_detail_id' => '3794','translator_id' => '4','verse_number' => '6','translate_name' => '«إنَّا زينا السماء الدنيا بزينة الكواكب» أي بضوئها أو بها، والإضافة للبيان كقراءة تنوين زينة المبينة بالكواكب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22503','chapter_id' => '37','chapter_detail_id' => '3795','translator_id' => '4','verse_number' => '7','translate_name' => '«وحفظا» منصوب بفعل مقدر: أي حفظناها بالشهب «من كل» متعلق بالمقدر «شيطان مارد» عاتٍ خارج عن الطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22504','chapter_id' => '37','chapter_detail_id' => '3796','translator_id' => '4','verse_number' => '8','translate_name' => '«لا يسمعون» أي الشياطين مستأنف، وسماعهم هو في المعنى المحفوظ عنه «إلى الملأ الأعلى» الملائكة في السماء، وعدِّي السماع بإلى لتضمنه معنى الإصغاء وفي قراءة بتشديد الميم والسين أصله يتسمعون أدغمت التاء في السين «ويقذفون» أي الشياطين بالشهب «من كل جانب» من آفاق السماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22505','chapter_id' => '37','chapter_detail_id' => '3797','translator_id' => '4','verse_number' => '9','translate_name' => '«دُحُورا» مصدر دحره: أي طرده وأبعده وهو مفعول له «ولهم» في الآخرة «عذاب واصب» دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22506','chapter_id' => '37','chapter_detail_id' => '3798','translator_id' => '4','verse_number' => '10','translate_name' => '«إلا من خطف الخطفة» مصدر: أي المرة، والاستثناء من ضمير يسمعون: أي لا يسمع إلا الشيطان الذي سمع الكلمة من الملائكة فأخذها بسرعة «فأتبعه شهاب» كوكب مضيء «ثاقب» يثقبه أو يحرقه أو يخبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22507','chapter_id' => '37','chapter_detail_id' => '3799','translator_id' => '4','verse_number' => '11','translate_name' => '«فاستفتهم» استخبر كفار مكة تقريرا أو توبيخا «أهم أشد خلقا أم من خلقنا» من الملائكة والسماوات والأرضين وما فيهما وفي الإتيان بمن تغليب العقلاء «إنا خلقناهم» أي أصلهم آدم «من طين لازب» لازم يلصق باليد: المعنى أن خلقهم ضعيف فلا يتكبروا بإنكار النبي والقرآن المؤدي إلى هلاكهم اليسير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22508','chapter_id' => '37','chapter_detail_id' => '3800','translator_id' => '4','verse_number' => '12','translate_name' => '«بل» للانتقال من غرض إلى آخر وهو الإخبار بحاله وحالهم «عجبتَ» بفتح التاء خطابا للنبي صلى الله عليه وسلم، أي من تكذيبهم إياك «و» هم «يسخرون» من تعجبك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22509','chapter_id' => '37','chapter_detail_id' => '3801','translator_id' => '4','verse_number' => '13','translate_name' => '«وإذا ذكروا» وعظوا بالقرآن «لا يذكرون» لا يتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22510','chapter_id' => '37','chapter_detail_id' => '3802','translator_id' => '4','verse_number' => '14','translate_name' => '«وإذا رأوْا آية» كانشقاق القمر «يستسخرون» يستهزئُون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22511','chapter_id' => '37','chapter_detail_id' => '3803','translator_id' => '4','verse_number' => '15','translate_name' => '«وقالوا» فيها «إن» ما «هذا إلا سحر مبين» بيّن وقالوا منكرين للبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22512','chapter_id' => '37','chapter_detail_id' => '3804','translator_id' => '4','verse_number' => '16','translate_name' => '«أئذا متنا وكنا ترابا وعظاما أئنا لمبعوثون» في الهمزتين في الموضوعين التحقيق وتسهيل الثانية وإدخال ألف بينهما على الوجهين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22513','chapter_id' => '37','chapter_detail_id' => '3805','translator_id' => '4','verse_number' => '17','translate_name' => '«أوْ آباؤنا الأولون» بسكون الواو عطفا بأو، وبفتحها والهمزة للاستفهام والعطف بالواو والمعطوف عليه محل إن واسمها أو الضمير في لمبعوثون والفاصل همزة الاستفهام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22514','chapter_id' => '37','chapter_detail_id' => '3806','translator_id' => '4','verse_number' => '18','translate_name' => '«قل نعم» تبعثون «وأنتم داخرون» أي صاغرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22515','chapter_id' => '37','chapter_detail_id' => '3807','translator_id' => '4','verse_number' => '19','translate_name' => '«فإنما هي» ضمير مبهم يفسره «زجرة» أي صيحة «واحدة فإذا هم» أي الخلائق أحياء «ينظرون» ما يفعل بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22516','chapter_id' => '37','chapter_detail_id' => '3808','translator_id' => '4','verse_number' => '20','translate_name' => '«وقالوا» أي الكفار «يا» للتنبيه «ويْلنا» هلاكنا، وهو مصدر لا فعل له من لفظه وتقول لهم الملائكة: «هذا يوم الدين» يوم الحساب والجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22517','chapter_id' => '37','chapter_detail_id' => '3809','translator_id' => '4','verse_number' => '21','translate_name' => '«هذا يوم الفصل» بين الخلائق «الذي كنتم به تكذبون» ويقال للملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22518','chapter_id' => '37','chapter_detail_id' => '3810','translator_id' => '4','verse_number' => '22','translate_name' => '«أُحشروا الذين ظلموا» أنفسهم بالشرك «وأزواجهم» قرناءهم من الشياطين «وما كانوا يعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22519','chapter_id' => '37','chapter_detail_id' => '3811','translator_id' => '4','verse_number' => '23','translate_name' => '«من دون الله» أي غيره من الأوثان «فاهدوهم» دلوهم وسوقوهم «إلى صراط الجحيم» طريق النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22520','chapter_id' => '37','chapter_detail_id' => '3812','translator_id' => '4','verse_number' => '24','translate_name' => '«وقفوهم» احبسوهم عن الصراط «إنهم مسئولون» عن جميع أقوالهم، ويقال لهم توبيخا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22521','chapter_id' => '37','chapter_detail_id' => '3813','translator_id' => '4','verse_number' => '25','translate_name' => '«ما لكم لا تناصرون» لا ينصر بعضكم بعضا كحالكم في الدنيا ويقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22522','chapter_id' => '37','chapter_detail_id' => '3814','translator_id' => '4','verse_number' => '26','translate_name' => '«بل هم اليوم مستسلمون» منقادون أذلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22523','chapter_id' => '37','chapter_detail_id' => '3815','translator_id' => '4','verse_number' => '27','translate_name' => '«وأقبل بعضهم على بعض يتساءلون» يتلاومون ويتخاصمون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22524','chapter_id' => '37','chapter_detail_id' => '3816','translator_id' => '4','verse_number' => '28','translate_name' => '«قالوا» أي الأتباع منهم للمتبوعين «إنكم كنتم تأتوننا عن اليمين» عن الجهة التي كنا نأمنكم منها لحلفكم أنكم على الحق فصدقناكم واتبعناكم، المعنى أنكم أضللتمونا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22525','chapter_id' => '37','chapter_detail_id' => '3817','translator_id' => '4','verse_number' => '29','translate_name' => '«قالوا» أي المتبعون لهم «بل لم تكونوا مؤمنين» وإنما يصدق الإضلال منا أن لو كنتم مؤمنين فرجعتم عن الإيمان إلينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22526','chapter_id' => '37','chapter_detail_id' => '3818','translator_id' => '4','verse_number' => '30','translate_name' => '«وما كان لنا عليكم من سلطان» قوة وقدرة تقهركم على متابعتنا «بل كنتم قوما طاغين» ضالين مثلنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22527','chapter_id' => '37','chapter_detail_id' => '3819','translator_id' => '4','verse_number' => '31','translate_name' => '(فحق) وجب (علينا) جميعا (قول ربنا) بالعذاب: أي قوله "" لأملأن جهنم من الجنة والناس أجمعين "" (إنا) جميعا (لذائقون) العذاب بذلك القول ونشأ عنه قولهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22528','chapter_id' => '37','chapter_detail_id' => '3820','translator_id' => '4','verse_number' => '32','translate_name' => '«فأغويناكم» المعلل بقولهم «إنا كنا غاوين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22529','chapter_id' => '37','chapter_detail_id' => '3821','translator_id' => '4','verse_number' => '33','translate_name' => 'قال تعالى «فإنهم يومئذ» يوم القيامة «في العذاب مشتركون» أي لاشتراكهم في الغواية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22530','chapter_id' => '37','chapter_detail_id' => '3822','translator_id' => '4','verse_number' => '34','translate_name' => '«إنا كذلك» كما نفعل بهؤلاء «نفعل بالمجرمين» غير هؤلاء: أي نعذبهم التابع منهم والمتبوع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22531','chapter_id' => '37','chapter_detail_id' => '3823','translator_id' => '4','verse_number' => '35','translate_name' => '«إنهم» أي هؤلاء بقرينة ما بعده «كانوا إذا قيل لهم لا إله إلا الله يستكبرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22532','chapter_id' => '37','chapter_detail_id' => '3824','translator_id' => '4','verse_number' => '36','translate_name' => '«ويقولون أئنا» في همزتيه ما تقدم «لتاركوا آلهتنا لشاعر مجنون» أي لأجل محمد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22533','chapter_id' => '37','chapter_detail_id' => '3825','translator_id' => '4','verse_number' => '37','translate_name' => 'قال تعالى: «بل جاء بالحق وصدَّق المرسلين» الجائين به، وهو أن لا إله إلا الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22534','chapter_id' => '37','chapter_detail_id' => '3826','translator_id' => '4','verse_number' => '38','translate_name' => '«إنكم» فيه التفات «لذائقوا العذاب الأليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22535','chapter_id' => '37','chapter_detail_id' => '3827','translator_id' => '4','verse_number' => '39','translate_name' => '«وما تجزوْن إلا» جزاء «ما كنتم تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22536','chapter_id' => '37','chapter_detail_id' => '3828','translator_id' => '4','verse_number' => '40','translate_name' => '«إلا عباد الله المخلصين» أي المؤمنين استثناء منقطع، أي ذكر جزائهم في قوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22537','chapter_id' => '37','chapter_detail_id' => '3829','translator_id' => '4','verse_number' => '41','translate_name' => '«أولئك لهم» في الجنة «رزق معلوم» بكرة وعشيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22538','chapter_id' => '37','chapter_detail_id' => '3830','translator_id' => '4','verse_number' => '42','translate_name' => '«فواكه» بدل أو بيان للرزق وهو ما يؤكل تلذذا لحفظ صحة لأن أهل الجنة مستغنون عن حفظها بخلق أجسامهم للأبد «وهم مكرمون» بثواب الله سبحانه وتعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22539','chapter_id' => '37','chapter_detail_id' => '3831','translator_id' => '4','verse_number' => '43','translate_name' => '«في جنات النعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22540','chapter_id' => '37','chapter_detail_id' => '3832','translator_id' => '4','verse_number' => '44','translate_name' => '«على سرر متقابلين» لا يرى بعضهم قفا بعض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22541','chapter_id' => '37','chapter_detail_id' => '3833','translator_id' => '4','verse_number' => '45','translate_name' => '«يطاف عليهم» على كل منهم «بكأس» هو الإناء بشرابه «من معين» من خمر يجري على وجه الأرض كأنهار الماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22542','chapter_id' => '37','chapter_detail_id' => '3834','translator_id' => '4','verse_number' => '46','translate_name' => '«بيضاء» أشد بياضا من اللبن «لذة» لذيذة «للشاربين» بخلاف خمر الدنيا فإنها كريهة عند الشرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22543','chapter_id' => '37','chapter_detail_id' => '3835','translator_id' => '4','verse_number' => '47','translate_name' => '«لا فيها غول» ما يغتال عقولهم «ولا هم عنها ينزَِفون» بفتح الزاي وكسرها من نزف الشارب وأنزف: أي يسكرون بخلاف خمر الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22544','chapter_id' => '37','chapter_detail_id' => '3836','translator_id' => '4','verse_number' => '48','translate_name' => '«وعندهم قاصرات الطرْف» حابسات الأعين على أزواجهن لا ينظرن إلى غيرهم لحسنهم عندهن «عين» ضخام الأعين حسانها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22545','chapter_id' => '37','chapter_detail_id' => '3837','translator_id' => '4','verse_number' => '49','translate_name' => '«كأنهن» في اللون «بيض» للنعام «مكنون» مستور بريشه لا يصل إليه غبار، ولونه وهو البياض في صفرة، أحسن ألوان النساء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22546','chapter_id' => '37','chapter_detail_id' => '3838','translator_id' => '4','verse_number' => '50','translate_name' => '«فأقبل بعضهم» بعض أهل الجنة «على بعض يتساءلون» عما مر بهم في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22547','chapter_id' => '37','chapter_detail_id' => '3839','translator_id' => '4','verse_number' => '51','translate_name' => '«قال قائل منهم إني كان لي قرين» صاحب ينكر البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22548','chapter_id' => '37','chapter_detail_id' => '3840','translator_id' => '4','verse_number' => '52','translate_name' => '«يقول» لي تبكيتا «أئنك لمن المصدقين» بالبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22549','chapter_id' => '37','chapter_detail_id' => '3841','translator_id' => '4','verse_number' => '53','translate_name' => '«أئذا متنا وكنا ترابا وعظاما أئنا» في الهمزتين في الثلاثة مواضع ما تقدم «لمدينون» مجزيون ومحاسبون؟ أنكر ذلك أيضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22550','chapter_id' => '37','chapter_detail_id' => '3842','translator_id' => '4','verse_number' => '54','translate_name' => '«قال» ذلك القائل لإخوانه: «هل أنتم مطلعون» معي إلى النار لننظر حاله؟ فيقولون: لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22551','chapter_id' => '37','chapter_detail_id' => '3843','translator_id' => '4','verse_number' => '55','translate_name' => '«فاطلع» ذلك القائلون من بعض كوى الجنة «فرآه» أي رأى قرينه «في سواء الجحيم» في وسط النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22552','chapter_id' => '37','chapter_detail_id' => '3844','translator_id' => '4','verse_number' => '56','translate_name' => '«قال» له تشميتا «تالله إن» مخففة من الثقيلة «كدت» قاربت «لتردين» لتهلكني بإغوائك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22553','chapter_id' => '37','chapter_detail_id' => '3845','translator_id' => '4','verse_number' => '57','translate_name' => '«ولو لا نعمة ربي» عليَّ بالإيمان «لكنت من المحضرين» معك في النار وتقول أهل الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22554','chapter_id' => '37','chapter_detail_id' => '3846','translator_id' => '4','verse_number' => '58','translate_name' => '«أفما نحن بميتين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22555','chapter_id' => '37','chapter_detail_id' => '3847','translator_id' => '4','verse_number' => '59','translate_name' => '«إلا موتتنا الأولى» أي التي في الدنيا «وما نحن بمعذبين» هو استفهام تلذذ وتحدُّث بنعمة الله تعالى من تأبيد الحياة وعدم التعذيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22556','chapter_id' => '37','chapter_detail_id' => '3848','translator_id' => '4','verse_number' => '60','translate_name' => '«إن هذا» الذي ذكرت لأهل الجنة «لهو الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22557','chapter_id' => '37','chapter_detail_id' => '3849','translator_id' => '4','verse_number' => '61','translate_name' => '«لمثل هذا فليعمل العاملون» قيل يقال لهم ذلك، وقيل هم يقولونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22558','chapter_id' => '37','chapter_detail_id' => '3850','translator_id' => '4','verse_number' => '62','translate_name' => '«أذلك» المذكور لهم «خير نزلا» وهو ما يعدّ للنازل من ضيف وغيره «أم شجرة الزقوم» المعدة لأهل النار وهي من أخبث الشجر المرّ بتهامة ينبتها الله في الجحيم كما سيأتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22559','chapter_id' => '37','chapter_detail_id' => '3851','translator_id' => '4','verse_number' => '63','translate_name' => '«إنا جعلناها» بذلك «فتنة للظالمين» أي الكافرين من أهل مكة، إذ قالوا: النار تحرق الشجر فكيف تنبته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22560','chapter_id' => '37','chapter_detail_id' => '3852','translator_id' => '4','verse_number' => '64','translate_name' => '«إنها شجرة تخرج في أصل الجحيم» أي قعر جهنم، وأغصانها ترتفع إلى دركاتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22561','chapter_id' => '37','chapter_detail_id' => '3853','translator_id' => '4','verse_number' => '65','translate_name' => '«طلعها» المشبه بطلع النخل «كأنه رءوس الشياطين» الحيات القبيحة المنظر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22562','chapter_id' => '37','chapter_detail_id' => '3854','translator_id' => '4','verse_number' => '66','translate_name' => '«فإنهم» أي الكفار «لآكلون منها» مع قبحها لشدة جوعهم «فمالئون منها البطون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22563','chapter_id' => '37','chapter_detail_id' => '3855','translator_id' => '4','verse_number' => '67','translate_name' => '«ثم إن لهم عليها لشوبا من حميم» أي ماء حار يشربونه فيختلط بالمأكول منها فيصير شوبا له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22564','chapter_id' => '37','chapter_detail_id' => '3856','translator_id' => '4','verse_number' => '68','translate_name' => '«ثم إن مرجعهم لإلى الجحيم» يفيد أنهم يخرجون منها لشرب الحميم وأنه خارجها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22565','chapter_id' => '37','chapter_detail_id' => '3857','translator_id' => '4','verse_number' => '69','translate_name' => '«إنهم ألفوْا» وجدوا «آباءهم ضالين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22566','chapter_id' => '37','chapter_detail_id' => '3858','translator_id' => '4','verse_number' => '70','translate_name' => '«فهم على آثارهم يُهرعون» يزعجون إلى اتباعهم فيسرعون إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22567','chapter_id' => '37','chapter_detail_id' => '3859','translator_id' => '4','verse_number' => '71','translate_name' => '«ولقد ضل قبلهم أكثر الأولين» من الأمم الماضية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22568','chapter_id' => '37','chapter_detail_id' => '3860','translator_id' => '4','verse_number' => '72','translate_name' => '«ولقد أرسلنا فيهم منذرين» من الرسل مخوِّفين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22569','chapter_id' => '37','chapter_detail_id' => '3861','translator_id' => '4','verse_number' => '73','translate_name' => '«فانظر كيف كان عاقبة المنذَرين» الكافرين: أي عاقبتهم العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22570','chapter_id' => '37','chapter_detail_id' => '3862','translator_id' => '4','verse_number' => '74','translate_name' => '«إلا عباد الله المخلصين» أي المؤمنين فإنهم نجوا من العذاب لإخلاصهم في العبادة، أو لأن الله أخلصهم لها على قراءة فتح اللام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22571','chapter_id' => '37','chapter_detail_id' => '3863','translator_id' => '4','verse_number' => '75','translate_name' => '(ولقد نادانا نوح) بقوله "" رب إني مغلوب فانتصر "" (فلنعم المجيبون) له نحن: أي دعانا على قومه فأهلكناهم بالغرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22572','chapter_id' => '37','chapter_detail_id' => '3864','translator_id' => '4','verse_number' => '76','translate_name' => '«ونجيناه وأهله من الكرب العظيم» أي الغرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22573','chapter_id' => '37','chapter_detail_id' => '3865','translator_id' => '4','verse_number' => '77','translate_name' => '«وجعلنا ذريته هم الباقين» فالناس كلهم من نسله وكان له ثلاثة أولاد: سام وهو أبو العرب والفرس والروم، وحام وهو أبو السودان، ويافث وهو أبو الترك والخزر ويأجوج ومأجوج وما هنالك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22574','chapter_id' => '37','chapter_detail_id' => '3866','translator_id' => '4','verse_number' => '78','translate_name' => '«وتركنا» أبقينا «عليه» ثناء حسنا «في الآخرين» من الأنبياء والأمم إلى يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22575','chapter_id' => '37','chapter_detail_id' => '3867','translator_id' => '4','verse_number' => '79','translate_name' => '«سلام» منا «على نوح في العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22576','chapter_id' => '37','chapter_detail_id' => '3868','translator_id' => '4','verse_number' => '80','translate_name' => '«إنا كذلك» كما جزيناهم «نجزي المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22577','chapter_id' => '37','chapter_detail_id' => '3869','translator_id' => '4','verse_number' => '81','translate_name' => '«إنه من عبادنا المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22578','chapter_id' => '37','chapter_detail_id' => '3870','translator_id' => '4','verse_number' => '82','translate_name' => '«ثم أغرقنا الآخرين» كفار قومه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22579','chapter_id' => '37','chapter_detail_id' => '3871','translator_id' => '4','verse_number' => '83','translate_name' => '«وإن من شيعته» أي ممن تابعه في أصل الدين «لإبراهيم» وإن طال الزمان بينهما وهو ألفان وستمائة وأربعون سنة وكان بينهما هود وصالح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22580','chapter_id' => '37','chapter_detail_id' => '3872','translator_id' => '4','verse_number' => '84','translate_name' => '«إذ جاء ربهَّ» أي تابعه وقت مجيئه «بقلب سليم» من الشك وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22581','chapter_id' => '37','chapter_detail_id' => '3873','translator_id' => '4','verse_number' => '85','translate_name' => '«إذ قال» في هذه الحالة المستمرة له «لأبيه وقومه» موبخا «ماذا» ما الذي «تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22582','chapter_id' => '37','chapter_detail_id' => '3874','translator_id' => '4','verse_number' => '86','translate_name' => '«أئفكا» في همزتيه ما تقدم «آلهة دون الله تريدون» وإفكا مفعول له، وآلهة مفعول به لتريدون والإفك: أسوأ الكذب، أي أتعبدون غير الله؟.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22583','chapter_id' => '37','chapter_detail_id' => '3875','translator_id' => '4','verse_number' => '87','translate_name' => '«فما ظنكم برب العالمين» إذ عبدتم غيره أنه يترككم بلا عقاب؟ لا، وكانوا نجامين، فخرجوا إلى عيد لهم وتركوا طعامهم عند أصنامهم زعموا التبرك عليه فإذا رجعوا أكلوه، وقالوا للسيد: اخرج معنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22584','chapter_id' => '37','chapter_detail_id' => '3876','translator_id' => '4','verse_number' => '88','translate_name' => '«فنظر نظرة في النجوم» إيهاما لهم أنه يعتمد عليها ليعتمدوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22585','chapter_id' => '37','chapter_detail_id' => '3877','translator_id' => '4','verse_number' => '89','translate_name' => '«فقال إني سقيم» عليل أي سأسقم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22586','chapter_id' => '37','chapter_detail_id' => '3878','translator_id' => '4','verse_number' => '90','translate_name' => '«فتولوا عنه» إلى عيدهم «مدبرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22587','chapter_id' => '37','chapter_detail_id' => '3879','translator_id' => '4','verse_number' => '91','translate_name' => '«فراغ» مال في خفية «إلى آلهتهم» وهي الأصنام وعندها الطعام «فقال» استهزاءً «ألا تأكلون» فلم ينطقوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22588','chapter_id' => '37','chapter_detail_id' => '3880','translator_id' => '4','verse_number' => '92','translate_name' => 'فقال «ما لكم لا تنطقون» فلم يجب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22589','chapter_id' => '37','chapter_detail_id' => '3881','translator_id' => '4','verse_number' => '93','translate_name' => '«فراغ عليهم ضربا باليمين» بالقوة فكسرها فبلغ قومه ممن رآه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22590','chapter_id' => '37','chapter_detail_id' => '3882','translator_id' => '4','verse_number' => '94','translate_name' => '«فأقبلوا إليه يزفون» أي يسرعون المشي فقالوا له: نحن نعبدها وأنت تكسرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22591','chapter_id' => '37','chapter_detail_id' => '3883','translator_id' => '4','verse_number' => '95','translate_name' => '«قال» لهم موبخا «أتعبدون ما تنحتون» من الحجارة وغيرها أصناما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22592','chapter_id' => '37','chapter_detail_id' => '3884','translator_id' => '4','verse_number' => '96','translate_name' => '«والله خلقكم وما تعملون» من نحتكم ومنحوتكم فاعبدوه وحده، وما مصدرية وقيل موصولة وقيل موصوفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22593','chapter_id' => '37','chapter_detail_id' => '3885','translator_id' => '4','verse_number' => '97','translate_name' => '«قالوا» بينهم «ابنوا له بنيانا» فاملئوه حطبا وأضرموه بالنار فإذا التهب «فألقوه في الجحيم» النار الشديدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22594','chapter_id' => '37','chapter_detail_id' => '3886','translator_id' => '4','verse_number' => '98','translate_name' => '«فأرادوا به كيدا» بإلقائه في النار لتهلكه «فجعلناهم الأسفلين» المقهورين فخرج من النار سالما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22595','chapter_id' => '37','chapter_detail_id' => '3887','translator_id' => '4','verse_number' => '99','translate_name' => '«وقال إني ذاهب إلى ربي» مهاجر إليه من دار الكفر «سيهدين» إلى حيث أمرني ربي بالمصير إليه وهو الشام فلما وصل إلى الأرض المقدسة قال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22596','chapter_id' => '37','chapter_detail_id' => '3888','translator_id' => '4','verse_number' => '100','translate_name' => '«رب هب لي» ولدا «من الصالحين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22597','chapter_id' => '37','chapter_detail_id' => '3889','translator_id' => '4','verse_number' => '101','translate_name' => '«فبشرناه بغلام حليم» أي ذي حلم كثير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22598','chapter_id' => '37','chapter_detail_id' => '3890','translator_id' => '4','verse_number' => '102','translate_name' => '«فلما بلغ معه السعي» أي أن يسعى معه ويعينه قيل بلغ سبع سنين وقيل ثلاث عشرة سنة «قال يا بنيَّ إني أرى» أي رأيت «في المنام أني أذبحك» ورؤيا الأنبياء حق وأفعالهم بأمر الله تعالى «فانظر ماذا ترى» من الرأي شاوره ليأنس بالذبح وينقاد للأمر به «قال يا أبت» التاء عوض عن ياء الإضافة «افعل ما تؤمر» به «ستجدني إن شاء الله من الصابرين» على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22599','chapter_id' => '37','chapter_detail_id' => '3891','translator_id' => '4','verse_number' => '103','translate_name' => '«فلما أسلما» خضعا وانقادا لأمر الله تعالى «وتله للجبين» صرعه عليه، ولكل إنسان جبينان بينهما الجبهة وكان ذلك بمنى، وأمرَّ السكين على حلقه فلم تعمل شيئا بمانع من القدرة الإلهية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22600','chapter_id' => '37','chapter_detail_id' => '3892','translator_id' => '4','verse_number' => '104','translate_name' => '«وناديناه أن يا إبراهيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22601','chapter_id' => '37','chapter_detail_id' => '3893','translator_id' => '4','verse_number' => '105','translate_name' => '«قد صدقت الرؤيا» بما أتيت به مما أمكنك من أمر الذبح: أي يكفيك ذلك فجملة ناديناه جواب لما بزيادة الواو «إنا كذلك» كما جزيناك «نجزي المحسنين» لأنفسهم بامتثال الأمر بإفراج الشدة عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22602','chapter_id' => '37','chapter_detail_id' => '3894','translator_id' => '4','verse_number' => '106','translate_name' => '«إن هذا» الذبح المأمور به «لهو البلاء المبين» أي الاختبار الظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22603','chapter_id' => '37','chapter_detail_id' => '3895','translator_id' => '4','verse_number' => '107','translate_name' => '«وفديناه» أي المأمور بذبحه، وهو إسماعيل أو إسحاق قولان «بذبح» بكبش «عظيم» من الجنة وهو الذي قربه هابيل جاء به جبريل عليه السلام فذبحه السيد إبراهيم مكبرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22604','chapter_id' => '37','chapter_detail_id' => '3896','translator_id' => '4','verse_number' => '108','translate_name' => '«وتركنا» أبقينا «عليه في الآخرين» ثناءً حسنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22605','chapter_id' => '37','chapter_detail_id' => '3897','translator_id' => '4','verse_number' => '109','translate_name' => '«سلام» منا «على إبراهيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22606','chapter_id' => '37','chapter_detail_id' => '3898','translator_id' => '4','verse_number' => '110','translate_name' => '«كذلك» كما جزيناه «نجزي المحسنين» لأنفسهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22607','chapter_id' => '37','chapter_detail_id' => '3899','translator_id' => '4','verse_number' => '111','translate_name' => '«إنه من عبادنا المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22608','chapter_id' => '37','chapter_detail_id' => '3900','translator_id' => '4','verse_number' => '112','translate_name' => '«وبشرناه بإسحاق» استدلَّ بذلك على أن الذبح غيره «نبيا» حال مقدرة: أي يوجد مقدرا نبوته «من الصالحين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22609','chapter_id' => '37','chapter_detail_id' => '3901','translator_id' => '4','verse_number' => '113','translate_name' => '«وباركنا عليه» بكثير ذريته «وعلى إسحاق» ولده بجعلنا أكثر الأنبياء من نسله «ومن ذريتهما محسن» مؤمن «وظالم لنفسه» كافر «مبين» بيَّن الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22610','chapter_id' => '37','chapter_detail_id' => '3902','translator_id' => '4','verse_number' => '114','translate_name' => '«ولقد مننا على موسى وهارون» بالنبوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22611','chapter_id' => '37','chapter_detail_id' => '3903','translator_id' => '4','verse_number' => '115','translate_name' => '«ونجيناهما وقومهما» بني إسرائيل «من الكرب العظيم» أي استعباد فرعون إياهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22612','chapter_id' => '37','chapter_detail_id' => '3904','translator_id' => '4','verse_number' => '116','translate_name' => '«ونصرناهم» على القبط «فكانوا هم الغالبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22613','chapter_id' => '37','chapter_detail_id' => '3905','translator_id' => '4','verse_number' => '117','translate_name' => '«وآتيناهما الكتاب المستبين» البليغ البيان فيما أتى به من الحدود والأحكام وغيرها وهو التوراة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22614','chapter_id' => '37','chapter_detail_id' => '3906','translator_id' => '4','verse_number' => '118','translate_name' => '«وهديناهما الصراط» الطريق «المستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22615','chapter_id' => '37','chapter_detail_id' => '3907','translator_id' => '4','verse_number' => '119','translate_name' => '«وتركنا» أبقينا «عليهما في الآخرين» ثناءً حسنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22616','chapter_id' => '37','chapter_detail_id' => '3908','translator_id' => '4','verse_number' => '120','translate_name' => '«سلام» منا «على موسى وهارون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22617','chapter_id' => '37','chapter_detail_id' => '3909','translator_id' => '4','verse_number' => '121','translate_name' => '«إنا كذلك» كما جزيناهما «نجزي المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22618','chapter_id' => '37','chapter_detail_id' => '3910','translator_id' => '4','verse_number' => '122','translate_name' => '«إنهما من عبادنا المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22619','chapter_id' => '37','chapter_detail_id' => '3911','translator_id' => '4','verse_number' => '123','translate_name' => '«وإن إلياس» بالهمزة أوله وتركه «لمن المرسلين» قيل هو ابن أخي هارون أخي موسى، وقيل غيره أرسل إلى قوم ببعلبك ونواحيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22620','chapter_id' => '37','chapter_detail_id' => '3912','translator_id' => '4','verse_number' => '124','translate_name' => '«إذ» منصوب باذكر مقدرا «قال لقومه ألا تتقون» الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22621','chapter_id' => '37','chapter_detail_id' => '3913','translator_id' => '4','verse_number' => '125','translate_name' => '«أتدعون بعلا» اسم صنم لهم من ذهب، وبه سمي البلد أيضا مضافا إلى بك: أي أتعبدونه «وتذرون» تتركون «أحسن الخالقين» فلا تعبدونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22622','chapter_id' => '37','chapter_detail_id' => '3914','translator_id' => '4','verse_number' => '126','translate_name' => '«اللهُ ربُّكم وربُّ آبائكم الأولين» برفع الثلاثة على إضمار هو، وبنصبها على البدل من أحسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22623','chapter_id' => '37','chapter_detail_id' => '3915','translator_id' => '4','verse_number' => '127','translate_name' => '«فكذبوه فإنهم لمحضرون» في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22624','chapter_id' => '37','chapter_detail_id' => '3916','translator_id' => '4','verse_number' => '128','translate_name' => '«إلا عباد الله المخلصين» أي المؤمنين منهم فإنهم نجوا منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22625','chapter_id' => '37','chapter_detail_id' => '3917','translator_id' => '4','verse_number' => '129','translate_name' => '«وتركنا عليه في الآخرين» ثناءً حسنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22626','chapter_id' => '37','chapter_detail_id' => '3918','translator_id' => '4','verse_number' => '130','translate_name' => '«سلام» منا «على إلْ ياسين» قيل هو إلياس المتقدم ذكره، وقيل هو ومن آمن معه فجمعوا معه تغليبا كقولهم للمهلب وقومه المهلبون وعلى قراءة آل ياسين بالمد، أي أهله المراد به إلياس أيضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22627','chapter_id' => '37','chapter_detail_id' => '3919','translator_id' => '4','verse_number' => '131','translate_name' => '«إنا كذلك» كما جزيناه «نجزي المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22628','chapter_id' => '37','chapter_detail_id' => '3920','translator_id' => '4','verse_number' => '132','translate_name' => '«إنه من عبادنا المؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22629','chapter_id' => '37','chapter_detail_id' => '3921','translator_id' => '4','verse_number' => '133','translate_name' => '«وإن لوطا لمن المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22630','chapter_id' => '37','chapter_detail_id' => '3922','translator_id' => '4','verse_number' => '134','translate_name' => 'اذكر «إذ نجيناه وأهله أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22631','chapter_id' => '37','chapter_detail_id' => '3923','translator_id' => '4','verse_number' => '135','translate_name' => '«إلا عجوزا في الغابرين» أي الباقين في العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22632','chapter_id' => '37','chapter_detail_id' => '3924','translator_id' => '4','verse_number' => '136','translate_name' => '«ثم دمرنا» أهلكنا «الآخرين» كفار قومه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22633','chapter_id' => '37','chapter_detail_id' => '3925','translator_id' => '4','verse_number' => '137','translate_name' => '«وإنكم لتمرون عليهم» على آثارهم ومنازلهم في أسفاركم «مصبحين» أي وقت الصباح يعني بالنهار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22634','chapter_id' => '37','chapter_detail_id' => '3926','translator_id' => '4','verse_number' => '138','translate_name' => '«وبالليل أفلا تعقلون» يا أهل مكة ما حل بهم فتعتبرون به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22635','chapter_id' => '37','chapter_detail_id' => '3927','translator_id' => '4','verse_number' => '139','translate_name' => '«وإن يونس لمن المرسلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22636','chapter_id' => '37','chapter_detail_id' => '3928','translator_id' => '4','verse_number' => '140','translate_name' => '«إذْ أبق» هرب «إلى الفلك المشحون» السفينة المملوءة حين غاضب قومه لما لم ينزل بهم العذاب الذي وعدهم به فركب السفينة فوقفت في لجة البحر، فقال الملاحون هنا عبد أبق من سيده تظهره القرعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22637','chapter_id' => '37','chapter_detail_id' => '3929','translator_id' => '4','verse_number' => '141','translate_name' => '«فساهم» قارع أهل السفينة «فكان من المدحضين» المغلوبين بالقرعة فألقوه في البحر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22638','chapter_id' => '37','chapter_detail_id' => '3930','translator_id' => '4','verse_number' => '142','translate_name' => '«فالتقمه الحوت» ابتلعه «وهو مليم» أي آت بما يلام عليه من ذهابه إلى البحر وركوبه السفينة بلا إذن من ربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22639','chapter_id' => '37','chapter_detail_id' => '3931','translator_id' => '4','verse_number' => '143','translate_name' => '(فلولا أنه كان من المسبحين) الذاكرين بقوله كثيرا في بطن الحوت "" لا إله إلا أنت سبحانك إني كنت من الظالمين "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22640','chapter_id' => '37','chapter_detail_id' => '3932','translator_id' => '4','verse_number' => '144','translate_name' => '«للبث في بطنه إلى يوم يبعثون» لصار بطن الحوت قبرا له إلى يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22641','chapter_id' => '37','chapter_detail_id' => '3933','translator_id' => '4','verse_number' => '145','translate_name' => '«فنبذناه» أي ألقيناه من بطن الحوت «بالعراء» بوجه الأرض: أي بالساحل من يومه أو بعد ثلاثة أو سبعة أيام أو عشرين أو أربعين يوما «وهو سقيم» العليل كالفرخ الممعط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22642','chapter_id' => '37','chapter_detail_id' => '3934','translator_id' => '4','verse_number' => '146','translate_name' => '«وأنبتنا عليه شجرة من يقطين» وهي القرع تظله بساق على خلاف العادة في القرع معجزة له، وكانت تأتيه وعلة صباحا ومساء يشرب من لبنها حتى قوي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22643','chapter_id' => '37','chapter_detail_id' => '3935','translator_id' => '4','verse_number' => '147','translate_name' => '«وأرسلناه» بعد ذلك كقبله إلى قوم بنينوى من أرض الموصل «إلى مائة ألف أو» بل «يزيدون» عشرين أو ثلاثين أو سبعين ألفا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22644','chapter_id' => '37','chapter_detail_id' => '3936','translator_id' => '4','verse_number' => '148','translate_name' => '«فآمنوا» عند معاينة العذاب الموعودين به «فمتعناهم» أبقيناهم ممتعين بمالهم «إلى حين» تنقضي آجالهم فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22645','chapter_id' => '37','chapter_detail_id' => '3937','translator_id' => '4','verse_number' => '149','translate_name' => '«فاستفتهم» استخبر كفار مكة توبيخا لهم «ألربك البنات» بزعمهم أن الملائكة بنات الله «ولهم البنون» فيختصون بالأسنى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22646','chapter_id' => '37','chapter_detail_id' => '3938','translator_id' => '4','verse_number' => '150','translate_name' => '«أم خلقنا الملائكة إناثا وهم شاهدون» خلقنا فيقولون ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22647','chapter_id' => '37','chapter_detail_id' => '3939','translator_id' => '4','verse_number' => '151','translate_name' => '«ألا أنهم من إفكهم» كذبهم «ليقولون» بقولهم الملائكة بنات الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22648','chapter_id' => '37','chapter_detail_id' => '3940','translator_id' => '4','verse_number' => '152','translate_name' => '«ولد الله» بقولهم الملائكة بنات الله «وإنهم لكاذبون» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22649','chapter_id' => '37','chapter_detail_id' => '3941','translator_id' => '4','verse_number' => '153','translate_name' => '«أصطفى» بفتح الهمزة للاستفهام واستغني بها عن همزة الوصل فحذفت، أي أختار «البنات على البنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22650','chapter_id' => '37','chapter_detail_id' => '3942','translator_id' => '4','verse_number' => '154','translate_name' => '«ما لكم كيف تحكمون» هذا الحكم الفاسد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22651','chapter_id' => '37','chapter_detail_id' => '3943','translator_id' => '4','verse_number' => '155','translate_name' => '«أفلا تذَّكرون» بإدغام التاء في الذال، أنه سبحانه وتعالى منزه عن الولد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22652','chapter_id' => '37','chapter_detail_id' => '3944','translator_id' => '4','verse_number' => '156','translate_name' => '«أم لكم سلطان مبين» حجة واضحة أن لله ولدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22653','chapter_id' => '37','chapter_detail_id' => '3945','translator_id' => '4','verse_number' => '157','translate_name' => '«فأتوا بكتابكم» التوراة فأروني ذلك فيه «إن كنتم صادقين» في قولكم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22654','chapter_id' => '37','chapter_detail_id' => '3946','translator_id' => '4','verse_number' => '158','translate_name' => '«وجعلوا» أي المشركون «بينه» تعالى «وبين الجنة» أي الملائكة لاجتنانهم عن الأبصار «نسبا» بقولهم إنها بنات الله «ولقد علمت الجنَّة إنهم» أي قائلي ذلك «لمحضرون» للنار يعذبون فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22655','chapter_id' => '37','chapter_detail_id' => '3947','translator_id' => '4','verse_number' => '159','translate_name' => '«سبحان الله» تنزيها له «عما يصفون» بأن لله ولدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22656','chapter_id' => '37','chapter_detail_id' => '3948','translator_id' => '4','verse_number' => '160','translate_name' => '«إلا عباد الله المخلصين» أي المؤمنين استثناء منقطع أي فإنهم ينزهون الله تعالى عما يصفه هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22657','chapter_id' => '37','chapter_detail_id' => '3949','translator_id' => '4','verse_number' => '161','translate_name' => '«فإنكم وما تعبدون» من الأصنام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22658','chapter_id' => '37','chapter_detail_id' => '3950','translator_id' => '4','verse_number' => '162','translate_name' => '«ما أنتم عليه» أي على معبودكم عليه متعلق بقوله «بفاتنين» أي أحدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22659','chapter_id' => '37','chapter_detail_id' => '3951','translator_id' => '4','verse_number' => '163','translate_name' => '«إلا من هو صال الجحيم» في علم الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22660','chapter_id' => '37','chapter_detail_id' => '3952','translator_id' => '4','verse_number' => '164','translate_name' => 'قال جبريل للنبي صلى الله عليه وسلم «وما منا» معشر الملائكة أحد «إلا له مقام معلوم» في السماوات يعبد الله فيه لا يتجاوزه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22661','chapter_id' => '37','chapter_detail_id' => '3953','translator_id' => '4','verse_number' => '165','translate_name' => '«وإنا لنحن الصَّافون» أقدامنا في الصلاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22662','chapter_id' => '37','chapter_detail_id' => '3954','translator_id' => '4','verse_number' => '166','translate_name' => '«وإنا لنحن المسبحون» المنزهون الله عما لا يليق به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22663','chapter_id' => '37','chapter_detail_id' => '3955','translator_id' => '4','verse_number' => '167','translate_name' => '«وإن» مخففة من الثقيلة «كانوا» أي كفار مكة «ليقولون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22664','chapter_id' => '37','chapter_detail_id' => '3956','translator_id' => '4','verse_number' => '168','translate_name' => '«لو أن عندنا ذكرا» كتابا «من الأولين» أي من كتب الأمم الماضية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22665','chapter_id' => '37','chapter_detail_id' => '3957','translator_id' => '4','verse_number' => '169','translate_name' => '«لكنا عباد الله المخلصين» العابدة له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22666','chapter_id' => '37','chapter_detail_id' => '3958','translator_id' => '4','verse_number' => '170','translate_name' => 'قال تعالى: «فكفروا به» بالكتاب الذي جاءهم وهو القرآن الأشرف من ذلك الكتب «فسوف يعلمون» عاقبة كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22667','chapter_id' => '37','chapter_detail_id' => '3959','translator_id' => '4','verse_number' => '171','translate_name' => '(ولقد سبقت كلمتنا) بالنصر (لعبادنا المرسلين) وهي "" لأغلبن أنا ورسلي "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22668','chapter_id' => '37','chapter_detail_id' => '3960','translator_id' => '4','verse_number' => '172','translate_name' => 'أو هي قوله «إنهم لهم المنصورون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22669','chapter_id' => '37','chapter_detail_id' => '3961','translator_id' => '4','verse_number' => '173','translate_name' => '«وإن جندنا» أي المؤمنين «لهم الغالبون» الكفار بالحجة والنصرة عليهم في الدنيا، وإن لم ينتصر بعض منهم في الدنيا ففي الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22670','chapter_id' => '37','chapter_detail_id' => '3962','translator_id' => '4','verse_number' => '174','translate_name' => '«فتول عنهم» أي أعرض عن كفار مكة «حتى حين» تؤمر فيه بقتالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22671','chapter_id' => '37','chapter_detail_id' => '3963','translator_id' => '4','verse_number' => '175','translate_name' => '«وأبصرهم» إذ نزل بهم العذاب «فسوف يبصرون» عاقبة كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22672','chapter_id' => '37','chapter_detail_id' => '3964','translator_id' => '4','verse_number' => '176','translate_name' => 'فقالوا استهزاء: متى نزول هذا العذاب؟ قال تعالى تهديدا لهم: «أفبعذابنا يستعجلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22673','chapter_id' => '37','chapter_detail_id' => '3965','translator_id' => '4','verse_number' => '177','translate_name' => '«فإذا نزل بساحتهم» بفنائهم قال الفراء: العرب تكتفي بذكر الساحة عن القوم «فَساء» بئس صباحا «صباح المنذَرين» فيه إقامة الظاهر مقام المضمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22674','chapter_id' => '37','chapter_detail_id' => '3966','translator_id' => '4','verse_number' => '178','translate_name' => '«وتول عنهم حتى حين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22675','chapter_id' => '37','chapter_detail_id' => '3967','translator_id' => '4','verse_number' => '179','translate_name' => '«وأبصر فسوف يبصرون» كرر تأكيدا لتهديدهم وتسلية له صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22676','chapter_id' => '37','chapter_detail_id' => '3968','translator_id' => '4','verse_number' => '180','translate_name' => '«سبحان ربك رب العزة» الغلبة «عما يصفون» بأن له ولدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22677','chapter_id' => '37','chapter_detail_id' => '3969','translator_id' => '4','verse_number' => '181','translate_name' => '«وسلام على المرسلين» المبلغين عن الله التوحيد والشرائع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22678','chapter_id' => '37','chapter_detail_id' => '3970','translator_id' => '4','verse_number' => '182','translate_name' => '«والحمد لله رب العالمين» على نصرهم وهلاك الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22679','chapter_id' => '38','chapter_detail_id' => '3971','translator_id' => '4','verse_number' => '1','translate_name' => '«ص» الله أعلم بمراده به «والقرآن ذي الذكر» أي البيان أو الشرف، وجواب هذا القسم محذوف: أي ما الأمر كما قال كفار مكة من تعدد الآلهة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22680','chapter_id' => '38','chapter_detail_id' => '3972','translator_id' => '4','verse_number' => '2','translate_name' => '«بل الذين كفروا» من أهل مكة «في عزة» حمية وتكبر عن الإيمان «وشقاق» خلاف وعداوة للنبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22681','chapter_id' => '38','chapter_detail_id' => '3973','translator_id' => '4','verse_number' => '3','translate_name' => '«كم» أي كثيرا «أهلكنا من قبلهم من قرنِ» أي أمة من الأمم الماضية «فنادوْا» حين نزول العذاب بهم «ولاتَ حين مناص» أي ليس حين فرار والتاء زائدة، والجملة حال من فاعل نادوا، أي استغاثوا، والحال أن لا مهرب ولا منجى وما اعتبر بهم كفار مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22682','chapter_id' => '38','chapter_detail_id' => '3974','translator_id' => '4','verse_number' => '4','translate_name' => '«وعجبوا أن جاءهم منذر منهم» رسول من أنفسهم ينذرهم ويخوفهم النار بعد البعث وهو النبي * صلى الله عليه وسلم «وقال الكافرون» فيه وضع الظاهر موضع المضمر «هذا ساحر كذاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22683','chapter_id' => '38','chapter_detail_id' => '3975','translator_id' => '4','verse_number' => '5','translate_name' => '«أجعل الآلهة إلها واحدا» حيث قال لهم قولوا: لا إله إلا الله، أي كيف يسع الخلق كلهم إله واحد «إن هذا لشيء عجاب» أي عجيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22684','chapter_id' => '38','chapter_detail_id' => '3976','translator_id' => '4','verse_number' => '6','translate_name' => '«وانطلق الملأ منهم» من مجلس اجتماعهم عند أبي طالب وسماعهم فيه من النبي صلى الله عليه وسلم قولوا: لا إله إلا الله «أن امشوا» يقول بعضهم لبعض امشوا «واصبروا على آلهتكم» اثبتوا على عبادتها «إن هذا» المذكور من التوحيد «لشيء يراد» منا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22685','chapter_id' => '38','chapter_detail_id' => '3977','translator_id' => '4','verse_number' => '7','translate_name' => '«ما سمعنا بهذا في الملة الآخرة» أي ملة عيسى «إن» ما «هذا إلا اختلاق» كذب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22686','chapter_id' => '38','chapter_detail_id' => '3978','translator_id' => '4','verse_number' => '8','translate_name' => '«أَأُنزل» بتحقيق الهمزتين وتسهيل الثانية، وإدخال ألف بينهما على الوجهين وتركه «عليه» على محمد «الذكر» أي القرآن «من بيننا» وليس بأكبرنا ولا أشرفنا: أي لم ينزل عليه، قال تعالى: «بل هم في شك من ذكري» وحْيي أي القرآن حيث كذبوا الجائي به «بل لما» لم «يذوقوا عذاب» ولو ذاقوه لصدقوا النبي صلى الله عليه وسلم فيما جاء به ولا ينفعهم التصديق حينئذ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22687','chapter_id' => '38','chapter_detail_id' => '3979','translator_id' => '4','verse_number' => '9','translate_name' => '«أم عندهم خزائن رحمة ربك العزيز» الغالب «الوهاب» من النبوَّة وغيرها فيعطونها من شاءوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22688','chapter_id' => '38','chapter_detail_id' => '3980','translator_id' => '4','verse_number' => '10','translate_name' => '«أم لهم ملك السماوات والأرض وما بينهما» إن زعموا ذلك «فليرتقوا في الأسباب» الموصلة إلى السماء فيأتوا بالوحي فيخصوا به من شاءوا، وأمْ في الموضعين بمعنى همزة الإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22689','chapter_id' => '38','chapter_detail_id' => '3981','translator_id' => '4','verse_number' => '11','translate_name' => '«جند ما» أي هم جند حقير «هنالك» في تكذيبهم لك «مهزوم» صفة جند «من الأحزاب» صفة جند أيضا: أي كالأجناد من جنس الأحزاب المتحزبين على الأنبياء قبلك وأولئك قد قهروا وأهلكوا فكذا نهلك هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22690','chapter_id' => '38','chapter_detail_id' => '3982','translator_id' => '4','verse_number' => '12','translate_name' => '«كذبت قبلهم قوم نوح» تأنيث قوم باعتبار المعنى «وعاد وفرعون ذو الأوتاد» كان يتد لكل من يغضب عليه أربعة أوتاد يشد إليها يديه ورجليه ويعذبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22691','chapter_id' => '38','chapter_detail_id' => '3983','translator_id' => '4','verse_number' => '13','translate_name' => '«وثمود وقوم لوط وأصحاب الأيكة» أي الغيضة، وهم قوم شعيب عليه السلام «أولئك الأحزاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22692','chapter_id' => '38','chapter_detail_id' => '3984','translator_id' => '4','verse_number' => '14','translate_name' => '«إن» ما «كل» من الأحزاب «إلا كذب الرسل» لأنهم إذا كذبوا واحدا منهم فقد كذبوا جميعهم لأن دعوتهم واحدة، وهي دعوة التوحيد «فحق» وجب «عقاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22693','chapter_id' => '38','chapter_detail_id' => '3985','translator_id' => '4','verse_number' => '15','translate_name' => '«وما ينظر» ينتظر «هؤلاء» أي كفار مكة «إلا صيحة واحدة» هي نفخة القيامة تحل بهم العذاب «ما لها من فواق» بفتح الفاء وضمها: رجوع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22694','chapter_id' => '38','chapter_detail_id' => '3986','translator_id' => '4','verse_number' => '16','translate_name' => '«وقالوا» لما نزل (فأما من أوتي كتابه بيمينه) الخ «ربنا عجل لنا قطنا» أي كتاب أعمالنا «قبل يوم الحساب» قالوا ذلك استهزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22695','chapter_id' => '38','chapter_detail_id' => '3987','translator_id' => '4','verse_number' => '17','translate_name' => 'قال تعالى: «اصبر على ما يقولون واذكر عبدنا داود ذا الأيد» أي القوة في العبادة كان يصوم يوما ويفطر يوما ويقوم نصف الليل وينام ثلثه ويقوم سدسه «إنه أوَّاب» رجّاع إلى مرضاة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22696','chapter_id' => '38','chapter_detail_id' => '3988','translator_id' => '4','verse_number' => '18','translate_name' => '«إنا سخرنا الجبال معه يسبحن» بتسبيحه «بالعشيّ» وقت صلاة العشاء «والإشراق» وقت صلاة الضحى وهو أن تشرق الشمس ويتناهى ضوءُها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22697','chapter_id' => '38','chapter_detail_id' => '3989','translator_id' => '4','verse_number' => '19','translate_name' => '«و» سخرنا «الطير محشورة» مجموعة إليه تسبح معه «كل» من الجبال والطير «له أوَّاب» رجّاع إلى طاعته بالتسبيح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22698','chapter_id' => '38','chapter_detail_id' => '3990','translator_id' => '4','verse_number' => '20','translate_name' => '«وشددنا ملكه» قوَّيناه بالجرس والجنود وكان يحرس محرابه في كل ليلة ثلاثون ألف رجل «وآتيناه الحكمة» النبوة والإصابة في الأمور «وفصل الخطاب» البيان الشافي في كل قصد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22699','chapter_id' => '38','chapter_detail_id' => '3991','translator_id' => '4','verse_number' => '21','translate_name' => '«وهل» معنى الاستفهام هنا التعجيب والتشويق إلى استماع ما بعده «أتاك» يا محمد «نبأ الخصم إذ تسوَّروا المحراب» محراب داود: أي مسجده حيث منعوا الدخول عليه من الباب لشغله بالعبادة، أي خبرهم وقصتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22700','chapter_id' => '38','chapter_detail_id' => '3992','translator_id' => '4','verse_number' => '22','translate_name' => '«إذ دخلوا على داود ففزع منهم قالوا لا تخف» نحن «خصمان» قيل فريقان ليطابق ما قبله من ضمير الجمع، وقيل اثنان والضمير بمعناهما، والخصم يطلق على الواحد وأكثر، وهما ملكان جاءا في صورة خصمين وقع لهما ما ذكر على سبيل الغرض لتنبيه داود عليه السلام على ما وقع منه وكان له تسع وتسعون امرأة وطلب امرأة شخص ليس له غيرها وتزوجها ودخل بها «بغى بعضنا على بعض فاحكم بيننا بالحق ولا تشطط» تَجُرْ «واهدنا» أرشدنا «إلى سواء الصراط» وسط الطريق الصواب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22701','chapter_id' => '38','chapter_detail_id' => '3993','translator_id' => '4','verse_number' => '23','translate_name' => '«إن هذا أخي» أي على ديني «له تسع وتسعون نعجة» يعبر بها عن المرأة «وليَ نعجة واحدة فقال أكفلنيها» أي اجعلني كافلها «وعزني» غلبني «في الخطاب» أي الدال، وأقره الآخر على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22702','chapter_id' => '38','chapter_detail_id' => '3994','translator_id' => '4','verse_number' => '24','translate_name' => '«قال لقد ظلمك بسؤال نعجتك» ليضمها «إلى نعاجه وإن كثيرا من الخلطاء» الشركاء «ليبغي بعضهم على بعض إلا الذين آمنوا وعملوا الصالحات وقليل ما هم» ما لتأكيد القلة فقال الملكان صاعدين في صورتيهما إلى السماء: قضى الرجل على نفسه فتنبه داود قال تعالى: «وظن» أي أيقن «داود أنما فتناه» أوقعناه في فتنة أي بلية بمحبته تلك المرأة «فاستغفر ربَّه وخرَّ راكعا» أي ساجدا «وأناب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22703','chapter_id' => '38','chapter_detail_id' => '3995','translator_id' => '4','verse_number' => '25','translate_name' => '«فغفرنا له ذلك وإن له عندنا لزلفى» أي زيادة خير في الدنيا «وحسن مآب» مرجع في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22704','chapter_id' => '38','chapter_detail_id' => '3996','translator_id' => '4','verse_number' => '26','translate_name' => '«يا داود إنا جعلناك خليفة في الأرض» تدبر أمر الناس «فاحكم بين الناس بالحق ولا تتبع الهوى» أي هوى النفس «فيضلك عن سبيل الله» أي عن الدلائل الدالة على توحيده «إن الذين يضلون عن سبيل الله» أي عن الإيمان بالله «لهم عذاب شديد بما نسوا» بنسيانهم «يوم الحساب» المرتب عليه تركهم الإيمان، وقالوا أيقنوا بيوم الحساب لآمنوا في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22705','chapter_id' => '38','chapter_detail_id' => '3997','translator_id' => '4','verse_number' => '27','translate_name' => '«وما خلقنا السماء والأرض وما بينهما باطلا» عبثا «ذلك» أي خلق ما ذكر لا لشيء «ظن الذين كفروا» من أهل مكة «فويل» وادِ «للذين كفروا من النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22706','chapter_id' => '38','chapter_detail_id' => '3998','translator_id' => '4','verse_number' => '28','translate_name' => '«أم نجعل الذين آمنوا وعملوا الصالحات كالمفسدين في الأرض أم نجعل المتقين كالفجار» نزل لما قال كفار مكة للمؤمنين إنا نعطى في الآخرة مثل ما تعطون، وأم بمعنى همزة الإنكار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22707','chapter_id' => '38','chapter_detail_id' => '3999','translator_id' => '4','verse_number' => '29','translate_name' => '«كتاب» خبر مبتدأ محذوف أي هذا «أنزلناه إليك مبارك ليدَّبروا» أصله يتدبروا أدغمت التاء في الدال «آياته» ينظروا في معانيها فيؤمنوا «وليتذكر» يتعظ «أولوا الألباب» أصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22708','chapter_id' => '38','chapter_detail_id' => '4000','translator_id' => '4','verse_number' => '30','translate_name' => '«ووهبنا لداود سلمان» ابنه «نعم العبد» أي سليمان «إنه أوَّاب» رجّاع في التسبيح والذكر في جميع الأوقات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22709','chapter_id' => '38','chapter_detail_id' => '4001','translator_id' => '4','verse_number' => '31','translate_name' => '«إذ عرض عليه بالعشي» هو ما بعد الزوال «الصافنات» الخيل جمع صافنة وهي القائمة على ثلاث وإقامة الأخرى على طرف الحافر وهو من صفن يصفن صفونا «الجياد» الخيل جمع جواد وهو السابق، المعنى أنها إذا استوقفت سكنت وإن ركضت سبقت وكانت ألف فرس عرضت عليه بعد ان صلى الظهر لإرادته الجهاد عليها لعدو فعند بلوغ العرض منها تسعمائة غربت الشمس ولم يكن صلى العصر فاغتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22710','chapter_id' => '38','chapter_detail_id' => '4002','translator_id' => '4','verse_number' => '32','translate_name' => '«فقال إني أحببت» أي أردت «حب الخير» أي الخيل «عن ذكر ربي» أي صلاة العصر «حتى توارت» أي الشمس «بالحجاب» أي استترت بما يحجبها عن الأبصار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22711','chapter_id' => '38','chapter_detail_id' => '4003','translator_id' => '4','verse_number' => '33','translate_name' => '«ردُّوها عليَّ» أي الخيل المعروضة فردوها «فطفق مسحا» بالسيف «بالسوق» جمع ساق «والأعناق» أي ذبحها وقطع أرجلها تقربا إلى الله تعالى حيث اشتغل بها عن الصلاة بلحمها فعوضه الله خيرا منها وأسرع، وهي الريح تجري بأمره كيف شاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22712','chapter_id' => '38','chapter_detail_id' => '4004','translator_id' => '4','verse_number' => '34','translate_name' => '«ولقد فتنا سليمان» ابتليناه بسلب ملكه وذلك لتزوجه بامرأة هواها وكانت تعبد الصنم في داره من غير علمه وكان ملكه في خاتمه فنزعه مرة عند إرادة الخلاء ووضعه عند امرأته المسماة بالأمينة على عادته فجاءها جني في صورة سليمان فأخذه منها «وألقينا على كرسيه جسدا» هو ذلك الجني وهو صخر أو غيره جلس على كرسي سليمان وعكفت عليه الطير وغيرها فخرج سليمان في غير هيئته فرآه على كرسيه وقال للناس أنا سليمان فأنكره «ثم أناب» رجع سليمان إلى ملكه بعد أيام بأن وصل إلى الخاتم فلبسه وجلس على كرسيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22713','chapter_id' => '38','chapter_detail_id' => '4005','translator_id' => '4','verse_number' => '35','translate_name' => '«قال رب اغفر لي وهب لي ملكا لا ينبغي» لا يكون «لأحد من بعدي» أي سواي نحو (فمن يهديه من بعد الله) أي سوى الله «إنك أنت الوهاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22714','chapter_id' => '38','chapter_detail_id' => '4006','translator_id' => '4','verse_number' => '36','translate_name' => '«فسخرنا له الريح تجري بأمره رُخاء» لينة «حيث أصاب» أراد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22715','chapter_id' => '38','chapter_detail_id' => '4007','translator_id' => '4','verse_number' => '37','translate_name' => '«والشياطين كل بناءٍ» يبني الأبنية العجيبة «وغوَّاص» في البحر يستخرج اللؤلؤ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22716','chapter_id' => '38','chapter_detail_id' => '4008','translator_id' => '4','verse_number' => '38','translate_name' => '«وآخرين» منهم «مقرنين» مشدودين «في الأصفاد» القيود بجمع أيديهم إلى أعناقهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22717','chapter_id' => '38','chapter_detail_id' => '4009','translator_id' => '4','verse_number' => '39','translate_name' => 'وقلنا له «هذا عطاؤنا فامنن» أعط منه من شئت «أو أمسك» عن الإعطاء «بغير حساب» أي لا حساب عليك في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22718','chapter_id' => '38','chapter_detail_id' => '4010','translator_id' => '4','verse_number' => '40','translate_name' => '«وإن له عندنا لزلفى وحسن مآب» تقدم مثله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22719','chapter_id' => '38','chapter_detail_id' => '4011','translator_id' => '4','verse_number' => '41','translate_name' => '«واذكر عبدنا أيوب إذ نادى ربه أني» أي بأني «مسنيَ الشيطان بنصب» ضر «وعذاب» ألم، ونسب ذلك إلى الشيطان وإن كانت الأشياء كلها من الله تأدبا معه تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22720','chapter_id' => '38','chapter_detail_id' => '4012','translator_id' => '4','verse_number' => '42','translate_name' => 'وقيل له «اركض» اضرب «برجلك» الأرض فضرب فنبعت عين ماء فقيل: «هذا مغتسل» ماء تغتسل به «بارد وشراب» تشرب منه، فاغتسل وشرب فذهب عنه كل داء كان بباطنه وظاهره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22721','chapter_id' => '38','chapter_detail_id' => '4013','translator_id' => '4','verse_number' => '43','translate_name' => '«ووهبنا له أهله ومثلهم معهم» أي أحيا الله له من مات من أولاده ورزقه مثلهم «رحمة» نعمة «منا وذكرى» عظة «لأولي الألباب» لأصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22722','chapter_id' => '38','chapter_detail_id' => '4014','translator_id' => '4','verse_number' => '44','translate_name' => '«وخذ بيدك ضغثا» هو حزمة من حشيش أو قضبان «فاضرب به» زوجتك وكان قد حلف ليضربها مائة ضربة لإبطائها عليه يوما «ولا تحنث» بترك ضربها فأخذ مائة عود من الإذخر أو غيره فضربها به ضربة واحدة «إنا وجدناه صابرا نعم العبد» أيوب «إنه أوَّاب» رجّاع إلى الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22723','chapter_id' => '38','chapter_detail_id' => '4015','translator_id' => '4','verse_number' => '45','translate_name' => '«واذكر عبادنا إبراهيم وإسحاق ويعقوب أولي الأيدى» أصحاب القوى في العبادة «والأبصار» البصائر في الدين، وفي قراءة عبدنا وإبراهيم بيان له وما بعده عطف على عبدنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22724','chapter_id' => '38','chapter_detail_id' => '4016','translator_id' => '4','verse_number' => '46','translate_name' => '«إنا أخلصناهم بخالصة» هي «ذكرى الدار» الآخرة، أي ذكرها والعمل لها، وفي قراءة بالإضافة وهي للبيان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22725','chapter_id' => '38','chapter_detail_id' => '4017','translator_id' => '4','verse_number' => '47','translate_name' => '«وإنهم عندنا لمن المصطفين» المختارين «الأخيار» جمع خيّر بالتشديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22726','chapter_id' => '38','chapter_detail_id' => '4018','translator_id' => '4','verse_number' => '48','translate_name' => '«واذكر إسماعيل واليسع» وهو نبيّ واللام زائدة «وذا الكفل» اختلف في نبوَّته، قيل كفل مائة نبي فروا إليه من القتل «وكل» أي كلهم «من الأخيار» جمع خيّر بالتثقيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22727','chapter_id' => '38','chapter_detail_id' => '4019','translator_id' => '4','verse_number' => '49','translate_name' => '«هذا ذكر» لهم بالثناء الجميل هنا «وإن للمتقين» الشاملين لهم «لحسن مآب» مرجع في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22728','chapter_id' => '38','chapter_detail_id' => '4020','translator_id' => '4','verse_number' => '50','translate_name' => '«جنات عدن» بدل أو عطف بيان لحسن مآب «مفتتحة لهم الأبواب» منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22729','chapter_id' => '38','chapter_detail_id' => '4021','translator_id' => '4','verse_number' => '51','translate_name' => '«متكئين فيها» على الأرائك «يدعون فيها بفاكهة كثيرة وشراب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22730','chapter_id' => '38','chapter_detail_id' => '4022','translator_id' => '4','verse_number' => '52','translate_name' => '«وعندهم قاصرات الطرف» حابسات العين على أزواجهن «أتراب» أسنانهن واحدة وهن بنات ثلاث وثلاثين سنة جمع ترب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22731','chapter_id' => '38','chapter_detail_id' => '4023','translator_id' => '4','verse_number' => '53','translate_name' => '«هذا» المذكور «ما يوعدون» بالغيبة وبالخطاب التفافا «ليوم الحساب» أي لأجله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22732','chapter_id' => '38','chapter_detail_id' => '4024','translator_id' => '4','verse_number' => '54','translate_name' => '«إن هذا لرزقنا ما له من نفاد» أي انقطاع والجملة حال من رزقنا أو خبر ثان لإن، أي دائما أو دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22733','chapter_id' => '38','chapter_detail_id' => '4025','translator_id' => '4','verse_number' => '55','translate_name' => '«هذا» المذكور للمؤمنين «وإن للطاغين» مستأنف «لشر مآب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22734','chapter_id' => '38','chapter_detail_id' => '4026','translator_id' => '4','verse_number' => '56','translate_name' => '«جهنم يصلونها» يدخلونها «فبئس المهاد» الفراش.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22735','chapter_id' => '38','chapter_detail_id' => '4027','translator_id' => '4','verse_number' => '57','translate_name' => '«هذا» أي العذاب المفهوم مما بعده «فليذوقوه حميم» أي ماء حار محرق «وغسَّاق» بالتخفيف والتشديد: ما يسيل من صديد أهل النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22736','chapter_id' => '38','chapter_detail_id' => '4028','translator_id' => '4','verse_number' => '58','translate_name' => '«وآخر» بالجمع والإفراد «من شكله» أي مثل المذكور من الحميم والغساق «أزواج» أصناف، أي عذابهم من أنواع مختلفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22737','chapter_id' => '38','chapter_detail_id' => '4029','translator_id' => '4','verse_number' => '59','translate_name' => 'ويقال لهم عند دخولهم النار بأتباعهم «هذا فوج» جمع «مقتحم» داخل «معكم» النار بشدة فيقول المتبعون «لا مرحبا بهم» أي لا سعة عليهم «إنهم صالوا النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22738','chapter_id' => '38','chapter_detail_id' => '4030','translator_id' => '4','verse_number' => '60','translate_name' => '«قالوا» أي الأتباع «بل أنتم لا مرحبا بكم أنتم قدمتموه» أي الكفر «لنا فبئس القرار» لنا ولكم النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22739','chapter_id' => '38','chapter_detail_id' => '4031','translator_id' => '4','verse_number' => '61','translate_name' => '«قالوا» أيضا «ربنا من قدم لنا هذا فزده عذابا ضعفا» أي مثل عذابه على كفره «في النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22740','chapter_id' => '38','chapter_detail_id' => '4032','translator_id' => '4','verse_number' => '62','translate_name' => '«وقالوا» أي كفار مكة وهم في النار «ما لنا لا نرى رجالا كنا نعدهم» في الدنيا «من الأشرار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22741','chapter_id' => '38','chapter_detail_id' => '4033','translator_id' => '4','verse_number' => '63','translate_name' => '«اتَّخذناهم سخريا» بضم السين وكسرها: كنا نسخر بهم في الدنيا، والياء للنسب: أي أمفقودون هم «أم زاغت» مالت «عنهم الأبصار» فلم ترهم، وهم فقراء المسلمين كعمار وبلال وصهيب وسليمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22742','chapter_id' => '38','chapter_detail_id' => '4034','translator_id' => '4','verse_number' => '64','translate_name' => '«إن ذلك لحق» واجب وقوعه وهو «تخاصم أهل النار» كما تقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22743','chapter_id' => '38','chapter_detail_id' => '4035','translator_id' => '4','verse_number' => '65','translate_name' => '«قل» يا محمد لكفار مكة «إنما أنا منذر» مخوّف بالنار «وما من إله إلا الله الواحد القهار» لخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22744','chapter_id' => '38','chapter_detail_id' => '4036','translator_id' => '4','verse_number' => '66','translate_name' => '«رب السماوات والأرض وما بينهما العزيز» الغالب على أمره «الغفار» لأوليائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22745','chapter_id' => '38','chapter_detail_id' => '4037','translator_id' => '4','verse_number' => '67','translate_name' => '«قل» لهم «هو نبأ عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22746','chapter_id' => '38','chapter_detail_id' => '4038','translator_id' => '4','verse_number' => '68','translate_name' => '«أنتم عنه معرضون» أي القرآن الذي أنبأتكم به وجئتكم فيه بما لا يعلم إلا بوحي وهو قوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22747','chapter_id' => '38','chapter_detail_id' => '4039','translator_id' => '4','verse_number' => '69','translate_name' => '«ما كان ليَ من علم بالملإ الأعلى» أي الملائكة «إذ يختصمون» في شأن آدم حين قال الله تعالى: (إني جاعل في الأرض خليفة) الخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22748','chapter_id' => '38','chapter_detail_id' => '4040','translator_id' => '4','verse_number' => '70','translate_name' => '«إن» ما «يوحى إليَّ إلا أنما أنا» أي أني «نذير مبين» بيَّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22749','chapter_id' => '38','chapter_detail_id' => '4041','translator_id' => '4','verse_number' => '71','translate_name' => 'اذكر «إذ قال ربك للملائكة إني خالق بشرا من طين» هو آدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22750','chapter_id' => '38','chapter_detail_id' => '4042','translator_id' => '4','verse_number' => '72','translate_name' => '«فإذا سويته» أتمته «ونفخت» أجريت «فيه من روحي» فصار حيا، وإضافة الروح إليه تشريف لآدم والروح جسم لطيف يحيا به الإنسان بنفوذه فيه «فقعوا له ساجدين» سجود تحية بالانحناء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22751','chapter_id' => '38','chapter_detail_id' => '4043','translator_id' => '4','verse_number' => '73','translate_name' => '«فسجد الملائكة كلهم أجمعون» فيه تأكيدان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22752','chapter_id' => '38','chapter_detail_id' => '4044','translator_id' => '4','verse_number' => '74','translate_name' => '«إلا إبليس» هو أبو الجنّ كان بين الملائكة «استكبر وكان من الكافرين» في علم الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22753','chapter_id' => '38','chapter_detail_id' => '4045','translator_id' => '4','verse_number' => '75','translate_name' => '«قال يا إبليس ما منعك أن تسجد لما خلقت بيديَّ» أي توليت خلقه وهذا تشريف لآدم فإن كل مخلوق تولى الله خلقه «أستكبرت» الآن عن السجود استفهام توبيخ «أم كنت من العالين» المتكبرين فتكبرت عن السجود لكونك منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22754','chapter_id' => '38','chapter_detail_id' => '4046','translator_id' => '4','verse_number' => '76','translate_name' => '«قال أنا خير منه خلقتني من نار وخلقته من طين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22755','chapter_id' => '38','chapter_detail_id' => '4047','translator_id' => '4','verse_number' => '77','translate_name' => '«قال فاخرج منها» أي من الجنة، وقيل من السماوات «فإنك رجيم» مطرود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22756','chapter_id' => '38','chapter_detail_id' => '4048','translator_id' => '4','verse_number' => '78','translate_name' => '«وإن عليك لعنتي إلى يوم الدين» الجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22757','chapter_id' => '38','chapter_detail_id' => '4049','translator_id' => '4','verse_number' => '79','translate_name' => '«قال رب فأنظرني إلى يوم يبعثون» أي الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22758','chapter_id' => '38','chapter_detail_id' => '4050','translator_id' => '4','verse_number' => '80','translate_name' => '«قال فإنك من المنظرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22759','chapter_id' => '38','chapter_detail_id' => '4051','translator_id' => '4','verse_number' => '81','translate_name' => '«إلى يوم الوقت المعلوم» وقت النفخة الأولى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22760','chapter_id' => '38','chapter_detail_id' => '4052','translator_id' => '4','verse_number' => '82','translate_name' => '«قال فبعزتك لأغوينهم أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22761','chapter_id' => '38','chapter_detail_id' => '4053','translator_id' => '4','verse_number' => '83','translate_name' => '«إلا عبادك منهم المخلصين» أي المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22762','chapter_id' => '38','chapter_detail_id' => '4054','translator_id' => '4','verse_number' => '84','translate_name' => '«قال فالحقَّ والحقَّ أقول» بنصبهما ورفع الأول ونصب الثاني، فنصبه بالفعل بعده ونصب الأول، قيل بالفعل المذكور، وقيل على المصدر: أي أحق الحق، وقيل على نزع حرف القسم ورفعه على أنه مبتدأ محذوف الخبر: أي فالحق مني، وقيل فالحق قسمي، وجواب القسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22763','chapter_id' => '38','chapter_detail_id' => '4055','translator_id' => '4','verse_number' => '85','translate_name' => '«لأملأن جهنم منك» بذريتك «وممن تبعك منهم» أي الناس «أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22764','chapter_id' => '38','chapter_detail_id' => '4056','translator_id' => '4','verse_number' => '86','translate_name' => '«قل ما أسألكم عليه» على تبليغ الرسالة «من أجر» جُعل «وما أنا من المتكلفين» المتقولين القرآن من تلقاء نفسي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22765','chapter_id' => '38','chapter_detail_id' => '4057','translator_id' => '4','verse_number' => '87','translate_name' => '«إن هو» أي ما القرآن «إلا ذكر» عظة «للعالمين» للإنس والجن والعقلاء دون الملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22766','chapter_id' => '38','chapter_detail_id' => '4058','translator_id' => '4','verse_number' => '88','translate_name' => '«ولتعلمن» يا كفار مكة «نبأه» خبر صدقه «بعد حين» أي يوم القيامة، وعلم بمعنى: عرف واللام قبلها لام قسم مقدَّر: أي والله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22767','chapter_id' => '39','chapter_detail_id' => '4059','translator_id' => '4','verse_number' => '1','translate_name' => '«تنزيل الكتاب» القرآن مبتدأ «من الله» خبره «العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22768','chapter_id' => '39','chapter_detail_id' => '4060','translator_id' => '4','verse_number' => '2','translate_name' => '«إنا أنزلنا إليك» يا محمد «الكتاب بالحق» متعلق بأنزل «فاعبد الله مخلصا له الدين» من الشرك: أي موحدا له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22769','chapter_id' => '39','chapter_detail_id' => '4061','translator_id' => '4','verse_number' => '3','translate_name' => '«ألا الله الدين الخالص» لا يستحقه غيره «والذين اتخذوا من دونه» الأصنام «أولياء» وهم كفار مكة قالوا «ما نعبدهم إلا ليقربونا إلى الله زلفى» قربى مصدر بمعنى تقريبا «إن الله يحكم بينهم» وبين المسلمين «في ما هم فيه يختلفون» من أمر الدين فيدخل المؤمنين الجنة، والكافرين النار «إن الله لا يهدي من هو كاذب» في نسبة الولد إليه «كفار» بعبادته غيره الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22770','chapter_id' => '39','chapter_detail_id' => '4062','translator_id' => '4','verse_number' => '4','translate_name' => '«لو أراد الله أن يتخذ ولدا» كما قالوا: (اتخذ الرحمن ولدا) «لاصطفى مما يخلق ما يشاء» واتخذه ولدا غير من قالوا الملائكة بنات الله وعزير ابن الله والمسيح ابن الله «سبحانه» تنزيها له عن اتخاذ الولد «هو الله الواحد القهار» لخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22771','chapter_id' => '39','chapter_detail_id' => '4063','translator_id' => '4','verse_number' => '5','translate_name' => '«خلق السماوات والأرض بالحق» متعلق بخلق «يكوّر» يدخل «الليل على النهار» فيزيد «ويكور النهار» يدخله «على الليل» فيزيد «وسخَّر الشمس والقمر كل يجري» في فلكه «لأجل مسمى» ليوم القيامة «ألا هو العزيز» الغالب على أمره المنتقم من أعدائه «الغفار» لأوليائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22772','chapter_id' => '39','chapter_detail_id' => '4064','translator_id' => '4','verse_number' => '6','translate_name' => '«خلقكم من نفس واحدة» أي آدم «ثم جعل منها زوجها» حواء «وأنزل لكم من الأنعام» الإبل والبقر والغنم الضأن والمعز «ثمانية أزواج» من كلٍ زوجان ذكر وأنثى كما بيّن في سورة الأنعام «يخلقكم في بطون أمهاتكم خلقا من بعد خلق» أي نطفا ثم علقا ثم مضغا «في ظلمات ثلاث» هي ظلمة البطن وظلمة الرحم وظلمة المشيمة «ذلكم الله ربكم له الملك لا إله هو فأنَّى تصرفون» عن عبادته إلى عبادة غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22773','chapter_id' => '39','chapter_detail_id' => '4065','translator_id' => '4','verse_number' => '7','translate_name' => '«إن تكفروا فإن الله غنيٌ عنكم ولا يرضى لعباده الكفر» وإن أراده من بعضهم «وإن تشكروا» الله فتؤمنوا «يرضه» بسكون الهاء وضمها مع إشباع ودونه: أي الشكر «لكم ولا تزر» نفس «وازرة وزر» نفس «أخرى» أي لا تحمله «ثم إلى ربكم مرجعكم فينبئكم بما كنتم تعملون إنه عليم بذات الصدور» بما في القلوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22774','chapter_id' => '39','chapter_detail_id' => '4066','translator_id' => '4','verse_number' => '8','translate_name' => '«وإذا مسَّ الإنسان» أي الكافر «ضرٌ دعا ربه» تضرَّع «منيبا» راجعا «إليه ثم إذا خوّله نعمة» أعطاه إنعاما «منه نسيَ» ترك «ما كان يدعو» يتضرّع «إليه من قبل» وهو الله، فما في موضع من «وجعل الله أندادا» شركاء «ليضل» بفتح الياء وضمها «عن سبيله» دين الإسلام «قل تمتع بكفرك قليلا» بقية أجلك «إنك من أصحاب النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22775','chapter_id' => '39','chapter_detail_id' => '4067','translator_id' => '4','verse_number' => '9','translate_name' => '«أمَّن» بتخفيف الميم «هو قانت» قائم بوظائف الطاعات «آناء الليل» ساعاته «ساجدا وقائما» في الصلاة «يحذر الآخرة» أي يخاف عذابها «ويرجو رحمة» جنة «ربه» كمن هو عاص بالكفر أو غيره، وفي قراءة أم من فأم بمعنى بل والهمزة «قل هل يستوي الذين يعلمون والذين لا يعلمون» أي لا يستويان كما لا يستوي العالم والجاهل «إنما يتذكر» يتعظ «أولوا الألباب» أصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22776','chapter_id' => '39','chapter_detail_id' => '4068','translator_id' => '4','verse_number' => '10','translate_name' => '«قل يا عباد الذين آمنوا اتقوا ربكم» أي عذابه بأن تطيعوه «للذين أحسنوا في هذه الدنيا» بالطاعة «حسنة» هي الجنة «وأرض الله واسعة» فهاجروا إليها من بين الكفار ومشاهدة المنكرات «إنما يوفى الصابرون» على الطاعة وما يبتلون به «أجرهم بغير حساب» بغير مكيال ولا ميزان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22777','chapter_id' => '39','chapter_detail_id' => '4069','translator_id' => '4','verse_number' => '11','translate_name' => '«قل إني أمرت أن أعبد الله مخلصا له الدين» من الشرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22778','chapter_id' => '39','chapter_detail_id' => '4070','translator_id' => '4','verse_number' => '12','translate_name' => '«وأمرت لأن» أي بأن «أكون أول المسلمين» من هذه الأمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22779','chapter_id' => '39','chapter_detail_id' => '4071','translator_id' => '4','verse_number' => '13','translate_name' => '«قل إني أخاف إن عصيت ربي عذاب يوم عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22780','chapter_id' => '39','chapter_detail_id' => '4072','translator_id' => '4','verse_number' => '14','translate_name' => '«قل الله أعبد مخلصا له ديني» من الشرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22781','chapter_id' => '39','chapter_detail_id' => '4073','translator_id' => '4','verse_number' => '15','translate_name' => '«فاعبدوا ما شئتم من دونه» غيره، فيه تهديد لهم وإيذان بأنهم لا يعبدون الله تعالى «قل إن الخاسرين الذين خسروا أنفسهم وأهليهم يوم القيامة» بتخليد الأنفس في النار وبعدم وصولهم إلى الحور المعدَّة لهم في الجنة لو آمنوا «ألا ذلك هو الخسران المبين» البيَّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22782','chapter_id' => '39','chapter_detail_id' => '4074','translator_id' => '4','verse_number' => '16','translate_name' => '«لهم من فوقهم ظلل» طباق «من النار ومن تحتهم ظلل» من النار «ذلك يخوِّف الله به عباده» أي المؤمنين ليتقوه يدل عليه «يا عباد فاتقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22783','chapter_id' => '39','chapter_detail_id' => '4075','translator_id' => '4','verse_number' => '17','translate_name' => '«والذين اجتنبوا الطاغوت» الأوثان «أن يعبدوها وأنابوا» أقبلوا «إلى الله لهم البشرى» بالجنة «فبشر عباد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22784','chapter_id' => '39','chapter_detail_id' => '4076','translator_id' => '4','verse_number' => '18','translate_name' => '«الذين يستمعون القول فيتبعون أحسنه» وهو ما فيه صلاحهم «أولئك الذين هداهم الله وأولئك هم أولوا الألباب» أصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22785','chapter_id' => '39','chapter_detail_id' => '4077','translator_id' => '4','verse_number' => '19','translate_name' => '«أفمن حق عليه كلمة العذاب» أي: (لأملأن جهنم) «أفأنت تنقذ» تخرج «من في النار» جواب الشرط وأقيم فيه الظاهر مقام المضمر والهمزة للإنكار، والمعنى لا تقدر على هدايته فتنقذه من النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22786','chapter_id' => '39','chapter_detail_id' => '4078','translator_id' => '4','verse_number' => '20','translate_name' => '«لكن الذين اتقوْا ربهم» بأن أطاعوه «لهم غرف من فوقها غرف مبنية تجري من تحتها الأنهار» أي من تحت الغرف الفوقانية والتحتانية «وعد الله» منصوب بفعله المقَّدر «لا يخلف الله الميعاد» وعده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22787','chapter_id' => '39','chapter_detail_id' => '4079','translator_id' => '4','verse_number' => '21','translate_name' => '«ألم تر» تعلم «أن الله أنزل من السماء ماءً فسلكه ينابيع» أدخله أمكنة نبع «في الأرض ثم يخرج به زرعا مختلفا ألوانه ثم يهيج» ييبس «فتراه» بعد الخضرة مثلا «مصفرا ثم يجعله حطاما» فتاتا «إن في ذلك لذكرى» تذكيرا «لأولي الألباب» يتذكرون به لدلالته على وحدانية الله تعالى وقدرته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22788','chapter_id' => '39','chapter_detail_id' => '4080','translator_id' => '4','verse_number' => '22','translate_name' => '«أفمن شرح الله صدره للإسلام» فاهتدى «فهو على نور من ربه» كمن طبع على قلبه، دلَّ على هذا «فويلٌ» كلمة عذاب «للقاسية قلوبهم من ذكر الله» أي عن قبول القرآن «أولئك في ضلال مبين» بيّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22789','chapter_id' => '39','chapter_detail_id' => '4081','translator_id' => '4','verse_number' => '23','translate_name' => '«الله نزَّل أحسن الحديث كتابا» بدل من أحسن، أي قرآنا «متشابها» أي يشبه بعضه بعضا في النظم وغيره «مثانَي» ثني فيه الوعد والوعيد وغيرهما «تقشعر منه» ترتعد عند ذكره وعيده «جلود الذين يخشوْن» «يخافون ربهم ثم تلين» تطمئن «جلودهم وقلوبهم إلى ذكر الله» أي عند ذكر وعده «ذلك» أي الكتاب «هدى الله يهدي به من يشاء ومن يضلل الله فما له من هاد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22790','chapter_id' => '39','chapter_detail_id' => '4082','translator_id' => '4','verse_number' => '24','translate_name' => '«أفمن يتقي» يلقى «بوجهه سوء العذاب يوم القيامة» أي أشده بأن يلقى في النار مغلولة يداه إلى عنقه كمن أمن منه بدخول الجنة «وقيل للظالمين» أي كفار مكة «ذوقوا ما كنتم تكسبون» أي جزاءَه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22791','chapter_id' => '39','chapter_detail_id' => '4083','translator_id' => '4','verse_number' => '25','translate_name' => '«كذَّب الذين من قبلهم» رسلهم في إتيان العذاب «فأتاهم العذاب من حيث لا يشعرون» من جهة لا تخطر ببالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22792','chapter_id' => '39','chapter_detail_id' => '4084','translator_id' => '4','verse_number' => '26','translate_name' => '«فأذاقهم الله الخزي» الذل والهوان من المسخ والقتل وغيره «في الحياة الدنيا ولعذاب الآخرة أكبر لو كانوا» أي المكذبون «يعلمون» عذابها ما كذبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22793','chapter_id' => '39','chapter_detail_id' => '4085','translator_id' => '4','verse_number' => '27','translate_name' => '«ولقد ضربنا» جعلنا «للناس في هذا القرآن من كل مثل لعلهم يتذكرون» يتعظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22794','chapter_id' => '39','chapter_detail_id' => '4086','translator_id' => '4','verse_number' => '28','translate_name' => '«قرآنا عربيا» حال مؤكدة «غير ذي عوج» أي لبس واختلاف «لعلهم يتقون» الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22795','chapter_id' => '39','chapter_detail_id' => '4087','translator_id' => '4','verse_number' => '29','translate_name' => '«ضرب الله» للمشرك والموحِّد «مثلا رجلا» بدل من مثلا «فيه شركاء متشاكسون» متنازعون سيئة أخلاقهم «ورجلا سالما» خالصا «لرجل هل يستويان مثلا» تميز أي لا يستوي العبد بجماعه والعبد لواحد، فإن الأول إذا طلب منه كل من مالكيه خدمته في وقت واحد تحيَّر فيمن يخدمه منهم وهذا مثل للمشرك، والثاني مثل للموحّد «الحمد لله» وحده «بل أكثرهم» أي أهل مكة «لا يعلمون» ما يصيرون إليه من العذاب فيشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22796','chapter_id' => '39','chapter_detail_id' => '4088','translator_id' => '4','verse_number' => '30','translate_name' => '«إنك» خطاب للنبي صلى الله عليه وسلم «ميت وإنهم ميتون» ستموت ويموتون فلا شماتة بالموت، نزلت لما استبطؤوا موته صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22797','chapter_id' => '39','chapter_detail_id' => '4089','translator_id' => '4','verse_number' => '31','translate_name' => '«ثم إنكم» أيها الناس فيما بينكم من المظالم «يوم القيامة عند ربكم تختصمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22798','chapter_id' => '39','chapter_detail_id' => '4090','translator_id' => '4','verse_number' => '32','translate_name' => '«فمن» أي لا أحد «أظلم ممن كذب على الله» بنسبة الشريك والولد إليه «وكذَّب بالصدق» بالقرآن «إذ جاءه أليس في جهنم مثوىً» مأوى «للكافرين» بلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22799','chapter_id' => '39','chapter_detail_id' => '4091','translator_id' => '4','verse_number' => '33','translate_name' => '«والذى جاء بالصدق» هو النبي صلى الله عليه وسلم «وصدق به» هم المؤمنون فالذي بمعنى الذين «أولئك هم المتقون» الشرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22800','chapter_id' => '39','chapter_detail_id' => '4092','translator_id' => '4','verse_number' => '34','translate_name' => '«لهم ما يشاءون عند ربهم ذلك جزاء المحسنين» لأنفسهم بإيمانهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22801','chapter_id' => '39','chapter_detail_id' => '4093','translator_id' => '4','verse_number' => '35','translate_name' => '«ليكفّر الله عنهم أسوأ الذي عملوا ويجزيهم أجرهم بأحسن الذي كانوا يعملون» أسوأ وأحسن بمعنى السيء والحسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22802','chapter_id' => '39','chapter_detail_id' => '4094','translator_id' => '4','verse_number' => '36','translate_name' => '«أليس الله بكاف عبده» أي النبي، بلى «ويخوّفونك» الخطاب له «بالذين من دونه» أي الأصنام، أن تقتله أو تخبله «ومن يضلل الله فما له من هاد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22803','chapter_id' => '39','chapter_detail_id' => '4095','translator_id' => '4','verse_number' => '37','translate_name' => '«ومن يهد الله فما له من مضلِّ أليس الله بعزيز» غالب على أمره «ذي انتقام» من أعدائه؟ بلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22804','chapter_id' => '39','chapter_detail_id' => '4096','translator_id' => '4','verse_number' => '38','translate_name' => '«ولئن» لام قسم «سألتهم من خلق السماوات والأرض ليقولنَّ الله قل أفرأيتم ما تدعون» تعبدون «من دون الله» أي الأصنام «إن أرادني الله بضرِّ هل هن كاشفات ضرَّه» لا «أو أرادني برحمة هل هن ممسكاتٌ رحمتَه» لا، وفي قراءة بالإضافة فيهما «قل حسبيَ الله عليه يتوكل المتوكلون» يثق الواثقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22805','chapter_id' => '39','chapter_detail_id' => '4097','translator_id' => '4','verse_number' => '39','translate_name' => '«قل يا قوم اعملوا على مكانتكم» حالتكم «إني عامل» على حالتي «فسوف تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22806','chapter_id' => '39','chapter_detail_id' => '4098','translator_id' => '4','verse_number' => '40','translate_name' => '«من» موصولة مفعول العلم «يأتيه عذاب يخزيه ويحل» ينزل «عليه عذاب مقيم» دائم هو عذاب النار، وقد أخزاهم الله ببدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22807','chapter_id' => '39','chapter_detail_id' => '4099','translator_id' => '4','verse_number' => '41','translate_name' => '«إنا أنزلنا عليك الكتاب للناس بالحق» متعلق بأنزل «فمن اهتدى فلنفسه» اهتداؤه «ومن ضل فإنما يضل عليها وما أنت عليهم بوكيل» فتجبرهم على الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22808','chapter_id' => '39','chapter_detail_id' => '4100','translator_id' => '4','verse_number' => '42','translate_name' => '«الله يتوفى الأنفس حين موتها و» يتوفى «التي لم تمت في منامها» أي يتوفاها وقت النوم «فيمسك التي قضى عليها الموت ويرسل الأخرى إلى أجل مسمى» أي وقت موتها والمرسلة نفس التمييز تبقى بدونها نفس الحياة بخلاف العكس «إن في ذلك» المذكور «لآيات» دلالات. «لقوم يتفكرون» فيعلمون أن القادر على ذلك، قادر على البعث، وقريش لم يتفكروا في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22809','chapter_id' => '39','chapter_detail_id' => '4101','translator_id' => '4','verse_number' => '43','translate_name' => '«أم» بل «اتخذوا من دون الله» أي الأصنام آلهة «شفعاء» عن الله بزعمهم «قل» لهم «أ» يشفعون «ولو كانوا لا يملكون شيئا» من الشفاعة وغيرها «ولا يعقلون» أنكم تعبدونهم ولا غير ذلك؟ لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22810','chapter_id' => '39','chapter_detail_id' => '4102','translator_id' => '4','verse_number' => '44','translate_name' => '«قل لله الشفاعة جميعا» أي هو مختص بها فلا يشفع أحد إلا بإذنه «له ملك السماوات والأرض ثم إليه ترجعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22811','chapter_id' => '39','chapter_detail_id' => '4103','translator_id' => '4','verse_number' => '45','translate_name' => '«وإذا ذكر الله وحده» أي دون آلهتهم «اشمأزَّت» نفرت وانقبضت «قلوب الذين لا يؤمنون بالآخرة وإذا ذكر الذين من دونه» أي الأصنام «إذا هم يستبشرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22812','chapter_id' => '39','chapter_detail_id' => '4104','translator_id' => '4','verse_number' => '46','translate_name' => '«قل اللهم» بمعنى يا الله «فاطر السماوات والأرض» مبدعهما «عالم الغيب والشهادة» ما غاب وما شوهد «أنت تحكم بين عبادك فيما كانوا فيه يختلفون» من أمر الدين اهدني لما اختلفوا فيه من الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22813','chapter_id' => '39','chapter_detail_id' => '4105','translator_id' => '4','verse_number' => '47','translate_name' => '«ولو أن للذين ظلموا ما في الأرض جميعا ومثله معه لافتدوا به من سوء العذاب يوم القيامة وبدا» ظهر «لهم من الله ما لم يكونوا يحتسبون» يظنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22814','chapter_id' => '39','chapter_detail_id' => '4106','translator_id' => '4','verse_number' => '48','translate_name' => '«وبدا لهم سيئات ما كسبوا وحاق» نزل «بهم ما كانوا به يستهزءُون» أي العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22815','chapter_id' => '39','chapter_detail_id' => '4107','translator_id' => '4','verse_number' => '49','translate_name' => '«فإذا مسَّ الإنسان» الجنس «ضر دعانا ثم إذا خوّلناه» أعطيناه «نعمة» إنعاما «منا قال إنما أوتيته على علم» من الله بأني له أهل «بل هي» أي القولة «فتنة» بلية يبتلى بها العبد «ولكن أكثرهم لا يعلمون» أي التخويل استدراج وامتحان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22816','chapter_id' => '39','chapter_detail_id' => '4108','translator_id' => '4','verse_number' => '50','translate_name' => '«قد قالها الذين من قبلهم» من الأمم كقارون وقومه الراضين بها «فما أغنى عنهم ما كانوا يكسبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22817','chapter_id' => '39','chapter_detail_id' => '4109','translator_id' => '4','verse_number' => '51','translate_name' => '«فأصابهم سيئات ما كسبوا» أي جزاؤها «والذين ظلموا من هؤلاء» أي قريش «سيصيبهم سيئات ما كسبوا وما هم بمعجزين» بفائتين عذابنا فقحطوا سبع سنين ثم وسع عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22818','chapter_id' => '39','chapter_detail_id' => '4110','translator_id' => '4','verse_number' => '52','translate_name' => '«أوَ لم يعلموا أن الله يبسط الرزق» يوسعه «لمن يشاء» امتحانا «ويقدر» يضيقه لمن يشاء ابتلاء «إن في ذلك لآيات لقوم يؤمنون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22819','chapter_id' => '39','chapter_detail_id' => '4111','translator_id' => '4','verse_number' => '53','translate_name' => '«قل يا عبادي الذين أسرفوا على أنفسهم لا تقنطوا» بكسر النون وفتحها، وقرئ بضمها تيأسوا «من رحمة الله إن الله يغفر الذنوب جميعا» لمن تاب من الشرك «إنه هو الغفور الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22820','chapter_id' => '39','chapter_detail_id' => '4112','translator_id' => '4','verse_number' => '54','translate_name' => '«وأنيبوا» ارجعوا «إلى ربكم وأسلموا» أخلصوا العمل «له من قبل أن يأتيكم العذاب ثم لا تنصرون» بمنعه إن لم تتوبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22821','chapter_id' => '39','chapter_detail_id' => '4113','translator_id' => '4','verse_number' => '55','translate_name' => '«واتبعوا أحسن ما أنزل إليكم من ربكم» هو القرآن «من قبل أن يأتيكم العذاب بغتة وأنتم لا تشعرون» قبل إتيانه بوقته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22822','chapter_id' => '39','chapter_detail_id' => '4114','translator_id' => '4','verse_number' => '56','translate_name' => 'فبادروا قبل «أن تقول نفسٌ يا حسرتى» أصله يا حسرتي، أي ندامتي «على ما فرطت في جنب الله» أي طاعته «وإن» مخففة من الثقيلة، وإني «كنت لمن الساخرين» بدينه وكتابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22823','chapter_id' => '39','chapter_detail_id' => '4115','translator_id' => '4','verse_number' => '57','translate_name' => '«أو تقول لو أن الله هداني» بالطاعة فاهتديت «لكنت من المتقين» عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22824','chapter_id' => '39','chapter_detail_id' => '4116','translator_id' => '4','verse_number' => '58','translate_name' => '«أو تقول حين ترى العذاب لو أن لي كرَّة» رجعة إلى الدنيا «فأكون من المحسنين» المؤمنين، فيقال له من قبل الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22825','chapter_id' => '39','chapter_detail_id' => '4117','translator_id' => '4','verse_number' => '59','translate_name' => '«بلى قد جاءتك آياتي» القرآن وهو سبب الهداية «فكذبت بها واستكبرت» تكبرت عن الإيمان بها «وكنت من الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22826','chapter_id' => '39','chapter_detail_id' => '4118','translator_id' => '4','verse_number' => '60','translate_name' => '«ويوم القيامة ترى الذين كذبوا على الله» بنسبة الشريك والولد إليه «وجوههم مسودة أليس في جهنم مشوى» مأوى «للمتكبرين» عن الإيمان؟ بلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22827','chapter_id' => '39','chapter_detail_id' => '4119','translator_id' => '4','verse_number' => '61','translate_name' => '«وينجَّي الله» من جهنم «الذين اتقوْا» الشرك «بمفازتهم» أي بمكان فوزهم من الجنة بأن يجعلوا فيه «لا يمسهم السوء ولا هم يحزنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22828','chapter_id' => '39','chapter_detail_id' => '4120','translator_id' => '4','verse_number' => '62','translate_name' => '«الله خالق كل شيء وهو على كل شيء وكيل» متصرف فيه كيف يشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22829','chapter_id' => '39','chapter_detail_id' => '4121','translator_id' => '4','verse_number' => '63','translate_name' => '«له مقاليد السماوات والأرض» أي مفاتيح خزائنهما من المطر والنبات وغيرهما «والذين كفروا بآيات الله» القرآن «أولئك هم الخاسرون» متصل بقوله: (وينجي الله الذين اتقوا) 000الخ وما بينهما اعتراض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22830','chapter_id' => '39','chapter_detail_id' => '4122','translator_id' => '4','verse_number' => '64','translate_name' => '«قل أفغير الله تأمروني أعبد أيها الجاهلون» غير منصوب بأعبد المعمول لتأمروني بتقدير أن بنون واحدة وبنونين بإدغام وفك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22831','chapter_id' => '39','chapter_detail_id' => '4123','translator_id' => '4','verse_number' => '65','translate_name' => '«ولقد أوحيَ إليك وإلى الذين من قبلك» والله «لئن أشركت» يا محمد فرضا «ليحبطن عملك ولتكوننَّ من الخاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22832','chapter_id' => '39','chapter_detail_id' => '4124','translator_id' => '4','verse_number' => '66','translate_name' => '«بل الله» وحده «فاعبدْ وكن من الشاكرين» إنعامه عليك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22833','chapter_id' => '39','chapter_detail_id' => '4125','translator_id' => '4','verse_number' => '67','translate_name' => '«وما قدروا الله حق قدره» ما عرفوه حق معرفته، أو ما عظموه حق عظمته حين أشركوا به غيره «والأرض جميعا» حال: أي السبع «قبضته» أي مقبوضة له: أي في ملكه وتصرفه «يوم القيامة والسماوات مطويات» مجموعات «بيمينه» بقدرته «سبحانه وتعالى عما يشركون» معه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22834','chapter_id' => '39','chapter_detail_id' => '4126','translator_id' => '4','verse_number' => '68','translate_name' => '«ونفخ في الصور» النفخة الأولى «فصعق» مات «من في السماوات ومن في الأرض إلا من شاء الله» من الحور والوالدان وغيرهما «ثم نفخ فيه أخرى فإذا هم» أي جميع الخلائق الموتى «قيام ينظرون» ينتظرون ما يفعل بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22835','chapter_id' => '39','chapter_detail_id' => '4127','translator_id' => '4','verse_number' => '69','translate_name' => '«وأشرقت الأرض» أضاءت «بنور ربها» حين يتجلى الله لفصل القضاء «ووضع الكتاب» كتاب الأعمال للحساب «وجيء بالنبيين والشهداء» أي بمحمد صلى الله عليه وسلم وأمته يشهدون للرسل بالبلاغ «وقُضيَ بينهم بالحق» أي العدل «وهم لا يظلمون» شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22836','chapter_id' => '39','chapter_detail_id' => '4128','translator_id' => '4','verse_number' => '70','translate_name' => '«ووفّيَتْ كلُّ نفس ما عملت» أي جزاءه «وهو أعلم» عالم «بما يفعلون» فلا يحتاج إلى شاهد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22837','chapter_id' => '39','chapter_detail_id' => '4129','translator_id' => '4','verse_number' => '71','translate_name' => '«وسيق الذين كفروا» بعنف «إلى جهنم زمرا» جماعات متفرقة «حتى إذا جاءُوها فتحت أبوابها» جواب إذا «وقال لهم خزنتها ألم يأتكم رسل منكم يتلون عليكم آيات ربكم» القرآن وغيره «وينذرونكم لقاء يومكم هذا قالوا بلى ولكن حقت كلمة العذاب» أي: (لأملأن جهنم) الآية. «على الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22838','chapter_id' => '39','chapter_detail_id' => '4130','translator_id' => '4','verse_number' => '72','translate_name' => '«قيل ادخلوا أبواب جهنم خالدين فيها» مقدّرين الخلود «فبئس مثوى» مأوى «المتكبرين» جهنم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22839','chapter_id' => '39','chapter_detail_id' => '4131','translator_id' => '4','verse_number' => '73','translate_name' => '«وسيق الذين اتقوا ربهم» بلطف «إلى الجنة زمرا حتى إذا جاءُوها وفتحت أبوابها» الواو فيه للحال بتقدير قد «وقال لهم خزنتها سلام عليكم طبتم» حال «فادخلوها خالدين» مقدّرين الخلود فيها، وجواب إذا مقدر، أي دخولها وسوقهم وفتح الأبواب قبل مجيئهم تكرمة لهم، وسوق الكفار وفتح أبواب جهنم عند مجيئهم ليبقى حرها إليهم إهانة لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22840','chapter_id' => '39','chapter_detail_id' => '4132','translator_id' => '4','verse_number' => '74','translate_name' => '«وقالوا» عطف على دخولها المقدر «الحمد لله الذي صدقنا وعده» بالجنة «وأورثنا الأرض» أي أرض الجنة «نتبوأ» ننزل «من الجنة حيث نشاء» لأنها كلها لا يختار فيها مكان على مكان «فنعم أجر العاملين» الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22841','chapter_id' => '39','chapter_detail_id' => '4133','translator_id' => '4','verse_number' => '75','translate_name' => '«وترى الملائكة حافّين» حال «من حول العرش» من كل جانب منه «يسبحون» حال من ضمير حافين «بحمد ربهم» ملابسين للحمد: أي يقولون: سبحان الله وبحمده «وقضيَ بينهم» بين جميع الخلائق «بالحق» أي العدل فيدخل المؤمنون الجنة، والكافرين النار «وقيل الحمد لله رب العالمين» ختم استقرار الفريقين بالحمد من الملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22842','chapter_id' => '40','chapter_detail_id' => '4134','translator_id' => '4','verse_number' => '1','translate_name' => '«حَم» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22843','chapter_id' => '40','chapter_detail_id' => '4135','translator_id' => '4','verse_number' => '2','translate_name' => '«تنزيل الكتاب» القرآن مبتدأ «من الله» خبره «العزيز» في ملكه «العليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22844','chapter_id' => '40','chapter_detail_id' => '4136','translator_id' => '4','verse_number' => '3','translate_name' => '«غافر الذنب» للمؤمنين «وقابل التوب» لهم مصدر «شديد العقاب» للكافرين أي مشدده «ذي الطول» الإنعام الواسع، وهو موصوف على الدوام بكل هذه الصفات، فإضافة المشتق منها للتعريف كالأخيرة «لا إله إلا هو إليه المصير» المرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22845','chapter_id' => '40','chapter_detail_id' => '4137','translator_id' => '4','verse_number' => '4','translate_name' => '«ما يجادل في آيات الله» القرآن «إلا الذين كفروا» من أهل مكة «فلا يغررك تقلبهم في البلاد» للمعاش سالمين فإن عاقبتهم النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22846','chapter_id' => '40','chapter_detail_id' => '4138','translator_id' => '4','verse_number' => '5','translate_name' => '«كذبت قبلهم قوم نوح والأحزاب» كعاد وثمود وغيرهما «من بعدهم وهمّت كل أمة برسولهم ليأخذوه» يقتلوه «وجادلوا بالباطل ليدحضوا» يزيلوا «به الحق فأخذتهم» بالعقاب «فكيف كان عقاب» لهم، أي هو واقع موقعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22847','chapter_id' => '40','chapter_detail_id' => '4139','translator_id' => '4','verse_number' => '6','translate_name' => '(وكذلك حقت كلمة ربك) أي "" لأملأن جهنم "" الآية (على الذين كفروا أنهم أصحاب النار) بدل من كلمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22848','chapter_id' => '40','chapter_detail_id' => '4140','translator_id' => '4','verse_number' => '7','translate_name' => '«الذين يحملون العرش» مبتدأ «ومن حوله» عطف عليه «يسبحون» خبره «بحمد ربهم» ملابسين للحمد، أي يقولون: سبحان الله وبحمده «ويؤمنون به» تعالى ببصائرهم أي يصدقون بوحدانيته «ويستغفرون للذين آمنوا» يقولون «ربنا وسعت كل شيءٍ رحمة وعلما» أي وسعت رحمتك كلَّ شيء وعلمك كل شيء «فاغفر للذين تابوا» من الشرك «واتبعوا سبيلك» دين الإسلام «وقهم عذاب الجحيم» النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22849','chapter_id' => '40','chapter_detail_id' => '4141','translator_id' => '4','verse_number' => '8','translate_name' => '«ربنا وأدخلهم جنات عدن» إقامة «التي وعدتهم ومن صلح» عطف على هم في وأدخلهم أو في وعدتهم «من آبائهم وأزواجهم وذرياتهم إنك أنت العزيز الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22850','chapter_id' => '40','chapter_detail_id' => '4142','translator_id' => '4','verse_number' => '9','translate_name' => '«وقهم السيئات» أي عذابها «ومن تق السيئات يومئذ» يوم القيامة «فقد رحمته وذلك هو الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22851','chapter_id' => '40','chapter_detail_id' => '4143','translator_id' => '4','verse_number' => '10','translate_name' => '«إن الذين كفروا ينادوْن» من قبل الملائكة وهم يمقتون أنفسهم عند دخولهم النار «لمقت الله» إياكم «أكبر من مقتكم أنفسكم إذ تدعوْن» في الدنيا «إلى الإيمان فتكفرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22852','chapter_id' => '40','chapter_detail_id' => '4144','translator_id' => '4','verse_number' => '11','translate_name' => '«قالوا ربنا أمتَّنا اثنتين» إماتتين «وأحييتنا اثنتين» إحياءتين لأنهم نطفٌ أموات فأحيوا ثم أميتوا ثم أحيوا للبعث «فاعترفنا بذنوبنا» بكفرنا بالبعث «فهل إلى خروج» من النار والرجوع إلى الدنيا لنطيع ربنا «من سبيل» طريق وجوابهم: لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22853','chapter_id' => '40','chapter_detail_id' => '4145','translator_id' => '4','verse_number' => '12','translate_name' => '«ذلكم» أي العذاب أنتم فيه «بأنه» أي بسبب أنه في الدنيا «إذا دعي الله وحده كفرتم» بتوحيده «وإن يُشرَك به» يجعل له شريك «تؤمنوا» تصدقوا بالإشراك «فالحكم» في تعذيبكم «لله العليِّ» على خلقه «الكبير» العظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22854','chapter_id' => '40','chapter_detail_id' => '4146','translator_id' => '4','verse_number' => '13','translate_name' => '«هو الذي يريكم آياته» دلائل توحيده «وينزل لكم من السماء رزقا» بالمطر «وما يتذكر» يتعظ «إلا من ينيب» يرجع عن الشرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22855','chapter_id' => '40','chapter_detail_id' => '4147','translator_id' => '4','verse_number' => '14','translate_name' => '«فادعوا الله» اعبدوه «مخلصين له الدين» من الشرك «ولو كره الكافرون» إخلاصكم منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22856','chapter_id' => '40','chapter_detail_id' => '4148','translator_id' => '4','verse_number' => '15','translate_name' => '«رفيع الدرجات» أي الله عظيم الصفات، أو رافع درجات المؤمنين في الجنة «ذو العرش» خالقه «يلقي الروح» الوحي «من أمره» أي قوله «على من يشاء من عباده لينذر» يخوَّف الملقى عليه الناس «يوم التلاق» بحذف الياء وإثباتها يوم القيامة لتلاقي أهل السماء والأرض، والعابد والمعبود، والظالم والمظلوم فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22857','chapter_id' => '40','chapter_detail_id' => '4149','translator_id' => '4','verse_number' => '16','translate_name' => '«يوم هم بارزون» خارجون من قبورهم «لا يخفى على الله منهم شيءٌ لمن الملك اليوم» بقوله تعالى، ويجيب نفسه «لله الواحد القهار» أي لخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22858','chapter_id' => '40','chapter_detail_id' => '4150','translator_id' => '4','verse_number' => '17','translate_name' => '«اليوم تجزى كل نفس بما كسبت لا ظلم اليوم إن الله سريع الحساب» يحاسب جميع الخلق في قدر نصف نهار من أيام الدنيا لحديث بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22859','chapter_id' => '40','chapter_detail_id' => '4151','translator_id' => '4','verse_number' => '18','translate_name' => '(وأنذرهم يوم الآزفة) يوم القيامة من أزف الرحيل: قرب (إذ القلوب) ترتفع خوفا (لدى) عند (الحناجر كاظمين) ممتلئين غما حال من القلوب عوملت بالجمع بالياء والنون معاملة أصحابها (ما للظالمين من حميم) محب (ولا شفيع يطاع) لا مفهوم للوصف إذ لا شفيع لهم أصلا "" فما لنا من شافعين "" أوله مفهوم بناء على زعمهم أن لهم شفعاء، أي لو شفعوا فرضا لم يقبلوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22860','chapter_id' => '40','chapter_detail_id' => '4152','translator_id' => '4','verse_number' => '19','translate_name' => '«يعلم أي الله «خائنة الأعين» بمارقتها النظر إلى محرَّم «وما تخفي الصدور» القلوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22861','chapter_id' => '40','chapter_detail_id' => '4153','translator_id' => '4','verse_number' => '20','translate_name' => '«والله يقضي بالحق والذين يدعون» يعبدون، أي كفار مكة بالياء والتاء «من دونه» وهم الأصنام «لا يقضون بشيءٍ» فكيف يكونون شركاء لله «إن الله هو السميع» لأقوالهم «البصير» بأفعالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22862','chapter_id' => '40','chapter_detail_id' => '4154','translator_id' => '4','verse_number' => '21','translate_name' => '«أوَ لم يسيروا في الأرض فينظروا كيف كان عاقبة الذين كانوا من قبلهم كانوا هم أشد منهم» وفي قراءة: منكم «قوة وآثارا في الأرض» من مصانع وقصور «فأخذهم الله» أهلكهم «بذنوبهم وما كان لهم من الله من واق» عذابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22863','chapter_id' => '40','chapter_detail_id' => '4155','translator_id' => '4','verse_number' => '22','translate_name' => '«ذلك بأنهم كانت تأتيهم رسلهم بالبينات» بالمعجزات الظاهرات «فكفروا فأخذهم الله إنه قويٌ شديد العقاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22864','chapter_id' => '40','chapter_detail_id' => '4156','translator_id' => '4','verse_number' => '23','translate_name' => '«ولقد أرسلنا موسى بآياتنا وسلطان مبين» برهان بيَّن ظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22865','chapter_id' => '40','chapter_detail_id' => '4157','translator_id' => '4','verse_number' => '24','translate_name' => '«إلى فرعون وهامان وقارون فقالوا» هو «ساحرٌ كذاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22866','chapter_id' => '40','chapter_detail_id' => '4158','translator_id' => '4','verse_number' => '25','translate_name' => '«فلما جاءهم بالحق» بالصدق «من عندنا «قالوا اقتلوا أبناء الذين آمنوا معه واستحيوا» استبقوا «نساءهم وما كيْد الكافرين إلا في ضلال» هلاك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22867','chapter_id' => '40','chapter_detail_id' => '4159','translator_id' => '4','verse_number' => '26','translate_name' => '«وقال فرعون ذروني أقتل موسى» لأنهم كانوا يكفونه عن قتله «وليدع ربه» ليمنعه مني «إني أخاف أن يبدل دينكم» من عبادتكم إياي فتتبعوه «وأن يُظهر في الأرض الفساد» من قتل وغيره، وفي قراءة: أو، وفي أخرى بفتح الياء والهاء وضم الدال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22868','chapter_id' => '40','chapter_detail_id' => '4160','translator_id' => '4','verse_number' => '27','translate_name' => '«وقال موسى» لقومه وقد سمع ذلك إني عذت بربي وربكم من كل متكبر لا يؤمن بيوم الحساب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22869','chapter_id' => '40','chapter_detail_id' => '4161','translator_id' => '4','verse_number' => '28','translate_name' => '«وقال رجل مؤمن من آل فرعون» قيل: هو ابن عمه «يكتم إيمانه أتقتلون رجلا أن» أي لأن «يقول ربيَ الله وقد جاءَكم بالبينات» بالمعجزات الظاهرات «من ربكم وإن يك كاذبا فعليه كذبه» أي ضرر كذبه «وإن يك صادقا يصبكم بعض الذي يعدكم» به من العذاب عاجلا «إن الله لا يهدي من هو مسرف» مشرك «كذاب» مفتر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22870','chapter_id' => '40','chapter_detail_id' => '4162','translator_id' => '4','verse_number' => '29','translate_name' => '«يا قوم لكم الملك اليوم ظاهرين» غالبين حال «في الأرض» أرض مصر «فمن ينصرنا من بأس الله» عذابه إن قتلتم أولياءه «إن جاءنا» أي لا ناصر لنا «قال فرعون ما أريكم إلا ما أرى» أي ما أشير عليكم إلا بما أشير به على نفسي وهو قتل موسى «وما أهديكم إلا سبيل الرشاد» طريق الصواب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22871','chapter_id' => '40','chapter_detail_id' => '4163','translator_id' => '4','verse_number' => '30','translate_name' => '«وقال الذي آمن يا قوم إنِّي أخاف عليكم مثل يوم الأحزاب» أي يوم حزب بعد حزب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22872','chapter_id' => '40','chapter_detail_id' => '4164','translator_id' => '4','verse_number' => '31','translate_name' => '«مثل دأب قوم نوح وعاد وثمود والذين من بعدهم» مثل بدل من مثل قبله، أي مثل جزاء عادة من كفر قبلكم من تعذيبهم في الدنيا «وما الله يريد ظلما لعباد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22873','chapter_id' => '40','chapter_detail_id' => '4165','translator_id' => '4','verse_number' => '32','translate_name' => '«ويا قوم إني أخاف عليكم يوم التناد» بحذف الياء وإثباتها، أي يوم القيامة يكثر فيه نداء أصحاب الجنة أصحاب النار وبالعكس، والنداء بالسعادة لأهلها وبالشقاوة لأهلها وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22874','chapter_id' => '40','chapter_detail_id' => '4166','translator_id' => '4','verse_number' => '33','translate_name' => '«يوم تولون مدبرين» عن موقف الحساب إلى النار «ما لكم من الله» أي من عذابه «من عاصم» مانع «ومن يضلل الله فما له من هادِ».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22875','chapter_id' => '40','chapter_detail_id' => '4167','translator_id' => '4','verse_number' => '34','translate_name' => '«ولقد جاءكم يوسف من قبل» أي قبل موسى وهو يوسف بن يعقوب في قول، عمَّر إلى زمن موسى، أو يوسف بن إبراهيم بن يوسف بن يعقوب في قول «بالبينات» بالمعجزات الظاهرات «فما زلتم في شك مما جاءكم به حتى إذا هلك قلتم» من غير برهان «لن يبعث الله من بعده رسولا» أي فلن تزالوا كافرين بيوسف وغيره «كذلك» أي مثل إضلالكم «يضل الله من هو مسرف» مشرك «مرتاب» شاك فيما شهدت به البينات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22876','chapter_id' => '40','chapter_detail_id' => '4168','translator_id' => '4','verse_number' => '35','translate_name' => '«الذين يجادلون في آيات الله» معجزاته مبتدأ «بغير سلطان» برهان «أتاهم كَبُر» جدالهم خبر المبتدأ «مقتا عند الله وعند الذين آمنوا كذلك» مثل إضلالهم «يطبع» يختم «الله» بالضلال «على كل قلب متكبَّرِ جبار» بتنوين قلب ودونه، ومتى تكبَّر القلب، تكبَّر صاحبه وبالعكس، وكل على القراءتين لعموم الضلال جميع القلب لا لعموم القلب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22877','chapter_id' => '40','chapter_detail_id' => '4169','translator_id' => '4','verse_number' => '36','translate_name' => '«وقال فرعون يا هامان ابن لي صرحا» بناءً عاليا «لعلي أبلغ الأسباب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22878','chapter_id' => '40','chapter_detail_id' => '4170','translator_id' => '4','verse_number' => '37','translate_name' => '«أسباب السماوات» طرقها الموصولة إليها «فأطلع» بالرفع عطفا على أبلغ وبالنصب جوابا لابنِ «إلى إله موسى وإني لأظنه» أي موسى «كاذبا» في أن له إلها غيري قال فرعون ذلك تمويها «وكذلك زيَّن لفرعون سوء عمله وصدَّ عن السبيل» طريق الهدي بفتح الصاد وضمها «وما كيد فرعون إلا في تباب» خسار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22879','chapter_id' => '40','chapter_detail_id' => '4171','translator_id' => '4','verse_number' => '38','translate_name' => '«وقال الذي آمن يا قوم اتَّبعون» بإثبات الياء وحذفها «أهدكم سبيل الرشاد» تقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22880','chapter_id' => '40','chapter_detail_id' => '4172','translator_id' => '4','verse_number' => '39','translate_name' => '«يا قوم إنما هذه الحياة الدنيا متاع» تمتع يزول «وإن الآخرة هي دار القرار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22881','chapter_id' => '40','chapter_detail_id' => '4173','translator_id' => '4','verse_number' => '40','translate_name' => '«من عمل سيئة فلا يُجزى إلا مثلها ومن عمل صالحا من ذكر أو أنثى وهو مؤمن فأولئك يدخلون الجنة» بضم الياء وفتح الخاء وبالعكس «يرزقون فيها بغير حساب» رزقا واسعا بلا تبعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22882','chapter_id' => '40','chapter_detail_id' => '4174','translator_id' => '4','verse_number' => '41','translate_name' => '«ويا قوم مالي أدعوكم إلى النجاة وتدعونني إلى النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22883','chapter_id' => '40','chapter_detail_id' => '4175','translator_id' => '4','verse_number' => '42','translate_name' => '«تدعونني لأكفر بالله وأشرك به ما ليس لي به علم وأنا أدعوكم إلى العزيز» الغالب على أمره «الغفار» لمن تاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22884','chapter_id' => '40','chapter_detail_id' => '4176','translator_id' => '4','verse_number' => '43','translate_name' => '«لا جرم» حقا «أنما تدعونني إليه» لأعبده «ليس له دعوة» أي استجابة دعوة «في الدنيا ولا في الآخرة وأن مردنا» مرجعنا «إلى الله وأن المسرفين» الكافرين «هم أصحاب النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22885','chapter_id' => '40','chapter_detail_id' => '4177','translator_id' => '4','verse_number' => '44','translate_name' => '«فستذكرون» إذا عاينتم العذاب «ما أقول لكم وأفوض أمري إلى الله إن الله بصير بالعباد» قال ذلك لما توعدوه بمخالفة دينهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22886','chapter_id' => '40','chapter_detail_id' => '4178','translator_id' => '4','verse_number' => '45','translate_name' => '«فوقاه الله سيئات ما مكروا» به من القتل «وحاق» نزل «بآل فرعون» قومه معه «سوء العذاب» الغرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22887','chapter_id' => '40','chapter_detail_id' => '4179','translator_id' => '4','verse_number' => '46','translate_name' => 'ثم (النار يعرضون عليها) يحرقون بها «غدوا وعشيا» صباحا ومساءً «ويوم تقوم الساعة» يقال «ادخلُوا» يا «آل فرعون» وفي قراءة: بفتح الهمزة وكسر الخاء أمر للملائكة «أشد العذاب» عذاب جهنم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22888','chapter_id' => '40','chapter_detail_id' => '4180','translator_id' => '4','verse_number' => '47','translate_name' => '«و» اذكر «إذ يتحاجون» يتخاصم الكفار «في النار فيقول الضعفاء للذين استكبروا إنا كنا لكم تبعا» جمع تابع «فهل أنتم مغنون» دافعون «عنا نصيبا» جزاءً «من النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22889','chapter_id' => '40','chapter_detail_id' => '4181','translator_id' => '4','verse_number' => '48','translate_name' => '«قال الذين استكبروا إنا كلَّ فيها إن الله قد حكم بين العباد» فأدخل المؤمنين الجنة والكافرين النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22890','chapter_id' => '40','chapter_detail_id' => '4182','translator_id' => '4','verse_number' => '49','translate_name' => '«وقال الذين في النار لخزنة جهنم ادعوا ربكم يخفف عنا يوما» أي قدر يوم «من العذاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22891','chapter_id' => '40','chapter_detail_id' => '4183','translator_id' => '4','verse_number' => '50','translate_name' => '«قالوا» أي الخزنة تهكما «أوَ لم تك تأتيكم رسلكم بالبينات» بالمعجزات الظاهرات «قالوا بلى» أي فكفروا بهم «قالوا فادعوا» أنتم فإنا لا نشفع للكافرين، قال تعالى: «وما دعاءُ الكافرين إلا في ضلال» انعدام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22892','chapter_id' => '40','chapter_detail_id' => '4184','translator_id' => '4','verse_number' => '51','translate_name' => '«إنا لننصر رسلنا والذين آمنوا في الحياة الدنيا ويوم يقوم الأشهاد» جمع شاهد، وهم الملائكة يشهدون للرسل بالبلاغ وعلى الكفار بالتكذيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22893','chapter_id' => '40','chapter_detail_id' => '4185','translator_id' => '4','verse_number' => '52','translate_name' => '«يوم لا ينفع» بالياء والتاء «الظالمين معذرتهم» عذرهم لو اعتذروا «ولهم اللعنة» أي البعد من الرحمة «ولهم سوءُ الدار» الآخرة، أي شدة عذابها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22894','chapter_id' => '40','chapter_detail_id' => '4186','translator_id' => '4','verse_number' => '53','translate_name' => '«ولقد آتينا موسى الهدى» التوراة والمعجزات «وأورثنا بني إسرائيل» من بعد موسى «الكتاب» التوراة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22895','chapter_id' => '40','chapter_detail_id' => '4187','translator_id' => '4','verse_number' => '54','translate_name' => '«هدىّ» هاديا «وذكرى لأولي الألباب» تذكرة لأصحاب العقول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22896','chapter_id' => '40','chapter_detail_id' => '4188','translator_id' => '4','verse_number' => '55','translate_name' => '«فاصبر» يا محمد «إن وعد الله» بنصر أوليائه «حق» وأنت ومن تبعك منهم «واستغفر لذنبك» ليستن بك «وسبِّح» صل متلبساً «بحمد ربك بالعشي» وهو من بعد الزوال «والإبكار» الصلوات الخمس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22897','chapter_id' => '40','chapter_detail_id' => '4189','translator_id' => '4','verse_number' => '56','translate_name' => '«إن الذين يجادلون في آيات الله» القرآن «بغير سلطان» برهان «أتاهم إن» ما «في صدورهم إلا كبْر» تكبّر وطمع أن يعلوا عليك «ما هم ببالغيه فاستعذ» من شرِّهم «بالله إنه هو السميع» لأقوالهم «البصير» بأحوالهم، ونزل في منكري البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22898','chapter_id' => '40','chapter_detail_id' => '4190','translator_id' => '4','verse_number' => '57','translate_name' => '«لخلق السماوات والأرض» ابتداءً «أكبر من خلق الناس» مرة ثانية، وهي الإعادة «ولكن أكثر الناس» أي كفار مكة «لا يعلمون» ذلك فهم كالأعمى، ومن يعلمه كالبصير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22899','chapter_id' => '40','chapter_detail_id' => '4191','translator_id' => '4','verse_number' => '58','translate_name' => '«وما يستوي الأعمى والبصير و» لا «الذين آمنوا وعملوا الصالحات» وهو المحسن «ولا المسيء» فيه زيادة لا «قليلا ما يتذكرون» يتعظون بالياء والتاء، أي تذكرهم قليل جدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22900','chapter_id' => '40','chapter_detail_id' => '4192','translator_id' => '4','verse_number' => '59','translate_name' => '«إن الساعة لآتية لا ريب» شك «فيها ولكن أكثر الناس لا يؤمنون» بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22901','chapter_id' => '40','chapter_detail_id' => '4193','translator_id' => '4','verse_number' => '60','translate_name' => '«وقال ربكم ادعوني أستجب لكم» أي اعبدوني أثبكم بقرينة ما بعده «إن الذين يستكبرون عن عبادتي سيدخلون» بفتح الياء وضم الخاء وبالعكس «جهنم داخرين» صاغرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22902','chapter_id' => '40','chapter_detail_id' => '4194','translator_id' => '4','verse_number' => '61','translate_name' => '«الله الذي جعل لكم الليل لتسكنوا فيه والنهار مبصرا» إسناد الإبصار إليه مجازيّ لأنه يبصر فيه «إن الله لذو فضل على الناس ولكن أكثر الناس لا يشكرون» الله فلا يؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22903','chapter_id' => '40','chapter_detail_id' => '4195','translator_id' => '4','verse_number' => '62','translate_name' => '«ذلكم الله ربكم خالق كل شيء لا إله إلا هوَ فأنّى تؤفكون» فكيف تصرفون عن الإيمان مع قيام البرهان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22904','chapter_id' => '40','chapter_detail_id' => '4196','translator_id' => '4','verse_number' => '63','translate_name' => '«كذلك يؤفك» أي مثل إفك هؤلاء إفك «الذين كانوا بآيات الله» معجزاته «يجحدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22905','chapter_id' => '40','chapter_detail_id' => '4197','translator_id' => '4','verse_number' => '64','translate_name' => '«الله الذي جعل لكم الأرض قرارا والسماء بناءً» سقفا «وصوركم فأحسن صوركم ورزقكم من الطيبات ذلكم الله ربكم فتبارك الله رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22906','chapter_id' => '40','chapter_detail_id' => '4198','translator_id' => '4','verse_number' => '65','translate_name' => '«هو الحي لا إله إلا هو فادعوه» اعبدوه «مخلصين له الدين» من الشرك «الحمد لله رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22907','chapter_id' => '40','chapter_detail_id' => '4199','translator_id' => '4','verse_number' => '66','translate_name' => '«قل إني نُهيت أن أعبد الذين تدعون» تعبدون «من دون الله لما جاءني البينات» دلائل التوحيد «من ربي وأمرت أن أسلم لرب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22908','chapter_id' => '40','chapter_detail_id' => '4200','translator_id' => '4','verse_number' => '67','translate_name' => '«هو الذي خلقكم من تراب» بخلق أبيكم آدم منه «ثم من نطفة» منيّ «ثم من علقة» دم غليظ «ثم يخرجكم طفلا» بمعنى أطفالا «ثم» يبقيكم «لتبلغوا أشدكم» تكامل قوتكم من الثلاثين سنة إلى الأربعين «ثم لتكونوا شيوخا» بضم الشين وكسرها «ومنكم من يتوفى من قبل» أي قبل الأشد والشيخوخة، فعل ذلك بكم لتعيشوا «ولتبلغوا أجلا مسمى» وقتا محدودا «ولعلكم تعقلون» دلائل التوحيد فتؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22909','chapter_id' => '40','chapter_detail_id' => '4201','translator_id' => '4','verse_number' => '68','translate_name' => '«هو الذي يحيى ويُميت فإذا قضى أمرا» أراد إيجاد شيء «فإنما يقول له كن فيكون» بضم النون وفتحها بتقدير أن، أي يوجد عقب الإرادة التي هي معنى القول المذكور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22910','chapter_id' => '40','chapter_detail_id' => '4202','translator_id' => '4','verse_number' => '69','translate_name' => '«ألم ترَ إلى الذين يجادلون في آيات الله» القرآن «أنَّى» كيف «يصرفون» عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22911','chapter_id' => '40','chapter_detail_id' => '4203','translator_id' => '4','verse_number' => '70','translate_name' => '«الذين كذبوا بالكتاب» القرآن «وبما أرسلنا به رسلنا» من التوحيد والبعث وهم كفار مكة «فسوف يعلمون» عقوبة تكذيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22912','chapter_id' => '40','chapter_detail_id' => '4204','translator_id' => '4','verse_number' => '71','translate_name' => '«إذ الأغلال في أعناقهم» إذ بمعنى إذا «والسلاسل» عطف على الأغلال فتكون في الأعناق، أو مبتدأ خبره محذوف، أي في أرجلهم أو خبره «يسحبون» أي يجرون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22913','chapter_id' => '40','chapter_detail_id' => '4205','translator_id' => '4','verse_number' => '72','translate_name' => '«في الحميم» أي جهنم «ثم في النار يسجرون» يوقدون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22914','chapter_id' => '40','chapter_detail_id' => '4206','translator_id' => '4','verse_number' => '73','translate_name' => '«ثم قيل لهم» تبكيا «أين ما كنتم تشركون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22915','chapter_id' => '40','chapter_detail_id' => '4207','translator_id' => '4','verse_number' => '74','translate_name' => '«من دون الله» معه وهي الأصنام «قالوا ضلوا» غابوا «عنا» فلا نراهم «بل لم نكن تدعوا من قبل شيئا» أنكروا عبادتهم إياها ثم أحضرت قال تعالى: (إنكم وما تعبدون من دون الله حصب جهنم) أي وقودها «كذلك» أي مثل إضلال هؤلاء المكذبين «يضل الله الكافرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22916','chapter_id' => '40','chapter_detail_id' => '4208','translator_id' => '4','verse_number' => '75','translate_name' => 'ويقال لهم أيضا «ذلكم» العذاب «بما كنتم تفرحون في الأرض بغير الحق» من الإشراك وإنكار البعث «وبما كنتم تمرحون» تتوسعون في الفرح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22917','chapter_id' => '40','chapter_detail_id' => '4209','translator_id' => '4','verse_number' => '76','translate_name' => '«ادخلوا أبواب جهنم خالدين فيها فبئس مثوى» مأوى «المتكبرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22918','chapter_id' => '40','chapter_detail_id' => '4210','translator_id' => '4','verse_number' => '77','translate_name' => '«فاصبر إن وعد الله» بعذابهم «حق فإما نرينَّك» فيه إن الشرطية مدغمة وما زائدة تؤكد معنى الشرط أول الفعل والنون تؤكد آخره «بعض الذي نعدهم» به من العذاب في حياتك وجواب الشرط محذوف، أي فذاك «أو نتوفينك» أي قبل تعذيبهم «فإلينا يرجعون» فنعذبهم أشد العذاب فالجواب المذكور للمعطوف فقط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22919','chapter_id' => '40','chapter_detail_id' => '4211','translator_id' => '4','verse_number' => '78','translate_name' => '«ولقد أرسلنا رسلا من قبلك منهم من قصصنا عليك ومنهم من لم نقصص عليك» روي أنه تعالى بعث ثمانية آلاف نبي: أربعة آلاف نبي من بني إسرائيل، وأربعة آلاف من سائر الناس «وما كان لرسولِ» منهم «أن يأتي بآية إلا بإذن الله» لأنهم عبيد مربوبون «فإذا جاء أمر الله» بنزول العذاب على الكفار «قضي» بين الرسل ومكذبيها «بالحق وخسر هنالك المبطلون» أي ظهر القضاء والخسران للناس وهم خاسرون في كل وقت قبل ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22920','chapter_id' => '40','chapter_detail_id' => '4212','translator_id' => '4','verse_number' => '79','translate_name' => '«الله الذي جعل لكم الأنعام» قيل: الإبل خاصة هنا والظاهر والبقر والغنم «لتركبوا منها ومنها تأكلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22921','chapter_id' => '40','chapter_detail_id' => '4213','translator_id' => '4','verse_number' => '80','translate_name' => '«ولكم فيها منافع» من الدر والنسل والوبر والصوف «ولتبلغوا عليها حاجة في صدوركم» هي حمل الأثقال إلى البلاد «وعليها» في البر «وعلى الفلك» السفن في البحر «تحملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22922','chapter_id' => '40','chapter_detail_id' => '4214','translator_id' => '4','verse_number' => '81','translate_name' => '«ويريكم آياته فأيَّ آيات الله» أي الدالة على وحدانيته «تنكرون» استفهام توبيخ، وتذكير أي أشهر من تأنيثه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22923','chapter_id' => '40','chapter_detail_id' => '4215','translator_id' => '4','verse_number' => '82','translate_name' => '«أفلم يسيروا في الأرض فينظروا كيف كان عاقبة الذين من قبلهم كانوا أكثر منهم وأشد قوَّةً وأثارا في الأرض» من مصانع وقصور «فما أغنى عنهم ما كانوا يكسبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22924','chapter_id' => '40','chapter_detail_id' => '4216','translator_id' => '4','verse_number' => '83','translate_name' => '«فلما جاءتهم رسلهم بالبينات» المعجزات الظاهرات «فرحوا» أي الكفار «بما عندهم» أي الرسل «من العلم» فرح استهزاء وضحك منكرين له «وحاق» نزل «بهم ما كانوا به يستهزءُون» أي العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22925','chapter_id' => '40','chapter_detail_id' => '4217','translator_id' => '4','verse_number' => '84','translate_name' => '«فلما رأوْا بأسنا» أي شدة عذابنا «قالوا آمنا بالله وحده وكفرنا بما كنا به مشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22926','chapter_id' => '40','chapter_detail_id' => '4218','translator_id' => '4','verse_number' => '85','translate_name' => '«فلم يكُ ينفعهم إيمانهم لما رأوْا بأسنا سُنَّتَ الله» نصبه على المصدر بفعل مقدِّر من لفظه «التي قد خلت في عباده» في الأمم أن لا ينفعهم الإيمان وقت نزول العذاب «وخسر هنالك الكافرون» تبين خسرانهم لكل أحد وهم خاسرون في كل وقت قبل ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22927','chapter_id' => '41','chapter_detail_id' => '4219','translator_id' => '4','verse_number' => '1','translate_name' => '«حم» الله أعلم بمراده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22928','chapter_id' => '41','chapter_detail_id' => '4220','translator_id' => '4','verse_number' => '2','translate_name' => '«تنزيل من الرحمن الرحيم» مبتدأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22929','chapter_id' => '41','chapter_detail_id' => '4221','translator_id' => '4','verse_number' => '3','translate_name' => '«كتاب» خبره «فصلت آياته» بينت بالأحكام والقصص والمواعظ «قرآناً عربيا» حال من كتاب بصفته «لقوم» متعلق بفصلت «يعلمون» يفهمون ذلك، وهم العرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22930','chapter_id' => '41','chapter_detail_id' => '4222','translator_id' => '4','verse_number' => '4','translate_name' => '«بشيراً» صفة قرآناً «ونذيراً فأعرض أكثرهم فهم لا يسمعون» سماع قبول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22931','chapter_id' => '41','chapter_detail_id' => '4223','translator_id' => '4','verse_number' => '5','translate_name' => '«وقالوا» للنبي «قلوبنا في أكنَّةٍ» أغطية «مما تدعونا إليه وفي آذاننا وقر» ثقل «ومن بيننا وبينك حجاب» خلاف في الدين «فاعمل» على دينك «إننا عاملون» على ديننا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22932','chapter_id' => '41','chapter_detail_id' => '4224','translator_id' => '4','verse_number' => '6','translate_name' => '«قل إنما أنا بشر مثلكم يوحى إليَّ أنما إلهكم إله واحد فاستقيموا إليه» بالإيمان والطاعة «واستغفروه وويل» كلمة عذاب «للمشركين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22933','chapter_id' => '41','chapter_detail_id' => '4225','translator_id' => '4','verse_number' => '7','translate_name' => '«الذين لا يؤتون الزكاة وهم بالآخرة هم» تأكيد «كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22934','chapter_id' => '41','chapter_detail_id' => '4226','translator_id' => '4','verse_number' => '8','translate_name' => '«إن الذين آمنوا وعملوا الصالحات لهم أجر غير ممنون» مقطوع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22935','chapter_id' => '41','chapter_detail_id' => '4227','translator_id' => '4','verse_number' => '9','translate_name' => '«قل أئنكم» بتحقيق الهمزة الثانية وتسهيلها وإدخال ألف بينها بوجهيها وبين الأولى «لتكفرون بالذي خلق الأرض في يومين» الأحد والاثنين «وتجعلون له أنداداً» شركاء «ذلك رب» أي مالك «العالمين» جمع عالم، وهو ما سوى الله وجمع لاختلاف أنواعه بالياء والنون، تغليباً للعقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22936','chapter_id' => '41','chapter_detail_id' => '4228','translator_id' => '4','verse_number' => '10','translate_name' => '«وجعل» مستأنف ولا يجوز عطفه على صلة الذي للفاصل الأجنبي «فيها رواسي» جبالاً ثوابت «من فوقها وبارك فيها» بكثرة المياه والزروع والضروع «وقدَّر» قسَّم «فيها أقواتها» للناس والبهائم «في» تمام «أربعة أيام» أي الجعل وما ذكر معه في يوم الثلاثاء والأربعاء «سواءً» منصوب على المصدر، أي استوت الأربعة استواءً لا تزيد ولا تنقص «للسائلين» عن خلق الأرض بما فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22937','chapter_id' => '41','chapter_detail_id' => '4229','translator_id' => '4','verse_number' => '11','translate_name' => '«ثم استوى» قصد «إلى السماء وهي دخان» بخار مرتفع «فقال لها وللأرض ائتيا» إلى مرادي منكما «طوعاً أو كرهاً» في موضع الحال، أي طائعتين أو مكرهتين «قالتا أتينا» بمن فينا «طائعين» فيه تغليب المذكر العاقل أو نزلنا لخاطبها منزلته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22938','chapter_id' => '41','chapter_detail_id' => '4230','translator_id' => '4','verse_number' => '12','translate_name' => '«فقضاهنَّ» الضمير يرجع إلى السماء لأنها في معنى الجمع الآيلة إليه، أي صيَّرها «سبع سماوات في يومين» الخميس والجمعة فرغ منها في آخر ساعة منه، وفيها خلق آدم ولذلك لم يقل هنا سواء، ووافق ما هنا آيات خلق السماوات والأرض في ستة أيام «وأوحى في كل سماءٍ أمرها» الذي أمر به من فيها من الطاعة والعبادة «وزينا السماء الدنيا بمصابيح» بنجوم «وحفظاً» منصوب بفعله المقدَّر، أي حفظناها من استراق الشياطين السمع بالشهب «ذلك تقدير العزيز» في ملكه «العليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22939','chapter_id' => '41','chapter_detail_id' => '4231','translator_id' => '4','verse_number' => '13','translate_name' => '«فإن أعرضوا» أي كفار مكة عن الإيمان بعد هذا البيان «فقل أنذرتكم» خوَّفتكم «صاعقةً مثل صاعقة عادٍ وثمود» عذاباً يهلككم مثل الذي أهلكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22940','chapter_id' => '41','chapter_detail_id' => '4232','translator_id' => '4','verse_number' => '14','translate_name' => '«إذْ جاءتهم الرسل من بين أيديهم ومن خلفهم» أي مقبلين عليهم ومدبرين عنهم فكفروا كما سيأتي، والإهلاك في زمنه فقط «أن» أي بأن «لا تعبدوا إلا الله قالوا لو شاء ربنا لأنزل» علينا «ملائكة فإنا بما أرسلتم به» على زعمكم «كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22941','chapter_id' => '41','chapter_detail_id' => '4233','translator_id' => '4','verse_number' => '15','translate_name' => '«فأما عاد فاستكبروا في الأرض بغير الحق وقالوا» لما خوِّفوا بالعذاب «من أشد منا قوة» أي لا أحد، كان واحدهم يقلع الصخرة العظيمة من الجبل يجعلها حيث يشاء «أولم يروْا» يعلموا «أن الله الذي خلقهم هو أشد منهم قوَّة وكانوا بآياتنا» المعجزات «يجحدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22942','chapter_id' => '41','chapter_detail_id' => '4234','translator_id' => '4','verse_number' => '16','translate_name' => '«فأرسلنا عليهم ريحاً صرصراً» باردة شديدة الصوت بلا مطر «في أيام نحسات» بكسر الحاء وسكونها مشؤومات عليهم «لنذيقهم عذاب الخزي» الذل «في الحياة الدنيا ولعذاب الآخرة أخزى» أشد «وهم لا ينصرون» بمنعه عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22943','chapter_id' => '41','chapter_detail_id' => '4235','translator_id' => '4','verse_number' => '17','translate_name' => '«وأما ثمود فهديناهم» بيّنا لهم طريق الهدى «فاستحبوا العمى» اختاروا الكفر «على الهدى فأخذتهم صاعقة العذاب الهون» المهين «بما كانوا يكسبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22944','chapter_id' => '41','chapter_detail_id' => '4236','translator_id' => '4','verse_number' => '18','translate_name' => '«ونجينا» منها «الذين آمنوا وكانوا يتقون» الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22945','chapter_id' => '41','chapter_detail_id' => '4237','translator_id' => '4','verse_number' => '19','translate_name' => '«و» اذكر «يوم يُحشر» بالياء والنون المفتوحة وضم الشين وفتح الهمزة «أعداء الله إلى النار فهم يوزعون» يساقون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22946','chapter_id' => '41','chapter_detail_id' => '4238','translator_id' => '4','verse_number' => '20','translate_name' => '«حتى إذا ما» زائدة «جاءُوها شهد عليهم سمعهم وأبصارهم وجلودهم بما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22947','chapter_id' => '41','chapter_detail_id' => '4239','translator_id' => '4','verse_number' => '21','translate_name' => '«وقالوا لجلودهم لم شهدتم علينا قالوا أنطقنا الله الذي أنطق كل شيء» أي أراد نطقه «وهو خلقكم أول مرةٍ وإليه ترجعون» قيل: هو من كلام الجلود، وقيل: هو من كلام الله تعالى كالذي بعده وموقعه قريب مما قبله بأن القادر على إنشائكم ابتداء وإعادتكم بعد الموت أحياء قادر على إنطاق جلودكم وأعضائكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22948','chapter_id' => '41','chapter_detail_id' => '4240','translator_id' => '4','verse_number' => '22','translate_name' => '«وما كنتم تستترون» عن ارتكابكم الفواحش من «أن يشهد عليكم سمعكم ولا أبصاركم ولا جلودكم» لأنكم لم توقنوا بالبعث «ولكن ظننتم» عند استتاركم «أن الله لا يعلم كثيراً مما تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22949','chapter_id' => '41','chapter_detail_id' => '4241','translator_id' => '4','verse_number' => '23','translate_name' => '«وذلكم» مبتدأ «ظنكم» بدل منه «الذي ظننتم بربكم» نعت والخبر «أرداكم» أي أهلككم «فأصبحتم من الخاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22950','chapter_id' => '41','chapter_detail_id' => '4242','translator_id' => '4','verse_number' => '24','translate_name' => '«فإن يصبروا» على العذاب «فالنار مثوى» مأوى «لهم وإن يستعتبوا» يطلبوا العتبى، أي الرضا «فما هم من المعتبين» المرضيين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22951','chapter_id' => '41','chapter_detail_id' => '4243','translator_id' => '4','verse_number' => '25','translate_name' => '(وقيضنا) سببنا (لهم قرناء) من الشياطين (فزينوا لهم ما بين أيديهم) من أمر الدنيا واتباع الشهوات (وما خلفهم) من أمر الآخرة بقولهم لا بعث ولا حساب (وحق عليهم القول) بالعذاب وهو "" لأملأن جهنم "" الآية (في) جملة (أمم قد خلت) هلكت (من قبلهم من الجن والإنس إنهم كانوا خاسرين).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22952','chapter_id' => '41','chapter_detail_id' => '4244','translator_id' => '4','verse_number' => '26','translate_name' => '«وقال الذين كفروا» عند قراءة النبي صلى الله عليه وسلم «لا تسمعوا لهذا القرآن والغوْا فيه» ائتوا باللغط ونحوه وصيحوا في زمن قراءته «لعلكم تغلبون» فيسكت عن القراءة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22953','chapter_id' => '41','chapter_detail_id' => '4245','translator_id' => '4','verse_number' => '27','translate_name' => 'قال الله تعالى فيهم: «فلنذيقنَّ الذين كفروا عذاباً شديداً ولنجزينهم أسوأ الذي كانوا يعملون» أي أقبح جزاء عملهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22954','chapter_id' => '41','chapter_detail_id' => '4246','translator_id' => '4','verse_number' => '28','translate_name' => '«ذلك» العذاب الشديد وأسوأ الجزاء «جزاء أعداء الله» بتحقيق الهمزة الثانية وإبدالها واواً «النار» عطف بيان للجزاء المخبر به عن ذلك «لهم فيها دار الخلد» أي إقامة لا انتقال منها «جزاءً» منصوب على المصدر بفعله المقدر «بما كانوا بآياتنا» القرآن «يجحدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22955','chapter_id' => '41','chapter_detail_id' => '4247','translator_id' => '4','verse_number' => '29','translate_name' => '«وقال الذين كفروا» في النار «ربنا أرنا الذيْن أضلانا من الجن والإنس» أي إبليس وقابيل سنَّا الكفر والقتل «نجعلهما تحت أقدامنا» في النار «ليكونا من الأسفلين» أي أشد عذاباً منا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22956','chapter_id' => '41','chapter_detail_id' => '4248','translator_id' => '4','verse_number' => '30','translate_name' => '«إن الذين قالوا ربنا الله ثم استقاموا» على التوحيد وغيره بما وجب عليهم «تتنزل عليهم الملائكة» عند الموت «أن» بأن «لا تخافوا» من الموت وما بعده «ولا تحزنوا» على ما خلفتم من أهل وولد فنحن نخلفكم فيه «وأبشروا بالجنة التي كنتم توعدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22957','chapter_id' => '41','chapter_detail_id' => '4249','translator_id' => '4','verse_number' => '31','translate_name' => '«نحن أولياؤكم في الحياة الدنيا» أي نحفظكم فيها «وفي الآخرة» أي نكون معكم فيها حتى تدخلوا الجنة «ولكم فيها ما تشتهي أنفسكم ولكم فيها ما تدعون» تطلبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22958','chapter_id' => '41','chapter_detail_id' => '4250','translator_id' => '4','verse_number' => '32','translate_name' => '«نزلاً» رزقاً مهيئاً منصوب بجعل مقدراً «من غفور رحيم» أي الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22959','chapter_id' => '41','chapter_detail_id' => '4251','translator_id' => '4','verse_number' => '33','translate_name' => '«ومن أحسن قولاً» أي لا أحد أحسن قولاً «ممن دعا إلى الله» بالتوحيد «وعمل صالحاً وقال إنني من المسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22960','chapter_id' => '41','chapter_detail_id' => '4252','translator_id' => '4','verse_number' => '34','translate_name' => '«ولا تستوي الحسنة ولا السيئة» في جزئياتهما بعضهما فوق بعض «ادفع» السيئة «بالتي» أي بالخصلة التي «هي أحسن» كالغضب بالصبر والجهل بالحلم والإساءة بالعفو «فإذا الذي بينك وبينه عداوة كأنه ولي حميم» أي فيصير عدوك كالصديق القريب في محبته إذا فعلت ذلك فالذي مبتدأ وكأنه الخبر وإذا ظرف لمعنى التشبيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22961','chapter_id' => '41','chapter_detail_id' => '4253','translator_id' => '4','verse_number' => '35','translate_name' => '«وما يلقاها» أي يؤتى الخصلة التي هي أحسن «إلا الذين صبروا وما يُلقاها إلا ذو حظ» ثواب «عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22962','chapter_id' => '41','chapter_detail_id' => '4254','translator_id' => '4','verse_number' => '36','translate_name' => '«وإما» فيه إدغام نون إن الشرطية في ما الزائدة «ينزغنك من الشيطان نزغ» أي يصرفك عن الخصلة وغيرها من الخير صارف «فاستعذ بالله» جواب الشرط وجواب الأمر محذوف، أي يدفعه عنك «إنه هو السميع» للقول «العليم» بالفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22963','chapter_id' => '41','chapter_detail_id' => '4255','translator_id' => '4','verse_number' => '37','translate_name' => '«ومن آياته الليل والنهار والشمس والقمر لا تسجدوا للشمس ولا للقمر واسجدوا لله الذي خلقهن» أي الآيات الأربع «إن كنتم إياه تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22964','chapter_id' => '41','chapter_detail_id' => '4256','translator_id' => '4','verse_number' => '38','translate_name' => '«فإن استكبروا» عن السجود لله وحده «فالذين عند ربك» أي فالملائكة «يسبحون» يصلون «له بالليل والنهار وهم لا يسأمون» لا يملون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22965','chapter_id' => '41','chapter_detail_id' => '4257','translator_id' => '4','verse_number' => '39','translate_name' => '«ومن آياته أنك ترى الأرض خاشعةً» يابسة لا نبات فيها «فإذا أنزلنا عليها الماء اهتزت» تحركت «وربت» انتفخت وعلت «إن الذي أحياها لمحيي الموتى إنه على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22966','chapter_id' => '41','chapter_detail_id' => '4258','translator_id' => '4','verse_number' => '40','translate_name' => '«إن الذين يلحدون» من ألحد ولحد «في آياتنا» القرآن بالتكذيب «لا يخفون علينا» فنجازيهم «أفمن يُلقى في النار خير أم من يأتي آمناً يوم القيامة اعملوا ما شئتم إنه بما تعملون بصير» تهديد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22967','chapter_id' => '41','chapter_detail_id' => '4259','translator_id' => '4','verse_number' => '41','translate_name' => '«إن الذين كفروا بالذكر» القرآن «لما جاءهم» نجازيهم «وإنه لكتاب عزيز» منيع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22968','chapter_id' => '41','chapter_detail_id' => '4260','translator_id' => '4','verse_number' => '42','translate_name' => '«لا يأتيه الباطل من بين يديه ولا من خلفه» أي ليس قبله كتاب يكذبه ولا بعده «تنزيل من حكيم حميد» أي الله المحمود في أمره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22969','chapter_id' => '41','chapter_detail_id' => '4261','translator_id' => '4','verse_number' => '43','translate_name' => '«ما يقال لك» من التكذيب «إلا» مثل «ما قد قيل للرسل من قبلك إن ربك لذو مغفرة» للمؤمنين «وذو عقاب أليم» للكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22970','chapter_id' => '41','chapter_detail_id' => '4262','translator_id' => '4','verse_number' => '44','translate_name' => '«ولو جعلناه» أي الذكر «قراناً أعجميا لقالوا لولا» هلا «فصلت» بينت «آياته» حتى نفهمها «أ» قرآن «اعجمي و» نبي «عربي» استفهام إنكار منهم بتحقيق الهمزة الثانية وقلبها ألفا بإشباع، ودونه «قل هو للذين آمنوا هدى» من الضلالة «وشفاء» من الجهل «والذين لا يؤمنون في آذانهم وقر» ثقل فلا يسمعونه «وهو عليهم عمى» فلا يفهمونه «أولئك ينادون من مكان بعيد» أي هم كالمنادى من مكان بعيد لا يسمع ولا يفهم ما ينادى به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22971','chapter_id' => '41','chapter_detail_id' => '4263','translator_id' => '4','verse_number' => '45','translate_name' => '«ولقد آتينا موسى الكتاب» التوراة «فاختلف فيه» بالتصديق والتكذيب كالقرآن «ولولا كلمة سبقت من ربك» بتأخير الحساب والجزاء للخلائق إلى يوم القيامة «لقضي بينهم» في الدنيا فيما اختلفوا فيه «وإنهم» أي المكذبين به «لفي شك منه مريب» موقع في الريبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22972','chapter_id' => '41','chapter_detail_id' => '4264','translator_id' => '4','verse_number' => '46','translate_name' => '«من عمل صالحاً فلنفسه» عمل «ومن أساء فعليها» أي فضرر إساءته على نفسه «وما ربك بظلام للعبيد» أي بذي ظلم لقوله تعالى (إن الله لا يظلم مثقال ذرة).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22973','chapter_id' => '41','chapter_detail_id' => '4265','translator_id' => '4','verse_number' => '47','translate_name' => '«إليه يردُّ علم الساعة» متى تكون لا يعلمها غيره «وما تخرج من ثمرة» وفي قراءة ثمرات «من أكمامها» أوعيتها جمع كِم بكسر الكاف إلا بعلمه «وما تحمل من أنثى ولا تضع إلا بعلمه ويوم يناديهم أين شركائي قالوا آذناك» أعلمناك الآن «ما منا من شهيد» أي شاهد بأن لك شريكاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22974','chapter_id' => '41','chapter_detail_id' => '4266','translator_id' => '4','verse_number' => '48','translate_name' => '«وضلَّ» غاب «عنهم ما كانوا يدعون» يعبدون «من قبل» في الدنيا من الأصنام «وظنوا» أيقنوا «ما لهم من محيص» مهرب من العذاب والنفي في الموضعين معلق عن العمل وجملة النفي سدت مسد المفعولين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22975','chapter_id' => '41','chapter_detail_id' => '4267','translator_id' => '4','verse_number' => '49','translate_name' => '«لا يسأم الإنسان من دعاء الخير» أي لا يزال يسأل ربه المال والصحة وغيرهما «وإن مسه الشر» الفقر والشدة «فيؤس قنوط» من رحمة الله، وهذا وما بعده في الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22976','chapter_id' => '41','chapter_detail_id' => '4268','translator_id' => '4','verse_number' => '50','translate_name' => '«ولئن» لام قسم «أذقناه» آتيناه «رحمة» غنى وصحة «منا من بعد ضراء» شدة وبلاء «مسته ليقولن هذا لي» أي بعلمي «وما أظن الساعة قائمة ولئن» لام قسم «رجعت إلى ربي إن لي عنده للحسنى» أي الجنة «فلننبئن الذين كفروا بما عملوا ولنذيقنهم من عذاب غليظ» شديد، واللام في الفعلين لام قسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22977','chapter_id' => '41','chapter_detail_id' => '4269','translator_id' => '4','verse_number' => '51','translate_name' => '«وإذا أنعمنا على الإنسان» الجنس «أعرض» عن الشكر «وناء بجانبه» ثنى عطفه متبختراً، وفي قراءة بتقديم الهمزة «وإذا مسه الشر فذو دعاءٍ عريض» كثير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22978','chapter_id' => '41','chapter_detail_id' => '4270','translator_id' => '4','verse_number' => '52','translate_name' => '«قل أرأيتم إن كان» أي القرآن «من عند الله» كما قال النبي «ثم كفرتم به من» أي لا أحد «أضل ممن هو في شقاق» خلاف «بعيد» عن الحق أوقع هذا موقع منكم بياناً لحالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22979','chapter_id' => '41','chapter_detail_id' => '4271','translator_id' => '4','verse_number' => '53','translate_name' => '«سنريهم آياتنا في الآفاق» أقطار السماوات والأرض من النيرات والنبات والأشجار «وفي أنفسهم» من لطيف الصنعة وبديع الحكمة «حتى يتبين لهم أنه» أي القرآن «الحق» المنزل من الله بالبعث والحساب والعقاب، فيعاقبون على كفرهم به وبالجائي به «أوَلم يكف بربك» فاعل يكف «أنه على كل شيءٍ شهيد» بدل منه، أي أوَلم يكفهم في صدقك أن ربك لا يغيب عنه شيء ما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22980','chapter_id' => '41','chapter_detail_id' => '4272','translator_id' => '4','verse_number' => '54','translate_name' => '«ألا إنهم في مرية» شك «من لقاء ربهم» لإنكارهم البعث «ألا إنه» تعالى «بكل شيء محيط» علماً وقدرة فيجازيهم بكفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22981','chapter_id' => '42','chapter_detail_id' => '4273','translator_id' => '4','verse_number' => '1','translate_name' => '«حم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22982','chapter_id' => '42','chapter_detail_id' => '4274','translator_id' => '4','verse_number' => '2','translate_name' => '«عسق» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22983','chapter_id' => '42','chapter_detail_id' => '4275','translator_id' => '4','verse_number' => '3','translate_name' => '«كذلك» أي مثل ذلك الإيحاء «يوحي إليك و» أوحى «إلى الذين من قبلك الله» فاعل الإيحاء «العزيز» في ملك «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22984','chapter_id' => '42','chapter_detail_id' => '4276','translator_id' => '4','verse_number' => '4','translate_name' => '«له ما في السماوات وما في الأرض» ملكاً وخلقاً وعبيداً «وهو العلي» على خلقه «العظيم» الكبير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22985','chapter_id' => '42','chapter_detail_id' => '4277','translator_id' => '4','verse_number' => '5','translate_name' => '«تكاد» بالتاء والياء «السماوات يتفطرن» بالنون، وفي قراءة بالتاء والشديد «من فوقهن» أي تنشق كل واحدة فوق التي تليها من عظمة الله تعالى «والملائكة يسبحون بحمد ربهم» أي ملابسين للحمد «ويستغفرون لمن في الأرض» من المؤمنين «ألا إن الله هو الغفور» لأوليائه «الرحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22986','chapter_id' => '42','chapter_detail_id' => '4278','translator_id' => '4','verse_number' => '6','translate_name' => '«والذين اتخذوا من دونه» أي الأصنام «أولياء الله حفيظ» محص «عليهم» ليجازيهم «وما أنت عليهم بوكيل» تحصل المطلوب منهم، ما عليك إلا البلاغ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22987','chapter_id' => '42','chapter_detail_id' => '4279','translator_id' => '4','verse_number' => '7','translate_name' => '«وكذلك» مثل ذلك الإيحاء «أوحينا إليك قرآناً عربيا لتنذر» تخوّف «أم القرى ومن حولها» أي أهل مكة وسائر الناس «وتنذر» الناس «يوم الجمع» يوم القيامة فيه الخلائق «لا ريب» شك «فيه فريق» منهم «في الجنة وفريقٌ في السعير» النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22988','chapter_id' => '42','chapter_detail_id' => '4280','translator_id' => '4','verse_number' => '8','translate_name' => '«ولو شاء الله لجعلهم أمة واحدة» أي على دين واحد، وهو الإسلام «ولكن يدخل من يشاء في رحمته والظالمون» الكافرون «ما لهم من وليّ ولا نصير» يدفع عنهم العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22989','chapter_id' => '42','chapter_detail_id' => '4281','translator_id' => '4','verse_number' => '9','translate_name' => '«أم اتخذوا من دونه» أي الأصنام «أولياء» أم منقطعة بمعنى: بل التي للانتقال، والهمزة للإنكار أي ليس المتخذون أولياء «فالله هو الولي» أي الناصر للمؤمنين والفاء لمجرد العطف «وهو يحيي الموتى وهو على كل شيءٍ قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22990','chapter_id' => '42','chapter_detail_id' => '4282','translator_id' => '4','verse_number' => '10','translate_name' => '«وما اختلفتم» مع الكفار «فيه من شيءٍ» من الدين وغيره «فحكمه» مردود «إلى الله» يوم القيامة يفصل بينكم، قل لهم «ذلكم الله ربي عليه توكلت وإليه أنيب» أرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22991','chapter_id' => '42','chapter_detail_id' => '4283','translator_id' => '4','verse_number' => '11','translate_name' => '«فاطر السماوات والأرض» مبدعهما «جعل لكم من أنفسكم أزواجاً» حيث خلق حواء من ضلع آدم «ومن الأنعام أزواجاً» ذكوراً وإناثاً «يذرؤكم» بالمعجمة بخلقكم «فيه» في الجعل المذكور، أي يكثركم بسببه بالتوالد والضمير للأناسي والأنعام بالتغليب «ليس كمثله شيء» الكاف زائدة لأنه تعالى لا مثل له «وهو السميع» لما يقال «البصير» لما يفعل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22992','chapter_id' => '42','chapter_detail_id' => '4284','translator_id' => '4','verse_number' => '12','translate_name' => '«له مقاليد السماوات والأرض» أي مفاتيح خزائنهما من المطر والنبات وغيرهما «يبسط الرزق» يوسعه «لمن يشاء» امتحاناً «ويقدر» يضيقه لمن يشاء ابتلاءً «إنه بكل شيء عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22993','chapter_id' => '42','chapter_detail_id' => '4285','translator_id' => '4','verse_number' => '13','translate_name' => '«شرع لكم من الدين ما وصى به نوحاً» هو أول أنبياء الشريعة «والذي أوحينا إليك وما وصينا به إبراهيم وموسى وعيسى أن أقيموا الدين ولا تتفرقوا فيه» هذا هو المشروع الموصى به، والموحى إلى محمد صلى الله عليه وسلم وهو التوحيد «كبر» عظم «على المشركين ما تدعوهم إليه» من التوحيد «الله يجتبي إليه» إلى التوحيد «من يشاء ويهدي إليه من ينيب» يقبل إلى طاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22994','chapter_id' => '42','chapter_detail_id' => '4286','translator_id' => '4','verse_number' => '14','translate_name' => '«وما تفرَّقوا» أي أهل الأديان في الدين بأن وحد بعض وكفر بعض «إلا من بعد ما جاءهم العلم» بالتوحيد «بغياً» من الكافرين «بينهم ولولا كلمة سبقت من ربك» بتأخير الجزاء «إلى أجل مسمى» يوم القيامة «لقضي بينهم» بتعذيب الكافرين في الدنيا «وإن الذين أورثوا الكتاب من بعدهم» وهم اليهود والنصارى «لفي شك منه» من محمد صلى الله عليه وسلم «مريب» موقع في الريبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22995','chapter_id' => '42','chapter_detail_id' => '4287','translator_id' => '4','verse_number' => '15','translate_name' => '«فلذلك» التوحيد «فادع» يا محمد الناس «واستقم» عليه «كما أمرت ولا تتبع أهواءهم» في تركه «وقل آمنت بما أنزل الله من كتاب وأمرت لأعدل» أي بأن أعدل «بينكم» في الحكم «الله ربنا وربكم لنا أعمالنا ولكم أعمالكم» فكل يجازى بعمله «لا حجة» خصومة «بيننا وبينكم» هذا قبل أن يؤمر بالجهاد «الله يجمع بيننا» في المعاد لفصل القضاء «وإليه المصير» المرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22996','chapter_id' => '42','chapter_detail_id' => '4288','translator_id' => '4','verse_number' => '16','translate_name' => '«والذين يحاجُّون في» دين «الله» نبيه «من بعد ما استجيب له» بالإيمان لظهور معجزته وهم اليهود «حجتهم داحضة» باطلة «عند ربهم وعليهم غضب ولهم عذاب شديد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22997','chapter_id' => '42','chapter_detail_id' => '4289','translator_id' => '4','verse_number' => '17','translate_name' => '«الله الذي أنزل الكتاب» القرآن «بالحق» متعلق بأنزل «والميزان» العدل «وما يدريك» يعلمك «لعل الساعة» أي إتيانها «قريب» ولعل معلق للفعل عن العمل وما بعده سد مسد المفعولين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22998','chapter_id' => '42','chapter_detail_id' => '4290','translator_id' => '4','verse_number' => '18','translate_name' => '«يستعجل بها الذين لا يؤمنون بها» يقولون متى تأتي ظنا منهم أنها غير آتية «والذين آمنوا مشفقون» خائفون «منها ويعلمون أنها الحق ألا إن الذين يمارون» يجادلون «في الساعة لفي ضلال بعيد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '22999','chapter_id' => '42','chapter_detail_id' => '4291','translator_id' => '4','verse_number' => '19','translate_name' => '«الله لطيف بعباده» برهم وفاجرهم حيث لم يهلكهم جوعاً بمعاصيهم «يرزق من يشاء» من كل منهم ما يشاء «وهو القوي» على مراده «العزيز» الغالب على أمره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23000','chapter_id' => '42','chapter_detail_id' => '4292','translator_id' => '4','verse_number' => '20','translate_name' => '«من كان يريد» بعمله «حرث الآخرة» أي كسبها وهو الثواب «نزد له في حرثه» بالتضعيف فيه الحسنة إلى العشرة وأكثر «ومن كان يريد حرث الدنيا نؤته منها» بلا تضعيف ما قسم له «وما له في الآخرة من نصيب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23001','chapter_id' => '42','chapter_detail_id' => '4293','translator_id' => '4','verse_number' => '21','translate_name' => '«أم» بل «لهم» لكفار مكة «شركاء» هم شياطينهم «شرعوا» أي الشركاء «لهم» للكفار «من الدين» الفاسد «ما لم يأذن به الله» كالشرك وإنكار البعث «ولولا كلمة الفصل» أي القضاء السابق بأن الجزاء في يوم القيامة «لقضي بينهم» وبين المؤمنين بالتعذيب لهم في الدنيا «وإن الظالمين» الكافرين «لهم عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23002','chapter_id' => '42','chapter_detail_id' => '4294','translator_id' => '4','verse_number' => '22','translate_name' => '«ترى الظالمين» يوم القيامة «مشفقين» خائفين «مما كسبوا» في الدنيا من السيئات أن يجازوا عليها «وهو» أي الجزاء عليها «واقع بهم» يوم القيامة لا محالة «والذين آمنوا وعملوا الصالحات في روضات الجنات» أنزهها بالنسبة إلى من دونهم «لهم ما يشاءُون عند ربهم ذلك هو الفضل الكبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23003','chapter_id' => '42','chapter_detail_id' => '4295','translator_id' => '4','verse_number' => '23','translate_name' => '«ذلك الذي يَبْشُرُ» من البشارة مخففاً ومثقلاً به «الله عباده الذين آمنوا وعملوا الصالحات قل لا أسألكم عليه» على تبليغ الرسالة «أجراً إلا المودة في القربى» استثناء منقطع، أي لكن أسألكم أن تودوا قرابتي التي هي قرابتكم أيضاً فإن له في كل بطن من قريش قرابة «ومن يقترف» يكتسب «حسنة» طاعة «تزد له فيها حسناً» بتضعيفها «إن الله غفور» للذنوب «شكور» للقليل فيضاعفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23004','chapter_id' => '42','chapter_detail_id' => '4296','translator_id' => '4','verse_number' => '24','translate_name' => '«أم» بل «يقولون افترى على الله كذباً» بنسبة القرآن إلى الله تعالى «فإن يشأ الله يختم» يربط «على قلبك» بالصبر على أذاهم بهذا القول وغيره، وقد فعل «ويَمْحُ الله الباطل» الذي قالوه «ويحق الحق» يثبته «بكلماته» المنزلة على بنيه «إنه عليم بذات الصدور» بما في القلوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23005','chapter_id' => '42','chapter_detail_id' => '4297','translator_id' => '4','verse_number' => '25','translate_name' => '«وهو الذي يقبل التوبة عن عباده» منهم «ويعفو عن السيئات» المتاب عنها «ويعلم ما يفعلون» بالياء والتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23006','chapter_id' => '42','chapter_detail_id' => '4298','translator_id' => '4','verse_number' => '26','translate_name' => '«ويستجيب الذين آمنوا وعملوا الصالحات» يجيبهم إلى ما يسألون «ويزيدهم من فضله والكافرون لهم عذاب شديد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23007','chapter_id' => '42','chapter_detail_id' => '4299','translator_id' => '4','verse_number' => '27','translate_name' => '«ولو بسط الله الرزق لعباده» جميعهم «لبغوا» جميعهم أي طغوا «في الأرض ولكن ينزل» بالتخفيف وضده من الأرزاق «بقدر ما يشاء» فيبسطها لبعض عباده دون، وينشأ عن البسط البغي «إنه بعباده خبير بصير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23008','chapter_id' => '42','chapter_detail_id' => '4300','translator_id' => '4','verse_number' => '28','translate_name' => '«وهو الذي ينزل الغيث» المطر «من بعدما قنطوا» يئسوا من نزوله «وينشر رحمته» يبسط مطره «وهو الولي» المحسن للمؤمنين «الحميد» المحمود عندهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23009','chapter_id' => '42','chapter_detail_id' => '4301','translator_id' => '4','verse_number' => '29','translate_name' => '«ومن آياته خلق السماوات والأرض» خلق «ما بث» فرق ونشر «فيهما من دابة» هي ما يدب على الأرض من الناس وغيرهم «وهو على جمعهم» للحشر «إذا يشاء قدير» في الضمير تغليب العاقل على غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23010','chapter_id' => '42','chapter_detail_id' => '4302','translator_id' => '4','verse_number' => '30','translate_name' => '«وما أصابكم» خطاب للمؤمنين «من مصيبة» بلية وشدة «فبما كسبت أيديكم» أي كسبتم من الذنوب وعبر بالأيدي لأن أكثر الأفعال تزاول بها «ويعفو عن كثير» منها فلا يجازي عليه وهو تعالى أكرم من أن يثني الجزاء في الآخرة، وأما غير المذنبين فما يصيبهم في الدنيا لرفع درجاتهم في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23011','chapter_id' => '42','chapter_detail_id' => '4303','translator_id' => '4','verse_number' => '31','translate_name' => '«وما أنتم» يا مشركون «بمعجزين» الله هرباً «في الأرض» فتفوتوه «وما لكم من دون الله» أي غيره «من وليّ ولا نصير» يدفع عذابه عنكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23012','chapter_id' => '42','chapter_detail_id' => '4304','translator_id' => '4','verse_number' => '32','translate_name' => '«ومن آياته الجوار» السفن «في البحر كالأعلام» كالجبال في العظم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23013','chapter_id' => '42','chapter_detail_id' => '4305','translator_id' => '4','verse_number' => '33','translate_name' => '«إن يشأ يسكن الريح فيظللن» يصرن «رواكد» ثوابت لا تجري «على ظهره إن في ذلك لآيات لكل صبَّار شكور» هو المؤمن يصبر في الشدة ويشكر في الرخاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23014','chapter_id' => '42','chapter_detail_id' => '4306','translator_id' => '4','verse_number' => '34','translate_name' => 'أو يوبقهنَّ» عطف على يسكن أي يغرقهن بعصف الريح بأهلهن «بما كسبوا» أي أهلهن من الذنوب «ويعف عن كثير» منها فلا يغرق أهله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23015','chapter_id' => '42','chapter_detail_id' => '4307','translator_id' => '4','verse_number' => '35','translate_name' => '«ويعلمُ» بالرفع مستأنف وبالنصب معطوف على تعليل مقدر، أي يغرقهم لينتقم منهم، ويعلم «الذين يجادلون في آياتنا ما لهم من محيص» مهرب من العذاب، وجملة النفي سدت مسد مفعولي يعلم، والنفي معلق عن العمل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23016','chapter_id' => '42','chapter_detail_id' => '4308','translator_id' => '4','verse_number' => '36','translate_name' => '«فما أوتيتم» خطاب للمؤمنين وغيرهم «من شيءٍ» من أثاث الدنيا «فمتاع الحياة الدنيا» يتمتع به فيها ثم يزول «وما عند الله» من الثواب «خير وأبقى للذين آمنوا وعلى ربهم يتوكلون» ويعطف عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23017','chapter_id' => '42','chapter_detail_id' => '4309','translator_id' => '4','verse_number' => '37','translate_name' => '«والذين يجتنبون كبائر الإثم والفواحش» موجبات الحدود من عطف البعض على الكل «وإذا ما غضبوا هم يغفرون» يتجاوزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23018','chapter_id' => '42','chapter_detail_id' => '4310','translator_id' => '4','verse_number' => '38','translate_name' => '«والذين استجابوا لربهم» أجابوه إلى ما دعاهم إليه عن التوحيد والعبادة «وأقاموا الصلاة» أداموها «وأمرهم» الذي يبدو لهم «شورى بينهم» يتشاورون فيه ولا يعجلون «ومما رزقناهم» أعطيناهم «ينفقون» في طاعة الله، ومن ذُكر صنف:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23019','chapter_id' => '42','chapter_detail_id' => '4311','translator_id' => '4','verse_number' => '39','translate_name' => '«والذين إذا أصابهم البغي» الظلم «هم ينتصرون» صنف، أي ينتقمون ممن ظلمهم بمثل ظلمه، كما قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23020','chapter_id' => '42','chapter_detail_id' => '4312','translator_id' => '4','verse_number' => '40','translate_name' => '«وجزاءُ سيئة سيئة مثلها» سميت الثانية سيئة لمشابهتها للأولى في الصورة، وهذا ظاهر فيما يقتص فيه من الجراحات، قال بعضهم: وإذا قال له أخزاك الله، فيجيبه أخزاك الله «فمن عفا» عن ظالمه «وأصلح» الود بينه وبين المعفو عنه «فأجره على الله» أي إن الله يأجره لا محالة «إنه لا يحب الظالمين» أي البادئين بالظلم فيترتب عليهم عقابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23021','chapter_id' => '42','chapter_detail_id' => '4313','translator_id' => '4','verse_number' => '41','translate_name' => '«ولمن انتصر بعد ظلمه» أي ظلم الظالم إياه «فأولئك ما عليهم من سبيل» مؤاخذة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23022','chapter_id' => '42','chapter_detail_id' => '4314','translator_id' => '4','verse_number' => '42','translate_name' => '«إنما السبيل على الذين يظلمون الناس ويبغون» يعملون «في الأرض بغير الحق» بالمعاصي «أولئك لهم عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23023','chapter_id' => '42','chapter_detail_id' => '4315','translator_id' => '4','verse_number' => '43','translate_name' => '«ولمن صبر» فلم ينتصر «وغفر» تجاوز «إن ذلك» الصبر والتجاوز «لمن عزم الأمور» أي معزوماتها، بمعنى المطلوبات شرعاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23024','chapter_id' => '42','chapter_detail_id' => '4316','translator_id' => '4','verse_number' => '44','translate_name' => '«ومن يضلل الله فما له من ولي من بعده» أي أحد يلي هدايته بعد إضلال الله إياه «وترى الظالمين لما رأوا العذاب يقولون هل إلى مَرَدّ» إلى الدنيا «من سبيل» طريق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23025','chapter_id' => '42','chapter_detail_id' => '4317','translator_id' => '4','verse_number' => '45','translate_name' => '«وتراهم يعرضون عليها» أي النار «خاشعين» خائفين متواضعين «من الذل ينظرون» إليها «من طرف خفيّ» ضعيف النظر مسارقه، ومن ابتدائية، أو بمعنى الباء «وقال الذين آمنوا إن الخاسرين الذين خسروا أنفسهم وأهليهم يوم القيامة» بتخليدهم في النار وعدم وصولهم إلى الحور المعدة لهم في الجنة لو آمنوا، والموصول خبر إن «ألا إن الظالمين» الكافرين «في عذاب مقيم» دائم هو من مفعول الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23026','chapter_id' => '42','chapter_detail_id' => '4318','translator_id' => '4','verse_number' => '46','translate_name' => '«وما كان لهم من أولياء ينصرونهم من دون الله» أي غيره يدفع عذابه عنهم «ومن يضلل الله فما له من سبيل» طريق إلى الحق في الدنيا وإلى الجنة في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23027','chapter_id' => '42','chapter_detail_id' => '4319','translator_id' => '4','verse_number' => '47','translate_name' => '«استجيبوا لربكم» أجيبوه بالتوحيد والعبادة «من قبل أن يأتي يوم» هو يوم القيامة «لا مرد له من الله» أي أنه إذا أتى به لا يرده «ما لكم من ملجأ» تلجؤون إليه «يومئذ وما لكم من نكير» إنكار لذنوبكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23028','chapter_id' => '42','chapter_detail_id' => '4320','translator_id' => '4','verse_number' => '48','translate_name' => '«فإن أعرضوا» عن الإجابة «فما أرسلناك عليهم حفيظاً» تحفظ أعمالهم بأن توافق المطلوب منهم «إن» ما «عليك إلا البلاغ» وهذا قبل الأمر بالجهاد «وإنا إذا أذقنا الإنسان منا رحمة» نعمة كالغنى والصحة «فرح وإن تصبهم» الضمير فلإنسان باعتبار الجنس «سيئة» بلاء «بما قدمت أيديهم» أي قدموه وعبر بالأيدي لأن أكثر الأفعال تزاول بها «فإن الإنسان كفور» للنعمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23029','chapter_id' => '42','chapter_detail_id' => '4321','translator_id' => '4','verse_number' => '49','translate_name' => '«لله ملك السماوات والأرض يخلق ما يشاء يهب لمن يشاء» من الأولاد «إناثاً ويهب لمن يشاء الذكور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23030','chapter_id' => '42','chapter_detail_id' => '4322','translator_id' => '4','verse_number' => '50','translate_name' => '«أو يزوجهم» أي يجعلهم «ذكراناً وإناثاً ويجعل من يشاء عقيماً» فلا يلد ولا يولد له «إنه عليم» بما يخلق «قدير» على ما يشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23031','chapter_id' => '42','chapter_detail_id' => '4323','translator_id' => '4','verse_number' => '51','translate_name' => '«وما كان لبشر أن يكلمه الله إلا» أن يوحي إليه «وحياً» في المنام أو بإلهام «أو» إلا «من وراء حجاب» بأن يسمعه كلامه ولا يراه كما وقع لموسى عليه السلام «أو» إلا أن «يرسل رسولاً» ملكاً كجبريل «فيوحي» الرسول إلى المرسل إليه أي يكلمه «بإذنه» أي الله «ما يشاء» الله «إنه عليّ» عن صفات المحدثين «حكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23032','chapter_id' => '42','chapter_detail_id' => '4324','translator_id' => '4','verse_number' => '52','translate_name' => '«وكذلك» أي مثل إيحائنا إلى غيرك من الرسل «أوحينا إليك» يا محمد «روحاً» هو القرآن به تحيا القلوب «من أمرنا» الذي نوحيه إليك «ما كنت تدري» تعرف قبل الوحي إليك «ما الكتاب» القرآن «ولا الإيمان» أي شرائعه ومعالمه والنفي معلق للفعل عن العمل وما بعده سد مسد المفعولين «ولكن جعلناه» أي الروح أو الكتاب «نوراً نهدي به من نشاء من عبادنا وإنك لتهدي» تدعو بالوحي إليك «إلى صراط» طريق «مستقيم» دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23033','chapter_id' => '42','chapter_detail_id' => '4325','translator_id' => '4','verse_number' => '53','translate_name' => '«صراط الله الذي له ما في السماوات وما في الأرض» ملكاً وخلقاً وعبيداً «ألا إلى الله تصير الأمور» ترجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23034','chapter_id' => '43','chapter_detail_id' => '4326','translator_id' => '4','verse_number' => '1','translate_name' => '«حم» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23035','chapter_id' => '43','chapter_detail_id' => '4327','translator_id' => '4','verse_number' => '2','translate_name' => '«والكتاب» القرآن «المبين» المظهر طريق الهدى وما يحتاج إليه من الشريعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23036','chapter_id' => '43','chapter_detail_id' => '4328','translator_id' => '4','verse_number' => '3','translate_name' => '«إنا جعلناه» أوجدنا الكتاب «قرآنا عربيا» بلغة العرب «لعلكم» يا أهل مكة «تعقلون» تفهمون معانيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23037','chapter_id' => '43','chapter_detail_id' => '4329','translator_id' => '4','verse_number' => '4','translate_name' => '«وإنه» مثبت «في أم الكتاب» أصل الكتب أي اللوح المحفوظ «لدينا» بدل: عندنا «لعلي» على الكتب قبله «حكيم» ذو حكمة بالغة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23038','chapter_id' => '43','chapter_detail_id' => '4330','translator_id' => '4','verse_number' => '5','translate_name' => '«أفنضرب» نمسك «عنكم الذكر» القرآن «صفحاً» إمساكاً فلا تؤمرون ولا تنهون لأجل «أن كنتم قوماً مسرفين» مشركين لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23039','chapter_id' => '43','chapter_detail_id' => '4331','translator_id' => '4','verse_number' => '6','translate_name' => '«وكم أرسلنا من نبي في الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23040','chapter_id' => '43','chapter_detail_id' => '4332','translator_id' => '4','verse_number' => '7','translate_name' => '«وما» كان «يأتيهم» أتاهم «من نبي إلا كانوا به يستهزئون» كاستهزاء قومك بك وهذا تسلية له صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23041','chapter_id' => '43','chapter_detail_id' => '4333','translator_id' => '4','verse_number' => '8','translate_name' => '«فأهلكنا أشد منهم» من قومك «بطشاً» قوة «ومضى» سبق في آيات «مثل الأولين» صفتهم في الإهلاك فعاقبة قومك كذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23042','chapter_id' => '43','chapter_detail_id' => '4334','translator_id' => '4','verse_number' => '9','translate_name' => '«ولئن» لام قسم «سألتهم من خلق السماوات والأرض ليقولنَّ» حذف منه نون الرفع لتوالي النونات وواو الضمير لالتقاء الساكنين «خلقهن العزيز العليم» آخر جوابهم أي الله ذو العزة والعلم، زاد تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23043','chapter_id' => '43','chapter_detail_id' => '4335','translator_id' => '4','verse_number' => '10','translate_name' => '«الذي جعل لكم الأرض مهادا» فراشاً كالمهد للصبي «وجعل لكم فيها سبلا» طرقاً «لعلكم تهتدون» إلى مقاصدكم في أسفاركم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23044','chapter_id' => '43','chapter_detail_id' => '4336','translator_id' => '4','verse_number' => '11','translate_name' => '«والذي نزل من السماء ماءً بقدر» أي بقدر حاجتكم إليه ولم ينزله طوفاناً «فأنشرنا» أحيينا «به بلدة ميتا كذلك» أي مثل هذا الإحياء «تخرجون» من قبوركم أحياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23045','chapter_id' => '43','chapter_detail_id' => '4337','translator_id' => '4','verse_number' => '12','translate_name' => '«والذي خلق الأزواج كلها وجعل لكم من الفلك» السفن «والأنعام» كالإبل «ما تركبون» حذف العائد اختصاراً، وهو مجرور في الأول، أي فيه منصوب في الثاني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23046','chapter_id' => '43','chapter_detail_id' => '4338','translator_id' => '4','verse_number' => '13','translate_name' => '«لتستووا» لتستقروا «على ظهوره» ذكر الضمير وجمع الظهر نظراً للفظ ما ومعناها «ثم تذكروا نعمة ربكم إذا استويتم عليه وتقولوا سبحان الذي سخر لنا هذا وما كنا له مقرنين» مطيقين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23047','chapter_id' => '43','chapter_detail_id' => '4339','translator_id' => '4','verse_number' => '14','translate_name' => '«وإنا إلى ربنا لمنقلبون» لمنصرفون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23048','chapter_id' => '43','chapter_detail_id' => '4340','translator_id' => '4','verse_number' => '15','translate_name' => '«وجعلوا له من عباده جزءاً» حيث قالوا والملائكة بنات الله لأن الولد جزء من الوالد والملائكة من عباده تعالى «إن الإنسان» القائل ما تقدم «لكفور مبين» بين ظاهر الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23049','chapter_id' => '43','chapter_detail_id' => '4341','translator_id' => '4','verse_number' => '16','translate_name' => '«أم» بمعنى همزة الإنكار والقول مقدر، أي أتقولون «اتخذ مما يخلق بنات» لنفسه «وأصفاكم» أخلصكم «بالبنين» اللازم من قولكم السابق فهو من جملة المنكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23050','chapter_id' => '43','chapter_detail_id' => '4342','translator_id' => '4','verse_number' => '17','translate_name' => '«وإذا بشر أحدهم بما ضرب للرحمن مثلا» جعل له شبهاً بنسبة البنات إليه لأن الولد يشبه الوالد، المعنى إذا أخبر أحدهم بالبنت تولد له «ظل» صار «وجهه مسودا» متغيراً تغير مغتم «وهو كظيم» ممتلئ غما فكيف ينسب البنات إليه؟ تعالى عن ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23051','chapter_id' => '43','chapter_detail_id' => '4343','translator_id' => '4','verse_number' => '18','translate_name' => '«أو» همزة الإنكار وواو العطف بجملة، أي يجعلون لله «من يُنشأ في الحلية» الزينة «وهو في الخصام غير مبين» مظهر الحجة لضعفه عنها بالأنوثة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23052','chapter_id' => '43','chapter_detail_id' => '4344','translator_id' => '4','verse_number' => '19','translate_name' => '«وجعلوا الملائكة الذين هم عباد الرحمن إناثا أشهدوا» حضروا «خلقهم ستكتب شهادتهم» بأنهم إناث «ويسألون» عنها في الآخرة فيترتب عليهم العقاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23053','chapter_id' => '43','chapter_detail_id' => '4345','translator_id' => '4','verse_number' => '20','translate_name' => '«وقالوا لو شاء الرحمن ما عبدناهم» أي الملائكة فعبادتنا إياهم بمشيئته فهو راض بها قال تعالى: «ما لهم بذلك» المقول من الرضا بعبادتها «من علم إن» ما «هم إلا يخرصون» يكذبون فيه فيترتب عليهم العقاب به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23054','chapter_id' => '43','chapter_detail_id' => '4346','translator_id' => '4','verse_number' => '21','translate_name' => '«أم آتيناهم كتاباً من قبله» أي القرآن بعبادة غير الله «فهم مستمسكون» أي لم يقع ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23055','chapter_id' => '43','chapter_detail_id' => '4347','translator_id' => '4','verse_number' => '22','translate_name' => '«بل قالوا إنا وجدنا آباءنا على أمة» ملة «وإنا» «على آثارهم مهتدون» بهم وكانوا يعبدون غير الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23056','chapter_id' => '43','chapter_detail_id' => '4348','translator_id' => '4','verse_number' => '23','translate_name' => '«وكذلك ما أرسلنا من قبلك في قرية من نذير إلا قال مترفوها» منعموها مثل قول قومك «إنا وجدنا آباءنا على أمة» ملة «وإنا على آثارهم مقتدون» متبعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23057','chapter_id' => '43','chapter_detail_id' => '4349','translator_id' => '4','verse_number' => '24','translate_name' => '«قل» لهم «أ» تتبعون ذلك «ولو جئتكم بأهدى مما وجدتم عليه آباءكم قالوا إنا بما أرسلتم به» أنت ومن قبلك «كافرون» قال تعالى تخويفاً لهم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23058','chapter_id' => '43','chapter_detail_id' => '4350','translator_id' => '4','verse_number' => '25','translate_name' => '«فانتقمنا منهم» أي من المكذبين للرسل قبلك «فانظر كيف كان عاقبة المكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23059','chapter_id' => '43','chapter_detail_id' => '4351','translator_id' => '4','verse_number' => '26','translate_name' => '«و» اذكر «قال إبراهيم لأبيه وقومه إنني بَرَاء» أي بريء «مما تعبدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23060','chapter_id' => '43','chapter_detail_id' => '4352','translator_id' => '4','verse_number' => '27','translate_name' => '«إلا الذي فطرني» خلقني «فإنه سيهدين» يرشدني لدينه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23061','chapter_id' => '43','chapter_detail_id' => '4353','translator_id' => '4','verse_number' => '28','translate_name' => '(وجعلها) أي كلمة التوحيد المفهومة من قوله "" إني ذاهب إلى ربي سيهدين "" (كلمة باقية في عقبه) ذريته فلا يزال فيهم من يوحد الله (لعلهم) أي أهل مكة (يرجعون) عما هم عليه إلى دين إبراهيم أبيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23062','chapter_id' => '43','chapter_detail_id' => '4354','translator_id' => '4','verse_number' => '29','translate_name' => '«بل متعت هؤلاء» المشركين «وآباءهم» ولم أعاجلهم بالعقوبة «حتى جاءهم الحق» القرآن «ورسول مبين» مظهر لهم الأحكام الشرعية، وهو محمد صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23063','chapter_id' => '43','chapter_detail_id' => '4355','translator_id' => '4','verse_number' => '30','translate_name' => '«ولما جاءهم الحق» القرآن «قالوا هذا سحر وإنا به كافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23064','chapter_id' => '43','chapter_detail_id' => '4356','translator_id' => '4','verse_number' => '31','translate_name' => '«وقالوا لولا» هلا «نزل هذا القرآن على رجل من» أهل «القريتين» من أية منهما «عظيم» أي الوليد بن المغيرة بمكة أو عروة بن مسعود الثقفي بالطائف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23065','chapter_id' => '43','chapter_detail_id' => '4357','translator_id' => '4','verse_number' => '32','translate_name' => '«أهم يقسمون رحمة ربك» النبوة «نحن قسمنا بينهم معيشتهم في الحياة الدنيا» فجعلنا بعضهم غنيا وبعضهم فقيراً «ورفعنا بعضهم» بالغنى «فوق بعض درجات ليتخذ بعضهم» الغني «بعضاً» الفقير «سخريا» مسخراً في العمل له بالأجرة، والياء للنسب، وقرئ بكسر السين «ورحمة ربك» أي الجنة «خير مما يجمعون» في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23066','chapter_id' => '43','chapter_detail_id' => '4358','translator_id' => '4','verse_number' => '33','translate_name' => '«ولولا أن يكون الناس أمة واحدة» على الكفر «لجعلنا لمن يكفر بالرحمن لبيوتهم» بدل من لمن «سَقْفاً» بفتح السين وسكون القاف وبضمهما جمعاً «من فضة ومعارج» كالدرج من فضة «عليها يظهرون» يعلون إلى السطح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23067','chapter_id' => '43','chapter_detail_id' => '4359','translator_id' => '4','verse_number' => '34','translate_name' => '«ولبيوتهم أبواباً» من فضة «و» جعلنا لهم «سرراً» من فضة جمع سرير «عليها يتكئون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23068','chapter_id' => '43','chapter_detail_id' => '4360','translator_id' => '4','verse_number' => '35','translate_name' => '«وزخرفاً» ذهباً، المعنى لولا خوف الكفر على المؤمن من إعطاء الكافر ما ذكر لأعطيناه ذلك لقلة خطر الدنيا عندنا وعدم حظه في الآخرة في النعيم «وإن» مخففة من الثقيلة «كل ذلك لما» بالتخفيف فما زائدة، وبالتشديد بمعنى إلا فإن نافية «متاع الحياة الدنيا» يتمتع به فيها ثم يزول «والآخرة» الجنة «عند ربك للمتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23069','chapter_id' => '43','chapter_detail_id' => '4361','translator_id' => '4','verse_number' => '36','translate_name' => '«ومن يعش» يعرض «عن ذكر الرحمن» أي القرآن «نقيض» نسبب «له شيطاناً فهو له قرين» لا يفارقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23070','chapter_id' => '43','chapter_detail_id' => '4362','translator_id' => '4','verse_number' => '37','translate_name' => '«وإنهم» أي الشياطين «ليصدونهم» أي العاشين «عن السبيل» أي طرق الهدى «ويحسبون أنهم مهتدون» في الجمع رعاية معنى من.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23071','chapter_id' => '43','chapter_detail_id' => '4363','translator_id' => '4','verse_number' => '38','translate_name' => '«حتى إذا جاءنا» العاشي بقرينه يوم القيامة «قال» له «يا» للتنبيه «ليت بيني وبينك بعد المشرقين» أي مثل بعد ما بين المشرق والمغرب «فبئس القرين» أنت لي، قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23072','chapter_id' => '43','chapter_detail_id' => '4364','translator_id' => '4','verse_number' => '39','translate_name' => '«ولن ينفعكم» أي العاشين تمنيكم وندمك «اليوم إذ ظلمتم» أي تبين لكم ظلمكم بالإشراك في الدنيا «أنكم» مع قرنائكم «في العذاب مشتركون» علة بتقدير اللام لعدم النفع وإذ بدل من اليوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23073','chapter_id' => '43','chapter_detail_id' => '4365','translator_id' => '4','verse_number' => '40','translate_name' => '«أفأنت تسمع الصم أو تهدي العمي ومن كان في ضلال مبين» بيّن، أي فهم لا يؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23074','chapter_id' => '43','chapter_detail_id' => '4366','translator_id' => '4','verse_number' => '41','translate_name' => '«فإما» في إدغام نون إن الشرطية في ما الزائدة «نذهبن بك» بأن نميتك قبل تعذيبهم «فإنا منهم منتقمون» في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23075','chapter_id' => '43','chapter_detail_id' => '4367','translator_id' => '4','verse_number' => '42','translate_name' => '«أو نرينك» في حياتك «الذي وعدناهم» به من العذاب «فإنا عليهم» على عذابهم «مقتدرون» قادرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23076','chapter_id' => '43','chapter_detail_id' => '4368','translator_id' => '4','verse_number' => '43','translate_name' => '«فاستمسك بالذي أوحي إليك» أي القرآن «إنك على صراط» طريق «مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23077','chapter_id' => '43','chapter_detail_id' => '4369','translator_id' => '4','verse_number' => '44','translate_name' => '«وإنه لذكر» لشرف «لك ولقومك» لنزوله بلغتهم «وسوف تُسألون» عن القيام بحقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23078','chapter_id' => '43','chapter_detail_id' => '4370','translator_id' => '4','verse_number' => '45','translate_name' => '«واسأل من أرسلنا من قبلك من رسلنا أجعلنا من دون الرحمن» أي غيره «آلهة يعبدون» قيل هو على ظاهره بأن جمع له الرسل ليلة الإسراء، وقيل المراد أمم من أي أهل الكتابين، ولم يسأل على واحد من القولين لأن المراد من الأمر بالسؤال التقرير لمشركي قريش أنه لم يأت رسول من الله ولا كتاب بعبادة غير الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23079','chapter_id' => '43','chapter_detail_id' => '4371','translator_id' => '4','verse_number' => '46','translate_name' => '«ولقد أرسلنا موسى بآياتنا إلى فرعون وملئه» أي القبط «فقال إني رسول رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23080','chapter_id' => '43','chapter_detail_id' => '4372','translator_id' => '4','verse_number' => '47','translate_name' => '«فلما جاءهم بآياتنا» الدالة على رسالته «إذا هم منها يضحكون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23081','chapter_id' => '43','chapter_detail_id' => '4373','translator_id' => '4','verse_number' => '48','translate_name' => '«وما نريهم من آية» من آيات العذاب كالطوفان، وهو ماء دخل بيوتهم ووصل إلى حلوق الجالسين سبعة أيام، والجراد «إلا هي أكبر من أختها» قرينتها التي قبلها «وأخذناهم بالعذاب لعلهم يرجعون» عن الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23082','chapter_id' => '43','chapter_detail_id' => '4374','translator_id' => '4','verse_number' => '49','translate_name' => '«وقالوا» لموسى لما رأوا العذاب «يا أيها الساحر» أي العالم الكامل لأن السحر عندهم علم عظيم «ادع لنا ربك بما عهد عندك» عن كشف العذاب عنا إن آمنا «إننا لمهتدون» أي مؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23083','chapter_id' => '43','chapter_detail_id' => '4375','translator_id' => '4','verse_number' => '50','translate_name' => '«فلما كشفنا» بدعاء موسى «عنهم العذاب إذا هم ينكثون» ينقضون عهدهم ويصرون على كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23084','chapter_id' => '43','chapter_detail_id' => '4376','translator_id' => '4','verse_number' => '51','translate_name' => '«ونادى فرعون» افتخاراً «في قومه قال يا قوم أليس لي ملك مصر وهذه الأنهار» من النيل «تجري من تحتي» أي تحت قصوري «أفلا تبصرون» عظمتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23085','chapter_id' => '43','chapter_detail_id' => '4377','translator_id' => '4','verse_number' => '52','translate_name' => '«أم» تبصرون، وحينئذ «أنا خير من هذا» أي موسى «الذي هو مهين» ضعيف حقير «و يكاد يُبين» يظهر كلامه للثغته بالجمرة التي تناولها في صغره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23086','chapter_id' => '43','chapter_detail_id' => '4378','translator_id' => '4','verse_number' => '53','translate_name' => '«فلولا» هلا «ألقي عليه» إن كان صادقاً «أسورة من ذهب» جمع أسورة كأغربة جمع سوار كعادتهم فيمن يسودونه أن يلبسوه أسورة ذهب ويطوقونه طوق ذهب «أو جاء معه الملائكة مقترنين» متتابعين يشهدون بصدقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23087','chapter_id' => '43','chapter_detail_id' => '4379','translator_id' => '4','verse_number' => '54','translate_name' => '«فاستخف» استفز فرعون «قومه فأطاعوه» فيما يريد من تكذيب موسى «إنهم كانوا قوماً فاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23088','chapter_id' => '43','chapter_detail_id' => '4380','translator_id' => '4','verse_number' => '55','translate_name' => '«فلما آسفونا» أغضبونا «انتقمنا منهم فأغرقناهم أجمعين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23089','chapter_id' => '43','chapter_detail_id' => '4381','translator_id' => '4','verse_number' => '56','translate_name' => '«فجعلناهم سلفاً» جمع سالف كخادم وخدم أي سابقين غيره «ومثلا للآخرين» بعدهم يتمثلون بحالهم فلا يقدمون على مثل أفعالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23090','chapter_id' => '43','chapter_detail_id' => '4382','translator_id' => '4','verse_number' => '57','translate_name' => '(ولما ضرب) جعل (ابن مريم مثلا) حين نزل قوله تعالى "" إنكم وما تعبدون من دون الله حصب جهنم "" فقال المشركون: رضينا أن تكون آلهتنا مع عيسى لأنه عبد من دون الله (إذا قومك) أي المشركون (منه) من المثل (يصدون) يضحكون فرحاً بما سمعوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23091','chapter_id' => '43','chapter_detail_id' => '4383','translator_id' => '4','verse_number' => '58','translate_name' => '«وقالوا أألهتنا خير أم هو» أي عيسى فنرضى أن تكون آلهتنا معه «ما ضربوه» أي المثل «لك إلا جدلا» خصومة بالباطل لعلمهم أن ما لغير العاقل فلا يتناول عيسى عليه السلام «بل هم قوم خصمون» شديدو الخصومة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23092','chapter_id' => '43','chapter_detail_id' => '4384','translator_id' => '4','verse_number' => '59','translate_name' => '«إن» ما «هو» عيسى «إلا عبد أنعمنا عليه» بالنبوة «وجعلناه» بوجوده من غير أب «مثلا لبني إسرائيل» أي كالمثل لغرابته يستدل به على قدرة الله تعالى على ما يشاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23093','chapter_id' => '43','chapter_detail_id' => '4385','translator_id' => '4','verse_number' => '60','translate_name' => '«ولو نشاء لجعلنا منكم» بدلكم «ملائكة في الأرض يخلفون» بأن نهلككم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23094','chapter_id' => '43','chapter_detail_id' => '4386','translator_id' => '4','verse_number' => '61','translate_name' => '«وإنه» أي عيسى «لعلم للساعة» تعلم بنزوله «فلا تمترن بها» أي تشكن فيها، حذف منه نون الرفع للجزم، وواو الضمير لالتقاء الساكنين «و» قل لهم «اتبعون» على التوحيد «هذا» الذي آمركم به «صراط» طريق «مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23095','chapter_id' => '43','chapter_detail_id' => '4387','translator_id' => '4','verse_number' => '62','translate_name' => '«ولا يصدنكم» يصرفنكم عن دين الله «الشيطان إنه لكم عدو مبين» بيِّن العداوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23096','chapter_id' => '43','chapter_detail_id' => '4388','translator_id' => '4','verse_number' => '63','translate_name' => '«ولما جاء عيسى بالبينات» بالمعجزات والشرائع «قال قد جئتكم بالحكمة» بالنبوة وشرائع الإنجيل «ولأبيِّن لكم بعض الذي تختلفون فيه» من أحكام التوراة من أمر الدين وغيره فبيَّن لهم أمر الدين «فاتقوا الله وأطيعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23097','chapter_id' => '43','chapter_detail_id' => '4389','translator_id' => '4','verse_number' => '64','translate_name' => '«إن الله هو ربي وربكم فاعبدوه هذا صراط» طريق «مستقيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23098','chapter_id' => '43','chapter_detail_id' => '4390','translator_id' => '4','verse_number' => '65','translate_name' => '«فاختلف الأحزاب من بينهم» في عيسى أهو الله أو ابن الله أو ثالث ثلاثة «فويلٌ» كلمة عذاب «للذين ظلموا» كفروا بما قالوه في عيسى «من عذاب يوم أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23099','chapter_id' => '43','chapter_detail_id' => '4391','translator_id' => '4','verse_number' => '66','translate_name' => '«هل ينظرون» أي كفار مكة، أي ما ينتظرون «إلا الساعة أن تأتيهم» بدل من الساعة «بغتةً» فجأة «وهم لا يشعرون» بوقت مجيئها قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23100','chapter_id' => '43','chapter_detail_id' => '4392','translator_id' => '4','verse_number' => '67','translate_name' => '«الأخلاءُ» على المعصية في الدنيا «يومئذ» يوم القيامة متعلق بقوله «بعضهم لبعض عدو إلا المتقين» المتحابين في الله على طاعته فإنهم أصدقاء ويقال لهم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23101','chapter_id' => '43','chapter_detail_id' => '4393','translator_id' => '4','verse_number' => '68','translate_name' => '«يا عبادِ لا خوف عليكم اليوم ولا أنتم تحزنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23102','chapter_id' => '43','chapter_detail_id' => '4394','translator_id' => '4','verse_number' => '69','translate_name' => '«الذين آمنوا» نعت لعبادي «بآياتنا» القرآن «وكانوا مسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23103','chapter_id' => '43','chapter_detail_id' => '4395','translator_id' => '4','verse_number' => '70','translate_name' => '«ادخلوا الجنة أنتم» مبتدأ «وأزواجكم» زوجاتكم «تحبرون» تسرون وتكرمون، خبر المبتدأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23104','chapter_id' => '43','chapter_detail_id' => '4396','translator_id' => '4','verse_number' => '71','translate_name' => '«يطاف عليهم بصحاف» بقصاع «من ذهب وأكواب» جمع كوب وهو إناء لا عروة له ليشرب الشارب من حيث شاء «وفيها ما تشتهيه الأنفس» تلذذاً «وتلذ الأعين» نظراً «وأنتم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23105','chapter_id' => '43','chapter_detail_id' => '4397','translator_id' => '4','verse_number' => '72','translate_name' => '«وتلك الجنة التي أورثتموها بما كنتم تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23106','chapter_id' => '43','chapter_detail_id' => '4398','translator_id' => '4','verse_number' => '73','translate_name' => '«لكم فيها فاكهة كثيرة منها» أي بعضها «تأكلون» وكل ما يؤكل يخلف بدله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23107','chapter_id' => '43','chapter_detail_id' => '4399','translator_id' => '4','verse_number' => '74','translate_name' => '«إن المجرمين في عذاب جهنم خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23108','chapter_id' => '43','chapter_detail_id' => '4400','translator_id' => '4','verse_number' => '75','translate_name' => '«لا يُفَتَّرُ» يخفف «عنهم وهم فيه مبلسون» ساكتون سكوت يأس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23109','chapter_id' => '43','chapter_detail_id' => '4401','translator_id' => '4','verse_number' => '76','translate_name' => '«وما ظلمناهم ولكن كانوا هم الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23110','chapter_id' => '43','chapter_detail_id' => '4402','translator_id' => '4','verse_number' => '77','translate_name' => '«ونادوا يا مالك» هو خازن النار «ليقض علينا ربك» ليمتنا «قال» بعد ألف سنة «إنكم ماكثون» مقيمون في العذاب دائماً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23111','chapter_id' => '43','chapter_detail_id' => '4403','translator_id' => '4','verse_number' => '78','translate_name' => 'قال تعالى: «لقد جئناكم» أي أهل مكة «بالحق» على لسان الرسول «ولكن أكثركم للحق كارهون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23112','chapter_id' => '43','chapter_detail_id' => '4404','translator_id' => '4','verse_number' => '79','translate_name' => '«أم أبرموا» أي كفار مكة: أحكموا «أمراً» في كيد محمد النبي «فإنا مبرمون» محكمون كيدنا في إهلاكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23113','chapter_id' => '43','chapter_detail_id' => '4405','translator_id' => '4','verse_number' => '80','translate_name' => '«أم يحسبون أنا لا نسمع سرهم ونجواهم» ما يسرون إلى غيرهم وما يجهرون به بينهم «بلى» نسمع ذلك «ورسلنا» الحفظة «لديهم» عندهم «يكتبون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23114','chapter_id' => '43','chapter_detail_id' => '4406','translator_id' => '4','verse_number' => '81','translate_name' => 'قل إن كان للرحمن ولد» فرضاً «فأنا أول العابدين» للولد لكن ثبت أن لا ولد له تعالى فانتفت عبادته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23115','chapter_id' => '43','chapter_detail_id' => '4407','translator_id' => '4','verse_number' => '82','translate_name' => '«سبحان رب السماوات والأرض رب العرش» الكرسي «عما يصفون» يقولون من الكذب بنسبة الولد إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23116','chapter_id' => '43','chapter_detail_id' => '4408','translator_id' => '4','verse_number' => '83','translate_name' => '«فذرهم يخوضوا» في باطلهم «ويلعبوا» في دنياهم «حتى يلاقوا يومهم الذي يوعدون» فيه العذاب وهو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23117','chapter_id' => '43','chapter_detail_id' => '4409','translator_id' => '4','verse_number' => '84','translate_name' => '«وهو الذي» هو «في السماء إله» بتحقيق الهمزتين وإسقاط الأولى وتسهيلها كالياء، أي معبود «وفي الأرض إله» وكل من الظرفين متعلق بما بعده «وهو الحكيم» في تدبير خلقه «العليم» بمصالحهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23118','chapter_id' => '43','chapter_detail_id' => '4410','translator_id' => '4','verse_number' => '85','translate_name' => '«وتبارك» تعظم «الذي له ملك السموات والأرض وما بينهما وعنده علم الساعة» متى تقوم «وإليه يرجعون» بالياء والتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23119','chapter_id' => '43','chapter_detail_id' => '4411','translator_id' => '4','verse_number' => '86','translate_name' => '«ولا يملك الذين يدعون» يعبدون، أي الكفار «من دونه» أي من دون الله «الشفاعة» لأحد «إلا من شهد بالحق» أي قال: لا إله إلا الله «وهم يعلمون» بقلوبهم ما شهدوا به بألسنتهم، وهم عيسى وعزير والملائكة فإنهم يشفعون للمؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23120','chapter_id' => '43','chapter_detail_id' => '4412','translator_id' => '4','verse_number' => '87','translate_name' => '«ولئن» لام قسم «سألتهم من خلقهم ليقولنَّ الله» حذف منه نون الرفع وواو الضمير «فأنَّى يؤفكون» يصرفون عن عبادة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23121','chapter_id' => '43','chapter_detail_id' => '4413','translator_id' => '4','verse_number' => '88','translate_name' => '«وقيله» أي قول محمد النبي، ونصبه على المصدر بفعله المقدر، أي وقال «يا رب إن هؤلاء قوم لا يؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23122','chapter_id' => '43','chapter_detail_id' => '4414','translator_id' => '4','verse_number' => '89','translate_name' => 'قال تعالى: «فاصفح» أعرض «عنهم وقل سلام» منكم وهذا قبل أن يؤمر بقتالهم «فسوف يعلمون» بالياء والتاء تهديد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23123','chapter_id' => '44','chapter_detail_id' => '4415','translator_id' => '4','verse_number' => '1','translate_name' => '«حم» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23124','chapter_id' => '44','chapter_detail_id' => '4416','translator_id' => '4','verse_number' => '2','translate_name' => '«والكتاب» القرآن «المبين» المظهر الحلال من الحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23125','chapter_id' => '44','chapter_detail_id' => '4417','translator_id' => '4','verse_number' => '3','translate_name' => '«إنا أنزلناه في ليلة مباركة» هي ليلة القدر أو ليلة النصف من شعبان، نزل فيها من أم الكتاب من السماء السابعة إلى سماء الدنيا «إنا كنا منذرين» مخوِّفين به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23126','chapter_id' => '44','chapter_detail_id' => '4418','translator_id' => '4','verse_number' => '4','translate_name' => '«فيها» أي في ليلة القدر أو ليلة النصف من شعبان «يفرق» يفصل «كل أمر حكيم» محكم من الأرزاق والآجال وغيرهما التي تكون في السنة إلى مثل تلك الليلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23127','chapter_id' => '44','chapter_detail_id' => '4419','translator_id' => '4','verse_number' => '5','translate_name' => '«أمراً» فرقاً «من عندنا إنا كنا مرسلين» الرسل محمداً ومن قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23128','chapter_id' => '44','chapter_detail_id' => '4420','translator_id' => '4','verse_number' => '6','translate_name' => '«رحمة» رأفة بالمرسل إليهم «من ربك إنه هو السميع» لأقوالهم «العليم» بأفعالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23129','chapter_id' => '44','chapter_detail_id' => '4421','translator_id' => '4','verse_number' => '7','translate_name' => '«رب السماوات والأرض وما بينهما» برفع رب خبر ثالث وبجره بدل من ربك «إن كنتم» يا أهل مكة «موقنين» بأنه تعالى رب السماوات والأرض فأيقنوا بأن محمداً رسوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23130','chapter_id' => '44','chapter_detail_id' => '4422','translator_id' => '4','verse_number' => '8','translate_name' => '«لا إله إلا هو يحيي ويميت ربكم ورب آبائكم الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23131','chapter_id' => '44','chapter_detail_id' => '4423','translator_id' => '4','verse_number' => '9','translate_name' => '(بل هم في شك) من البعث (يلعبون) استهزاء بك يا محمد، فقال: "" اللهم أعني عليهم بسبع كسبع يوسف "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23132','chapter_id' => '44','chapter_detail_id' => '4424','translator_id' => '4','verse_number' => '10','translate_name' => 'قال تعالى: «فارتقب يوم تأتي السماء بدخان مبين» فأجدبت الأرض واشتد بهم الجوع إلى أن رأوا من شدته كهيئة الدخان بين السماء والأرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23133','chapter_id' => '44','chapter_detail_id' => '4425','translator_id' => '4','verse_number' => '11','translate_name' => '«يغشى الناس» فقالوا «هذا عذاب أليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23134','chapter_id' => '44','chapter_detail_id' => '4426','translator_id' => '4','verse_number' => '12','translate_name' => '«ربنا اكشف عنا العذاب إنا مؤمنون» مصدقون نبيك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23135','chapter_id' => '44','chapter_detail_id' => '4427','translator_id' => '4','verse_number' => '13','translate_name' => 'قال تعالى: «أنَّى لهم الذكرى» أي لا ينفعهم الإيمان عند نزول العذاب «وقد جاءهم رسول مبين» بين الرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23136','chapter_id' => '44','chapter_detail_id' => '4428','translator_id' => '4','verse_number' => '14','translate_name' => '«ثم تولوْا عنه وقالوا معلم» أي يعلمه القرآن بشر «مجنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23137','chapter_id' => '44','chapter_detail_id' => '4429','translator_id' => '4','verse_number' => '15','translate_name' => '«إنا كاشفو العذاب» أي الجوع عنكم زمناً «قليلا» فكشف عنهم «إنكم عائدون» إلى كفركم فعادوا إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23138','chapter_id' => '44','chapter_detail_id' => '4430','translator_id' => '4','verse_number' => '16','translate_name' => 'اذكر «يوم نبطش البطشة الكبرى» هو يوم بدر «إنا منتقمون» منهم والبطش الأخذ بقوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23139','chapter_id' => '44','chapter_detail_id' => '4431','translator_id' => '4','verse_number' => '17','translate_name' => '«ولقد فتنا» بلونا «قبلهم قوم فرعون» معه «وجاءهم رسول» هو موسى عليه السلام «كريم» على الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23140','chapter_id' => '44','chapter_detail_id' => '4432','translator_id' => '4','verse_number' => '18','translate_name' => '«أن» أي بأن «أدُّوا إليَّ» ما أدعوكم إليه من الإيمان، أي أظهروا إيمانكم لي يا «عباد الله إني لكم رسول أمين» على ما أُرسلت به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23141','chapter_id' => '44','chapter_detail_id' => '4433','translator_id' => '4','verse_number' => '19','translate_name' => '«وأن لا تعلوا» تتجبروا «على الله» بترك طاعته «إني آتيكم بسلطان» برهان «مبين» بين على رسالتي فتوعَّدوه بالرجم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23142','chapter_id' => '44','chapter_detail_id' => '4434','translator_id' => '4','verse_number' => '20','translate_name' => 'فقال «وإني عذت بربي وربكم أن ترجمون» بالحجارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23143','chapter_id' => '44','chapter_detail_id' => '4435','translator_id' => '4','verse_number' => '21','translate_name' => '«وإن لم تؤمنوا لي» تصدقوني «فاعتزلون» فاتركوا أذاي فلم يتركوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23144','chapter_id' => '44','chapter_detail_id' => '4436','translator_id' => '4','verse_number' => '22','translate_name' => '«فدعا ربه أن» أي بأن «هؤلاء قوم مجرمون» مشركون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23145','chapter_id' => '44','chapter_detail_id' => '4437','translator_id' => '4','verse_number' => '23','translate_name' => 'فقال تعالى: «فأسر» بقطع الهمزة ووصلها «بعبادي» بنى إسرائيل «ليلاً إنكم متبَعون» يتبعكم فرعون وقومه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23146','chapter_id' => '44','chapter_detail_id' => '4438','translator_id' => '4','verse_number' => '24','translate_name' => '«واترك البحر» إذا قطعته أنت وأصحابك «رهواً» ساكناً منفرجاً حتى يدخله القبط «إنهم جند مغرقون» فاطمأن بذلك فأغرقوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23147','chapter_id' => '44','chapter_detail_id' => '4439','translator_id' => '4','verse_number' => '25','translate_name' => '«كم تركوا من جنات» بساتين «وعيون» تجري.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23148','chapter_id' => '44','chapter_detail_id' => '4440','translator_id' => '4','verse_number' => '26','translate_name' => '«وزروع ومقام كريم» مجلس حسن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23149','chapter_id' => '44','chapter_detail_id' => '4441','translator_id' => '4','verse_number' => '27','translate_name' => '«ونعمة» متعة «كانوا فيها فاكهين» ناعمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23150','chapter_id' => '44','chapter_detail_id' => '4442','translator_id' => '4','verse_number' => '28','translate_name' => '«كذلك» خبر مبتدأ، أي الأمر «وأورثناها» أي أموالهم «قوماً آخرين» أي بني إسرائيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23151','chapter_id' => '44','chapter_detail_id' => '4443','translator_id' => '4','verse_number' => '29','translate_name' => '«فما بكت عليهم السماء والأرض» بخلاف المؤمنين يبكي عليهم بموتهم مصلاهم من الأرض ومصعد عملهم من السماء «وما كانوا منظرين» مؤخرين للتوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23152','chapter_id' => '44','chapter_detail_id' => '4444','translator_id' => '4','verse_number' => '30','translate_name' => '«ولقد نجينا بني إسرائيل من العذاب المهين» قتل الأبناء واستخدام النساء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23153','chapter_id' => '44','chapter_detail_id' => '4445','translator_id' => '4','verse_number' => '31','translate_name' => '«من فرعون» قيل بدل من العذاب بتقدير مضاف، أي عذاب، وقيل حال من العذاب «إنه كان عالياً من المسرفين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23154','chapter_id' => '44','chapter_detail_id' => '4446','translator_id' => '4','verse_number' => '32','translate_name' => '«ولقد اخترناهم» أي بني إسرائيل «على علم» منا بحالهم «على العالمين» أي عالمي زمانهم أي العقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23155','chapter_id' => '44','chapter_detail_id' => '4447','translator_id' => '4','verse_number' => '33','translate_name' => '«وآتيانهم من الآيات ما فيه بلاء مبين» نعمة ظاهرة من فلق البحر والمن والسلوى وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23156','chapter_id' => '44','chapter_detail_id' => '4448','translator_id' => '4','verse_number' => '34','translate_name' => '«إن هؤلاء» أي كفار مكة «ليقولون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23157','chapter_id' => '44','chapter_detail_id' => '4449','translator_id' => '4','verse_number' => '35','translate_name' => '«إن هي» ما الموتة التي بعدها الحياة «إلا موتتنا الأولى» أي وهم نطف «وما نحن بمنشرين» بمبعوثين أحياء بعد الثانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23158','chapter_id' => '44','chapter_detail_id' => '4450','translator_id' => '4','verse_number' => '36','translate_name' => '«فأتوا بآبائنا» أحياء «إن كنتم صادقين» أنا نبعث بعد موتنا، أي نحيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23159','chapter_id' => '44','chapter_detail_id' => '4451','translator_id' => '4','verse_number' => '37','translate_name' => 'قال تعالى: «أهم خير أم قوم تُبَّع» هو نبي أو رجل صالح «والذين من قبلهم» من الأمم «أهلكناهم» بكفرهم، والمعنى ليسوا أقوى منهم وأهلكوا «إنهم كانوا مجرمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23160','chapter_id' => '44','chapter_detail_id' => '4452','translator_id' => '4','verse_number' => '38','translate_name' => '«وما خلقنا السماوات والأرض وما بينهما لاعبين» بخلق ذلك، حال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23161','chapter_id' => '44','chapter_detail_id' => '4453','translator_id' => '4','verse_number' => '39','translate_name' => '«ما خلقناهما» وما بينهما «إلا بالحق» أي محقين في ذلك ليستدل به قدرتنا ووحدانيتنا وغير ذلك «ولكن أكثرهم» أي كفرا مكة «لا يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23162','chapter_id' => '44','chapter_detail_id' => '4454','translator_id' => '4','verse_number' => '40','translate_name' => '«إن يوم الفصل» يوم القيامة يفصل الله فيه بين العباد «ميقاتهم أجمعين» للعذاب الدائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23163','chapter_id' => '44','chapter_detail_id' => '4455','translator_id' => '4','verse_number' => '41','translate_name' => '«يوم لا يغني مولى عن مولى» بقرابة أو صداقة، أي لا يدفع عنه «شيئاً» من العذاب «ولا هم ينصرون» يمنعون منه، ويوم بدل من يوم الفصل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23164','chapter_id' => '44','chapter_detail_id' => '4456','translator_id' => '4','verse_number' => '42','translate_name' => '«إلا من رحم الله» وهم المؤمنون فإنه يشفع بعضهم لبعض بإذن الله «إنه هو العزيز» الغالب في انتقامه من الكفار «الرحيم» بالمؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23165','chapter_id' => '44','chapter_detail_id' => '4457','translator_id' => '4','verse_number' => '43','translate_name' => '«إن شجرة الزقوم» هي من أخبث الشجر المر بتهامة ينبتها الله تعالى في الجحيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23166','chapter_id' => '44','chapter_detail_id' => '4458','translator_id' => '4','verse_number' => '44','translate_name' => '«طعام الأثيم» أبي جهل وأصحابه ذوي الإثم الكبير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23167','chapter_id' => '44','chapter_detail_id' => '4459','translator_id' => '4','verse_number' => '45','translate_name' => '«كالمهل» أي كدردي الزيت الأسود خبر ثان «تغلي في البطون» بالفوقانية خبر ثالث وبالتحتانية حال من المهل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23168','chapter_id' => '44','chapter_detail_id' => '4460','translator_id' => '4','verse_number' => '46','translate_name' => '«كغلي الحميم» الماء الشديد الحرارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23169','chapter_id' => '44','chapter_detail_id' => '4461','translator_id' => '4','verse_number' => '47','translate_name' => '«خذوه» يقال للزبانية: خذوا الأثيم «فاعتلوه» بكسر التاء وضمها جروه بغلظة وشدة «إلى سواء الجحيم» وسط النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23170','chapter_id' => '44','chapter_detail_id' => '4462','translator_id' => '4','verse_number' => '48','translate_name' => '(ثم صبوا فوق رأسه من عذاب الحميم) أي من الحميم الذي لا يفارقه العذاب فهو أبلغ مما في آية "" يصب من فوق رؤوسهم الحميم "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23171','chapter_id' => '44','chapter_detail_id' => '4463','translator_id' => '4','verse_number' => '49','translate_name' => 'ويقال له: «ذق» أي العذاب «إنك أنت العزيز الكريم» بزعمك وقولك ما بين جبليها أعز وأكرم مني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23172','chapter_id' => '44','chapter_detail_id' => '4464','translator_id' => '4','verse_number' => '50','translate_name' => 'وقال لهم: «إن هذا» الذي ترون من العذاب «ما كنتم به تمترون» فيه تشكون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23173','chapter_id' => '44','chapter_detail_id' => '4465','translator_id' => '4','verse_number' => '51','translate_name' => '«إن المتقين في مقام» مجلس «أمين» يؤمن فيه الخوف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23174','chapter_id' => '44','chapter_detail_id' => '4466','translator_id' => '4','verse_number' => '52','translate_name' => '«في جنات» بساتين «وعيون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23175','chapter_id' => '44','chapter_detail_id' => '4467','translator_id' => '4','verse_number' => '53','translate_name' => '«يلبسون من سندس وإستبرق» أي ما رقَّ من الديباج وما غلظ منه «متقابلين» حال، أي لا ينظر بعضهم إلى قفا بعض لدوران الأسرة بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23176','chapter_id' => '44','chapter_detail_id' => '4468','translator_id' => '4','verse_number' => '54','translate_name' => '«كذلك» يقدر قبله الأمر «وزوجناهم» من التزويج أو قرناهم «بحور عين» بنساء بيض واسعات الأعين حسانها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23177','chapter_id' => '44','chapter_detail_id' => '4469','translator_id' => '4','verse_number' => '55','translate_name' => '«يدعون» يطلبون الخدم «فيها» أي الجنة أن يأتوا «بكل فاكهة» منها «آمنين» من انقطاعها ومضرتها ومن كل مخوف حال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23178','chapter_id' => '44','chapter_detail_id' => '4470','translator_id' => '4','verse_number' => '56','translate_name' => '«لا يذوقون فيها الموت إلا الموتة الأولى» أي التي في الدنيا بعد حياتهم فيها، قال بعضهم إلا بمعنى بعد «ووقاهم عذاب الجحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23179','chapter_id' => '44','chapter_detail_id' => '4471','translator_id' => '4','verse_number' => '57','translate_name' => '«فضلاً» مصدر بمعنى تفضلاً منصوب بتفضل مقدراً «من ربك ذلك هو الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23180','chapter_id' => '44','chapter_detail_id' => '4472','translator_id' => '4','verse_number' => '58','translate_name' => '«فإنما يسرناه» سهلنا القرآن «بلسانك» بلغتك لتفهمه العرب منك «لعلهم يتذكرون» يتعظون فيؤمنون لكنهم لا يؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23181','chapter_id' => '44','chapter_detail_id' => '4473','translator_id' => '4','verse_number' => '59','translate_name' => '«فارتقب» انتظر هلاكهم «إنهم مرتقبون» هلاكك، وهذا قبل نزول الأمر بجهادهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23182','chapter_id' => '45','chapter_detail_id' => '4474','translator_id' => '4','verse_number' => '1','translate_name' => '«حم» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23183','chapter_id' => '45','chapter_detail_id' => '4475','translator_id' => '4','verse_number' => '2','translate_name' => '«تنزيل الكتاب» القرآن مبتدأ «من الله» خبره «العزيز» في مُلكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23184','chapter_id' => '45','chapter_detail_id' => '4476','translator_id' => '4','verse_number' => '3','translate_name' => '«إن في السماوات والأرض» أي في خلقهما «لآيات» دالة على قدرة الله ووحدانيته تعالى «للمؤمنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23185','chapter_id' => '45','chapter_detail_id' => '4477','translator_id' => '4','verse_number' => '4','translate_name' => '«وفي خلقكم» أي في خلق كل منكم من نطفة ثم علقة ثم مضغة إلى أن صار إنساناً «و» خلق «ما يبث» يفرق في الأرض «من دابة» هي ما يدب على الأرض من الناس وغيرهم «آيات لقوم يوقنون» بالبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23186','chapter_id' => '45','chapter_detail_id' => '4478','translator_id' => '4','verse_number' => '5','translate_name' => '«و» في «اختلاف الليل والنهار» ذهابهما ومجيئهما «وما أنزل الله من السماء من رزق» مطر لأنه سبب الرزق «فأحيا به الأرض بعد موتها وتصريف الريح» تقليبها مرة جنوباً ومرة شمالاً وباردة وحارة «آيات لقوم يعقلون» الدليل فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23187','chapter_id' => '45','chapter_detail_id' => '4479','translator_id' => '4','verse_number' => '6','translate_name' => '«تلك» الآيات المذكورة «آيات الله» حججه الدالة على وحدانيته «نتلوها» نقصها «عليك بالحق» متعلق بنتلو «فبأي حديث بعد الله» أي حديثه وهو القرآن «وآياته» حججه «يؤمنون» أي كفار مكة، أي لا يؤمنون، وفي قراءة بالتاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23188','chapter_id' => '45','chapter_detail_id' => '4480','translator_id' => '4','verse_number' => '7','translate_name' => '«ويل» كلمة عذاب «لكل أفاك» كذاب «أثيم» كثير الإثم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23189','chapter_id' => '45','chapter_detail_id' => '4481','translator_id' => '4','verse_number' => '8','translate_name' => '«يسمع آيات الله» القرآن «تتلى عليه ثم يصر» على كفره «مستكبراً» متكبراً عن الإيمان «كأن لم يسمعها فبشره بعذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23190','chapter_id' => '45','chapter_detail_id' => '4482','translator_id' => '4','verse_number' => '9','translate_name' => '«وإذا علم من آياتنا» أي القرآن «شيئاً اتخذها هزواً» أي مهزوءاً بها «أولئك» أي الأفاكون «لهم عذاب مهين» ذو إهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23191','chapter_id' => '45','chapter_detail_id' => '4483','translator_id' => '4','verse_number' => '10','translate_name' => '«من ورائهم» أي أمامهم لأنهم في الدنيا «جهنم ولا يغني عنهم ما كسبوا» من المال والفعال «شيئاً ولا ما اتخذوا من دون الله» أي الأصنام «أولياء ولهم عذاب عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23192','chapter_id' => '45','chapter_detail_id' => '4484','translator_id' => '4','verse_number' => '11','translate_name' => '«هذا» أي القرآن «هدى» من الضلالة «والذين كفروا بآيات ربهم لهم عذاب» حظ «من رجز» أي عذاب «أليم» موجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23193','chapter_id' => '45','chapter_detail_id' => '4485','translator_id' => '4','verse_number' => '12','translate_name' => '«الله الذي سخر لكم البحر لتجري الفلك» السفن «فيه بأمره» بإذنه «ولتبتغوا» تطلبوا بالتجارة «من فضله ولعلكم تشكرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23194','chapter_id' => '45','chapter_detail_id' => '4486','translator_id' => '4','verse_number' => '13','translate_name' => '«وسخر لكم ما في السماوات» من شمس وقمر ونجوم وماء وغيره «وما في الأرض» من دابة وشجر ونبات وأنهار وغيرها أي خلق ذلك لمنافعكم «جميعاً» تأكيد «منه» حال، أي سخرها كائنة منه تعالى «إن في ذلك لآيات لقوم يتفكرون» فيها فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23195','chapter_id' => '45','chapter_detail_id' => '4487','translator_id' => '4','verse_number' => '14','translate_name' => '«قل للذين آمنوا يغفروا للذين لا يرجون» يخافون «أيام الله» وقائعه، أي اغفر للكفار ما وقع منهم من الأذى لكم وهذا قبل الأمر بجهادهم «ليجزي» أي الله وفي قراءة بالنون «قوماً بما كانوا يكسبون» من الغفر للكفار أذاهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23196','chapter_id' => '45','chapter_detail_id' => '4488','translator_id' => '4','verse_number' => '15','translate_name' => '«من عمل صالحاً فلنفسه» عمل «ومن أساء فعليها» أساء «ثم إلى ربكم ترجعون» تصيرون فيجازي المصلح والمسيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23197','chapter_id' => '45','chapter_detail_id' => '4489','translator_id' => '4','verse_number' => '16','translate_name' => '«ولقد آتينا بني إسرائيل الكتاب» التوراة «والحكم» به بين الناس «والنبوة» لموسى وهارون منهم «ورزقناهم من الطيبات» الحلالات كالمنّ والسلوى «وفضلناهم على العالمين» عالمي زمانهم العقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23198','chapter_id' => '45','chapter_detail_id' => '4490','translator_id' => '4','verse_number' => '17','translate_name' => '«وآتيانهم بينات من الأمر» أمر الدين من الحلال والحرام وبعثة محمد عليه أفضل الصلاة والسلام «فما اختلفوا» في بعثته «إلا من بعد ما جاءهم العلم بغياً بينهم» أي لبغي حدث بينهم حسداً له «إن ربك يقضي بينهم يوم القيامة فيما كانوا فيه يختلفون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23199','chapter_id' => '45','chapter_detail_id' => '4491','translator_id' => '4','verse_number' => '18','translate_name' => '«ثم جعلناك» يا محمد «على شريعة» طريقة «من الأمر» أمر الدين «فاتبعها ولا تتبع أهواء الذين لا يعلمون» في عبادة غير الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23200','chapter_id' => '45','chapter_detail_id' => '4492','translator_id' => '4','verse_number' => '19','translate_name' => '«إنهم لن يغنوا» يدافعوا «عنك من الله» من عذابه «شيئاً وإن الظالمين» الكافرين «بعضهم أولياء بعض والله وليُّ المتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23201','chapter_id' => '45','chapter_detail_id' => '4493','translator_id' => '4','verse_number' => '20','translate_name' => '«هذا» القرآن «بصائر للناس» معالم يتبصرون بها في الأحكام والحدود «وهدى ورحمة لقوم يوقنون» بالبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23202','chapter_id' => '45','chapter_detail_id' => '4494','translator_id' => '4','verse_number' => '21','translate_name' => '«أم» بمعنى همزة الإنكار «حسب الذين اجترحوا» اكتسبوا «السيئات» الكفر والمعاصي «أن نجعلهم كالذين آمنوا وعملوا الصالحات سواءً» خبر «محياهم ومماتهم» مبتدأ ومعطوف والجملة بدل من الكاف والضميران للكفار، المعنى: أحسبوا أن نجعلهم في الآخرة في خير كالمؤمنين في رغد من العيش مساو لعيشهم في الدنيا حيث قالوا للمؤمنين: لئن بعثنا لنُعطى من الخير مثل ما تعطون قال تعالى على وفق إنكاره بالهمزة: «ساءَ ما يحكمون» أي ليس الأمر كذلك فهم في الآخرة في العذاب على خلاف عيشهم في الدنيا والمؤمنون في الآخرة في الثواب بعملهم الصالحات في الدنيا من الصلاة والزكاة والصيام وغير ذلك، وما مصدرية، أي بئس حكماً حكمهم هذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23203','chapter_id' => '45','chapter_detail_id' => '4495','translator_id' => '4','verse_number' => '22','translate_name' => '«وخلق الله السماوات» خلق «والأرض بالحق» متعلق بخلق ليدل على قدرته ووحدانيته «ولتجزى كل نفس بما كسبت» من المعاصي والطاعات فلا يساوي الكافر المؤمن «وهم لا يظلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23204','chapter_id' => '45','chapter_detail_id' => '4496','translator_id' => '4','verse_number' => '23','translate_name' => '«أفرأيت» أخبرني «من اتخذ إلهه هواه» ما يهواه من حجر بعد حجر يراه أحسن «وأضله الله على علم» منه تعالى: أي عالما بأنه من أهل الضلاله قبل خلق «وختم على سمعه وقلبه» فلم يسمع الهدى ولم يعقله «وجعل على بصره غشاوة» ظلمة فلم يبصر الهدى، ويقدر هنا المفعول الثاني لرأيت أيهتدي «فمن يهديه من بعد الله» أي بعد إضلاله إياه، أي لا يهتدي «أفلا تذكرون» تتعظون، فيه إدغام إحدى التاءين في الذال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23205','chapter_id' => '45','chapter_detail_id' => '4497','translator_id' => '4','verse_number' => '24','translate_name' => '«وقالوا» أي منكرو البعث «ما هي» أي الحياة «إلا حياتنا» التي في «الدنيا نموت ونحيا» أي يموت بعض ويحيا بعض بأن يولدوا «وما يهلكنا إلا الدهر» أي مرور الزمان، قال تعالى: «وما لهم بذلك» المقول «من علم إن» ما «هم إلا يظنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23206','chapter_id' => '45','chapter_detail_id' => '4498','translator_id' => '4','verse_number' => '25','translate_name' => '«وإذا تتلى عليهم آياتنا» من القرآن الدالة على قدرتنا على البعث «بينات» واضحات حال «ما كان حجتهم إلا أن قالوا ائتوا بآياتنا» أحياء «إن كنتم صادقين» أنا نبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23207','chapter_id' => '45','chapter_detail_id' => '4499','translator_id' => '4','verse_number' => '26','translate_name' => '«قل الله يحييكم» حين كنتم نطفاً «ثم يميتكم ثم يجمعكم» أحياء «إلى يوم القيامة لا ريب» شلك «فيه ولكن أكثر الناس» وهم القائلون ما ذكر «لا يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23208','chapter_id' => '45','chapter_detail_id' => '4500','translator_id' => '4','verse_number' => '27','translate_name' => '«ولله ملك السماوات والأرض ويوم تقوم الساعة» يبدل منه «يومئذ يخسر المبطلون» الكافرون، أي يظهر خسرانهم بأن يصيروا إلى النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23209','chapter_id' => '45','chapter_detail_id' => '4501','translator_id' => '4','verse_number' => '28','translate_name' => '«وترى كل أمة» أي أهل دين «جاثية» على الركب أو مجتمعة «كل أمة تدعى إلى كتابها» كتاب أعمالها ويقال لهم: «اليوم تجزون ما كنتم تعملون» أي جزاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23210','chapter_id' => '45','chapter_detail_id' => '4502','translator_id' => '4','verse_number' => '29','translate_name' => '«هذا كتابنا» ديوان الحفظة «ينطق عليكم بالحق إنا كنا نستنسخ» نثبت ونحفظ «ما كنتم تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23211','chapter_id' => '45','chapter_detail_id' => '4503','translator_id' => '4','verse_number' => '30','translate_name' => '«فأما الذين آمنوا وعملوا الصالحات فيدخلهم ربهم في رحمته» جنته «ذلك هو الفوز المبين» البين الظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23212','chapter_id' => '45','chapter_detail_id' => '4504','translator_id' => '4','verse_number' => '31','translate_name' => '«وأما الذين كفروا» فيقال لهم: «أفلم تكن آياتي» القرآن «تتلى عليكم فاستكبرتم» تكبرتم «وكنتم قوماً مجرمين» كافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23213','chapter_id' => '45','chapter_detail_id' => '4505','translator_id' => '4','verse_number' => '32','translate_name' => '«وإذا قيل» لكم أيها الكفار «إن وعد الله» بالبعث «حق والساعة» بالرفع والنصب «لا ريب» شك «فيها قلتم ما ندري ما الساعة إن» ما «نظن إلا ظنا» قال المبرد: أصله إن نحن إلا نظن ظنا «وما نحن بمستيقنين» أنها آتية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23214','chapter_id' => '45','chapter_detail_id' => '4506','translator_id' => '4','verse_number' => '33','translate_name' => '«وبدا» ظهر «لهم» في الآخرة «سيئات ما عملوا» في الدنيا، أي جزاؤها «وحاق» نزل «بهم ما كانوا به يستهزئون» أي العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23215','chapter_id' => '45','chapter_detail_id' => '4507','translator_id' => '4','verse_number' => '34','translate_name' => '«وقيل اليوم ننساكم» نترككم في النار «كما نسيتم لقاء يومكم هذا» أي تركتم العمل للقائه «ومأواكم النار وما لكم من ناصرين» مانعين منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23216','chapter_id' => '45','chapter_detail_id' => '4508','translator_id' => '4','verse_number' => '35','translate_name' => '«ذلكم بأنكم اتخذتم آيات الله» القرآن «هزواً وغرتكم الحياة الدنيا» حتى قلتم لا بعث ولا حساب «فاليوم لا يخرجون» بالبناء للفاعل وللمفعول «منها» من النار «ولا هم يستعتبون» لا يطلب منهم أن يرضوا ربهم بالتوبة والطاعة لأنها لا تنفع يومئذ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23217','chapter_id' => '45','chapter_detail_id' => '4509','translator_id' => '4','verse_number' => '36','translate_name' => '«فلله الحمد» الوصف بالجميل على وفاء وعده في المكذبين «رب السماوات ورب الأرض رب العالمين» خالق ما ذكر، والعالم ما سوى الله وجمع لاختلاف أنواعه، ورب بدل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23218','chapter_id' => '45','chapter_detail_id' => '4510','translator_id' => '4','verse_number' => '37','translate_name' => '«وله الكبرياء» العظمة «في السماوات والأرض» حال، أي كائنة فيهما «وهو العزيز الحكيم» تقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23219','chapter_id' => '46','chapter_detail_id' => '4511','translator_id' => '4','verse_number' => '1','translate_name' => '«حم» الله أعلم بمراده به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23220','chapter_id' => '46','chapter_detail_id' => '4512','translator_id' => '4','verse_number' => '2','translate_name' => '«تنزيل الكتاب» القرآن مبتدأ «من الله» خبره «العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23221','chapter_id' => '46','chapter_detail_id' => '4513','translator_id' => '4','verse_number' => '3','translate_name' => '«ما خلقنا السماوات والأرض وما بينهما إلا» خلقا «بالحق» ليدل على قدرتنا ووحدانيتنا «وأجل مسمى» إلى فنائهما يوم القيامة «والذين كفروا عما أنذروا» خوفوا به من العذاب «معرضون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23222','chapter_id' => '46','chapter_detail_id' => '4514','translator_id' => '4','verse_number' => '4','translate_name' => '«قل أرأيتم» أخبروني «ما تدعون» تعبدون «من دون الله» أي الأصنام مفعول أول «أروني» أخبروني ما تأكيد «ماذا خلقوا» مفعول ثان «من الأرض» بيان ما «أم لهم شرك» مشاركة «في» خلق «السماوات» مع الله وأم بمعنى همزة الإنكار «ائتوني بكتاب» منزل «من قبل هذا» القرآن «أو أثارة» بقية «من علم» يؤثر عن الأولين بصحة دعواكم في عبادة الأصنام أنها تقربكم إلى الله «إن كنتم صادقين» في دعواكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23223','chapter_id' => '46','chapter_detail_id' => '4515','translator_id' => '4','verse_number' => '5','translate_name' => '«ومن» استفهام بمعنى النفي، أي لا أحد «أضل ممن يدعو» يعبد «من دون الله» أي غيره «من لا يستجيب له إلى يوم القيامة» وهم الأصنام لا يجيبون عابديهم إلى شيء يسألونه أبدا «وهم عن دعائهم» عبادتهم «غافلون» لأنهم جماد لا يعقلون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23224','chapter_id' => '46','chapter_detail_id' => '4516','translator_id' => '4','verse_number' => '6','translate_name' => '«وإذا حشر الناس كانوا» أي الأصنام «لهم» لعابديهم «أعداءً وكانوا بعبادتهم» بعبادة عابديهم «كافرين» جاحدين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23225','chapter_id' => '46','chapter_detail_id' => '4517','translator_id' => '4','verse_number' => '7','translate_name' => '«وإذا تتلى عليهم» أي أهل مكة «آياتنا» القرآن «بينات» ظاهرات حال «قال الذين كفروا» منهم «للحق» أي القرآن «لما جاءهم هذا سحر مبين» بيّن ظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23226','chapter_id' => '46','chapter_detail_id' => '4518','translator_id' => '4','verse_number' => '8','translate_name' => '«أم» بمعني بل وهمزة الإنكار «يقولون افتراه» أي القرآن «قل إن افتريته» فرضا «فلا تملكون لي من الله» أي من عذابه «شيئا» أي لا تقدرون على دفعه عنى إذا عذبني الله «هو أعلم بما تفيضون فيه» يقولون في القرآن «كفى به» تعالى «شهيدا بيني وبينكم وهو الغفور» لمن تاب «الرحيم» به فلم يعاجلكم بالعقوبة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23227','chapter_id' => '46','chapter_detail_id' => '4519','translator_id' => '4','verse_number' => '9','translate_name' => '«قل ما كنت بدعا» بديعا «من الرسل» أي أول مرسل، قد سبق قبلي كثيرون منهم، فكيف تكذبوني «وما أدري ما يفعل بي ولا بكم» في الدنيا أأخرج من بلدي أم أقتل كما فعل بالأنبياء قبلي، أو ترموني بالحجارة أم يخسف بكم كالمكذبين قبلكم «إن» ما «أتبع إلا ما يوحى إليَّ» أي القرآن ولا أبتدع من عندي شيئا «وما أنا إلا نذير مبين» بيّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23228','chapter_id' => '46','chapter_detail_id' => '4520','translator_id' => '4','verse_number' => '10','translate_name' => '«قل أرأيتم» أخبروني ماذا حالكم «إن كان» أي القرآن «من عند الله وكفرتم به» جملة حالية «وشهد شاهد من بني إسرائيل» هو عبد الله بن سلام «على مثله» أي عليه أنه من عند الله «فآمن» الشاهد «واستكبرتم» تكبرتم عن الإيمان وجواب الشرط بما عطف عليه: ألستم ظالمين دل عليه «إن الله لا يهدي القوم الظالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23229','chapter_id' => '46','chapter_detail_id' => '4521','translator_id' => '4','verse_number' => '11','translate_name' => '«وقال الذين كفروا للذين آمنوا» أي في حقهم «لو كان» الإيمان «خيرا ما سبقونا إليه وإذ لم يهتدوا» أي القائلون «به» أي القرآن «فسيقولون هذا» أي القرآن «إفك» كذب «قديم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23230','chapter_id' => '46','chapter_detail_id' => '4522','translator_id' => '4','verse_number' => '12','translate_name' => '«ومن قبله» أي القرآن «كتاب موسى» أي التوراة «إماما ورحمة» للمؤمنين به حالان «وهذا» أي القرآن «كتاب مصدق» للكتب قبله «لسانا عربيا» قال لمن الضمير في مصدق «لينذر الذين ظلموا» مشركي مكة «و» هو «بشرى للمحسنين» المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23231','chapter_id' => '46','chapter_detail_id' => '4523','translator_id' => '4','verse_number' => '13','translate_name' => '«إن الذين قالوا ربنا الله ثم استقاموا» على الطاعة «فلا خوف عليهم ولا هم يحزنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23232','chapter_id' => '46','chapter_detail_id' => '4524','translator_id' => '4','verse_number' => '14','translate_name' => '«أولئك أصحاب الجنة خالدين فيها» حال «جزاءً» منصوب على المصدر بفعله المقدر، أي يجزون «بما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23233','chapter_id' => '46','chapter_detail_id' => '4525','translator_id' => '4','verse_number' => '15','translate_name' => '«ووصَّينا الإنسان بوالديه حُسنا» وفي قراءة إحسانا، أي أمرناه أن يحسن إليهما فنصب إحسانا على المصدر بفعله المقدر ومثله حسنا «حملته أمه كرها ووضعته كرها» أي على مشقة «وحمله وفصاله» من الرضاع «ثلاثون شهرا» ستة أشهر أقل مدة الحمل والباقي أكثر مدة الرضاع، وقيل إن حملت به ستة أو تسعة أرضعته الباقي «حتى» غاية لجملة مقدرة، أي وعاش حتى «إذا بلغ أشده» هو كمال قوته وعقله ورأيه أقله ثلاث وثلاثون سنة أو ثلاثون «وبلغ أربعين سنة» أي تمامها وهو أكثر الأشد «قال رب» إلخ، نزل في أبي بكر الصديق لما بلغ أربعين سنة بعد سنتين من مبعث النبي صلى الله عليه وسلم آمن به ثم آمن أبواه ثم ابنه عبد الرحمن وابن عبد الرحمن أبو عتيق «أوزعني» ألهمني «أن أشكر نعمتك التي أنعمت» بها «عليَّ وعلى والديَّ» وهي التوحيد «وأن أعمل صالحا ترضاه» فأعتق تسعة من المؤمنين يعذبون في الله «وأصلح لي في ذريتي» فكلهم مؤمنون «إني تبت إليك وإني من المسلمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23234','chapter_id' => '46','chapter_detail_id' => '4526','translator_id' => '4','verse_number' => '16','translate_name' => '(أولئك) أي قائلوا هذا القول أبو بكر وغيره (الذين نتقبل عنهم أحسن) بمعنى حسن (ما عملوا ونتجاوز عن سيئاتهم في أصحاب الجنة) حال، أي كائنين في جملتهم (وعد الصدق الذي كانوا يوعدون) في قوله تعالى "" وعد الله المؤمنين والمؤمنات جنات "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23235','chapter_id' => '46','chapter_detail_id' => '4527','translator_id' => '4','verse_number' => '17','translate_name' => '«والذي قال لوالديه» وفي قراءة بالإدغام أريد به الجنس «أفَِ» بكسر الفاء وفتحها بمعنى مصدر، أي نتنا وقبحا «لكما» أتضجر منكما «أتعدانني» وفي قراءة بالإدغام «أن أخرج» من القبر «وقد خلت القرون» الأمم «من قبلي» ولم تخرج من القبور «وهما يستغيثان الله» يسألانه الغوث برجوعه ويقولان إن لم ترجع «ويلك» أي هلاكك بمعنى هلكت «آمن» بالبعث «إن وعد الله حق فيقول ما هذا» أي القول بالبعث «إلا أساطير الأولين» أكاذيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23236','chapter_id' => '46','chapter_detail_id' => '4528','translator_id' => '4','verse_number' => '18','translate_name' => '«أولئك الذين حق» وجب «عليهم القول» بالعذاب «في أمم قد خلت من قبلهم من الجن والإنس إنهم كانوا خاسرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23237','chapter_id' => '46','chapter_detail_id' => '4529','translator_id' => '4','verse_number' => '19','translate_name' => '«ولكل» من جنس المؤمن والكافر «درجات» فدرجات المؤمنين في الجنة عالية ودرجات الكافرين في النار سافلة «مما عملوا» أي المؤمنون من الطاعات والكافرون من المعاصي «وليوفيهم» أي الله، وفي قراءة بالنون «أعمالهم» أي جزاءها «وهم لا يظلمون» شيئا ينقص للمؤمنين ويزاد للكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23238','chapter_id' => '46','chapter_detail_id' => '4530','translator_id' => '4','verse_number' => '20','translate_name' => '«ويوم يُعرض الذي كفروا على النار» بأن تكشف لهم يقال لهم «أذهبتم» بهمزة وبهمزتين وبهمزة ومدة وبهما وتسهيل الثانية «طيباتكم» باشتغالكم بلذاتكم «في حياتكم الدنيا واستمتعتم» تمتعتم «بها فاليوم تجزون عذاب الهُون» أي الهوان «بما كنتم تستكبرون» تتكبرون «في الأرض بغير الحق وبما كنتم تفسقون» به وتعذبون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23239','chapter_id' => '46','chapter_detail_id' => '4531','translator_id' => '4','verse_number' => '21','translate_name' => '«واذكر أخا عاد» هود عليه السلام «إذ» إلخ بدل اشتمال «أنذر قومه» خوَّفهم «بالأحقاف» واد باليمن به منازلهم «وقد خلت النذر» مضت الرسل «من بين يديه ومن خلفه» أي من قبل هود ومن بعده إلى أقوامهم «أن»، أي بأن قال «لا تعبدوا إلا الله» وجملة وقد خلت معترضة «إني أخاف عليكم» إن عبدتم غير الله «عذاب يوم عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23240','chapter_id' => '46','chapter_detail_id' => '4532','translator_id' => '4','verse_number' => '22','translate_name' => '«قالوا أجئتنا لتأفكنا عن آلهتنا» لتصرفنا عن عبادتها «فأتنا بما تعدنا» من العذاب على عبادتها «إن كنت من الصادقين» في أنه يأتينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23241','chapter_id' => '46','chapter_detail_id' => '4533','translator_id' => '4','verse_number' => '23','translate_name' => '«قال» هود «إنما العلم عند الله» هو الذي يعلم متى يأتيكم العذاب «وأبلغكم ما أرسلت به» إليكم «ولكني أراكم قوما تجهلون» باستعجالكم العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23242','chapter_id' => '46','chapter_detail_id' => '4534','translator_id' => '4','verse_number' => '24','translate_name' => '«فلما رأوه» أي ما هو العذاب «عارضا» سحابا عرض في أفق السماء «مستقبل أوديتهم قالوا هذا عارض ممطرنا» أي ممطر إيانا، قال تعالى: «بل هو ما استعجلتم به» من العذاب «ريح» بدل من ما «فيها عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23243','chapter_id' => '46','chapter_detail_id' => '4535','translator_id' => '4','verse_number' => '25','translate_name' => '«تُدَمِّر» تهلك «كل شيء» مرت عليه «بأمر ربها» بإرادته، أي كل شيء أراد إهلاكه بها، فأهلكت رجالهم ونساءهم وصغارهم وأموالهم بأن طارت بذلك بين السماء والأرض ومزقته وبقي هود ومن آمن معه «فأصبحوا لايُرى إلا مساكنهم كذلك» كما جزيناهم «نجزي القوم المجرمين» غيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23244','chapter_id' => '46','chapter_detail_id' => '4536','translator_id' => '4','verse_number' => '26','translate_name' => '«ولقد مكناهم فيما» في الذي «إن» نافية أو زائدة «مكناكم» يا أهل مكة «فيه» من القوة والمال «وجعلنا لهم سمعا» بمعنى أسماعا «وأبصارا وأفئدة» قلوبا «فما أغنى عنهم سمعهم ولا أبصارهم ولا أفئدتهم من شيء» أي شيئا من الإغناء ومن زائدة «إذ» معمولة لأغنى وأشربت معنى التعليل «كانوا يجحدون بآيات الله» بحججه البينة «وحاق» نزل «بهم ما كانوا به يستهزءُون» أي العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23245','chapter_id' => '46','chapter_detail_id' => '4537','translator_id' => '4','verse_number' => '27','translate_name' => '«ولقد أهلكنا ما حولكم من القرى» أي من أهلها كثمود وعاد وقوم لوط «وصرفنا الآيات» كررنا الحجج البينات «لعلهم يرجعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23246','chapter_id' => '46','chapter_detail_id' => '4538','translator_id' => '4','verse_number' => '28','translate_name' => '«فلولا» هلا «نصرهم» بدفع العذاب عنهم «الذين اتخذوا من دون الله» أي غيره «قربانا» متقربا بهم إلى الله «آلهة» معه وهم الأصنام ومفعول اتخذ الأول ضمير محذوف يعود على الموصول أي هم، وقربانا الثاني وآلهة بدل منه «بل ضلوا» غابوا «عنهم» عند نزول العذاب «وذلك» أي اتخاذهم الأصنام آلهة قربانا «إفكهم» كذبهم «وما كانوا يفترون» يكذبون، وما مصدرية أو موصولة والعائد محذوف، أي فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23247','chapter_id' => '46','chapter_detail_id' => '4539','translator_id' => '4','verse_number' => '29','translate_name' => '(و) اذكر (إذ صرفنا) أملنا (إليك نفرا من الجن) جن نصيبين باليمن أو جن نينوى وكانوا سبعة أو تسعة "" وكان صلى الله عليه وسلم ببطن نخل يصلي بأصحابه الفجر "" رواه الشيخان (يستمعون القرآن فلما حضروه قالوا) أي قال بعضهم لبعض (أنصتوا) أصغوا لاستماعه (فلما قضي) فرغ من قراءته (ولوا) رجعوا (إلى قومهم منذرين) مخوفين قومهم العذاب إن لم يؤمنوا وكانوا يهودا وقد أسلموا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23248','chapter_id' => '46','chapter_detail_id' => '4540','translator_id' => '4','verse_number' => '30','translate_name' => '«قالوا يا قومنا إنا سمعنا كتابا» هو القرآن «أنزل من بعد موسى مصدقا لما بين يديه» أي تقدمه كالتوراة «يهدي إلى الحق» الإسلام «وإلى طريق مستقيم» أي طريقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23249','chapter_id' => '46','chapter_detail_id' => '4541','translator_id' => '4','verse_number' => '31','translate_name' => '«يا قومنا أجيبوا داعي الله» محمدا صلى الله عليه وسلم إلى الإيمان «وآمنوا به يغفر» الله «لكم من ذنوبكم» أي بعضها لأن منها المظالم ولا تغفر إلا برضا أصاحبها «ويجركم من عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23250','chapter_id' => '46','chapter_detail_id' => '4542','translator_id' => '4','verse_number' => '32','translate_name' => '«ومن لا يجب داعي الله فليس بمعجز في الأرض» أي لا يعجز الله بالهرب منه فيفوته «وليس له» لمن لا يجب «من دونه» أي الله «أولئك» الذين لم يجيبوا «في ضلال مبين» بيَّن ظاهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23251','chapter_id' => '46','chapter_detail_id' => '4543','translator_id' => '4','verse_number' => '33','translate_name' => '«أولم يروْا» يعلموا، أي منكرو البعث «أن الله الذي خلق السماوات والأرض ولم يَعْيَ بخلقهن» لم يعجز عنه «بقادر» خبر أن وزيدت الباء فيه لأن الكلام في قوة أليس الله بقادر «على أن يحيي الموتى بلى» هو قادر على إحياء الموتى «إنه على كل شيءٍ قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23252','chapter_id' => '46','chapter_detail_id' => '4544','translator_id' => '4','verse_number' => '34','translate_name' => '«ويوم يعرض الذين كفروا على النار» بأن يعذبوا بها يقال لهم «أليس هذا» التعذيب «بالحق قالوا بلى وربنا قال فذوقوا العذاب بما كنتم تكفرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23253','chapter_id' => '46','chapter_detail_id' => '4545','translator_id' => '4','verse_number' => '35','translate_name' => '(فاصبر) على أذى قومك (كما صبر أولو العزم) ذوو الثبات والصبر على الشدائد (من الرسل) قبلك فتكون ذا عزم، ومن للبيان فكلهم ذوو عزم وقيل للتبعيض فليس منهم آدم لقوله تعالى "" ولم نجد له عزما "" ولا يونس لقوله تعالى "" ولا تكن كصاحب الحوت "" (ولا تستعجل لهم) لقومك نزول العذاب بهم، قيل كأنه ضجر منهم فأحب نزول العذاب بهم، فأمر بالصبر وترك الاستعجال للعذاب فإنه نازل لا محالة (كأنهم يوم يرون ما يوعدون) من العذاب في الآخرة لطوله (لم يلبثوا) في الدنيا في ظنهم (إلا ساعة من نهار) هذا القرآن (بلاغ) تبليغ من الله إليكم (فهل) أي لا (يهلك) عند رؤية العذاب (إلا القوم الفاسقون) أي الكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23254','chapter_id' => '47','chapter_detail_id' => '4546','translator_id' => '4','verse_number' => '1','translate_name' => '«الذين كفروا» من أهل مكة «وصدُّوا» غيرهم «عن سبيل الله» أي الإيمان «أضل» أحبط «أعمالهم» كإطعام الطعام وصلة الأرحام، فلا يرون لها في الآخرة ثوابا ويجزون بها في الدنيا من فضله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23255','chapter_id' => '47','chapter_detail_id' => '4547','translator_id' => '4','verse_number' => '2','translate_name' => '«والذين آمنوا» أي الأنصار وغيرهم «وعملوا الصالحات وآمنوا بما نُزِّل على محمد» أي القرآن «وهو الحق من ربهم كفَّر عنهم» غفر لهم «سيئاتهم وأصلح بالهم» حالهم فلا يعصونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23256','chapter_id' => '47','chapter_detail_id' => '4548','translator_id' => '4','verse_number' => '3','translate_name' => '«ذلك» أي إضلال الأعمال وتكفير السيئات «بأن» بسبب أن «الذين كفروا اتبعوا الباطل» الشيطان «وأن الذين آمنوا اتبعوا الحق» القرآن «من ربهم كذلك» أي مثل ذلك البيان «يضرب الله للناس أمثالهم» يبيِّن أحوالهم، أي فالكافر يحبط عمله، والمؤمن يغفر له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23257','chapter_id' => '47','chapter_detail_id' => '4549','translator_id' => '4','verse_number' => '4','translate_name' => '«فإذا لقيتم الذين كفروا فضرب الرقاب» مصدر بدل من اللفظ بفعله، أي فاضربوا رقابهم، أي اقتلوهم وعبَّر بضرب الرقاب لأن الغالب في القتل أن يكون بضرب الرقبة «حتى إذا أثخنتموهم» أكثرتم فيهم القتل «فشدوا» فأمسكوا عنهم وأسروهم وشدوا «الوثاق» ما يوثق به الأسرى «فإما منا بعد» مصدر بدل من اللفظ بفعله أي تمنون عليهم بإطلاقهم من غير شيء «وإما فداءً» تفادونهم بمال أو أسرى مسلمين «حتى تضع الحرب» أي أهلها «أوزارها» أثقالها من السلاح وغيره بأن يسلم الكفار أو يدخلوا في العهد وهذه غاية للقتل والأسر «ذلك» خبر مبتدأ مقدر، أي الأمر فيهم ما ذكر «ولو يشاء الله لانتصر منهم» بغير قتال «ولكن» أمركم به «ليبلو بعضكم ببعض» منهم في القتال فيصير من قتل منكم إلى الجنة ومنهم إلى النار «والذين قتلوا» وفي قراءة قاتلوا، الآية نزلت يوم أحد وقد فشا في المسلمين القتل والجراحات «في سبيل الله فلن يضل» يحبط «أعمالهم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23258','chapter_id' => '47','chapter_detail_id' => '4550','translator_id' => '4','verse_number' => '5','translate_name' => '«سيهديهم» في الدنيا والآخرة إلى ما ينفعهم «ويصلح بالهم» حالهم فيهما وما في الدنيا لمن لم يقتل وأدرجوا في قتلوا تغليبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23259','chapter_id' => '47','chapter_detail_id' => '4551','translator_id' => '4','verse_number' => '6','translate_name' => '«ويدخلهم الجنة عرَّفها» بيَّنها «لهم» فيهتدون إلى مساكنهم منها وأزواجهم وخدمهم من غير استدلال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23260','chapter_id' => '47','chapter_detail_id' => '4552','translator_id' => '4','verse_number' => '7','translate_name' => '«يا أيها الذين آمنوا إن تنصروا الله» أي دينه ورسوله «ينصركم» على عدوكم «ويثبِّت أقدامكم» يثبتكم في المعترك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23261','chapter_id' => '47','chapter_detail_id' => '4553','translator_id' => '4','verse_number' => '8','translate_name' => '«والذين كفروا» من أهل مكة مبتدأ خبره تعسوا يدل عليه «فتعسا لهم» أي هلاكا وخيبة من الله «وأضل أعمالهم» عطف على تعسوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23262','chapter_id' => '47','chapter_detail_id' => '4554','translator_id' => '4','verse_number' => '9','translate_name' => '«ذلك» التعس والإضلال «بأنهم كرهوا ما أنزل الله» من القرآن المشتمل على التكاليف «فأحبط أعمالهم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23263','chapter_id' => '47','chapter_detail_id' => '4555','translator_id' => '4','verse_number' => '10','translate_name' => '«أفلم يسيروا في الأرض فينظروا كيف كان عاقبة الذين من قبلهم دمَّر الله عليهم» أهلك أنفسهم وأولادهم وأموالهم «وللكافرين أمثالها» أي أمثال عاقبة ما قبلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23264','chapter_id' => '47','chapter_detail_id' => '4556','translator_id' => '4','verse_number' => '11','translate_name' => '«ذلك» نصر المؤمنين وقهر الكافرين «بأن الله مولى» ولي وناصر «الذين آمنوا وأن الكافرين لا مولى لهم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23265','chapter_id' => '47','chapter_detail_id' => '4557','translator_id' => '4','verse_number' => '12','translate_name' => '«إن الله يدخل الذين آمنوا وعملوا الصالحات جنات تجري من تحتها الأنهار والذين كفروا يتمتعون» في الدنيا «ويأكلون كما تأكل الأنعام» أي ليس لهم هَمٌ إلا بطونهم وفروجهم ولا يلتفتون إلى الآخرة «والنار مثوى لهم» منزل ومقام ومصير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23266','chapter_id' => '47','chapter_detail_id' => '4558','translator_id' => '4','verse_number' => '13','translate_name' => '«وكأين» وكم «من قرية» أريد بها أهلها «هي أشد قوة من «قريتك» مكة أي أهلها «التي أخرجتك» روعي لفظ قرية «أهلكناهم» روعي معنى قرية الأولى «فلا ناصر لهم» من إهلاكنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23267','chapter_id' => '47','chapter_detail_id' => '4559','translator_id' => '4','verse_number' => '14','translate_name' => '«أفمن كان على بيِّنة» حجة وبرهان «من ربه» وهو المؤمنون «كمن زُيّن له سوءُ عمله» فرآه حسنا وهم كفار مكة «واتبعوا أهواءهم» في عبادة الأوثان، أي لا مماثلة بينهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23268','chapter_id' => '47','chapter_detail_id' => '4560','translator_id' => '4','verse_number' => '15','translate_name' => '«مثل» أي صفة «الجنة التي وعد المتقون» المشتركة بين داخليها مبتدأ خبره «فيها أنهار من ماءٍ غير آسن» بالمد والقصر كضارب وحذر، أي غير متغير بخلاف ماء الدنيا فيتغير بعارض «وأنهار من لبن لم يتغير طعمه» بخلاف لبن الدنيا لخروجه من الضروع «وأنهار من خمر لذة» لذيذة «للشاربين» بخلاف خمر الدنيا فإنها كريهة عند الشرب «وأنهار من عسل مصفى» بخلاف عسل الدنيا فإنه بخروجه من بطون النحل يخالط الشمع وغيره «ولهم فيها» أصناف «من كل الثمرات ومغفرة من ربهم» فهو راض عنهم مع إحسانه إليهم بما ذكر بخلاف سيد العبيد في الدنيا فإنه قد يكون مع إحسانه إليهم ساخطا عليهم «كمن هو خالد في النار» خبر مبتدأ مقدر، أي أمن هو في هذا النعيم «وسقوا ماء حميما» أي شديد الحرارة «فقطَّع أمعاءهم» أي مصارينهم فخرجت من أدبارهم، وهو جمع معى بالقصر، وألفه عن ياء لقولهم ميعان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23269','chapter_id' => '47','chapter_detail_id' => '4561','translator_id' => '4','verse_number' => '16','translate_name' => '«ومنهم» أي الكفار «من يستمع إليك» في خطبة الجمعة وهم المنافقون «حتى إذا خرجوا من عندك قالوا للذين أوتوا العلم» لعلماء الصحابة منهم ابن مسعود وابن عباس استهزاء وسخرية «ماذا قال آنفا» بالمد والقصر، الساعة، أي لا نرجع إليه «أولئك الذين طبع الله على قلوبهم بالكفر «واتبعوا أهواءهم» في النفاق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23270','chapter_id' => '47','chapter_detail_id' => '4562','translator_id' => '4','verse_number' => '17','translate_name' => '«والذين اهتدوا» وهم المؤمنون «زادهم» الله «هدىّ وآتاهم تقواهم» ألهمهم ما يتقون به النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23271','chapter_id' => '47','chapter_detail_id' => '4563','translator_id' => '4','verse_number' => '18','translate_name' => '«فهل ينظرون» ما ينتظرون، أي كفار مكة «إلا الساعة أن تأتيهم» بدل اشتمال من الساعة، أي ليس الأمر إلا أن تأتيهم «بغتة» فجأة «فقد جاء أشرطها» علاماتها: منها النبي صلى الله عليه وسلم وانشقاق القمر والدخان «فأنَّى لهم إذا جاءتهم» الساعة «ذكراهم» تذكرهم، أي لا ينفعهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23272','chapter_id' => '47','chapter_detail_id' => '4564','translator_id' => '4','verse_number' => '19','translate_name' => '(فاعلم أنه لا إله إلا الله) أي دم يا محمد على علمك بذلك النافع في القيامة (واستغفر لذنبك) لأجله قيل له ذلك مع عصمته لتستن به أمته، وقد فعله قال صلى الله عليه وسلم: "" إني لأستغفر الله في كل يوم مائة مرة "" (وللمؤمنين والمؤمنات) فيه إكرام لهم بأمر نبيهم بالاستغفار لهم (والله يعلم متقلبكم) متصرفكم لأشغالكم في النهار (ومثواكم) مأواكم إلى مضاجعكم بالليل، أي هو عالم بجميع أحوالكم لا يخفى عليه شيء منها فاحذروه، والخطاب للمؤمنين وغيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23273','chapter_id' => '47','chapter_detail_id' => '4565','translator_id' => '4','verse_number' => '20','translate_name' => '«ويقول الذين آمنوا» طلبا للجهاد «لولا» هلا «نزلت سورة» فيها ذكر الجهاد «فإذا أنزلت سورة محكمة» أي لم ينسخ منها شيء «وذكر فيها القتال» أي طلبه «رأيت الذين في قلوبهم مرض» أي شك وهم المنافقون «ينظرون إليك نظر المغشي عليه من الموت» خوفا منه وكراهة له، أي فهم يخافون من القتال ويكرهونه «فأولى لهم» مبتدأ خبره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23274','chapter_id' => '47','chapter_detail_id' => '4566','translator_id' => '4','verse_number' => '21','translate_name' => '«طاعة وقول معروف» أي حسن لك «فإذا عزم الأمر» أي فرض القتال «فلو صدقوا الله» في الإيمان والطاعة «لكان خيرا لهم» وجملة لو جواب إذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23275','chapter_id' => '47','chapter_detail_id' => '4567','translator_id' => '4','verse_number' => '22','translate_name' => '«فهل عسَِيتم» بكسر السين وفتحها وفيه التفات عن الغيبة إلى الخطاب، أي لعلكم «إن توليتم» أعرضتم عن الإيمان «أن تفسدوا في الأرض وتقطعوا أرحامكم» أي تعودوا إلى أمر الجاهلية من البغي والقتال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23276','chapter_id' => '47','chapter_detail_id' => '4568','translator_id' => '4','verse_number' => '23','translate_name' => '«أولئك» أي المفسدون «الذين لعنهم الله فأصمهم» عن استماع الحق «وأعمى أبصارهم» عن طريق الهدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23277','chapter_id' => '47','chapter_detail_id' => '4569','translator_id' => '4','verse_number' => '24','translate_name' => '«أفلا يتدبرون القرآن» فيعرفون الحق «أم» بل «على قلوب» لهم «أقفالها» فلا يفهمونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23278','chapter_id' => '47','chapter_detail_id' => '4570','translator_id' => '4','verse_number' => '25','translate_name' => '«إن الذين ارتدوا» بالنفاق «على أدبارهم من بعد ما تبين لهم الهدى الشيطان سوَّل» أي زيَّن «لهم وأَُملى لهم» بضم أوله وبفتحه واللام والمملي الشيطان بإرادته تعالى فهو المضل لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23279','chapter_id' => '47','chapter_detail_id' => '4571','translator_id' => '4','verse_number' => '26','translate_name' => '«ذلك» أي إضلالهم «بأنهم قالوا للذين كرهوا ما نزَّل الله» أي للمشركين «سنطيعكم في بعض الأمر» أي المعاونة على عداوة النبي صلى الله عليه وسلم وتثبيط الناس عن الجهاد معه، قالوا ذلك سرا فأظهره الله تعالى «والله يعلم أَِسرارهم» بفتح الهمزة جمع سر وبكسرها مصدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23280','chapter_id' => '47','chapter_detail_id' => '4572','translator_id' => '4','verse_number' => '27','translate_name' => '«فكيف» حالهم «إذا توفتهم الملائكة يضربون» حال من الملائكة «وجوههم وأدبارهم» ظهورهم بمقامع من حديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23281','chapter_id' => '47','chapter_detail_id' => '4573','translator_id' => '4','verse_number' => '28','translate_name' => '«ذلك» التوفي على الحالة المذكورة «بأنهم اتبعوا ما أسخط الله وكرهوا رضوانه» أي العمل بما يرضيه «فأحبط أعمالهم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23282','chapter_id' => '47','chapter_detail_id' => '4574','translator_id' => '4','verse_number' => '29','translate_name' => '«أم حسب الذين في قلوبهم مرض أن لن يخرج الله أضغانهم» يظهر أحقادهم على النبي صلى الله عليه وسلم والمؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23283','chapter_id' => '47','chapter_detail_id' => '4575','translator_id' => '4','verse_number' => '30','translate_name' => '«ولو نشاء لأريناكهم» عرفناكهم وكررت اللام في «فلعرفتهم بسيماهم» علامتهم «ولتعرفنهم» الواو لقسم محذوف وما بعدها جوابه «في لحن القوْل» أي معناه إذا تكلموا عندك بأن يعرضوا بما فيه تهجين أمر المسلمين «والله يعلم أعمالكم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23284','chapter_id' => '47','chapter_detail_id' => '4576','translator_id' => '4','verse_number' => '31','translate_name' => '«ولنبلونكم» نختبرنكم بالجهاد وغيره «حتى نعلم» علم ظهور «المجاهدين منكم والصابرين» في الجهاد وغيره «ونبلوَ» نظهر «أخباركم» من طاعتكم وعصيانكم في الجهاد وغيره بالياء والنون في الأفعال الثلاثة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23285','chapter_id' => '47','chapter_detail_id' => '4577','translator_id' => '4','verse_number' => '32','translate_name' => '«إن الذين كفروا وصدوا عن سبيل الله» طريق الحق «وشاقوا الرسول» خالفوه «من بعد ما تبيَّن لهم الهدى» هو معنى سبيل الله «لن يضروا الله شيئا وسيحبط أعمالهم» يبطلها من صدقة ونحوها فلا يرون لها في الآخرة ثوابا، نزلت في المطعمين من أصحاب بدر أو في قريظة والنضير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23286','chapter_id' => '47','chapter_detail_id' => '4578','translator_id' => '4','verse_number' => '33','translate_name' => '«يا أيها الذين آمنوا أطيعوا الله وأطيعوا الرسول ولا تبطلوا أعمالكم» بالمعاصي مثلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23287','chapter_id' => '47','chapter_detail_id' => '4579','translator_id' => '4','verse_number' => '34','translate_name' => '«إن الذين كفروا وصدوا عن سبيل الله» طريقه وهو الهدى «ثم ماتوا وهم كفار فلن يغفر الله لهم» نزلت في أصحاب القليب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23288','chapter_id' => '47','chapter_detail_id' => '4580','translator_id' => '4','verse_number' => '35','translate_name' => '«فلا تهنوا» تضعفوا «وتدعوا إلى السَِّلم» بفتح السين وكسرها، أي الصلح مع الكفار إذا لقيتموهم «وأنتم الأعلوْن» حذف منه واو لام الفعل الأغلبون القاهرون «والله معكم» بالعون والنصر «ولن يَتِركُم» ينقصكم «أعمالكم» أي ثوابها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23289','chapter_id' => '47','chapter_detail_id' => '4581','translator_id' => '4','verse_number' => '36','translate_name' => '«إنما الحياة الدنيا» أي الاشتغال فيها «لعب ولهوٌ وإن تؤمنوا وتتقوا» الله وذلك من أمور الآخرة «يؤتكم أجوركم ولا يسألكم أموالكم» جميعها بل الزكاة المفروضة فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23290','chapter_id' => '47','chapter_detail_id' => '4582','translator_id' => '4','verse_number' => '37','translate_name' => '«إن يسألكموها فحيفكم» يبالغ في طلبها «تبخلوا ويخرج» البخل «أضغانكم» لدين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23291','chapter_id' => '47','chapter_detail_id' => '4583','translator_id' => '4','verse_number' => '38','translate_name' => '«ها أنتم» يا «هؤلاء تدعون لتنفقوا في سبيل الله» ما فرض عليكم «فمنكم من يبخل ومن يبخلْ فإنما يبخل عن نفسه» يقال بخل عليه وعنه «والله الغني» عن نفقتكم «وأنتم الفقراء» إليه «وإن تتولوا» عن طاعته «يستبدل قوما غيركم» أي يجعلهم بدلكم «ثم لا يكونوا أمثالكم» في التولي عن طاعته بل مطيعين له عز وجل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23292','chapter_id' => '48','chapter_detail_id' => '4584','translator_id' => '4','verse_number' => '1','translate_name' => '«إنا فتحنا لك» قضينا بفتح مكة وغيرها في المستقبل عَنوة بجهادك «فتحا مبينا» بيِّنا ظاهرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23293','chapter_id' => '48','chapter_detail_id' => '4585','translator_id' => '4','verse_number' => '2','translate_name' => '«ليغفر لك الله» بجهادك «ما تقدم من ذنبك وما تأخر» منه لترغب أمتك في الجهاد وهو مؤول لعصمة الأنبياء عليهم الصلاة والسلام بالدليل العقلي القاطع من الذنوب واللام للعلة الغائية فمدخولها مسبب لا سبب «ويتم» بالفتح المذكور «نعمته» إنعامه «عليك ويهديك» به «صراطا» طريقا «مستقيما» يثبتك عليه وهو دين الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23294','chapter_id' => '48','chapter_detail_id' => '4586','translator_id' => '4','verse_number' => '3','translate_name' => '«وينصرك الله» به «نصرا عزيزا» ذا عز لا ذل له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23295','chapter_id' => '48','chapter_detail_id' => '4587','translator_id' => '4','verse_number' => '4','translate_name' => '«هو الذي أنزل السكينة» الطمأنينة «في قلوب المؤمنين ليزدادوا إيمانا مع إيمانهم» بشرائع الدين كلما نزَّل واحدة منها آمنوا بها ومنها الجهاد «ولله جنود السماوات والأرض» فلو أراد نصر دينه بغيركم لفعل «وكان الله عليما» بخلقه «حكيما» في صنعه، أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23296','chapter_id' => '48','chapter_detail_id' => '4588','translator_id' => '4','verse_number' => '5','translate_name' => '«ليدخل» متعلق بمحذوف، أي أمر الجهاد «المؤمنين والمؤمنات جنات تجري من تحتها الأنهار خالدين فيها ويكفّر عنهم سيئاتهم وكان ذلك عند الله فوزا عظيما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23297','chapter_id' => '48','chapter_detail_id' => '4589','translator_id' => '4','verse_number' => '6','translate_name' => '«ويُعذَِب المنافقين والمنافقات والمشركين والمشركات الظانين بالله ظن السَّوء» بفتح السين وضمها في المواضع الثلاثة، ظنوا أنه لا ينصر محمدا صلى الله عليه وسلم والمؤمنين «عليهم دائرة السَّوء» بالذل والعذاب «وغضب الله عليهم ولعنهم» أبعدهم «وأعَدَّ لهم جهنم وساءت مصيرا» مرجعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23298','chapter_id' => '48','chapter_detail_id' => '4590','translator_id' => '4','verse_number' => '7','translate_name' => '«ولله جنود السماوات والأرض وكان الله عزيزا» في ملكه «حكيما» في صنعه، أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23299','chapter_id' => '48','chapter_detail_id' => '4591','translator_id' => '4','verse_number' => '8','translate_name' => '«إنا أرسلناك شاهدا» على أمتك في القيامة «ومبشرا» لهم في الدنيا «ونذيرا» منذرا مخّوفا فيها من عمل سوءا بالنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23300','chapter_id' => '48','chapter_detail_id' => '4592','translator_id' => '4','verse_number' => '9','translate_name' => '«ليؤمنوا بالله ورسوله» بالياء والتاء فيه وفي الثلاثة بعده «ويعزروه» ينصروه وقرئ بزايين مع الفوقانية «ويوقروه» يعظموه وضميرها لله أو لرسوله «ويسبحوه» أي الله «بكرة وأصيلا» بالغداة والعشيّ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23301','chapter_id' => '48','chapter_detail_id' => '4593','translator_id' => '4','verse_number' => '10','translate_name' => '(إن الذين يبايعونك) بيعة الرضوان بالحديبية. (إنما يبايعون الله) هو نحو "" من يطع الرسول فقد أطاع الله "" (يد الله فوق أيديهم) التي بايعوا بها النبي، أي هو تعالى مطلع على مبايعتهم فيجازيهم عليها (فمن نكث) نقض البيعة (فإنما ينكث) يرجع وبال نقضه (على نفسه ومن أوفى بما عاهد عليه الله فسيؤتيه) بالياء والنون (أجرا عظيما).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23302','chapter_id' => '48','chapter_detail_id' => '4594','translator_id' => '4','verse_number' => '11','translate_name' => '«سيقول لك المخلفون من الأعراب» حول المدينة، أي الذين خلفهم الله عن صحبتك لما طلبتهم ليخرجوا معك إلى مكة خوفا من تعرض قريش لك عام الحديبية إذا رجعت منها «شغلتنا أموالنا وأهلونا» عن الخروج معك «فاستغفر لنا» الله من تَرْك الخروج معك قال تعالى مكذبا لهم: «يقولون بألسنتهم» أي من طلب الاستغفار وما قبله «ما ليس في قلوبهم» فهم كاذبون في اعتذارهم «قل فمن» استفهام بمعنى النفي أي لا أحد «يملك لكم من الله شيئا إن أراد بكم ضَُرا» بفتح الضاد وضمها «أو أراد بكم نفعا بل كان الله بما تعملون خبيرا» أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23303','chapter_id' => '48','chapter_detail_id' => '4595','translator_id' => '4','verse_number' => '12','translate_name' => '«بل» في الموضوعين للانتقال من غرض إلى آخر «ظننتم أن لن ينقلب الرسول والمؤمنون إلى أهليهم أبدا وزُيِّن ذلك في قلوبكم» أي أنهم يستأصلون بالقتل فلا يرجعون «وظننتم ظن السَّوء» هذا وغيره «وكنتم قوما بورا» جمع بائر، أي هالكين عند الله بهذا الظن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23304','chapter_id' => '48','chapter_detail_id' => '4596','translator_id' => '4','verse_number' => '13','translate_name' => '«ومن لم يؤمن بالله ورسوله فإنا أعتدنا للكافرين سعيرا» نارا شديدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23305','chapter_id' => '48','chapter_detail_id' => '4597','translator_id' => '4','verse_number' => '14','translate_name' => '«ولله ملك السماوات والأرض يغفر لمن يشاء ويعذِّب من يشاء وكان الله غفورا رحيما» أي لم يزل متصفا بما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23306','chapter_id' => '48','chapter_detail_id' => '4598','translator_id' => '4','verse_number' => '15','translate_name' => '«سيقول المخلفون» المذكورون «إذا انطقتم إلى مغانم» هي مغانم خيبر، «لتأخذوها ذرونا» اتركونا «نتبعكم» لنأخذ منها «يريدون» بذلك «أن يبدّلوا كلام الله» وفي قراءة: كلِم الله بكسر اللام أي مواعيده بغنائم خيبر أهل الحديبية خاصة «قل لن تتبعونا كذالكم قال الله من قبل» أي قبل عودنا «فسيقولون بل تحسدوننا» أن نصيب معكم من الغنائم فقلتم ذلك «بل كانوا لا يفقهون» من الدين «إلا قليلا» منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23307','chapter_id' => '48','chapter_detail_id' => '4599','translator_id' => '4','verse_number' => '16','translate_name' => '«قل للمخلفين من الأعراب» المذكورين اختبارا «ستدعوْن إلى قوم أولي» أصحاب «بأس شديد» قيل هم بنو حنيفة أصحاب اليمامة، وقيل فارس والروم «تقاتلونهم» حال مقدرة هي المدعو إليها في المعنى «أو» هم «يسلمون» فلا تقاتلون «فإن تطيعوا» إلى قتالهم «يؤتكم الله أجرا حسنا وإن تتولوا كما توليتم من قبل يعذّبكم عذابا أليما» مؤلما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23308','chapter_id' => '48','chapter_detail_id' => '4600','translator_id' => '4','verse_number' => '17','translate_name' => '«ليس على الأعمى حرج ولا على الأعرج حرج ولا على المريض حرج» في ترك الجهاد «ومن يطع الله ورسوله يدخله» بالياء والنون «جنات تجري من تحتها الأنهار ومن يتول يعذّبه» بالياء والنون «عذابا أليما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23309','chapter_id' => '48','chapter_detail_id' => '4601','translator_id' => '4','verse_number' => '18','translate_name' => '«لقد رضي الله عن المؤمنين إذ يبايعونك» بالحديبية «تحت الشجرة» هي سمرة، وهم ألف وثلثمائة أو أكثر ثم بايعهم على أن يناجزوا قريشا وأن لا يفروا من الموت «فعلم» الله «ما في قلوبهم» من الصدق والوفاء «فأنزل السكينة عليهم وأثابهم فتحا قريبا» هو فتح خيبر بعد انصرافهم من الحديبية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23310','chapter_id' => '48','chapter_detail_id' => '4602','translator_id' => '4','verse_number' => '19','translate_name' => '«ومغانم كبيرة يأخذونها» من خيبر «وكان الله عزيزا حكيما» أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23311','chapter_id' => '48','chapter_detail_id' => '4603','translator_id' => '4','verse_number' => '20','translate_name' => '«وعدكم الله مغانم كثيرة تأخذونها» من الفتوحات «فعجَّل لكم هذه» غنيمة خيبر «وكفَّ أيدي الناس عنكم» في عيالكم لما خرجتم وهمت بهم اليهود فقذف الله في قلوبهم الرعب «ولتكون» أي المعجلة عطف على مقدر، أي لتشكروه «آية للمؤمنين» في نصرهم «ويهديكم صراطا مستقيما» أي طريق التوكل عليه وتفويض الأمر إليه تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23312','chapter_id' => '48','chapter_detail_id' => '4604','translator_id' => '4','verse_number' => '21','translate_name' => '«وأخرى» صفة مغانم مقدرا مبتدأ «لم تقدروا عليها» هي من فارس والروم «قد أحاط الله بها» علم أنها ستكون لكم «وكان الله على كل شيء قديرا» أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23313','chapter_id' => '48','chapter_detail_id' => '4605','translator_id' => '4','verse_number' => '22','translate_name' => '«ولو قاتلكم الذين كفروا» بالحديبية «لولّوا الأدبار ثم لا يجدون وليا» يحرسهم «ولا نصيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23314','chapter_id' => '48','chapter_detail_id' => '4606','translator_id' => '4','verse_number' => '23','translate_name' => '«سنة الله» مصدر مؤكد لمضمون الجملة قبله من هزيمة الكافرين ونصر المؤمنين، أي سَنَّ الله ذلك سُنَّة «التي قد خلت من قبل ولن تجد لسنة الله تبديلا» منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23315','chapter_id' => '48','chapter_detail_id' => '4607','translator_id' => '4','verse_number' => '24','translate_name' => '«وهو الذي كف أيديهم عنكم وأيديكم عنهم ببطن مكة» بالحديبية «من بعد أن أظفركم عليهم» فإن ثمانين منهم طافوا بعسكركم ليصيبوا منكم فأخذوا وأتي بهم إلى رسول الله صلى الله عليه وسلم فعفا عنهم وخلى سبيلهم فكان ذلك سبب الصلح «وكان الله بما يعملون بصيرا» بالياء والتاء، أي لم يزل متصفا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23316','chapter_id' => '48','chapter_detail_id' => '4608','translator_id' => '4','verse_number' => '25','translate_name' => '«هم الذين كفروا وصدوكم عن المسجد الحرام» أي عن الوصول إليه «والهدي» معطوف على كم «معكوفا» محبوسا حال «أن يبلغ محله» أي مكانه الذي ينحر فيه عادة وهو الحرم بدل اشتمال «ولولا رجال مؤمنون ونساء مؤمنات» موجودون بمكة مع الكفار «لم تعلموهم» بصفة الإيمان «أن تطئوهم» أي تقتلوهم مع الكفار لو أذن لكم في الفتح بدل اشتمال من هم «فتصيبكم منهم معرة» أي إثم «بغير علم» منكم به وضمائر الغيبة للصنفين بتغليب الذكور، وجواب لولا محذوف، أي لأذن لكم في الفتح لكن لم يؤذن فيه حينئذ «ليدخل الله في رحمته من يشاء» كالمؤمنين المذكورين «لو تزيَّلوا» تميزوا عن الكفار «لعذَّبنا الذين كفروا منهم» من أهل مكة حينئذ بأن نأذن لكم في فتحها «عذابا أليما» مؤلما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23317','chapter_id' => '48','chapter_detail_id' => '4609','translator_id' => '4','verse_number' => '26','translate_name' => '«إذ جعل» متعلق بعذبنا «الذين كفروا» فاعل «في قلوبهم الحمية» الأنفة من الشيء «حمية الجاهلية» بدل من الحمية وهي صدهم النبي وأصحابه عن المسجد الحرام «فأنزل الله سكينته على رسول وعلى المؤمنين» فصالحوهم على أن يعودوا من قابل ولم يلحقهم من الحمية ما لحق الكفار حتى يقاتلوهم «وألزمهم» أي المؤمنين «كلمة التقوى» لا إله إلا الله محمد رسول الله وأضيفت إلى التقوى لأنها سببها «وكانوا أحق بها» بالكلمة من الكفار «وأهلها» عطف تفسيري «وكان الله بكل شيء عليما» أي لم يزل منصفا بذلك ومن معلومة تعالى أنهم أهلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23318','chapter_id' => '48','chapter_detail_id' => '4610','translator_id' => '4','verse_number' => '27','translate_name' => '«لقد صدق الله رسوله الرؤيا بالحقِّ» رأى رسول الله صلى الله عليه وسلم في النوم عام الحديبية قبل خروجه أنه يدخل مكة هو وأصحابه آمنين ويحلقون ويقصرون فأخبر بذلك أصحابه ففرحوا فلما خرجوا معه وصدهم الكفار بالحديبية ورجعوا وشق عليهم ذلك وراب بعض المنافقين نزلت، وقوله بالحق متعلق بصدق أو حال من الرؤيا وما بعدها تفسيرها «لتدخلنِّ المسجد الحرام إنْ شاء الله» للتبرك «آمنين محلقين رءوسكم» أي جميع شعورها «ومقصرين» بعض شعورها وهما حالان مقدرتان «لا تخافون» أبدا «فعلم» في الصلح «ما لم تعلموا» من الصلاح «فجعل من دون ذلك» أي الدخول «فتحا قريبا» هو فتح خيبر وتحققت الرؤيا في العام القابل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23319','chapter_id' => '48','chapter_detail_id' => '4611','translator_id' => '4','verse_number' => '28','translate_name' => '«هو الذي أرسل رسوله بالهدى ودين الحقّ ليظهره» أي دين الحق «على الدين كله» على جميع باقي الأديان «وكفى بالله شهيدا» أنك مرسل بما ذكر كما قال الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23320','chapter_id' => '48','chapter_detail_id' => '4612','translator_id' => '4','verse_number' => '29','translate_name' => '«محمد» مبتدأ «رسول الله» خبره والذين معه» أي أصحابه من المؤمنين مبتدأ خبره «أشداء» غلاظ «على الكفار» لا يرحمونهم «رحماء بينهم» خبر ثان، أي متعاطفون متوادون كالوالد مع الولد «تراهم» تبصرهم «ركعا سجدا» حالان «يبتغون» مستأنف يطلبون «فضلا من الله ورضوانا سيماهم» علامتهم مبتدأ «في وجوههم» خبره وهو نور وبياض يُعرفون به في الآخرة أنهم سجدوا في الدنيا «من أثر السجود» متعلق بما تعلق به الخبر، أي كائنة وأعرب حالا من ضميره المنتقل إلى الخبر «ذلك» الوصف المذكور «مثلهم» صفتهم مبتدأ «في التوراة» خبره «ومثلهم في الإنجيل» مبتدأ خبره «كزرع أخرج شطأه» بسكون الطاء وفتحها: فراخه «فآزره» بالمد والقصر قواه وأعانه «فاستغلظ» غلظ «فاستوى» قوي واستقام «على سوقه» أصوله جمع ساق «يعجب الزراع» أي زرَّاعه لحسنه، مثل الصحابة رضي الله عنهم بذلك لأنهم بدأوا في قلة وضعف فكثروا وقووا على أحسن الوجوه «ليغيظ بهم الكفار» متعلق بمحذوف دل عليه ما قبله، أي شبهوا بذلك «وعد الله الذين آمنوا وعملوا الصالحات منهم» الصحابة ومن لبيان الجنس لا للتبعيض لأنهم كلهم بالصفة المذكورة «مغفرة وأجرا عظيما» الجنة وهما لمن بعدهم أيضا في آيات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23321','chapter_id' => '49','chapter_detail_id' => '4613','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها الذين آمنوا لا تقدموا» من قدم بمعنى تقدم، أي لا تَقَدَّمُوا بقول ولا فعل «بين يدي الله ورسوله» المبلغ عنه، أي بغير إذنهما «واتقوا الله إن الله سميع» لقولكم «عليم» بفعلكم، نزلت في مجادلة أبي بكر وعمر رضي الله عنهما عند النبي صلى الله عليه وسلم في تأمير الأقرع بن حابس أو القعقاع بن معبد ونزل فيمن رفع صوته عند النبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23322','chapter_id' => '49','chapter_detail_id' => '4614','translator_id' => '4','verse_number' => '2','translate_name' => '«يا أيها الذين آمنوا لا ترفعوا أصواتكم» إذا نطقتم «فوق صوت النبي» إذا نطق «ولا تجهروا له بالقول» إذا ناجيتموه «كجهر بعضكم لبعض» بل دون ذلك إجلالا له «أن تحبط أعمالكم وأنتم لا تشعرون» أي خشية ذلك بالرفع والجهر المذكورين، ونزل فيمن كان يخفض صوته عند النبي صلى الله عليه وسلم كأبي بكر وعمر وغيرهما رضى الله عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23323','chapter_id' => '49','chapter_detail_id' => '4615','translator_id' => '4','verse_number' => '3','translate_name' => '«إن الذين يغضون أصواتهم عند رسول الله أولئك الذين امتحن» اختبر «الله قلوبهم للتقوى» أي لتظهر منهم «لهم مغفرة وأجر عظيم» الجنة، ونزل في قوم جاءُوا وقت الظهيرة والنبي صلى الله عليه وسلم في منزله فنادوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23324','chapter_id' => '49','chapter_detail_id' => '4616','translator_id' => '4','verse_number' => '4','translate_name' => '«إن الذين ينادونك من وراء الحجرات» حجرات نسائه صلى الله عليه وسلم جمع حجرة وهي ما يحجر عليه من الأرض بحائط ونحوه، وكان كل واحد منهم نادى خلف حجرة لأنهم لم يعلموه في أي حجرة مناداة الأعراب بغلظة وجفاء «أكثرهم لا يعقلون» فيما فعلوه محلَّك الرفيع وما يناسبه من التعظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23325','chapter_id' => '49','chapter_detail_id' => '4617','translator_id' => '4','verse_number' => '5','translate_name' => '«ولو أنهم صبروا» أنهم في محل رفع بالابتداء، وقيل فاعل لفعل مقدر، أي ثبت «حتى تخرج إليهم لكان خيرا لهم والله غفور رحيم» لمن تاب منهم، ونزل في الوليد بن عقبة وقد بعثه النبي صلى الله عليه وسلم إلى بني المصطلق مصدقا فخافهم لترة كانت بينه وبينهم في الجاهلية فرجع وقال إنهم منعوا الصدقة وهموا بقتله، فهمَّ النبي صلى الله عليه وسلم بغزوهم فجاءوا منكرين ما قاله عنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23326','chapter_id' => '49','chapter_detail_id' => '4618','translator_id' => '4','verse_number' => '6','translate_name' => '«يا أيها الذين آمنوا إن جاءكم فاسق بنبأ» خبر «فتبينوا» صدقه من كذبه، وفي قراءة فتثبتوا من الثبات «أن تصيبوا قوما» مفعول له، أي خشية ذلك «بجهالة» حال من الفاعل، أي جاهلين «فتصبحوا» تصيروا «على ما فعلتم» من الخطأ بالقوم «نادمين» وأرسل صلى الله عليه وسلم إليهم بعد عودهم إلى بلادهم خالدا فلم يرَ فيهم إلا الطاعة والخير فأخبر النبي بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23327','chapter_id' => '49','chapter_detail_id' => '4619','translator_id' => '4','verse_number' => '7','translate_name' => '«واعلموا أن فيكم رسول الله» فلا تقولوا الباطل فإن الله يخبره بالحال «لو يطيعكم في كثير من الأمر» الذي تخبرون به على خلاف الواقع فيرتب على ذلك مقتضاه «لعنتُّم» لأثمتم دونه إثم التسبب إلى المرتب «ولكن الله حبَّب إليكم الإيمان وزينه» حسنه «في قلوبكم وكرَّه إليكم الكفر والفسوق والعصيان» استدراك من حيث المعنى دون اللفظ لأن من حبب إليه الإيمان إلخ غايرت صفته صفة من تقدم ذكره «أولئك هم» فيه التفات عن الخطاب «الراشدون» الثابتون على دينهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23328','chapter_id' => '49','chapter_detail_id' => '4620','translator_id' => '4','verse_number' => '8','translate_name' => '«فضلا من الله» مصدر منصوب بفعله المقدر، أي أفضل «ونعمة» منه «والله عليم» بهم «حكيم» في إنعامه عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23329','chapter_id' => '49','chapter_detail_id' => '4621','translator_id' => '4','verse_number' => '9','translate_name' => '«وإن طائفتان من المؤمنين» الآية، نزلت في قضية هي أن النبي صلى الله عليه وسلم ركب حمارا ومر على ابن أبيّ فبال الحمار فسد ابن أبيّ أنفه فقال ابن رواحة: والله لبول حماره أطيب ريحا من مسكك فكان بين قوميهما ضرب بالأيدي والنعال والسعف «اقتتلوا» جمع نظرا إلى المعنى لأن كل طائفة جماعة، وقرئ اقتتلتا «فأصلحوا بينهما» ثنى نظرا إلى اللفظ «فإن بغت» تعدت «إحداهما على الأخرى فقاتلوا التي تبغي حتى تفيء» ترجع «إلى أمر الله» الحق «فإن فاءت فأصلحوا بينهما بالعدل» بالإنصاف «وأقسطوا» اعدلوا «إن الله يحب المقسطين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23330','chapter_id' => '49','chapter_detail_id' => '4622','translator_id' => '4','verse_number' => '10','translate_name' => '«إنما المؤمنون إخوة» في الدين «فأصلحوا بين أخويكم» إذا تنازعا، وقرئ إخوتكم بالفوقانية «واتقوا الله لعلكم ترحمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23331','chapter_id' => '49','chapter_detail_id' => '4623','translator_id' => '4','verse_number' => '11','translate_name' => '«يا أيها الذين آمنوا لا يسخر» الآية، نزلت في وفد تميم حين سخروا من فقراء المسلمين كعمار وصهيب، والسخرية: الازدراء والاحتقار «قوم» أي رجال منكم «من قوم عسى أن يكونوا خيرا منهم» عند الله «ولا نساء» منكم «من نساءٍ عسى أن يكنَّ خيرا منهن ولا تلمزوا أنفسكم» لا تعيبوا فتعابوا، أي لا يعب بعضكم بعضا «ولا تنابزوا بالألقاب» لا يدعون بعضكم بعضا بلقب يكرهه، ومنه يا فاسق يا كافر «بئس الاسم» أي المذكور من السخرية واللمز والتنابز «الفسوق بعد الإيمان» بدل من الاسم أنه فسق لتكرره عادة «ومن لم يتب» من ذلك «فأولئك هم الظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23332','chapter_id' => '49','chapter_detail_id' => '4624','translator_id' => '4','verse_number' => '12','translate_name' => '«يا أيها الذين آمنوا اجتنبوا كثيرا من الظن إن بعض الظن إثم» أي مؤثم وهو كثير كظن السوء بأهل الخير من المؤمنين، وهم كثير بخلافه بالفساق منهم فلا إثم فيه في نحو يظهر منهم «ولا تجسسوا» حذف منه إحدى التاءين لا تتبعوا عورات المسلمين ومعايبهم بالبحث عنها «ولا يغتب بعضكم بعضا» لا يذكره بشيء يكرهه وإن كان فيه «أيجب أحدكم أن يأكل لحم أخيه ميتا» بالتخفيف والتشديد، أي لا يحسن به «فكرهتموه» أي فاغتيابه في حياته كأكل لحمه بعد مماته وقد عرض عليكم الثاني فكرهتموه فاكرهوا الأول «واتقوا الله» أي عقابه في الاغتياب بأن تتوبوا منه «إن الله توَّاب» قابل توبة التائبين «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23333','chapter_id' => '49','chapter_detail_id' => '4625','translator_id' => '4','verse_number' => '13','translate_name' => '«يا أيها الناس إنا خلقناكم من ذكر وأنثى» آدم وحواء «وجعلناكم شعوبا» جمع شعب بفتح الشين هو أعلى طبقات النسب «وقبائل» هي دون الشعوب وبعدها العمائر ثم البطون ثم الأفخاذ ثم الفصائل آخرها، مثاله خزيمة: شعب، كنانة: قبيلة، قريش: عمارة بكسر العين، قُصي: بطن، هاشم: فخذ، العباس: فصيلة «لتعارفوا» حذف منه إحدى التاءين ليعرف بعضكم بعضا لا لتفاخروا بعلو النسب وإنما الفخر بالتقوى «إن أكرمكم عند الله أتقاكم إن الله عليم» بكم «خبير» ببواطنكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23334','chapter_id' => '49','chapter_detail_id' => '4626','translator_id' => '4','verse_number' => '14','translate_name' => '«قالت الأعراب» نفر من بني أسد «آمنا» صدقنا بقلوبنا «قل» لهم «لم تؤمنوا ولكن قولوا أسلمنا» انقدنا ظاهرا «ولما» أي: لم «يدخل الإيمان في قلوبكم» إلى الآن لكنه يتوقع منكم «وإن تطيعوا الله ورسوله» بالإيمان وغيره «لا يَأْلِتْكُمْ» بالهمز وتركه وبإبداله ألفا: لا ينقصكم «من أعمالكم» أي من ثوابها «شيئا إن الله غفور» للمؤمنين «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23335','chapter_id' => '49','chapter_detail_id' => '4627','translator_id' => '4','verse_number' => '15','translate_name' => '«إنما المؤمنون» أي الصادقون في إيمانهم كما صرح به بعد «الذين آمنوا بالله ورسوله ثم لم يرتابوا» لم يشكوا الإيمان «وجاهدوا بأموالهم وأنفسهم في سبيل الله» فجهادهم يظهر بصدق إيمانهم «أولئك هم الصادقون» في إيمانهم، لا من قالوا آمنا ولم يوجد منهم غير الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23336','chapter_id' => '49','chapter_detail_id' => '4628','translator_id' => '4','verse_number' => '16','translate_name' => '«قل» لهم «أتعلمون الله بدينكم» مضعف علم بمعنى شعر، أي أتُشْعِرونه بما أنتم عليه في قولكم آمنا «والله يعلم ما في السماوات وما في الأرض والله بكل شيء عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23337','chapter_id' => '49','chapter_detail_id' => '4629','translator_id' => '4','verse_number' => '17','translate_name' => '«يمنون عليك أن أسلموا» من غير قتال بخلاف غيرهم ممن أسلم بعد قتاله منهم «قل لا تمنوا عليَّ إسلامكم» منصوب بنزع الخافض الباء ويقدر قبل أن في الموضعين «بل الله يمنُّ عليكم أن هداكم للإيمان إن كنتم صادقين» في قولكم آمنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23338','chapter_id' => '49','chapter_detail_id' => '4630','translator_id' => '4','verse_number' => '18','translate_name' => '«إن الله يعلم غيب السماوات والأرض» أي ما غاب فيهما «والله بصير بما يعملون» بالياء والتاء لا يخفى عليه شيء منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23339','chapter_id' => '50','chapter_detail_id' => '4631','translator_id' => '4','verse_number' => '1','translate_name' => '«ق» الله أعلم بمراده به «والقرآن المجيد» الكريم ما آمن كفار مكة بمحمد صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23340','chapter_id' => '50','chapter_detail_id' => '4632','translator_id' => '4','verse_number' => '2','translate_name' => '«بل عجبوا أن جاءهم منذر منهم» رسول من أنفسهم يخوّفهم بالنار بعد البعث «فقال الكافرون هذا» الإنذار «شيء عجيب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23341','chapter_id' => '50','chapter_detail_id' => '4633','translator_id' => '4','verse_number' => '3','translate_name' => '«أإذا» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين «متنا وكنا ترابا» نرجع «ذلك رجع بعيد» في غاية البعد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23342','chapter_id' => '50','chapter_detail_id' => '4634','translator_id' => '4','verse_number' => '4','translate_name' => '«قد علمنا ما تنقص الأرض» تأكل «منهم وعندنا كتاب حفيظ» هو اللوح المحفوظ فيه جميع الأشياء المقدرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23343','chapter_id' => '50','chapter_detail_id' => '4635','translator_id' => '4','verse_number' => '5','translate_name' => '«بل كذبوا بالحق» بالقرآن «لما جاءهم فهم» في شأن النبي صلى الله عليه وسلم والقرآن «في أمر مريج» مضطرب قالوا مرة: ساحر وسحر، ومرة: شاعر وشعر، ومرة: كاهن وكهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23344','chapter_id' => '50','chapter_detail_id' => '4636','translator_id' => '4','verse_number' => '6','translate_name' => '«أفلم ينظروا» بعيونهم معتبرين بعقولهم حين أنكروا البعث «إلى السماء» كائنة «فوقهم كيف بنيناها» بلا عمد «وزيناها» بالكواكب «وما لها من فروج» شقوق تعيبها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23345','chapter_id' => '50','chapter_detail_id' => '4637','translator_id' => '4','verse_number' => '7','translate_name' => '«والأرض» معطوف على موضع إلى السماء، كيف «مددناها» دحوناها على وجه الماء «وألقينا فيها رواسي» جبالا تثبتها «وأنبتنا فيها من كل زوج» صنف «بهيج» يبهج به لحسنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23346','chapter_id' => '50','chapter_detail_id' => '4638','translator_id' => '4','verse_number' => '8','translate_name' => '«تبصرة» مفعول له، أي فعلنا ذلك تبصيرا منا «وذكرى» تذكيرا «لكل عبد منيب» رجّاع إلى طاعتنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23347','chapter_id' => '50','chapter_detail_id' => '4639','translator_id' => '4','verse_number' => '9','translate_name' => '«ونزلنا من السماء ماءً مباركا» كثير البركة «فأنبتنا به جنات» بساتين «وحب» الزرع «الحصيد» المحصود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23348','chapter_id' => '50','chapter_detail_id' => '4640','translator_id' => '4','verse_number' => '10','translate_name' => '«والنخل باسقات» طوالا حال مقدرة «لها طلع نضيد» متراكب بعضه فوق بعض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23349','chapter_id' => '50','chapter_detail_id' => '4641','translator_id' => '4','verse_number' => '11','translate_name' => '«رزقا للعباد» مفعول له «وأحيينا به بلدة ميتا» يستوي فيه المذكر والمؤنث «كذلك» أي مثل هذا الإحياء «الخروج» من القبور فكيف تنكرونه والاستفهام للتقرير والمعنى أنهم نظروا وعلموا ما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23350','chapter_id' => '50','chapter_detail_id' => '4642','translator_id' => '4','verse_number' => '12','translate_name' => '«كذبت قبلهم قوم نوح» تأنيث الفعل بمعنى قوم «وأصحاب الرس» هي بئر كانوا مقيمين عليها بمواشيهم يعبدون الأصنام ونبيهم: قيل حنظلة بن صفوان وقيل غيره «وثمود» قوم صالح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23351','chapter_id' => '50','chapter_detail_id' => '4643','translator_id' => '4','verse_number' => '13','translate_name' => '«وعاد» قوم هود «وفرعون وإخوان لوط».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23352','chapter_id' => '50','chapter_detail_id' => '4644','translator_id' => '4','verse_number' => '14','translate_name' => '«وأصحاب الأيكة» الغيضة قوم شعيب «وقوم تُبَّع» هو ملك كان باليمن أسلم ودعا قومه إلى الإسلام فكذبوه «كل» من المذكورين «كذب الرسل» كقريش «فحق وعيد» وجب نزول العذاب على الجميع فلا يضيق صدرك من كفر قريش بك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23353','chapter_id' => '50','chapter_detail_id' => '4645','translator_id' => '4','verse_number' => '15','translate_name' => '«أفعيينا بالخلق الأول» أي لم نعي به فلا نعيا بالإعادة «بل هم في لبس» شك «من خلق جديد» وهو البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23354','chapter_id' => '50','chapter_detail_id' => '4646','translator_id' => '4','verse_number' => '16','translate_name' => '«ولقد خلقنا الإنسان ونعلم» حال بتقدير نحن «ما» مصدرية «توسوس» تحدث «به» الباء زائدة أو للتعدية والضمير للإنسان «نفسه ونحن أقرب إليه» بالعلم «من حبل الوريد» الإضافة للبيان والوريدان عرقان بصفحتي العنق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23355','chapter_id' => '50','chapter_detail_id' => '4647','translator_id' => '4','verse_number' => '17','translate_name' => '«إذ» منصوبة باذكر مقدرا «يتلقى» يأخذ ويثبت «المتلقيان» الملكان الموكلان بالإنسان ما يعمله «عن اليمين وعن الشمال» منه «قعيد» أي قاعدان وهو مبتدأ خبره ما قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23356','chapter_id' => '50','chapter_detail_id' => '4648','translator_id' => '4','verse_number' => '18','translate_name' => '«ما يلفظ من قول إلا لديه رقيب» حافظ «عتيد» حاضر وكل منهما بمعنى المثنى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23357','chapter_id' => '50','chapter_detail_id' => '4649','translator_id' => '4','verse_number' => '19','translate_name' => '«وجاءت سكرة الموت» غمرته وشدته «بالحق» من أمر الآخرة حتى المنكر لها عيانا وهو نفس الشدة «ذلك» أي الموت «ما كنت منه تحيد» تهرب وتفزع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23358','chapter_id' => '50','chapter_detail_id' => '4650','translator_id' => '4','verse_number' => '20','translate_name' => '«ونفخ في الصور» للبعث «ذلك» أي يوم النفخ «يوم الوعيد» للكفار بالعذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23359','chapter_id' => '50','chapter_detail_id' => '4651','translator_id' => '4','verse_number' => '21','translate_name' => '«وجاءت» فيه «كل نفس» إلى المحشر «معها سائق» ملك يسوقها إليه «وشهيد» يشهد عليها بعملها وهو الأيدي والأرجل وغيرها ويقال للكافر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23360','chapter_id' => '50','chapter_detail_id' => '4652','translator_id' => '4','verse_number' => '22','translate_name' => '«لقد كنت» في الدنيا «في غفلة من هذا» النازل بك اليوم «فكشفنا عنك غطاءك» أزلنا غفلتك بما تشاهده اليوم «فبصرُك اليوم حديد» حاد تدرك به ما أنكرته في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23361','chapter_id' => '50','chapter_detail_id' => '4653','translator_id' => '4','verse_number' => '23','translate_name' => '«وقال قرينه» الملك الموكل به «هذا ما» أي الذي «لديَّ عتيد» حاضر فيقال لمالك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23362','chapter_id' => '50','chapter_detail_id' => '4654','translator_id' => '4','verse_number' => '24','translate_name' => '«ألقيا في جهنم» أي: ألق ألق أو ألقين وبه قرأ الحسن فأبدلت النون ألفا «كلَّ كفار عنيد» معاند للحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23363','chapter_id' => '50','chapter_detail_id' => '4655','translator_id' => '4','verse_number' => '25','translate_name' => '«منَّاع للخير» كالزكاة «معتد» ظالم «مريب» شاك في دينه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23364','chapter_id' => '50','chapter_detail_id' => '4656','translator_id' => '4','verse_number' => '26','translate_name' => '«الذي جعل مع الله إلها آخر» مبتدأ ضُمن معنى الشرط خبره «فألقياه في العذاب الشديد» تفسيره مثل ما تقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23365','chapter_id' => '50','chapter_detail_id' => '4657','translator_id' => '4','verse_number' => '27','translate_name' => '«قال قرينه» الشيطان «ربنا ما أطغيته» أضللته «ولكن كان في ضلال بعيد» فدعوته فاستجاب لي، وقال هو أطغاني بدعائه له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23366','chapter_id' => '50','chapter_detail_id' => '4658','translator_id' => '4','verse_number' => '28','translate_name' => '«قال» تعالى «لا تختصموا لديَّ» أي ما ينفع الخصام هنا «وقد قدمت إليكم» في الدنيا «بالوعيد» بالعذاب في الآخرة لو لم تؤمنوا ولا بد منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23367','chapter_id' => '50','chapter_detail_id' => '4659','translator_id' => '4','verse_number' => '29','translate_name' => '(ما يبدل) يغير (القول لدي) في ذلك (وما أنا بظلام للعبيد) فأعذبهم بغير جرم، وظلام بمعنى ذي ظلم لقوله "" لا ظلم "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23368','chapter_id' => '50','chapter_detail_id' => '4660','translator_id' => '4','verse_number' => '30','translate_name' => '«يوم» ناصبه ظلام «نقول» بالنون والياء «لجهنم هل امتلأت» استفهام لوعده بمثلها «وتقول» بصورة الاستفهام كالسؤال «هل من مزيد» أي لا أسع غير ما امتلأت به، أي قد امتلأت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23369','chapter_id' => '50','chapter_detail_id' => '4661','translator_id' => '4','verse_number' => '31','translate_name' => '«وأزلفت الجنة» قربت «للمتقين» مكانا «غير بعيد» منهم فيرونها ويقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23370','chapter_id' => '50','chapter_detail_id' => '4662','translator_id' => '4','verse_number' => '32','translate_name' => '«هذا» المرئي «ما توعدون» بالتاء والياء في الدنيا ويبدل من للمتقين قوله «لكل أوَّاب» رجّاع إلى طاعة الله «حفيظ» حافظ لحدوده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23371','chapter_id' => '50','chapter_detail_id' => '4663','translator_id' => '4','verse_number' => '33','translate_name' => '«من خشي الرحمن بالغيب» خافه ولم يره «وجاء بقلب منيب» مقبل على طاعته، ويقال للمتقين أيضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23372','chapter_id' => '50','chapter_detail_id' => '4664','translator_id' => '4','verse_number' => '34','translate_name' => '«ادخلوها بسلام» سالمين من كل مخوف أو مع سلام، أي سلموا وادخلوا «ذلك» اليوم الذي حصل فيه الدخول «يومُ الخلود» الدوام في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23373','chapter_id' => '50','chapter_detail_id' => '4665','translator_id' => '4','verse_number' => '35','translate_name' => '«لهم ما يشاءُون فيها ولدينا مزيد» زيادة على ما عملوا وطلبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23374','chapter_id' => '50','chapter_detail_id' => '4666','translator_id' => '4','verse_number' => '36','translate_name' => '«وكم أهلكنا قبلهم من قرن» أي أهلكنا قبل كفار قريش قرونا كثيرة من الكفار «هم أشد منهم بطشا» قوة «فنقبوا» فتشوا «في البلاد هل من محيص» لهم أو لغيرهم من الموت فلم يجدوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23375','chapter_id' => '50','chapter_detail_id' => '4667','translator_id' => '4','verse_number' => '37','translate_name' => '«إن في ذلك» المذكور «لذكرى» لعظة «لمن كان له قلب» عقل «أو ألقى السمع» استمع الوعظ «وهو شهيد» حاضر بالقلب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23376','chapter_id' => '50','chapter_detail_id' => '4668','translator_id' => '4','verse_number' => '38','translate_name' => '(ولقد خلقنا السماوات والأرض وما بينهما في ستة أيام) أولها الأحد وآخرها الجمعة (وما مسنا من لغوب) تعب، نزل ردا على اليهود في قولهم: إن الله استراح يوم السبت وانتفاء التعب عنه لتنزهه تعالى عن صفات المخلوقين ولعدم المماثلة بينه وبين غيره "" إنما أمره إذا أراد شيئا أن يقول له كن فيكون "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23377','chapter_id' => '50','chapter_detail_id' => '4669','translator_id' => '4','verse_number' => '39','translate_name' => '«فاصبر» خطاب للنبي صلى الله عليه وسلم «على ما يقولون» أي اليهود وغيرهم من التشبيه والتكذيب «وسبح بحمد ربك» صل حامدا «قبل طلوع الشمس» أي صلاة الصبح «وقبل الغروب» أي صلاة الظهر والعصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23378','chapter_id' => '50','chapter_detail_id' => '4670','translator_id' => '4','verse_number' => '40','translate_name' => '«ومن الليل فسبحه» أي صل العشاءين «وأَِدبار السجود» بفتح الهمزة جمع دبر وكسرها مصدر أدبر، أي صل النوافل المسنونة عقب الفرائض وقيل المراد حقيقة التسبيح في هذه الأوقات ملابسا للحمد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23379','chapter_id' => '50','chapter_detail_id' => '4671','translator_id' => '4','verse_number' => '41','translate_name' => '«واستمع» يا مخاطب مقولي «يوم يناد المناد» هو إسرافيل «من مكان قريب» من السماء وهو صخرة بيت المقدس أقرب موضع من الأرض إلى السماء يقول: أيتها العظام البالية والأوصال المتقطعة واللحوم المتمزقة والشعور المتفرقة إن الله يأمركن أن تجتمعن لفصل القضاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23380','chapter_id' => '50','chapter_detail_id' => '4672','translator_id' => '4','verse_number' => '42','translate_name' => '«يوم» بدل من يوم قبله «يسمعون» أي الخلق كلهم «الصيحة بالحق» بالبعث وهي النفخة الثانية من إسرافيل ويحتمل أن تكون قبل ندائه وبعده «ذلك» أي يوم النداء والسماع «يوم الخروج» من القبور وناصب يوم ينادي مقدرا، أي يعلمون عاقبة تكذيبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23381','chapter_id' => '50','chapter_detail_id' => '4673','translator_id' => '4','verse_number' => '43','translate_name' => '«إنا نحن نحيي ونميت وإلينا المصير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23382','chapter_id' => '50','chapter_detail_id' => '4674','translator_id' => '4','verse_number' => '44','translate_name' => '«يوم» بدل من يوم قبله وما بينهما اعتراض «تشقق» بتخفيف الشين وتشديدها بإدغام التاء الثانية في الأصل فيها «الأرض عنهم سراعا» جمع سريع حال من مقدر، أي فيخرجون مسرعين «ذلك حشر علينا يسير» فيه فصل بين الموصوف والصفة بمتعلقها للاختصاص وهو لا يضر وذلك إشارة إلى معنى الحشر المخبر به عنه، وهو الإحياء بعد الفناء والجمع للعرض والحساب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23383','chapter_id' => '50','chapter_detail_id' => '4675','translator_id' => '4','verse_number' => '45','translate_name' => '«نحن أعلم بما يقولون» أي كفار قريش «وما أنت عليهم بجبار» تجبرهم على الإيمان وهذا قبل الأمر بالجهاد «فذكِّر بالقرآن من يخاف وعيد» وهم المؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23384','chapter_id' => '51','chapter_detail_id' => '4676','translator_id' => '4','verse_number' => '1','translate_name' => '«والذاريات» الرياح تذرو التراب وغيره «ذروا» مصدر، ويُقال تذريه ذريا تهب به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23385','chapter_id' => '51','chapter_detail_id' => '4677','translator_id' => '4','verse_number' => '2','translate_name' => '«فالحاملات» السحب تحمل الماء «وقراً» ثقلا مفعول الحاملات','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23386','chapter_id' => '51','chapter_detail_id' => '4678','translator_id' => '4','verse_number' => '3','translate_name' => '«فالجاريات» السفن تجري على وجه الماء «يُسرا» بسهولة مصدر في موضع الحال، أي ميسرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23387','chapter_id' => '51','chapter_detail_id' => '4679','translator_id' => '4','verse_number' => '4','translate_name' => '«فالمقسمات أمرا» الملائكة تقسم الأرزاق والأمطار وغيرها بين البلاد والعباد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23388','chapter_id' => '51','chapter_detail_id' => '4680','translator_id' => '4','verse_number' => '5','translate_name' => '«إنما توعدون» ما مصدرية، أي وعدهم بالبعث وغيره «لصادق» لوعد صادق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23389','chapter_id' => '51','chapter_detail_id' => '4681','translator_id' => '4','verse_number' => '6','translate_name' => '«وإن الدين» الجزاء بعد الحساب «لواقع» لا محالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23390','chapter_id' => '51','chapter_detail_id' => '4682','translator_id' => '4','verse_number' => '7','translate_name' => '«والسماء ذات الحبك» جمع حبيكة كطريقة وطريق أي صاحبة الطرق في الخلقة كالطريق في الرمل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23391','chapter_id' => '51','chapter_detail_id' => '4683','translator_id' => '4','verse_number' => '8','translate_name' => '«إنكم» يا أهل مكة في شأن النبي صلى الله عليه وسلم والقرآن «لفي قول مختلف» قيل شاعر ساحر كاهن شعر سحر كهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23392','chapter_id' => '51','chapter_detail_id' => '4684','translator_id' => '4','verse_number' => '9','translate_name' => '«يؤفك عنه من أفك» صرف عن الهداية في علم الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23393','chapter_id' => '51','chapter_detail_id' => '4685','translator_id' => '4','verse_number' => '10','translate_name' => '«قُتل الخراصون» لعن الكذابون أصحاب القول المختلف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23394','chapter_id' => '51','chapter_detail_id' => '4686','translator_id' => '4','verse_number' => '11','translate_name' => '«الذين هم في غمرة» جهل يغمرهم «ساهون» غافلون عن أمر الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23395','chapter_id' => '51','chapter_detail_id' => '4687','translator_id' => '4','verse_number' => '12','translate_name' => '«يسألون» النبي استفهام استهزاء «أيان يوم الدين» أي متى مجيئه وجوابهم: يجيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23396','chapter_id' => '51','chapter_detail_id' => '4688','translator_id' => '4','verse_number' => '13','translate_name' => '«يوم هم على النار يفتنون» أي يعذبون فيها ويقال لهم حين التعذيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23397','chapter_id' => '51','chapter_detail_id' => '4689','translator_id' => '4','verse_number' => '14','translate_name' => '«ذوقوا فتنتكم» تعذيبكم «هذا» التعذيب «الذي كنتم به تستعجلون» في الدنيا استهزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23398','chapter_id' => '51','chapter_detail_id' => '4690','translator_id' => '4','verse_number' => '15','translate_name' => '«إن المتقين في جنات» بساتين «وعيون» تجري فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23399','chapter_id' => '51','chapter_detail_id' => '4691','translator_id' => '4','verse_number' => '16','translate_name' => '«آخذين» حال من الضمير في خبر إن «ما آتاهم» أعطاهم «ربهم» من الثواب «إنهم كانوا قبل ذلك» أي دخولهم الجنة «محسنين» في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23400','chapter_id' => '51','chapter_detail_id' => '4692','translator_id' => '4','verse_number' => '17','translate_name' => '«كانوا قليلا من الليل ما يهجعون» ينامون، وما زائدة ويهجعون خبر كان وقليلا ظرف، أي ينامون في زمن يسير من الليل ويصلون أكثره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23401','chapter_id' => '51','chapter_detail_id' => '4693','translator_id' => '4','verse_number' => '18','translate_name' => '«وبالأسحار هم يستغفرون» يقولون: اللهم اغفر لنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23402','chapter_id' => '51','chapter_detail_id' => '4694','translator_id' => '4','verse_number' => '19','translate_name' => '«وفي أموالهم حق للسائل والمحروم» الذي لا يسأل لتعففه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23403','chapter_id' => '51','chapter_detail_id' => '4695','translator_id' => '4','verse_number' => '20','translate_name' => '«وفي الأرض» من الجبال والبحار والأشجار والثمار والنبات وغيرها «آيات» دلالات على قدرة الله سبحانه وتعالى ووحدانيته «للموقنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23404','chapter_id' => '51','chapter_detail_id' => '4696','translator_id' => '4','verse_number' => '21','translate_name' => '«وفي أنفسكم» آيات أيضا من مبدأ خلقكم إلى منتهاه، وما في تركيب خلقكم من العجائب «أفلا تبصرون» ذلك فتستدلون به على صانعه وقدرته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23405','chapter_id' => '51','chapter_detail_id' => '4697','translator_id' => '4','verse_number' => '22','translate_name' => '«وفي السماء رزقكم» أي المطر المسبب عنه النبات الذي هو رزق «وما توعدون» من المآب والثواب والعقاب أي مكتوب ذلك في السماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23406','chapter_id' => '51','chapter_detail_id' => '4698','translator_id' => '4','verse_number' => '23','translate_name' => '«فورب السماء والأرض إنه» أي ما توعدون «لحق مثلُ ما أنكم تنطقون» برفع مثل صفة، وما مزيدة وبفتح اللام مركبة مع ما، المعنى: مثل نطقكم في حقيقته أي معلوميته عندكم ضرورة صدوره عنكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23407','chapter_id' => '51','chapter_detail_id' => '4699','translator_id' => '4','verse_number' => '24','translate_name' => '«هل أتاك» خطاب للنبي صلى الله عليه وسلم «حديث ضيف إبراهيم المكرمين» وهم ملائكة اثنا عشر أو عشرة أو ثلاثة، منهم جبريل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23408','chapter_id' => '51','chapter_detail_id' => '4700','translator_id' => '4','verse_number' => '25','translate_name' => '«إذ» ظرف لحديث ضيف «دخلوا عليه فقالوا سلاما» أي هذا اللفظ «قال سلام» أي هذا اللفظ «قوم منكرون» لا نعرفهم قال ذلك في نفسه وهو خبر مبتدأ مقدر أي هؤلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23409','chapter_id' => '51','chapter_detail_id' => '4701','translator_id' => '4','verse_number' => '26','translate_name' => '(فراغ) مال (إلى أهله) سرا (فجاء بعجل سمين) وفي سورة هود "" بعجل حنيذ "" أي مشوي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23410','chapter_id' => '51','chapter_detail_id' => '4702','translator_id' => '4','verse_number' => '27','translate_name' => '«فقربه إليهم قال ألا تأكلون» عرض عليهم الأكل فلم يجيبوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23411','chapter_id' => '51','chapter_detail_id' => '4703','translator_id' => '4','verse_number' => '28','translate_name' => '«فأوجس» أضمر في نفسه «منهم خيفة قالوا لا تخف» إنا رسل ربك «وبشروه بغلام عليم» ذي علم كثير وهو إسحاق كما ذكر في هود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23412','chapter_id' => '51','chapter_detail_id' => '4704','translator_id' => '4','verse_number' => '29','translate_name' => '«فأقبلت امراته» سارة «في صرَّة» صيحة حال، أي جاءت صائحة «فصكت وجهها» لطمته «وقالت عجوز عقيم» لم تلد قط وعمرها تسع وتسعون سنة وعمر إبراهيم مائة سنة، أو عمره مائة وعشرون سنة وعمرها تسعون سنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23413','chapter_id' => '51','chapter_detail_id' => '4705','translator_id' => '4','verse_number' => '30','translate_name' => '«قالوا كذلك» أي مثل قولنا في البشارة «قال ربك إنه هو الحكيم» في صنعه «العليم» بخلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23414','chapter_id' => '51','chapter_detail_id' => '4706','translator_id' => '4','verse_number' => '31','translate_name' => '«قال فما خطبكم» شأنكم «أيها المرسلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23415','chapter_id' => '51','chapter_detail_id' => '4707','translator_id' => '4','verse_number' => '32','translate_name' => '«قالوا إنا أرسلنا إلى قوم مجرمين» كافرين هم قوم لوط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23416','chapter_id' => '51','chapter_detail_id' => '4708','translator_id' => '4','verse_number' => '33','translate_name' => '«لنرسل عليهم حجارة من طين» مطبوخ بالنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23417','chapter_id' => '51','chapter_detail_id' => '4709','translator_id' => '4','verse_number' => '34','translate_name' => '«مُسَوَّمة» معلمة عليها اسم من يْرمى بها «عند ربك» ظرف لها «للمسرفين» بإتيانهم الذكور مع كفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23418','chapter_id' => '51','chapter_detail_id' => '4710','translator_id' => '4','verse_number' => '35','translate_name' => '«فأخرجنا من كان فيها» أي قرى قوم لوط «من المؤمنين» لإهلاك الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23419','chapter_id' => '51','chapter_detail_id' => '4711','translator_id' => '4','verse_number' => '36','translate_name' => '«فما وجدنا فيها غير بيت من المسلمين» وهو لوط وابنتاه وصفوا بالإيمان والإسلام، أي هم مصدقون بقلوبهم عاملون بجوارحهم الطاعات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23420','chapter_id' => '51','chapter_detail_id' => '4712','translator_id' => '4','verse_number' => '37','translate_name' => '«وتركنا فيها» بعد إهلاك الكافرين «آية» علامة على إهلاكهم «للذين يخافون العذاب الأليم» فلا يفعلون مثل فعلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23421','chapter_id' => '51','chapter_detail_id' => '4713','translator_id' => '4','verse_number' => '38','translate_name' => '«وفي موسى» معطوف على فيها، المعنى وجعلنا في قصة موسى آية «إذ أرسلناه إلى فرعون» ملتبسا «بسلطان مبين» بحجة واضحة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23422','chapter_id' => '51','chapter_detail_id' => '4714','translator_id' => '4','verse_number' => '39','translate_name' => '«فتولى» أعرض عن الإيمان «بركنه» مع جنوده لأنهم له كالركن «وقال» لموسى هو «ساحر أو مجنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23423','chapter_id' => '51','chapter_detail_id' => '4715','translator_id' => '4','verse_number' => '40','translate_name' => '«فأخذناه وجنوده فنبذناهم» طرحناهم «في اليم» البحر فغرقوا «وهو» أي فرعون «مُليم» آت بما يلام عليه من تكذيب الرسل ودعوى الربوبية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23424','chapter_id' => '51','chapter_detail_id' => '4716','translator_id' => '4','verse_number' => '41','translate_name' => '«وفي» إهلاك «عاد» آية «إذ أرسلنا عليهم الريح العقيم» هي التي لا خير فيها لأنها لا تحمل المطر ولا تلقح الشجر وهي الدبور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23425','chapter_id' => '51','chapter_detail_id' => '4717','translator_id' => '4','verse_number' => '42','translate_name' => '«ما تذر من شيء» نفس أو مال «أتت عليه إلا جعلته كالرميم» كالبالي المتفتت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23426','chapter_id' => '51','chapter_detail_id' => '4718','translator_id' => '4','verse_number' => '43','translate_name' => '(وفي) إهلاك (ثمود) آية (إذ قيل لهم) بعد عقر الناقة (تمتعوا حتى حين) إلى انقضاء آجالكم كما في آية "" تمتعوا في داركم ثلاثة أيام "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23427','chapter_id' => '51','chapter_detail_id' => '4719','translator_id' => '4','verse_number' => '44','translate_name' => '«فعتوْا» تكبروا «عن أمر ربهم» أي عن امتثاله «فأخذتهم الصاعقة» بعد مضي الثلاثة أيام أي الصيحة المهلكة «وهم ينظرون» أي بالنهار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23428','chapter_id' => '51','chapter_detail_id' => '4720','translator_id' => '4','verse_number' => '45','translate_name' => '«فما استطاعوا من قيام» أي ما قدروا على النهوض حين نزول العذاب «وما كانوا منتصرين» على من أهلكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23429','chapter_id' => '51','chapter_detail_id' => '4721','translator_id' => '4','verse_number' => '46','translate_name' => '«وقوم نوح» بالجر عطف على ثمود أي وفى إهلاكهم بما في السماء والأرض آية, وبالنصب أي وأهلكنا قوم نوح «من قبل» أي قبل إهلاك هؤلاء المذكورين «إنهم كانوا قوما فاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23430','chapter_id' => '51','chapter_detail_id' => '4722','translator_id' => '4','verse_number' => '47','translate_name' => '«والسماء بنيناها بأيد» بقوة «وإنا لموسعون» قادرون يقال: أد الرجل يئيد قوي، وأوسع الرجل: صار ذا سعة وقوة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23431','chapter_id' => '51','chapter_detail_id' => '4723','translator_id' => '4','verse_number' => '48','translate_name' => '«والأرض فرشناها» مهدناها «فنعم الماهدون» نحن «ومن كل شيء» متعلق بقوله خلقنا زوجين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23432','chapter_id' => '51','chapter_detail_id' => '4724','translator_id' => '4','verse_number' => '49','translate_name' => '«ومن كل شيء» متعلق بقوله: خلقنا «خلقنا زوجين» صنفين كالذكر والأنثى والسماء والأرض، والشمس والقمر، والسهل والجبل، والصيف والشتاء، والحلو والحامض والنور والظلمة «لعلكم تذكَّرون» بحذف إحدى التاءين من الأصل فتعلمون أن خالق الأزواج فرد فتعبدوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23433','chapter_id' => '51','chapter_detail_id' => '4725','translator_id' => '4','verse_number' => '50','translate_name' => '«ففروا إلى الله» أي إلى ثوابه من عقابه بأن تطيعوه ولا تعصوه «إني لكم منه نذير مبين» بيِّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23434','chapter_id' => '51','chapter_detail_id' => '4726','translator_id' => '4','verse_number' => '51','translate_name' => '«ولا تجعلوا مع الله إلها آخر إني لكم منه نذير مبين» يقدر قبل ففروا قل لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23435','chapter_id' => '51','chapter_detail_id' => '4727','translator_id' => '4','verse_number' => '52','translate_name' => '«كذلك ما أتى الذين من قبلهم من رسول إلا قالوا» هو «ساحر أو مجنون» أي مثل تكذيبهم لك بقولهم إنك ساحر أو مجنون تكذيب الأمم قبلهم رسلهم بقولهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23436','chapter_id' => '51','chapter_detail_id' => '4728','translator_id' => '4','verse_number' => '53','translate_name' => '«أتواصوْا» كلهم «به» استفهام بمعنى النفي «بل هم قوم طاغون» جمعهم على هذا القول طغيانهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23437','chapter_id' => '51','chapter_detail_id' => '4729','translator_id' => '4','verse_number' => '54','translate_name' => '«فتولَّ» أعرض «عنهم فما أنت بملوم» لأنك بلغتهم الرسالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23438','chapter_id' => '51','chapter_detail_id' => '4730','translator_id' => '4','verse_number' => '55','translate_name' => '«وذكر» عظ بالقرآن «فإن الذكرى تنفع المؤمنين» من علم اللهُ تعالى أنه يؤمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23439','chapter_id' => '51','chapter_detail_id' => '4731','translator_id' => '4','verse_number' => '56','translate_name' => '«وما خلقت الجن والإنس إلا ليعبدون» ولا ينافي ذلك عدم عبادة الكافرين، لأن الغاية لا يلزم وجودها كما في قولك: بريت هذا القلم لأكتب به، فإنك قد لا تكتب به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23440','chapter_id' => '51','chapter_detail_id' => '4732','translator_id' => '4','verse_number' => '57','translate_name' => '«ما أريد منهم من رزق» لي ولأنفسهم وغيرهم «وما أريد أن يطعمون» ولا أنفسهم ولا غيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23441','chapter_id' => '51','chapter_detail_id' => '4733','translator_id' => '4','verse_number' => '58','translate_name' => '«إن الله هو الرزاق ذو القوة المتين» الشديد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23442','chapter_id' => '51','chapter_detail_id' => '4734','translator_id' => '4','verse_number' => '59','translate_name' => '«فإن للذين ظلموا» أنفسهم بالكفر من أهل مكة وغيرهم «ذنوبا» نصيبا من العذاب «مثل ذنوب» نصيب «أصحابهم» الهالكين قبلهم «فلا يستعجلون» بالعذاب إن أخرتهم إلى يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23443','chapter_id' => '51','chapter_detail_id' => '4735','translator_id' => '4','verse_number' => '60','translate_name' => '«فويل» شدة عذاب «للذين كفروا من» في «يومهم الذي يوعدون» أي يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23444','chapter_id' => '52','chapter_detail_id' => '4736','translator_id' => '4','verse_number' => '1','translate_name' => '«والطور» أي الجبل الذي كلم الله عليه موسى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23445','chapter_id' => '52','chapter_detail_id' => '4737','translator_id' => '4','verse_number' => '2','translate_name' => '«وكتاب مسطور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23446','chapter_id' => '52','chapter_detail_id' => '4738','translator_id' => '4','verse_number' => '3','translate_name' => '«في رقٍّ منشور» أي التوراة أو القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23447','chapter_id' => '52','chapter_detail_id' => '4739','translator_id' => '4','verse_number' => '4','translate_name' => '«والبيت المعمور» هو في السماء الثالثة أو السادسة أو السابعة بحيال الكعبة يزوره كل يوم سبعون ألف ملك بالطواف والصلاة لا يعودون إليه أبدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23448','chapter_id' => '52','chapter_detail_id' => '4740','translator_id' => '4','verse_number' => '5','translate_name' => '«والسقف المرفوع» أي السماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23449','chapter_id' => '52','chapter_detail_id' => '4741','translator_id' => '4','verse_number' => '6','translate_name' => '«والبحر المسجور» أي المملوء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23450','chapter_id' => '52','chapter_detail_id' => '4742','translator_id' => '4','verse_number' => '7','translate_name' => '«إن عذاب ربك لواقع» لنازل بمستحقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23451','chapter_id' => '52','chapter_detail_id' => '4743','translator_id' => '4','verse_number' => '8','translate_name' => '«ماله من دافع» عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23452','chapter_id' => '52','chapter_detail_id' => '4744','translator_id' => '4','verse_number' => '9','translate_name' => '«يوم» مفعول لواقع «تمور السماء مورا» تتحرك وتدور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23453','chapter_id' => '52','chapter_detail_id' => '4745','translator_id' => '4','verse_number' => '10','translate_name' => '«وتسير الجبال سيرا» تصير هباء منثورا وذلك في يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23454','chapter_id' => '52','chapter_detail_id' => '4746','translator_id' => '4','verse_number' => '11','translate_name' => '«فويل» شدة عذاب «يومئذ للمكذبين» للرسل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23455','chapter_id' => '52','chapter_detail_id' => '4747','translator_id' => '4','verse_number' => '12','translate_name' => '«الذين هم في خوض» باطل «يلعبون» أي يتشاغلون بكفرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23456','chapter_id' => '52','chapter_detail_id' => '4748','translator_id' => '4','verse_number' => '13','translate_name' => '«يوم يُدعُّون إلى نار جهنم دعّا» يدفعون بعنف بدل من يوم تمور، ويقال لهم تبكيتا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23457','chapter_id' => '52','chapter_detail_id' => '4749','translator_id' => '4','verse_number' => '14','translate_name' => '«هذه النار التي كنتم بها تكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23458','chapter_id' => '52','chapter_detail_id' => '4750','translator_id' => '4','verse_number' => '15','translate_name' => '«أفسحر هذا» العذاب الذي ترون كما كنتم تقولون في الوحي هذا سحر «أم أنتم لا تبصرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23459','chapter_id' => '52','chapter_detail_id' => '4751','translator_id' => '4','verse_number' => '16','translate_name' => '«اصلوْها فاصبروا» عليها «أو لا تصبروا» صبركم وجزعكم «سواء عليكم» لأن صبركم لا ينفعكم «إنما تجزون ما كنتم تعملون» أي جزاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23460','chapter_id' => '52','chapter_detail_id' => '4752','translator_id' => '4','verse_number' => '17','translate_name' => '«إن المتقين في جنات ونعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23461','chapter_id' => '52','chapter_detail_id' => '4753','translator_id' => '4','verse_number' => '18','translate_name' => '«فاكهين» متلذذين «بما» مصدرية «آتاهم» أعطاهم «ربهم ووقاهم ربهم عذاب الجحيم» عطفا على آتاهم، أي بإتيانهم ووقايتهم ويقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23462','chapter_id' => '52','chapter_detail_id' => '4754','translator_id' => '4','verse_number' => '19','translate_name' => '«كلوا واشربوا هنيئا» حال أي: مهنئين «بما» الباء سببية «كنتم تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23463','chapter_id' => '52','chapter_detail_id' => '4755','translator_id' => '4','verse_number' => '20','translate_name' => '(متكئين) حال من الضمير المستكن في قوله "" في جنات "" (على سرر مصفوفة) بعضها إلى جنب بعض (وزوجناهم) عطف على جنات، أي قرناهم (بحور عين) عظام الأعين حسانها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23464','chapter_id' => '52','chapter_detail_id' => '4756','translator_id' => '4','verse_number' => '21','translate_name' => '«والذين آمنوا» مبتدأ «أتبعناهم» وفي قراءة واتبعتهم معطوف على آمنوا «ذرياتهم» وفي قراءة ذريتهم الصغار والكبار «بإيمان» من الكبار ومن أولادهم الصغار والخبر «ألحقنا بهم ذرياتهم» المذكورين في الجنة فيكونون في درجتهم وإن لم يعملوا تكرمة للآباء باجتماع الأولاد إليهم «وما ألتناهم» بفتح اللام وكسرها نقصناهم «من عملهم من» زائدة «شيء» يزاد في عمل الأولاد «كل امرئ بما كسب» من عمل خير أو شر «رهين» مرهون يؤاخذ بالشر ويجازى بالخير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23465','chapter_id' => '52','chapter_detail_id' => '4757','translator_id' => '4','verse_number' => '22','translate_name' => '«وأمددناهم» زدناهم في وقت بعد وقت «بفاكهة ولحم ما يشتهون» وإن لم يصرحوا بطلبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23466','chapter_id' => '52','chapter_detail_id' => '4758','translator_id' => '4','verse_number' => '23','translate_name' => '«يتنازعون» يتعاطون بينهم «فيها» أي الجنة «كأسا» خمرا «لا لغوٌ فيها» أي بسبب شربها يقع بينهم «ولا تأثيم» به يلحقهم بخلاف خمر الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23467','chapter_id' => '52','chapter_detail_id' => '4759','translator_id' => '4','verse_number' => '24','translate_name' => '«ويطوف عليهم» للخدمة «غلمان» أرقاء «لهم كأنهم» حسنا ولطافة «لؤلؤ مكنون» مصون في الصدف لأنه فيها أحسن منه في غيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23468','chapter_id' => '52','chapter_detail_id' => '4760','translator_id' => '4','verse_number' => '25','translate_name' => '«وأقبل بعضهم على بعض يتساءلون» يسأل بعضهم بعضا عما كانوا عليه وما وصلوا إليه تلذذا واعترافا بالنعمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23469','chapter_id' => '52','chapter_detail_id' => '4761','translator_id' => '4','verse_number' => '26','translate_name' => '«قالوا» إيماء إلى علة الوصول «إنا كنا قبل في أهلنا» في الدنيا «مشفقين» خائفين من عذاب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23470','chapter_id' => '52','chapter_detail_id' => '4762','translator_id' => '4','verse_number' => '27','translate_name' => '«فمنّ الله علينا» بالمغفرة «ووقانا عذاب السموم» النار لدخولها في المسام وقالوا إيماء أيضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23471','chapter_id' => '52','chapter_detail_id' => '4763','translator_id' => '4','verse_number' => '28','translate_name' => '«إنا كنا من قبل» أي في الدنيا «ندعوه» نعبده موحدين «إنه» بالكسر استئنافا وإن كان تعليلا معنى وبالفتح تعليلا لفظا «هو البر» المحسن الصادق في وعده «الرحيم» العظيم الرحمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23472','chapter_id' => '52','chapter_detail_id' => '4764','translator_id' => '4','verse_number' => '29','translate_name' => '«فذكِّر» دم على تذكير المشركين ولا ترجع عنه لقولهم لك كاهن مجنون «فما أنت بنعمة ربك» بإنعامه عليك «بكاهن» خبر ما «ولا مجنون» معطوف عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23473','chapter_id' => '52','chapter_detail_id' => '4765','translator_id' => '4','verse_number' => '30','translate_name' => '«أم» بل «يقولون» هو «شاعر نتربص به ريْب المنون» حوادث الدهر فيهلك كغيره من الشعراء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23474','chapter_id' => '52','chapter_detail_id' => '4766','translator_id' => '4','verse_number' => '31','translate_name' => '«قل تربصوا» هلاكي «فإني معكم من المتربصين» هلاككم فعذبوا بالسيف يوم بدر، والتربص الانتظار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23475','chapter_id' => '52','chapter_detail_id' => '4767','translator_id' => '4','verse_number' => '32','translate_name' => '«أم تأمرهم أحلامهم» عقولهم «بهذا» قولهم له: ساحر كاهن مجنون، أي لا تأمرهم بذلك «أم» بل «هم قوم طاغون» بعنادهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23476','chapter_id' => '52','chapter_detail_id' => '4768','translator_id' => '4','verse_number' => '33','translate_name' => '«أم يقولون تقوَّلهُ» اختلق القرآن، لم يختلقه «بل لا يؤمنون» استكبارا، فإن قالوا اختلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23477','chapter_id' => '52','chapter_detail_id' => '4769','translator_id' => '4','verse_number' => '34','translate_name' => '«فليأتوا بحديث» مختلق «مثله إن كانوا صادقين» في قولهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23478','chapter_id' => '52','chapter_detail_id' => '4770','translator_id' => '4','verse_number' => '35','translate_name' => '«أم خُلقوا من غير شيء» من غير خالق «أم هم الخالقون» أنفسهم ولا يعقل مخلوق بغير خالق ولا معدوم يخلق فلابد من خالق هو الله الواحد فلم لا يوحدونه ويؤمنون برسوله وكتابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23479','chapter_id' => '52','chapter_detail_id' => '4771','translator_id' => '4','verse_number' => '36','translate_name' => '«أم خلقوا السماوات والأرض» ولا يقدر على خلقهما إلا الله الخالق فلم لا يعبدونه «بل لا يوقنون» به وإلا لآمنوا بنبيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23480','chapter_id' => '52','chapter_detail_id' => '4772','translator_id' => '4','verse_number' => '37','translate_name' => '«أم عندهم خزائن ربك» من النبوة والرزق وغيرهما فيخصوا من شاءُوا بما شاءُوا «أم هم المسيطرون» المتسلطون الجبارون وفعله سيطر ومثله بيطر وبيقر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23481','chapter_id' => '52','chapter_detail_id' => '4773','translator_id' => '4','verse_number' => '38','translate_name' => '«أم لهم سلم» مرقى إلى السماء «يستمعون فيه» أي عليه كلام الملائكة حتى يمكنهم منازعة النبي بزعمهم إن ادعوا ذلك «فليأت مبين» بحجة مستمعهم مدعي الاستماع عليه «بسلطان مبين» بينة واضحة ولشبه هذا الزعم بزعمهم أن الملائكة بنات الله قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23482','chapter_id' => '52','chapter_detail_id' => '4774','translator_id' => '4','verse_number' => '39','translate_name' => '«أم له البنات» بزعمكم «ولكم البنون» تعالى الله عما زعمتموه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23483','chapter_id' => '52','chapter_detail_id' => '4775','translator_id' => '4','verse_number' => '40','translate_name' => '«أم تسألهم أجرا» على ما جئتهم به من الدين «فهم من مغرم» غرم ذلك «مثقلون» فلا يسلمون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23484','chapter_id' => '52','chapter_detail_id' => '4776','translator_id' => '4','verse_number' => '41','translate_name' => '«أم عندهم الغيب» أي علمه «فهم يكتبون» ذلك حتى يمكنهم منازعة النبي صلى الله عليه وسلم في البعث وأمور الآخرة بزعمهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23485','chapter_id' => '52','chapter_detail_id' => '4777','translator_id' => '4','verse_number' => '42','translate_name' => '«أم يريدون كيدا» بك ليهلكوك في دار الندوة «فالذين كفروا هم المكيدون» المغلوبون المهلكون فحفظه الله منهم ثم أهلكهم ببدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23486','chapter_id' => '52','chapter_detail_id' => '4778','translator_id' => '4','verse_number' => '43','translate_name' => '«أم لهم إله غير الله سبحان الله عما يشركون» به من الآلهة والاستفهام بأم في مواضعها للتقبيح والتوبيخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23487','chapter_id' => '52','chapter_detail_id' => '4779','translator_id' => '4','verse_number' => '44','translate_name' => '(وإن يروا كسفا) بعضا (من السماء ساقطا) عليهم كما قالوا: "" فأسقط علينا كسفا من السماء "" أي تعذيبا لهم (يقولوا) هذا (سحاب مركوم) متراكب نروى به ولا يؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23488','chapter_id' => '52','chapter_detail_id' => '4780','translator_id' => '4','verse_number' => '45','translate_name' => '«فذرهم حتى يلاقوا يومهم الذي فيه يصعقون» يموتون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23489','chapter_id' => '52','chapter_detail_id' => '4781','translator_id' => '4','verse_number' => '46','translate_name' => '«يوم لا يغني» بدل من يومهم «عنهم كيدهم شيئا ولا هم يُنصرون» يمنعون من العذاب في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23490','chapter_id' => '52','chapter_detail_id' => '4782','translator_id' => '4','verse_number' => '47','translate_name' => '«وإنَّ للذين ظلموا» بكفرهم «عذابا دون ذلك» في الدنيا قبل موتهم فعذبوا بالجوع والقحط سبع سنين وبالقتل يوم بدر «ولكن أكثرهم لا يعلمون» أن العذاب ينزل بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23491','chapter_id' => '52','chapter_detail_id' => '4783','translator_id' => '4','verse_number' => '48','translate_name' => '«واصبر لحكم ربك» بإمهالهم ولا يضق صدرك «فإنك بأعيننا» بمرأى منا نراك ونحفظك «وسبح» متلبسا «بحمد ربك» أي قل: سبحان الله وبحمده «حين تقوم» من منامك أو من مجلسك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23492','chapter_id' => '52','chapter_detail_id' => '4784','translator_id' => '4','verse_number' => '49','translate_name' => '«ومن الليل فسبحه» حقيقة أيضا «وإدبار النجوم» مصدر، أي عقب غروبها سبحه أيضا، أو صلّ في الأول العشاءين، وفي الثاني الفجر وقيل الصبح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23493','chapter_id' => '53','chapter_detail_id' => '4785','translator_id' => '4','verse_number' => '1','translate_name' => '«والنَّجم» الثريا «إذا هوى» غاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23494','chapter_id' => '53','chapter_detail_id' => '4786','translator_id' => '4','verse_number' => '2','translate_name' => '«ما ضل صاحبكم» محمد عليه الصلاة والسلام عن طريق الهداية «وما غوى» ما لابس الغي وهو جهل من اعتقاد فاسد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23495','chapter_id' => '53','chapter_detail_id' => '4787','translator_id' => '4','verse_number' => '3','translate_name' => '«وما ينطق» بما يأتيكم به «عن الهوى» هوى نفسه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23496','chapter_id' => '53','chapter_detail_id' => '4788','translator_id' => '4','verse_number' => '4','translate_name' => '«إن» ما «هو إلا وحي يوحى» إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23497','chapter_id' => '53','chapter_detail_id' => '4789','translator_id' => '4','verse_number' => '5','translate_name' => '«علمه» إياه ملك «شديد القوى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23498','chapter_id' => '53','chapter_detail_id' => '4790','translator_id' => '4','verse_number' => '6','translate_name' => '«ذو مرة» قوة وشدة أو منظر حسن، أي جبريل عليه السلام «فاستوى» استقر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23499','chapter_id' => '53','chapter_detail_id' => '4791','translator_id' => '4','verse_number' => '7','translate_name' => '«وهو بالأفق الأعلى» أفق الشمس، أي عند مطلعها على صورته التي خلق عليها فرآه النبي صلى الله عليه وسلم وكان بحراء قد سد الأفق إلى المغرب فخر مغشيا عليه وكان قد سأله أن يريه نفسه على صورته التي خلق عليها فواعده بحراء فنزل جبريل له في سورة الآدميين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23500','chapter_id' => '53','chapter_detail_id' => '4792','translator_id' => '4','verse_number' => '8','translate_name' => '«ثم دنا» قرب منه «فتدلى» زاد في القرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23501','chapter_id' => '53','chapter_detail_id' => '4793','translator_id' => '4','verse_number' => '9','translate_name' => '«فكان» منه «قاب» قدر «قوسين أو أدنى» من ذلك حتى أفاق وسكن روعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23502','chapter_id' => '53','chapter_detail_id' => '4794','translator_id' => '4','verse_number' => '10','translate_name' => '«فأوحى» تعالى «إلى عبده» جبريل «ما أوحى» جبريل إلى النبي صلى الله عليه وسلم ولم يذكر الموحي تفخيما لشأنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23503','chapter_id' => '53','chapter_detail_id' => '4795','translator_id' => '4','verse_number' => '11','translate_name' => '«ما كذب» بالتخفيف والتشديد أنكر «الفؤاد» فؤاد النبي «ما رأى» ببصره من صورة جبريل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23504','chapter_id' => '53','chapter_detail_id' => '4796','translator_id' => '4','verse_number' => '12','translate_name' => '«أفتمارونه» تجادلونه وتغلبونه «على ما يرى» خطاب للمشركين المنكرين رؤية النبي صلى الله عليه وسلم لجبريل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23505','chapter_id' => '53','chapter_detail_id' => '4797','translator_id' => '4','verse_number' => '13','translate_name' => '«ولقد رآه» على صورته «نزلةً» مرة «أخرى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23506','chapter_id' => '53','chapter_detail_id' => '4798','translator_id' => '4','verse_number' => '14','translate_name' => '«عند سدرة المنتهى» لما أسري به في السماوات، وهي شجرة نبق عن يمين العرش لا يتجاوزها أحد من الملائكة وغيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23507','chapter_id' => '53','chapter_detail_id' => '4799','translator_id' => '4','verse_number' => '15','translate_name' => '«عندها جنة المأوى» تأوي إليها الملائكة وأرواح الشهداء والمتقين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23508','chapter_id' => '53','chapter_detail_id' => '4800','translator_id' => '4','verse_number' => '16','translate_name' => '«إذ» حين «يغشى السدرة ما يغشى» من طير وغيره، وإذ معمولة لرآه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23509','chapter_id' => '53','chapter_detail_id' => '4801','translator_id' => '4','verse_number' => '17','translate_name' => '«ما زاغ البصر» من النبي صلى الله عليه وسلم «وما طغى» أي ما مال بصره عن مرئيه المقصود له ولا جاوزه تلك الليلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23510','chapter_id' => '53','chapter_detail_id' => '4802','translator_id' => '4','verse_number' => '18','translate_name' => '«لقد رأى» فيها «من آيات ربه الكبرى» العظام، أي بعضها فرأى من عجائب الملكوت رفرفا أخضر سد أفق السماء وجبريل له ستمائة جناح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23511','chapter_id' => '53','chapter_detail_id' => '4803','translator_id' => '4','verse_number' => '19','translate_name' => '«أفرأيتم اللات والعزى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23512','chapter_id' => '53','chapter_detail_id' => '4804','translator_id' => '4','verse_number' => '20','translate_name' => '«ومناة الثالثة» للتين قبلها «الأخرى» صفة ذم للثالثة وهي أصنام من حجارة كان المشركون يعبدونها ويزعمون أنها تشفع لهم عند الله، ومفعول أفرأيتم الأول اللات وما عطف عليه والثاني محذوف والمعنى أخبروني ألهذه الأصنام قدرة على شيء ما فتعبدونها دون الله القادر على ما تقدم ذكره، ولما زعموا أيضا أن الملائكة بنات الله مع كراهتهم البنات نزلت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23513','chapter_id' => '53','chapter_detail_id' => '4805','translator_id' => '4','verse_number' => '21','translate_name' => '«ألكم الذكر وله الأنثى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23514','chapter_id' => '53','chapter_detail_id' => '4806','translator_id' => '4','verse_number' => '22','translate_name' => '«تلك إذا قسمة ضيزى» جائزة من ضازه يضيزه إذا ظلمه وجار عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23515','chapter_id' => '53','chapter_detail_id' => '4807','translator_id' => '4','verse_number' => '23','translate_name' => '«إن هي» أي ما المذكورات «إلا أسماء سميتموها» أي سميتم بها «أنتم وآباؤكم» أصناما تعبدونها «ما أنزل الله بها» أي بعبادتها «من سلطان» حجة وبرهان «إن» ما «يتبعون» في عبادتها «إلا الظن وما تهوى الأنفس» مما زين لهم الشيطان من أنها تشفع لهم عند الله تعالى «ولقد جاءهم من ربهم الهدى» على لسان النبي صلى الله عليه وسلم بالبرهان القاطع فلم يرجعوا عما هم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23516','chapter_id' => '53','chapter_detail_id' => '4808','translator_id' => '4','verse_number' => '24','translate_name' => '«أم للإنسان» أي لكل إنسان منهم «ما تمنى» من أن الأصنام تشفع لهم؟ ليس الأمر كذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23517','chapter_id' => '53','chapter_detail_id' => '4809','translator_id' => '4','verse_number' => '25','translate_name' => '«فلله الآخرة والأولى» أي الدنيا فلا يقع فيهما إلا ما يريده تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23518','chapter_id' => '53','chapter_detail_id' => '4810','translator_id' => '4','verse_number' => '26','translate_name' => '(وكم من ملك) أي وكثير من الملائكة (في السماوات) وما أكرمهم عند الله (لا تغني شفاعتهم شيئا إلا من بعد أن يأذن الله) لهم فيها (لمن يشاء) من عباده (ويرضى) عنه لقوله "" ولا يشفعون إلا لمن ارتضى "" ومعلوم أنها لا توجد منهم إلا بعد الإذن فيها "" من ذا الذي يشفع عنده إلا بإذنه ".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23519','chapter_id' => '53','chapter_detail_id' => '4811','translator_id' => '4','verse_number' => '27','translate_name' => '«إن الذين لا يؤمنون بالآخرة ليسمون الملائكة تسمية الأنثى» حيث قالوا: هم بنات الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23520','chapter_id' => '53','chapter_detail_id' => '4812','translator_id' => '4','verse_number' => '28','translate_name' => '«وما لهم به» بهذا القول «من علم إن» ما «يتبعون» فيه «إلا الظن» الذي تخيلوه «وإن الظن لا يغني من الحق شيئا» أي عن العلم فيما المطلوب فيه العلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23521','chapter_id' => '53','chapter_detail_id' => '4813','translator_id' => '4','verse_number' => '29','translate_name' => '«فأعرض عن من تولى عن ذكرنا» أي القرآن «ولم يُرد إلا الحياة الدنيا» وهذا قبل الأمر بالجهاد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23522','chapter_id' => '53','chapter_detail_id' => '4814','translator_id' => '4','verse_number' => '30','translate_name' => '«ذلك» أي طلب الدنيا «مبلغهم من العلم» أي نهاية علمهم أن آثروا الدنيا على الآخرة «إن ربك هو أعلم بمن ضل عن سبيله وهو أعلم بمن اهتدى» عالم بهما فيجازيهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23523','chapter_id' => '53','chapter_detail_id' => '4815','translator_id' => '4','verse_number' => '31','translate_name' => '«ولله ما في السماوات وما في الأرض» هو مالك لذلك، ومنه الضال والمهتدي يُضل من يشاء ويهدي من يشاء «ليجزي الذين أساءوا بما عملوا» من الشرك وغيره «ويجزي الذين أحسنوا» بالتوحيد وغيره من الطاعات «بالحسنى» الجنة وبيَّن المحسنين بقوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23524','chapter_id' => '53','chapter_detail_id' => '4816','translator_id' => '4','verse_number' => '32','translate_name' => '«الذين يجتنبون كبائر الإثم والفواحش إلا الَّلمَمَ» هو صغار الذنوب كالنظرة والقبلة واللمسة فهو استثناء منقطع والمعنى لكن اللمم يغفر باجتناب الكبائر «إن ربك واسع المغفرة» بذلك وبقبول التوبة، ونزل فيمن كان يقول: صلاتنا صيامنا حجنا: «هو أعلم» أي عالم «بكم إذ أنشأكم من الأرض» أي خلق آباكم آدم من التراب «وإذ أنتم أجنة» جمع جنين «في بطون أمهاتكم فلا تزكوا أنفسكم» لا تمدحوها على سبيل الإعجاب أما على سبيل الاعتراف بالنعمة فحسن «هو أعلم» أي عالم «بمن اتقى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23525','chapter_id' => '53','chapter_detail_id' => '4817','translator_id' => '4','verse_number' => '33','translate_name' => '«أفرأيت الذي تولى» عن الإيمان ارتد لما عير به وقال إني خشيت عقاب الله فضمن له المعير له أن يحمل عنه عذاب الله إن رجع إلى شركه وأعطاه من ماله كذا فرجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23526','chapter_id' => '53','chapter_detail_id' => '4818','translator_id' => '4','verse_number' => '34','translate_name' => '«وأعطى قليلا» من المال المسمى «وأكدى» منع الباقي مأخوذ من الكدية وهي أرض صلبة كالصخرة تمنع حافر البئر إذا وصل إليها من الحفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23527','chapter_id' => '53','chapter_detail_id' => '4819','translator_id' => '4','verse_number' => '35','translate_name' => '«أعنده علم الغيب فهو يرى» يعلم جملته أن غيره يتحمل عنه عذاب الآخرة؟ لا، وهو الوليد بن المغيرة أو غيره، وجملة أعنده المفعول الثاني لرأيت بمعنى أخبرني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23528','chapter_id' => '53','chapter_detail_id' => '4820','translator_id' => '4','verse_number' => '36','translate_name' => '«أم» بل «لم ينبأ بما في صحف موسى» أسفار التوراة أو صحف قبلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23529','chapter_id' => '53','chapter_detail_id' => '4821','translator_id' => '4','verse_number' => '37','translate_name' => '(و) صحف (إبراهيم الذي وفى) تمم ما أمر به نحو "" وإذ ابتلى إبراهيم ربه بكلمات فأتمهن "" وبيان ما:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23530','chapter_id' => '53','chapter_detail_id' => '4822','translator_id' => '4','verse_number' => '38','translate_name' => '«أ» ن «لا تزر وازرة وزر أخرى» إلخ وأن مخففة من الثقيلة، أي لا تحمل نفس ذنب غيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23531','chapter_id' => '53','chapter_detail_id' => '4823','translator_id' => '4','verse_number' => '39','translate_name' => '«وأن» بأنه «ليس للإنسان إلا ما سعى» من خير فليس له من سعي غيره الخير شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23532','chapter_id' => '53','chapter_detail_id' => '4824','translator_id' => '4','verse_number' => '40','translate_name' => '«وأن سعيه سوف يُرى» يبصر في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23533','chapter_id' => '53','chapter_detail_id' => '4825','translator_id' => '4','verse_number' => '41','translate_name' => '«ثم يجزاه الجزاء الأوفى» الأكمل يقال: جزيته سعيه وبسعيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23534','chapter_id' => '53','chapter_detail_id' => '4826','translator_id' => '4','verse_number' => '42','translate_name' => '«وأن» بالفتح عطفا وقرئ بالكسر استئنافا وكذا ما بعدها فلا يكون مضمون الجمل في الصحف على الثاني «إلى ربك المنتهى» المرجع والمصير بعد الموت فيجازيهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23535','chapter_id' => '53','chapter_detail_id' => '4827','translator_id' => '4','verse_number' => '43','translate_name' => '«وأنه هو أضحك» من شاء أفرحه «وأبكى» من شاء أحزنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23536','chapter_id' => '53','chapter_detail_id' => '4828','translator_id' => '4','verse_number' => '44','translate_name' => '«وأنه هو أمات» في الدنيا «وأحيا» للبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23537','chapter_id' => '53','chapter_detail_id' => '4829','translator_id' => '4','verse_number' => '45','translate_name' => '«وأنه خلق الزوجين» الصنفين «الذكر والأنثى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23538','chapter_id' => '53','chapter_detail_id' => '4830','translator_id' => '4','verse_number' => '46','translate_name' => '«من نطفة» منيٍّ «إذا تُمنى» تصب في الرحم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23539','chapter_id' => '53','chapter_detail_id' => '4831','translator_id' => '4','verse_number' => '47','translate_name' => '«وأن عليه النَّشآءَةَ» بالمد والقصر «الأخرى» الخلقة الأخرى للبعث بعد الخلقة الأولى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23540','chapter_id' => '53','chapter_detail_id' => '4832','translator_id' => '4','verse_number' => '48','translate_name' => '«وأنه هو أغنى» الناس بالكفاية بالأموال «وأقنى» أعطى المال المتخذ قُنية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23541','chapter_id' => '53','chapter_detail_id' => '4833','translator_id' => '4','verse_number' => '49','translate_name' => '«وأنه هو رب الشعرى» هي كوكب خلف الجوزاء كانت تعبد في الجاهلية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23542','chapter_id' => '53','chapter_detail_id' => '4834','translator_id' => '4','verse_number' => '50','translate_name' => '«وأنه أهلك عادا الأولى» وفي قراءة بإدغام التنوين في اللام وضمها بلا همزة وهي قوم عاد والأخرى قوم صالح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23543','chapter_id' => '53','chapter_detail_id' => '4835','translator_id' => '4','verse_number' => '51','translate_name' => '«وثمودا» بالصرف اسم للأب وبلا صرف للقبيلة وهو معطوف على عادا «فما أبقى» منهم أحدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23544','chapter_id' => '53','chapter_detail_id' => '4836','translator_id' => '4','verse_number' => '52','translate_name' => '(وقوم نوح من قبل) أي قبل عاد وثمود أهلكناهم (إنهم كانوا هم أظلم وأطغى) من عاد وثمود لطول لبث نوح فيهم "" فلبث فيهم ألف سنة إلا خمسين عاما "" وهم مع عدم إيمانهم به يؤذونه ويضربونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23545','chapter_id' => '53','chapter_detail_id' => '4837','translator_id' => '4','verse_number' => '53','translate_name' => '«والمؤتفكة» وهي قرى قوم لوط «أهوى» أسقطها بعد رفعها إلى السماء مقلوبة إلى الأرض بأمره جبريل بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23546','chapter_id' => '53','chapter_detail_id' => '4838','translator_id' => '4','verse_number' => '54','translate_name' => '«فغشاها» من الحجارة بعد ذلك «ما غشى» أبْهم تهويلا، وفي هود: (جعلنا عاليها سافلها وأمطرنا عليها حجارة من سجيل).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23547','chapter_id' => '53','chapter_detail_id' => '4839','translator_id' => '4','verse_number' => '55','translate_name' => '«فبأي آلاء ربك» أنعمه الدالة على وحدانيته وقدرته «تتمارى» تتشكك أيها الإنسان أو تكذب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23548','chapter_id' => '53','chapter_detail_id' => '4840','translator_id' => '4','verse_number' => '56','translate_name' => '«هذا» محمد «نذير من النذر الأولى» من جنسهم، أي رسول كالرسل قبله أرسل إليكم كما أرسلوا إلى أقوامهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23549','chapter_id' => '53','chapter_detail_id' => '4841','translator_id' => '4','verse_number' => '57','translate_name' => '«أزفت الآزفة» قربت القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23550','chapter_id' => '53','chapter_detail_id' => '4842','translator_id' => '4','verse_number' => '58','translate_name' => '«ليس لها من دون الله» نفس «كاشفة» أي لا يكشفها ويظهرها إلا هو كقوله «لا يجليها لوقتها إلا هو».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23551','chapter_id' => '53','chapter_detail_id' => '4843','translator_id' => '4','verse_number' => '59','translate_name' => '«أفمن هذا الحديث» أي القرآن «تعجبون» تكذيبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23552','chapter_id' => '53','chapter_detail_id' => '4844','translator_id' => '4','verse_number' => '60','translate_name' => '«وتضحكون» استهزاءً «ولا تبكون» لسماع وعده ووعيده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23553','chapter_id' => '53','chapter_detail_id' => '4845','translator_id' => '4','verse_number' => '61','translate_name' => '«وأنتم سامدون» لاهون غافلون عما يطلب منكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23554','chapter_id' => '53','chapter_detail_id' => '4846','translator_id' => '4','verse_number' => '62','translate_name' => '«فاسجدوا لله» الذي خلقكم «واعبدوا» ولا تسجدوا للأصنام ولا تعبدوها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23555','chapter_id' => '54','chapter_detail_id' => '4847','translator_id' => '4','verse_number' => '1','translate_name' => '«اقتربت الساعة» قربت القيامة «وانشق القمر» انفلق فلقتين على أبي قبيس وقيقعان آية له صلى الله عليه وسلم وقد سئلها فقال (اشهدوا) رواه الشيخان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23556','chapter_id' => '54','chapter_detail_id' => '4848','translator_id' => '4','verse_number' => '2','translate_name' => '«وإن يروْا» أي كفار قريش «آية» معجزة له صلى الله عليه وسلم «يعرضوا ويقولوا» هذا «سحر مستمر» قوي من المرة: القوة أو دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23557','chapter_id' => '54','chapter_detail_id' => '4849','translator_id' => '4','verse_number' => '3','translate_name' => '«وكذبوا» النبي صلى الله عليه وسلم «واتبعوا أهواءهم» في الباطل «وكل أمر» من الخير والشر «مستقر» بأهله في الجنة أو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23558','chapter_id' => '54','chapter_detail_id' => '4850','translator_id' => '4','verse_number' => '4','translate_name' => '«ولقد جاءهم من الأنباء» أخبار إهلاك الأمم المكذبة رسلهم «ما فيه مزدجر» لهم اسم مكان والدال بدل من تاء الافتعال وازدجرته وزجرته: نهيته بغلظة وما موصولة أو موصوفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23559','chapter_id' => '54','chapter_detail_id' => '4851','translator_id' => '4','verse_number' => '5','translate_name' => '«حكمة» خبر مبتدأ محذوف أو بدل من ما أو من مزدجر «بالغة» تامة «فما تغن» تنفع فيهم «النذر» جمع نذير بمعنى منذر، أي الأمور المنذورة لهم وما للنفي أو للاستفهام الإنكاري وهي على الثاني مفعول مقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23560','chapter_id' => '54','chapter_detail_id' => '4852','translator_id' => '4','verse_number' => '6','translate_name' => '«فتول عنهم» هو فائدة ما قبله وتم به الكلام «يوم يدع الداع» هو إسرافيل وناصب يوم يخرجون بعد «إلى شيءٍ نكُر» بضم الكاف وسكونها، أي منكر تنكره النفوس وهو الحساب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23561','chapter_id' => '54','chapter_detail_id' => '4853','translator_id' => '4','verse_number' => '7','translate_name' => '«خاشعا» أي ذليلا، وفي قراءة خُشَّعا بضم الخاء وفتح الشين مشددة «أبصارهم» حال من الفاعل «يخرجون» أي الناس «من الأجداث» القبور «كأنهم جراد منتشر» لا يدرون أين يذهبون من الخوف والحيرة، والجملة حال من فاعل يخرجون وكذا قوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23562','chapter_id' => '54','chapter_detail_id' => '4854','translator_id' => '4','verse_number' => '8','translate_name' => '«مهطعين» مسرعين مادين أعناقهم «إلى الداعِ يقول الكافرون» منهم «هذا يوم عَسِرٌ» صعب على الكافرين كما في المدثر (يوم عسير على الكافرين).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23563','chapter_id' => '54','chapter_detail_id' => '4855','translator_id' => '4','verse_number' => '9','translate_name' => '«كذَّبت قبلهم» قبل قريش «قوم نوح» تأنيث الفعل لمعنى قوم «فكذبوا عبدنا» نوحا «وقالوا مجنون وازدجر» انتهروه بالسب وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23564','chapter_id' => '54','chapter_detail_id' => '4856','translator_id' => '4','verse_number' => '10','translate_name' => '«فدعا ربه أني» بالفتح، أي بأني «مغلوب فانتصر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23565','chapter_id' => '54','chapter_detail_id' => '4857','translator_id' => '4','verse_number' => '11','translate_name' => '«ففتحنا» بالتخفيف والتشديد «أبواب السماء بماءٍ منهمر» منصب انصبابا شديدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23566','chapter_id' => '54','chapter_detail_id' => '4858','translator_id' => '4','verse_number' => '12','translate_name' => '«وفجرنا الأرض عيونا» تنبع «فالتقى الماء» ماء السماء والأرض «على أمر» حال «قد قُدِر» قضي به في الأزل وهو هلاكهم غرقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23567','chapter_id' => '54','chapter_detail_id' => '4859','translator_id' => '4','verse_number' => '13','translate_name' => '«وحملناه» أي نوحا «على» سفينة «ذات ألواح ودُسر» وهو ما تشد به الألواح من المسامير وغيرها وأحدها دسار ككتاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23568','chapter_id' => '54','chapter_detail_id' => '4860','translator_id' => '4','verse_number' => '14','translate_name' => '«تجري بأعيننا» بمرأى منا، أي محفوظة «جزاءً» منصوب بفعل مقدر، أي أغرقوا انتصارا «لمن كان كفر» وهو نوح عليه السلام، وقرئ كفر بالبناء للفاعل، أي أغرقوا عقابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23569','chapter_id' => '54','chapter_detail_id' => '4861','translator_id' => '4','verse_number' => '15','translate_name' => '«ولقد تركناها» أبقينا هذه الفعلة «آية» لمن يعتبر بها، أي شاع خبرها واستمر «فهل من مدَّكر» معتبر ومتعظ بها وأصله مذتكر أبدلت التاء دالا مهملة وكذا المعجمة وأدغمت فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23570','chapter_id' => '54','chapter_detail_id' => '4862','translator_id' => '4','verse_number' => '16','translate_name' => '«فكيف كان عذابي ونُذُر» أي إنذاري استفهام تقرير، وكيف خبر كان وهي للسؤال عن الحال والمعنى حمل المخاطبين على الإقرار بوقوع عذابه تعالى بالمكذبين لنوح موقعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23571','chapter_id' => '54','chapter_detail_id' => '4863','translator_id' => '4','verse_number' => '17','translate_name' => '«ولقد يسرنا القرآن للذكر» سهلناه للحفظ وهيأناه للتذكر «فهل من مدكر» متعظ به وحافظ له والاستفهام بمعنى الأمر، أي احفظوا واتعظوا به وليس يحفظ من كتب الله عن ظهر القلب غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23572','chapter_id' => '54','chapter_detail_id' => '4864','translator_id' => '4','verse_number' => '18','translate_name' => '«كذبت عاد» نبيهم هودا فعذبوا «فكيف كان عذابي ونذر» إنذاري لهم بالعذاب قبل نزوله أي وقع موقعه وقد بينه بقوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23573','chapter_id' => '54','chapter_detail_id' => '4865','translator_id' => '4','verse_number' => '19','translate_name' => '«إنا أرسلنا عليهم ريحا صرْصرا» أي شديدة الصوت «في يوم نحس» شؤم «مستمر» دائم الشؤم أو قويه وكان يوم الأربعاء آخر الشهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23574','chapter_id' => '54','chapter_detail_id' => '4866','translator_id' => '4','verse_number' => '20','translate_name' => '«تنزع الناس» تقلعهم من حفر الأرض المندسين فيها وتصرعهم على رءوسهم فتدق رقابهم فتبين الرأس عن الجسد «كأنهم» وحالهم ما ذكر «أعجاز» أصول «نخل منقعر» منقطع ساقط على الأرض وشبهوا بالنخل لطولهم وذكر هنا وأنث في الحاقة (نخل خاوية) مراعاة للفواصل في الموضعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23575','chapter_id' => '54','chapter_detail_id' => '4867','translator_id' => '4','verse_number' => '21','translate_name' => '«فكيف كان عذابي ونذر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23576','chapter_id' => '54','chapter_detail_id' => '4868','translator_id' => '4','verse_number' => '22','translate_name' => '«ولقد يسرنا القرآن للذكر فهل من مدكر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23577','chapter_id' => '54','chapter_detail_id' => '4869','translator_id' => '4','verse_number' => '23','translate_name' => '«كذبت ثمود بالنذر» جمع نذير بمعنى منذر، أي بالأمور التي أنذرهم بها نبيهم صالح إن لم يؤمنوا به ويتبعوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23578','chapter_id' => '54','chapter_detail_id' => '4870','translator_id' => '4','verse_number' => '24','translate_name' => '«فقالوا أبشرا» منصوب على الاشتغال «منا واحدا» صفتان لـ بشرا «نتبعه» مفسر للفعل الناصب له والاستفهام بمعنى النفي المعنى كيف نتبعه ونحن جماعة كثيرة وهو واحد منا وليس بملك، أي لا نتبعه «إنا إذًا» إن اتبعناه «لفي ضلال» ذهاب عن الصواب «وسعر» جنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23579','chapter_id' => '54','chapter_detail_id' => '4871','translator_id' => '4','verse_number' => '25','translate_name' => '«أألقي» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما على الوجهين وتركه «الذكر» الوحي «عليه من بيننا» أي لم يوح إليه «بل هو كذاب» في قوله إنه أوحي إليه ما ذكر «أشر» متكبر بطر، قال تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23580','chapter_id' => '54','chapter_detail_id' => '4872','translator_id' => '4','verse_number' => '26','translate_name' => '«سيعلمون غدا» في الآخرة «من الكذاب الأشر» وهو أو هم بأن يعذبوا على تكذيبهم نبيهم صالحا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23581','chapter_id' => '54','chapter_detail_id' => '4873','translator_id' => '4','verse_number' => '27','translate_name' => '«إنا مرسلو الناقة» مخرجوها من الهضبة الصخرة كما سألوا «فتنة» محنة «لهم» لنخبرهم «فارتقبهم» يا صالح أي انتظر ما هم صانعون وما يصنع بهم «واصطبر» الطاء بدل من تاء الافتعال أي اصبر على أذاهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23582','chapter_id' => '54','chapter_detail_id' => '4874','translator_id' => '4','verse_number' => '28','translate_name' => '«ونبئهم أن الماء قسمة» مقسوم «بينهم» وبين الناقة يوم لهم ويوم لها «كلُّ شرب» نصيب من الماء «محتضر» يحضره القوم يومهم والناقة يومها فتمادوا على ذلك ثم ملوه فهموا بقتل الناقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23583','chapter_id' => '54','chapter_detail_id' => '4875','translator_id' => '4','verse_number' => '29','translate_name' => '«فنادوا صاحبهم» قدرا ليقتلها «فتعاطى» تناول السيف «فعقر» به الناقة، أي قتلها موافقة لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23584','chapter_id' => '54','chapter_detail_id' => '4876','translator_id' => '4','verse_number' => '30','translate_name' => '«فكيف كان عذابي ونذر» إنذاري لهم بالعذاب قبل نزوله، أي وقع موقعه وبيَّنه بقوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23585','chapter_id' => '54','chapter_detail_id' => '4877','translator_id' => '4','verse_number' => '31','translate_name' => '«إنا أرسلنا عليهم صيحة واحدة فكانوا كهشيم المحتظر» هو الذي يجعل لغنمه حظيرة من يابس الشجر والشوك يحفظهن فيها من الذئاب والسباع وما سقط من ذلك فداسته هو الهشيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23586','chapter_id' => '54','chapter_detail_id' => '4878','translator_id' => '4','verse_number' => '32','translate_name' => '«ولقد يسرنا القرآن للذكر فهل من مدكر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23587','chapter_id' => '54','chapter_detail_id' => '4879','translator_id' => '4','verse_number' => '33','translate_name' => '«كذبت قوم لوط بالنذر» بالأمور المنذرة لهم على لسانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23588','chapter_id' => '54','chapter_detail_id' => '4880','translator_id' => '4','verse_number' => '34','translate_name' => '«إنا أرسلنا عليهم حاصبا» ريحا ترميهم بالحصباء وهي صغار الحجارة الواحد دون ملء الكف فهلكوا «إلا آل لوط» وهم ابنتاه معه «نجيناهم بسحر» من الأسحار وقت الصبح من يوم غير معين ولو أريد من يوم معين لمنع من الصرف لأنه معرفة معدول عن السحر لأن حقه أن يستعمل في المعرفة بأل وهل أرسل الحاصب على آل لوط أولا؟ قولان وعبر عن الاستثناء على الأول بأنه متصل وعلى الثاني بأنه منقطع وإن كان من الجنس تسمحا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23589','chapter_id' => '54','chapter_detail_id' => '4881','translator_id' => '4','verse_number' => '35','translate_name' => '«نعمة» مصدر، أي إنعاما «من عندنا كذلك» أي مثل ذلك الجزاء «نجزي من شكر» أنعمنا وهو مؤمن أو من آمن بالله ورسوله وأطاعهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23590','chapter_id' => '54','chapter_detail_id' => '4882','translator_id' => '4','verse_number' => '36','translate_name' => '«ولقد أنذرهم» خوفهم لوط «بطشتنا» أخذتنا إياهم بالعذاب «فتماروا» تجادلوا وكذبوا «بالنذر» بإنذاره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23591','chapter_id' => '54','chapter_detail_id' => '4883','translator_id' => '4','verse_number' => '37','translate_name' => '«ولقد راودوه عن ضيفه» أن يخلي بينهم وبين القوم الذين أتوه في صورة الأضياف ليخبثوا بهم وكانوا ملائكة «فطمسنا أعينهم» أعميناها وجعلناها بلا شق كباقي الوجه بأن صفقها جبريل بجناحه «فذوقوا» فقلنا لهم ذوقوا «عذابي ونذر» إنذاري وتخويفي، أي ثمرته وفائدته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23592','chapter_id' => '54','chapter_detail_id' => '4884','translator_id' => '4','verse_number' => '38','translate_name' => '«ولقد صبحهم بكرة» وقت الصبح من يوم غير معين «عذاب مستقر» دائم متصل بعذاب الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23593','chapter_id' => '54','chapter_detail_id' => '4885','translator_id' => '4','verse_number' => '39','translate_name' => '«فذوقوا عذابي ونذر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23594','chapter_id' => '54','chapter_detail_id' => '4886','translator_id' => '4','verse_number' => '40','translate_name' => '«ولقد يسرنا القرآن للذكر فهل مدكر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23595','chapter_id' => '54','chapter_detail_id' => '4887','translator_id' => '4','verse_number' => '41','translate_name' => '«ولقد جاء آل فرعون» قومه معه «النذر» الإنذار على لسان موسى وهارون فلم يؤمنوا بل','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23596','chapter_id' => '54','chapter_detail_id' => '4888','translator_id' => '4','verse_number' => '42','translate_name' => '«كذبوا بآياتنا كلها» التسع التي أوتيها موسى «فأخذناهم» بالعذاب «أخذ عزيز» قوي «مقتدر» قادر لا يعجزه شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23597','chapter_id' => '54','chapter_detail_id' => '4889','translator_id' => '4','verse_number' => '43','translate_name' => '«أكفاركم» يا قريش «خير من أولئكم» المذكورين من قوم نوح إلى فرعون فلم يعذروا «أم لكم» يا كفار قريش «براءة» من العذاب «في الزبر» الكتب والاستفهام في الموضعين بمعنى النفي أي ليس الأمر كذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23598','chapter_id' => '54','chapter_detail_id' => '4890','translator_id' => '4','verse_number' => '44','translate_name' => '«أم يقولون» أي كفار قريش «نحن جميع» جمع «منتصر» على محمد، ولما قال أبو جهل يوم بدر إنا جمع منتصر نزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23599','chapter_id' => '54','chapter_detail_id' => '4891','translator_id' => '4','verse_number' => '45','translate_name' => '«سيهزم الجمع ويولون الدبر» فهزموا ببدر ونصر رسول الله صلى الله عليه وسلم عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23600','chapter_id' => '54','chapter_detail_id' => '4892','translator_id' => '4','verse_number' => '46','translate_name' => '«بل الساعة موعدهم» بالعذاب «والساعة» أي عذابها «أدهى» أعظم بلية «وأمر» أشد مرارة عذاب الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23601','chapter_id' => '54','chapter_detail_id' => '4893','translator_id' => '4','verse_number' => '47','translate_name' => '«إن المجرمين في ضلال» هلاك بالقتل في الدنيا «وسعر» نار مستعرة بالتشديد أي مهيجة في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23602','chapter_id' => '54','chapter_detail_id' => '4894','translator_id' => '4','verse_number' => '48','translate_name' => '«يوم يسحبون في النار على وجوههم» في الآخرة ويقال لهم «ذوقوا مس سقر» إصابة جهنم لكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23603','chapter_id' => '54','chapter_detail_id' => '4895','translator_id' => '4','verse_number' => '49','translate_name' => '«إنا كل شيء» منصوب بفعل يفسره «خلقناه بقدر» بتقدير حال من كل أي مقدرا وقرئ كل بالرفع مبتدأ خبره خلقناه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23604','chapter_id' => '54','chapter_detail_id' => '4896','translator_id' => '4','verse_number' => '50','translate_name' => '«وما أمرنا» لشيء نريد وجوده «إلا» مرة «واحدة كلمح بالبصر» في السرعة وهي قول: كن فيوجد (إنما أمره إذا أراد شيئا أن يقول له كن فيكون).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23605','chapter_id' => '54','chapter_detail_id' => '4897','translator_id' => '4','verse_number' => '51','translate_name' => '«ولقد أهلكنا أشياعكم» أشباهكم في الكفر من الأمم الماضية «فهل من مدكر» استفهام بمعنى الأمر، أي اذكروا واتعظوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23606','chapter_id' => '54','chapter_detail_id' => '4898','translator_id' => '4','verse_number' => '52','translate_name' => '«وكل شيء فعلوه» أي العباد مكتوب «في الزبر» كتب الحفظة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23607','chapter_id' => '54','chapter_detail_id' => '4899','translator_id' => '4','verse_number' => '53','translate_name' => '«وكل صغير وكبير» من الذنب أو العمل «مستطر» مكتوب في اللوح المحفوظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23608','chapter_id' => '54','chapter_detail_id' => '4900','translator_id' => '4','verse_number' => '54','translate_name' => '«إن المتقين في جنات» بساتين «ونَهر» أريد به الجنس، وقرئ بضم النون والهاء جمعا كأسد وأسد، والمعنى أنهم يشربون من أنهار الماء واللبن والعسل والخمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23609','chapter_id' => '54','chapter_detail_id' => '4901','translator_id' => '4','verse_number' => '55','translate_name' => '«في مقعد صدق» مجلس حق لا لغو فيه ولا تأثيم أريد به الجنس، وقرئ مقاعد، المعنى أنهم في مجالس من الجنات سالمة من اللغو والتأثيم بخلاف مجالس الدنيا فقلَّ أن تسلم من ذلك وأعرب هذا خبرا ثانيا وبدلا وهو صادق ببدل البعض وغيره «عند مليك» مثال مبالغة، أي عزيز الملك واسعه «مقتدر» قادر لا يعجزه شيء وهو الله تعالى وفيه إشارة إلى الرتبة والقربة من فضله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23610','chapter_id' => '55','chapter_detail_id' => '4902','translator_id' => '4','verse_number' => '1','translate_name' => '«الرحمن» الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23611','chapter_id' => '55','chapter_detail_id' => '4903','translator_id' => '4','verse_number' => '2','translate_name' => '«علَّم» من شاء «القرآن».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23612','chapter_id' => '55','chapter_detail_id' => '4904','translator_id' => '4','verse_number' => '3','translate_name' => '«خلق الإنسان» أي الجنس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23613','chapter_id' => '55','chapter_detail_id' => '4905','translator_id' => '4','verse_number' => '4','translate_name' => '«علَّمه البيان» النطق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23614','chapter_id' => '55','chapter_detail_id' => '4906','translator_id' => '4','verse_number' => '5','translate_name' => '«الشمس والقمر بحسبان» يجريان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23615','chapter_id' => '55','chapter_detail_id' => '4907','translator_id' => '4','verse_number' => '6','translate_name' => '«والنجم» ما لا ساق له من النبات «والشجر» ما له ساق «يسجدان» يخضعان لما يراد منهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23616','chapter_id' => '55','chapter_detail_id' => '4908','translator_id' => '4','verse_number' => '7','translate_name' => '«والسماء رفعها ووضع الميزان» أثبت العدل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23617','chapter_id' => '55','chapter_detail_id' => '4909','translator_id' => '4','verse_number' => '8','translate_name' => '«ألا تطغوا» أي لأجل أن لا تجوروا «في الميزان» ما يوزن به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23618','chapter_id' => '55','chapter_detail_id' => '4910','translator_id' => '4','verse_number' => '9','translate_name' => '«وأقيموا الوزن بالقسط» بالعدل «ولا تخسروا الميزان» تنقصوا الموزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23619','chapter_id' => '55','chapter_detail_id' => '4911','translator_id' => '4','verse_number' => '10','translate_name' => '«والأرض وضعها» أثبتها «للأنام» للخلق الإنس والجن وغيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23620','chapter_id' => '55','chapter_detail_id' => '4912','translator_id' => '4','verse_number' => '11','translate_name' => '«فيها فاكهة والنخل» المعهود «ذات الأكمام» أوعية طلعها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23621','chapter_id' => '55','chapter_detail_id' => '4913','translator_id' => '4','verse_number' => '12','translate_name' => '«والحب» كالحنطة والشعير «ذو العصف» التين «والريحان» الورق المشموم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23622','chapter_id' => '55','chapter_detail_id' => '4914','translator_id' => '4','verse_number' => '13','translate_name' => '(فبأي آلاء) نعم (ربكما) أيها الإنس والجن (تكذبان) ذكرت إحدى وثلاثين مرة، والاستفهام فيها للتقرير لما روي الحاكم عن جابر قال: "" قرأ علينا رسول الله صلى الله عليه وسلم سورة الرحمن حتى ختمها، ثم قال: مالي أراكم سكوتا، لَلْجن كانوا أحسن منكم ردا ما قرأت عليهم هذه الآية من مرة (فبأي آلاء ربكما تكذبان) إلا قالوا: ولا بشيء من نعمك ربنا نكذب فلك الحمد "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23623','chapter_id' => '55','chapter_detail_id' => '4915','translator_id' => '4','verse_number' => '14','translate_name' => '«خلق الإنسان» آدم «من صلصال» طين يابس يسمع له صلصلة، أي صوت إذا نقر «كالفخار» وهو ما طبخ من الطين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23624','chapter_id' => '55','chapter_detail_id' => '4916','translator_id' => '4','verse_number' => '15','translate_name' => '«وخلق الجان» أبا الجن وهو إبليس «من مارج من نار» هو لهبها الخالص من الدخان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23625','chapter_id' => '55','chapter_detail_id' => '4917','translator_id' => '4','verse_number' => '16','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23626','chapter_id' => '55','chapter_detail_id' => '4918','translator_id' => '4','verse_number' => '17','translate_name' => '«رب المشرقين» مشرق الشتاء ومشرق الصيف «ورب المغربين» كذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23627','chapter_id' => '55','chapter_detail_id' => '4919','translator_id' => '4','verse_number' => '18','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23628','chapter_id' => '55','chapter_detail_id' => '4920','translator_id' => '4','verse_number' => '19','translate_name' => '«مرج» أرسل «البحرين» العذب والملح «يلتقيان» في رأي العين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23629','chapter_id' => '55','chapter_detail_id' => '4921','translator_id' => '4','verse_number' => '20','translate_name' => '«بينهما برزخ» حاجز من قدرته تعالى «لا يبغيان» لا يبغي واحد منهما على الآخر فيختلط به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23630','chapter_id' => '55','chapter_detail_id' => '4922','translator_id' => '4','verse_number' => '21','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23631','chapter_id' => '55','chapter_detail_id' => '4923','translator_id' => '4','verse_number' => '22','translate_name' => '«يَُخرج» بالبناء للمفعول والفاعل «منهما» من مجموعهما الصادق بأحدهما وهو الملح «اللؤلؤ المرجان» خرز أحمر أو صغار اللؤلؤ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23632','chapter_id' => '55','chapter_detail_id' => '4924','translator_id' => '4','verse_number' => '23','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23633','chapter_id' => '55','chapter_detail_id' => '4925','translator_id' => '4','verse_number' => '24','translate_name' => '«وله الجوار» السفن «المنشآت» المحدثات «في البحر كالأعلام» كالجبال عظما وارتفاعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23634','chapter_id' => '55','chapter_detail_id' => '4926','translator_id' => '4','verse_number' => '25','translate_name' => '«فبأي آلاء تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23635','chapter_id' => '55','chapter_detail_id' => '4927','translator_id' => '4','verse_number' => '26','translate_name' => '«كل من عليها» أي الأرض من الحيوان «فان» هالك وعبر بمن تغليبا للعقلاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23636','chapter_id' => '55','chapter_detail_id' => '4928','translator_id' => '4','verse_number' => '27','translate_name' => '«ويبقى وجه ربك» ذاته «ذو الجلال» العظمة «والإكرام» للمؤمنين بأنعمه عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23637','chapter_id' => '55','chapter_detail_id' => '4929','translator_id' => '4','verse_number' => '28','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23638','chapter_id' => '55','chapter_detail_id' => '4930','translator_id' => '4','verse_number' => '29','translate_name' => '«يسأله من في السماوات والأرض» بنطق أو حال: ما يحتاجون إليه من القوة على العبادة والرزق والمغفرة وغير ذلك «كل يوم» وقت «هو في شأن» أمر يُظهره على وفق ما قدره في الأزل من إحياء و إماتة وإعزاز وإذلال وإغناء وإعدام وإجابة داع وإعطاء سائل وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23639','chapter_id' => '55','chapter_detail_id' => '4931','translator_id' => '4','verse_number' => '30','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23640','chapter_id' => '55','chapter_detail_id' => '4932','translator_id' => '4','verse_number' => '31','translate_name' => '«سنفرغ لكم» سنقصد لحسابكم «أيها الثقلان» الإنس والجن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23641','chapter_id' => '55','chapter_detail_id' => '4933','translator_id' => '4','verse_number' => '32','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23642','chapter_id' => '55','chapter_detail_id' => '4934','translator_id' => '4','verse_number' => '33','translate_name' => '«يا معشر الجن والإنس إن استطعتم أن تنفذوا» تخرجوا «من أقطار» نواحي «السماوات والأرض فانفذوا» أمر تعجيز «لا تنفذون إلا بسلطان» بقوة ولا قوة لكم على ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23643','chapter_id' => '55','chapter_detail_id' => '4935','translator_id' => '4','verse_number' => '34','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23644','chapter_id' => '55','chapter_detail_id' => '4936','translator_id' => '4','verse_number' => '35','translate_name' => '«يرسل عليكما شواظ من نار» هو لهبها الخالص من الدخان أو معه «ونحاس» أي دخان لا لهب فيه «فلا تنتصران» تمتنعان من ذلك بل يسوقكم إلى المحشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23645','chapter_id' => '55','chapter_detail_id' => '4937','translator_id' => '4','verse_number' => '36','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23646','chapter_id' => '55','chapter_detail_id' => '4938','translator_id' => '4','verse_number' => '37','translate_name' => '«فإذا انشقت السماء» انفرجت أبوابا لنزول الملائكة «فكانت وردة» أي مثلها محمرة «كالدهان» كالأديم الأحمر على خلاف العهد بها وجواب إذا فما أعظم الهول.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23647','chapter_id' => '55','chapter_detail_id' => '4939','translator_id' => '4','verse_number' => '38','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23648','chapter_id' => '55','chapter_detail_id' => '4940','translator_id' => '4','verse_number' => '39','translate_name' => '«فيومئذ لا يُسأل عن ذنبه إنس ولا جان» عن ذنبه ويُسألون في وقت آخر (فوربك لنسألنَّهم أجمعين) والجان هنا وفيما سيأتي بمعنى الجن والإنس فيهما بمعنى الإنسي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23649','chapter_id' => '55','chapter_detail_id' => '4941','translator_id' => '4','verse_number' => '40','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23650','chapter_id' => '55','chapter_detail_id' => '4942','translator_id' => '4','verse_number' => '41','translate_name' => '«يعرف المجرمون بسيماهم» سواد الوجوه وزرقة العيون «فيؤخذ بالنواصي الأقدام».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23651','chapter_id' => '55','chapter_detail_id' => '4943','translator_id' => '4','verse_number' => '42','translate_name' => '«فبأي آلاء ربكما تكذبان» تضم ناصية كل منهم إلى قدميه من خلف أو قدام ويلقى في النار ويقال لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23652','chapter_id' => '55','chapter_detail_id' => '4944','translator_id' => '4','verse_number' => '43','translate_name' => '«هذه جهنم التي يكذب بها المجرمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23653','chapter_id' => '55','chapter_detail_id' => '4945','translator_id' => '4','verse_number' => '44','translate_name' => '«يطوفون» يسعون «بينها وبين حميم» ماء حار «آن» شديد الحرارة يسقونه إذا استغاثوا من حر النار، وهو منقوص كقاض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23654','chapter_id' => '55','chapter_detail_id' => '4946','translator_id' => '4','verse_number' => '45','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23655','chapter_id' => '55','chapter_detail_id' => '4947','translator_id' => '4','verse_number' => '46','translate_name' => '«ولمن خاف» أي لكل منهم أو لمجموعهم «مقام ربه» قيامه بين يديه للحساب فترك معصيته «جنتان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23656','chapter_id' => '55','chapter_detail_id' => '4948','translator_id' => '4','verse_number' => '47','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23657','chapter_id' => '55','chapter_detail_id' => '4949','translator_id' => '4','verse_number' => '48','translate_name' => '«ذواتا» تثنية ذوات على الأصل ولامها ياء «أفنان» أغصان جمع فنن كطلل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23658','chapter_id' => '55','chapter_detail_id' => '4950','translator_id' => '4','verse_number' => '49','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23659','chapter_id' => '55','chapter_detail_id' => '4951','translator_id' => '4','verse_number' => '50','translate_name' => '«فيهما عينان تجريان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23660','chapter_id' => '55','chapter_detail_id' => '4952','translator_id' => '4','verse_number' => '51','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23661','chapter_id' => '55','chapter_detail_id' => '4953','translator_id' => '4','verse_number' => '52','translate_name' => '«فيهما من كل فاكهة» في الدنيا أو كل ما يتفكه به «زوجان» نوعان رطب ويابس والمر منهما في الدنيا كالحنظل حلو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23662','chapter_id' => '55','chapter_detail_id' => '4954','translator_id' => '4','verse_number' => '53','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23663','chapter_id' => '55','chapter_detail_id' => '4955','translator_id' => '4','verse_number' => '54','translate_name' => '«متكئين» حال عامله محذوف، أي يتنعمون «على فرش بطائنها من إستبرق» ما غلظ من الديباج وخشن والظهائر من السندس «وجنى الجنتين» ثمرهما «دان» قريب يناله القائم والقاعد والمضطجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23664','chapter_id' => '55','chapter_detail_id' => '4956','translator_id' => '4','verse_number' => '55','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23665','chapter_id' => '55','chapter_detail_id' => '4957','translator_id' => '4','verse_number' => '56','translate_name' => '«فيهن» في الجنتين وما اشتملتا عليه من العلالي والقصور «قاصرات الطرف» العين على أزواجهن المتكئين من الإنس والجن «لم يطمثهن» يفتضهن وهن من الحور أو من نساء الدنيا المنشآت «إنس قبلهم ولا جان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23666','chapter_id' => '55','chapter_detail_id' => '4958','translator_id' => '4','verse_number' => '57','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23667','chapter_id' => '55','chapter_detail_id' => '4959','translator_id' => '4','verse_number' => '58','translate_name' => '«كأنهن الياقوت» صفاء «والمرجان» اللؤلؤ بياضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23668','chapter_id' => '55','chapter_detail_id' => '4960','translator_id' => '4','verse_number' => '59','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23669','chapter_id' => '55','chapter_detail_id' => '4961','translator_id' => '4','verse_number' => '60','translate_name' => '«هل» ما «جزاء الإحسان» بالطاعة «إلا الإحسان» بالنعيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23670','chapter_id' => '55','chapter_detail_id' => '4962','translator_id' => '4','verse_number' => '61','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23671','chapter_id' => '55','chapter_detail_id' => '4963','translator_id' => '4','verse_number' => '62','translate_name' => '«ومن دونهما» الجنتين المذكورتين «جنتان» أيضا لمن خاف مقام ربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23672','chapter_id' => '55','chapter_detail_id' => '4964','translator_id' => '4','verse_number' => '63','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23673','chapter_id' => '55','chapter_detail_id' => '4965','translator_id' => '4','verse_number' => '64','translate_name' => '«مدهامتان» سوداوان من شدة خضرتهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23674','chapter_id' => '55','chapter_detail_id' => '4966','translator_id' => '4','verse_number' => '65','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23675','chapter_id' => '55','chapter_detail_id' => '4967','translator_id' => '4','verse_number' => '66','translate_name' => '«فيهما عينان نضاختان» فوارتان بالماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23676','chapter_id' => '55','chapter_detail_id' => '4968','translator_id' => '4','verse_number' => '67','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23677','chapter_id' => '55','chapter_detail_id' => '4969','translator_id' => '4','verse_number' => '68','translate_name' => '«فيهما فاكهة ونخل ورمان» هما منها وقيل من غيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23678','chapter_id' => '55','chapter_detail_id' => '4970','translator_id' => '4','verse_number' => '69','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23679','chapter_id' => '55','chapter_detail_id' => '4971','translator_id' => '4','verse_number' => '70','translate_name' => '«فيهن» أي الجنتين وما فيهما «خيرات» أخلاقا «حسان» وجوها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23680','chapter_id' => '55','chapter_detail_id' => '4972','translator_id' => '4','verse_number' => '71','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23681','chapter_id' => '55','chapter_detail_id' => '4973','translator_id' => '4','verse_number' => '72','translate_name' => '«حور» شديدات سواد العيون وبياضها «مقصورات» مستورات «في الخيام» من در مجوف مضافة إلى القصور شبيهة بالخدور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23682','chapter_id' => '55','chapter_detail_id' => '4974','translator_id' => '4','verse_number' => '73','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23683','chapter_id' => '55','chapter_detail_id' => '4975','translator_id' => '4','verse_number' => '74','translate_name' => '«لم يطمثهن إنس قبلهم» قبل أزواجهن «ولا جان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23684','chapter_id' => '55','chapter_detail_id' => '4976','translator_id' => '4','verse_number' => '75','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23685','chapter_id' => '55','chapter_detail_id' => '4977','translator_id' => '4','verse_number' => '76','translate_name' => '«متكئين» أي أزواجهم وإعرابه كما تقدم «على رفرف خضر» جمع رفرفة، أي بسط أو وسائد «وعبقري حسان» جمع عبقرية، أي طنافس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23686','chapter_id' => '55','chapter_detail_id' => '4978','translator_id' => '4','verse_number' => '77','translate_name' => '«فبأي آلاء ربكما تكذبان».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23687','chapter_id' => '55','chapter_detail_id' => '4979','translator_id' => '4','verse_number' => '78','translate_name' => '«تبارك اسم ربك ذي الجلال والإكرام» تقدم ولفظ اسم زائد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23688','chapter_id' => '56','chapter_detail_id' => '4980','translator_id' => '4','verse_number' => '1','translate_name' => '«إذا وقعت الواقعة» قامت القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23689','chapter_id' => '56','chapter_detail_id' => '4981','translator_id' => '4','verse_number' => '2','translate_name' => '«ليس لوقعتها كاذبة» نفس تكذب بأن تنفيها كما نفتها في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23690','chapter_id' => '56','chapter_detail_id' => '4982','translator_id' => '4','verse_number' => '3','translate_name' => '«خافضة رافعة» أي هي مظهرة لخفض أقوام بدخولهم النار ولرفع آخرين بدخولهم الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23691','chapter_id' => '56','chapter_detail_id' => '4983','translator_id' => '4','verse_number' => '4','translate_name' => '«إذا رجت الأرض رجا» حركت حركة شديدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23692','chapter_id' => '56','chapter_detail_id' => '4984','translator_id' => '4','verse_number' => '5','translate_name' => '«وبست الجبال بسا» فتتت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23693','chapter_id' => '56','chapter_detail_id' => '4985','translator_id' => '4','verse_number' => '6','translate_name' => '«فكانت هباءً» غبارا «منبثا» منتشرا، وإذا الثانية بدل من الأولى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23694','chapter_id' => '56','chapter_detail_id' => '4986','translator_id' => '4','verse_number' => '7','translate_name' => '«وكنتم» في القيامة «أزواجا» أصنافا «ثلاثة».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23695','chapter_id' => '56','chapter_detail_id' => '4987','translator_id' => '4','verse_number' => '8','translate_name' => '«فأصحاب الميمنة» وهم الذين يؤتون كتبهم بإيمانهم مبتدأ خبره «ما أصحاب الميمنة» تعظيم لشأنهم بدخولهم الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23696','chapter_id' => '56','chapter_detail_id' => '4988','translator_id' => '4','verse_number' => '9','translate_name' => '«وأصحاب المشأمة» أي الشمال بأن يؤتى كل منهم كتابه بشماله «ما أصحاب المشأمة» تحقير لشأنهم بدخولهم النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23697','chapter_id' => '56','chapter_detail_id' => '4989','translator_id' => '4','verse_number' => '10','translate_name' => '«والسابقون» إلى الخير وهم الأنبياء مبتدأ «السابقون» تأكيد لتعظيم شأنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23698','chapter_id' => '56','chapter_detail_id' => '4990','translator_id' => '4','verse_number' => '11','translate_name' => '«أولئك المقربون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23699','chapter_id' => '56','chapter_detail_id' => '4991','translator_id' => '4','verse_number' => '12','translate_name' => '«في جنات النعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23700','chapter_id' => '56','chapter_detail_id' => '4992','translator_id' => '4','verse_number' => '13','translate_name' => '«ثلة من الأولين» مبتدأ، أي جماعة من الأمم الماضية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23701','chapter_id' => '56','chapter_detail_id' => '4993','translator_id' => '4','verse_number' => '14','translate_name' => '«وقليل من الآخرين» من أمة محمد صلى الله عليه وسلم وهم السابقون من الأمم الماضية وهذه الأمة والخبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23702','chapter_id' => '56','chapter_detail_id' => '4994','translator_id' => '4','verse_number' => '15','translate_name' => '«على سرر موضونة» منسوجة بقضبان الذهب والجواهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23703','chapter_id' => '56','chapter_detail_id' => '4995','translator_id' => '4','verse_number' => '16','translate_name' => '«متكئين عليها متقابلين» حالان من الضمير في الخبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23704','chapter_id' => '56','chapter_detail_id' => '4996','translator_id' => '4','verse_number' => '17','translate_name' => '«يطوف عليهم» للخدمة «ولدان مخلدون» على شكل الأولاد لا يهرمون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23705','chapter_id' => '56','chapter_detail_id' => '4997','translator_id' => '4','verse_number' => '18','translate_name' => '«بأكواب» أقداح لا عرى لها «وأباريق» لها عرى وخراطيم «وكأس» إناء شرب الخمر «من معين» أي خمر جارية من منبع لا ينقطع أبدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23706','chapter_id' => '56','chapter_detail_id' => '4998','translator_id' => '4','verse_number' => '19','translate_name' => '«لا يصدعون عنها ولا ينزَِفون» بفتح الزاي وكسرها من نزف الشارب وأنزف، أي لا يحصل لهم منها صداع ولا ذهاب عقل بخلاف خمر الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23707','chapter_id' => '56','chapter_detail_id' => '4999','translator_id' => '4','verse_number' => '20','translate_name' => '«وفاكهة مما يتخيرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23708','chapter_id' => '56','chapter_detail_id' => '5000','translator_id' => '4','verse_number' => '21','translate_name' => '«ولحم طير مما يشتهون و» لهم للاستمتاع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23709','chapter_id' => '56','chapter_detail_id' => '5001','translator_id' => '4','verse_number' => '22','translate_name' => '«وحور» نساء شديدات سواد العيون وبياضها «عين» ضخام العيون كسرت عينه بدل ضمها لمجانسة الياء ومفرده عيناء كحمراء وفي قراءة بجر حور عين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23710','chapter_id' => '56','chapter_detail_id' => '5002','translator_id' => '4','verse_number' => '23','translate_name' => '«كأمثال اللؤلؤ المكنون» المصون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23711','chapter_id' => '56','chapter_detail_id' => '5003','translator_id' => '4','verse_number' => '24','translate_name' => '«جزاءً» مفعول له أو مصدر والعامل المقدر أي جعلنا لهم ما ذكر للجزاء أو جزيناهم «بما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23712','chapter_id' => '56','chapter_detail_id' => '5004','translator_id' => '4','verse_number' => '25','translate_name' => '«لا يسمعون فيها» في الجنة «لغوا» فاحشا من الكلام «ولا تأثيما» ما يؤثم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23713','chapter_id' => '56','chapter_detail_id' => '5005','translator_id' => '4','verse_number' => '26','translate_name' => '«إلا» لكن «قيلا» قولا «سلاما» سلاما بدل من قيلا فإنهم يسمعونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23714','chapter_id' => '56','chapter_detail_id' => '5006','translator_id' => '4','verse_number' => '27','translate_name' => '«وأصحاب اليمين ما أصحاب اليمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23715','chapter_id' => '56','chapter_detail_id' => '5007','translator_id' => '4','verse_number' => '28','translate_name' => '«في سدر» شجر النبق «مخضود» لا شوك فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23716','chapter_id' => '56','chapter_detail_id' => '5008','translator_id' => '4','verse_number' => '29','translate_name' => '«وطلح» شجر الموز «منضود» بالحمل من أسفله إلى أعلاه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23717','chapter_id' => '56','chapter_detail_id' => '5009','translator_id' => '4','verse_number' => '30','translate_name' => '«وظل ممدود» دائم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23718','chapter_id' => '56','chapter_detail_id' => '5010','translator_id' => '4','verse_number' => '31','translate_name' => '«وماء مسكوب» جار دائما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23719','chapter_id' => '56','chapter_detail_id' => '5011','translator_id' => '4','verse_number' => '32','translate_name' => '«وفاكهة كثيرة».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23720','chapter_id' => '56','chapter_detail_id' => '5012','translator_id' => '4','verse_number' => '33','translate_name' => '«لا مقطوعة» في زمن «ولا ممنوعة» بثمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23721','chapter_id' => '56','chapter_detail_id' => '5013','translator_id' => '4','verse_number' => '34','translate_name' => '«وفرش مرفوعة» على السرر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23722','chapter_id' => '56','chapter_detail_id' => '5014','translator_id' => '4','verse_number' => '35','translate_name' => '«إنا أنشأناهن إنشاءً» أي الحور العين من غير ولادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23723','chapter_id' => '56','chapter_detail_id' => '5015','translator_id' => '4','verse_number' => '36','translate_name' => '«فجعلناهن أبكارا» عذارى كلما أتاهن أزواجهن وجدوهن عذارى ولا وجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23724','chapter_id' => '56','chapter_detail_id' => '5016','translator_id' => '4','verse_number' => '37','translate_name' => '«عرُْبا» بضم الراء وسكونها جمع عروب وهي المتحببة إلى زوجها عشقا له «أترابا» جمع ترب، أي مستويات في السن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23725','chapter_id' => '56','chapter_detail_id' => '5017','translator_id' => '4','verse_number' => '38','translate_name' => '«لأصحاب اليمين» صلة أنشأناهن أو جعلناهن وهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23726','chapter_id' => '56','chapter_detail_id' => '5018','translator_id' => '4','verse_number' => '39','translate_name' => '«ثلة من الأولين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23727','chapter_id' => '56','chapter_detail_id' => '5019','translator_id' => '4','verse_number' => '40','translate_name' => '«وثلة من الآخرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23728','chapter_id' => '56','chapter_detail_id' => '5020','translator_id' => '4','verse_number' => '41','translate_name' => '«وأصحاب الشمال ما أصحاب الشمال».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23729','chapter_id' => '56','chapter_detail_id' => '5021','translator_id' => '4','verse_number' => '42','translate_name' => '«في سموم» ريح جارة من النار تنفذ في المسام «وحميم» ماء شديد الحرارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23730','chapter_id' => '56','chapter_detail_id' => '5022','translator_id' => '4','verse_number' => '43','translate_name' => '«وظل من يحموم» دخان شديد السواد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23731','chapter_id' => '56','chapter_detail_id' => '5023','translator_id' => '4','verse_number' => '44','translate_name' => '«لا بارد» كغيره من الظلال «ولا كريم» حسن المنظر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23732','chapter_id' => '56','chapter_detail_id' => '5024','translator_id' => '4','verse_number' => '45','translate_name' => '«إنهم كانوا قبل ذلك» في الدنيا «مترفين» منعمين لا يتعبون في الطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23733','chapter_id' => '56','chapter_detail_id' => '5025','translator_id' => '4','verse_number' => '46','translate_name' => '«وكانوا يصرون على الحنث» الذنب «العظيم» أي الشرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23734','chapter_id' => '56','chapter_detail_id' => '5026','translator_id' => '4','verse_number' => '47','translate_name' => '«وكانوا يقولون أئذا متنا وكنا ترابا وعظاما أئنا لمبعوثون» في الهمزتين في الموضوعين التحقيق وتسهيل الثانية وإدخال ألف بينهما على الوجهين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23735','chapter_id' => '56','chapter_detail_id' => '5027','translator_id' => '4','verse_number' => '48','translate_name' => '«أو آباؤنا الأولون» بفتح الواو للعطف والهمزة للاستفهام وهو في ذلك وفيما قبله للاستبعاد وفي قراءة بسكون الواو عطفا بأو والمعطوف عليه محل إن واسمها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23736','chapter_id' => '56','chapter_detail_id' => '5028','translator_id' => '4','verse_number' => '49','translate_name' => '«قل إن الأولين والآخرين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23737','chapter_id' => '56','chapter_detail_id' => '5029','translator_id' => '4','verse_number' => '50','translate_name' => '«لمجموعون إلى ميقات» لوقت «يوم معلوم» أي يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23738','chapter_id' => '56','chapter_detail_id' => '5030','translator_id' => '4','verse_number' => '51','translate_name' => '«ثم إنكم أيها الضالون المكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23739','chapter_id' => '56','chapter_detail_id' => '5031','translator_id' => '4','verse_number' => '52','translate_name' => '«لآكلون من شجر من زقوم» بيان للشجر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23740','chapter_id' => '56','chapter_detail_id' => '5032','translator_id' => '4','verse_number' => '53','translate_name' => '«فمالئون منها» من الشجر «البطون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23741','chapter_id' => '56','chapter_detail_id' => '5033','translator_id' => '4','verse_number' => '54','translate_name' => '«فشاربون عليه» أي الزقوم المأكول «من الحميم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23742','chapter_id' => '56','chapter_detail_id' => '5034','translator_id' => '4','verse_number' => '55','translate_name' => '«فشاربون شَُرب» بفتح الشين وضمها مصدر «الهيم» الإبل العطاش جمع هيمان للذكر وهيمى للأنثى، كعطشان وعطشى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23743','chapter_id' => '56','chapter_detail_id' => '5035','translator_id' => '4','verse_number' => '56','translate_name' => '«هذا نزلهم» ما أعد لهم «يوم الدين» يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23744','chapter_id' => '56','chapter_detail_id' => '5036','translator_id' => '4','verse_number' => '57','translate_name' => '«نحن خلقناكم» أوجدناكم من عدم «فلولا» هلا «تصدقون» بالبعث إذ القادر على الإنشاء قادر على الإعادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23745','chapter_id' => '56','chapter_detail_id' => '5037','translator_id' => '4','verse_number' => '58','translate_name' => '«أفرأيتم ما تمنون» تريقون من المني في أرحام النساء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23746','chapter_id' => '56','chapter_detail_id' => '5038','translator_id' => '4','verse_number' => '59','translate_name' => '«أأنتم» بتحقيق الهمزتين وإبدال الثانية ألفا وتسهيلها وإدخال ألف بين المسهلة والأخرى وتركه في المواضع الأخرى «تخلقونه» أي المني بشرا «أم نحن الخالقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23747','chapter_id' => '56','chapter_detail_id' => '5039','translator_id' => '4','verse_number' => '60','translate_name' => '«نحن قدَّرنا» بالتشديد والتخفيف «بينكم الموت وما نحن بمسبوقين» بعاجزين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23748','chapter_id' => '56','chapter_detail_id' => '5040','translator_id' => '4','verse_number' => '61','translate_name' => '«على» عن «أن نبدل» نجعل «أمثالكم» مكانكم «وننشئكم» نخلقكم «في مالا تعلمون» من الصور كالقردة والخنازير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23749','chapter_id' => '56','chapter_detail_id' => '5041','translator_id' => '4','verse_number' => '62','translate_name' => '«ولقد علمتم النّشاءَةَ الأولى» وفي قراءة بسكون الشين «فلولا تذكرون» فيه إدغام التاء الثانية في الأصل في الذال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23750','chapter_id' => '56','chapter_detail_id' => '5042','translator_id' => '4','verse_number' => '63','translate_name' => '«أفرأيتم ما تحرثون» تثيرون في الأرض وتلقون البذر فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23751','chapter_id' => '56','chapter_detail_id' => '5043','translator_id' => '4','verse_number' => '64','translate_name' => '«أأنتم تزرعونه» تنبتونه «أم نحن الزارعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23752','chapter_id' => '56','chapter_detail_id' => '5044','translator_id' => '4','verse_number' => '65','translate_name' => '«لو نشاء لجعلناه حطاما» نباتا يابسا لا حب فيه «فظلتم» أصله ظللتم بكسر اللام حذفت تخفيفا أي أقمتم نهارا «تفكهون» حذفت منه إحدى التاءين في الأصل تعجبون من ذلك وتقولون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23753','chapter_id' => '56','chapter_detail_id' => '5045','translator_id' => '4','verse_number' => '66','translate_name' => '«إنا لمغرمون» نفقة زرعنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23754','chapter_id' => '56','chapter_detail_id' => '5046','translator_id' => '4','verse_number' => '67','translate_name' => '«بل نحن محرومون» ممنوعون رزقنا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23755','chapter_id' => '56','chapter_detail_id' => '5047','translator_id' => '4','verse_number' => '68','translate_name' => '«أفرأيتم الماء الذي تشربون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23756','chapter_id' => '56','chapter_detail_id' => '5048','translator_id' => '4','verse_number' => '69','translate_name' => '«أأنتم أنزلتموه من المزن» السحاب جمع مزنة «أم نحن المنزلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23757','chapter_id' => '56','chapter_detail_id' => '5049','translator_id' => '4','verse_number' => '70','translate_name' => '«لو نشاء جعلناه أجاجا» ملحا لا يمكن شربه «فلولا» هلا «تشكرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23758','chapter_id' => '56','chapter_detail_id' => '5050','translator_id' => '4','verse_number' => '71','translate_name' => '«أفرأيتم النار التي تورون» تُخرجون من الشجر الأخضر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23759','chapter_id' => '56','chapter_detail_id' => '5051','translator_id' => '4','verse_number' => '72','translate_name' => '«أأنتم أنشأتم شجرتها» كالمرخ والعفار والكلخ «أم نحن المنشئون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23760','chapter_id' => '56','chapter_detail_id' => '5052','translator_id' => '4','verse_number' => '73','translate_name' => '«نحن جعلناها تذكرة» لنار جهنم «ومتاعا» بُلْغَة «للمقوين» للمسافرين من أقوى القوم: أي صاروا بالقوى بالقصر والمد أي القفر وهو مفازة لا نبات فيها ولا ماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23761','chapter_id' => '56','chapter_detail_id' => '5053','translator_id' => '4','verse_number' => '74','translate_name' => '«فسبح» نزه «باسم» زائدة «ربك العظيم» الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23762','chapter_id' => '56','chapter_detail_id' => '5054','translator_id' => '4','verse_number' => '75','translate_name' => '«فلا أقسم» لا زائدة «بمواقع النجوم» بمساقطها لغروبها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23763','chapter_id' => '56','chapter_detail_id' => '5055','translator_id' => '4','verse_number' => '76','translate_name' => '«وإنه» أي القسم بها «لقسم لو تعلمون عظيم» لو كنتم من ذوي العلم لعلمتم عظم هذا القسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23764','chapter_id' => '56','chapter_detail_id' => '5056','translator_id' => '4','verse_number' => '77','translate_name' => '«إنه» أي المتلو عليكم «لقرآن كريم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23765','chapter_id' => '56','chapter_detail_id' => '5057','translator_id' => '4','verse_number' => '78','translate_name' => '«في كتاب» مكتوب «مكنون» مصون وهو المصحف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23766','chapter_id' => '56','chapter_detail_id' => '5058','translator_id' => '4','verse_number' => '79','translate_name' => '«لايمسّه» خبر بمعنى النهي «إلا المطهرون» الذين طهروا أنفسهم من الأحداث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23767','chapter_id' => '56','chapter_detail_id' => '5059','translator_id' => '4','verse_number' => '80','translate_name' => '«تنزيل» منزل «من رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23768','chapter_id' => '56','chapter_detail_id' => '5060','translator_id' => '4','verse_number' => '81','translate_name' => '«أفبهذا الحديث» القرآن «أنتم مدهنون» متهاونون مكذبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23769','chapter_id' => '56','chapter_detail_id' => '5061','translator_id' => '4','verse_number' => '82','translate_name' => '«وتجعلون رزقكم» من المطر، أي شكره «أنكم تكذبون» بسقيا الله حيث قلتم مطرنا بنوء كذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23770','chapter_id' => '56','chapter_detail_id' => '5062','translator_id' => '4','verse_number' => '83','translate_name' => '«فلولا» فهلا «إذا بلغت» الروح وقت النزع «الحلقوم» هو مجرى الطعام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23771','chapter_id' => '56','chapter_detail_id' => '5063','translator_id' => '4','verse_number' => '84','translate_name' => '«وأنتم» يا حاضري الميت «حينئذ تنظرون» إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23772','chapter_id' => '56','chapter_detail_id' => '5064','translator_id' => '4','verse_number' => '85','translate_name' => '«ونحن أقرب إليه منكم» بالعلم «ولكن لا تبصرون» من البصيرة، أي لا تعلمون ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23773','chapter_id' => '56','chapter_detail_id' => '5065','translator_id' => '4','verse_number' => '86','translate_name' => '«فلولا» فهلا «إن كنتم غير مدينين» مجزيين بأن تبعثوا، أي غير مبعوثين بزعمكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23774','chapter_id' => '56','chapter_detail_id' => '5066','translator_id' => '4','verse_number' => '87','translate_name' => '«ترجعونها» تردون الروح إلى الجسد بعد بلوغ الحلقوم «إن كنتم صادقين» فيما زعمتم فلولا الثانية تأكيد للأولى وإذا ظرف لترجعون المتعلق به الشرطان والمعنى: هلا ترجعونها إن نفيتم البعث صادقين في نفيه، أي لينتفي عن محلها الموت كالبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23775','chapter_id' => '56','chapter_detail_id' => '5067','translator_id' => '4','verse_number' => '88','translate_name' => '«فأما إن كان» الميت «من المقربين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23776','chapter_id' => '56','chapter_detail_id' => '5068','translator_id' => '4','verse_number' => '89','translate_name' => '«فروْح» أي فله استراحة «وريحان» رزق حسن «وجنة نعيم» وهل الجواب لأما أو لإن أو لهما؟ أقوال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23777','chapter_id' => '56','chapter_detail_id' => '5069','translator_id' => '4','verse_number' => '90','translate_name' => '«وأما إن كان من أصحاب اليمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23778','chapter_id' => '56','chapter_detail_id' => '5070','translator_id' => '4','verse_number' => '91','translate_name' => '«فسلام لك» أي له السلامة من العذاب «من أصحاب اليمين» من جهة أنه منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23779','chapter_id' => '56','chapter_detail_id' => '5071','translator_id' => '4','verse_number' => '92','translate_name' => '«وأما إن كان من المكذبين الضالين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23780','chapter_id' => '56','chapter_detail_id' => '5072','translator_id' => '4','verse_number' => '93','translate_name' => '(فنزل من حميم) من إضافة الموصوف إلى صفته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23781','chapter_id' => '56','chapter_detail_id' => '5073','translator_id' => '4','verse_number' => '94','translate_name' => '(وتصلية جحيم) من إضافة الموصوف إلى صفته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23782','chapter_id' => '56','chapter_detail_id' => '5074','translator_id' => '4','verse_number' => '95','translate_name' => '«إن هذا لهو حق اليقين» من إضافة الموصوف إلى صفته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23783','chapter_id' => '56','chapter_detail_id' => '5075','translator_id' => '4','verse_number' => '96','translate_name' => '«فسبح باسم ربك العظيم» تقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23784','chapter_id' => '57','chapter_detail_id' => '5076','translator_id' => '4','verse_number' => '1','translate_name' => '«سبَّح لله ما في السماوات والأرض» أي نزهه كل شيء فاللام مزيدة وجيء بما دون من تغليبا للأكثر «وهو العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23785','chapter_id' => '57','chapter_detail_id' => '5077','translator_id' => '4','verse_number' => '2','translate_name' => '«له ملك السماوات والأرض يحيي» بالإنشاء «ويميت» بعده «وهو على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23786','chapter_id' => '57','chapter_detail_id' => '5078','translator_id' => '4','verse_number' => '3','translate_name' => '«هو الأول» قبل كل شيء بلا بداية «والآخر» بعد كل شيء بلا نهاية «والظاهر» بالأدلة عليه «والباطن» عن إدراك الحواس «وهو بكل شيء عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23787','chapter_id' => '57','chapter_detail_id' => '5079','translator_id' => '4','verse_number' => '4','translate_name' => '«هو الذي خلق السماوات والأرض في ستة أيام» من أيام الدنيا أولها الأحد وآخرها الجمعة «ثم استوى على العرش» الكرسي استواءً يليق به «يعلم ما يلج» يدخل «في الأرض» كالمطر والأموات «وما يخرج منها» كالنبات والمعادن «وما ينزل من السماء» كالرحمة والعذاب «وما يعرج» يصعد «فيها» كالأعمال الصالحة والسيئة «وهو معكم» بعلمه «أين ما كنتم والله بما تعملون بصير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23788','chapter_id' => '57','chapter_detail_id' => '5080','translator_id' => '4','verse_number' => '5','translate_name' => '«له ملك السماوات والأرض وإلى الله ترجع الأمور» الموجودات جميعها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23789','chapter_id' => '57','chapter_detail_id' => '5081','translator_id' => '4','verse_number' => '6','translate_name' => '«يولج الليل» يدخله «في النهار» فيزيد وينقص الليل «ويولج النهار في الليل» فيزيد وينقص النهار «وهو عليم بذات الصدور» بما فيها من الأسرار والمعتقدات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23790','chapter_id' => '57','chapter_detail_id' => '5082','translator_id' => '4','verse_number' => '7','translate_name' => '«آمنوا» داوموا على الإيمان «بالله ورسوله وأنفقوا» في سبيل الله «مما جعلكم مستخلفين فيه» من مال من تقدمكم وسيخلفكم فيه من بعدكم، نزل في غزوة العسرة وهي غزوة تبوك «فالذين آمنوا منكم وأنفقوا» إشارة إلى عثمان رضي الله عنه «لهم أجر كبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23791','chapter_id' => '57','chapter_detail_id' => '5083','translator_id' => '4','verse_number' => '8','translate_name' => '(وما لكم لا تؤمنون) خطاب للكفار، أي لا مانع لكم من الإيمان (بالله والرسول يدعوكم لتؤمنوا بربكم وقد أخذ) بضم الهمزة وكسر الخاء وبفتحها ونصب ما بعده (ميثاقكم) عليه أي أخذه الله في عالم الذر حين أشهدهم على أنفسهم "" ألست بربكم قالوا بلى "" (إن كنتم مؤمنين) أي مريدين الإيمان به فبادروا إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23792','chapter_id' => '57','chapter_detail_id' => '5084','translator_id' => '4','verse_number' => '9','translate_name' => '«هو الذي ينزل على عبده آيات بينات» آيات القرآن «ليخرجكم من الظلمات» الكفر «إلى النور» الإيمان «وإن الله بكم» في إخراجكم من الكفر إلى الإيمان «لرؤوف رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23793','chapter_id' => '57','chapter_detail_id' => '5085','translator_id' => '4','verse_number' => '10','translate_name' => '«ومالكم» بعد إيمانكم «ألا» فيه إدغام نون أن في لام لا «تنفقوا في سبيل الله ولله ميراث السماوات والأرض» بما فيهما فتصل إليه أموالكم من غير أجر الإنفاق بخلاف ما لو أنفقتم فتؤجرون «لا يستوي منكم من أنفق من قبل الفتح» لمكة «وقاتل أولئك أعظم درجة من الذين أنفقوا من بعد وقاتلوا وكلا» من الفريقين، وفي قراءة بالرفع مبتدأ «وعد الله الحسنى» الجنة «والله بما تعملون خبير» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23794','chapter_id' => '57','chapter_detail_id' => '5086','translator_id' => '4','verse_number' => '11','translate_name' => '«من ذا الذي يقرض الله» بإنفاق ماله في سبيل الله «قرضا حسنا» بأن ينفقه لله «فيضاعفه» وفي قراءة فيضعفه بالتشديد «له» من عشر إلى أكثر من سبعمائة كما ذكر في البقرة «وله» مع المضاعفة «أجر كريم» مقترن به رضا وإقبال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23795','chapter_id' => '57','chapter_detail_id' => '5087','translator_id' => '4','verse_number' => '12','translate_name' => 'اذكر «يوم ترى المؤمنين والمؤمنات يسعى نورهم بين أيديهم» أمامهم «و» يكون «بأيمانهم» ويقال لهم «بُشراكم اليوم جنات» أي ادخلوها «تجري من تحتها الأنهار خالدين فيها ذلك هو الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23796','chapter_id' => '57','chapter_detail_id' => '5088','translator_id' => '4','verse_number' => '13','translate_name' => '«يوم يقول المنافقون والمنافقات للذين آمنوا انظرونا» أبصرونا وفي قراءة بفتح الهمزة وكسر الظاء: أمهلونا «نقتبس» نأخذ القبس والإضاءة «من نوركم قيل» لهم استهزاءً بهم «ارجعوا وراءكم فالتمسوا نورا» فرجعوا «فضرب بينهم» وبين المؤمنين «بسور» قيل هو سور الأعراف «له باب باطنه فيه الرحمة» من جهة المؤمنين «وظاهره» من جهة المنافقين «من قبله العذاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23797','chapter_id' => '57','chapter_detail_id' => '5089','translator_id' => '4','verse_number' => '14','translate_name' => '«ينادونهم ألم نكن معكم» على الطاعة «قالوا بلى ولكنكم فتنتم أنفسكم» بالنفاق «وتربصتم» بالمؤمنين الدوائر «وارتبتم» شككتم في دين الإسلام «وغرتكم الأمانيُّ الأطماع «حتى جاء أمر الله» الموت «وغركم بالله الغَرور» الشيطان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23798','chapter_id' => '57','chapter_detail_id' => '5090','translator_id' => '4','verse_number' => '15','translate_name' => '«فاليوم لا يُؤخذ» بالياء والتاء «منكم فدية ولا من الذين كفروا مأواكم النار هي مولاكم» أولى بكم «وبئس المصير» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23799','chapter_id' => '57','chapter_detail_id' => '5091','translator_id' => '4','verse_number' => '16','translate_name' => '«ألم يَأنِ» يَحِن «للذين آمنوا» نزلت في شأن الصحابة لما أكثروا المزاح «أن تخشع قلوبهم لذكر الله وما نزَّل» بالتشديد والتخفيف «من الحق» القرآن «ولا يكونوا» معطوف على تخشع «كالذين أوتوا الكتاب من قبل» هم اليهود والنصارى «فطال عليهم الأمد» الزمن بينهم وبين أنبيائهم «فقست قلوبهم» لم تلن لذكر الله «وكثير منهم فاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23800','chapter_id' => '57','chapter_detail_id' => '5092','translator_id' => '4','verse_number' => '17','translate_name' => '«اعلموا» خطاب للمؤمنين المذكورين «أن الله يحيي الأرض بعد موتها» بالنبات فكذلك يفعل بقلوبكم يردها إلى الخشوع «قد بينا لكم الآيات» الدالة على قدرتنا بهذا وغيره «لعلكم تعقلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23801','chapter_id' => '57','chapter_detail_id' => '5093','translator_id' => '4','verse_number' => '18','translate_name' => '«إن المصَّدقين» من التصديق أدغمت التاء في الصاد، أي الذين تصدقوا «والمصَّدقات» اللاتي تصدقن وفي قراءة بتخفيف الصاد فيهما من التصديق والإيمان «وأقرضوا الله قرضا حسنا» راجع إلى الذكور والإناث بالتغليب وعطف الفعل على الاسم في صلة أل لأنه فيها حل محل الفعل، وذكر القرض بوصفه بعد التصدق تقييد له «يضاعف» وفي قراءة يضعف بالتشديد، أي قرضهم «لهم ولهم أجر كريم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23802','chapter_id' => '57','chapter_detail_id' => '5094','translator_id' => '4','verse_number' => '19','translate_name' => '«والذين آمنوا بالله ورسله أولئك هم الصديقون» المبالغون في التصديق «والشهداء عند ربهم» على المكذبين من الأمم «لهم أجرهم ونورهم والذين كفروا وكذبوا بآياتنا» الدالة على وحدانيتنا «أولئك أصحاب الجحيم» النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23803','chapter_id' => '57','chapter_detail_id' => '5095','translator_id' => '4','verse_number' => '20','translate_name' => '«اعلموا أنما الحياة الدنيا لعب ولهو وزينة» تزين «وتفاخر بينكم وتكاثر في الأموال والأولاد» أي الاشتغال فيها، وأما الطاعات وما يعين عليها فمن أمور الآخرة «كمثل» أي هي في إعجابها لكم واضمحلالها كمثل «غيث» مطر «أعجب الكفار» الزارع «نباته» الناشئ، عنه «ثم يهيج» ييبس «فتراه مصفرا ثم يكون حطاما» فتاتا يضمحل بالرياح «وفي الآخرة عذاب شديد» لمن آثر عليها الدنيا «ومغفرة من الله ورضوان» لمن لم يؤثر عليها الدنيا «وما الحياة الدنيا» ما التمتع فيها «إلا متاع الغرور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23804','chapter_id' => '57','chapter_detail_id' => '5096','translator_id' => '4','verse_number' => '21','translate_name' => '«سابقوا إلى مغفرة من ربكم وجنة عرضها كعرض السماء والأرض» لو وصلت إحداهما بالأخرى والعرض: السعة «أعدت للذين آمنوا بالله ورسله ذلك فضل الله يؤتيه من يشاء والله ذو الفضل العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23805','chapter_id' => '57','chapter_detail_id' => '5097','translator_id' => '4','verse_number' => '22','translate_name' => '«ما أصاب من مصيبة في الأرض» بالجدب «ولا في أنفسكم» كالمرض وفقد الولد «إلا في كتاب» يعنى اللوح المحفوظ «من قبل أن نبرأها» نخلقها، ويقال في النعمة كذلك «إن ذلك على الله يسير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23806','chapter_id' => '57','chapter_detail_id' => '5098','translator_id' => '4','verse_number' => '23','translate_name' => '«لكيلا» كي ناصبة للفعل بمعنى أن، أي أخبر تعالى بذلك لئلا «تأسوا» تحزنوا «على ما فاتكم ولا تفرحوا» فرح بطر بل فرح شكر على النعمة «بما آتاكم» بالمد أعطاكم وبالقصر جاءكم منه «والله لا يحب كل مختال» متكبر بما أوتي «فخور» به على الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23807','chapter_id' => '57','chapter_detail_id' => '5099','translator_id' => '4','verse_number' => '24','translate_name' => '«والذين يبخلون» بما يجب عليهم «ويأمرون الناس بالبخل» به لهم وعيد شديد «ومن يتولى» عما يجب عليه «فإن الله هو» ضمير فصل وفي قراءة بسقوطه «الغني» عن غيره «الحميد» لأوليائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23808','chapter_id' => '57','chapter_detail_id' => '5100','translator_id' => '4','verse_number' => '25','translate_name' => '«لقد أرسلنا رسلنا» الملائكة إلى الأنبياء «بالبينات» بالحجج القواطع «وأنزلنا معهم الكتاب» بمعنى الكتب «والميزان» العدل «ليقوم الناس بالقسط وأنزلنا الحديد» أخرجناه من المعادن «فيه بأس شديد» يقاتل به «ومنافع للناس وليعلم الله» علم مشاهدة، معطوف على ليقوم الناس «من ينصره» بأن ينصر دينه بآلات الحرب من الحديد وغيره «ورسوله بالغيب» حال من هاء ينصره، أي غائبا عنهم في الدنيا، قال ابن عباس: ينصرونه ولا يبصرونه «إن الله قوي عزيز» لا حاجة له إلى النصرة لكنها تنفع من يأتي بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23809','chapter_id' => '57','chapter_detail_id' => '5101','translator_id' => '4','verse_number' => '26','translate_name' => '«ولقد أرسلنا نوحا وإبراهيم وجعلنا في ذريتهما النبوة والكتاب» يعني الكتب الأربعة: التوراة والإنجيل والزبور والفرقان فإنها في ذرية إبراهيم «فمنهم مهتد وكثير منهم فاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23810','chapter_id' => '57','chapter_detail_id' => '5102','translator_id' => '4','verse_number' => '27','translate_name' => '«ثم قفينا على آثارهم برسلنا وقفينا بعيسى ابن مريم وآتيناه الإنجيل وجعلنا في قلوب الذين اتبعوه رأفة ورحمة ورهبانية» هي رفض النساء واتخاذ الصوامع «ابتدعوها» من قبل أنفسهم «ما كتبناها عليهم» ما أمرناهم بها «إلا» لكن فعلوها «ابتغاء رضوان» مرضاة «الله فما رعوْها حق رعايتها» إذ تركها كثير منهم وكفروا بدين عيسى ودخلوا في دين ملكهم وبقي على دين عيسى كثير منهم فآمنوا بنبينا «فآتينا الذين آمنوا» به «منهم أجرهم وكثير منهم فاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23811','chapter_id' => '57','chapter_detail_id' => '5103','translator_id' => '4','verse_number' => '28','translate_name' => '«يا أيها الذين آمنوا» بعيسى «اتقوا الله وآمنوا برسوله» محمد صلى الله عليه وسلم وعيسى «يؤتكم كفلين» نصيبين «من رحمته» لإيمانكم بالنبيين «ويجعل لكم نورا تمشون به» على الصراط «ويغفر لكم والله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23812','chapter_id' => '57','chapter_detail_id' => '5104','translator_id' => '4','verse_number' => '29','translate_name' => '«لئلا يعلم» أي أعلمكم بذلك ليعلم «أهل الكتاب» بالتوراة الذين لم يؤمنوا بمحمد صلى الله عليه وسلم «أن» مخففة من الثقيلة واسمها ضمير الشأن والمعنى أنهم «لا يقدرون على شيءٍ من فضل الله» خلاف ما في زعمهم أنهم أحباء الله وأهل رضوانه «وأن الفضل بيد الله يؤتيه» يعطيه «من يشاء» فآتى المؤمنين منهم أجرهم مرتين كما تقدم «والله ذو الفضل العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23813','chapter_id' => '58','chapter_detail_id' => '5105','translator_id' => '4','verse_number' => '1','translate_name' => '«قد سمع الله قول التي تجادلك» تراجعك أيها النبي «في زوجها» المظاهر منها وكان قال لها: أنت عليَّ كظهر أمي، وقد سألت النبي صلى الله عليه وسلم عن ذلك فأجابها بأنها حرمت عليه على ما هو المعهود عندهم من أن الظهار موجبه فرقة مؤبدة وهي خولة بنت ثعلبة، وهو أوس بن الصامت «وتشتكي إلى الله» وحدتها وفاقتها وصبية صغارا إن ضمتهم إليه ضاعوا أو إليها جاعوا «والله يسمع تحاوركما» تراجعكما «إن الله سميع بصير» عالم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23814','chapter_id' => '58','chapter_detail_id' => '5106','translator_id' => '4','verse_number' => '2','translate_name' => '«الذين يظَّهَّرون» أصله يتظهرون أدغمت التاء في الظاء، وفي قراءة بألف بين الظاء والهاء الخفيفة وفي أخرى كيقاتلون والموضع الثاني كذلك «منكم من نسائهم ما هن أمهاتهم إن أمهاتهم إلا اللأئي» بهمزة وياء وبلا ياء «ولدنهم وإنهم ْ» بالظهار «ليقولن منكرا من القول وزورا» كذبا «وإن الله لعفو غفور».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23815','chapter_id' => '58','chapter_detail_id' => '5107','translator_id' => '4','verse_number' => '3','translate_name' => '«والذين يظاهرون من نسائهم ثم يعودوا لما قالوا» أي فيه بأن يخالفوه بإمساك المظاهر منها الذي هو خلاف مقصود الظهار من وصف المرأة بالتحريم «فتحرير رقبة» أي إعتاقها عليه «من قبل أن يتماسا» بالوطء «ذلكم توعظون به والله بما تعملون خبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23816','chapter_id' => '58','chapter_detail_id' => '5108','translator_id' => '4','verse_number' => '4','translate_name' => '«فمن لم يجد» رقبة «فصيام شهرين متتابعين من قبل أن يتماسا فمن لم يستطع» أي الصيام «فإطعام ستين مسكينا» عليه: أي من قبل أن يتماسا حملا للمطلق عل المقيد لكل مسكين مد من غالب قوت البلد «ذلك» أي التخفيف في الكفارة «لتؤمنوا بالله ورسوله وتلك» أي الأحكام المذكورة «حدود الله وللكافرين» بها «عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23817','chapter_id' => '58','chapter_detail_id' => '5109','translator_id' => '4','verse_number' => '5','translate_name' => '«إن الذين ُيَحادُّونَ» يخالفون «الله ورسوله كبتوا» أذلوا «كما كبت الذين من قبلهم» في مخالفتهم رسلهم «وقد أنزلنا آيات بينات» دالة على صدق الرسول «وللكافرين» بالآيات «عذاب مهين» ذو إهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23818','chapter_id' => '58','chapter_detail_id' => '5110','translator_id' => '4','verse_number' => '6','translate_name' => '«يوم يبعثهم الله جميعا فينبئهم بما عملوا أحصاه الله ونسوه والله على كل شيء شهيد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23819','chapter_id' => '58','chapter_detail_id' => '5111','translator_id' => '4','verse_number' => '7','translate_name' => '«ألم تر» تعلم «أن الله يعلم ما في السماوات وما في الأرض ما يكون من نجوى ثلاثة إلا هو رابعهم» بعلمه «ولا خمسة إلا هو سادسهم ولا أدنى من ذلك ولا أكثر إلا هو معهم أين ما كانوا ثم ينبئهم بما عملوا يوم القيامة إن الله بكل شيء عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23820','chapter_id' => '58','chapter_detail_id' => '5112','translator_id' => '4','verse_number' => '8','translate_name' => '«أم ترَ» تنظر «إلى الذين نُهوا على النجوى ثم يعودون لما نهوا عنه ويتناجون بالإثم والعدوان ومعصية الرسول» الريبة «وإذا جاءُوك حيوك» أيها النبي «بما لم يحيك به الله» وهو قولهم: السام عليك، أي الموت «ويقولون في أنفسهم لولا» هلا «يعذبنا الله بما نقول» من التحية وأنه ليس بنبي إن كان نبيا «حسبهم جهنم يصلونها فبئس المصير» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23821','chapter_id' => '58','chapter_detail_id' => '5113','translator_id' => '4','verse_number' => '9','translate_name' => '«يا أيها الذين آمنوا إذا تناجيتم فلا تتناجوا بالإثم والعدوان ومعصية الرسول وتناجوا بالبر والتقوى واتقوا الله الذي إليه تحشرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23822','chapter_id' => '58','chapter_detail_id' => '5114','translator_id' => '4','verse_number' => '10','translate_name' => '«إنما النجوى» بالإثم ونحوه «من الشيطان» بغروره «ليحزن الذين آمنوا وليس» هو «بضارهم شيئا إلا بإذن الله» أي إرادته «وعلى الله فليتوكل المؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23823','chapter_id' => '58','chapter_detail_id' => '5115','translator_id' => '4','verse_number' => '11','translate_name' => '«يا أيها الذين آمنوا إذا قيل لكم تفسحوا» توسعوا «في المجلسْ» مجلس النبي صلى الله عليه وسلم والذكر حتى مجلس من جاءكم وفي قراءة المجالس «فافسحوا يفسح الله لكم» في الجنة «وإذا قيل انشِزوا» قوموا إلى الصلاة وغيرها من الخيرات «فانشِزوا» وفي قراءة بضم الشين فيهما «يرفع الله الذين آمنوا منكم» بالطاعة في ذلك «و» يرفع «الذين أوتوا العلم درجات» في الجنة «والله بما تعملون خبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23824','chapter_id' => '58','chapter_detail_id' => '5116','translator_id' => '4','verse_number' => '12','translate_name' => '«يا أيها الذين آمنوا إذا ناجيتم الرسول» أردتم مناجاته «فقدموا بين يدي نجواكم» قبلها «صدقة ذلك خير لكم وأطهر» لذنوبكم «فإن لم تجدوا» ما تتصدقون به «فإن الله غفور» لمناجاتكم «رحيم» بكم، يعني فلا عليكم في المناجاة من غير صدقة، ثم نسخ ذلك بقوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23825','chapter_id' => '58','chapter_detail_id' => '5117','translator_id' => '4','verse_number' => '13','translate_name' => '«أأشفقتم» بتحقيق الهمزتين وإبدال الثانية ألفا وتسهليها وإدخال ألف بين المسهلة والأخرى وتركه، أي خفتم من «أن تقدِّموا بين يدي نجواكم صدقات» لفقر «فإذا لم تفعلوا» الصدقة «وتاب الله عليكم» رجع بكم عنها «فأقيموا الصلاة وآتوا الزكاة وأطيعوا الله ورسوله» أي داوموا على ذلك «والله خبير بما تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23826','chapter_id' => '58','chapter_detail_id' => '5118','translator_id' => '4','verse_number' => '14','translate_name' => '«ألم ترَ» تنظر «إلى الذين تولَّوْا» هم المنافقون «قوما» هم اليهود «غضب الله عليهم ما هم» أي المنافقين «منكم» من المؤمنين «ولا منهم» من اليهود بل هم مذبذبون «ويحلفون على الكذب» أي قولهم إنهم مؤمنون «وهم يعلمون» أنهم كاذبون فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23827','chapter_id' => '58','chapter_detail_id' => '5119','translator_id' => '4','verse_number' => '15','translate_name' => '«أعد الله لهم عذابا شديدا إنهم ساء ما كانوا يعملون» من المعاصي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23828','chapter_id' => '58','chapter_detail_id' => '5120','translator_id' => '4','verse_number' => '16','translate_name' => '«اتخذوا إيمانهم جُنَّةٌ» سترا على أنفسهم وأموالهم «فصدوا» بها المؤمنين «عن سبيل الله» أي الجهاد فيهم بقتلهم وأخذ أموالهم «فلهم عذاب مهين» ذو إهانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23829','chapter_id' => '58','chapter_detail_id' => '5121','translator_id' => '4','verse_number' => '17','translate_name' => '«لن تغني عنهم أموالهم ولا أولادهم من الله» من عذابه «شيئا» من الإغناء «أولئك أصحاب النار هم فيها خالدون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23830','chapter_id' => '58','chapter_detail_id' => '5122','translator_id' => '4','verse_number' => '18','translate_name' => 'اذكر «يوم يبعثهم الله جميعا فيحلفون له» أنهم مؤمنون «كما يحلفون لكم ويحسبون أنهم على شيء» من نفع حلفهم في الآخرة كالدنيا «ألا إنهم هم الكاذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23831','chapter_id' => '58','chapter_detail_id' => '5123','translator_id' => '4','verse_number' => '19','translate_name' => '«استحوذ» استولى «عليهم الشيطان» بطاعتهم له «فأنساهم ذكر الله أولئك حزب الشيطان» أتباعه «ألا إن حزب الشيطان هم الخاسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23832','chapter_id' => '58','chapter_detail_id' => '5124','translator_id' => '4','verse_number' => '20','translate_name' => '«إن الذين يحادون» يخالفون «الله ورسوله أولئك في الأذلين» المغلوبين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23833','chapter_id' => '58','chapter_detail_id' => '5125','translator_id' => '4','verse_number' => '21','translate_name' => '«كتب الله» في اللوح المحفوظ أو قضى «لأغلبن أنا ورسلي» بالحجة أو السيف «إن الله قوي عزيز».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23834','chapter_id' => '58','chapter_detail_id' => '5126','translator_id' => '4','verse_number' => '22','translate_name' => '«لا تجد قوما يؤمنون بالله واليوم الآخر يوادون» يصادقون «من حادَّ الله ورسوله ولو كانوا» أي المحادون «آباءهم» أي المؤمنين «أو أبناءهم أو إخوانهم أو عشيرتهم» بل يقصدونهم بالسوء ويقاتلونهم على الإيمان كما وقع لجماعة من الصحابة رضي الله عنهم «أولئك» الذين يوادونهم «كتب» أثبت «في قلوبهم الإيمان وأيدهم بروح» بنور «منه» تعالى «ويدخلهم جنات تجري من تحتها الأنهار خالدين فيها رضي الله عنهم» بطاعته «ورضوا عنه» بثوابه «أولئك حزب الله» يتبعون أمره ويجتنبون نهيه «ألا إن حزب الله همُ المفلحون» الفائزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23835','chapter_id' => '59','chapter_detail_id' => '5127','translator_id' => '4','verse_number' => '1','translate_name' => '«سبح لله ما في السماوات وما في الأرض» أي ننزهه فاللام مزيدة وفي الإتيان بما تغليب للأكثر «وهو العزيز الحكيم» في ملكه وصنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23836','chapter_id' => '59','chapter_detail_id' => '5128','translator_id' => '4','verse_number' => '2','translate_name' => '«هو الذي أخرج الذين كفروا من أهل الكتاب» هم بنو النضير من اليهود «من ديارهم» مساكنهم بالمدينة «لأول الحشر» هو حشرهم إلى الشام وآخره أن أجلاهم عمر في خلافته إلى خيبر «ما ظننتم» أيها المؤمنون «أن يخرجوا وظنوا أنهم مانعتهم» خبر أن «حصونهم» فاعله تم به الخبر «من الله» من عذابه «فأتاهم الله» أمره وعذابه «من حيث لم يحتسبوا» لم يخطر ببالهم من جهة المؤمنين «وقذف» ألقى «في قلوبهم الرعب» بسكون العين وضمها، الخوف بقتل سيدهم كعب بن الأشرف «يخرِّبون» بالتشديد والتخفيف من أخرب «بيوتهم» لينقلوا ما أستحسنوه منها من خشب وغيره «بأيديهم وأيدي المؤمنين فاعتبروا يا أولي الأبصار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23837','chapter_id' => '59','chapter_detail_id' => '5129','translator_id' => '4','verse_number' => '3','translate_name' => '«ولولا أن كتب الله» قضى «عليهم الجلاء» الخروج من الوطن «لعذبهم في الدنيا» بالقتل والسبي كما فعل بقريظة من اليهود «ولهم في الآخرة عذاب النار».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23838','chapter_id' => '59','chapter_detail_id' => '5130','translator_id' => '4','verse_number' => '4','translate_name' => '«ذلك بأنهم شاقوا» خالفوا «الله ورسوله ومن يشاق الله فإن الله شديد العقاب» له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23839','chapter_id' => '59','chapter_detail_id' => '5131','translator_id' => '4','verse_number' => '5','translate_name' => '«ما قطعتم» يا مسلمون «من لينة» نخلة «أو تركتموها قائمة على أصولها فبأذن الله» أي خيَّركم في ذلك «وليخزيَ» بالإذن في القطع «الفاسقين» اليهود في اعتراضهم أن قطع الشجر المثمر فساد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23840','chapter_id' => '59','chapter_detail_id' => '5132','translator_id' => '4','verse_number' => '6','translate_name' => '«وما أفاء» رد «الله على رسوله منهم فما أوجفتم» أسرعتم يا مسلمون «عليه من» زائدة «خيل ولا ركاب» إبل، أي لم تقاسوا فيه مشقة «ولكن الله يسلط رسله على من يشاء والله على كل شيءٍ قدير» فلا حق لكم فيه ويختص به النبي صلى الله عليه وسلم ومن ذكر معه في الآية الثانية من الأصناف الأربعة على ما كان يقسمه من أن لكل منهم خمس الخمس وله صلى الله عليه وسلم الباقي يفعل فيه ما يشاء فأعطى منه المهاجرين وثلاثة من الأنصار لفقرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23841','chapter_id' => '59','chapter_detail_id' => '5133','translator_id' => '4','verse_number' => '7','translate_name' => '«ما أفاء الله على رسوله من أهل القرى» كالصفراء ووادي القرى وينبع «فلله» يأمر فيه بما يشاء «وللرسول ولذي» صاحب «القربى» قرابة النبي من بني هاشم وبني المطلب «واليتامى» أطفال المسلمين الذين هلكت آباؤهم وهم فقراء «والمساكين» ذوي الحاجة من المسلمين «وابن السبيل» المنقطع في سفره من المسلمين، أي يستحقه النبي صلى الله عليه وسلم والأصناف الأربعة على ما كان يقسمه من أن لكل من الأربعة خمس الخمس وله الباقي «كي لا» كي بمعنى اللام وأن مقدرة بعدها «يكون» الفيء علة لقسمه كذلك «دولةً» متداولا «بين الأغنياء منكم وما آتاكم» أعطاكم «الرسول» من الفيء وغيره «فخذوه وما نهاكم عنه فانتهوا واتقوا الله إن الله شديد العقاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23842','chapter_id' => '59','chapter_detail_id' => '5134','translator_id' => '4','verse_number' => '8','translate_name' => '«للفقراء» متعلق بمحذوف، أي اعجبوا «المهاجرين الذين أخرجوا من ديارهم وأموالهم يبتغون فضلا من الله ورضوانا وينصرون الله ورسوله أولئك هم الصادقون» في إيمانهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23843','chapter_id' => '59','chapter_detail_id' => '5135','translator_id' => '4','verse_number' => '9','translate_name' => '«والذين تبوؤا الدار» أي المدينة «والإيمان» أي ألفوه وهم الأنصار «من قبلهم يحبون من هاجر إليهم ولا يجدون في صدورهم حاجة» حسدا «مما أوتوا» أي آتى النبي صلى الله عليه وسلم المهاجرين من أموال بني النضير المختصة بهم «ويؤثرون على أنفسهم ولو كان بهم خصاصة» حاجة إلى ما يؤثرون به «ومن يوق شُحَّ نفسه» حرصها على المال «فأولئك هم المفلحون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23844','chapter_id' => '59','chapter_detail_id' => '5136','translator_id' => '4','verse_number' => '10','translate_name' => '«والذين جاءُوا من بعدهم» من بعد المهاجرين والأنصار إلى يوم القيامة «يقولون ربنا اغفر لنا ولإخواننا الذين سبقونا بالإيمان ولا تجعل في قلوبنا غلا» حقدا «للذين آمنوا ربنا إنك رؤوف رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23845','chapter_id' => '59','chapter_detail_id' => '5137','translator_id' => '4','verse_number' => '11','translate_name' => '«ألم ترْ» تنظر «إلى الذين نافقوا يقولون لإخوانهم الذين كفروا من أهل الكتاب» وهم بنو النضير وإخوانهم في الكفر «لئن» لام قسم في الأربعة «أخرجتم» من المدينة «لنخرجن معكم ولا نطيع فيكم» في خذلانكم «أحدا أبدا وإن قوتلتم» حذفت منه اللام الموطئة «لننصرنكم والله يشهد إنهم لكاذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23846','chapter_id' => '59','chapter_detail_id' => '5138','translator_id' => '4','verse_number' => '12','translate_name' => '«لئن أخرجوا لا يخرجون معهم ولئن قوتلوا لا ينصرونهم ولئن نصروهم» أي جاؤوا لنصرهم «ليولنَّ الأدبار» واستغني بجواب القسم المقدر عن جواب الشرط في المواضع الخمسة «ثم لا يُنصرون» أي اليهود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23847','chapter_id' => '59','chapter_detail_id' => '5139','translator_id' => '4','verse_number' => '13','translate_name' => '«لأنتم أشد رهبة» خوفا «في صدورهم» أي المنافقين «من الله» لتأخير عذابه «ذلك بأنهم قوم لا يفقهون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23848','chapter_id' => '59','chapter_detail_id' => '5140','translator_id' => '4','verse_number' => '14','translate_name' => '«لا يقاتلونكم» أي اليهود «جميعا» مجتمعين «إلا في قرى محصنة أو من وراء جدار» سور، وفي قراءة جدر «بأسهم» حربهم «بينهم شديد تحسبهم جميعا» مجتمعين «وقلوبهم شتى» متفرقة خلاف الحسبان «ذلك بأنهم قوم لا يعقلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23849','chapter_id' => '59','chapter_detail_id' => '5141','translator_id' => '4','verse_number' => '15','translate_name' => 'مثلهم في ترك الإيمان «كمثل الذين من قبلهم قريبا» بزمن قريب وهم أهل بدر من المشركين «ذاقوا وبال أمرهم» عقوبته في الدنيا من القتل وغيره «ولهم عذاب أليم» مؤلم في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23850','chapter_id' => '59','chapter_detail_id' => '5142','translator_id' => '4','verse_number' => '16','translate_name' => 'مثلهم أيضا في سماعهم من المنافقين وتخلفهم عنهم «كمثل الشيطان إذ قال للإنسان اكفر فلما كفر قال إني بريء منك إني أخاف الله رب العالمين» كذبا منه ورياءً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23851','chapter_id' => '59','chapter_detail_id' => '5143','translator_id' => '4','verse_number' => '17','translate_name' => '«فكان عاقبتهما» أي الغاوي والمغوي وقرئ بالرفع اسم كان «أنهما في النار خالدين فيها وذلك جزاء الظالمين» أي الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23852','chapter_id' => '59','chapter_detail_id' => '5144','translator_id' => '4','verse_number' => '18','translate_name' => '«يا أيها الذين آمنوا اتقوا الله ولتنظر نفس ما قدمت لغدٍ» ليوم القيامة «واتقوا الله إن الله خبير بما تعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23853','chapter_id' => '59','chapter_detail_id' => '5145','translator_id' => '4','verse_number' => '19','translate_name' => '«ولا تكونوا كالذين نسوا الله» تركوا طاعته «فأنساهم أنفسهم» أن يقدموا لها خيرا «أولئك هم الفاسقون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23854','chapter_id' => '59','chapter_detail_id' => '5146','translator_id' => '4','verse_number' => '20','translate_name' => '«لا يستوي أصحاب النار وأصحاب الجنة أصحاب الجنة هم الفائزون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23855','chapter_id' => '59','chapter_detail_id' => '5147','translator_id' => '4','verse_number' => '21','translate_name' => '«لو أنزلنا هذا القرآن على جبل» وجعل فيه تمييز كالإنسان «لرأيته خاشعا متصدعا» متشققا «من خشية الله وتلك الأمثال» المذكورة «نضربها للناس لعلهم يتفكرون» فيؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23856','chapter_id' => '59','chapter_detail_id' => '5148','translator_id' => '4','verse_number' => '22','translate_name' => '«هو الله الذي لا إله إلا هو عالم الغيب والشهادة» السر والعلانية «هو الرحمن الرحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23857','chapter_id' => '59','chapter_detail_id' => '5149','translator_id' => '4','verse_number' => '23','translate_name' => '«هو الله الذي لا إله إلا هو الملك القدُّوس» الطاهر عما لا يليق به «السلام» ذو السلامة من النقائص «المؤمن» المصدق رسله بخلق المعجزة لهم «المهيمن» من هيمن يهيمن إذا كان رقيبا على الشيء، أي الشهيد على عباده بأعمالهم «العزيز» القوي «الجبار» جبر خلقه على ما أراد «المتكبر» عما لا يليق به «سبحان الله» نزَّه نفسه «عما يشركون» به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23858','chapter_id' => '59','chapter_detail_id' => '5150','translator_id' => '4','verse_number' => '24','translate_name' => '«هو الله الخالق البارىء» المنشىء من العدم «المصور له الأسماء الحسنى» التسعة والتسعون الوارد بها الحديث، والحسنى مؤنث الأحسن «يسبح له ما في السماوات والأرض وهو العزيز الحكيم» تقدم أولها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23859','chapter_id' => '60','chapter_detail_id' => '5151','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها الذين آمنوا لا تتخذوا عدوي وعدوَّكم» أي كفار مكة «أولياء تلقون» توصلون «إليهم» قصد النبي صلى الله عليه وسلم غزوهم الذي أسرَّوُ إليكم وَوَرَّى بحُنَين «بالمودة» بينكم وبينهم كتب حاطب بن أبي بلتعة إليهم كتابا بذلك لما له عندهم من الأولاد والأهل المشركين فاسترده النبي صلى الله عليه وسلم ممن أرسله معه بإعلام الله تعالى له بذلك وقبل عذر حاطب فيه «وقد كفروا بما جاءكم من الحق» أي دين الإسلام والقرآن «يخرجون الرسول وإياكم» من مكة بتضييقهم عليكم «أن تؤمنوا» أي لأجل أن آمنتم «بالله ربكم إن كنتم خرجتم جهادا» للجهاد «في سبيلي وابتغاء مرضاتي» وجواب الشرط دل عليه ما قبله، أي فلا تتخذوهم أولياء «تُسرون إليهم بالمودة وأنا أعلم بما أخفيتم وما أعلنتم ومن يفعله منكم» أي إسرار خبر النبي إليهم «فقد ضل سواء السبيل» أخطأ طريق الهدى، والسواء في الأصل الوسط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23860','chapter_id' => '60','chapter_detail_id' => '5152','translator_id' => '4','verse_number' => '2','translate_name' => '«إن يثقفوكم» يظفروا بكم «يكونوا لكم أعداءً ويبسطوا إليكم أيديهم» بالقتل والضرب «وألسنتهم بالسوء» بالسب والشتم «وودوا» تمنوا «لو تكفرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23861','chapter_id' => '60','chapter_detail_id' => '5153','translator_id' => '4','verse_number' => '3','translate_name' => '«لن تنفعكم أرحامكم» قراباتكم «وْلا أولادكم» المشركون الذين لأجلهم أسررتم الخبر من العذاب في الآخرة «يوم القيامة يُفصَل» بالبناء للمفعول والفاعل «بينكم» وبينهم فتكونون في الجنة وهم جملة الكفار في النار «والله بما تعلمون بصير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23862','chapter_id' => '60','chapter_detail_id' => '5154','translator_id' => '4','verse_number' => '4','translate_name' => '(قد كانت لكم أسوة) بكسر الهمزة وضمها في الموضعين، قدوة (حسنة في إبراهيم) أي به قولا وفعلا (والذين معه) من المؤمنين (إذ قالوا لقومهم إنا برءاء) جمع بريء كظريف (منكم ومما تعبدون من دون الله كفرنا بكم) أنكرناكم (وبدا بيننا وبينكم العداوة والبغضاء أبدا) بتحقيق الهمزتين وإبدال الثانية واوا (حتى تؤمنوا بالله وحده إلا قول إبراهيم لأبيه لأستغفرن لك) مستثنى من أسوة، فليس لكم التأسي به في ذلك بأن تستغفروا للكفار وقوله (وما أملك لك من الله) أي من عذابه وثوابه (من شيء) كني به عن أنه لا يملك له غير الاستغفار فهو مبني عليه مستثنى من حيث ظاهره مما يتأسى فيه (قل فمن يملك لكم من الله شيئا) واستغفاره له قبل أن يتبين له أنه عدو لله كما ذكره في "" براءة "" (ربنا عليك توكلنا وإليك أنبنا وإليك المصير) من مقول الخليل ومن معه أي قالوا:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23863','chapter_id' => '60','chapter_detail_id' => '5155','translator_id' => '4','verse_number' => '5','translate_name' => '«ربنا لا تجعلنا فتنة للذين كفروا» أي لا تظهرهم علينا فيظنوا أنهم على الحق فيفتنوا أي تذهب عقولهم بنا «واغفر لنا ربنا إنك أنت العزيز الحكيم» في ملكك وصنعك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23864','chapter_id' => '60','chapter_detail_id' => '5156','translator_id' => '4','verse_number' => '6','translate_name' => '«لقد كان لكم» يا أمة محمد جواب قسم مقدر «فيهم أسوة حسنة لمن كان» بدل اشتمال من كم بإعادة الجار «يرجوا الله واليوم الآخر» أي يخافهما أو يظن الثواب والعقاب «ومن يتول» بأن يوالي الكفار «فإن الله هو الغني» عن خلقه «الحميد» لأهل طاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23865','chapter_id' => '60','chapter_detail_id' => '5157','translator_id' => '4','verse_number' => '7','translate_name' => '«عسى الله أن يجعل بينكم وبين الذين عاديتم منهم» من كفار مكة طاعة لله تعالى «مودة» بأن يهديهم للإيمان فيصيروا لكم أولياء «والله قدير» على ذلك وقد فعله بعد فتح مكة «والله غفور» لهم ما سلف «رحيم» بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23866','chapter_id' => '60','chapter_detail_id' => '5158','translator_id' => '4','verse_number' => '8','translate_name' => '«لا ينهاكم الله عن الذين لم يقاتلوكم» من الكفار «في الدين ولم يخرجوكم من دياركم أن تبروهم» بدل اشتمال من الذين «وتقسطوا» تفضوا «إليهم» بالقسط، أي بالعدل وهذا قبل الأمر بجهادهم «إن الله يحب المقسطين» بالعادلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23867','chapter_id' => '60','chapter_detail_id' => '5159','translator_id' => '4','verse_number' => '9','translate_name' => '«إنما ينهاكم الله عن الذين قاتلوكم في الدين وأخرجوكم من دياركم وظاهروا» عاونوا «على إخراجكم أن تولوهم» بدل اشتمال من الذين، أي تتخذونهم أولياء «ومن يتولهم فأولئك هم الظالمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23868','chapter_id' => '60','chapter_detail_id' => '5160','translator_id' => '4','verse_number' => '10','translate_name' => '«يا أيها الذين آمنوا إذا جاءكم المؤمنات» بألسنتهن «مهاجرات» من الكفار بعد الصلح معهم في الحديبية على أن من جاء منهم إلى المؤمنين يرد «فامتحنوهن» بالحلف على أنهن ما خرجن إلا رغبة في الإسلام لا بغضاً لأزواجهن الكفار ولا عشقا لرجال من المسلمين كذا كان النبي صلى الله عليه وسلم يحلفهن «الله أعلم بإيمانهن فأن علمتموهن» ظننتموهن بالحلف «مؤمنات فلا ترجعوهن» تردوهن «إلى الكفار لا هن حل لهم ولا هم يحلون لهن وآتوهم» أي أعطوا الكفار أزواجهن «ما أنفقوا» عليهن من المهور «ولا جناح عليكم أن تنكحوهن» بشرطه «إذا آتيتموهن أجورهن» مهورهن «ولا تمسِّكوا» بالتشديد والتخفيف «بعصم الكوافر» زوجاتكم لقطع إسلامكم لها بشرطه، أو اللاحقات بالمشركين مرتدات لقطع ارتدادهن نكاحكم بشرطه «واسألوا» اطلبوا «ما أنفقتم» عليهن من المهور في صورة الارتداد ممن تزوجهنَّ من الكفار «وليسألوا ما أنفقوا» على المهاجرات كما تقدم أنهم يؤتونه «ذلكم حكم الله يحكم بينكم» به «والله عليكم حكيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23869','chapter_id' => '60','chapter_detail_id' => '5161','translator_id' => '4','verse_number' => '11','translate_name' => '«وإن فاتكم شيء من أزواجكم» أي واحدة فأكثر منهن أو شيء من مهور بالذهاب «إلى الكفار» مرتدات «فعاقبتم» فغزوتم وغنمتم «فآتوا الذين ذهبت أزواجهم» من الغنيمة «مثل ما أنفقوا» لفواته عليهم من جهة الكفار «واتقوا الله الذي أنتم به مؤمنون» وقد فعل المؤمنون ما أمروا به من الإيتاء للكفار والمؤمنين ثم ارتفع هذا الحكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23870','chapter_id' => '60','chapter_detail_id' => '5162','translator_id' => '4','verse_number' => '12','translate_name' => '«يا أيها النبي إذا جاءك المؤمنات يبايعنك على أن لا يشركن بالله شيئا ولا يسرقن ولا يزنين ولا يقتلن أولادهن» كما كان يفعل في الجاهلية من وأد البنات، أي دفنهن أحياء خوف العار والفقر «ولا يأتين ببهتان يفترينه بين أيديهن وأرجلهن» أي بولد ملقوط ينسبنه إلى الزوج ووصف بصفة الولد الحقيقي، فإن الأم إذا وضعته سقط بين يديها ورجليها «ولا يعصينك في» فعل «معروف» هو ما وافق طاعة الله كترك النياحة وتمزيق الثياب وجز الشعور وشق الجيب وخمش الوجه «فبايعهن» فعل ذلك صلى الله عليه وسلم بالقول ولم يصافح واحدة منهن «واستغفر لهن الله إن الله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23871','chapter_id' => '60','chapter_detail_id' => '5163','translator_id' => '4','verse_number' => '13','translate_name' => '«يا أيها الذين آمنوا لا تتولوا قوما غضب الله عليهم» هم اليهود «قد يئسوا من الآخرة» من ثوابها مع إيقانهم بها لعنادهم النبي مع علمهم بصدقه «كما يئس الكفار» الكائنون «من أصحاب القبور» أي المقبورين من خير الآخرة، إذ تعرض عليهم مقاعدهم من الجنة لو كانوا آمنوا وما يصيرون إليه من النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23872','chapter_id' => '61','chapter_detail_id' => '5164','translator_id' => '4','verse_number' => '1','translate_name' => '«سبح لله ما في السماوات وما في الأرض» أي نزهه فاللام مزيدة وجيء بما دون من تغليبا للأكثر «وهو العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23873','chapter_id' => '61','chapter_detail_id' => '5165','translator_id' => '4','verse_number' => '2','translate_name' => '«يا أيها الذين آمنوا لم تقولون» في طلب الجهاد «ما لا تفعلون» إذ انهزمتم بأُحد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23874','chapter_id' => '61','chapter_detail_id' => '5166','translator_id' => '4','verse_number' => '3','translate_name' => '«كبر» عظم «مقتا» تمييز «عند الله أن تقولوا» فاعل كبر «ما لا تفعلون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23875','chapter_id' => '61','chapter_detail_id' => '5167','translator_id' => '4','verse_number' => '4','translate_name' => '«إن الله يحب» ينصر ويكرم «الذين يقاتلون في سبيله صفا» حال، أي صافين «كأنهم بنيان مرصوص» ملزق بعضه إلى بعض ثابت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23876','chapter_id' => '61','chapter_detail_id' => '5168','translator_id' => '4','verse_number' => '5','translate_name' => '«و» اذكر «إذ قال موسى لقومه يا قوم لم تؤذونني» قالوا: إنه آدر، أي منتفخ الخصية وليس كذلك، وكذبوه «وقد» للتحقيق «تعلمون أني رسول الله إليكم» الجملة حال، والرسول يحترم «فلما زاغوا» عدلوا عن الحق بإيذائه «أزاغ الله قلوبهم» أمالها عن الهدى على وفق ما قدره في الأزل «والله لا يهدي القوم الفاسقين» الكافرين في علمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23877','chapter_id' => '61','chapter_detail_id' => '5169','translator_id' => '4','verse_number' => '6','translate_name' => '«و» اذكر «إذ قال عيسى ابن مريم يا بني إسرائيل» لم يقل: يا قوم لأنه لم يكن له فيهم قرابة «إني رسول الله إليكم مصدقا لما بين يديَّ» قبلي «من التوراة ومبشرا برسول يأتي من بعدي اسمه أحمد» قال تعالى «فلما جاءهم» جاء أحمد الكفار «بالبينات» الآيات والعلامات «قالوا هذا» أي المجيء به «سحر» وفي قراءة ساحر، أي الجائي به «مبين» بيِّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23878','chapter_id' => '61','chapter_detail_id' => '5170','translator_id' => '4','verse_number' => '7','translate_name' => '«ومن» أي لا أحد «أظلم» أشد ظلما «ممن افترى على الله الكذب» بنسبة الشريك والولد إليه ووصف آياته بالسحر «وهو يدعى إلى الإسلام والله لا يهدي القوم الظالمين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23879','chapter_id' => '61','chapter_detail_id' => '5171','translator_id' => '4','verse_number' => '8','translate_name' => '«يريدون ليطفئوا» منصوب بأن مقدرة واللام مزيدة «نور الله» شرعه وبراهينه «بأفواههم» بأقوالهم إنه سحر وشعر وكهانة «والله متمٌّ» مظهر «نورهُ» وفي قراءة بالإضافة «ولو كره الكافرون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23880','chapter_id' => '61','chapter_detail_id' => '5172','translator_id' => '4','verse_number' => '9','translate_name' => '«هو الذي أرسل رسوله بالهدى ودين الحق ليظهره» يعليه «على الدين كله» جميع الأديان المخالفة له «ولو كره المشركون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23881','chapter_id' => '61','chapter_detail_id' => '5173','translator_id' => '4','verse_number' => '10','translate_name' => '«يا أيها الذين آمنوا هل أدلكم على تجارة تنجيكم» بالتخفيف والتشديد «من عذاب أليم» مؤلم، فكأنهم قالوا نعم فقال:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23882','chapter_id' => '61','chapter_detail_id' => '5174','translator_id' => '4','verse_number' => '11','translate_name' => '«تؤمنون» تدومون على الإيمان «بالله ورسوله وتجاهدون في سبيل الله بأموالكم وأنفسكم ذلكم خير لكم إن كنتم تعلمون» أنه خير لكم فافعلوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23883','chapter_id' => '61','chapter_detail_id' => '5175','translator_id' => '4','verse_number' => '12','translate_name' => '«يغفر» جواب شرط مقدر، أي إن تفعلوه يغفر «لكم ذنوبكم ويدخلكم جنات تجري من تحتها الأنهار ومساكن طيبة في جنات عدن» إقامة «ذلك الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23884','chapter_id' => '61','chapter_detail_id' => '5176','translator_id' => '4','verse_number' => '13','translate_name' => '«و» يؤتكم «أُخرى تحبونها نصر من الله وفتح قريب وبشر المؤمنين» بالنصر والفتح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23885','chapter_id' => '61','chapter_detail_id' => '5177','translator_id' => '4','verse_number' => '14','translate_name' => '«يا أيها الذين آمنوا كونوا أنصارا لله» لدينه وفي قراءة بالإضافة «كما قال» الخ المعنى: كما كان الحواريون كذلك الدال عليه قال «عيسى ابن مريم للحواريين من أنصاري إلى الله» أي من الأنصار الذين يكونون معي متوجها إلى نصرة الله «قال الحواريون نحن أنصار الله» والحواريون أصفياء عيسى وهم أول من آمن به وكانوا اثني عشر رجلا من الحور وهو البياض الخالص وقيل كانوا قصارين يحورون الثياب، أي يبيضونها «فآمنت طائفة من بني إسرائيل» بعيسى وقالوا إنه عبد الله رُفِع إلى السماء «وكفرت طائفة» لقولهم إنه ابن الله رفعه إليه فاقتتلت الطائفتان «فأيدنا» قوينا «الذين آمنوا» من الطائفتين «على عدوهم» الطائفة الكافرة «فأصبحوا ظاهرين» غالبين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23886','chapter_id' => '62','chapter_detail_id' => '5178','translator_id' => '4','verse_number' => '1','translate_name' => '«يسبح لله» ينزهه فاللام زائدة «ما في السماوات وما في الأرض» في ذكر ما تغليب للأكثر «الملك القدوس» المنزه عما لا يليق به «العزيز الحكيم» في ملكه وصنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23887','chapter_id' => '62','chapter_detail_id' => '5179','translator_id' => '4','verse_number' => '2','translate_name' => '«هو الذي بعث في الأميين» العرب، والأمي: من لا يكتب ولا يقرأ كتابا «رسولا منهم» هو محمد صلى الله عليه وسلم «يتلو عليهم آياته» القرآن «ويزكيهم» يطهرهم من الشرك «ويعلمهم الكتاب» القرآن «والحكمة» ما فيه من الأحكام «وإن» مخففة من الثقيلة واسمها محذوف، أي وإنهم «كانوا من قبل» قبل مجيئه «لفي ضلال مبين» بيّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23888','chapter_id' => '62','chapter_detail_id' => '5180','translator_id' => '4','verse_number' => '3','translate_name' => '«وآخرون» عطف على الأميين، أي الموجودين «منهم» والآتين منهم بعدهم «لما» لم «يلحقوا بهم» في السابقة والفضل «وهو العزيز الحكيم» في ملكه وصنعه وهم التابعون والإقتصار عليهم كاف في بيان فضل الصحابة المبعوث فيهم النبي صلى الله عليه وسلم على من عداهم ممن بعث إليهم وآمنوا به من جميع الإنس والجن إلى يوم القيامة لأن كل قرن خير ممن يليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23889','chapter_id' => '62','chapter_detail_id' => '5181','translator_id' => '4','verse_number' => '4','translate_name' => '«ذلك فضل الله يؤتيه من يشاء» النبي ومن ذكر معه «والله ذو الفضل العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23890','chapter_id' => '62','chapter_detail_id' => '5182','translator_id' => '4','verse_number' => '5','translate_name' => '«مثل الذين حملوا التوراة» كلفوا العمل بها «ثم لم يحملوها» لم يعملوا بما فيها من نعته صلى الله عليه وسلم فلم يؤمنوا به «كمثل الحمار يحمل أسفارا» أي كتبا في عدم انتفاعه بها «بئس مثل القوم الذين كذبوا بآيات الله» المصدقة للنبي صلى الله عليه وسلم والمخصوص بالذم محذوف تقديره هذا المثل «والله لا يهدي القوم الظالمين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23891','chapter_id' => '62','chapter_detail_id' => '5183','translator_id' => '4','verse_number' => '6','translate_name' => '«قل يا أيها الذين هادوا إن زعمتم أنكم أولياء لله من دون الناس فتمنوا الموت إن كنتم صادقين» تعلق بتمنوا الشرطان على أن الأول قيد في الثاني، أي إن صدقتم في زعمكم أنكم أولياء لله، والولي يؤثر الآخرة ومبدؤها الموت فتمنوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23892','chapter_id' => '62','chapter_detail_id' => '5184','translator_id' => '4','verse_number' => '7','translate_name' => '«ولا يتمنوْنه أبدا بما قدمت أيديهم» من كفرهم بالنبي المستلزم لكذبهم «والله عليم بالظالمين» الكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23893','chapter_id' => '62','chapter_detail_id' => '5185','translator_id' => '4','verse_number' => '8','translate_name' => '«قل إن الموت الذي تفرون منه فإنه» الفاء زائدة «ملاقيكم ثم تردون إلى عالم الغيب والشهادة» السر والعلانية «فينبئكم بما كنتم تعملون» فيجازيكم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23894','chapter_id' => '62','chapter_detail_id' => '5186','translator_id' => '4','verse_number' => '9','translate_name' => '«يا أيها الذين آمنوا إذا نودي للصلاة من» بمعني في «يوم الجمعة فاسعوْا» فامضوا «إلى ذكر الله» للصلاة «وذروا البيع» اتركوا عقده «ذلكم خير لكم إن كنتم تعلمون» أنه خير فافعلوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23895','chapter_id' => '62','chapter_detail_id' => '5187','translator_id' => '4','verse_number' => '10','translate_name' => '«فإذا قضيت الصلاة فانتشروا في الأرض» أمر إباحة «وابتغوا» اطلبوا الرزق «من فضل الله واذكروا الله» ذكرا «كثيرا لعلكم تفلحون» تفوزون، كان صلى الله عليه وسلم يخطب يوم الجمعة فقدمت عير وضرب لقدومها الطبل على العادة فخرج لها الناس من المسجد إلا اثني عشر رجلا فنزلت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23896','chapter_id' => '62','chapter_detail_id' => '5188','translator_id' => '4','verse_number' => '11','translate_name' => '«وإذا رأوا تجارةً أو لهوا انفضوا إليها» أي التجارة لأنها مطلوبهم دون اللهو «وتركوك» في الخطبة «قائما قل ما عند الله» من الثواب «خير» للذين آمنوا «من اللهو ومن التجارة والله خير الرازقين» يقال: كل إنسان يرزق عائلته، أي من رزق الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23897','chapter_id' => '63','chapter_detail_id' => '5189','translator_id' => '4','verse_number' => '1','translate_name' => '«إذا جاءك المنافقون قالوا» بألسنتهم على خلاف ما في قلوبهم «نشهد إنك لرسول الله والله يعلم إنك لرسوله والله يشهد» يعلم «إن المنافقين لكاذبون» فيما أضمروه مخالفا لما قالوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23898','chapter_id' => '63','chapter_detail_id' => '5190','translator_id' => '4','verse_number' => '2','translate_name' => '«اتخذوا أَيْمانهم جُنَّةً» سترة على أموالهم ودمائهم «فصدوا» بها «عن سبيل الله» أي عن الجهاد فيهم «إنهم ساء ما كانوا يعملون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23899','chapter_id' => '63','chapter_detail_id' => '5191','translator_id' => '4','verse_number' => '3','translate_name' => '«ذلك» أي سوء عملهم «بأنهم آمنوا» باللسان «ثم كفروا» بالقلب، أي استمروا على كفرهم به «فطبع» ختم «على قلوبهم» بالكفر «فهم لا يفقهون» الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23900','chapter_id' => '63','chapter_detail_id' => '5192','translator_id' => '4','verse_number' => '4','translate_name' => '«وإذا رأيتهم تعجبك أجسامهم» لجمالها «وإن يقولوا تسمع لقولهم» لفصاحته «كأنهم» من عظم أجسامهم في ترك التفهم «خُشْب» بسكون الشين وضمها «مسندة» ممالة إلى الجدار «يحسبون كل صيحة» تصاح كنداء في العسكر وإنشاد ضالة «عليهم» لما في قلوبهم من الرعب أن ينزل فيهم ما يبيح دماءهم «هم العدوُّ فاحذرهم» فإنهم يفشون سرك للكفار «قاتلهم الله» أهلكهم «أنَّى يؤفكون» كيف يصرفون عن الإيمان بعد قيام البرهان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23901','chapter_id' => '63','chapter_detail_id' => '5193','translator_id' => '4','verse_number' => '5','translate_name' => '«وإذا قيل لهم تعالوا» معتذرين «يستغفر لكم رسول الله لوّوا» بالتشديد والتخفيف عطفوا «رؤوسهم ورأيتهم يصدون» يعرضون عن ذلك «وهم مستكبرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23902','chapter_id' => '63','chapter_detail_id' => '5194','translator_id' => '4','verse_number' => '6','translate_name' => '«سواء عليهم أستغفرت لهم» استغني بهمزة الاستفهام عن همزة الوصل «أم لم تستغفر لهم لن يغفر الله لهم إن الله لا يهدي القوم الفاسقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23903','chapter_id' => '63','chapter_detail_id' => '5195','translator_id' => '4','verse_number' => '7','translate_name' => '«هم الذين يقولون» لأصحابهم من الأنصار «لا تنفقوا على من عند رسول الله» من المهاجرين «حتى ينفضُّوا» يتفرقوا عنه «ولله خزائن السماوات والأرض» بالرزق فهو الرازق للمهاجرين وغيرهم «ولكن المنافقين لا يفقهون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23904','chapter_id' => '63','chapter_detail_id' => '5196','translator_id' => '4','verse_number' => '8','translate_name' => '«يقولون لئن رجعنا» أي من غزوة بني المصطلق «إلى المدينة ليخرجن الأعز» عنوا به أنفسهم «منها الأذل» عنوا به المؤمنين «ولله العزة» الغلبة «ولرسوله وللمؤمنين ولكن المنافقين لا يعلمون» ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23905','chapter_id' => '63','chapter_detail_id' => '5197','translator_id' => '4','verse_number' => '9','translate_name' => '«يا أيها الذين آمنوا لا تلهكم» تشغلكم «أموالكم ولا أولادكم عن ذكر الله» الصلوات الخمس «ومن يفعل ذلك فأولئك هم الخاسرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23906','chapter_id' => '63','chapter_detail_id' => '5198','translator_id' => '4','verse_number' => '10','translate_name' => '«وأنفقوا» في الزكاة «مما رزقناكم من قبل أن يأتي أحدكم الموت فيقول رب لولا» بمعنى هلا، أو لا زائدة ولو للتمني «أخرتني إلى أجل قريب فأصَّدَّق» بإدغام التاء في الأصل في الصاد أتصدق بالزكاة «وأكن من الصالحين» بأن أحج، قال ابن عباس رضي الله عنهما: ما قصر أحد في الزكاة والحج إلا سأل الرجعة عند الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23907','chapter_id' => '63','chapter_detail_id' => '5199','translator_id' => '4','verse_number' => '11','translate_name' => '«ولن يؤخر الله نفسا إذا جاء أجلها والله خبير بما تعملون» بالتاء والياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23908','chapter_id' => '64','chapter_detail_id' => '5200','translator_id' => '4','verse_number' => '1','translate_name' => '«يسبح لله ما في السماوات وما في الأرض» ينزهه فاللام زائدة، وأتى بما دون من تغليبا للأكثر «له الملك وله الحمد وهو على كل شيء قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23909','chapter_id' => '64','chapter_detail_id' => '5201','translator_id' => '4','verse_number' => '2','translate_name' => '«هو الذي خلقكم فمنكم كافر ومنكم مؤمن» في أصل الخلقة ثم يميتكم ويعيدكم على ذلك «والله بما تعملون بصير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23910','chapter_id' => '64','chapter_detail_id' => '5202','translator_id' => '4','verse_number' => '3','translate_name' => '«خلق السماوات والأرض بالحق وصوركم فأحسن صوركم» إذ جعل شكل الآدمي أحسن الأشكال «وإليه المصير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23911','chapter_id' => '64','chapter_detail_id' => '5203','translator_id' => '4','verse_number' => '4','translate_name' => '«يعلم ما في السماوات والأرض ويعلم ما تسرون وما تعلنون والله عليم بذات الصدور» بما فيها من الأسرار والمعتقدات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23912','chapter_id' => '64','chapter_detail_id' => '5204','translator_id' => '4','verse_number' => '5','translate_name' => '«ألم يأتكم» يا كفار مكة «نبأُ» خبر «الذين كفروا من قبل فذاقوا وبال أمرهم» عقوبة الكفر في الدنيا «ولهم» في الآخرة «عذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23913','chapter_id' => '64','chapter_detail_id' => '5205','translator_id' => '4','verse_number' => '6','translate_name' => '«ذلك» أي عذاب الدنيا «بأنه» ضمير الشأن «كانت تأتيهم رسلهم بالبينات» الحجج الظاهرات على الإيمان «فقالوا أبَشَرٌ» أريد به الجنس «يهدوننا فكفروا وتولوْا» عن الإيمان «واستغنى الله» عن إيمانهم «والله غني» عن خلقه «حميد» محمود في أفعاله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23914','chapter_id' => '64','chapter_detail_id' => '5206','translator_id' => '4','verse_number' => '7','translate_name' => '«زعم الذين كفروا أن» مخففة واسمها محذوف، أي أنهم «لن يبعثوا قل بلى وربي لتبعثن ثم لتنبؤن بما عملتم وذلك على الله يسير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23915','chapter_id' => '64','chapter_detail_id' => '5207','translator_id' => '4','verse_number' => '8','translate_name' => '«فآمنوا بالله ورسوله والنور» القرآن «الذي أنزلنا والله بما تعملون خبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23916','chapter_id' => '64','chapter_detail_id' => '5208','translator_id' => '4','verse_number' => '9','translate_name' => 'اذكر «يوم يجمعكم ليوم الجمع» يوم القيامة «ذلك يوم التغابن» يغبن المؤمنون الكافرين بأخذ منازلهم وأهليهم في الجنة لو آمنوا «ومن يؤمن بالله ويعمل صالحا يكفر عنه سيئاته ويدخله» وفي قراءة بالنون في الفعلين «جنات تجري من تحتها الأنهار خالدين فيها أبدا ذلك الفوز العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23917','chapter_id' => '64','chapter_detail_id' => '5209','translator_id' => '4','verse_number' => '10','translate_name' => '«والذين كفروا وكذبوا بآياتنا» القرآن «أولئك أصحاب النار خالدين فيها وبئس المصير» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23918','chapter_id' => '64','chapter_detail_id' => '5210','translator_id' => '4','verse_number' => '11','translate_name' => '«ما أصاب من مصيبة إلا بإذن الله» بقضائه «ومن يؤمن بالله» في قوله إن المصيبة بقضائه «يهد قلبه» للصبر عليها «والله بكل شىء عليم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23919','chapter_id' => '64','chapter_detail_id' => '5211','translator_id' => '4','verse_number' => '12','translate_name' => '«وأطيعوا الله وأطيعوا الرسول فإن توليتم فإنما على رسولنا البلاغ المبين» البيَّن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23920','chapter_id' => '64','chapter_detail_id' => '5212','translator_id' => '4','verse_number' => '13','translate_name' => '«الله لا إله إلا هو وعلى الله فليتوكل المؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23921','chapter_id' => '64','chapter_detail_id' => '5213','translator_id' => '4','verse_number' => '14','translate_name' => '«يا أيها الذين آمنوا إن من أزواجكم وأولادكم عدوّا لكم فاحذروهم» أن تطيعوهم في التخلف عن الخير كالجهاد والهجرة فإن سبب نزول الآية الإطاعة في ذلك «وإن تعفوا» عنهم في تثبيطهم إياكم عن ذلك الخير معتلين بمشقة فراقكم عليهم «وتصفحوا وتغفروا فإن الله غفور رحيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23922','chapter_id' => '64','chapter_detail_id' => '5214','translator_id' => '4','verse_number' => '15','translate_name' => '«إنما أموالكم وأولادكم فتنة» لكم شاغلة عن أمور الآخرة «والله عنده أجر عظيم» فلا تفوتوه باشتغالكم بالأموال والأولاد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23923','chapter_id' => '64','chapter_detail_id' => '5215','translator_id' => '4','verse_number' => '16','translate_name' => '«فاتقوا الله ما استطعتم» ناسخة لقوله (اتقوا الله حق تقاته) «واسمعوا» ما أُمرتم به سماع قبول «وأطيعوا وأنفقوا» في الطاعة «خيرا لأنفسكم» خبر يكن مقدرة جواب الأمر «ومن يوق شح نفسه فأولئك هم المفلحون» الفائزون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23924','chapter_id' => '64','chapter_detail_id' => '5216','translator_id' => '4','verse_number' => '17','translate_name' => '«إن تقرضوا الله قرضا حسنا» بأن تتصدقوا عن طيب قلب «يضاعفه لكم» وفي قراءة يضعفه بالتشديد بالواحدة عشرا إلى سبعمائة وأكثر «ويغفر لكم» ما يشاء «والله شكور» مجاز على الطاعة «حليم» في العقاب على المعصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23925','chapter_id' => '64','chapter_detail_id' => '5217','translator_id' => '4','verse_number' => '18','translate_name' => '«عالم الغيب» السر «والشهادة» العلانية «العزيز» في ملكه «الحكيم» في صنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23926','chapter_id' => '65','chapter_detail_id' => '5218','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها النبي» المراد أمته بقرينه ما بعده أو قل لهم «إذا طلقتم النساء» أي أردتم الطلاق «فطلقوهن لعدتهن» لأولها بأن يكون الطلاق في طهر لم تمس فيه لتفسيره صلي الله عليه وسلم بذلك، رواه الشيخان «وأحصوا العدة» أحفظوها لتراجعوا قبل فراغها «واتقوا الله ربكم» أطيعوه في أمره ونهيه «لا تخرجوهن من بيوتهن ولا يخرجن» منها حتى تنقضي عدتهن «إلا إن يأتين بفاحشة» زنا «مبيَّنة» بفتح الياء وكسرها، بينت أو بينة فيخرجن لإقامة الحد عليهن «وتلك» المذكورات «حدود الله ومن يتعدَّ حدود الله فقد ظلم نفسه لا تدري لعل الله يحدث بعد ذلك» الطلاق «أمراً» مراجعة فيما إذا كان واحدة أو اثنتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23927','chapter_id' => '65','chapter_detail_id' => '5219','translator_id' => '4','verse_number' => '2','translate_name' => '«فإذا بلغن أجلهن» قاربن انقضاء عدتهن «فأمسكوهن» بأن تراجعوهن «بمعروف» من غير ضرار «أو فارقوهن بمعروف» أتركوهن حتى تنقضي عدتهن ولا تضاروهن بالمراجعة «وأشهدوا ذوي عدلٍ منكم» على المراجعة أو الفراق «وأقيموا الشهادة لله» لا للمشهود عليه أو له «ذلكم يوعظ به من كان يؤمن بالله واليوم الآخر ومن يتق الله يجعل له مخرجاً» من كرب الدنيا والآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23928','chapter_id' => '65','chapter_detail_id' => '5220','translator_id' => '4','verse_number' => '3','translate_name' => '«ويرزقه من حيث لا يحتسب» يخطر بباله «ومن يتوكل على الله» في أموره «فهو حسبه» كافية «إن الله بالغٌ أمرَه» مراده وفي قراءة بالإضافة «قد جعل الله لكل شيء» كرخاء وشدة «قدرا» ميقاتا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23929','chapter_id' => '65','chapter_detail_id' => '5221','translator_id' => '4','verse_number' => '4','translate_name' => '(واللائي) بهمزة وياء وبلا ياء في الموضعين (يئسن من المحيض) بمعنى الحيض (من نسائكم إن ارتبتم) شككتم في عدتهن (فعدتهن ثلاثة أشهر واللائي لم يحضن) لصغرهن فعدتهن ثلاثة أشهر والمسألتان في غير المتوفي عنهن أزواجهن أما هن فعدتهن ما في آية "" يتربصن بأنفسهن أربعة أشهر وعشرا "" (وأولات الأحمال أجلهن) انقضاء عدتهن مطلقات أو متوفى عنهن أزواجهن (أن يضعن حملهن ومن يتق الله يجعل له من أمره يسرا) في الدنيا والآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23930','chapter_id' => '65','chapter_detail_id' => '5222','translator_id' => '4','verse_number' => '5','translate_name' => '«ذلك» المذكور في العدة «أمر الله» حكمه «أنزله إليكم ومن يتق الله يكفر عنه سيئاته ويعظم له أجرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23931','chapter_id' => '65','chapter_detail_id' => '5223','translator_id' => '4','verse_number' => '6','translate_name' => '«أسكنوهن» أي المطلقات «من حيث سكنتم» أي بعض مساكنكم «من وجدكم» أي سعتكم عطف بيان أو بدل مما قبله بإعادة الجار وتقدير مضاف، أي أمكنة سعتكم لا ما دونها «ولا تضاروهن لتضيقوا عليهن» المساكن فيحتجن إلى الخروج أو النفقة فيفتدين منكم «وإن كن أولات حمل فأنفقوا عليهن حتى يضعن حملهن فإن أرضعن لكم» أولادكم منهن «فآتوهن أجورهن» على الإرضاع «وأتمروا بينكم» وبينهن «بمعروف» بجميل في حق الأولاد بالتوافق على أجر معلوم على الإرضاع «وإن تعاسرتم» تضايقتم في الإرضاع فامتنع الأب من الأجرة والأم من فعله «فسترضع له» للأب «أخرى» ولا تكره الأم على إرضاعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23932','chapter_id' => '65','chapter_detail_id' => '5224','translator_id' => '4','verse_number' => '7','translate_name' => '«لينفق» على المطلقات والمرضعات «ذو سعة من سعته ومن قدر» ضيق «عليه رزقه فلينفق مما آتاه» أعطاه «الله» على قدره «لا يكلف الله نفسا إلا ما آتاها سيجعل الله بعد عسر يسرا» وقد جعله بالفتوح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23933','chapter_id' => '65','chapter_detail_id' => '5225','translator_id' => '4','verse_number' => '8','translate_name' => '«وكأين» هي كاف الجر دخلت على أي بمعنى كم «من قرية» أي وكثير من القرى «عتت» عصت يعني أهلها «عن أمر ربها ورسله فحاسبناها» في الآخرة وإن لم تجيء لتحقيق وقوعها «حسابا شديدا وعذبناها عذابا نكرا» بسكون الكاف وضمها فظيعا وهو عذاب النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23934','chapter_id' => '65','chapter_detail_id' => '5226','translator_id' => '4','verse_number' => '9','translate_name' => '«فذاقت وبال أمرها» عقوبته «وكان عاقبة أمرها خسرا» خسارا وهلاكا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23935','chapter_id' => '65','chapter_detail_id' => '5227','translator_id' => '4','verse_number' => '10','translate_name' => '«أعد الله لهم عذابا شديدا» تكرير الوعيد توكيد «فاتقوا الله يا أولي الألباب» أصحاب العقول «الذين آمنوا» نعت للمنادى أو بيان له «قد أنزل الله إليكم ذكرا» هو القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23936','chapter_id' => '65','chapter_detail_id' => '5228','translator_id' => '4','verse_number' => '11','translate_name' => '«رسولا» أي محمدا صلى الله عليه وسلم منصوب بفعل مقدر، أي وأرسل «يتلو عليكم آيات الله مبيَّنات» بفتح الياء وكسرها كما تقدم «ليخرج الذين آمنوا وعملوا الصالحات» بعد مجيء الذكر والرسول «من الظلمات» الكفر الذي كانوا عليه «إلى النور» الإيمان الذي قام بهم بعد الكفر» ومن يؤمن بالله ويعمل صالحا يدخله» وفي قراءة بالنون «جنات تجري من تحتها الأنهار خالدين فيها أبدا قد أحسن الله له رزقا» هو رزق الجنة التي لا ينقطع نعيمها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23937','chapter_id' => '65','chapter_detail_id' => '5229','translator_id' => '4','verse_number' => '12','translate_name' => '«الله الذي خلق سبع سماوات ومن الأرض مثلهن» يعني سبع أرضين «يتنزل الأمر» الوحي «بينهن» بين السماوات والأرض ينزل به جبريل من السماء السابعة إلى الأرض السابعة «لتعلموا» متعلق بمحذوف، أي أعلمكم بذلك الخلق والتنزيل «أن الله على كل شيء قدير وأن الله قد أحاط بكل شيء علما».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23938','chapter_id' => '66','chapter_detail_id' => '5230','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها النبي لم تحرم ما أحل الله لك» من أمَتِكَ مارية القبطية لما واقعها في بيت حفصة وكانت غائبة فجاءت وشق عليها كون ذلك في بيتها وعلى فراشها حيث قلت: هي حرام عليَّ «تبتغي» بتحريمها «مرضات أزواجك» أي رضاهن «والله غفور رحيم» غفر لك هذا التحريم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23939','chapter_id' => '66','chapter_detail_id' => '5231','translator_id' => '4','verse_number' => '2','translate_name' => '(قد فرض الله) شرع (لكم تحلة أيمانكم) تحليلها بالكفارة المذكورة في سورة "" المائدة "" ومن الإيمان تحريم الأمة وهل كفّر صلى الله عليه وسلم؟ قال مقاتل: أعتق رقبة في تحريم مارية، وقال الحسن: لم يكفّر لأنه صلى الله عليه وسلم مغفور له (والله مولاكم) ناصركم (وهو العليم الحكيم).','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23940','chapter_id' => '66','chapter_detail_id' => '5232','translator_id' => '4','verse_number' => '3','translate_name' => '«و» اذكر «إذ أسرَّ النبي إلى بعض أزواجه» هي حفصة «حديثا» هو تحريم مارية وقال لها لا تفشيه «فلما نبأت به» عائشة ظنا منها أن لا حرج في ذلك «وأظهره الله» أطلعه «عليه» على المنبأ به «عرَّف بعضه» لحفصة «وأعرض عن بعض» تكرما منه «فلما نبأها به قالت من أنبأك هذا قال نبأني العليم الخبير» أي الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23941','chapter_id' => '66','chapter_detail_id' => '5233','translator_id' => '4','verse_number' => '4','translate_name' => '«إن تتوبا» أي حفصة وعائشة «إلى الله فقد صغت قلوبكما» مالت إلى تحريم مارية، أي سركما ذلك مع كراهة النبي صلى الله عليه وسلم له وذلك ذنب، وجواب الشرط محذوف أي تقبلا، وأطلق قلوب على قلبين ولم يعبر به لاستثقال الجمع بين تثنيتين فيما هو كالكلمة الواحدة «وإن تظَّاهرا» بإدغام التاء الثانية في الأصل في الظاء، وفي قراءة بدونها تتعاونا «عليه» أي النبي فيما يكرهه «فإن الله هو» فصل «مولاه» ناصره «وجبريل وصالح المؤمنين» أبو بكر وعمر رضي الله عنهما معطوف على محل اسم إن فيكونون ناصريه «والملائكة بعد ذلك» بعد نصر الله والمذكورين «ظهير» ظهراء أعوان له في نصره عليكما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23942','chapter_id' => '66','chapter_detail_id' => '5234','translator_id' => '4','verse_number' => '5','translate_name' => '«عسى ربه إن طلقكن» أي طلق النبي أزواجه «أن يبدِّله» بالتشديد والتخفيف «أزواجا خيرا منكن» خبر عسى والجملة جواب الشرط ولم يقع التبديل لعدم وقوع الشرط «مسلمات» مقرات بالإسلام «مؤمنات» مخلصات «قانتات» مطيعات «تائبات عابدات سائحات» صائمات أو مهاجرات «ثيبات وأبكارا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23943','chapter_id' => '66','chapter_detail_id' => '5235','translator_id' => '4','verse_number' => '6','translate_name' => '«‌يا أيها الذين آمنوا قوا أنفسكم وأهليكم» بالحمل على طاعة الله «نارًا وقودها الناس» الكفار «والحجارة» كأصنامهم منها، يعني أنها مفرطة الحرارة تتقد بما ذكر لا كنار الدنيا تتقد بالحطب ونحوه «عليها ملائكة» خزنتها عدتهم تسعة عشر كما سيأتي في (المدثر) «غلاظ» من غلظ القلب «شداد» في البطش «لا يعصون الله ما أمرهم» بدل من الجلالة، أي لا يعصون أمر الله «ويفعلون ما يؤمرون» تأكيد والآية تخويف للمؤمنين عن الارتداد وللمنافقين المؤمنين بألسنتهم دون قلوبهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23944','chapter_id' => '66','chapter_detail_id' => '5236','translator_id' => '4','verse_number' => '7','translate_name' => '«يا أيها الذين كفروا لا تعتذروا اليوم» يقال لهم ذلك عند دخولهم النار، أي لأنه لا ينفعكم «إنما تجزون ما كنتم تعملون» أي جزاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23945','chapter_id' => '66','chapter_detail_id' => '5237','translator_id' => '4','verse_number' => '8','translate_name' => '«يا أيها الذين آمنوا توبا إلى الله توبة نصوحا» بفتح النون وضمها صادقة، بأن لا يعاد إلى الذنب ولا يُراد العود إليه «عسى ربكم» ترجية تقع «أن يكفر عنكم سيئاتكم ويدخلكم جنات» بساتين «تجري من تحتها الأنهار يوم لا يجزي الله» بإدخال النار «النبي والذين آمنوا معه نورهم يسعى بين أيديهم» أمامهم «و» يكون «بأيمانهم يقولون» مستأنف «ربنا أتمم لنا نورنا» إلى الجنة والمنافقون يطفأ نورهم «واغفر لنا» ربنا «إنك على كل شيءٍ قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23946','chapter_id' => '66','chapter_detail_id' => '5238','translator_id' => '4','verse_number' => '9','translate_name' => '«يا أيها النبي جاهد الكفار» بالسيف «والمنافقين» باللسان والحجة «واغلظ عليهم» بالانتهار والمقت «ومأواهم جهنم وبئس المصير» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23947','chapter_id' => '66','chapter_detail_id' => '5239','translator_id' => '4','verse_number' => '10','translate_name' => '«ضرب الله مثلا للذين كفروا امرأة نوح وامرأة لوط كانتا تحت عبدين من عبادنا صالحين فخانتاهما» في الدين إذ كفرتا وكانت امرأة نوح واسمها واهلة تقول لقومه: إنه مجنون، وامرأة لوط واسمها واعلة تدل قومه على أضيافه إذا نزلوا به ليلا بإيقاد النار ونهارا بالتدخين «فلم يغنيا» أي نوح ولوط «عنهما من الله» من عذابه «شيئا وقيل» لهما «ادخلا النار مع الداخلين» من كفار قوم نوح وقوم لوط.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23948','chapter_id' => '66','chapter_detail_id' => '5240','translator_id' => '4','verse_number' => '11','translate_name' => '«وضرب الله مثلا للذين آمنوا امرأة فرعون» آمنت بموسى واسمها آسية فعذبها فرعون بأن أوتد يديها ورجليها وألقى على صدرها رحى عظيمة واستقبل بها الشمس فكانت إذا تفرق عنها من وكل بها ظللتها الملائكة «إذ قالت» في حال التعذيب «رب ابن لي عندك بيتا في الجنة» فكشف لها فرأته فسهل عليها التعذيب «ونجني من فرعون وعمله» وتعذيبه «ونجني من القوم الظالمين» أهل دينه فقبض الله روحها، وقال ابن كيسان: رفعت إلى الجنة حية فهي تأكل وتشرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23949','chapter_id' => '66','chapter_detail_id' => '5241','translator_id' => '4','verse_number' => '12','translate_name' => '«ومريم» عطف على امرأة فرعون «ابنة عمران التي أحصنت فرجها» حفظته «فنفخنا فيه من روحنا» أي جبريل حيث نفخ في جيب درعها بخلق الله تعالى فعله الواصل إلى فرجها فحملت بعيسى «وصدقت بكلمات ربها» شرائعه «وكتبه» المنزلة «وكانت من القانتين» من القوم المطيعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23950','chapter_id' => '67','chapter_detail_id' => '5242','translator_id' => '4','verse_number' => '1','translate_name' => '«تبارك» تنزه عن صفات المحدثين «الذي بيده» في تصرفه «الملك» السلطان والقدرة «وهو على كل شيءٍ قدير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23951','chapter_id' => '67','chapter_detail_id' => '5243','translator_id' => '4','verse_number' => '2','translate_name' => '«الذي خلق الموت» في الدنيا «والحياة» في الآخرة أو هما في الدنيا فالنطفة تعرض لها الحياة وهي ما به الإحساس، والموت ضدها أو عدمها قولان، والخلق على الثاني بمعنى لتقدير «ليبلوكم» ليختبركم في الحياة «أيكم أحسن عملا» أطوع لله «وهو العزيز» في انتقامه ممن عصاه «الغفور» لمن تاب إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23952','chapter_id' => '67','chapter_detail_id' => '5244','translator_id' => '4','verse_number' => '3','translate_name' => '«الذي خلق سبع سماوات طباقا» بعضها فوق بعض من غير مماسة «ما ترى في خلق الرحمن» لهن أو لغيرهن «من تفاوت» تباين وعدم تناسب «فارجع البصر» أعده إلى السماء «هل ترى» فيها «من فطور» صدوع وشقوق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23953','chapter_id' => '67','chapter_detail_id' => '5245','translator_id' => '4','verse_number' => '4','translate_name' => '«ثم ارجع البصر كرتين» كرة بعد كرة «ينقلب» يرجع «إليك البصر خاسئا» ذليلا لعدم إدراك خلل «وهو حسير» منقطع عن رؤية خلل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23954','chapter_id' => '67','chapter_detail_id' => '5246','translator_id' => '4','verse_number' => '5','translate_name' => '«ولقد زيَّنا السماء الدنيا» القربى إلى الأرض «بمصابيح» بنجوم «وجعلناها رجوما» مراجم «للشياطين» إذا استرقوا السمع بأن ينفصل شهاب عن الكوكب كالقبس يؤخذ من النار فيقتل الجني أو يخبله لا أن الكوكب يزول عن مكانه «وأعتدنا لهم عذاب السعير» النار الموقدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23955','chapter_id' => '67','chapter_detail_id' => '5247','translator_id' => '4','verse_number' => '6','translate_name' => '«وللذين كفروا بربهم عذاب جهنم وبئس المصير» هي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23956','chapter_id' => '67','chapter_detail_id' => '5248','translator_id' => '4','verse_number' => '7','translate_name' => '«إذا ألقوا فيها سمعوا لها شهيقا» صوتا منكرا كصوت الحمار «وهي تفور» تغلي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23957','chapter_id' => '67','chapter_detail_id' => '5249','translator_id' => '4','verse_number' => '8','translate_name' => '«تكاد تميز» وقرئ تتميز على الأصل تتقطع «من الغيظ» غضبا على الكافر «كلما ألقي فيها فوج» جماعة منهم «سألهم خزنتها» سؤال توبيخ «ألم يأتكم نذير» رسول ينذركم عذاب الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23958','chapter_id' => '67','chapter_detail_id' => '5250','translator_id' => '4','verse_number' => '9','translate_name' => '«قالوا بلى قد جاءنا نذير فكذبنا وقلنا ما نزل الله من شيء إن» ما «أنتم إلا في ضلال كبير» يحتمل أن يكون من كلام الملائكة للكفار حين أخبروا بالتكذيب وأن يكون كلام الكفار للنذر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23959','chapter_id' => '67','chapter_detail_id' => '5251','translator_id' => '4','verse_number' => '10','translate_name' => '«وقالوا لو كنا نسمع» أي سماع تفهم «أو نعقل» أي عقل تفكر «ما كنا في أصحاب السعير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23960','chapter_id' => '67','chapter_detail_id' => '5252','translator_id' => '4','verse_number' => '11','translate_name' => '«فاعترفوا» حيث لا ينفع الأعتراف «بذنبهم» وهو تكذيب النذر «فسحقا» بسكون الحاء وضمها «لأصحاب السعير» فبعدا لهم عن رحمة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23961','chapter_id' => '67','chapter_detail_id' => '5253','translator_id' => '4','verse_number' => '12','translate_name' => '«إن الذين يخشون ربهم» يخافونه «بالغيب» في غيبتهم عن أعين الناس فيطيعونه سرا فيكون علانية أولى «لهم مغفرة وأجر كبير» أي الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23962','chapter_id' => '67','chapter_detail_id' => '5254','translator_id' => '4','verse_number' => '13','translate_name' => '«وأسِرّوا» أيها الناس «قولكم أو اجهروا به إنه» تعالى «عليم بذات الصدور» بما فيها فكيف بما نطقتم به، وسبب نزول ذلك أن المشركين قال بعضهم لبعض: أسرّوا قولكم لا يسمعكم إله محمد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23963','chapter_id' => '67','chapter_detail_id' => '5255','translator_id' => '4','verse_number' => '14','translate_name' => '«ألا يعلم من خلق» ما تسرون أي، أينتفي علمه بذلك «وهو اللطيف» في علمه «الخبير» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23964','chapter_id' => '67','chapter_detail_id' => '5256','translator_id' => '4','verse_number' => '15','translate_name' => '«هو الذي جعل لكم الأرض ذلولا» سهلة للمشي فيها «فامشوا في مناكبها» جوانبها «وكلوا من رزقه» المخلوق لأجلكم «وإليه النشور» من القبور للجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23965','chapter_id' => '67','chapter_detail_id' => '5257','translator_id' => '4','verse_number' => '16','translate_name' => '«أأمنتم» بتحقيق الهمزتين وتسهيل الثانية وإدخال ألف بينهما وبين الأخرى وتركه وإبدالها ألفا «من في السماء» سلطانه وقدرته «أن يخسف» بدل من مَن «بكم الأرض فإذا هي تمور» تتحرك بكم وترتفع فوقكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23966','chapter_id' => '67','chapter_detail_id' => '5258','translator_id' => '4','verse_number' => '17','translate_name' => '«أم أمنتم من في السماء أن يرسل» بدل من مَن «عليكم حاصبا» ريحا ترميكم بالحصباء «فستعلمون» عند معاينة العذاب «كيف نذير» إنذاري بالعذاب، أي أنه حق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23967','chapter_id' => '67','chapter_detail_id' => '5259','translator_id' => '4','verse_number' => '18','translate_name' => '«ولقد كذب الذين من قبلهم» من الأمم «فكيف كان نكير» إنكاري عليهم بالتكذيب عند إهلاكهم، أي أنه حق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23968','chapter_id' => '67','chapter_detail_id' => '5260','translator_id' => '4','verse_number' => '19','translate_name' => '«أوَلم يروا» ينظروا «إلى الطير فوقهم» في الهواء «صافات» باسطات أجنحتهن «ويقبضن» أجنحتهن بعد البسط، أي وقابضات «ما يمسكهن» عن الوقوع في حال البسط والقبض «إلا الرحمن» بقدرته «إنه بكل شيء بصير» المعنى: ألم يستدلوا بثبوت الطير في الهواء على قدرتنا أن نفعل بهم ما تقدم وغيره من العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23969','chapter_id' => '67','chapter_detail_id' => '5261','translator_id' => '4','verse_number' => '20','translate_name' => '«أمَّن» مبتدأ «هذا» خبره «الذي» بدل من هذا «هو جند» أعوان «لكم» صلة الذي «ينصركم» صفة الجند «من دون الرحمن» أي غيره يدفع عنكم عذابه، أي لا ناصر لكم «إن» ما «الكافرون إلا في غرور» غرهم الشيطان بأن العذاب لا ينزل بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23970','chapter_id' => '67','chapter_detail_id' => '5262','translator_id' => '4','verse_number' => '21','translate_name' => '«أمَّن هذا الذي يرزقكم إن أمسك» الرحمن «رزقه» أي المطر عنكم وجواب الشرط محذوف دل عليه ما قبله، أي فمن يرزقكم، أي لا رازق لكم غيره «بل لجوا» تمادوا «في عتو» تكبر «ونفور» تباعد عن الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23971','chapter_id' => '67','chapter_detail_id' => '5263','translator_id' => '4','verse_number' => '22','translate_name' => '«أفمن يمشي مُكِبا» واقعا «على وجهه أهدى أمَّن يمشي سويا» معتدلا «على صراط» طريق «مستقيم» وخبر مَن الثانية محذوف دل عليه خبر الأولى، أي أهدى، والمثل في المؤمن والكافر أيهما على هدى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23972','chapter_id' => '67','chapter_detail_id' => '5264','translator_id' => '4','verse_number' => '23','translate_name' => '«قل هو الذي أنشأكم» خلقكم «وجعل لكم السمع والأبصار والأفئدة» القلوب «قليلا ما تشكرون» ما مزيدة والجملة مستأنفة مخبرة بقلة شكرهم جدا على هذه النعم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23973','chapter_id' => '67','chapter_detail_id' => '5265','translator_id' => '4','verse_number' => '24','translate_name' => '«قل هو الذي ذرأكم» خلقكم «في الأرض وإليه تحشرون» للحساب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23974','chapter_id' => '67','chapter_detail_id' => '5266','translator_id' => '4','verse_number' => '25','translate_name' => '«ويقولون» للمؤمنين «متى هذا الوعد» وعد الحشر «إن كنتم صادقين» فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23975','chapter_id' => '67','chapter_detail_id' => '5267','translator_id' => '4','verse_number' => '26','translate_name' => '«قل إنما العلم» بمجيئه «عند الله وإنما أنا نذير مبين» بيِّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23976','chapter_id' => '67','chapter_detail_id' => '5268','translator_id' => '4','verse_number' => '27','translate_name' => '«فلما رأوه» أي العذاب بعد الحشر «زلفة» قريبا «سيئت» اسودت «وجوه الذين كفروا وقيل» أي قال الخزنة لهم «هذا» أي العذاب «الذي كنتم به» بإنذاره «تدعون» أنكم لا تبعثون وهذه حكاية حال تأتي عبر عنها بطريق المضي لتحقق وقوعها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23977','chapter_id' => '67','chapter_detail_id' => '5269','translator_id' => '4','verse_number' => '28','translate_name' => '«قل أرأيتم إن أهلكني الله ومن معي» من المؤمنين بعذابه كما تقصدون «أو رحمنا» فلم يعذبنا «فمن يجير الكافرين من عذاب أليم» أي لا مجير لهم منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23978','chapter_id' => '67','chapter_detail_id' => '5270','translator_id' => '4','verse_number' => '29','translate_name' => '«قل هو الرحمن آمنا به وعليه توكلنا فستعلمون» بالتاء والياء عند معاينة العذاب «من هو في ضلال مبين» بيِّن أنحن أم أنتم أم هم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23979','chapter_id' => '67','chapter_detail_id' => '5271','translator_id' => '4','verse_number' => '30','translate_name' => '(قل أرأيتم إن أصبح ماؤكم غورا) غائرا في الأرض (فمن يأتيكم بماء معين) جار تناله الأيدي والدلاء كمائكم، أي لا يأتي به إلا الله تعالى فكيف تنكرون أن يبعثكم؟ ويستحب أن يقول القارئ عقب "" معين "": الله رب العالمين، كما ورد في الحديث، وتليت هذه الآية عند بعض المتجبرين فقال: تأتي به الفؤوس والمعاول فذهب ماء عينه وعمي نعوذ بالله من الجراءة على الله وعلى آياته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23980','chapter_id' => '68','chapter_detail_id' => '5272','translator_id' => '4','verse_number' => '1','translate_name' => '«ن» أحد حروف الهجاء الله أعلم بمراده به «والقلم» الذي كتب به الكائنات في اللوح المحفوظ «وما يسطرون» أي الملائكة من الخير والصلاح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23981','chapter_id' => '68','chapter_detail_id' => '5273','translator_id' => '4','verse_number' => '2','translate_name' => '«ما أنت» يا محمد «بنعمة ربك بمجنون» أي انتفى الجنون عنك بسبب إنعام ربك عليك بالنبوة وغيرها وهذا رد لقولهم إنه مجنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23982','chapter_id' => '68','chapter_detail_id' => '5274','translator_id' => '4','verse_number' => '3','translate_name' => '«وإن لك لأجرا غير ممنون» مقطوع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23983','chapter_id' => '68','chapter_detail_id' => '5275','translator_id' => '4','verse_number' => '4','translate_name' => '«وإنك لعلى خلق» دين «عظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23984','chapter_id' => '68','chapter_detail_id' => '5276','translator_id' => '4','verse_number' => '5','translate_name' => '«فستبصر ويبصرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23985','chapter_id' => '68','chapter_detail_id' => '5277','translator_id' => '4','verse_number' => '6','translate_name' => '«بأيكم المفتون» مصدر كالمعقول، أي الفتون بمعنى الجنون، أي أبك أم بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23986','chapter_id' => '68','chapter_detail_id' => '5278','translator_id' => '4','verse_number' => '7','translate_name' => '«إن ربك هو أعلم بمن ضل عن سبيله وهو أعلم بالمهتدين» له وأعلم بمعنى عالم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23987','chapter_id' => '68','chapter_detail_id' => '5279','translator_id' => '4','verse_number' => '8','translate_name' => '«فلا تطع المكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23988','chapter_id' => '68','chapter_detail_id' => '5280','translator_id' => '4','verse_number' => '9','translate_name' => '«ودوا» تمنوا «لو» مصدرية «تدهن» تلين لهم «فيدهنون» يلينون لك وهو معطوف على تدهن، وإن جعل جواب التمني المفهوم من ودوا قدر قبله بعد الفاء هم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23989','chapter_id' => '68','chapter_detail_id' => '5281','translator_id' => '4','verse_number' => '10','translate_name' => '«ولا تطع كل حلاف» كثير الحلف بالباطل «مهين» حقير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23990','chapter_id' => '68','chapter_detail_id' => '5282','translator_id' => '4','verse_number' => '11','translate_name' => '«هماز» غياب أي مغتاب «مشاء بنميم» ساع بالكلام بين الناس على وجه الإفساد بينهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23991','chapter_id' => '68','chapter_detail_id' => '5283','translator_id' => '4','verse_number' => '12','translate_name' => '«مناع للخير» بخيل بالمال عن الحقوق «معتد» ظالم «أثيم» آثم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23992','chapter_id' => '68','chapter_detail_id' => '5284','translator_id' => '4','verse_number' => '13','translate_name' => '«عتل» غليظ جاف «بعد ذلك زنيم» دعيٍّ في قريش، وهو الوليد بن المغيرة ادَّعاه أبوه بعد ثماني عشرة سنة، قال ابن عباس: لا نعلم أن الله وصف أحدا بما وصفه به من العيوب فألحق به عارا لا يفارقه أبدا، وتعلق بزنيم الظرف قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23993','chapter_id' => '68','chapter_detail_id' => '5285','translator_id' => '4','verse_number' => '14','translate_name' => '«أن كان ذا مال وبنين» أي لأن وهو متعلق بما دل عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23994','chapter_id' => '68','chapter_detail_id' => '5286','translator_id' => '4','verse_number' => '15','translate_name' => '«إذ تتلى عليه آياتنا» القرآن «قال» هي «أساطير الأولين» أي كذب بها لإنعامنا عليه بما ذكر، وفي قراءة أأن بهمزتين مفتوحتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23995','chapter_id' => '68','chapter_detail_id' => '5287','translator_id' => '4','verse_number' => '16','translate_name' => '«سنسمه على الخرطوم» سنجعل على أنفه علامة يعير بها ما عاش فخطم أنفه بالسيف يوم بدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23996','chapter_id' => '68','chapter_detail_id' => '5288','translator_id' => '4','verse_number' => '17','translate_name' => '«إنا بلوناهم» امتحنا أهل مكة بالقحط والجوع «كما بلونا أصحاب الجنة» البستان «إذ أقسموا ليصرمنَّها» يقطعون ثمرتها «مصبحين» وقت الصباح كي لا يشعر بهم المساكين فلا يعطونهم منها ما كان أبوهم يتصدق به عليهم منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23997','chapter_id' => '68','chapter_detail_id' => '5289','translator_id' => '4','verse_number' => '18','translate_name' => '«ولا يستثنون» في يمينهم بمشيئة الله تعالى والجملة مستأنفة، أي وشأنهم ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23998','chapter_id' => '68','chapter_detail_id' => '5290','translator_id' => '4','verse_number' => '19','translate_name' => '«فطاف عليها طائف من ربك» نار أحرقتها ليلا «وهم نائمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '23999','chapter_id' => '68','chapter_detail_id' => '5291','translator_id' => '4','verse_number' => '20','translate_name' => '«فأصبحت كالصريم» كالليل الشديد الظلمة، أي سوداء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24000','chapter_id' => '68','chapter_detail_id' => '5292','translator_id' => '4','verse_number' => '21','translate_name' => '«فتنادوا مصبحين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24001','chapter_id' => '68','chapter_detail_id' => '5293','translator_id' => '4','verse_number' => '22','translate_name' => '«أن اغدوا على حرثكم» غلتكم تفسير لتنادوا، أو أن مصدرية أي بأن «إن كنتم صارمين» مريدين القطع وجواب الشرط دل عليه ما قبله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24002','chapter_id' => '68','chapter_detail_id' => '5294','translator_id' => '4','verse_number' => '23','translate_name' => '«فانطلقوا وهم يتخافتون» يتسارون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24003','chapter_id' => '68','chapter_detail_id' => '5295','translator_id' => '4','verse_number' => '24','translate_name' => '«أن لا يدخلنها اليوم عليكم مسكين» تفسير لما قبله، أو أن مصدرية أي بأن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24004','chapter_id' => '68','chapter_detail_id' => '5296','translator_id' => '4','verse_number' => '25','translate_name' => '«وغدوا على حرد» منع للفقراء «قادرين» عليه في ظنهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24005','chapter_id' => '68','chapter_detail_id' => '5297','translator_id' => '4','verse_number' => '26','translate_name' => '«فلما رأوها» سوداء محترقة «قالوا إنا لضالون» عنها، أي ليست هذه ثم قالوا لما علموها:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24006','chapter_id' => '68','chapter_detail_id' => '5298','translator_id' => '4','verse_number' => '27','translate_name' => '«بل نحن محرومون» ثمرتها بمنعنا الفقراء منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24007','chapter_id' => '68','chapter_detail_id' => '5299','translator_id' => '4','verse_number' => '28','translate_name' => '«قال أوسطهم» خيرهم «ألم أقل لكم لولا» هلا «تسبحون» الله تائبين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24008','chapter_id' => '68','chapter_detail_id' => '5300','translator_id' => '4','verse_number' => '29','translate_name' => '«قالوا سبحان ربنا إنا كنا ظالمين» بمنع الفقراء حقهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24009','chapter_id' => '68','chapter_detail_id' => '5301','translator_id' => '4','verse_number' => '30','translate_name' => '«فأقبل بعضهم على بعض يتلاومون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24010','chapter_id' => '68','chapter_detail_id' => '5302','translator_id' => '4','verse_number' => '31','translate_name' => '«قالوا يا» للتنبيه «ويلنا» هلا كنا «إنا كنا طاغين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24011','chapter_id' => '68','chapter_detail_id' => '5303','translator_id' => '4','verse_number' => '32','translate_name' => '«عسى ربنا أن يبدِّلنا» بالتشديد والتخفيف «خيرا منها إنا إلى ربنا راغبون» ليقبل توبتنا ويرد علينا خيرا من جنتنا، روي أنهم أُبدلوا خيرا منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24012','chapter_id' => '68','chapter_detail_id' => '5304','translator_id' => '4','verse_number' => '33','translate_name' => '«كذلك» أي مثل العذاب لهؤلاء «العذاب» لمن خالف أمرنا من كفار مكة وغيرهم «ولعذاب الآخرة أكبر لو كانوا يعلمون» عذابها ما خالفوا أمرنا، ونزل لما قالوا إن بعثنا نعطى أفضل منكم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24013','chapter_id' => '68','chapter_detail_id' => '5305','translator_id' => '4','verse_number' => '34','translate_name' => '«إن للمتقين عند ربهم جنات النعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24014','chapter_id' => '68','chapter_detail_id' => '5306','translator_id' => '4','verse_number' => '35','translate_name' => '«أفنجعل المسلمين كالمجرمين» أي تابعين لهم في العطاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24015','chapter_id' => '68','chapter_detail_id' => '5307','translator_id' => '4','verse_number' => '36','translate_name' => '«ما لكم كيف تحكمون» هذا الحكم الفاسد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24016','chapter_id' => '68','chapter_detail_id' => '5308','translator_id' => '4','verse_number' => '37','translate_name' => '«أم» أي بل أ «لكم كتاب» منزل «فيه تدرسون» أي تقرؤون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24017','chapter_id' => '68','chapter_detail_id' => '5309','translator_id' => '4','verse_number' => '38','translate_name' => '«إن لكم فيه لما تخيرون» تختارون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24018','chapter_id' => '68','chapter_detail_id' => '5310','translator_id' => '4','verse_number' => '39','translate_name' => '«أم لكم أَيمان» عهود «علينا بالغة» واثقة «إلى يوم القيامة» متعلق معنى بعلينا، وفي هذا الكلام معنى القسم، أي أقسمنا لكم وجوابه «إن لكم لما تحكمون» به لأنفسكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24019','chapter_id' => '68','chapter_detail_id' => '5311','translator_id' => '4','verse_number' => '40','translate_name' => '«سلهم أيهم بذلك» الحكم الذي يحكمون به لأنفسهم من أنهم يعطون في الآخرة أفضل من المؤمنين «زعيم» كفيل لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24020','chapter_id' => '68','chapter_detail_id' => '5312','translator_id' => '4','verse_number' => '41','translate_name' => '«أم لهم» أي عندهم «شركاء» موافقون لهم في هذا القول يكفلون به لهم فإن كان كذلك «فليأتوا بشركائهم» الكافلين لهم به «إن كانوا صادقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24021','chapter_id' => '68','chapter_detail_id' => '5313','translator_id' => '4','verse_number' => '42','translate_name' => 'اذكر «يوم يكشف عن ساق» هو عبارة عن شدة الأمر يوم القيامة للحساب والجزاء، يقال: كشفت الحرب عن ساق: إذا اشتد الأمر فيها «ويدعوْن إلى السجود» امتحاناً لإيمانهم «فلا يستطيعون» تصير ظهورهم طبقاً واحداً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24022','chapter_id' => '68','chapter_detail_id' => '5314','translator_id' => '4','verse_number' => '43','translate_name' => '«خاشعة» حال من ضمير يدعون، أي ذليلة «أبصارهم» لا يرفعونها «ترهقهم» تغشاهم «ذلة وقد كانوا يدعوْن» في الدنيا «إلى السجود وهم سالمون» فلا يأتون به بأن لا يصلوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24023','chapter_id' => '68','chapter_detail_id' => '5315','translator_id' => '4','verse_number' => '44','translate_name' => '«فذرني» دعني «ومن يكذب بهذا الحديث» القرآن «سنستدرجهم» نأخذهم قليلا قليلا «من حيث لا يعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24024','chapter_id' => '68','chapter_detail_id' => '5316','translator_id' => '4','verse_number' => '45','translate_name' => '«وأملي لهم» أمهلهم «إن كيدي متين» شديد لا يطاق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24025','chapter_id' => '68','chapter_detail_id' => '5317','translator_id' => '4','verse_number' => '46','translate_name' => '«أم» بل أ «تسألهم» على تبليغ الرسالة «أجرا فهم من مغرم» مما يعطونكه «مثقلون» فلا يؤمنون لذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24026','chapter_id' => '68','chapter_detail_id' => '5318','translator_id' => '4','verse_number' => '47','translate_name' => '«أم عندهم الغيب» أي اللوح المحفوظ الذي فيه الغيب «فهم يكتبون» منه ما يقولون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24027','chapter_id' => '68','chapter_detail_id' => '5319','translator_id' => '4','verse_number' => '48','translate_name' => '«فاصبر لحكم ربك» فيهم بما يشاء «ولا تكن كصاحب الحوت» في الضجر والعجلة وهو يونس عليه السلام «إذ نادى» دعا ربه «وهو مكظوم» مملوء غما في بطن الحوت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24028','chapter_id' => '68','chapter_detail_id' => '5320','translator_id' => '4','verse_number' => '49','translate_name' => '«لولا أن تداركه» أدركه «نعمة» رحمة «من ربه لنبذ» من بطن الحوت «بالعراء» بالأرض الفضاء «وهو مذموم» لكنه رحم فنبذ غير مذموم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24029','chapter_id' => '68','chapter_detail_id' => '5321','translator_id' => '4','verse_number' => '50','translate_name' => '«فاجتباه ربه» بالنبوة «فجعله من الصالحين» الأنبياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24030','chapter_id' => '68','chapter_detail_id' => '5322','translator_id' => '4','verse_number' => '51','translate_name' => '«وإن يكاد الذين كفروا ليزلقونك» بضم الياء وفتحها «بأبصارهم» ينظرون إليك نظرا شديدا يكاد أن يصرعك ويسقطك من مكانك «لما سمعوا الذكر» القرآن «ويقولون» حسدا «إنه لمجنون» بسبب القرآن الذي جاء به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24031','chapter_id' => '68','chapter_detail_id' => '5323','translator_id' => '4','verse_number' => '52','translate_name' => '«وما هو» أي القرآن «إلا ذكر» موعظة «للعالمين» الجن والإنس لا يحدث بسبب جنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24032','chapter_id' => '69','chapter_detail_id' => '5324','translator_id' => '4','verse_number' => '1','translate_name' => '«الحاقة» القيامة التي يحق فيها ما أنكر من البعث والحساب والجزاء، أو المظهرة لذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24033','chapter_id' => '69','chapter_detail_id' => '5325','translator_id' => '4','verse_number' => '2','translate_name' => '«ما الحاقة» تعظيم لشأنها، وهو مبتدأ وخبر الحاقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24034','chapter_id' => '69','chapter_detail_id' => '5326','translator_id' => '4','verse_number' => '3','translate_name' => '«وما أدراك» أعلمك «ما الحاقة» زيادة تعظيم لشأنها، فما الأولى مبتدأ وما بعدها خبره، وما الثانية وخبرها في محل المفعول الثاني لأدرى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24035','chapter_id' => '69','chapter_detail_id' => '5327','translator_id' => '4','verse_number' => '4','translate_name' => '«كذبت ثمود وعاد بالقارعة» القيامة لأنها تقرع القلوب بأهوالها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24036','chapter_id' => '69','chapter_detail_id' => '5328','translator_id' => '4','verse_number' => '5','translate_name' => '«فأما ثمود فأهلكوا بالطاغية» بالصيحة المجاوزة للحد في الشدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24037','chapter_id' => '69','chapter_detail_id' => '5329','translator_id' => '4','verse_number' => '6','translate_name' => '«وأما عاد فأهلكوا بريح صرصر» شديدة الصوت «عاتية» قوية شديدة على عاد مع قوتهم وشدتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24038','chapter_id' => '69','chapter_detail_id' => '5330','translator_id' => '4','verse_number' => '7','translate_name' => '«سخرها» أرسلها بالقهر «عليهم سبع ليال وثمانية أيام» أولها من صبح يوم الأربعاء لثمان بقين من شوال، وكانت في عجز الشتاء «حسوما» متتابعات شبهت بتتابع فعل الحاسم في إعادة الكي على الداء كرة بعد أخرى حتى ينحسم «فترى القوم فيها صرعى» مطروحين هالكين «كأنهم أعجاز» أصول «نخل خاوية» ساقطة فارغة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24039','chapter_id' => '69','chapter_detail_id' => '5331','translator_id' => '4','verse_number' => '8','translate_name' => '«فهل ترى لهم من باقية» صفة نفس مقدرة أو التاء للمبالغة، أي باق؟ لا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24040','chapter_id' => '69','chapter_detail_id' => '5332','translator_id' => '4','verse_number' => '9','translate_name' => '«وجاء فرعون ومن قبَلَهُ» أتباعه، وفي قراءة بفتح القاف وسكون الباء، أي من تقدمه من الأمم الكافرة «والمؤتفكات» أي أهلها وهي قرى قوم لوط «بالخاطئة» بالفعلات ذات الخطأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24041','chapter_id' => '69','chapter_detail_id' => '5333','translator_id' => '4','verse_number' => '10','translate_name' => '«فعصوْا رسول ربهم» أي لوطا وغيره «فأخذهم أخذة رابية» زائدة في الشدة على غيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24042','chapter_id' => '69','chapter_detail_id' => '5334','translator_id' => '4','verse_number' => '11','translate_name' => '«إنا لما طغا الماء» علا فوق كل شيء من الجبال وغيرها زمن الطوفان «حملناكم» يعني آباءكم إذ أنتم في أصلابهم «في الجارية» السفينة التي عملها نوح ونجا هو ومن كان معه فيها وغرق الاخرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24043','chapter_id' => '69','chapter_detail_id' => '5335','translator_id' => '4','verse_number' => '12','translate_name' => '«لنجعلها» أي هذه الفعلة وهي إنجاء المؤمنين وإهلاك الكافرين «لكم تذكرة» عظة «وتعيها» ولتحفظها «أذن واعية» حافظة لما تسمع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24044','chapter_id' => '69','chapter_detail_id' => '5336','translator_id' => '4','verse_number' => '13','translate_name' => '«فإذا نفخ في الصور نفخة واحدة» للفصل بين الخلائق وهي الثانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24045','chapter_id' => '69','chapter_detail_id' => '5337','translator_id' => '4','verse_number' => '14','translate_name' => '«وحُملت» رفعت «الأرض والجبال فدكتا» دقتا «دكة واحدة».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24046','chapter_id' => '69','chapter_detail_id' => '5338','translator_id' => '4','verse_number' => '15','translate_name' => '«فيومئذ وقعت الواقعة» قامت القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24047','chapter_id' => '69','chapter_detail_id' => '5339','translator_id' => '4','verse_number' => '16','translate_name' => '«وانشقت السماء فهي يومئذ واهية» ضعيفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24048','chapter_id' => '69','chapter_detail_id' => '5340','translator_id' => '4','verse_number' => '17','translate_name' => '«والملك» يعني: الملائكة «على أرجائها» جوانب السماء «ويحمل عرش ربك فوقهم» أي الملائكة المذكورين «يومئذ ثمانية» من الملائكة أو من صفوفهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24049','chapter_id' => '69','chapter_detail_id' => '5341','translator_id' => '4','verse_number' => '18','translate_name' => '«يومئذ تعرضون» للحساب «لا تخفى» بالتاء والياء «منكم خافية» من السرائر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24050','chapter_id' => '69','chapter_detail_id' => '5342','translator_id' => '4','verse_number' => '19','translate_name' => '«فأما من أوتيَ كتابه بيمينه فيقول» خطابا لجماعته لما سر به «هاؤمُ» خذوا «اقرؤوا كتابيه» تنازع فيه هاؤم واقرءُوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24051','chapter_id' => '69','chapter_detail_id' => '5343','translator_id' => '4','verse_number' => '20','translate_name' => '«إني ظننت» تيقنت «أني ملاق حسابيه».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24052','chapter_id' => '69','chapter_detail_id' => '5344','translator_id' => '4','verse_number' => '21','translate_name' => '«فهو في عيشة راضية» مرضية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24053','chapter_id' => '69','chapter_detail_id' => '5345','translator_id' => '4','verse_number' => '22','translate_name' => '«في جنة عالية».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24054','chapter_id' => '69','chapter_detail_id' => '5346','translator_id' => '4','verse_number' => '23','translate_name' => '«قطوفها» ثمارها «دانية» قريبة يتناولها القائم والقاعد والمضطجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24055','chapter_id' => '69','chapter_detail_id' => '5347','translator_id' => '4','verse_number' => '24','translate_name' => 'فيقال لهم «كلوا واشربوا هنيئا» حال، أي متهنئين «بما أسلفتم في الأيام الخالية» الماضية في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24056','chapter_id' => '69','chapter_detail_id' => '5348','translator_id' => '4','verse_number' => '25','translate_name' => '«وأما من أوتيَ كتابه بشماله فيقول يا» للتنبيه «ليتني لم أوت كتابيه».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24057','chapter_id' => '69','chapter_detail_id' => '5349','translator_id' => '4','verse_number' => '26','translate_name' => '«ولم أدر ما حسابيه».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24058','chapter_id' => '69','chapter_detail_id' => '5350','translator_id' => '4','verse_number' => '27','translate_name' => '«يا ليتها» أي الموتة في الدنيا «كانت القاضية» القاطعة لحياتي بأن لا أبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24059','chapter_id' => '69','chapter_detail_id' => '5351','translator_id' => '4','verse_number' => '28','translate_name' => '«ما أغنى عني مالية».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24060','chapter_id' => '69','chapter_detail_id' => '5352','translator_id' => '4','verse_number' => '29','translate_name' => '«هلك عني سلطانيه» قوتي وحجتي وهاء كتابيه وحسابيه وماليه وسلطانيه للسكت تثبت وقفا ووصلا اتباعا للمصحف الإمام والنقل، ومنهم من حذفها وصلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24061','chapter_id' => '69','chapter_detail_id' => '5353','translator_id' => '4','verse_number' => '30','translate_name' => '«خذوه» خطاب لخزنة جهنم «فغلوه» اجمعوا يديه إلى عنقه في الغل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24062','chapter_id' => '69','chapter_detail_id' => '5354','translator_id' => '4','verse_number' => '31','translate_name' => '«ثم الجحيم» النار المحرقة «صلُّوه» ادخلوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24063','chapter_id' => '69','chapter_detail_id' => '5355','translator_id' => '4','verse_number' => '32','translate_name' => '«ثم في سلسلة ذرعها سبعون ذراعا» بذراع الملك «فاسلكوه» أدخلوه فيها بعد إدخاله النار ولم تمنع الفاء من تعلق الفعل بالظرف المتقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24064','chapter_id' => '69','chapter_detail_id' => '5356','translator_id' => '4','verse_number' => '33','translate_name' => '«إنه كان لا يؤمن بالله العظيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24065','chapter_id' => '69','chapter_detail_id' => '5357','translator_id' => '4','verse_number' => '34','translate_name' => '«ولا يحض على طعام المسكين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24066','chapter_id' => '69','chapter_detail_id' => '5358','translator_id' => '4','verse_number' => '35','translate_name' => '«فليس له اليوم ههنا حميم» قريب ينتفع به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24067','chapter_id' => '69','chapter_detail_id' => '5359','translator_id' => '4','verse_number' => '36','translate_name' => '«ولا طعام إلا من غسلين» صديد أهل النار أو شجر فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24068','chapter_id' => '69','chapter_detail_id' => '5360','translator_id' => '4','verse_number' => '37','translate_name' => '«لا يأكله إلا الخاطئون» الكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24069','chapter_id' => '69','chapter_detail_id' => '5361','translator_id' => '4','verse_number' => '38','translate_name' => '«فلا» زائدة «أقسم بما تبصرون» من المخلوقات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24070','chapter_id' => '69','chapter_detail_id' => '5362','translator_id' => '4','verse_number' => '39','translate_name' => '«وما لا تبصرون» منها، أي بكل مخلوق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24071','chapter_id' => '69','chapter_detail_id' => '5363','translator_id' => '4','verse_number' => '40','translate_name' => '«إنه» أي القرآن «لقول رسول كريم» أي قاله رسالة عن الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24072','chapter_id' => '69','chapter_detail_id' => '5364','translator_id' => '4','verse_number' => '41','translate_name' => '«وما هو بقول شاعر قليلا ما تؤمنون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24073','chapter_id' => '69','chapter_detail_id' => '5365','translator_id' => '4','verse_number' => '42','translate_name' => '«ولا بقول كاهن قليلا ما تذكرون» بالتاء والياء في الفعلين وما مزيدة مؤكدة والمعنى أنهم آمنوا بأشياء يسيرة وتذكروها مما أتى به النبي صلى الله عليه وسلم من الخير والصلة والعفاف فلم تغن عنهم شيئا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24074','chapter_id' => '69','chapter_detail_id' => '5366','translator_id' => '4','verse_number' => '43','translate_name' => 'بل هو «تنزيل من رب العالمين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24075','chapter_id' => '69','chapter_detail_id' => '5367','translator_id' => '4','verse_number' => '44','translate_name' => '«ولو تقوَّل» أي النبي «علينا بعض الأقاويل» بأن قال عنا ما لم نقله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24076','chapter_id' => '69','chapter_detail_id' => '5368','translator_id' => '4','verse_number' => '45','translate_name' => '«لأخذنا» لنلنا «منه» عقابا «باليمين» بالقوة والقدرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24077','chapter_id' => '69','chapter_detail_id' => '5369','translator_id' => '4','verse_number' => '46','translate_name' => '«ثم لقطعنا منه الوتين» نياط القلب وهو عرق متصل به إذا انقطع مات صاحبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24078','chapter_id' => '69','chapter_detail_id' => '5370','translator_id' => '4','verse_number' => '47','translate_name' => '«فما منكم من أحد» هو اسم ما ومن زائدة لتأكيد النفي ومنكم حال من أحد «عنه حاجزين» مانعين خبر ما وجمع لان أحدا في سياق النفي بمعنى الجمع وضمير عنه للنبي صلى الله عليه وسلم، أي لا مانع لنا عنه من حيث العقاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24079','chapter_id' => '69','chapter_detail_id' => '5371','translator_id' => '4','verse_number' => '48','translate_name' => '«وإنه» أي القرآن «لتذكرة للمتقين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24080','chapter_id' => '69','chapter_detail_id' => '5372','translator_id' => '4','verse_number' => '49','translate_name' => '«وإنا لنعلم أن منكم» أيها الناس «مكذبين» بالقرآن ومصدقين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24081','chapter_id' => '69','chapter_detail_id' => '5373','translator_id' => '4','verse_number' => '50','translate_name' => '«وإنه» أي القرآن «لحسرة على الكافرين» إذا رأوا ثواب المصدقين وعقاب المكذبين به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24082','chapter_id' => '69','chapter_detail_id' => '5374','translator_id' => '4','verse_number' => '51','translate_name' => '«وإنه» أي القرآن «لحق اليقين» أي اليقين الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24083','chapter_id' => '69','chapter_detail_id' => '5375','translator_id' => '4','verse_number' => '52','translate_name' => '«فسبح» نزه «باسم» الباء زائدة «ربك العظيم» سبحانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24084','chapter_id' => '70','chapter_detail_id' => '5376','translator_id' => '4','verse_number' => '1','translate_name' => '«سأل سائل» دعا داع «بعذاب واقع».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24085','chapter_id' => '70','chapter_detail_id' => '5377','translator_id' => '4','verse_number' => '2','translate_name' => '(للكافرين ليس له دافع) هو النضر بن الحارث قال: "" اللهم إن كان هذا هو الحق "" الآية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24086','chapter_id' => '70','chapter_detail_id' => '5378','translator_id' => '4','verse_number' => '3','translate_name' => '«من الله» متصل بواقع «ذي المعارج» مصاعد الملائكة وهي السماوات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24087','chapter_id' => '70','chapter_detail_id' => '5379','translator_id' => '4','verse_number' => '4','translate_name' => '«تعرج» بالتاء والياء «الملائكة والروح» جبريل «إليه» إلى مهبط أمره من السماء «في يوم» متعلق بمحذوف، أي يقع العذاب بهم في يوم القيامة «كان مقداره خمسين ألف سنة» بالنسبة إلى الكافر لما يلقى فيه من الشدائد، وأما المؤمن فيكون أخف عليه من صلاة مكتوبة يصليها في الدنيا كما جاء في الحديث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24088','chapter_id' => '70','chapter_detail_id' => '5380','translator_id' => '4','verse_number' => '5','translate_name' => '«فاصبر» وهذا قبل أن يؤمر بالقتال «صبرا جميلا» أي لا جزع فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24089','chapter_id' => '70','chapter_detail_id' => '5381','translator_id' => '4','verse_number' => '6','translate_name' => '«إنهم يرونه» أي العذاب «بعيدا» غير واقع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24090','chapter_id' => '70','chapter_detail_id' => '5382','translator_id' => '4','verse_number' => '7','translate_name' => '«ونراه قريبا» واقعا لا محالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24091','chapter_id' => '70','chapter_detail_id' => '5383','translator_id' => '4','verse_number' => '8','translate_name' => '«يوم تكون السماء» متعلق بمحذوف تقديره يقع «كالمهل» كذائب الفضة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24092','chapter_id' => '70','chapter_detail_id' => '5384','translator_id' => '4','verse_number' => '9','translate_name' => '«وتكون الجبال كالعهن» كالصوف في الخفة والطيران بالريح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24093','chapter_id' => '70','chapter_detail_id' => '5385','translator_id' => '4','verse_number' => '10','translate_name' => '«ولا يسأل حميم حميما» قريب قريبه لاشتغال كل بحاله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24094','chapter_id' => '70','chapter_detail_id' => '5386','translator_id' => '4','verse_number' => '11','translate_name' => '«يبصرونهم» أي يبصر الأحماء بعضهم بعضا ويتعارفون ولا يتكلمون والجملة مستأنفة «يود المجرم» يتمنى الكافر «لو» بمعنى أن «يفتدي من عذاب يومئذ» بكسر الميم وفتحها «ببنيه».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24095','chapter_id' => '70','chapter_detail_id' => '5387','translator_id' => '4','verse_number' => '12','translate_name' => '«وصاحبته» زوجته «وأخيه».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24096','chapter_id' => '70','chapter_detail_id' => '5388','translator_id' => '4','verse_number' => '13','translate_name' => '«وفصيلته» عشيرته لفصله منها «التي تؤويه» تضمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24097','chapter_id' => '70','chapter_detail_id' => '5389','translator_id' => '4','verse_number' => '14','translate_name' => '«ومن في الأرض جميعا ثم ينجيه» ذلك الافتداء عطف على يفتدي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24098','chapter_id' => '70','chapter_detail_id' => '5390','translator_id' => '4','verse_number' => '15','translate_name' => '«كلا» رد لما يوده «إنها» أي النار «لظى» اسم لجهنم لأنها تتلظى، أي تتلهب على الكفار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24099','chapter_id' => '70','chapter_detail_id' => '5391','translator_id' => '4','verse_number' => '16','translate_name' => '«نزاعة للشوى» جمع شواة وهي جلدة الرأس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24100','chapter_id' => '70','chapter_detail_id' => '5392','translator_id' => '4','verse_number' => '17','translate_name' => '«تدعو من أدبر وتولى» عن الإيمان بأن تقول: إليَّ إليَّ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24101','chapter_id' => '70','chapter_detail_id' => '5393','translator_id' => '4','verse_number' => '18','translate_name' => '«وجمع» المال «فأوعي» أمسكه في وعائه ولم يؤد حق الله منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24102','chapter_id' => '70','chapter_detail_id' => '5394','translator_id' => '4','verse_number' => '19','translate_name' => '«إن الإنسان خلق هلوعا» حال مقدرة وتفسيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24103','chapter_id' => '70','chapter_detail_id' => '5395','translator_id' => '4','verse_number' => '20','translate_name' => '«إذا مسه الشر جزوعا» وقت مس الشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24104','chapter_id' => '70','chapter_detail_id' => '5396','translator_id' => '4','verse_number' => '21','translate_name' => '«وإذا مسه الخير منوعا» وقت مس الخير أي المال لحق الله منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24105','chapter_id' => '70','chapter_detail_id' => '5397','translator_id' => '4','verse_number' => '22','translate_name' => '«إلا المصلين» أي المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24106','chapter_id' => '70','chapter_detail_id' => '5398','translator_id' => '4','verse_number' => '23','translate_name' => '«الذين هم على صلاتهم دائمون» مواظبون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24107','chapter_id' => '70','chapter_detail_id' => '5399','translator_id' => '4','verse_number' => '24','translate_name' => '«والذين في أموالهم حق معلوم» هو الزكاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24108','chapter_id' => '70','chapter_detail_id' => '5400','translator_id' => '4','verse_number' => '25','translate_name' => '«للسائل والمحروم» المتعفف عن السؤال فيحرم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24109','chapter_id' => '70','chapter_detail_id' => '5401','translator_id' => '4','verse_number' => '26','translate_name' => '«والذين يُصدقون بيوم الدين» الجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24110','chapter_id' => '70','chapter_detail_id' => '5402','translator_id' => '4','verse_number' => '27','translate_name' => '«والذين هم من عذاب ربهم مشفقون» خائفون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24111','chapter_id' => '70','chapter_detail_id' => '5403','translator_id' => '4','verse_number' => '28','translate_name' => '«إن عذاب ربهم غير مأمون» نزوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24112','chapter_id' => '70','chapter_detail_id' => '5404','translator_id' => '4','verse_number' => '29','translate_name' => '«والذين هم لفروجهم حافظون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24113','chapter_id' => '70','chapter_detail_id' => '5405','translator_id' => '4','verse_number' => '30','translate_name' => '«إلا على أزواجهم أو ما ملكت أيمانهم» من الإماء «فإنهم غير ملومين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24114','chapter_id' => '70','chapter_detail_id' => '5406','translator_id' => '4','verse_number' => '31','translate_name' => '«فمن ابتغى وراء ذلك فأولئك هم العادون» المتجاوزون الحلال إلى الحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24115','chapter_id' => '70','chapter_detail_id' => '5407','translator_id' => '4','verse_number' => '32','translate_name' => '«والذين هم لأماناتهم» وفي قراءة بالإفراد: ما ائْتُمِنوا عليه من أمر الدين والدنيا «وعهدهم» المأخوذ عليهم في ذلك «راعون» حافظون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24116','chapter_id' => '70','chapter_detail_id' => '5408','translator_id' => '4','verse_number' => '33','translate_name' => '«والذين هم بشهادتهم» وفي قراءة بالجمع «قائمون» يقيمونها ولا يكتمونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24117','chapter_id' => '70','chapter_detail_id' => '5409','translator_id' => '4','verse_number' => '34','translate_name' => '«والذين هم على صلاتهم يحافظون» بأدائها في أوقاتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24118','chapter_id' => '70','chapter_detail_id' => '5410','translator_id' => '4','verse_number' => '35','translate_name' => '«أولئك في جنات مكرمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24119','chapter_id' => '70','chapter_detail_id' => '5411','translator_id' => '4','verse_number' => '36','translate_name' => '«فمال الذين كفروا قبلك» نحوك «مهطعين» حال، أي مديمي النظر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24120','chapter_id' => '70','chapter_detail_id' => '5412','translator_id' => '4','verse_number' => '37','translate_name' => '«عن اليمين وعن الشمال» منك «عزين» حال أيضا، أي جماعات حلقا حلقا، يقولون استهزاء بالمؤمنين: لئن دخل هؤلاء الجنة لندخلنها قبلهم قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24121','chapter_id' => '70','chapter_detail_id' => '5413','translator_id' => '4','verse_number' => '38','translate_name' => '«أيطمع كل امرىءٍ منهم أن يدخل جنة نعيم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24122','chapter_id' => '70','chapter_detail_id' => '5414','translator_id' => '4','verse_number' => '39','translate_name' => '«كلا» ردع لهم عن طمعهم في الجنة «إنا خلقناهم» كغيرهم «مما يعلمون» من نطف فلا يطمع بذلك في الجنة وإنما يطمع فيها بالتقوى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24123','chapter_id' => '70','chapter_detail_id' => '5415','translator_id' => '4','verse_number' => '40','translate_name' => '«فلا» لا زائدة «أقسم برب المشارق والمغارب» للشمس والقمر وسائر الكواكب «إنا لقادرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24124','chapter_id' => '70','chapter_detail_id' => '5416','translator_id' => '4','verse_number' => '41','translate_name' => '«على أن نبدل» نأتي بدلهم «خيرا منهم وما نحن بمسبوقين» بعاجزين عن ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24125','chapter_id' => '70','chapter_detail_id' => '5417','translator_id' => '4','verse_number' => '42','translate_name' => '«فذرهم» اتركهم «يخوضوا» في باطلهم «ويلعبوا» في دنياهم «حتى يلاقوا» يلقوا «يومهم الذي يوعدون» فيه العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24126','chapter_id' => '70','chapter_detail_id' => '5418','translator_id' => '4','verse_number' => '43','translate_name' => '«يوم يخرجون من الأجداث» القبور «سراعا» إلى المحشر «كأنهم إلى نَصْبِ» وفي قراءة بضم الحرفين، شيء منصوب كعلم أو راية «يوفضون» يسرعون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24127','chapter_id' => '70','chapter_detail_id' => '5419','translator_id' => '4','verse_number' => '44','translate_name' => '«خاشعة» ذليلة «أبصارهم ترهقهم» تغشاهم «ذلة ذلك اليوم الذي كانوا يوعدون» ذلك مبتدأ وما بعده الخبر ومعناه يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24128','chapter_id' => '71','chapter_detail_id' => '5420','translator_id' => '4','verse_number' => '1','translate_name' => '«إنا أرسلنا نوحا إلى قومه أَن أَنذر» أي بإنذار «قومك من قبل أن يأتيهم» إن لم يؤمنوا «عذاب أَليم» مؤلم في الدنيا والآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24129','chapter_id' => '71','chapter_detail_id' => '5421','translator_id' => '4','verse_number' => '2','translate_name' => '«قال يا قوم إني لكم نذير مبين» بيِّن الإنذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24130','chapter_id' => '71','chapter_detail_id' => '5422','translator_id' => '4','verse_number' => '3','translate_name' => '«أن» أي بأن أقول لكم «اعبدوا الله واتقوه وأطيعون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24131','chapter_id' => '71','chapter_detail_id' => '5423','translator_id' => '4','verse_number' => '4','translate_name' => '«يغفر لكم من ذنوبكم» من زائدة فإن الإسلام يغفر به ما قبله، أو تبعيضية لإخراج حقوق العباد «ويؤخركم» بلا عذاب «إلى أجل مسمى» أجل الموت «إن أجل الله» بعذابكم إن لم تؤمنوا «إذا جاء لا يؤخر لو كنتم تعلمون» ذلك لآمنتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24132','chapter_id' => '71','chapter_detail_id' => '5424','translator_id' => '4','verse_number' => '5','translate_name' => '«قال رب إني دعوت قومي ليلا ونهارا» أي دائما متصلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24133','chapter_id' => '71','chapter_detail_id' => '5425','translator_id' => '4','verse_number' => '6','translate_name' => '«فلم يزدهم دعائي إلا فرارا» عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24134','chapter_id' => '71','chapter_detail_id' => '5426','translator_id' => '4','verse_number' => '7','translate_name' => '«وإني كلما دعوتهم لتغفر لهم جعلوا أصابعهم في آذانهم» لئلا يسمعوا كلامي «واستغشوا ثيابهم» غطوا رؤوسهم بها لئلا ينظروني «وأصروا» على كفرهم «واستكبروا» تكبروا عن الإيمان «استكبارا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24135','chapter_id' => '71','chapter_detail_id' => '5427','translator_id' => '4','verse_number' => '8','translate_name' => '«ثم إني دعوتهم جهارا» أي بأعلى صوتي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24136','chapter_id' => '71','chapter_detail_id' => '5428','translator_id' => '4','verse_number' => '9','translate_name' => '«ثم إني أَعلنت لهم» صوتي «وأسررت» الكلام «لهم إسرارا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24137','chapter_id' => '71','chapter_detail_id' => '5429','translator_id' => '4','verse_number' => '10','translate_name' => '«فقلت استغفروا ربكم» من الشرك «إنه كان غفارا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24138','chapter_id' => '71','chapter_detail_id' => '5430','translator_id' => '4','verse_number' => '11','translate_name' => '«يرسل السماء» المطر وكانوا قد منعوه «عليكم مدرارا» كثير الدرور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24139','chapter_id' => '71','chapter_detail_id' => '5431','translator_id' => '4','verse_number' => '12','translate_name' => '«ويمددكم بأموال وبنين ويجعل لكم جنات» بساتين «ويجعل لكم أنهارا» جارية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24140','chapter_id' => '71','chapter_detail_id' => '5432','translator_id' => '4','verse_number' => '13','translate_name' => '«ما لكم لا ترجون لله وقارا» أي تأملون وقار الله إياكم بأن تؤمنوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24141','chapter_id' => '71','chapter_detail_id' => '5433','translator_id' => '4','verse_number' => '14','translate_name' => '«وقد خلقكم أطوارا» جمع طور وهو الحال، فطورا نطفة وطورا علقة إلى تمام خلق الإنسان، والنظر في خلقه يوجب الإيمان بخالقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24142','chapter_id' => '71','chapter_detail_id' => '5434','translator_id' => '4','verse_number' => '15','translate_name' => '«ألم تروا» تنظروا «كيف خلق الله سبع سماوات طباقا» بعضها فوق بعض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24143','chapter_id' => '71','chapter_detail_id' => '5435','translator_id' => '4','verse_number' => '16','translate_name' => '«وجعل القمر فيهن» أي في مجموعهن الصادق بالسماء الدنيا «نورا وجعل الشمس سراجا» مصباحا مضيئا وهو أقوي من نور القمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24144','chapter_id' => '71','chapter_detail_id' => '5436','translator_id' => '4','verse_number' => '17','translate_name' => '«والله أَنبتكم» خلقكم «من الأرض» إذ خلق أباكم آدم منها «نباتا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24145','chapter_id' => '71','chapter_detail_id' => '5437','translator_id' => '4','verse_number' => '18','translate_name' => '«ثم يعيدكم فيها» مقبورين «ويخرجكم» للبعث «إخراجا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24146','chapter_id' => '71','chapter_detail_id' => '5438','translator_id' => '4','verse_number' => '19','translate_name' => '«والله جعل لكم الأرض بساطا» مبسوطة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24147','chapter_id' => '71','chapter_detail_id' => '5439','translator_id' => '4','verse_number' => '20','translate_name' => '«لتسلكوا منها سبلا» طرقا «فجاجا» واسعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24148','chapter_id' => '71','chapter_detail_id' => '5440','translator_id' => '4','verse_number' => '21','translate_name' => '«قال نوح رب إنهم عصوني واتبعوا» أي السفلة والفقراء «من لم يزده ماله وَوُلْدُهُ» وهم الرؤساء المنعم عليهم بذلك، وولد بضم الواو وسكون اللام وبفتحهما، والأول قيل جمع ولد بفتحهما كخشب وخشب وقيل بمعناه كبخل وبخل «إلا خسارا» طغيانا وكفرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24149','chapter_id' => '71','chapter_detail_id' => '5441','translator_id' => '4','verse_number' => '22','translate_name' => '«ومكروا» أي الرؤساء «مكرا كبَّارا» عظيما جدا بأن كذبوا نوحا وآذوه ومن اتبعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24150','chapter_id' => '71','chapter_detail_id' => '5442','translator_id' => '4','verse_number' => '23','translate_name' => '«وقالوا» للسفلة «لا تَذَرُنَّ آلهتكم ولا تذرن ودا» بفتح الواو وضمها «ولا سواعا ولا يغوث ويعوق ونسرا» هي أسماء أصنامهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24151','chapter_id' => '71','chapter_detail_id' => '5443','translator_id' => '4','verse_number' => '24','translate_name' => '«وقد أضلوا» بها «كثيرا» من الناس بأن أمروهم بعبادتهم «ولا تزد الظالمين إلا ضلالا» عطفا على قد أضلوا دعا عليهم لما أوحي إليه أنه لن يؤمن من قومك إلا من قد آمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24152','chapter_id' => '71','chapter_detail_id' => '5444','translator_id' => '4','verse_number' => '25','translate_name' => '«مما» ما صلة «خطاياهم» وفي قراءة خطيئآتهم بالهمز «أُغرقوا» بالطوفان «فأُدْخِلوا نارا» عوقبوا بها عقب الإغراق تحت الماء «فلم يجدوا لهم من دون» أي غير «الله أنصارا» يمنعون عنهم العذاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24153','chapter_id' => '71','chapter_detail_id' => '5445','translator_id' => '4','verse_number' => '26','translate_name' => '«وقال نوح رب لا تذر على الأرض من الكافرين ديَّارا» أي نازل دار، والمعنى أحدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24154','chapter_id' => '71','chapter_detail_id' => '5446','translator_id' => '4','verse_number' => '27','translate_name' => '«إنك إن تذرهم يُضلوا عبادك ولا يلدوا إلا فاجرا كفارا» من يفجر ويكفر، قال ذلك لما تقدم من الإيحاء إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24155','chapter_id' => '71','chapter_detail_id' => '5447','translator_id' => '4','verse_number' => '28','translate_name' => '«رب اغفر لي ولوالديَّ» وكانا مؤمنين «ولمن دخل بيتي» منزلي أو مسجدي «مؤمنا وللمؤمنين والمؤمنات» إلى يوم القيامة «ولا تزد الظالمين إلا تبارا» هلاكا فأهلكوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24156','chapter_id' => '72','chapter_detail_id' => '5448','translator_id' => '4','verse_number' => '1','translate_name' => '«قل» يا محمد للناس «أُحي إليَّ» أي أخبرت بالوحي من الله تعالى «أنه» الضمير للشأن «استمع» لقراءتي «نفر من الجن» جن نصيبين وذلك في صلاة الصبح ببطن نخل، موضوع بين مكة والطائف، وهم الذين ذكروا في قوله تعالى (وإذ صرفنا إليك نفرا من الجن) الآية «فقالوا» لقومهم لما رجعوا إليهم «إنا سمعنا قرآنا عجب» يتعجب منه في فصاحته وغزارة معانيه وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24157','chapter_id' => '72','chapter_detail_id' => '5449','translator_id' => '4','verse_number' => '2','translate_name' => '«يهدي إلى الرشد» الإيمان والصواب «فآمنا به ولن نشرك» بعد اليوم «بربنا أحدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24158','chapter_id' => '72','chapter_detail_id' => '5450','translator_id' => '4','verse_number' => '3','translate_name' => '«وأنه» الضمير للشأن فيه وفي الموضعين بعده «تعالى جد ربنا» تنزه جلاله وعظمته عما نُسب إليه «ما اتخذ صاحبة» زوجة «ولا ولدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24159','chapter_id' => '72','chapter_detail_id' => '5451','translator_id' => '4','verse_number' => '4','translate_name' => '«وأنه كان يقول سفيهنا» جاهلنا «على الله شططا» غلوا في الكذب بوصفه بالصاحبة والولد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24160','chapter_id' => '72','chapter_detail_id' => '5452','translator_id' => '4','verse_number' => '5','translate_name' => '«وأنا ظننا أن» مخففة، أي أنه «لن تقول الإنس والجن على الله كذبا» بوصفه بذلك حتى تبينا كذبهم بذلك قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24161','chapter_id' => '72','chapter_detail_id' => '5453','translator_id' => '4','verse_number' => '6','translate_name' => '«وأنه كان رجال من الإنس يعوذون» يستعيذون «برجال من الجن» حين ينزلون في سفرهم بمخوف فيقول كل رجل أعوذ بسيد هذا المكان من شر سفهائه «فزادوهم» بعوذهم بهم «رهقا» فقالوا سدنا الجن والإنس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24162','chapter_id' => '72','chapter_detail_id' => '5454','translator_id' => '4','verse_number' => '7','translate_name' => '«وأنهم» أي الجن «ظنوا كما ظننتم» يا إنس «أن» مخففة من الثقيلة، أي أنه «لن يبعث الله أحدا» بعد موته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24163','chapter_id' => '72','chapter_detail_id' => '5455','translator_id' => '4','verse_number' => '8','translate_name' => 'قال الجن «وأنا لمسنا السماء» رمنا استراق السمع «فوجدناها ملئت حرسا» من الملائكة «شديدا وشهبا» نجوما محرقة وذلك لما بعث النبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24164','chapter_id' => '72','chapter_detail_id' => '5456','translator_id' => '4','verse_number' => '9','translate_name' => '«وأنا كنا» أي قبل مبعثه «نقعد منها مقاعد للسمع» أي نستمع «فمن يستمع الآن يجد له شهابا رصدا» أرصد له ليرمى به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24165','chapter_id' => '72','chapter_detail_id' => '5457','translator_id' => '4','verse_number' => '10','translate_name' => '«وأنا لا ندري أشر أُريد» بعد استراق السمع «بمن في الأرض أم أراد بهم ربهم رشدا» خيرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24166','chapter_id' => '72','chapter_detail_id' => '5458','translator_id' => '4','verse_number' => '11','translate_name' => '«وأنا منا الصالحون» بعد استماع القرآن «ومنا دون ذلك» أي قوم غير صالحين «كنا طرائق قددا» فرقا مختلفين مسلمين وكافرين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24167','chapter_id' => '72','chapter_detail_id' => '5459','translator_id' => '4','verse_number' => '12','translate_name' => '«وأنا ظننا أن» مخففة من الثقيلة أي أنه «لن نعجز الله في الأرض ولن نعجزه هربا» لا نفوته كائنين في الأرض أو هاربين منها في السماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24168','chapter_id' => '72','chapter_detail_id' => '5460','translator_id' => '4','verse_number' => '13','translate_name' => '«وأنا لما سمعنا الهدى» القرآن «آمنا به فمن يؤمن بربه فلا يخاف» بتقدير هو «بخسا» نقصا من حسناته «ولا رهقا» ظلما بالزيادة في سيئاته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24169','chapter_id' => '72','chapter_detail_id' => '5461','translator_id' => '4','verse_number' => '14','translate_name' => '«وأنا منا المسلمون ومنا القاسطون» الجائرون بكفرهم «فمن أسلم فأولئك تحروْا رشدا» قصدوا هداية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24170','chapter_id' => '72','chapter_detail_id' => '5462','translator_id' => '4','verse_number' => '15','translate_name' => '«وأما القاسطون فكانوا لجهنم حطبا» وقودا وأنا وأنهم وأنه في اثني عشر موضعا هي وأنه تعالى وأنا منا المسلمون وما بينهما بكسر الهمزة استئنافا وبفتحها بما يوجه به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24171','chapter_id' => '72','chapter_detail_id' => '5463','translator_id' => '4','verse_number' => '16','translate_name' => 'قال تعالى في كفار مكة «وأنْ» مخففة من الثقيلة واسمها محذوف، أي وأنهم وهو معطوف على أنه استمع «لو استقاموا على الطريقة» أي طريقة الإسلام «لأسقيناهم ماء غدقا» كثيرا من السماء وذلك بعد ما رفع المطر عنهم سبع سنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24172','chapter_id' => '72','chapter_detail_id' => '5464','translator_id' => '4','verse_number' => '17','translate_name' => '«لنفتنهم» لنختبرهم «فيه» فنعلم كيف شكرهم علم ظهور «ومن يعرض عن ذكر ربه» القرآن «نسلكه» بالنون والياء ندخله «عذابا صعدا» شاقا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24173','chapter_id' => '72','chapter_detail_id' => '5465','translator_id' => '4','verse_number' => '18','translate_name' => '«وأن المساجد» مواضع الصلاة «لله فلا تدعوا» فيها «مع الله أحدا» بأن تشركوا كما كانت اليهود والنصارى إذا دخلوا كنائسهم وبيعهم أشركوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24174','chapter_id' => '72','chapter_detail_id' => '5466','translator_id' => '4','verse_number' => '19','translate_name' => '«وأنه» بالفتح والكسر استئنافا والضمير للشأن «لما قام عبد الله» محمد النبي صلى الله عليه وسلم «يدعوه» يعبده ببطن نخل «كادوا» أي الجن المستمعون لقراءته «يكونون عليه لبدا» بكسر اللام وضمها جمع لبدة كاللبد في ركوب بعضهم بعضا ازدحاما حرصا على سماع القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24175','chapter_id' => '72','chapter_detail_id' => '5467','translator_id' => '4','verse_number' => '20','translate_name' => '«قال» مجيبا للكفار في قولهم ارجع عما أنت فيه وفي قراءة قل «إنما أدعو ربي» إلها «ولا أشرك به أحدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24176','chapter_id' => '72','chapter_detail_id' => '5468','translator_id' => '4','verse_number' => '21','translate_name' => '«قل إني لا أملك لكم ضرا» غيا «ولا رشدا» خيرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24177','chapter_id' => '72','chapter_detail_id' => '5469','translator_id' => '4','verse_number' => '22','translate_name' => '«قل إني لن يجيرني من الله» من عذابه إن عصيته «أحد ولن أجد من دونه» أي غيره «ملتحدا» ملتجأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24178','chapter_id' => '72','chapter_detail_id' => '5470','translator_id' => '4','verse_number' => '23','translate_name' => '«إلا بلاغا» استثناء من مفعول أملك، أي لا أملك لكم إلا البلاغ إليكم «من الله» أي عنه «ورسالاته» عطف على بلاغا وما بين المستثنى منه والاستثناء اعتراض لتأكيد نفي الاستطاعة «ومن يعص الله رسوله» في التوحيد فلم يؤمن «فإن له نار جهنم خالدين» حال من ضمير من في له رعاية في معناها وهي حال مقدرة والمعنى يدخلونها مقدار خلودهم «فيها أبدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24179','chapter_id' => '72','chapter_detail_id' => '5471','translator_id' => '4','verse_number' => '24','translate_name' => '«حتى إذا رأوْا» إبتدائية فيها معنى الغاية لمقدر قبلها أي لا يزالون على كفرهم إلى أن يروا «ما يوعدون» به من العذاب «فسيعلمون» عند حلوله بهم يوم بدر أو يوم القيامة «من أضعف ناصرا وأقل عددا» أعوانا أهم أم المؤمنون على القول الأول أو أنا أم هم على الثاني فقال بعضهم متى هذا الوعد؟ فنزل:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24180','chapter_id' => '72','chapter_detail_id' => '5472','translator_id' => '4','verse_number' => '25','translate_name' => '«قل إن» أي ما «أدري أقريب ما توعدون»؟ من العذاب «أم يجعل له ربي أمدا» غاية وأجلا لا يعلمه إلا هو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24181','chapter_id' => '72','chapter_detail_id' => '5473','translator_id' => '4','verse_number' => '26','translate_name' => '«عالم الغيب» ما غاب عن العباد «فلا يظهر» يطلع «على غيبه أحدا» من الناس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24182','chapter_id' => '72','chapter_detail_id' => '5474','translator_id' => '4','verse_number' => '27','translate_name' => '«إلا من ارتضى من رسول فإنه» مع إطلاعه على ما شاء منه معجزة له «يسلك» يجعل ويسير «من بين يديه» أي الرسول «ومن خلفه رصدا» ملائكة يحفظونه حتى يبلغه في جملة الوحي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24183','chapter_id' => '72','chapter_detail_id' => '5475','translator_id' => '4','verse_number' => '28','translate_name' => '«ليعلم» الله علم ظهور «أن» مخففة من الثقيلة أي أنه «قد أبلغوا» أي الرسل «رسالات ربهم» روعي بجمع الضمير معنى من «وأحاط بما لديهم» عطف على مقدر، أي فعلم ذلك «وأحصى كل شيء عددا» تمييز وهو محول من المفعول والأصل أحصى عدد كل شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24184','chapter_id' => '73','chapter_detail_id' => '5476','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها المزمل» النبي وأصله المتزمل أُدغمت التاء في الزاي، أي المتلفف بثيابه حين مجيء الوحي له خوفا من لهيبته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24185','chapter_id' => '73','chapter_detail_id' => '5477','translator_id' => '4','verse_number' => '2','translate_name' => '«قم الليل» صل «إلا قليلا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24186','chapter_id' => '73','chapter_detail_id' => '5478','translator_id' => '4','verse_number' => '3','translate_name' => '«نصفه» بدل من قليلا وقلَّته بالنظر إلى الكل «أو انقص منه» من النصف «قليلا» إلى الثلث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24187','chapter_id' => '73','chapter_detail_id' => '5479','translator_id' => '4','verse_number' => '4','translate_name' => '«أو زد عليه» إلى الثلثين وأو للتخيير «ورتل القرآن» تثبت في تلاوته «ترتيلا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24188','chapter_id' => '73','chapter_detail_id' => '5480','translator_id' => '4','verse_number' => '5','translate_name' => '«إنا سنلقي عليك قولا» قرآنا «ثقيلا» مهيبا أو شديدا لما فيه من التكاليف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24189','chapter_id' => '73','chapter_detail_id' => '5481','translator_id' => '4','verse_number' => '6','translate_name' => '«إن ناشئة الليل» القيام بعد النوم «هي اشد وطئا» موافقة السمع للقلب على تفهم القرآن «وأقوم قليلا» أبين قولا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24190','chapter_id' => '73','chapter_detail_id' => '5482','translator_id' => '4','verse_number' => '7','translate_name' => '«إن لك في النهار سبحا طويلا» تصرفا في إشغالك لا تفرغ فيه لتلاوة القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24191','chapter_id' => '73','chapter_detail_id' => '5483','translator_id' => '4','verse_number' => '8','translate_name' => '«واذكر اسم ربك» أي قل بسم الله الرحمن الرحيم في ابتداء قراءتك «وتبتل» انقطع «إليه تبتيلا» مصدر بتلَ جيء به رعاية للفواصل وهو ملزوم التبتل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24192','chapter_id' => '73','chapter_detail_id' => '5484','translator_id' => '4','verse_number' => '9','translate_name' => 'هو «ربُّ المشرق والمغرب لا إله إلا هو فاتخذه وكيلا» موكلا له أمورك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24193','chapter_id' => '73','chapter_detail_id' => '5485','translator_id' => '4','verse_number' => '10','translate_name' => '«واصبر على ما يقولون» أي كفار مكة من أذاهم «واهجرهم هجرا جميلا» لا جزع فيه وهذا قبل الأمر بقتالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24194','chapter_id' => '73','chapter_detail_id' => '5486','translator_id' => '4','verse_number' => '11','translate_name' => '«وذرني» اتركني «والمكذبين» عطف على المفعول معه والمعنى أنا كافيكهم وهم صناديد قريش «أُولي النعمة» التنعم «ومهلهم قليلا» من الزمن فقتلوا بعد يسير منه ببدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24195','chapter_id' => '73','chapter_detail_id' => '5487','translator_id' => '4','verse_number' => '12','translate_name' => '«إن لدينا أنكالا» قيودا ثقالا جمع نكل بكسر النون «وجحيما» نارا محرقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24196','chapter_id' => '73','chapter_detail_id' => '5488','translator_id' => '4','verse_number' => '13','translate_name' => '«وطعاما ذا غصة» يغص به في الحلق وهو الزقوم أو الضريع أو الغسلين أو شوك من نار لا يخرج ولا ينزل «وعذابا أليما» مؤلما زيادة على ما ذكر لمن كذب النبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24197','chapter_id' => '73','chapter_detail_id' => '5489','translator_id' => '4','verse_number' => '14','translate_name' => '«يوم ترجف» تزلزل «الأرض والجبال وكانت الجبال كثيبا» رملا مجتمعا «مهيلا» سائلا بعد اجتماعه وهو من هال يهيل وأصله مهيول استثقلت الضمة على الياء فنقلت إلى هاء وحذفت الواو ثاني الساكنين لزيادتها وقلبت الضمة كسرة لمجانسة الياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24198','chapter_id' => '73','chapter_detail_id' => '5490','translator_id' => '4','verse_number' => '15','translate_name' => '«إنا أرسلنا إليكم» يا أهل مكة «رسولا» هو محمد صلى الله عليه وسلم «شاهدا عليكم» يوم القيامة بما يصدر منكم من العصيان «كما أرسلنا إلى فرعون رسولا» هو موسى عليه الصلاة والسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24199','chapter_id' => '73','chapter_detail_id' => '5491','translator_id' => '4','verse_number' => '16','translate_name' => '«فعصى فرعون الرسول فأخذناه أخذا وبيلا» شديدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24200','chapter_id' => '73','chapter_detail_id' => '5492','translator_id' => '4','verse_number' => '17','translate_name' => '«فكيف تتقون إن كفرتم» في الدنيا «يوما» مفعول تتقون، أي عذابه بأيِّ حصن تتحصنون من عذاب يوم «يَجعل الولدان شيباً» جمع أشيب لشدة هوله وهو يوم القيامة والأصل في شين شيبا الضم وكسرت لمجانسة الياء ويقال في اليوم الشديد يوم يشيب نواصي الأطفال وهو مجاز ويجوز أن يكون المراد في الآية الحقيقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24201','chapter_id' => '73','chapter_detail_id' => '5493','translator_id' => '4','verse_number' => '18','translate_name' => '«السماء منفطر» ذات انفطار، أي انشقاق «به» بذلك اليوم لشدته «كان وعده» تعالى بمجيء ذلك «مفعولا» أي هو كائن لا محالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24202','chapter_id' => '73','chapter_detail_id' => '5494','translator_id' => '4','verse_number' => '19','translate_name' => '«إن هذه» الآيات المخوِّفة «تذكرة» عظة للخلق «فمن شاء اتخذ إلى ربه سبيلا» طريقا بالإيمان والطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24203','chapter_id' => '73','chapter_detail_id' => '5495','translator_id' => '4','verse_number' => '20','translate_name' => '«إن ربك يعلم أنك تقوم أَدنى» أقل «من ثلثي الليل ونصفِه وثلثِه» بالجر عطف على ثلثي وبالنصب على أدنى وقيامه كذلك نحو ما أمر به أول السورة «وطائفة من الذين معك» عطف على ضمير تقوم وجاز من غير تأكيد للفصل وقيام طائفة من أصحابه كذلك للتأسي به ومنهم من كان لا يدري كم صلّى من الليل وكم بقي منه فكان يقوم الليل كله احتياطا فقاموا حتى انتفخت أقدامهم سنة أو أكثر فخفف عنهم قال تعالى: «والله يقدر» يحصي «الليل والنهار علم أن» مخففة من الثقيلة واسمها محذوف، أي أنه «لن تحصوه» أي الليل لتقوموا فيما يجب القيام فيه إلا بقيام جميعه وذلك يشق عليكم «فتاب عليكم» رجع بكم إلى التخفيف «فاقرؤوا ما تيسر من القرآن» في الصلاة بأن تصلوا ما تيسر «علم أن» مخففة من الثقيلة، أي أنه «سيكون منكم مرضى وآخرون يضربون في الأرض» يسافرون «يبتغون من فضل الله» يطلبون من رزقه بالتجارة وغيرها «وآخرون يقاتلون في سبيل الله» وكل من الفرق الثلاثة يشق عليهم ما ذكر في قيام الليل فخفف عنهم بقيام ما تيسر منه ثم نسخ ذلك بالصلوات الخمس «فاقرؤوا ما تيسر منه» كما تقدم «وأقيموا الصلاة» المفروضة «وآتوا الزكاة وأقرضوا الله» بأن تنفقوا ما سوى المفروض من المال في سبيل الخير «قرضا حسنا» عن طيب قلب «وما تقدموا لأنفسكم من خير تجدوه عند الله هو خيرا» مما خلفتم وهو فصل وما بعده وإن لم يكن معرفة يشبهها لامتناعه من التعريف «وأعظم أجرا واستغفروا الله إن الله غفور رحيم» للمؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24204','chapter_id' => '74','chapter_detail_id' => '5496','translator_id' => '4','verse_number' => '1','translate_name' => '«يا أيها المدثر» النبي صلى الله عليه وسلم وأصله المتدثر أدغمت التاء في الدال، أي المتلفف بثيابه عند نزول الوحي عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24205','chapter_id' => '74','chapter_detail_id' => '5497','translator_id' => '4','verse_number' => '2','translate_name' => '«قم فأنذر» خوِّف أهل مكة النار إن لم يؤمنوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24206','chapter_id' => '74','chapter_detail_id' => '5498','translator_id' => '4','verse_number' => '3','translate_name' => '«وربك فكبر» عظِّم عن إشراك المشركين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24207','chapter_id' => '74','chapter_detail_id' => '5499','translator_id' => '4','verse_number' => '4','translate_name' => '«وثيابك فطهر» عن النجاسة أو قصرها خلاف جر العرب ثيابهم خيلاء فربما أصابتها نجاسة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24208','chapter_id' => '74','chapter_detail_id' => '5500','translator_id' => '4','verse_number' => '5','translate_name' => '«والرُّجز» فسره النبي صلى الله عليه وسلم بالأوثان «فاهجر» أي دم على هجره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24209','chapter_id' => '74','chapter_detail_id' => '5501','translator_id' => '4','verse_number' => '6','translate_name' => '«ولا تمنن تستكثر» بالرفع حال، أي لا تعط شيئا لتطلب أكثر منه وهذا خاص به صلى الله عليه وسلم لأنه مأمور بأجمل الأخلاق وأشرف الآداب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24210','chapter_id' => '74','chapter_detail_id' => '5502','translator_id' => '4','verse_number' => '7','translate_name' => '«ولربك فاصبر» على الأوامر والنواهي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24211','chapter_id' => '74','chapter_detail_id' => '5503','translator_id' => '4','verse_number' => '8','translate_name' => '«فإذا نقر في الناقور» نفخ في الصور وهو القرن النفخة الثانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24212','chapter_id' => '74','chapter_detail_id' => '5504','translator_id' => '4','verse_number' => '9','translate_name' => '«فذلك» أي وقت النقر «يومئذ» بدل مما قبله المبتدأ وبني لإضافته إلى غير متمكن وخبر المبتدأ «يوم عسير» والعامل في إذا ما دلت عليه الجملة اشتد الأمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24213','chapter_id' => '74','chapter_detail_id' => '5505','translator_id' => '4','verse_number' => '10','translate_name' => '«على الكافرين غير يسير» فيه دلالة على أنه يسير على المؤمنين في عسره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24214','chapter_id' => '74','chapter_detail_id' => '5506','translator_id' => '4','verse_number' => '11','translate_name' => '«ذرني» اتركني «ومن خلقت» عطف على المفعول أو مفعول معه «وحيدا» حال من مَن أو من ضميره المحذوف من خلقت منفردا بلا أهل ولا مال هو الوليد بن المغيرة المخزومي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24215','chapter_id' => '74','chapter_detail_id' => '5507','translator_id' => '4','verse_number' => '12','translate_name' => '«وجعلت له مالا ممدودا» واسعا متصلا من الزروع والضروع والتجارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24216','chapter_id' => '74','chapter_detail_id' => '5508','translator_id' => '4','verse_number' => '13','translate_name' => '«وبنين» عشرة أو أكثر «شهودا» يشهدون المحافل وتسمع شهاداتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24217','chapter_id' => '74','chapter_detail_id' => '5509','translator_id' => '4','verse_number' => '14','translate_name' => '«ومهدت» بسطت «له» في العيش والعمر والولد «تمهيدا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24218','chapter_id' => '74','chapter_detail_id' => '5510','translator_id' => '4','verse_number' => '15','translate_name' => '«ثم يطمع أن أزيد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24219','chapter_id' => '74','chapter_detail_id' => '5511','translator_id' => '4','verse_number' => '16','translate_name' => '«كلا» لا أزيده على ذلك «إنه كان لآياتنا» القرآن «عنيدا» معاندا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24220','chapter_id' => '74','chapter_detail_id' => '5512','translator_id' => '4','verse_number' => '17','translate_name' => '«سأرهقه» أكلفه «صعودا» مشقة من العذاب أو جبلا من نار يصعد فيه ثم يهوي أبدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24221','chapter_id' => '74','chapter_detail_id' => '5513','translator_id' => '4','verse_number' => '18','translate_name' => '«إنه فكر» فيما يقول في القرآن الذي سمعه النبي صلى الله عليه وسلم «وقدر» في نفسه ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24222','chapter_id' => '74','chapter_detail_id' => '5514','translator_id' => '4','verse_number' => '19','translate_name' => '«فقتل» لعن وعذب «كيف قدر» على أي حال كان تقديره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24223','chapter_id' => '74','chapter_detail_id' => '5515','translator_id' => '4','verse_number' => '20','translate_name' => '«ثم قتل كيف قدر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24224','chapter_id' => '74','chapter_detail_id' => '5516','translator_id' => '4','verse_number' => '21','translate_name' => '«ثم نظر» في وجوه قومه أو فيما يقدح به فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24225','chapter_id' => '74','chapter_detail_id' => '5517','translator_id' => '4','verse_number' => '22','translate_name' => '«ثم عبس» قبض وجهه وكلحه ضيقا بما يقول «وبسر» زاد في القبض والكلوح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24226','chapter_id' => '74','chapter_detail_id' => '5518','translator_id' => '4','verse_number' => '23','translate_name' => '«ثم أدبر» عن الإيمان «واستكبر» تكبر عن اتباع النبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24227','chapter_id' => '74','chapter_detail_id' => '5519','translator_id' => '4','verse_number' => '24','translate_name' => '«فقال» فيما جاء به «إن» ما «هذا إلا سحر يؤثر» ينقل عن السحرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24228','chapter_id' => '74','chapter_detail_id' => '5520','translator_id' => '4','verse_number' => '25','translate_name' => 'ما «إن هذا إلا قول البشر» كما قالوا إنما يعلمه بشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24229','chapter_id' => '74','chapter_detail_id' => '5521','translator_id' => '4','verse_number' => '26','translate_name' => '«سأصليه» أُدخله «سقر» جهنم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24230','chapter_id' => '74','chapter_detail_id' => '5522','translator_id' => '4','verse_number' => '27','translate_name' => '«وما أدراك ما سقر» تعظيم شأنها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24231','chapter_id' => '74','chapter_detail_id' => '5523','translator_id' => '4','verse_number' => '28','translate_name' => '«لا تبقي ولا تذر» شيئا من لحم ولا عصب إلا أهلكته ثم يعود كما كان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24232','chapter_id' => '74','chapter_detail_id' => '5524','translator_id' => '4','verse_number' => '29','translate_name' => '«لواحة للبشر» محرقة لظاهر الجلد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24233','chapter_id' => '74','chapter_detail_id' => '5525','translator_id' => '4','verse_number' => '30','translate_name' => '«عليها تسعة عشر» ملكا خزنتها قال بعض الكفار وكان قويا شديد البأس أنا أكفيكم سبعة عشر واكفوني أنتم اثنين قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24234','chapter_id' => '74','chapter_detail_id' => '5526','translator_id' => '4','verse_number' => '31','translate_name' => '«وما جعلنا أصحاب النار إلا ملائكة» أي فلا يطاقون كما يتوهمون «وما جعلنا عدتهم» ذلك «إلا فتنة» ضلالا «للذين كفروا» بأن يقولوا لم كانوا تسعة عشر «ليستيقن» ليستبين «الذين أوتوا الكتاب» أي اليهود صدق النبي صلى الله عليه وسلم في كونهم تسعة عشر الموافق لما في كتابهم «ويزداد الذين آمنوا» من أهل الكتاب «إيمانا» تصديقا لموافقته ما أتي به النبي صلى الله عليه وسلم لما في كتابهم «ولا يرتاب الذين أُوتوا الكتاب والمؤمنون» من غيرهم في عدد الملائكة «وليقول الذين في قلوبهم مرض» شك بالمدينة «والكافرون» بمكة «ماذا أراد الله بهذا» العدد «مثلا» سموه لغرابته بذلك وأعرب حالا «كذلك» أي مثل إضلال منكر هذا العدد وهدى مصدقه «يضل الله من يشاء ويهدي من يشاء وما يعلم جنود ربك» أي الملائكة في قوتهم وأعوانهم «إلا هو وما هي» أي سقر «إلا ذكرى للبشر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24235','chapter_id' => '74','chapter_detail_id' => '5527','translator_id' => '4','verse_number' => '32','translate_name' => '«كلا» استفتاح بمعنى ألا «والقمر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24236','chapter_id' => '74','chapter_detail_id' => '5528','translator_id' => '4','verse_number' => '33','translate_name' => '«والليل إذا» بفتح الذال «دبر» جاء بعد النهار وفي قراءة إذ دبر بسكون الذال بعدها همزة، أي مضى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24237','chapter_id' => '74','chapter_detail_id' => '5529','translator_id' => '4','verse_number' => '34','translate_name' => '«والصبح إذا أسفر» ظهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24238','chapter_id' => '74','chapter_detail_id' => '5530','translator_id' => '4','verse_number' => '35','translate_name' => '«إنها» أي سقر «لإحدى الكبر» البلايا العظام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24239','chapter_id' => '74','chapter_detail_id' => '5531','translator_id' => '4','verse_number' => '36','translate_name' => '«نذيرا» حال من إحدى وذكر لأنها بمعنى العذاب «للبشر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24240','chapter_id' => '74','chapter_detail_id' => '5532','translator_id' => '4','verse_number' => '37','translate_name' => '«لمن شاء منكم» بدل من البشر «أن يتقدم» إلى الخير أو الجنة بالإيمان «أو يتأخر» إلى الشر أو النار بالكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24241','chapter_id' => '74','chapter_detail_id' => '5533','translator_id' => '4','verse_number' => '38','translate_name' => '«كل نفس بما كسبت رهينة» مرهونة مأخوذة بعملها في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24242','chapter_id' => '74','chapter_detail_id' => '5534','translator_id' => '4','verse_number' => '39','translate_name' => '«إلا أصحاب اليمين» وهم المؤمنون فناجون منها كائنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24243','chapter_id' => '74','chapter_detail_id' => '5535','translator_id' => '4','verse_number' => '40','translate_name' => '«في جنات يتساءلون» بينهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24244','chapter_id' => '74','chapter_detail_id' => '5536','translator_id' => '4','verse_number' => '41','translate_name' => '«عن المجرمين» وحالهم ويقولون لهم بعد إخراج الموحدين من النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24245','chapter_id' => '74','chapter_detail_id' => '5537','translator_id' => '4','verse_number' => '42','translate_name' => '«ما سلككم» أدخلكم «في سقر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24246','chapter_id' => '74','chapter_detail_id' => '5538','translator_id' => '4','verse_number' => '43','translate_name' => '«قالوا لم نك من المصلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24247','chapter_id' => '74','chapter_detail_id' => '5539','translator_id' => '4','verse_number' => '44','translate_name' => '«ولم نك نطعم المسكين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24248','chapter_id' => '74','chapter_detail_id' => '5540','translator_id' => '4','verse_number' => '45','translate_name' => '«وكنا نخوض» في الباطل «مع الخائضين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24249','chapter_id' => '74','chapter_detail_id' => '5541','translator_id' => '4','verse_number' => '46','translate_name' => '«وكنا نكذب بيوم الدين» البعث والجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24250','chapter_id' => '74','chapter_detail_id' => '5542','translator_id' => '4','verse_number' => '47','translate_name' => '«حتى أتانا اليقين» الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24251','chapter_id' => '74','chapter_detail_id' => '5543','translator_id' => '4','verse_number' => '48','translate_name' => '«فما تنفعهم شفاعة الشافعين» من الملائكة والأنبياء والصالحين والمعنى لا شفاعة لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24252','chapter_id' => '74','chapter_detail_id' => '5544','translator_id' => '4','verse_number' => '49','translate_name' => '«فما» مبتدأ «لهم» خبره متعلق بمحذوف انتقل ضميره إليه «عن التذكرة معرضين» حال من الضمير والمعنى أي شيء حصل لهم في إعراضهم عن الاتعاظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24253','chapter_id' => '74','chapter_detail_id' => '5545','translator_id' => '4','verse_number' => '50','translate_name' => '«كأنهم حمر مستنفرة» وحشية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24254','chapter_id' => '74','chapter_detail_id' => '5546','translator_id' => '4','verse_number' => '51','translate_name' => '«فرت من قسورة» أسد أي هربت منه أشد الهرب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24255','chapter_id' => '74','chapter_detail_id' => '5547','translator_id' => '4','verse_number' => '52','translate_name' => '«بل يريد كل امرىء منهم أن يؤتى صحفا منشرة» أي من الله تعالى باتباع النبي كما قالوا: لن نؤمن لك حتى تنزل علينا كتابا نقرؤه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24256','chapter_id' => '74','chapter_detail_id' => '5548','translator_id' => '4','verse_number' => '53','translate_name' => '«كلا» ردع عما أرادوه «بل لا يخافون الآخرة» أي عذابها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24257','chapter_id' => '74','chapter_detail_id' => '5549','translator_id' => '4','verse_number' => '54','translate_name' => '«كلا» استفتاح «إنه» أي القرآن «تذكرة» عظة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24258','chapter_id' => '74','chapter_detail_id' => '5550','translator_id' => '4','verse_number' => '55','translate_name' => '«فمن شاء ذكره» قرأه فاتعظ به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24259','chapter_id' => '74','chapter_detail_id' => '5551','translator_id' => '4','verse_number' => '56','translate_name' => '«وما يذكرون» بالياء والتاء «إلا أن يشاء الله هو أهل التقوى» بأن يتقى «وأهل المغفرة» بأن يغفر لمن اتقاه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24260','chapter_id' => '75','chapter_detail_id' => '5552','translator_id' => '4','verse_number' => '1','translate_name' => '«لا» زائدة في الموضعين «أقسم بيوم القيامة».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24261','chapter_id' => '75','chapter_detail_id' => '5553','translator_id' => '4','verse_number' => '2','translate_name' => '«ولا أقسم بالنفس اللوامة» التي تلوم نفسها وإن اجتهدت في الإحسان وجواب القسم محذوف، أي لتبعثن، دل عليه:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24262','chapter_id' => '75','chapter_detail_id' => '5554','translator_id' => '4','verse_number' => '3','translate_name' => '«أيحسب الإنسان» أي الكافر «ألن نجمع عظامه» للبعث والإحياء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24263','chapter_id' => '75','chapter_detail_id' => '5555','translator_id' => '4','verse_number' => '4','translate_name' => '«بلى» نجمعها «قادرين» مع جمعها «على أن نسوِّي بنانه» وهو الأصابع، أي نعيد عظامها كما كانت مع صغرها فكيف بالكبيرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24264','chapter_id' => '75','chapter_detail_id' => '5556','translator_id' => '4','verse_number' => '5','translate_name' => '«بل يريد الإنسان ليفجر» اللام زائدة ونصبه بأن مقدرة، أي أن يكذب «أمامه» أي يوم القيامة، دل عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24265','chapter_id' => '75','chapter_detail_id' => '5557','translator_id' => '4','verse_number' => '6','translate_name' => '«يَسأَل أَيان» متى «يوم القيامة» سؤال استهزاء وتكذيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24266','chapter_id' => '75','chapter_detail_id' => '5558','translator_id' => '4','verse_number' => '7','translate_name' => '«فإذا برق البصر» بكسر الراء وفتحها دهش وتحير لما رأى مما كان يكذبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24267','chapter_id' => '75','chapter_detail_id' => '5559','translator_id' => '4','verse_number' => '8','translate_name' => '«وخسف القمر» أظلم وذهب ضوءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24268','chapter_id' => '75','chapter_detail_id' => '5560','translator_id' => '4','verse_number' => '9','translate_name' => '«وجمع الشمس والقمر» فطلعا من المغرب أو ذهب ضوءهما وذلك في يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24269','chapter_id' => '75','chapter_detail_id' => '5561','translator_id' => '4','verse_number' => '10','translate_name' => '«يقول الإنسان يومئذ أين المفر» الفرار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24270','chapter_id' => '75','chapter_detail_id' => '5562','translator_id' => '4','verse_number' => '11','translate_name' => '«كلا» ردع عن طلب الفرار «لا وزر» لا ملجأ يتحصن به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24271','chapter_id' => '75','chapter_detail_id' => '5563','translator_id' => '4','verse_number' => '12','translate_name' => '«إلى ربك يومئذ المستقر» مستقر الخلائق فيحاسبون ويجازون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24272','chapter_id' => '75','chapter_detail_id' => '5564','translator_id' => '4','verse_number' => '13','translate_name' => '«ينبأ الإنسان يومئذ بما قدم وأخر» بأول عمله وآخره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24273','chapter_id' => '75','chapter_detail_id' => '5565','translator_id' => '4','verse_number' => '14','translate_name' => '«بل الإنسان على نفسه بصيرة» شاهد تنطق جوارحه بعمله والهاء للمبالغة فلا بد من جزائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24274','chapter_id' => '75','chapter_detail_id' => '5566','translator_id' => '4','verse_number' => '15','translate_name' => '«ولو ألقى معاذيره» جمع معذرة على غير قياس، أي لو جاء بكل معذرة ما قُبلت منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24275','chapter_id' => '75','chapter_detail_id' => '5567','translator_id' => '4','verse_number' => '16','translate_name' => 'قال تعالى لنبيه: «لا تحرك به» بالقرآن قبل فراغ جبريل منه «لسانك لتعجل به» خوف أن ينفلت منك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24276','chapter_id' => '75','chapter_detail_id' => '5568','translator_id' => '4','verse_number' => '17','translate_name' => '«إن علينا جمعه» في صدرك «وقرآنه» قراءتك إياه أي جريانه على لسانك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24277','chapter_id' => '75','chapter_detail_id' => '5569','translator_id' => '4','verse_number' => '18','translate_name' => '«فإذا قرأناه» عليك بقراءة جبريل «فاتبع قرآنه» استمع قراءته فكان صلى الله عليه وسلم يستمع ثم يقرؤه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24278','chapter_id' => '75','chapter_detail_id' => '5570','translator_id' => '4','verse_number' => '19','translate_name' => '«ثم إن علينا بيانه» بالتفهيم لك، والمناسبة بين هذه الآية وما قبلها أن تلك تضمنت الإعراض عن آيات الله وهذه تضمنت المبادرة إليها بحفظها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24279','chapter_id' => '75','chapter_detail_id' => '5571','translator_id' => '4','verse_number' => '20','translate_name' => '«كلا» استفتاح بمعنى ألا «بل يحبون العاجلة» الدنيا بالياء والتاء في الفعلين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24280','chapter_id' => '75','chapter_detail_id' => '5572','translator_id' => '4','verse_number' => '21','translate_name' => '«ويذرون الآخرة» فلا يعملون لها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24281','chapter_id' => '75','chapter_detail_id' => '5573','translator_id' => '4','verse_number' => '22','translate_name' => '«وجوه يومئذ» أي في يوم القيامة «ناضرة» حسنة مضيئة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24282','chapter_id' => '75','chapter_detail_id' => '5574','translator_id' => '4','verse_number' => '23','translate_name' => '«إلى ربها ناظرة» أي يرون الله سبحانه وتعالى في الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24283','chapter_id' => '75','chapter_detail_id' => '5575','translator_id' => '4','verse_number' => '24','translate_name' => '«ووجوه يومئذ باسرة» كالحة شديدة العبوس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24284','chapter_id' => '75','chapter_detail_id' => '5576','translator_id' => '4','verse_number' => '25','translate_name' => '«تظن» توقن «أن يُفعل بها فاقرة» داهية عظيمة تكسر فقار الظهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24285','chapter_id' => '75','chapter_detail_id' => '5577','translator_id' => '4','verse_number' => '26','translate_name' => '«كلا» بمعنى ألا «إذا بلغت» النفس «التراقي» عظام الحلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24286','chapter_id' => '75','chapter_detail_id' => '5578','translator_id' => '4','verse_number' => '27','translate_name' => '«وقيل» قال من حوله «من راق» يرقيه ليشفى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24287','chapter_id' => '75','chapter_detail_id' => '5579','translator_id' => '4','verse_number' => '28','translate_name' => '«وظن» أيقن من بلغت نفسه ذلك «أنه الفراق» فراق الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24288','chapter_id' => '75','chapter_detail_id' => '5580','translator_id' => '4','verse_number' => '29','translate_name' => '«والتفَّت الساق بالساق» أي إحدى ساقيه بالأخرى عند الموت، أو التفت شدة فراق الدنيا بشدة إقبال الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24289','chapter_id' => '75','chapter_detail_id' => '5581','translator_id' => '4','verse_number' => '30','translate_name' => '«إلى ربك يومئذ المساق» أي السوق وهذا يدل على العامل في إذا، والمعنى إذا بلغت النفس الحلقوم تساق إلى حكم ربها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24290','chapter_id' => '75','chapter_detail_id' => '5582','translator_id' => '4','verse_number' => '31','translate_name' => '«فلا صدق» الإنسان «ولا صلى» أي لم يصدق ولم يصلِّ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24291','chapter_id' => '75','chapter_detail_id' => '5583','translator_id' => '4','verse_number' => '32','translate_name' => '«ولكن كذب» بالقرآن «وتولى» عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24292','chapter_id' => '75','chapter_detail_id' => '5584','translator_id' => '4','verse_number' => '33','translate_name' => '«ثم ذهب إلى أهله يتمطى» يتبختر في مشيته إعجابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24293','chapter_id' => '75','chapter_detail_id' => '5585','translator_id' => '4','verse_number' => '34','translate_name' => '«أوْلى لك» فيه التفات عن الغيبة والكلمة اسم فعل واللام للتبيين، أي وليك ما تكره «فأوْلى» أي فهو أولى بك من غيرك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24294','chapter_id' => '75','chapter_detail_id' => '5586','translator_id' => '4','verse_number' => '35','translate_name' => '«ثم أوْلى لك فأوْلى» تأكيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24295','chapter_id' => '75','chapter_detail_id' => '5587','translator_id' => '4','verse_number' => '36','translate_name' => '«أيحسب» يظن «الإنسان أن يُترك سدى» هملا لا يكلف بالشرائع لا يحسب ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24296','chapter_id' => '75','chapter_detail_id' => '5588','translator_id' => '4','verse_number' => '37','translate_name' => '«ألم يك» أي كان «نطفة من منيّ يمنى» بالياء والتاء تصب في الرحم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24297','chapter_id' => '75','chapter_detail_id' => '5589','translator_id' => '4','verse_number' => '38','translate_name' => '«ثم كان» المني «علقة فخلق» الله منها الإنسان «فسوى» عدل أعضاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24298','chapter_id' => '75','chapter_detail_id' => '5590','translator_id' => '4','verse_number' => '39','translate_name' => '«فجعل منه» من المني الذي صار علقة قطعة دم ثم مضغة أي قطعة لحم «الزوجين» النوعين «الذكر والأنثى» يجتمعان تارة وينفرد كل منهما عن الآخر تارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24299','chapter_id' => '75','chapter_detail_id' => '5591','translator_id' => '4','verse_number' => '40','translate_name' => '«أَليس ذلك» الفعَّال لهذه الأشياء «بقادر على أن يحيي الموتى» قال صلى الله عليه وسلم: بلى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24300','chapter_id' => '76','chapter_detail_id' => '5592','translator_id' => '4','verse_number' => '1','translate_name' => '«هل» قد «أتى على الإنسان» آدم «حين من الدهر» أربعون سنة «لم يكن» فيه «شيئا مذكورا» كان فيه مصورا من طين لا يذكر أو المراد بالإنسان الجنس وبالحين مدة الحمل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24301','chapter_id' => '76','chapter_detail_id' => '5593','translator_id' => '4','verse_number' => '2','translate_name' => '«إنَّا خلقنا الإنسان» الجنس «من نطفة أمشاج» أخلاط، أي من ماء الرجل وماء المرأة المختلطين الممتزجين «نبتليه» نختبره بالتكليف والجملة مستأنفة أو حال مقدرة، أي مريدين ابتلاءه حين تأهله «فجعلناه» بسبب ذلك «سميعا بصيرا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24302','chapter_id' => '76','chapter_detail_id' => '5594','translator_id' => '4','verse_number' => '3','translate_name' => '«إنا هديناه السبيل» بينا له طريق الهدى ببعث الرسل «إما شاكرا» أي مؤمنا «وإما كفورا» حالان من المفعول، أي بينا له في حال شكره أو كفره المقدرة، و إما لتفصيل الأحوال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24303','chapter_id' => '76','chapter_detail_id' => '5595','translator_id' => '4','verse_number' => '4','translate_name' => '«إنا أعتدنا» هيأنا «للكافرين سلاسل» يسحبون بها في النار «وأغلالا» في أعناقهم تشد فيها السلاسل «وسعيرا» نارا مسعرة، أي مهيجة يعذبون بها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24304','chapter_id' => '76','chapter_detail_id' => '5596','translator_id' => '4','verse_number' => '5','translate_name' => '«إن الأبرار» جمع بر أو بار وهم المطيعون «يشربون من كأس» هو إناء شرب الخمر وهي فيه والمراد من خمر تسمية للحال باسم المحل ومن للتبعيض «كان مزاجها» ما يمزج به «كافورا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24305','chapter_id' => '76','chapter_detail_id' => '5597','translator_id' => '4','verse_number' => '6','translate_name' => '«عينا» بدل من كافورا فيها رائحته «يشرب بها» منها «عباد الله» أولياؤه «يفجّرونها تفجيرا» يقودونها حيث شاءوا من منازلهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24306','chapter_id' => '76','chapter_detail_id' => '5598','translator_id' => '4','verse_number' => '7','translate_name' => '«يوفون بالنذر» في طاعة الله «ويخافون يوما كان شره مستطيرا» منتشرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24307','chapter_id' => '76','chapter_detail_id' => '5599','translator_id' => '4','verse_number' => '8','translate_name' => '«ويطعمون الطعام على حبه» أي الطعام وشهوتهم له «مسكينا» فقيرا «ويتيما» لا أب له «وأسيرا» يعني المحبوس بحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24308','chapter_id' => '76','chapter_detail_id' => '5600','translator_id' => '4','verse_number' => '9','translate_name' => '«إنما نطعمكم لوجه الله» لطلب ثوابه «لا نريد منكم جزاء ولا شكورا» شكرا فيه علة الإطعام وهل تكلموا بذلك أو علمه الله منهم فأثنى عليهم به، قولان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24309','chapter_id' => '76','chapter_detail_id' => '5601','translator_id' => '4','verse_number' => '10','translate_name' => '«إنا نخاف من ربنا يوما عبوْسا» تكلح الوجوه فيه أي كريه المنظر لشدته «قمطريرا» شديدا في ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24310','chapter_id' => '76','chapter_detail_id' => '5602','translator_id' => '4','verse_number' => '11','translate_name' => '«فوقاهم الله شر ذلك اليوم ولقاهم» أعطاهم «نضرة» حسنا وإضاءة في وجوههم «وسرورا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24311','chapter_id' => '76','chapter_detail_id' => '5603','translator_id' => '4','verse_number' => '12','translate_name' => '«وجزاهم بما صبروا» بصبرهم عن المعصية «جنة» أدخلوها «وحريرا» البسوه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24312','chapter_id' => '76','chapter_detail_id' => '5604','translator_id' => '4','verse_number' => '13','translate_name' => '«متكئين» حال من مرفوع أدخلوها المقدر «فيها على الأرائك» السرر في الحجال «لا يروْن» لا يجدون حال ثانية «فيها شمسا ولا زمهريرا» لا حرا ولا بردا وقيل الزمهرير القمر فهي مضيئة من غير شمس ولا قمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24313','chapter_id' => '76','chapter_detail_id' => '5605','translator_id' => '4','verse_number' => '14','translate_name' => '«ودانية» قريبة عطف على محل لا يرون، أي غير رائين «عليهم» منهم «ظلالها» شجرها «وذللت قطوفها تذليلا» أُدنيت ثمارها فينالها القائم والقاعد والمضطجع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24314','chapter_id' => '76','chapter_detail_id' => '5606','translator_id' => '4','verse_number' => '15','translate_name' => '«ويطاف عليهم» فيها «بآنية من فضة وأكواب» أقداح بلا عرى «كانت قوارير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24315','chapter_id' => '76','chapter_detail_id' => '5607','translator_id' => '4','verse_number' => '16','translate_name' => '«قوارير من فضة» أي أنها من فضة يرى باطنها من ظاهرها كالزجاج «قدروها» أي الطائفون «تقديرا» على قدر ريِّ الشاربين من غير زيادة ولا نقص وذلك ألذ الشراب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24316','chapter_id' => '76','chapter_detail_id' => '5608','translator_id' => '4','verse_number' => '17','translate_name' => '«ويسقون فيها كأسا» خمرا «كان مزاجها» ما تمزج به «زنجبيلا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24317','chapter_id' => '76','chapter_detail_id' => '5609','translator_id' => '4','verse_number' => '18','translate_name' => '«عينا» بدل زنجبيلا «فيها تسمى سلسبيل» يعني أن ماءها كالزنجبيل الذي تستلذ به العرب سهل المساغ في الحلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24318','chapter_id' => '76','chapter_detail_id' => '5610','translator_id' => '4','verse_number' => '19','translate_name' => '«ويطوف عليهم ولدان مخلدون» بصفة الولدان لا يشيبون «إذا رأيتهم حسبتهم» لحسنهم وانتشارهم في الخدمة «لؤلؤا منثورا» من سلكه أو من صدفه وهو أحسن منه في غير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24319','chapter_id' => '76','chapter_detail_id' => '5611','translator_id' => '4','verse_number' => '20','translate_name' => '«وإذا رأيت ثم» أي وجدت الرؤية منك في الجنة «رأيت» جواب إذا «نعيما» لا يوصف «وملكا كبيرا» واسعا لا غاية له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24320','chapter_id' => '76','chapter_detail_id' => '5612','translator_id' => '4','verse_number' => '21','translate_name' => '«عاليهم» فوقهم فنصبه على الظرفية وهو خبر لمبتدأ بعده وفي قراءة بسكون الياء مبتدأ وما بعده خبر والضمير المتصل به للمعطوف عليهم «ثياب سندس» حرير «خضر» بالرفع «وإستبرق» بالجر ما غلظ من الديباج فهو البطائن والسندس الظهائر وفي قراءة عكس ما ذكر فيهما وفي أخرى، برفعهما وفي أخرى بجرهما «وحلُّوا أساور من فضة» وفي موضع من ذهب للايذان بأنهم يحلون من النوعين معا ومفرقا «وسقاهم ربهم شرابا طهورا» مبالغة في طهارته ونظافته بخلاف خمر الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24321','chapter_id' => '76','chapter_detail_id' => '5613','translator_id' => '4','verse_number' => '22','translate_name' => '«إن هذا» النعيم «كان لكم جزاءً وكان سعيكم مشكورا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24322','chapter_id' => '76','chapter_detail_id' => '5614','translator_id' => '4','verse_number' => '23','translate_name' => '«إنا نحن» تأكيد لاسم إن أو فصل «نزلنا عليك القرآن تنزيلا» خبر إن أي فصلناه ولم ننزله جملة واحدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24323','chapter_id' => '76','chapter_detail_id' => '5615','translator_id' => '4','verse_number' => '24','translate_name' => '«فاصبر لحكم ربك» عليك بتبليغ رسالته «ولا تطع منهم» أي الكفار «آثما أو كفورا» أي عتبة بن ربيعة والوليد بن المغيرة قالا للنبي صلى الله عليه وسلم ارجع عن هذا الأمر. ويجوز أن يراد كل آثم وكافر أي لا تطع أحدهما أَيا كان فيما دعاك إليه من إثم أو كفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24324','chapter_id' => '76','chapter_detail_id' => '5616','translator_id' => '4','verse_number' => '25','translate_name' => '«واذكر اسم ربك» في الصلاة «بكرة وأصيلا» يعني الفجر والظهر والعصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24325','chapter_id' => '76','chapter_detail_id' => '5617','translator_id' => '4','verse_number' => '26','translate_name' => '«ومن الليل فاسجد له» يعني المغرب والعشاء «وسبحه ليلا طويلا» صل التطوع فيه كما تقدم من ثلثيه أو نصفه أو ثلثه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24326','chapter_id' => '76','chapter_detail_id' => '5618','translator_id' => '4','verse_number' => '27','translate_name' => '«إن هؤلاء يحبون العاجلة» الدنيا «ويذرون وراءهم يوما ثقيلا» شديدا أي يوم القيامة لا يعملون له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24327','chapter_id' => '76','chapter_detail_id' => '5619','translator_id' => '4','verse_number' => '28','translate_name' => '«نحن خلقناهم وشددنا» قوينا «أسرهم» أعضاءهم ومفاصلهم «وإذا شئنا بدلنا» جعلنا «أمثالهم» في الخلقة بدلا منهم بأن نهلكهم «تبديلا» تأكيد ووقعت إذا موقع إن نحو إن يشأ يذهبكم لأنه تعالى لم يشأ ذلك وإذا لمّا يقع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24328','chapter_id' => '76','chapter_detail_id' => '5620','translator_id' => '4','verse_number' => '29','translate_name' => '«إن هذه» السورة «تذكرة» عظة للخلق «فمن شاء اتخذ إلى ربه سبيلا» طريقا بالطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24329','chapter_id' => '76','chapter_detail_id' => '5621','translator_id' => '4','verse_number' => '30','translate_name' => '«وما تشاءون» بالتاء والياء اتخاذ السبيل بالطاعة «إلا أن يشاء الله» ذلك «إن الله كان عليما» بخلقه «حكيما» في فعله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24330','chapter_id' => '76','chapter_detail_id' => '5622','translator_id' => '4','verse_number' => '31','translate_name' => '«يُدخل من يشاء في رحمته» جنته وهم المؤمنون «والظالمين» ناصبه فعل مقدر، أي أعد يفسره «أَعد لهم عذابا أليما» مؤلماً وهم الكافرون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24331','chapter_id' => '77','chapter_detail_id' => '5623','translator_id' => '4','verse_number' => '1','translate_name' => '«والمرسلات عُرفا» أي الرياح متتابعة كعرف الفرس يتلو بعضه بعضا ونصبه على الحال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24332','chapter_id' => '77','chapter_detail_id' => '5624','translator_id' => '4','verse_number' => '2','translate_name' => '«فالعاصفات عصفا» الرياح الشديدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24333','chapter_id' => '77','chapter_detail_id' => '5625','translator_id' => '4','verse_number' => '3','translate_name' => '«والناشرات نشرا» الرياح تنشر المطر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24334','chapter_id' => '77','chapter_detail_id' => '5626','translator_id' => '4','verse_number' => '4','translate_name' => '«فالفارقات فرقا» أي آيات القرآن تفرق بين الحق والباطل والحلال والحرام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24335','chapter_id' => '77','chapter_detail_id' => '5627','translator_id' => '4','verse_number' => '5','translate_name' => '«فالملقيات ذكرا» أي الملائكة تنزل بالوحي إلى الأنبياء والرسل يلقون الوحي إلى الأمم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24336','chapter_id' => '77','chapter_detail_id' => '5628','translator_id' => '4','verse_number' => '6','translate_name' => '«عذْرا أو نذرا» أي للإعذار والإنذار من الله تعالى وفي قراءة بضم ذال نذرا وقرئ بضم ذال عذرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24337','chapter_id' => '77','chapter_detail_id' => '5629','translator_id' => '4','verse_number' => '7','translate_name' => '«إنما توعدون» أي يا كفار مكة من البعث والعذاب «لواقع» كائن لا محالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24338','chapter_id' => '77','chapter_detail_id' => '5630','translator_id' => '4','verse_number' => '8','translate_name' => '«فإذا النجوم طمست» محي نورها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24339','chapter_id' => '77','chapter_detail_id' => '5631','translator_id' => '4','verse_number' => '9','translate_name' => '«وإذا السماء فرجت» شقت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24340','chapter_id' => '77','chapter_detail_id' => '5632','translator_id' => '4','verse_number' => '10','translate_name' => '«وإذا الجبال نسفت» فتتت وسيرت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24341','chapter_id' => '77','chapter_detail_id' => '5633','translator_id' => '4','verse_number' => '11','translate_name' => '«وإذا الرسل أُقتت» بالواو وبالهمزة بدلا منها، أي جمعت لوقت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24342','chapter_id' => '77','chapter_detail_id' => '5634','translator_id' => '4','verse_number' => '12','translate_name' => '«لأي يوم» ليوم عظيم «أُجلت» للشهادة على أممهم بالتبليغ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24343','chapter_id' => '77','chapter_detail_id' => '5635','translator_id' => '4','verse_number' => '13','translate_name' => '«ليوم الفصل» بين الخلق ويؤخذ منه جواب إذا، أي وقع الفصل بين الخلائق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24344','chapter_id' => '77','chapter_detail_id' => '5636','translator_id' => '4','verse_number' => '14','translate_name' => '«وما أدراك ما يوم الفصل» تهويل لشأنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24345','chapter_id' => '77','chapter_detail_id' => '5637','translator_id' => '4','verse_number' => '15','translate_name' => '«ويل يومئذ للمكذبين» هذا وعيد لهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24346','chapter_id' => '77','chapter_detail_id' => '5638','translator_id' => '4','verse_number' => '16','translate_name' => '«ألم نهلك الأولين» بتكذيبهم، أي أهلكناهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24347','chapter_id' => '77','chapter_detail_id' => '5639','translator_id' => '4','verse_number' => '17','translate_name' => '«ثم نتبعهم الآخرين» ممن كذبوا ككفار مكة فنهلكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24348','chapter_id' => '77','chapter_detail_id' => '5640','translator_id' => '4','verse_number' => '18','translate_name' => '«كذلك» مثل ما فعلنا بالمكذبين «نفعل بالمجرمين» بكل من أجرم فيما يستقبل فنهلكهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24349','chapter_id' => '77','chapter_detail_id' => '5641','translator_id' => '4','verse_number' => '19','translate_name' => '«ويل يومئذ للمكذبين» تأكيد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24350','chapter_id' => '77','chapter_detail_id' => '5642','translator_id' => '4','verse_number' => '20','translate_name' => '«أَلم نخلقكم من ماء مهين» ضعيف وهو المني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24351','chapter_id' => '77','chapter_detail_id' => '5643','translator_id' => '4','verse_number' => '21','translate_name' => '«فجعلناه في قرار مكين» حريز وهو الرحم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24352','chapter_id' => '77','chapter_detail_id' => '5644','translator_id' => '4','verse_number' => '22','translate_name' => '«إلى قدر معلوم» وهو وقت الولادة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24353','chapter_id' => '77','chapter_detail_id' => '5645','translator_id' => '4','verse_number' => '23','translate_name' => '«فقَدرنا» على ذلك «فنعم القادرون» نحن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24354','chapter_id' => '77','chapter_detail_id' => '5646','translator_id' => '4','verse_number' => '24','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24355','chapter_id' => '77','chapter_detail_id' => '5647','translator_id' => '4','verse_number' => '25','translate_name' => '«ألم نجعل الأرض كفاتا» مصدر كفت بمعنى ضم، أي ضامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24356','chapter_id' => '77','chapter_detail_id' => '5648','translator_id' => '4','verse_number' => '26','translate_name' => '«أحياءً» على ظهرها «وأمواتا» في بطنها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24357','chapter_id' => '77','chapter_detail_id' => '5649','translator_id' => '4','verse_number' => '27','translate_name' => '«وجعلنا فيها رواسيَ شامخات» جبالا مرتفعات «وأسقيناكم ماء فراتا» عذبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24358','chapter_id' => '77','chapter_detail_id' => '5650','translator_id' => '4','verse_number' => '28','translate_name' => '«ويل يومئذ للمكذبين» ويقال للمكذبين يوم القيامة:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24359','chapter_id' => '77','chapter_detail_id' => '5651','translator_id' => '4','verse_number' => '29','translate_name' => '«انطلقوا إلى ما كنتم به» من العذاب «تكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24360','chapter_id' => '77','chapter_detail_id' => '5652','translator_id' => '4','verse_number' => '30','translate_name' => '«انطلقوا إلى ظل ذي ثلاث شعب» هو دخان جهنم إذا ارتفع افترق ثلاث فرق لعظمه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24361','chapter_id' => '77','chapter_detail_id' => '5653','translator_id' => '4','verse_number' => '31','translate_name' => '«لا ظليل» كنين يظلهم من حر ذلك اليوم «ولا يغني» يرد عنهم شيئا «من اللهب» النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24362','chapter_id' => '77','chapter_detail_id' => '5654','translator_id' => '4','verse_number' => '32','translate_name' => '«إنها» أي النار «ترمي بشرر» هو ما تطاير منها «كالقصر» من البناء في عظمه وارتفاعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24363','chapter_id' => '77','chapter_detail_id' => '5655','translator_id' => '4','verse_number' => '33','translate_name' => '(كأنه جمالات) جمالات جمع جمل وفي قراءة جمالت (صفر) في هيئتها ولونها وفي الحديث "" شرار الناس أسود كالقير "" والعرب تسمي سود الإبل صفرا لشوب سوادها بصفرة فقيل صفر في الآية بمعنى سود لما ذكر وقيل لا، والشرر: جمع شرارة، والقير: القار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24364','chapter_id' => '77','chapter_detail_id' => '5656','translator_id' => '4','verse_number' => '34','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24365','chapter_id' => '77','chapter_detail_id' => '5657','translator_id' => '4','verse_number' => '35','translate_name' => '«هذا» أي يوم القيامة «يوم لا ينطقون» فيه بشيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24366','chapter_id' => '77','chapter_detail_id' => '5658','translator_id' => '4','verse_number' => '36','translate_name' => '«ولا يؤذن لهم» في العذر «فيعتذرون» عطف على يؤذن من غير تسبب عنه فهو داخل في حيز النفي، أي لا إذن فلا اعتذار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24367','chapter_id' => '77','chapter_detail_id' => '5659','translator_id' => '4','verse_number' => '37','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24368','chapter_id' => '77','chapter_detail_id' => '5660','translator_id' => '4','verse_number' => '38','translate_name' => '«هذا يوم الفصل جمعناكم» أيها المكذبون من هذه الأمة «والأولين» من المكذبين قبلكم فتحاسبون وتعذبون جميعا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24369','chapter_id' => '77','chapter_detail_id' => '5661','translator_id' => '4','verse_number' => '39','translate_name' => '«فإن كان لكم كيد» حيلة في دفع العذاب عنكم «فكيدون» فافعلوها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24370','chapter_id' => '77','chapter_detail_id' => '5662','translator_id' => '4','verse_number' => '40','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24371','chapter_id' => '77','chapter_detail_id' => '5663','translator_id' => '4','verse_number' => '41','translate_name' => '«إن المتقين في ظلال» أي تكاثف أشجار إذ لا شمس يظل من حرها «وعيون» نابعة من الماء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24372','chapter_id' => '77','chapter_detail_id' => '5664','translator_id' => '4','verse_number' => '42','translate_name' => '«وفواكه مما يشتهون» فيه إعلام بأن المأكل والمشرب في الجنة بحسب شهواتهم بخلاف الدنيا فبحسب ما يجد الناس في الأغلب ويقال لهم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24373','chapter_id' => '77','chapter_detail_id' => '5665','translator_id' => '4','verse_number' => '43','translate_name' => '«كلوا واشربوا هنيئا» حال، أي متهنئين «بما كنتم تعملون» من الطاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24374','chapter_id' => '77','chapter_detail_id' => '5666','translator_id' => '4','verse_number' => '44','translate_name' => '«إنا كذلك» كما جزينا المتقين «نجزي المحسنين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24375','chapter_id' => '77','chapter_detail_id' => '5667','translator_id' => '4','verse_number' => '45','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24376','chapter_id' => '77','chapter_detail_id' => '5668','translator_id' => '4','verse_number' => '46','translate_name' => '«كلوا وتمتعوا» خطاب للكفار في الدنيا «قليلا» من الزمان وغايته الموت، وفي هذا تهديد لهم «إنكم مجرمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24377','chapter_id' => '77','chapter_detail_id' => '5669','translator_id' => '4','verse_number' => '47','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24378','chapter_id' => '77','chapter_detail_id' => '5670','translator_id' => '4','verse_number' => '48','translate_name' => '«وإذا قيل لهم اركعوا» صلوا «لا يركعون» لا يصلون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24379','chapter_id' => '77','chapter_detail_id' => '5671','translator_id' => '4','verse_number' => '49','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24380','chapter_id' => '77','chapter_detail_id' => '5672','translator_id' => '4','verse_number' => '50','translate_name' => '«فبأي حديث بعده» أي القرآن «يؤمنون» أي لا يمكن إيمانهم بغيره من كتب الله بعد تكذيبهم به لاشتماله على الإعجاز الذي لم يشتمل عليه غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24381','chapter_id' => '78','chapter_detail_id' => '5673','translator_id' => '4','verse_number' => '1','translate_name' => '«عمَّ» عن أي شيء «يتساءلون» يسال بعض قريش بعضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24382','chapter_id' => '78','chapter_detail_id' => '5674','translator_id' => '4','verse_number' => '2','translate_name' => '«عن النبأ العظيم» بيان لذلك الشيء والاستفهام لتفخيمه وهو ما جاء به النبي صلى الله عليه وسلم من القرآن المشتمل على البعث وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24383','chapter_id' => '78','chapter_detail_id' => '5675','translator_id' => '4','verse_number' => '3','translate_name' => '«الذي هم فيه مختلفون» فالمؤمنون يثبتونه والكافرون ينكرونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24384','chapter_id' => '78','chapter_detail_id' => '5676','translator_id' => '4','verse_number' => '4','translate_name' => '«كلا» ردع «سيعلمون» ما يحل بهم على إنكارهم له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24385','chapter_id' => '78','chapter_detail_id' => '5677','translator_id' => '4','verse_number' => '5','translate_name' => '«ثم كلا سيعلمون» تأكيد وجيء فيه بثم للإيذان بأن الوعيد الثاني أشد من الأول، ثم أومأ تعالى إلى القدرة على البعث فقال:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24386','chapter_id' => '78','chapter_detail_id' => '5678','translator_id' => '4','verse_number' => '6','translate_name' => '«ألم نجعل الأرض مهادا» فراشا كالمهد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24387','chapter_id' => '78','chapter_detail_id' => '5679','translator_id' => '4','verse_number' => '7','translate_name' => '«والجبال أوتادا» تثبت بها الأرض كما تثبت الخيام بالأوتاد، والاستفهام للتقرير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24388','chapter_id' => '78','chapter_detail_id' => '5680','translator_id' => '4','verse_number' => '8','translate_name' => '«وخلقناكم أزواجا» ذكورا وإناثا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24389','chapter_id' => '78','chapter_detail_id' => '5681','translator_id' => '4','verse_number' => '9','translate_name' => '«وجعلنا نومكم سباتا» راحة لأبدانكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24390','chapter_id' => '78','chapter_detail_id' => '5682','translator_id' => '4','verse_number' => '10','translate_name' => '«وجعلنا الليل لباسا» ساترا بسواده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24391','chapter_id' => '78','chapter_detail_id' => '5683','translator_id' => '4','verse_number' => '11','translate_name' => '«وجعلنا النهار معاشا» وقتا للمعايش.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24392','chapter_id' => '78','chapter_detail_id' => '5684','translator_id' => '4','verse_number' => '12','translate_name' => '«وبنينا فوقكم سبعا» سبع سماوات «شدادا» جمع شديدة، أي قوية محكمة لا يؤثر فيها مرور الزمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24393','chapter_id' => '78','chapter_detail_id' => '5685','translator_id' => '4','verse_number' => '13','translate_name' => '«وجعلنا سراجا» منيرا «وهاجا» وقادا: يعني الشمس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24394','chapter_id' => '78','chapter_detail_id' => '5686','translator_id' => '4','verse_number' => '14','translate_name' => '«وأنزلنا من المعصرات» السحابات التي حان لها أن تمطر، كالمعصر الجارية التي دنت من الحيض «ماءً ثجاجا» صبابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24395','chapter_id' => '78','chapter_detail_id' => '5687','translator_id' => '4','verse_number' => '15','translate_name' => '«لنخرج به حبا» كالحنطة «ونباتا» كالتين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24396','chapter_id' => '78','chapter_detail_id' => '5688','translator_id' => '4','verse_number' => '16','translate_name' => '«وجنات» بساتين «ألفافا» ملتفة، جمع لفيف كشريف وأشراف.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24397','chapter_id' => '78','chapter_detail_id' => '5689','translator_id' => '4','verse_number' => '17','translate_name' => '«إن يوم الفصل» بين الخلائق «كان ميقاتا» وقتا للثواب والعقاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24398','chapter_id' => '78','chapter_detail_id' => '5690','translator_id' => '4','verse_number' => '18','translate_name' => '«يوم ينفخ في الصور» القرن بدل من يوم الفصل أو بيان له والنافخ إسرافيل «فتأتون» من قبوركم إلى الموقف «أفواجا» جماعات مختلفة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24399','chapter_id' => '78','chapter_detail_id' => '5691','translator_id' => '4','verse_number' => '19','translate_name' => '«وفُتِّحت السماء» بالتشديد والتخفيف شققت لنزول الملائكة «فكانت أبوابا» ذات أبواب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24400','chapter_id' => '78','chapter_detail_id' => '5692','translator_id' => '4','verse_number' => '20','translate_name' => '«وسيِّرت الجبال» ذهب بها عن أماكنها «فكانت سرابا» هباء، أي مثله في خفة سيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24401','chapter_id' => '78','chapter_detail_id' => '5693','translator_id' => '4','verse_number' => '21','translate_name' => '«إن جهنم كانت مرصادا» راصدة أو مرصدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24402','chapter_id' => '78','chapter_detail_id' => '5694','translator_id' => '4','verse_number' => '22','translate_name' => '«للطاغين» الكافرين فلا يتجاوزونها «مآبا» مرجعا لهم فيدخلونها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24403','chapter_id' => '78','chapter_detail_id' => '5695','translator_id' => '4','verse_number' => '23','translate_name' => '«لابثين» حال مقدرة، أي مقدَّرا لبثهم «فيها أحقابا» دهورا لا نهاية لها جمع حقب بضم أوله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24404','chapter_id' => '78','chapter_detail_id' => '5696','translator_id' => '4','verse_number' => '24','translate_name' => '«لا يذوقون فيها بردا» نوما فإنهم لا يذوقونه «ولا شرابا» ما يشرب تلذذا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24405','chapter_id' => '78','chapter_detail_id' => '5697','translator_id' => '4','verse_number' => '25','translate_name' => '«إلا» لكن «حميما» ماءً حارا غاية الحرارة «وغسَّاقا» بالتخفيف والتشديد ما يسيل من صديد أهل النار فإنهم يذوقونه جوزوا بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24406','chapter_id' => '78','chapter_detail_id' => '5698','translator_id' => '4','verse_number' => '26','translate_name' => '«جزاءً وفاقا» موافقا لعملهم فلا ذنب أعظم من الكفر ولا عذاب أعظم من النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24407','chapter_id' => '78','chapter_detail_id' => '5699','translator_id' => '4','verse_number' => '27','translate_name' => '«إنهم كانوا لا يرجون» يخافون «حسابا» لإنكارهم البعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24408','chapter_id' => '78','chapter_detail_id' => '5700','translator_id' => '4','verse_number' => '28','translate_name' => '«وكذبوا بآياتنا» القرآن «كِذَّابا» تكذيبا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24409','chapter_id' => '78','chapter_detail_id' => '5701','translator_id' => '4','verse_number' => '29','translate_name' => '«وكل شيءٍ» من الأعمال «أحصيناه» ضبطناه «كتابا» كتبا في اللوح المحفوظ لنجازي عليه ومن ذلك تكذيبهم بالقرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24410','chapter_id' => '78','chapter_detail_id' => '5702','translator_id' => '4','verse_number' => '30','translate_name' => '«فذوقوا» أي فيقال لهم في الآخرة عند وقوع العذاب ذوقوا جزاءكم «فلن نزيدكم إلا عذابا» فوق عذابكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24411','chapter_id' => '78','chapter_detail_id' => '5703','translator_id' => '4','verse_number' => '31','translate_name' => '«إن للمتقين مفازا» مكان فوز في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24412','chapter_id' => '78','chapter_detail_id' => '5704','translator_id' => '4','verse_number' => '32','translate_name' => '«حدائق» بساتين بدل من مفازا أو بيان له «وأعنابا» عطف على مفازا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24413','chapter_id' => '78','chapter_detail_id' => '5705','translator_id' => '4','verse_number' => '33','translate_name' => '«وكواعب» جواري تكعبت ثديهن جمع كاعب «أترابا» على سن واحد، جمع تِرب بكسر التاء وسكون الراء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24414','chapter_id' => '78','chapter_detail_id' => '5706','translator_id' => '4','verse_number' => '34','translate_name' => '(وكأسا دهاقا) خمرا مالئة محالها، وفي سورة القتال: "" وأنهار من خمر "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24415','chapter_id' => '78','chapter_detail_id' => '5707','translator_id' => '4','verse_number' => '35','translate_name' => '«لا يسمعون فيها» أي الجنة عند شرب الخمر وغيرها من الأحوال «لغوا» باطلا من القول «ولا كذَابا» بالتخفيف، أي: كذبا، وبالتشديد أي تكذيبا من واحد لغيره بخلاف ما يقع في الدنيا عند شرب الخمر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24416','chapter_id' => '78','chapter_detail_id' => '5708','translator_id' => '4','verse_number' => '36','translate_name' => '«جزاءً من ربك» أي جزاهم الله بذلك جزاء «عطاءً» بدل من جزاء «حسابا» أي كثيرا، من قولهم: أعطاني فأحسبني، أي أكثر علي حتى قلت حسبي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24417','chapter_id' => '78','chapter_detail_id' => '5709','translator_id' => '4','verse_number' => '37','translate_name' => '«ربِّ السماوات والأرض» بالجر والرفع «وما بينهما الرحمنِ» كذلك وبرفعه مع جر رب «لا يملكون» أي الخلق «منه» تعالى «خطابا» أي لا يقدر أحد أن يخاطبه خوفا منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24418','chapter_id' => '78','chapter_detail_id' => '5710','translator_id' => '4','verse_number' => '38','translate_name' => '«يوم» ظرف لـ لا يملكون «يقوم الروح» جبريل أو جند الله «والملائكة صفا» حال، أي مصطفين «لا يتكلمون» أي الخلق «إلا من أذن له الرحمن» في الكلام «وقال» قولا «صوابا» من المؤمنين والملائكة كأن يشفعوا لمن ارتضى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24419','chapter_id' => '78','chapter_detail_id' => '5711','translator_id' => '4','verse_number' => '39','translate_name' => '«ذلك اليوم الحق» الثابت وقوعه وهو يوم القيامة «فمن شاء اتخذ إلى ربه مآبا» مرجعا، أي رجع إلى الله بطاعته ليسلم من العذاب فيه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24420','chapter_id' => '78','chapter_detail_id' => '5712','translator_id' => '4','verse_number' => '40','translate_name' => '«إنا أنذرناكم» يا كفار مكة «عذابا قريبا» عذاب يوم القيامة الآتي، وكل آت قريب «يوم» ظرف لعذابا بصفته «ينظر المرء» كل امرئ «ما قدمت يداه» من خير وشر «ويقول الكافر يا» حرف تنبيه «ليتني كنت ترابا» يعني فلا أعذب يقول ذلك عندما يقول الله تعالى للبهائم بعد الاقتصاص من بعضها لبعض: كوني ترابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24421','chapter_id' => '79','chapter_detail_id' => '5713','translator_id' => '4','verse_number' => '1','translate_name' => '«والنازعات» الملائكة تنزع أرواح الكفار «غرقا» نزعا بشدة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24422','chapter_id' => '79','chapter_detail_id' => '5714','translator_id' => '4','verse_number' => '2','translate_name' => '«والناشطات نشطا» الملائكة تنشط أرواح المؤمنين، أي تسلها برفق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24423','chapter_id' => '79','chapter_detail_id' => '5715','translator_id' => '4','verse_number' => '3','translate_name' => '«والسابحات سبحا» الملائكة تسبح من السماء بأمره تعالى، أي تنزل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24424','chapter_id' => '79','chapter_detail_id' => '5716','translator_id' => '4','verse_number' => '4','translate_name' => '«فالسابقات سبقا» الملائكة تسبق بأرواح المؤمنين إلى الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24425','chapter_id' => '79','chapter_detail_id' => '5717','translator_id' => '4','verse_number' => '5','translate_name' => '«فالمدبرات أمرا» الملائكة تدبر أمر الدنيا، أي تنزل بتدبيره، وجواب هذه الأقسام محذوف، أي لتبعثنَّ يا كفار مكة وهو عامل في.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24426','chapter_id' => '79','chapter_detail_id' => '5718','translator_id' => '4','verse_number' => '6','translate_name' => '«يوم ترجف الراجفة» النفخة الأولى بها يرجف كل شيء، أي يتزلزل فوصفت بما يحدث منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24427','chapter_id' => '79','chapter_detail_id' => '5719','translator_id' => '4','verse_number' => '7','translate_name' => '«تتبعها الرادفة» النفخة الثانية وبينهما أربعون سنة، والجملة حال من الراجفة، فاليوم واسع للنفختين وغيرهما فصح ظرفيته للبعث الواقع عقب الثانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24428','chapter_id' => '79','chapter_detail_id' => '5720','translator_id' => '4','verse_number' => '8','translate_name' => '«قلوب يومئذٍ واجفة» خائفة قلقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24429','chapter_id' => '79','chapter_detail_id' => '5721','translator_id' => '4','verse_number' => '9','translate_name' => '«أبصارها خاشعة» ذليلة لهول ما ترى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24430','chapter_id' => '79','chapter_detail_id' => '5722','translator_id' => '4','verse_number' => '10','translate_name' => '«يقولون» أي أرباب القلوب والأبصار استهزاء وإنكارا للبعث «أئنا» بتحقيق الهمزتين وتسهيل الثانية وإدخال الف بينهما على الوجهين في الموضعين «لمردودون في الحافرة» أي أنرد بعد الموت إلى الحياة، والحافرة: اسم لأول الأمر، ومنه رجع فلان في حافرته: إذا رجع من حيث جاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24431','chapter_id' => '79','chapter_detail_id' => '5723','translator_id' => '4','verse_number' => '11','translate_name' => '«أئذا كنا عظاما نخرة» وفي قراءة ناخرة بالية متفتتة نحيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24432','chapter_id' => '79','chapter_detail_id' => '5724','translator_id' => '4','verse_number' => '12','translate_name' => '«قالوا تلك» أي رجعتنا إلى الحياة «إذا» إن صحت «كرة» رجعة «خاسرة» ذات خسران قال تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24433','chapter_id' => '79','chapter_detail_id' => '5725','translator_id' => '4','verse_number' => '13','translate_name' => '«فإنما هي» أي الرادفة التي يعقبها البعث «زجرة» نفخة «واحدة» فإذا نفخت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24434','chapter_id' => '79','chapter_detail_id' => '5726','translator_id' => '4','verse_number' => '14','translate_name' => '«فإذا هم» أي كل الخلائق «بالساهرة» بوجه الأرض أحياءً بعدما كانوا ببطنها أمواتا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24435','chapter_id' => '79','chapter_detail_id' => '5727','translator_id' => '4','verse_number' => '15','translate_name' => '«هل أتاك» يا محمد «حديث موسى» عامل في.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24436','chapter_id' => '79','chapter_detail_id' => '5728','translator_id' => '4','verse_number' => '16','translate_name' => '«إذ ناداه ربه بالوادِ المقدس طوىً» اسم الوادي بالتنوين وتركه، فقال:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24437','chapter_id' => '79','chapter_detail_id' => '5729','translator_id' => '4','verse_number' => '17','translate_name' => '«اذهب إلى فرعون إنه طغى» تجاوز الحد في الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24438','chapter_id' => '79','chapter_detail_id' => '5730','translator_id' => '4','verse_number' => '18','translate_name' => '«فقل هل لك» أدعوك «إلى أن تزكى» وفي قراءة بتشديد الزاي بإدغام التاء الثانية في الأصل فيها: تتطهر من الشرك بأن تشهد أن لا إله إلا الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24439','chapter_id' => '79','chapter_detail_id' => '5731','translator_id' => '4','verse_number' => '19','translate_name' => '«وأهديك إلى ربك» أدلك على معرفته ببرهان «فتخشى» فتخافه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24440','chapter_id' => '79','chapter_detail_id' => '5732','translator_id' => '4','verse_number' => '20','translate_name' => '«فأراه الآية الكبرى» من آياته السبع وهي اليد أو العصا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24441','chapter_id' => '79','chapter_detail_id' => '5733','translator_id' => '4','verse_number' => '21','translate_name' => '«فكذب» فرعون موسى «وعصى» الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24442','chapter_id' => '79','chapter_detail_id' => '5734','translator_id' => '4','verse_number' => '22','translate_name' => '«ثم أدبر» عن الإيمان «يسعى» في الأرض بالفساد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24443','chapter_id' => '79','chapter_detail_id' => '5735','translator_id' => '4','verse_number' => '23','translate_name' => '«فحشر» جمع السحرة وجنده «فنادى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24444','chapter_id' => '79','chapter_detail_id' => '5736','translator_id' => '4','verse_number' => '24','translate_name' => '«فقال أنا ربكم الأعلى» لا رب فوقي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24445','chapter_id' => '79','chapter_detail_id' => '5737','translator_id' => '4','verse_number' => '25','translate_name' => '(فأخذه الله) أهلكه بالغرق (نكال) عقوبة (الآخرة) أي هذه الكلمة (والأولى) أي قوله قبلها: "" ما علمت لكم من إله غيري "" وكان بينهما أربعون سنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24446','chapter_id' => '79','chapter_detail_id' => '5738','translator_id' => '4','verse_number' => '26','translate_name' => '«إن في ذلك» المذكور «لعبرة لمن يخشى» الله تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24447','chapter_id' => '79','chapter_detail_id' => '5739','translator_id' => '4','verse_number' => '27','translate_name' => '«أأنتم» بتحقيق الهمزتين وإبدال الثانية ألفاً وتسهيلها وإدخال ألف بين المسهلة والأخرى وتركه، أي منكرو البعث «أشد خلقا أم السماء» أشد خلقا «بناها» بيان لكيفية خلقها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24448','chapter_id' => '79','chapter_detail_id' => '5740','translator_id' => '4','verse_number' => '28','translate_name' => '«رفع سمكها» تفسير لكيفية البناء، أي جعل سمتها في جهة العلو رفيعا، وقيل سمكها سقفها «فسواها» جعلها مستوية بلا عيب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24449','chapter_id' => '79','chapter_detail_id' => '5741','translator_id' => '4','verse_number' => '29','translate_name' => '«وأغطش ليلها» أظلمه «وأخرج ضحاها» أبرز نور شمسها وأضيف إليها الليل لأنه ظلها والشمس لأنها سراجها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24450','chapter_id' => '79','chapter_detail_id' => '5742','translator_id' => '4','verse_number' => '30','translate_name' => '«والأرض بعد ذلك دحاها» بسطها وكانت مخلوقة قبل السماء من غير دحو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24451','chapter_id' => '79','chapter_detail_id' => '5743','translator_id' => '4','verse_number' => '31','translate_name' => '«أخرج» حال بإضمار قد أي مخرجا «منها ماءها» بتفجير عيونها «ومرعاها» ما ترعاه النعم من الشجر والعشب وما يأكله الناس من الأقوات والثمار، وإطلاق المرعى عليه استعارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24452','chapter_id' => '79','chapter_detail_id' => '5744','translator_id' => '4','verse_number' => '32','translate_name' => '«والجبال أرساها» أثبتها على وجه الأرض لتسكن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24453','chapter_id' => '79','chapter_detail_id' => '5745','translator_id' => '4','verse_number' => '33','translate_name' => '«متاعا» مفعول له لمقدر، أي فعل ذلك متعة أو مصدر أي تمتيعا «لكم ولأنعامكم» جمع نعم وهي الإبل والبقر والغنم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24454','chapter_id' => '79','chapter_detail_id' => '5746','translator_id' => '4','verse_number' => '34','translate_name' => '«فإذا جاءت الطامة الكبرى» النفخة الثانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24455','chapter_id' => '79','chapter_detail_id' => '5747','translator_id' => '4','verse_number' => '35','translate_name' => '«يوم يتذكر الإنسان» بدل من إذا «ما سعى» في الدنيا من خير وشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24456','chapter_id' => '79','chapter_detail_id' => '5748','translator_id' => '4','verse_number' => '36','translate_name' => '«وبرزت» أظهرت «الجحيم» النار المحرقة «لمن يرى» لكل راءٍ وجواب إذا:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24457','chapter_id' => '79','chapter_detail_id' => '5749','translator_id' => '4','verse_number' => '37','translate_name' => '«فأما من طغى» كفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24458','chapter_id' => '79','chapter_detail_id' => '5750','translator_id' => '4','verse_number' => '38','translate_name' => '«وآثر الحياة الدنيا» باتباع الشهوات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24459','chapter_id' => '79','chapter_detail_id' => '5751','translator_id' => '4','verse_number' => '39','translate_name' => '«فإن الجحيم هي المأوى» مأواه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24460','chapter_id' => '79','chapter_detail_id' => '5752','translator_id' => '4','verse_number' => '40','translate_name' => '«وأما من خاف مقام ربه» قيامه بين يديه «ونهى النفس» الأمارة «عن الهوى» المردي باتباع الشهوات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24461','chapter_id' => '79','chapter_detail_id' => '5753','translator_id' => '4','verse_number' => '41','translate_name' => '«فإن الجنة هي المأوى» وحاصل الجواب: فالعاصي في النار والمطيع في الجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24462','chapter_id' => '79','chapter_detail_id' => '5754','translator_id' => '4','verse_number' => '42','translate_name' => '«يسَألونك» أي كفار مكة «عن الساعة أيان مرساها» متى وقوعها وقيامها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24463','chapter_id' => '79','chapter_detail_id' => '5755','translator_id' => '4','verse_number' => '43','translate_name' => '«فيم» في أي شيء «أنت من ذكراها» أي ليس عندك علمها حتى تذكرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24464','chapter_id' => '79','chapter_detail_id' => '5756','translator_id' => '4','verse_number' => '44','translate_name' => '«إلى ربك منتهاها» منتهى علمها لا يعلمه غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24465','chapter_id' => '79','chapter_detail_id' => '5757','translator_id' => '4','verse_number' => '45','translate_name' => '«إنما أنت منذر» إنما ينفع إنذارك «من يخشاها» يخافها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24466','chapter_id' => '79','chapter_detail_id' => '5758','translator_id' => '4','verse_number' => '46','translate_name' => '«كأنهم يوم يرونها لم يلبثوا» في قبورهم «إلا عشية أو ضحاها» عشية يوم أو بكرته وصح إضافة الضحى إلى العشية لما بينهما من الملابسة إذ هما طرفا النهار، وحسن الإضافة وقوع الكلمة فاصلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24467','chapter_id' => '80','chapter_detail_id' => '5759','translator_id' => '4','verse_number' => '1','translate_name' => '«عبس» النبي: كلح وجهه «وتولى» أعرضَ لأجل:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24468','chapter_id' => '80','chapter_detail_id' => '5760','translator_id' => '4','verse_number' => '2','translate_name' => '(أن جاءه الأعمى) عبد الله بن أم مكتوم فقطعه عما هو مشغول به ممن يرجو إسلامه من أشراف قريش الذين هو حريص على إسلامهم، ولم يدر الأعمى أنه مشغول بذلك فناداه: علمني مما علمك الله، فانصرف النبي صلى الله عليه وسلم إلى بيته فعوتب في ذلك بما نزل في هذه السورة، فكان بعد ذلك يقول له إذا جاء: "" مرحبا بمن عاتبني فيه ربي "" ويبسط له رداءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24469','chapter_id' => '80','chapter_detail_id' => '5761','translator_id' => '4','verse_number' => '3','translate_name' => '«وما يُدريك» يعلمك «لعله يزكى» فيه إدغام التاء في الأصل في الزاي، أي يتطهر من الذنوب بما يسمع منك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24470','chapter_id' => '80','chapter_detail_id' => '5762','translator_id' => '4','verse_number' => '4','translate_name' => '«أو يذكَّر» فيه إدغام التاء في الأصل في الذال أي يتعظ «فتنفعُه الذكرى» العظة المسموعة منك وفي قراءة بنصب تنفعه جواب الترجي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24471','chapter_id' => '80','chapter_detail_id' => '5763','translator_id' => '4','verse_number' => '5','translate_name' => '«أما من استغنى» بالمال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24472','chapter_id' => '80','chapter_detail_id' => '5764','translator_id' => '4','verse_number' => '6','translate_name' => '«فأنت له تصدى» وفي قراءة بتشديد الصاد بإدغام التاء الثانية في الأصل فيها: تقبل وتتعرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24473','chapter_id' => '80','chapter_detail_id' => '5765','translator_id' => '4','verse_number' => '7','translate_name' => '«وما عليك ألا يزكى» يؤمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24474','chapter_id' => '80','chapter_detail_id' => '5766','translator_id' => '4','verse_number' => '8','translate_name' => '«وأما من جاءك يسعى» حال من فاعل جاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24475','chapter_id' => '80','chapter_detail_id' => '5767','translator_id' => '4','verse_number' => '9','translate_name' => '«وهو يخشى» الله حال من فاعل يسعى وهو الأعمى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24476','chapter_id' => '80','chapter_detail_id' => '5768','translator_id' => '4','verse_number' => '10','translate_name' => '«فأنت عنه تَلَهَّى» فيه حذف التاء الأخرى في الأصل أي تتشاغل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24477','chapter_id' => '80','chapter_detail_id' => '5769','translator_id' => '4','verse_number' => '11','translate_name' => '«كلا» لا تفعل مثل ذلك «إنها» أي السورة أو الآيات «تذكرة» عظة للخلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24478','chapter_id' => '80','chapter_detail_id' => '5770','translator_id' => '4','verse_number' => '12','translate_name' => '«فمن شاء ذكره» حفظ ذلك فاتعظ به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24479','chapter_id' => '80','chapter_detail_id' => '5771','translator_id' => '4','verse_number' => '13','translate_name' => '«في صحف» خبر ثان لأنها وما قبله اعتراض «مكرمة» عند الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24480','chapter_id' => '80','chapter_detail_id' => '5772','translator_id' => '4','verse_number' => '14','translate_name' => '«مرفوعة» في السماء «مطهرة» منزهة عن مس الشياطين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24481','chapter_id' => '80','chapter_detail_id' => '5773','translator_id' => '4','verse_number' => '15','translate_name' => '«بأيدي سفرة» كتبة ينسخونها من اللوح المحفوظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24482','chapter_id' => '80','chapter_detail_id' => '5774','translator_id' => '4','verse_number' => '16','translate_name' => '«كرام بررة» مطيعين لله تعالى وهم الملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24483','chapter_id' => '80','chapter_detail_id' => '5775','translator_id' => '4','verse_number' => '17','translate_name' => '«قتل الإنسان» لعن الكافر «ما أكفره» استفهام توبيخ، أي ما حمله على الكفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24484','chapter_id' => '80','chapter_detail_id' => '5776','translator_id' => '4','verse_number' => '18','translate_name' => '«من أي شيءٍ خلقه» استفهام تقرير، ثم بينه فقال:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24485','chapter_id' => '80','chapter_detail_id' => '5777','translator_id' => '4','verse_number' => '19','translate_name' => '«من نطفة خلقه فقدره» علقة ثم مضغة إلى آخر خلقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24486','chapter_id' => '80','chapter_detail_id' => '5778','translator_id' => '4','verse_number' => '20','translate_name' => '«ثم السبيل» أي طريق خروجه من بطن أمه «يَسَّره».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24487','chapter_id' => '80','chapter_detail_id' => '5779','translator_id' => '4','verse_number' => '21','translate_name' => '«ثم أماته فأقبره» جعله في قبر يستره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24488','chapter_id' => '80','chapter_detail_id' => '5780','translator_id' => '4','verse_number' => '22','translate_name' => '«ثم إذا شاء أنشره» للبعث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24489','chapter_id' => '80','chapter_detail_id' => '5781','translator_id' => '4','verse_number' => '23','translate_name' => '«كلا» حقا «لمَّا يقض» لم يفعل «ما أمره» به ربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24490','chapter_id' => '80','chapter_detail_id' => '5782','translator_id' => '4','verse_number' => '24','translate_name' => '«فلينظر الإنسان» نظر اعتبار «إلى طعامه» كيف قدر ودبر له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24491','chapter_id' => '80','chapter_detail_id' => '5783','translator_id' => '4','verse_number' => '25','translate_name' => '«أنا صببنا الماء» من السحاب «صبا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24492','chapter_id' => '80','chapter_detail_id' => '5784','translator_id' => '4','verse_number' => '26','translate_name' => '«ثم شققنا الأرض» بالنبات «شقا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24493','chapter_id' => '80','chapter_detail_id' => '5785','translator_id' => '4','verse_number' => '27','translate_name' => '«فأنبتنا فيها حبا» كالحنطة والشعير.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24494','chapter_id' => '80','chapter_detail_id' => '5786','translator_id' => '4','verse_number' => '28','translate_name' => '«وعنبا وقضبا» هو القت الرطب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24495','chapter_id' => '80','chapter_detail_id' => '5787','translator_id' => '4','verse_number' => '29','translate_name' => '«وزيتونا ونخلا».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24496','chapter_id' => '80','chapter_detail_id' => '5788','translator_id' => '4','verse_number' => '30','translate_name' => '«وحدائق غلبا» بساتين كثيرة الأشجار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24497','chapter_id' => '80','chapter_detail_id' => '5789','translator_id' => '4','verse_number' => '31','translate_name' => '«وفاكهة وأبّا» ما ترعاه البهائم وقيل التبن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24498','chapter_id' => '80','chapter_detail_id' => '5790','translator_id' => '4','verse_number' => '32','translate_name' => '«متاعا» متعة أو تمتيعا كما تقدم في السورة قبلها «لكم ولأنعامكم» تقدم فيها أيضا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24499','chapter_id' => '80','chapter_detail_id' => '5791','translator_id' => '4','verse_number' => '33','translate_name' => '«فإذا جاءت الصاخة» النفخة الثانية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24500','chapter_id' => '80','chapter_detail_id' => '5792','translator_id' => '4','verse_number' => '34','translate_name' => '«يوم يفر المرء من أخيه».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24501','chapter_id' => '80','chapter_detail_id' => '5793','translator_id' => '4','verse_number' => '35','translate_name' => '«وأمه وأبيه».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24502','chapter_id' => '80','chapter_detail_id' => '5794','translator_id' => '4','verse_number' => '36','translate_name' => '«وصاحبته» زوجته «وبنيه» يوم بدل من إذا، وجوابها دل عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24503','chapter_id' => '80','chapter_detail_id' => '5795','translator_id' => '4','verse_number' => '37','translate_name' => '«لكل امرىءٍ منهم يومئذ شأن يغنيه» حال يشغله عن شأن غيره، أي اشتغل كل واحد بنفسه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24504','chapter_id' => '80','chapter_detail_id' => '5796','translator_id' => '4','verse_number' => '38','translate_name' => 'وجوه يومئذ مسفرة» مضيئة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24505','chapter_id' => '80','chapter_detail_id' => '5797','translator_id' => '4','verse_number' => '39','translate_name' => '«ضاحكة مستبشرة» فرحة وهم المؤمنون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24506','chapter_id' => '80','chapter_detail_id' => '5798','translator_id' => '4','verse_number' => '40','translate_name' => '«ووجوه يومئذ عليها غَبَرة» غبار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24507','chapter_id' => '80','chapter_detail_id' => '5799','translator_id' => '4','verse_number' => '41','translate_name' => '«ترهقها» تغشاها «قترة» ظلمة وسواد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24508','chapter_id' => '80','chapter_detail_id' => '5800','translator_id' => '4','verse_number' => '42','translate_name' => '«أولئك» أهل هذه الحال «هم الكفرة الفجرة» أي الجامعون بين الكفر والفجور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24509','chapter_id' => '81','chapter_detail_id' => '5801','translator_id' => '4','verse_number' => '1','translate_name' => '«إذا الشمس كوِّرت» لففت وذهب بنورها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24510','chapter_id' => '81','chapter_detail_id' => '5802','translator_id' => '4','verse_number' => '2','translate_name' => '«وإذا النجوم انكدرت» انقضت وتساقطت على الأرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24511','chapter_id' => '81','chapter_detail_id' => '5803','translator_id' => '4','verse_number' => '3','translate_name' => '«وإذا الجبال سيِّرت» ذهب بها عن وجه الأرض فصارت هباءً منبثا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24512','chapter_id' => '81','chapter_detail_id' => '5804','translator_id' => '4','verse_number' => '4','translate_name' => '«وإذا العشار» النوق الحوامل «عُطلت» تركت بلا راع أو بلا حلب لما دهاهم من الأمر، وإن لم يكن مال أعجب إليهم منها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24513','chapter_id' => '81','chapter_detail_id' => '5805','translator_id' => '4','verse_number' => '5','translate_name' => '«وإذا الوحوش حشرت» جمعت بعد البعث ليقتص لبعض من بعض ثم تصير ترابا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24514','chapter_id' => '81','chapter_detail_id' => '5806','translator_id' => '4','verse_number' => '6','translate_name' => '«وإذا البحار سجِّرت» بالتخفيف والتشديد: أوقدت فصارت نارا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24515','chapter_id' => '81','chapter_detail_id' => '5807','translator_id' => '4','verse_number' => '7','translate_name' => '«وإذا النفوس زوجت» قرنت بأجسادها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24516','chapter_id' => '81','chapter_detail_id' => '5808','translator_id' => '4','verse_number' => '8','translate_name' => '«وإذا الموءودة» الجارية تدفن حية خوف العار والحاجة «سئلت» تبكيتا لقاتلها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24517','chapter_id' => '81','chapter_detail_id' => '5809','translator_id' => '4','verse_number' => '9','translate_name' => '«بأي ذنب قتلت» وقرئ بكسر التاء حكاية لما تخاطب به وجوابها أن تقول: قتلت بلا ذنب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24518','chapter_id' => '81','chapter_detail_id' => '5810','translator_id' => '4','verse_number' => '10','translate_name' => '«وإذا الصحف» صحف الأعمال «نشرت» بالتخفيف والتشديد فتح وبسطت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24519','chapter_id' => '81','chapter_detail_id' => '5811','translator_id' => '4','verse_number' => '11','translate_name' => '«وإذا السماء كشطت» نزعت عن أماكنها كما ينزع الجلد عن الشاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24520','chapter_id' => '81','chapter_detail_id' => '5812','translator_id' => '4','verse_number' => '12','translate_name' => '«وإذا الجحيم» النار «سعرت» بالتخفيف والتشديد أُججت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24521','chapter_id' => '81','chapter_detail_id' => '5813','translator_id' => '4','verse_number' => '13','translate_name' => '«وإذا الجنة أزلفت» قربت لأهلها ليدخلوها وجواب إذا أول السورة وما عطف عليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24522','chapter_id' => '81','chapter_detail_id' => '5814','translator_id' => '4','verse_number' => '14','translate_name' => '«علمت نفس» كل نفس وقت هذه المذكورات وهو يوم القيامة «ما أحضرت» من خير وشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24523','chapter_id' => '81','chapter_detail_id' => '5815','translator_id' => '4','verse_number' => '15','translate_name' => '«فلا أقسم» لا زائدة «بالخُنَّس».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24524','chapter_id' => '81','chapter_detail_id' => '5816','translator_id' => '4','verse_number' => '16','translate_name' => '«الجوار الكنَّس» هي النجوم الخمسة: زحل والمشتري والمريخ والزهرة وعطارد، تخنس بضم النون، أي ترجع في مجراها وراءها، بينما نرى النجم في آخر البرج إذ كَّر راجعا إلى أوله، وتكنس بكسر النون: تدخل في كناسها، أي تغيب في المواضع التي تغيب فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24525','chapter_id' => '81','chapter_detail_id' => '5817','translator_id' => '4','verse_number' => '17','translate_name' => '«والليل إذا عسعس» أقبل بظلامه أو أدبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24526','chapter_id' => '81','chapter_detail_id' => '5818','translator_id' => '4','verse_number' => '18','translate_name' => '«والصبح إذا تنفس» امتد حتى يصير نهارا بينا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24527','chapter_id' => '81','chapter_detail_id' => '5819','translator_id' => '4','verse_number' => '19','translate_name' => '«إنه» أي القرآن «لقول رسول كريم» على الله تعالى وهو جبريل أضيف إليه لنزوله به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24528','chapter_id' => '81','chapter_detail_id' => '5820','translator_id' => '4','verse_number' => '20','translate_name' => '«ذي قوة» أي شديد القوى «عند ذي العرش» أي الله تعالى «مكين» ذي مكانة متعلق به عند.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24529','chapter_id' => '81','chapter_detail_id' => '5821','translator_id' => '4','verse_number' => '21','translate_name' => '«مطاع ثَمَّ» تطيعه الملائكة في السماوات «أمين» على الوحي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24530','chapter_id' => '81','chapter_detail_id' => '5822','translator_id' => '4','verse_number' => '22','translate_name' => '«وما صاحبكم» محمد صلى الله عليه وسلم عطف على إنه إلى آخر المقسم عليه «بمجنون» كما زعمتم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24531','chapter_id' => '81','chapter_detail_id' => '5823','translator_id' => '4','verse_number' => '23','translate_name' => '«ولقد رآه» رأى محمد صلى الله عليه وسلم جبريل على صورته التي خُلق عليها «بالأفق المبين» البيِّن وهو الأعلى بناحية المشرق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24532','chapter_id' => '81','chapter_detail_id' => '5824','translator_id' => '4','verse_number' => '24','translate_name' => '«وما هو» محمد صلى الله عليه وسلم «على الغيب» ما غاب من الوحي وخبر السماء «بظنين» أي بمتهم، وفي قراءة بالضاد، أي ببخيل فينتقص شيئا منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24533','chapter_id' => '81','chapter_detail_id' => '5825','translator_id' => '4','verse_number' => '25','translate_name' => '«وما هو» أي القرآن «بقول شيطان» مسترق السمع «رجيم» مرجوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24534','chapter_id' => '81','chapter_detail_id' => '5826','translator_id' => '4','verse_number' => '26','translate_name' => '«فأين تذهبون» فبأي طريق تسلكون في إنكاركم القرآن وإعراضكم عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24535','chapter_id' => '81','chapter_detail_id' => '5827','translator_id' => '4','verse_number' => '27','translate_name' => '«إن» ما «هو إلا ذكر» عظة «للعالمين» الإنس والجن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24536','chapter_id' => '81','chapter_detail_id' => '5828','translator_id' => '4','verse_number' => '28','translate_name' => '«لمن شاء منكم» بدل من العالمين بإعادة الجار «أن يستقيم» باتباع الحق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24537','chapter_id' => '81','chapter_detail_id' => '5829','translator_id' => '4','verse_number' => '29','translate_name' => '«وما تشاءون» الاستقامة على حق «إلا أن يشاء الله رب العالمين» الخلائق استقامتكم عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24538','chapter_id' => '82','chapter_detail_id' => '5830','translator_id' => '4','verse_number' => '1','translate_name' => '«إذا السماء انفطرت» انشقت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24539','chapter_id' => '82','chapter_detail_id' => '5831','translator_id' => '4','verse_number' => '2','translate_name' => '«وإذا الكواكب انتثرت» انقضت وتساقطت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24540','chapter_id' => '82','chapter_detail_id' => '5832','translator_id' => '4','verse_number' => '3','translate_name' => '«وإذا البحار فُجِّرت» فتح بعضها في بعض فصارت بحرا واحدا واختلط العذب بالملح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24541','chapter_id' => '82','chapter_detail_id' => '5833','translator_id' => '4','verse_number' => '4','translate_name' => '«وإذا القبور بُعثرت» قلب ترابها وبعث موتاها وجواب إذا وما عطف عليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24542','chapter_id' => '82','chapter_detail_id' => '5834','translator_id' => '4','verse_number' => '5','translate_name' => '«علمت نفس» أي كل نفس وقت هذه المذكورات وهو يوم القيامة «ما قدمت» من الأعمال «و» ما «أَخَّرت» منها فلم تعمله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24543','chapter_id' => '82','chapter_detail_id' => '5835','translator_id' => '4','verse_number' => '6','translate_name' => '«يا أيها الإنسان» الكافر «ما غرَّك بربك الكريم» حتى عصيته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24544','chapter_id' => '82','chapter_detail_id' => '5836','translator_id' => '4','verse_number' => '7','translate_name' => '«الذي خلقك» بعد أن لم تكن «فسوَّاك» جعلك مستوي الخلقة، سالم الأعضاء «فعدَلك» بالتخفيف والتشديد: جعلك معتدل الخلق متناسب الأعضاء ليست يد أو رجل أطول من الأخرى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24545','chapter_id' => '82','chapter_detail_id' => '5837','translator_id' => '4','verse_number' => '8','translate_name' => '«في أي صورة ما» صلة «شاء ركَّبك».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24546','chapter_id' => '82','chapter_detail_id' => '5838','translator_id' => '4','verse_number' => '9','translate_name' => '«كلا» ردع عن الاغترار بكرم الله تعالى «بل تكذبون» أي كفار مكة «بالدين» بالجزاء على الأعمال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24547','chapter_id' => '82','chapter_detail_id' => '5839','translator_id' => '4','verse_number' => '10','translate_name' => '«وإن عليكم لحافظين» من الملائكة لأعمالكم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24548','chapter_id' => '82','chapter_detail_id' => '5840','translator_id' => '4','verse_number' => '11','translate_name' => '«كِراما» على الله «كاتبين» لها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24549','chapter_id' => '82','chapter_detail_id' => '5841','translator_id' => '4','verse_number' => '12','translate_name' => '«يعلمون ما تفعلون» جميعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24550','chapter_id' => '82','chapter_detail_id' => '5842','translator_id' => '4','verse_number' => '13','translate_name' => '«إن الأبرار» المؤمنين الصادقين في إيمانهم «لفي نعيم» جنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24551','chapter_id' => '82','chapter_detail_id' => '5843','translator_id' => '4','verse_number' => '14','translate_name' => '«وإن الفجار الكفار «لفي جحيم» نار محرقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24552','chapter_id' => '82','chapter_detail_id' => '5844','translator_id' => '4','verse_number' => '15','translate_name' => '«يصلونها» يدخلونها ويقاسون حرَّها «يوم الدين» الجزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24553','chapter_id' => '82','chapter_detail_id' => '5845','translator_id' => '4','verse_number' => '16','translate_name' => '«وما هم عنها بغائبين» بمخرجين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24554','chapter_id' => '82','chapter_detail_id' => '5846','translator_id' => '4','verse_number' => '17','translate_name' => '«وما أدراك» أعلمك «ما يوم الدين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24555','chapter_id' => '82','chapter_detail_id' => '5847','translator_id' => '4','verse_number' => '18','translate_name' => '«ثم ما أدراك ما يومُ الدين» تعظيم لشأنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24556','chapter_id' => '82','chapter_detail_id' => '5848','translator_id' => '4','verse_number' => '19','translate_name' => '«يوم» بالرفع، أي هو يوم «لا تملك نفس لنفس شيئا» من المنفعة «والأمر يومئذ لله» لا أمر لغيره فيه، أي لم يمكن أحدا من التوسط فيه بخلاف الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24557','chapter_id' => '83','chapter_detail_id' => '5849','translator_id' => '4','verse_number' => '1','translate_name' => '«ويل» كلمة عذاب، أو واد في جهنم «للمطففين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24558','chapter_id' => '83','chapter_detail_id' => '5850','translator_id' => '4','verse_number' => '2','translate_name' => '«الذين إذا اكتالوا على» أي من «الناس يستوفون» الكيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24559','chapter_id' => '83','chapter_detail_id' => '5851','translator_id' => '4','verse_number' => '3','translate_name' => '«وإذا كالوهم» أي كالوا لهم «أو وزنوهم» أي وزنوا لهم «يُخْسِرون» ينقصون الكيل أو الوزن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24560','chapter_id' => '83','chapter_detail_id' => '5852','translator_id' => '4','verse_number' => '4','translate_name' => '«ألا» استفهام توبيخ «يظن» يتيقن «أولئك أنهم مبعوثون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24561','chapter_id' => '83','chapter_detail_id' => '5853','translator_id' => '4','verse_number' => '5','translate_name' => '«ليوم عظيم» أي فيه وهو يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24562','chapter_id' => '83','chapter_detail_id' => '5854','translator_id' => '4','verse_number' => '6','translate_name' => '«يوم» بدل من محل ليوم فناصبه مبعوثون «يقوم الناس» من قبورهم «لرب العالمين» الخلائق لأجل أمره وحسابه وجزائه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24563','chapter_id' => '83','chapter_detail_id' => '5855','translator_id' => '4','verse_number' => '7','translate_name' => '«كلا» حقا «إن كتاب الفجَّار» أي كتاب أعمال «لفي سجّين» قيل هو كتاب جامع لأعمال الشياطين والكفرة، وقيل هو مكان أسفل الأرض السابعة وهو إبليس وجنوده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24564','chapter_id' => '83','chapter_detail_id' => '5856','translator_id' => '4','verse_number' => '8','translate_name' => '«وما أدراك ما سجين» ما كتاب سجين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24565','chapter_id' => '83','chapter_detail_id' => '5857','translator_id' => '4','verse_number' => '9','translate_name' => '«كتاب مرقوم» مختوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24566','chapter_id' => '83','chapter_detail_id' => '5858','translator_id' => '4','verse_number' => '10','translate_name' => '«ويل يومئذ للمكذبين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24567','chapter_id' => '83','chapter_detail_id' => '5859','translator_id' => '4','verse_number' => '11','translate_name' => '«الذين يكذبون بيوم الدين» الجزاء بدل أو بيان للمكذبين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24568','chapter_id' => '83','chapter_detail_id' => '5860','translator_id' => '4','verse_number' => '12','translate_name' => '«وما يكذب به إلا كل معتدٍ» متجاوز الحد «أثيم» صيغة مبالغة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24569','chapter_id' => '83','chapter_detail_id' => '5861','translator_id' => '4','verse_number' => '13','translate_name' => '«إذا تتلى عليه آياتنا» القرآن «قال أساطير الأولين» الحكايات التي سطرت قديما جمع أسطورة بالضم أو إسطارة بالكسر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24570','chapter_id' => '83','chapter_detail_id' => '5862','translator_id' => '4','verse_number' => '14','translate_name' => '«كلا» ردع وزجر لقولهم ذلك «بل ران» غلب «على قلوبهم» فغشيها «ما كانوا يكسبون» من المعاصي فهو كالصدأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24571','chapter_id' => '83','chapter_detail_id' => '5863','translator_id' => '4','verse_number' => '15','translate_name' => '«كلا» حقا «إنهم عن ربهم يومئذ» يوم القيامة «لمحجوبون» فلا يرونه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24572','chapter_id' => '83','chapter_detail_id' => '5864','translator_id' => '4','verse_number' => '16','translate_name' => '«ثم إنهم لصالوا الجحيم» لداخلوا النار المحرقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24573','chapter_id' => '83','chapter_detail_id' => '5865','translator_id' => '4','verse_number' => '17','translate_name' => '«ثم يقال» لهم «هذا» أي العذاب «الذي كنتم به تكذبون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24574','chapter_id' => '83','chapter_detail_id' => '5866','translator_id' => '4','verse_number' => '18','translate_name' => '«كلا» حقا «إن كتاب الأبرار» أي كتاب أعمال المؤمنين الصادقين في إيمانهم «لفي عليين» قيل هو كتاب جامع لأعمال الخير من الملائكة ومؤمني الثقلين، وقيل هو مكان في السماء السابعة تحت العرش.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24575','chapter_id' => '83','chapter_detail_id' => '5867','translator_id' => '4','verse_number' => '19','translate_name' => '«وما أدراك» أعلمك «ما عليون» ما كتاب عليين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24576','chapter_id' => '83','chapter_detail_id' => '5868','translator_id' => '4','verse_number' => '20','translate_name' => 'هو «كتاب مرقوم» مختوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24577','chapter_id' => '83','chapter_detail_id' => '5869','translator_id' => '4','verse_number' => '21','translate_name' => '«يشهده المقربون» من الملائكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24578','chapter_id' => '83','chapter_detail_id' => '5870','translator_id' => '4','verse_number' => '22','translate_name' => '«إن الأبرار لفي نعيم» جنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24579','chapter_id' => '83','chapter_detail_id' => '5871','translator_id' => '4','verse_number' => '23','translate_name' => '«على الأرائك» السرر في الحجال «ينظرون» ما أعطوا من النعيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24580','chapter_id' => '83','chapter_detail_id' => '5872','translator_id' => '4','verse_number' => '24','translate_name' => '«تعرف في وجوههم نضرة النعيم» بهجة التنعم وَحُسنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24581','chapter_id' => '83','chapter_detail_id' => '5873','translator_id' => '4','verse_number' => '25','translate_name' => '«يُسقوْن من رحيق» خمر خالصة من الدنس «مختوم» على إنائها لا يفك ختمه غيرهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24582','chapter_id' => '83','chapter_detail_id' => '5874','translator_id' => '4','verse_number' => '26','translate_name' => '«ختامه مسك» أي آخر شربه تفوح من رائحة المسك «وفي ذلك فليتنافس المتنافسون» فليرغبوا بالمبادرة إلى طاعة الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24583','chapter_id' => '83','chapter_detail_id' => '5875','translator_id' => '4','verse_number' => '27','translate_name' => '«ومزاجه» أي ما يمزج به «من تسنيم» فُسر بقوله:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24584','chapter_id' => '83','chapter_detail_id' => '5876','translator_id' => '4','verse_number' => '28','translate_name' => '«عينا» فنصبه بأمدح مقدرا «يشرب بها المقربون» منها، أو ضمن يشرب معنى يلتذ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24585','chapter_id' => '83','chapter_detail_id' => '5877','translator_id' => '4','verse_number' => '29','translate_name' => '«إن الذين أجرموا» كأبي جهل ونحوه «كانوا من الذين آمنوا» كعمار وبلال ونحوهما «يضحكون» استهزاءً بهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24586','chapter_id' => '83','chapter_detail_id' => '5878','translator_id' => '4','verse_number' => '30','translate_name' => '«وإذا مروا» أي المؤمنون «بهم يتغامزون» يشير المجرمون إلى المؤمنين بالجفن والحاجب استهزاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24587','chapter_id' => '83','chapter_detail_id' => '5879','translator_id' => '4','verse_number' => '31','translate_name' => '«وإذا انقلبوا» رجعوا «إلى أهلهم انقلبوا فاكهين» وفي قراءة فكهين معجبين بذكرهم المؤمنين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24588','chapter_id' => '83','chapter_detail_id' => '5880','translator_id' => '4','verse_number' => '32','translate_name' => '«وإذا رأوْهم» أي المؤمنين «قالوا إن هؤلاء لضالون» لإيمانهم بمحمد صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24589','chapter_id' => '83','chapter_detail_id' => '5881','translator_id' => '4','verse_number' => '33','translate_name' => 'قال تعالى: «وما أرسلوا» أي الكفار «عليهم» على المؤمنين «حافظين» لهم أو لأعمالهم حتى يدروهم إلى مصالحهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24590','chapter_id' => '83','chapter_detail_id' => '5882','translator_id' => '4','verse_number' => '34','translate_name' => '«فاليوم» أي يوم القيامة «الذين آمنوا من الكفار يضحكون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24591','chapter_id' => '83','chapter_detail_id' => '5883','translator_id' => '4','verse_number' => '35','translate_name' => '«على الأرائك» في الجنة «ينظرون» من منازلهم إلى الكفار وهم يعذبون فيضحكون منهم كما ضحك الكفار منهم في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24592','chapter_id' => '83','chapter_detail_id' => '5884','translator_id' => '4','verse_number' => '36','translate_name' => '«هل ثُوِّبَ» جوزي «الكفار ما كانوا يفعلون» نعم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24593','chapter_id' => '84','chapter_detail_id' => '5885','translator_id' => '4','verse_number' => '1','translate_name' => '«إذا السماء انشقت».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24594','chapter_id' => '84','chapter_detail_id' => '5886','translator_id' => '4','verse_number' => '2','translate_name' => '«وأذنت» سمعت وأطاعت في الانشقاق «لربها وحقت» أي وحق لها أن تسمع وتطيع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24595','chapter_id' => '84','chapter_detail_id' => '5887','translator_id' => '4','verse_number' => '3','translate_name' => '«وإذا الأرض مدت» زيد في سعتها كما يمد الأديم ولم يبق عليها بناء ولا جبل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24596','chapter_id' => '84','chapter_detail_id' => '5888','translator_id' => '4','verse_number' => '4','translate_name' => '«وألقت ما فيها» من الموتى إلى ظاهرها «وتخلت» عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24597','chapter_id' => '84','chapter_detail_id' => '5889','translator_id' => '4','verse_number' => '5','translate_name' => '«وأذنت» سمعت وأطاعت في ذلك «لربها وحقت» وذلك كله يكون يوم القيامة، وجواب إذا وما عطف عليها محذوف دل عليه ما بعده تقديره لقي الإنسان عمله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24598','chapter_id' => '84','chapter_detail_id' => '5890','translator_id' => '4','verse_number' => '6','translate_name' => '«يا أيها الإنسان إنك كادح» جاهد في عملك «إلى» لقاء «ربك» وهو الموت «كدحا فملاقيه» أي ملاق عملك المذكور من خير أو شر يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24599','chapter_id' => '84','chapter_detail_id' => '5891','translator_id' => '4','verse_number' => '7','translate_name' => '«فأما من أوتي كتابه» كتاب عمله «بيمينه» هو المؤمن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24600','chapter_id' => '84','chapter_detail_id' => '5892','translator_id' => '4','verse_number' => '8','translate_name' => '(فسوف يحاسب حسابا يسيرا) هو عرض عمله عليه كما في حديث الصحيحين وفيه "" من نوقش الحساب هلك "" وبعد العرض يتجاوز عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24601','chapter_id' => '84','chapter_detail_id' => '5893','translator_id' => '4','verse_number' => '9','translate_name' => '«وينقلب إلى أهله» في الجنة «مسرورا» بذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24602','chapter_id' => '84','chapter_detail_id' => '5894','translator_id' => '4','verse_number' => '10','translate_name' => '«وأما من أوتي كتابه وراء ظهره» هو الكافر تغل يمناه إلى عنقه وتجعل يسراه وراء ظهره فيأخذ بها كتابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24603','chapter_id' => '84','chapter_detail_id' => '5895','translator_id' => '4','verse_number' => '11','translate_name' => '«فسوف يدعو» عند رؤيته ما فيه «ثبورا» ينادي هلاكه بقوله: يا ثبوراه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24604','chapter_id' => '84','chapter_detail_id' => '5896','translator_id' => '4','verse_number' => '12','translate_name' => '«ويصلى سعيرا» يدخل النار الشديدة وفي قراءة بضم الياء وفتح الصاد واللام المشددة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24605','chapter_id' => '84','chapter_detail_id' => '5897','translator_id' => '4','verse_number' => '13','translate_name' => '«إنه كان في أهله» عشيرته في الدنيا «مسرورا» بطرا باتباعه لهواه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24606','chapter_id' => '84','chapter_detail_id' => '5898','translator_id' => '4','verse_number' => '14','translate_name' => '«إنه ظن أن» مخففة من الثقيلة واسمها محذوف، أي أنه «لن يحور» يرجع إلى ربه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24607','chapter_id' => '84','chapter_detail_id' => '5899','translator_id' => '4','verse_number' => '15','translate_name' => '«بلى» يرجع إليه «إن ربه كان به بصيرا» عالما برجوعه إليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24608','chapter_id' => '84','chapter_detail_id' => '5900','translator_id' => '4','verse_number' => '16','translate_name' => '«فلا أقسم» لا زائدة «بالشفق» هو الحمرة في الأفق بعد غروب الشمس.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24609','chapter_id' => '84','chapter_detail_id' => '5901','translator_id' => '4','verse_number' => '17','translate_name' => '«والليل وما وسق» جمع ما دخل عليه من الدواب وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24610','chapter_id' => '84','chapter_detail_id' => '5902','translator_id' => '4','verse_number' => '18','translate_name' => '«والقمر إذا اتسق» اجتمع وتم نوره وذلك في الليالي البيض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24611','chapter_id' => '84','chapter_detail_id' => '5903','translator_id' => '4','verse_number' => '19','translate_name' => '«لتركبن» أيها الناس أصله تركبونن حذفت نون الرفع لتوالي الأمثال والواو لالتقاء الساكنين «طبقا عن طبق» حالا بعد حال، وهو الموت ثم الحياة وما بعدها من أحوال القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24612','chapter_id' => '84','chapter_detail_id' => '5904','translator_id' => '4','verse_number' => '20','translate_name' => '«فما لهم» أي الكفار «لا يؤمنون» أي أيُّ مانع من الإيمان أو أي حجة لهم في تركه مع وجود براهينه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24613','chapter_id' => '84','chapter_detail_id' => '5905','translator_id' => '4','verse_number' => '21','translate_name' => '«و» مالهم «إذا قُرىءَ عليهم القرآن لا يسجدون» يخضعون بأن يؤمنوا به لإعجازه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24614','chapter_id' => '84','chapter_detail_id' => '5906','translator_id' => '4','verse_number' => '22','translate_name' => '«بل الذين كفروا يكذبون» بالبعث وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24615','chapter_id' => '84','chapter_detail_id' => '5907','translator_id' => '4','verse_number' => '23','translate_name' => '«والله أعلم بما يوعون» يجمعون في صحفهم من الكفر والتكذيب وأعمال السوء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24616','chapter_id' => '84','chapter_detail_id' => '5908','translator_id' => '4','verse_number' => '24','translate_name' => '«فبشرهم» أخبرهم «بعذاب أليم» مؤلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24617','chapter_id' => '84','chapter_detail_id' => '5909','translator_id' => '4','verse_number' => '25','translate_name' => '«إلا» لكن «الذين آمنوا وعملوا الصالحات لهم أجر غير ممنون» غير مقطوع ولا منقوص ولا يُمَنُّ به عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24618','chapter_id' => '85','chapter_detail_id' => '5910','translator_id' => '4','verse_number' => '1','translate_name' => '«والسماء ذات البروج» الكواكب اثني عشر برجا تقدَّمت في الفرقان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24619','chapter_id' => '85','chapter_detail_id' => '5911','translator_id' => '4','verse_number' => '2','translate_name' => '«واليوم الموعود» يوم القيامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24620','chapter_id' => '85','chapter_detail_id' => '5912','translator_id' => '4','verse_number' => '3','translate_name' => '«وشاهد» يوم الجمعة «ومشهود» يوم عرفة كذا فسرت الثلاثة في الحديث فالأول موعود به والثاني شاهد بالعمل فيه، والثالث تشهده الناس والملائكة، وجواب القسم محذوف صدره، تقديره لقد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24621','chapter_id' => '85','chapter_detail_id' => '5913','translator_id' => '4','verse_number' => '4','translate_name' => '«قتل» لعن «أصحاب الأخدود» الشق في الأرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24622','chapter_id' => '85','chapter_detail_id' => '5914','translator_id' => '4','verse_number' => '5','translate_name' => '«النار» بدل اشتمال منه «ذات الوقود» ما توقد به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24623','chapter_id' => '85','chapter_detail_id' => '5915','translator_id' => '4','verse_number' => '6','translate_name' => '«إذ هم عليها» حولها على جانب الأخدود على الكراسي «قعود».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24624','chapter_id' => '85','chapter_detail_id' => '5916','translator_id' => '4','verse_number' => '7','translate_name' => '«وهم على ما يفعلون بالمؤمنين» بالله من تعذيبهم بالإلقاء في النار إن لم يرجعوا عن إيمانهم «شهود» حضور، رُوي أن الله أَنجى المؤمنين الملقين في النار بقبض أرواحهم قبل وقوعهم فيها وخرجت النار إلى من ثَمَّ فأحرقتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24625','chapter_id' => '85','chapter_detail_id' => '5917','translator_id' => '4','verse_number' => '8','translate_name' => '«وما نقموا منهم إلا أن يؤمنوا بالله العزيز» في ملكه «الحميد» المحمود.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24626','chapter_id' => '85','chapter_detail_id' => '5918','translator_id' => '4','verse_number' => '9','translate_name' => '«الذي له ملك السماوات والأرض والله على كل شيءٍ شهيد» أي ما أنكر الكفار على المؤمنين إلا إيمانهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24627','chapter_id' => '85','chapter_detail_id' => '5919','translator_id' => '4','verse_number' => '10','translate_name' => '«إن الذين فتنوا المؤمنين والمؤمنات» بالإحراق «ثم لم يتوبوا فلهم عذاب جهنم» بكفرهم «ولهم عذاب الحريق» أي عذاب إحراقهم المؤمنين في الآخرة، وقيل في الدنيا بأن أخرجت النار فأحرقتهم كما تقدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24628','chapter_id' => '85','chapter_detail_id' => '5920','translator_id' => '4','verse_number' => '11','translate_name' => '«إن الذين آمنوا وعملوا الصالحات لهم جنات تجري من تحتها الأنهار ذلك الفوز الكبير».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24629','chapter_id' => '85','chapter_detail_id' => '5921','translator_id' => '4','verse_number' => '12','translate_name' => '«إن بطش ربك» بالكفار «لشديد» بحسب إرادته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24630','chapter_id' => '85','chapter_detail_id' => '5922','translator_id' => '4','verse_number' => '13','translate_name' => '«إنه هو يبدىءُ» الخلق «ويعيد» فلا يعجزه ما يريد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24631','chapter_id' => '85','chapter_detail_id' => '5923','translator_id' => '4','verse_number' => '14','translate_name' => '«وهو الغفور» للمذنبين المؤمنين «الودود» المتودد إلى أوليائه بالكرامة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24632','chapter_id' => '85','chapter_detail_id' => '5924','translator_id' => '4','verse_number' => '15','translate_name' => '«ذو العرش» خالقه ومالكه «المجيد» بالرفع: المستحق لكمال صفات العلوّ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24633','chapter_id' => '85','chapter_detail_id' => '5925','translator_id' => '4','verse_number' => '16','translate_name' => '«فعَّال لما يريد» لا يعجزه شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24634','chapter_id' => '85','chapter_detail_id' => '5926','translator_id' => '4','verse_number' => '17','translate_name' => '«هل أتاك» يا محمد «حديث الجنود».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24635','chapter_id' => '85','chapter_detail_id' => '5927','translator_id' => '4','verse_number' => '18','translate_name' => '«فرعون وثمود» بدل من الجنود واستغني بذكر فرعون عن أتباعه، وحديثهم أنهم أُهلكوا بكفرهم وهذا تنبيه لمن كفر بالنبي صلى الله عليه وسلم والقرآن ليتعظوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24636','chapter_id' => '85','chapter_detail_id' => '5928','translator_id' => '4','verse_number' => '19','translate_name' => '«بل الذين كفروا في تكذيب» بما ذكر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24637','chapter_id' => '85','chapter_detail_id' => '5929','translator_id' => '4','verse_number' => '20','translate_name' => '«والله من ورائهم محيط» لا عاصم لهم منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24638','chapter_id' => '85','chapter_detail_id' => '5930','translator_id' => '4','verse_number' => '21','translate_name' => '«بل هو قرآن مجيد» عظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24639','chapter_id' => '85','chapter_detail_id' => '5931','translator_id' => '4','verse_number' => '22','translate_name' => '«في لوح» هو في الهواء فوق السماء السابعة «محفوظٍ» بالجر من الشياطين ومن تغيير شيء منه طوله ما بين السماء والأرض، وعرضه ما بين المشرق والمغرب، وهو من درة بيضاء، قاله ابن عباس رضي الله عنهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24640','chapter_id' => '86','chapter_detail_id' => '5932','translator_id' => '4','verse_number' => '1','translate_name' => '«والسماء والطارق» أصله كل آت ليلا ومنه النجوم لطلوعها ليلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24641','chapter_id' => '86','chapter_detail_id' => '5933','translator_id' => '4','verse_number' => '2','translate_name' => '«وما أدراك» أعلمك «ما الطارق» مبتدأ وخبر في محل المفعول الثاني لأدرى وما بعد الأولى خبرها وفيه تعظيم لشأن الطارق المفسر بما بعده هو.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24642','chapter_id' => '86','chapter_detail_id' => '5934','translator_id' => '4','verse_number' => '3','translate_name' => '«النجم» أي الثريا أو كل نجم «الثاقب» المضيء لثقبه الظلام بضوئه وجواب القسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24643','chapter_id' => '86','chapter_detail_id' => '5935','translator_id' => '4','verse_number' => '4','translate_name' => '«إن كل نفس لمَا عليها حافظ» بتخفيف ما فهي مزيدة وإن مخففة من الثقيلة واسمها محذوف، أي إنه واللام فارقة وبتشديدها فإن نافية ولما بمعنى إلا والحافظ من الملائكة يحفظ عملها من خير وشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24644','chapter_id' => '86','chapter_detail_id' => '5936','translator_id' => '4','verse_number' => '5','translate_name' => '«فلينظر الإنسان» نظر اعتبار «ممَّ خُلق» من أي شيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24645','chapter_id' => '86','chapter_detail_id' => '5937','translator_id' => '4','verse_number' => '6','translate_name' => 'جوابه «خُلق من ماء دافق» ذي اندفاق من الرجل والمرأة في رحمها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24646','chapter_id' => '86','chapter_detail_id' => '5938','translator_id' => '4','verse_number' => '7','translate_name' => '«يخرج من بين الصلب» للرجل «والترائب» للمرأة وهي عظام الصدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24647','chapter_id' => '86','chapter_detail_id' => '5939','translator_id' => '4','verse_number' => '8','translate_name' => '«إنه» تعالى «على رجعه» بعث الإنسان بعد موته «لقادر» فإذا اعتبر أصله علم أن القادر على ذلك قادر على بعثه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24648','chapter_id' => '86','chapter_detail_id' => '5940','translator_id' => '4','verse_number' => '9','translate_name' => '«يوم تبلى» تختبر وتكشف «السرائر» ضمائر القلوب في العقائد والنيات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24649','chapter_id' => '86','chapter_detail_id' => '5941','translator_id' => '4','verse_number' => '10','translate_name' => '«فما له» لمنكر البعث «من قوة» يمتنع بها من العذاب «ولا ناصر» يدفعه عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24650','chapter_id' => '86','chapter_detail_id' => '5942','translator_id' => '4','verse_number' => '11','translate_name' => '«والسماء ذات الرجع» المطر لعوده كل حين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24651','chapter_id' => '86','chapter_detail_id' => '5943','translator_id' => '4','verse_number' => '12','translate_name' => '«والأرض ذات الصدع» الشق عن النبات.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24652','chapter_id' => '86','chapter_detail_id' => '5944','translator_id' => '4','verse_number' => '13','translate_name' => '«إنه» أي القرآن «لقول فصل» يفصل بين الحق والباطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24653','chapter_id' => '86','chapter_detail_id' => '5945','translator_id' => '4','verse_number' => '14','translate_name' => '«وما هو بالهزل» باللعب والباطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24654','chapter_id' => '86','chapter_detail_id' => '5946','translator_id' => '4','verse_number' => '15','translate_name' => '«إنهم» أي الكفار «يكيدون كيدا» يعملون المكايد للنبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24655','chapter_id' => '86','chapter_detail_id' => '5947','translator_id' => '4','verse_number' => '16','translate_name' => '«وأكيد كيدا» أستدرجهم من حيث لا يعلمون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24656','chapter_id' => '86','chapter_detail_id' => '5948','translator_id' => '4','verse_number' => '17','translate_name' => '«فمهِّل» يا محمد «الكافرين أمهلهم» تأكيد حسَّنهُ مخالفة اللفظ، أي أنظرهم «رويدا» قليلا وهو مصدر مؤكد لمعنى العامل مصغر رود أو أرواد على الترخيم وقد أخذهم الله تعالى ببدر ونسخ الإمهال بآية السيف، أي الأمر بالقتال والجهاد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24657','chapter_id' => '87','chapter_detail_id' => '5949','translator_id' => '4','verse_number' => '1','translate_name' => '«سبح اسم ربك» أي نزه ربك عما لا يليق به واسم زائد «الأعلى» صفة لربك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24658','chapter_id' => '87','chapter_detail_id' => '5950','translator_id' => '4','verse_number' => '2','translate_name' => '«الذي خلق فسوى» مخلوقه، جعله متناسب الأجزاء غير متفاوت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24659','chapter_id' => '87','chapter_detail_id' => '5951','translator_id' => '4','verse_number' => '3','translate_name' => '«والذي قدَّر» ما شاء «فهدى» إلى ما قدره من خير وشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24660','chapter_id' => '87','chapter_detail_id' => '5952','translator_id' => '4','verse_number' => '4','translate_name' => '«والذي أخرج المرعى» أنبت العشب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24661','chapter_id' => '87','chapter_detail_id' => '5953','translator_id' => '4','verse_number' => '5','translate_name' => '«فجعله» بعد الخضرة «غُثاء» جافا هشيما «أحوى» أسود يابسا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24662','chapter_id' => '87','chapter_detail_id' => '5954','translator_id' => '4','verse_number' => '6','translate_name' => '«سنقرئك» القرآن «فلا تنسى» ما تقرؤه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24663','chapter_id' => '87','chapter_detail_id' => '5955','translator_id' => '4','verse_number' => '7','translate_name' => '«إلا ما شاء الله» أن تنساه بنسخ تلاوته وحكمه، وكان صلى الله عليه وسلم يجهر بالقراءة مع قراءة جبريل خوف النسيان فكأنه قيل له: لا تعجل بها إنك لا تنسى فلا تتعب نفسك بالجهر بها «إنه» تعالى «يعلم الجهر» من القول والفعل «وما يخفى» منهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24664','chapter_id' => '87','chapter_detail_id' => '5956','translator_id' => '4','verse_number' => '8','translate_name' => '«ونيسِّرك لليسرى» للشريعة السهلة وهي الإسلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24665','chapter_id' => '87','chapter_detail_id' => '5957','translator_id' => '4','verse_number' => '9','translate_name' => '«فذكر» عظ بالقرآن «إن نفعت الذكرى» من تذكرة المذكور في سيذكر، يعني وإن لم تنفع ونفعها لبعض وعدم النفع لبعض آخر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24666','chapter_id' => '87','chapter_detail_id' => '5958','translator_id' => '4','verse_number' => '10','translate_name' => '«سيذكر» بها «من يخشى» يخاف الله تعالى كآية " فذكر بالقرآن من يخاف وعيد ".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24667','chapter_id' => '87','chapter_detail_id' => '5959','translator_id' => '4','verse_number' => '11','translate_name' => '«ويتجنبها» أي الذكرى، أي يتركها جانبا لا يلتفت إليها «الأشقى» بمعنى الشقي أي الكافر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24668','chapter_id' => '87','chapter_detail_id' => '5960','translator_id' => '4','verse_number' => '12','translate_name' => '«الذي يصلى النار الكبرى» هي نار الآخرة والصغرى نار الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24669','chapter_id' => '87','chapter_detail_id' => '5961','translator_id' => '4','verse_number' => '13','translate_name' => '«ثم لا يموت فيها» فيستريح «ولا يحيى» حياة هنيئة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24670','chapter_id' => '87','chapter_detail_id' => '5962','translator_id' => '4','verse_number' => '14','translate_name' => '«قد أفلح» فاز «من تزكى» تطهر بالإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24671','chapter_id' => '87','chapter_detail_id' => '5963','translator_id' => '4','verse_number' => '15','translate_name' => '«وذكر اسم ربه» مكبرا «فصلَّى» الصلوات الخمس وذلك من أمور الآخرة وكفار مكة مُعرضون عنها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24672','chapter_id' => '87','chapter_detail_id' => '5964','translator_id' => '4','verse_number' => '16','translate_name' => '«بل تؤثرون» بالفوقانية والتحتانية «الحياة الدنيا» على الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24673','chapter_id' => '87','chapter_detail_id' => '5965','translator_id' => '4','verse_number' => '17','translate_name' => '«والآخرة» المشتملة على الجنة «خير وأبقى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24674','chapter_id' => '87','chapter_detail_id' => '5966','translator_id' => '4','verse_number' => '18','translate_name' => '«إن هذا» إفلاحُ من تزكى وكون الآخرة خيرا «لفي الصحف الأولى» أي المنزلة قبل القرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24675','chapter_id' => '87','chapter_detail_id' => '5967','translator_id' => '4','verse_number' => '19','translate_name' => '«صحف إبراهيم وموسى» وهي عشر صحف لإبراهيم والتوراة لموسى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24676','chapter_id' => '88','chapter_detail_id' => '5968','translator_id' => '4','verse_number' => '1','translate_name' => '«هل» قد «أتاك حديث الغاشية» القيامة لأنها تغشى الخلائق بأهوالها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24677','chapter_id' => '88','chapter_detail_id' => '5969','translator_id' => '4','verse_number' => '2','translate_name' => '«وجوه يومئذٍ» عبر بها عن الذوات في الموضوعين «خاشعة» ذليلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24678','chapter_id' => '88','chapter_detail_id' => '5970','translator_id' => '4','verse_number' => '3','translate_name' => '«عاملة ناصبة» ذات نصب وتعب بالسلاسل والأغلال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24679','chapter_id' => '88','chapter_detail_id' => '5971','translator_id' => '4','verse_number' => '4','translate_name' => '«تصلى» بفتح التاء وضمها «نارا حامية».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24680','chapter_id' => '88','chapter_detail_id' => '5972','translator_id' => '4','verse_number' => '5','translate_name' => '«تسقى من عين آنية» شديدة الحرارة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24681','chapter_id' => '88','chapter_detail_id' => '5973','translator_id' => '4','verse_number' => '6','translate_name' => '«ليس لهم طعام إلا من ضريع» هو نوع من الشوك لا ترعاه دابة لخبثه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24682','chapter_id' => '88','chapter_detail_id' => '5974','translator_id' => '4','verse_number' => '7','translate_name' => '«لا يسمن ولا يغني من جوع».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24683','chapter_id' => '88','chapter_detail_id' => '5975','translator_id' => '4','verse_number' => '8','translate_name' => '«وجوه يومئذ ناعمة» حسنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24684','chapter_id' => '88','chapter_detail_id' => '5976','translator_id' => '4','verse_number' => '9','translate_name' => '«لسعيها» في الدنيا بالطاعة «راضية» في الآخرة لما رأت ثوابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24685','chapter_id' => '88','chapter_detail_id' => '5977','translator_id' => '4','verse_number' => '10','translate_name' => '«في جنة عالية» حسا ومعنى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24686','chapter_id' => '88','chapter_detail_id' => '5978','translator_id' => '4','verse_number' => '11','translate_name' => '«لا يسمع» بالياء والتاء «فيها لاغية» أي نفس ذات لغوٍ: هذيان من الكلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24687','chapter_id' => '88','chapter_detail_id' => '5979','translator_id' => '4','verse_number' => '12','translate_name' => '«فيها عين جارية» بالماء بمعنى عيون.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24688','chapter_id' => '88','chapter_detail_id' => '5980','translator_id' => '4','verse_number' => '13','translate_name' => '«فيها سرر مرفوعة» ذاتا وقدرا ومحلا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24689','chapter_id' => '88','chapter_detail_id' => '5981','translator_id' => '4','verse_number' => '14','translate_name' => '«وأكواب» أقداح لا عرى لها «موضوعة» على حافات العيون معدة لشربهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24690','chapter_id' => '88','chapter_detail_id' => '5982','translator_id' => '4','verse_number' => '15','translate_name' => '«ونمارق» وسائد «مصفوفة» بعضها بجنب بعض يستند إليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24691','chapter_id' => '88','chapter_detail_id' => '5983','translator_id' => '4','verse_number' => '16','translate_name' => '«وزرابيُّ» بسط طنافس لها خمل «مبثوثة» مبسوطة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24692','chapter_id' => '88','chapter_detail_id' => '5984','translator_id' => '4','verse_number' => '17','translate_name' => '«أفلا ينظرون» أي كفار مكة نظر اعتبار «إلى الإبل كيف خُلقت».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24693','chapter_id' => '88','chapter_detail_id' => '5985','translator_id' => '4','verse_number' => '18','translate_name' => '«وإلى السماء كيف رُفعت».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24694','chapter_id' => '88','chapter_detail_id' => '5986','translator_id' => '4','verse_number' => '19','translate_name' => '«وإلى الجبال كيف نُصبت».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24695','chapter_id' => '88','chapter_detail_id' => '5987','translator_id' => '4','verse_number' => '20','translate_name' => '«وإلى الأرض كيف سُطحت» أي بسطت، فيستدلون بها على قدرة الله تعالى ووحدانيته، وصدرت بالإبل لأنهم أشد ملابسة لها من غيرها، وقوله: سُطحت ظاهر في الأرض سطح، وعليه علماء الشرع، لا كرة كما قاله أهل الهيئة وإن لم ينقض ركنا من أركان الشرع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24696','chapter_id' => '88','chapter_detail_id' => '5988','translator_id' => '4','verse_number' => '21','translate_name' => '«فذكر» ـهم نعم الله ودلائل توحيده «إنما أنت مذكر».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24697','chapter_id' => '88','chapter_detail_id' => '5989','translator_id' => '4','verse_number' => '22','translate_name' => '«لست عليهم بمصيطر» وفي قراءة بالسين بدل الصاد، أي بمسلط وهذا قبل الأمر بالجهاد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24698','chapter_id' => '88','chapter_detail_id' => '5990','translator_id' => '4','verse_number' => '23','translate_name' => '«إلا» لكن «من تولى» أعرض عن الإيمان «وكفر» بالقرآن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24699','chapter_id' => '88','chapter_detail_id' => '5991','translator_id' => '4','verse_number' => '24','translate_name' => '«فيعَذِّبه الله العذاب الأكبر» عذاب الآخرة والأصغر عذاب الدنيا بالقتل والأسر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24700','chapter_id' => '88','chapter_detail_id' => '5992','translator_id' => '4','verse_number' => '25','translate_name' => '«إن إلينا إيابهم» رجوعهم بعد الموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24701','chapter_id' => '88','chapter_detail_id' => '5993','translator_id' => '4','verse_number' => '26','translate_name' => '«ثم إن علينا حسابهم» جزاءهم لا نتركه أبدا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24702','chapter_id' => '89','chapter_detail_id' => '5994','translator_id' => '4','verse_number' => '1','translate_name' => '«والفجر» أي فجر كل يوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24703','chapter_id' => '89','chapter_detail_id' => '5995','translator_id' => '4','verse_number' => '2','translate_name' => '«وليال عشر» أي عشر ذي الحجة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24704','chapter_id' => '89','chapter_detail_id' => '5996','translator_id' => '4','verse_number' => '3','translate_name' => '«والشفع» الزوج «والوتر» بفتح الواو وكسرها لغتان: الفرد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24705','chapter_id' => '89','chapter_detail_id' => '5997','translator_id' => '4','verse_number' => '4','translate_name' => '«والليل إذا يسْر» مقبلا ومدبرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24706','chapter_id' => '89','chapter_detail_id' => '5998','translator_id' => '4','verse_number' => '5','translate_name' => '«هل في ذلك» القسم «قسمٌ لذي حجر» عقل، وجواب القسم محذوف أي: لتعذبنّ يا كفار مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24707','chapter_id' => '89','chapter_detail_id' => '5999','translator_id' => '4','verse_number' => '6','translate_name' => '«ألم ترَ» تعلم يا محمد «كيف فعل ربك بعاد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24708','chapter_id' => '89','chapter_detail_id' => '6000','translator_id' => '4','verse_number' => '7','translate_name' => '«إرَمَ» هي عاد الأولى، فإرم عطف بيان أو بدل، ومنع الصرف للعلمية والتأنيث «ذات العماد» أي الطول كان طول الطويل منهم أربعمائة ذراع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24709','chapter_id' => '89','chapter_detail_id' => '6001','translator_id' => '4','verse_number' => '8','translate_name' => '«التي لم يُخلق مثلها في البلاد» في بطشهم وقوتهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24710','chapter_id' => '89','chapter_detail_id' => '6002','translator_id' => '4','verse_number' => '9','translate_name' => '«وثمود الذين جابوا» قطعوا «الصخر» جمع صخرة واتخذوها بيوتا «بالواد» وادي القرى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24711','chapter_id' => '89','chapter_detail_id' => '6003','translator_id' => '4','verse_number' => '10','translate_name' => '«وفرعون ذي الأوتاد» كان يتد أربعة أوتاد يشد إليها يدي ورجلي من يعذبه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24712','chapter_id' => '89','chapter_detail_id' => '6004','translator_id' => '4','verse_number' => '11','translate_name' => '«الذين طغوا» تجبروا «في البلاد».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24713','chapter_id' => '89','chapter_detail_id' => '6005','translator_id' => '4','verse_number' => '12','translate_name' => '«فأكثروا فيها الفساد» القتل وغيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24714','chapter_id' => '89','chapter_detail_id' => '6006','translator_id' => '4','verse_number' => '13','translate_name' => '«فصبَّ عليهم ربك سوط» نوع «عذاب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24715','chapter_id' => '89','chapter_detail_id' => '6007','translator_id' => '4','verse_number' => '14','translate_name' => '«إن ربك لبالمرصاد» يرصد أعمال العباد فلا يفوته منها شيء ليجازيهم عليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24716','chapter_id' => '89','chapter_detail_id' => '6008','translator_id' => '4','verse_number' => '15','translate_name' => '«فأما الإنسان» الكافر «إذا ما ابتلاه» اختبره «ربه فأكرمه» بالمال وغيره «ونعَّمه فيقول ربي أكرمن».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24717','chapter_id' => '89','chapter_detail_id' => '6009','translator_id' => '4','verse_number' => '16','translate_name' => '«وأما إذا ما ابتلاه فقدره» ضيق «عليه رزقه فيقول ربي أهانن».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24718','chapter_id' => '89','chapter_detail_id' => '6010','translator_id' => '4','verse_number' => '17','translate_name' => '«كلا» ردع، أي ليس الإكرام بالغنى والإهانة بالفقر وإنما هو بالطاعة والمعصية، وكفار مكة لا ينتبهون لذلك «بل لا يكرمون اليتيم» لا يحسنون إليه مع غناهم أو لا يعطونه حقه من الميراث.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24719','chapter_id' => '89','chapter_detail_id' => '6011','translator_id' => '4','verse_number' => '18','translate_name' => '«ولا يحضون» أنفسهم أو غيرهم «على طعام» أي طعام «المسكين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24720','chapter_id' => '89','chapter_detail_id' => '6012','translator_id' => '4','verse_number' => '19','translate_name' => '«وتأكلون التراث» الميراث «أكلا لما» أي شديدا، للمهم نصيب النساء والصبيان من الميراث مع نصيبهم منه أو مع مالهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24721','chapter_id' => '89','chapter_detail_id' => '6013','translator_id' => '4','verse_number' => '20','translate_name' => '«ويحبون المال حبا جما» أي: كثيرا فلا ينفقونه، وفي قراءة بالفوقانية في الأفعال الأربعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24722','chapter_id' => '89','chapter_detail_id' => '6014','translator_id' => '4','verse_number' => '21','translate_name' => '«كلا» ردع لهم عن ذلك «إذا دكت الأرض دكا دكا» زلزلت حتى ينهدم كل بناء عليها وينعدم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24723','chapter_id' => '89','chapter_detail_id' => '6015','translator_id' => '4','verse_number' => '22','translate_name' => '«وجاء ربك» أي أمره «والملك» أي الملائكة «صفا صفا» حال، أي مصطفين أو ذوي صفوف كثيرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24724','chapter_id' => '89','chapter_detail_id' => '6016','translator_id' => '4','verse_number' => '23','translate_name' => '«وجيء يومئذ بجهنم» تقاد بسبعين ألف زمام كل زمام بأيدي سبعين ألف ملك لها زفير وتغيظ «يومئذ» بدل من إذا وجوابها «يتذكر الإنسان» أي الكافر ما فرط فيه «وأنَّي له الذكرى» استفهام بمعنى النفي، أي لا ينفعه تذكره ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24725','chapter_id' => '89','chapter_detail_id' => '6017','translator_id' => '4','verse_number' => '24','translate_name' => '«يقول» مع تذكره «يا» للتنبيه «ليتني قدمت» الخير والإيمان «لحياتي» الطيبة في الآخرة أو وقت حياتي في الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24726','chapter_id' => '89','chapter_detail_id' => '6018','translator_id' => '4','verse_number' => '25','translate_name' => '«فيومئذٍ لا يعذِّب» بكسر الذال «عذابه» أي الله «أحد» أي لا يكله إلى غيره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24727','chapter_id' => '89','chapter_detail_id' => '6019','translator_id' => '4','verse_number' => '26','translate_name' => '«و» كذا «لا يوثق» بكسر الثاء «وثاقه أحد» وفي قراءة بفتح الذال والثاء فضمير عذابه ووثاقه للكافر والمعنى لا يعذب أحد مثل تعذيبه ولا يوثق مثل إيثاقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24728','chapter_id' => '89','chapter_detail_id' => '6020','translator_id' => '4','verse_number' => '27','translate_name' => '«يا أيتها النفس المطمئنة» الآمنة وهي المؤمنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24729','chapter_id' => '89','chapter_detail_id' => '6021','translator_id' => '4','verse_number' => '28','translate_name' => '«إرجعي إلى ربك» يقال لها ذلك عند الموت، أي إرجعي إلى أمره وإرادته «راضية» بالثواب «مرضية» عند الله بعملك، أي جامعة بين الوصفين وهما حالان ويقال لها في القيامة:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24730','chapter_id' => '89','chapter_detail_id' => '6022','translator_id' => '4','verse_number' => '29','translate_name' => '«فادخلي في» جملة «عبادي» الصالحين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24731','chapter_id' => '89','chapter_detail_id' => '6023','translator_id' => '4','verse_number' => '30','translate_name' => '«وادخلي جنتي» معهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24732','chapter_id' => '90','chapter_detail_id' => '6024','translator_id' => '4','verse_number' => '1','translate_name' => '«لا» زائدة «أقسم بهذا البلد» مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24733','chapter_id' => '90','chapter_detail_id' => '6025','translator_id' => '4','verse_number' => '2','translate_name' => '«وأنت» يا محمد «حِلٌ» حلال «بهذا البلد» بأن يحل لك فتقاتل فيه، وقد أنجز الله له هذا الوعد يوم الفتح، فالجملة اعتراض بين المقسم به وما عطف عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24734','chapter_id' => '90','chapter_detail_id' => '6026','translator_id' => '4','verse_number' => '3','translate_name' => '«ووالد» أي آدم «وما ولد» أي ذريته وما بمعنى من.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24735','chapter_id' => '90','chapter_detail_id' => '6027','translator_id' => '4','verse_number' => '4','translate_name' => '«لقد خلقنا الإنسان» أي الجنس «في كبد» نصب وشدة يكابد مصائب الدنيا وشدائد الآخرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24736','chapter_id' => '90','chapter_detail_id' => '6028','translator_id' => '4','verse_number' => '5','translate_name' => '«أيحسب» أيظن الإنسان قوي قريش وهو أبو الأشد بن كلدة بقوته «أن» مخففة من الثقيلة واسمها محذوف، أي أنه «لن يقدر عليه أحد» والله قادر عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24737','chapter_id' => '90','chapter_detail_id' => '6029','translator_id' => '4','verse_number' => '6','translate_name' => '«يقول أهلكت» على عداوة محمد «مالا لبدا» كثيرا بعضه على بعض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24738','chapter_id' => '90','chapter_detail_id' => '6030','translator_id' => '4','verse_number' => '7','translate_name' => '«أيحسب أن» أي أنه «لم يره أحد» فيما أنفقه فيعلم قدره، والله عالم بقدره وأنه ليس مما يتكثر به ومجازيه على فعله السيء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24739','chapter_id' => '90','chapter_detail_id' => '6031','translator_id' => '4','verse_number' => '8','translate_name' => '«ألم نجعل» استفهام تقرير أي جعلنا «له عينين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24740','chapter_id' => '90','chapter_detail_id' => '6032','translator_id' => '4','verse_number' => '9','translate_name' => '«ولسانا وشفتين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24741','chapter_id' => '90','chapter_detail_id' => '6033','translator_id' => '4','verse_number' => '10','translate_name' => '«وهديناه النجدين» بينا له طريق الخير والشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24742','chapter_id' => '90','chapter_detail_id' => '6034','translator_id' => '4','verse_number' => '11','translate_name' => '«فلا» فهلا «اقتحم العقبة» جاوزها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24743','chapter_id' => '90','chapter_detail_id' => '6035','translator_id' => '4','verse_number' => '12','translate_name' => '«وما أدراك» أعلمك «ما العقبة» التي يقتحمها تعظيما لشأنها، والجملة اعتراض وبين سبب جوازها بقوله:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24744','chapter_id' => '90','chapter_detail_id' => '6036','translator_id' => '4','verse_number' => '13','translate_name' => '«فك رقبة» من الرق بأن أعتقها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24745','chapter_id' => '90','chapter_detail_id' => '6037','translator_id' => '4','verse_number' => '14','translate_name' => '«أو أطْعَمَ في يوم ذي مسغبة» مجاعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24746','chapter_id' => '90','chapter_detail_id' => '6038','translator_id' => '4','verse_number' => '15','translate_name' => '«يتيما ذا مقربة» قرابة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24747','chapter_id' => '90','chapter_detail_id' => '6039','translator_id' => '4','verse_number' => '16','translate_name' => '«أو مسكينا ذا متربة» لصوق بالتراب لفقره، وفي قراءة بدل الفعلين مصدران مرفوعان مضاف الأول لرقبة وينون الثاني فيقدر قبل العقبة اقتحام، والقراءة المذكورة بيانه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24748','chapter_id' => '90','chapter_detail_id' => '6040','translator_id' => '4','verse_number' => '17','translate_name' => '«ثم كان» عطف على اقتحم وثم للترتيب الذكري، والمعنى كان وقت الاقتحام «من الذين آمنوا وتواصوا» أوصى بعضهم بعضا «بالصبر» على الطاعة وعن المعصية «وتواصوا بالمرحمة» الرحمة على الخلق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24749','chapter_id' => '90','chapter_detail_id' => '6041','translator_id' => '4','verse_number' => '18','translate_name' => '«أولئك» الموصوفون بهذه الصفات «أصحاب الميمنة» اليمين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24750','chapter_id' => '90','chapter_detail_id' => '6042','translator_id' => '4','verse_number' => '19','translate_name' => '«والذين كفروا بآياتنا هم أصحاب المشأمة» الشمال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24751','chapter_id' => '90','chapter_detail_id' => '6043','translator_id' => '4','verse_number' => '20','translate_name' => '«عليهم نار مؤصدة» بالهمزة والواو بدله، مطبقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24752','chapter_id' => '91','chapter_detail_id' => '6044','translator_id' => '4','verse_number' => '1','translate_name' => '«والشمس وضحاها» ضوؤها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24753','chapter_id' => '91','chapter_detail_id' => '6045','translator_id' => '4','verse_number' => '2','translate_name' => '«والقمر إذا تلاها» تبعها طالعا عند غروبها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24754','chapter_id' => '91','chapter_detail_id' => '6046','translator_id' => '4','verse_number' => '3','translate_name' => '«والنهار إذا جلاها» بارتفاعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24755','chapter_id' => '91','chapter_detail_id' => '6047','translator_id' => '4','verse_number' => '4','translate_name' => '«والليل إذا يغشاها» يغطيها بظلمته وإذا في الثلاثة لمجرد الظرفية والعامل فيها فعل القسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24756','chapter_id' => '91','chapter_detail_id' => '6048','translator_id' => '4','verse_number' => '5','translate_name' => '«والسماء وما بناها».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24757','chapter_id' => '91','chapter_detail_id' => '6049','translator_id' => '4','verse_number' => '6','translate_name' => '«والأرض وما طحاها» بسطها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24758','chapter_id' => '91','chapter_detail_id' => '6050','translator_id' => '4','verse_number' => '7','translate_name' => '«ونفس» بمعنى نفوس «وما سوَّاها» في الخلقة وما في الثلاثة مصدرية أو بمعنى من.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24759','chapter_id' => '91','chapter_detail_id' => '6051','translator_id' => '4','verse_number' => '8','translate_name' => '«فألهمها فجورها وتقواها» بيَّن لها طريق الخير والشر وأخر التقوى رعاية لرؤوس الآي وجواب القسم:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24760','chapter_id' => '91','chapter_detail_id' => '6052','translator_id' => '4','verse_number' => '9','translate_name' => '«قد أفلح» حذفت منه اللام لطول الكلام «مَنْ زكَّاها» طهرها من الذنوب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24761','chapter_id' => '91','chapter_detail_id' => '6053','translator_id' => '4','verse_number' => '10','translate_name' => '«وقد خاب» خسر «مَنْ دسَّاها» أخفاها بالمعصية وأصله دسها أبدلت السين الثانية ألفا تخفيفا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24762','chapter_id' => '91','chapter_detail_id' => '6054','translator_id' => '4','verse_number' => '11','translate_name' => '«كذَّبت ثمود» رسولها صالحا «بطغواها» بسبب طغيانها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24763','chapter_id' => '91','chapter_detail_id' => '6055','translator_id' => '4','verse_number' => '12','translate_name' => '«إذ انبعث» أسرع «أشقاها» واسمه قدار إلى عقر الناقة برضاهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24764','chapter_id' => '91','chapter_detail_id' => '6056','translator_id' => '4','verse_number' => '13','translate_name' => '«فقال لهم رسول الله» صالح «ناقة الله» أي ذروها «وسقياها» شربها في يومها وكان لها يوم ولهم يوم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24765','chapter_id' => '91','chapter_detail_id' => '6057','translator_id' => '4','verse_number' => '14','translate_name' => '«فكذبوه» في قوله ذلك عن الله المرتب عليه نزول العذاب بهم إن خالفوه «فعقروها» قتلوها ليسلم لهم ماء شربها «فدمدم» أطبق «عليهم ربهم» العذاب «بذنبهم فسواها» أي الدمدمة عليهم، أي عمهم بها فلم يفلت منهم أحد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24766','chapter_id' => '91','chapter_detail_id' => '6058','translator_id' => '4','verse_number' => '15','translate_name' => '«ولا» بالواو والفاء «يخاف عقباها» تبعتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24767','chapter_id' => '92','chapter_detail_id' => '6059','translator_id' => '4','verse_number' => '1','translate_name' => '«والليل إذا يغشى» بظلمته كل ما بين السماء والأرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24768','chapter_id' => '92','chapter_detail_id' => '6060','translator_id' => '4','verse_number' => '2','translate_name' => '«والنهار إذا تجلى» تكشف وظهر وإذا في الموضوعين لمجرد الظرفية والعامل فيها فعل القسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24769','chapter_id' => '92','chapter_detail_id' => '6061','translator_id' => '4','verse_number' => '3','translate_name' => '«وما» بمعنى من أو مصدرية «خلق الذكر والأنثى» آدم وحواء وكل ذكر وكل أنثى، والخنثى المشكل عندنا ذكر أو أنثى عند الله تعالى فيحنث بتكليمه من حلف لا يكلم لا يكلم ذكرا ولا أنثى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24770','chapter_id' => '92','chapter_detail_id' => '6062','translator_id' => '4','verse_number' => '4','translate_name' => '«إن سعيكم» عملكم «لشتى» مختلف فعامل للجنة بالطاعة وعامل للنار بالمعصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24771','chapter_id' => '92','chapter_detail_id' => '6063','translator_id' => '4','verse_number' => '5','translate_name' => '«فأما من أعطى» حق الله «واتقى» الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24772','chapter_id' => '92','chapter_detail_id' => '6064','translator_id' => '4','verse_number' => '6','translate_name' => '«وصدَّق بالحسنى» أي بلا إله إلا الله في الموضوعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24773','chapter_id' => '92','chapter_detail_id' => '6065','translator_id' => '4','verse_number' => '7','translate_name' => '«فسنسيره لليسرى» للجنة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24774','chapter_id' => '92','chapter_detail_id' => '6066','translator_id' => '4','verse_number' => '8','translate_name' => '«وأما من بخل» بحق الله «واستغنى» عن ثوابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24775','chapter_id' => '92','chapter_detail_id' => '6067','translator_id' => '4','verse_number' => '9','translate_name' => '«وكذب بالحسنى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24776','chapter_id' => '92','chapter_detail_id' => '6068','translator_id' => '4','verse_number' => '10','translate_name' => '«فسنسيره» نهيئه «للعسرى» للنار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24777','chapter_id' => '92','chapter_detail_id' => '6069','translator_id' => '4','verse_number' => '11','translate_name' => '«وما» نافية «يغني عنه ماله إذا تردَّى» في النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24778','chapter_id' => '92','chapter_detail_id' => '6070','translator_id' => '4','verse_number' => '12','translate_name' => '«إن علينا لَلهدى» لتبيين طريق الهدى من طريق الضلال ليمتثل أمرنا بسلوك الأول ونهينا عن ارتكاب الثاني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24779','chapter_id' => '92','chapter_detail_id' => '6071','translator_id' => '4','verse_number' => '13','translate_name' => '«وإن لنا للآخرة والأولى» أي الدنيا فمن طلبهما من غيرنا فقد أخطأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24780','chapter_id' => '92','chapter_detail_id' => '6072','translator_id' => '4','verse_number' => '14','translate_name' => '«فأنذرتكم» خوفتكم يا أهل مكة «نارا تلظى» بحذف إحدى التاءين من الأصل وقريء بثبوتها، أي تتوقد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24781','chapter_id' => '92','chapter_detail_id' => '6073','translator_id' => '4','verse_number' => '15','translate_name' => '«لا يصلاها» يدخلها «إلا الأشقى» بمعنى الشقي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24782','chapter_id' => '92','chapter_detail_id' => '6074','translator_id' => '4','verse_number' => '16','translate_name' => '(الذي كذب) النبي (وتولى) عن الإيمان وهذا الحصر مؤول لقوله تعالى: "" ويغفر ما دون ذلك لمن يشاء "" فيكون المراد الصلي المؤبد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24783','chapter_id' => '92','chapter_detail_id' => '6075','translator_id' => '4','verse_number' => '17','translate_name' => '«وسيجنبها» يبعد عنها «الأتقى» بمعنى التقي.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24784','chapter_id' => '92','chapter_detail_id' => '6076','translator_id' => '4','verse_number' => '18','translate_name' => '«الذي يؤتي ماله يتزكى» متزكيا به عند الله تعالى بأن يخرجه لله تعالى لا رياء ولا سمعة، فيكون زاكيا عند الله، وهذا نزل في الصدّيق رضي الله عنه لما اشترى بلالا المعذب على إيمانه وأعتقه، فقال الكفار: إنما فعل ذلك ليد كانت له عنده فنزلت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24785','chapter_id' => '92','chapter_detail_id' => '6077','translator_id' => '4','verse_number' => '19','translate_name' => '«وما لأحد عنده من نعمة تُجزى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24786','chapter_id' => '92','chapter_detail_id' => '6078','translator_id' => '4','verse_number' => '20','translate_name' => '«إلا» لكن فعل ذلك «ابتغاء وجه ربه الأعلى» أي طلب ثواب الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24787','chapter_id' => '92','chapter_detail_id' => '6079','translator_id' => '4','verse_number' => '21','translate_name' => '«ولسوف يرضى» بما يُعطاه من الثواب في الجنة والآية تشمل من فعل مثل فعله رضي الله تعالى عنه فيبعده عن النار ويثاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24788','chapter_id' => '93','chapter_detail_id' => '6080','translator_id' => '4','verse_number' => '1','translate_name' => '«والضحى» أي أول النهار أو كله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24789','chapter_id' => '93','chapter_detail_id' => '6081','translator_id' => '4','verse_number' => '2','translate_name' => '«والليل إذا سجى» غطى بظلامه أو سكن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24790','chapter_id' => '93','chapter_detail_id' => '6082','translator_id' => '4','verse_number' => '3','translate_name' => '«ما ودَّعك» تركك يا محمد «ربك وما قلى» أبغضك نزل هذا لما قال الكفار عند تأخر الوحي عنه خمسة عشر يوما: إن ربه ودَّعه وقلاهُ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24791','chapter_id' => '93','chapter_detail_id' => '6083','translator_id' => '4','verse_number' => '4','translate_name' => '«وللآخرة خير لك» لما فيها من الكرامات لك «من الأولى» الدنيا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24792','chapter_id' => '93','chapter_detail_id' => '6084','translator_id' => '4','verse_number' => '5','translate_name' => '(ولسوف يعطيك ربك) في الآخرة من الخيرات عطاء جزيلا (فترضى) به فقال صلى الله عليه وسلم: "" إذن لا أرضى وواحد من أمتي في النار "" إلى هنا تم جواب القسم بمثبتين بعد منفيين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24793','chapter_id' => '93','chapter_detail_id' => '6085','translator_id' => '4','verse_number' => '6','translate_name' => '«ألم يجدك» استفهام تقرير أي وجدك «يتيما» بفقد أبيك قبل ولادتك أو بعدها «فآوى» بأن ضمك إلى عمك أبي طالب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24794','chapter_id' => '93','chapter_detail_id' => '6086','translator_id' => '4','verse_number' => '7','translate_name' => '«ووجدك ضالا» عما أنت عليه من الشريعة «فهدى» أي هداك إليها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24795','chapter_id' => '93','chapter_detail_id' => '6087','translator_id' => '4','verse_number' => '8','translate_name' => '(ووجدك عائلا) فقيرا (فأغنى) أغناك بما قنعك به من الغنيمة وغيرها وفي الحديث: "" ليس الغني عن كثرة العرض ولكن الغني غني النفس "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24796','chapter_id' => '93','chapter_detail_id' => '6088','translator_id' => '4','verse_number' => '9','translate_name' => '«فأما اليتيم فلا تقهر» بأخذ ماله أو غير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24797','chapter_id' => '93','chapter_detail_id' => '6089','translator_id' => '4','verse_number' => '10','translate_name' => '«وأما السائل فلا تنهر» تزجره لفقره.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24798','chapter_id' => '93','chapter_detail_id' => '6090','translator_id' => '4','verse_number' => '11','translate_name' => '«وأما بنعمة ربك» عليك بالنبوة وغيرها «فحدّث» أخبر، وحذف ضميره في بعض الأفعال رعاية للفواصل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24799','chapter_id' => '94','chapter_detail_id' => '6091','translator_id' => '4','verse_number' => '1','translate_name' => '«ألم نشرح» استفهام تقرير أي شرحنا «لك» يا محمد «صدرك» بالنبوة وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24800','chapter_id' => '94','chapter_detail_id' => '6092','translator_id' => '4','verse_number' => '2','translate_name' => '«ووضعنا» حططنا «عنك وزرك».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24801','chapter_id' => '94','chapter_detail_id' => '6093','translator_id' => '4','verse_number' => '3','translate_name' => '(الذي أنقض) أثقل (ظهرك) وهذا كقوله تعالى: "" ليغفر لك الله ما تقدم من ذنبك "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24802','chapter_id' => '94','chapter_detail_id' => '6094','translator_id' => '4','verse_number' => '4','translate_name' => '«ورفعنا لك ذكرك» بأن تُذكر مع ذكري في الآذان والإقامة والتشهد والخطبة وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24803','chapter_id' => '94','chapter_detail_id' => '6095','translator_id' => '4','verse_number' => '5','translate_name' => '«فإن مع العسر» الشدة «يسرا» سهولة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24804','chapter_id' => '94','chapter_detail_id' => '6096','translator_id' => '4','verse_number' => '6','translate_name' => '«إن مع العسر يسراً» والنبي صلى الله عليه وسلم قاسى من الكفار شدة ثم حصل له اليسر بنصره عليهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24805','chapter_id' => '94','chapter_detail_id' => '6097','translator_id' => '4','verse_number' => '7','translate_name' => '«فإذا فرغت» من الصلاة «فانصب» اتعب في الدعاء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24806','chapter_id' => '94','chapter_detail_id' => '6098','translator_id' => '4','verse_number' => '8','translate_name' => '«وإلى ربك فارغب» تضرع.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24807','chapter_id' => '95','chapter_detail_id' => '6099','translator_id' => '4','verse_number' => '1','translate_name' => '«والتين والزيتون» أي المأكولين أو جبلين بالشام ينبتان المأكولين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24808','chapter_id' => '95','chapter_detail_id' => '6100','translator_id' => '4','verse_number' => '2','translate_name' => '«وطور سينين» الجبل الذي كلم الله تعالى عليه موسى ومعنى سينين المبارك أو الحسن بالأشجار المثمرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24809','chapter_id' => '95','chapter_detail_id' => '6101','translator_id' => '4','verse_number' => '3','translate_name' => '«وهذا البلد الأمين» مكة لأمن الناس فيها جاهلية وإسلاما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24810','chapter_id' => '95','chapter_detail_id' => '6102','translator_id' => '4','verse_number' => '4','translate_name' => '«لقد خلقنا الإنسان» الجنس «في أحسن تقويم» تعديل لصورته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24811','chapter_id' => '95','chapter_detail_id' => '6103','translator_id' => '4','verse_number' => '5','translate_name' => '«ثم رددناه» في بعض أفراده «أسفل سافلين» كناية عن الهرم والضعف فينقص عمل المؤمن عن زمن الشباب ويكون له أجره بقوله تعالى:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24812','chapter_id' => '95','chapter_detail_id' => '6104','translator_id' => '4','verse_number' => '6','translate_name' => '(إلا) لكن (الذين آمنوا وعملوا الصالحات فلهم أجر غير ممنون) مقطوع وفي الحديث: "" إذا بلغ المؤمن من الكبر ما يعجزه عن العمل كتب له ما كان يعمل "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24813','chapter_id' => '95','chapter_detail_id' => '6105','translator_id' => '4','verse_number' => '7','translate_name' => '«فما يكذبك» أيها الكافر «بعد» بعد ما ذكر من خلق الإنسان في أحسن صورة ثم رده إلى أرذل العمر الدال على القدرة على البعث «بالدين» بالجزاء المسبوق بالبعث والحساب، أي ما يجعلك مكذبا بذلك ولا جاعل له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24814','chapter_id' => '95','chapter_detail_id' => '6106','translator_id' => '4','verse_number' => '8','translate_name' => '(أليس الله بأحكم الحاكمين) هو أقضى القاضين وحكمه بالجزاء من ذلك وفي الحديث: "" من قرأ والتين إلى آخرها فليقل: بلى وأنا على ذلك من الشاهدين "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24815','chapter_id' => '96','chapter_detail_id' => '6107','translator_id' => '4','verse_number' => '1','translate_name' => '«اقرأ» أوجد القراءة مبتدئا «باسم ربك الذي خلق» الخلائق.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24816','chapter_id' => '96','chapter_detail_id' => '6108','translator_id' => '4','verse_number' => '2','translate_name' => '«خلق الإنسان» الجنس «من علق» جمع علقة وهي القطعة اليسيرة من الدم الغليظ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24817','chapter_id' => '96','chapter_detail_id' => '6109','translator_id' => '4','verse_number' => '3','translate_name' => '«اقرأ» تأكيد للأول «وربك الأكرم» الذي لا يوازيه كريم، حال من الضمير اقرأ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24818','chapter_id' => '96','chapter_detail_id' => '6110','translator_id' => '4','verse_number' => '4','translate_name' => '«الذي علم» الخط «بالقلم» وأول من خط به إدريس عليه السلام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24819','chapter_id' => '96','chapter_detail_id' => '6111','translator_id' => '4','verse_number' => '5','translate_name' => '«علم الإنسان» الجنس «ما لم يعلم» قبل تعليمه الهدى والكتابة والصناعة وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24820','chapter_id' => '96','chapter_detail_id' => '6112','translator_id' => '4','verse_number' => '6','translate_name' => '«كلا» حقا «إنَّ الإنسان ليطغى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24821','chapter_id' => '96','chapter_detail_id' => '6113','translator_id' => '4','verse_number' => '7','translate_name' => '«أن رآه» أي نفسه «استغنى» بالمال، نزل في أبي جهل، ورأى علمية واستغنى مفعول ثان وأن رآه مفعول له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24822','chapter_id' => '96','chapter_detail_id' => '6114','translator_id' => '4','verse_number' => '8','translate_name' => '«إن إلى ربك» يا إنسان «الرجعى» أي الرجوع تخويف له فيجازي الطاغي بما يستحقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24823','chapter_id' => '96','chapter_detail_id' => '6115','translator_id' => '4','verse_number' => '9','translate_name' => '«أرأيت» في الثلاثة مواضع للتعجب «الذي ينهي» هو أبو جهل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24824','chapter_id' => '96','chapter_detail_id' => '6116','translator_id' => '4','verse_number' => '10','translate_name' => '«عبدا» هو النبي صلى الله عليه وسلم «إذا صلّى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24825','chapter_id' => '96','chapter_detail_id' => '6117','translator_id' => '4','verse_number' => '11','translate_name' => '«أرأيت إن كان» المنهي «على الهدى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24826','chapter_id' => '96','chapter_detail_id' => '6118','translator_id' => '4','verse_number' => '12','translate_name' => '«أو» للتقسيم «أمر بالتقوى».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24827','chapter_id' => '96','chapter_detail_id' => '6119','translator_id' => '4','verse_number' => '13','translate_name' => '«أرأيت إن كذب» أي الناهي النبي «وتولى» عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24828','chapter_id' => '96','chapter_detail_id' => '6120','translator_id' => '4','verse_number' => '14','translate_name' => '«ألم يعلم بأن الله يرى» ما صدر منه، أي يعلمه فيجازيه عليه، أي اعجب منه يا مخاطب من حيث نهيه عن الصلاة ومن حيث أن المنهي على الهدى آمر بالتقوى ومن حيث أن الناهي مكذب متولٍ عن الإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24829','chapter_id' => '96','chapter_detail_id' => '6121','translator_id' => '4','verse_number' => '15','translate_name' => '«كلا» ردع له «لئن» لام قسم «لم ينته» عما هو عليه من الكفر «لنسفعا بالناصية» لنجرنَّ بناصيته غلى النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24830','chapter_id' => '96','chapter_detail_id' => '6122','translator_id' => '4','verse_number' => '16','translate_name' => '«ناصية» بدل نكرة من معرفة «كاذبة خاطئة» وصفها بذلك مجازًا والمراد صاحبها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24831','chapter_id' => '96','chapter_detail_id' => '6123','translator_id' => '4','verse_number' => '17','translate_name' => '«فليدع ناديه» أي أهل ناديه وهو المجلس ينتدى يتحدث فيه القوم وكان قال للنبي صلى الله عليه وسلم لما انتهره حيث نهاه عن الصلاة: لقد علمت ما بها رجل أكثر ناديا مني لأملأنَّ عليك هذا الوادي إن شئت خيلا جردا ورجالا مردا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24832','chapter_id' => '96','chapter_detail_id' => '6124','translator_id' => '4','verse_number' => '18','translate_name' => '(سندع الزبانية) الملائكة الغلاظ الشداد لإهلاكه كما في الحديث "" لو دعا ناديه لأخذته الزبانية عيانا "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24833','chapter_id' => '96','chapter_detail_id' => '6125','translator_id' => '4','verse_number' => '19','translate_name' => '«كلا» ردع له «لا تطعه» يا محمد في ترك الصلاة «واسجد» صلِّ لله «واقترب» منه بطاعته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24834','chapter_id' => '97','chapter_detail_id' => '6126','translator_id' => '4','verse_number' => '1','translate_name' => '«إنا أنزلناه» أي القرآن جملة واحدة من اللوح المحفوظ إلى السماء الدنيا «في ليلة القدر» أي الشرف العظيم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24835','chapter_id' => '97','chapter_detail_id' => '6127','translator_id' => '4','verse_number' => '2','translate_name' => '«وما أدراك» أعلمك يا محمد «ما ليلة القدر» تعظيم لشانها وتعجيب منه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24836','chapter_id' => '97','chapter_detail_id' => '6128','translator_id' => '4','verse_number' => '3','translate_name' => '«ليلة القدر خير من ألف شهر» ليس فيها ليلة القدر فالعمل الصالح فيها خير منه في ألف شهر ليست فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24837','chapter_id' => '97','chapter_detail_id' => '6129','translator_id' => '4','verse_number' => '4','translate_name' => '«تنزَّل الملائكة» بحذف إحدى التاءين من الأصل «والروح» أي جبريل «فيها» في الليلة «بإذن ربهم» بأمره «من كل أمر» قضاه الله فيها لتلك السنة إلى قابل ومن سببيه بمعنى الباء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24838','chapter_id' => '97','chapter_detail_id' => '6130','translator_id' => '4','verse_number' => '5','translate_name' => '«سلام هي» خبر مقدم ومبتدأ «حتى مطلع الفجر» بفتح اللام وكسرها إلى وقت طلوعه، جُعلت سلاما لكثرة السلام فيها من الملائكة لا تمر بمؤمن ولا مؤمنة إلا سلمت عليه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24839','chapter_id' => '98','chapter_detail_id' => '6131','translator_id' => '4','verse_number' => '1','translate_name' => '«لم يكن الذين كفروا من» للبيان «أهل الكتاب والمشركين» أي عبدة الأصنام عطف على أهل «منفكين» خبر يكن، أي زائلين عما هم عليه «حتى تأتيهم» أي أتتهم «البينة» أي الحجة الواضحة وهي محمد صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24840','chapter_id' => '98','chapter_detail_id' => '6132','translator_id' => '4','verse_number' => '2','translate_name' => '«رسول من الله» بدل من البينة وهو النبي صلى الله عليه وسلم «يتلو صحفاً مطهرة» من الباطل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24841','chapter_id' => '98','chapter_detail_id' => '6133','translator_id' => '4','verse_number' => '3','translate_name' => '«فيها كتب» أحكام مكتوبة «قيمة» مستقيمة، أي يتلو مضمون ذلك وهو القرآن، فمنهم من آمن به ومنهم من كفر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24842','chapter_id' => '98','chapter_detail_id' => '6134','translator_id' => '4','verse_number' => '4','translate_name' => '«وما تفرق الذين أوتوا الكتاب» في الإيمان به «إلا من بعد ما جاءتهم البينة» أي هو صلى الله عليه وسلم أو القرآن الجائي به معجزة له وقبل مجيئه صلى الله عليه وسلم كانوا مجتمعين على الإيمان به إذا جاءه فحسده من كفر به منهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24843','chapter_id' => '98','chapter_detail_id' => '6135','translator_id' => '4','verse_number' => '5','translate_name' => '«وما أمروا» في كتابهم التوراة والإنجيل «إلا ليعبدوا الله» أي أن يعبدوه فحذفت أن وزيدت اللام «مخلصين له الدين» من الشرك «حنفاء» مستقيمين على دين إبراهيم ودين محمد إذا جاء فكيف كفروا به «ويقيموا الصلاة ويؤتوا الزكاة وذلك دين» الملة «القيِّمة» المستقيمة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24844','chapter_id' => '98','chapter_detail_id' => '6136','translator_id' => '4','verse_number' => '6','translate_name' => '«إن الذين كفروا من أهل الكتاب والمشركين في نار جهنم خالدين فيها» حال مقدرة، أي مقدرا خلودهم فيها من الله تعالى «أولئك هم شر البرية».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24845','chapter_id' => '98','chapter_detail_id' => '6137','translator_id' => '4','verse_number' => '7','translate_name' => '«إن الذين آمنوا وعملوا الصالحات أولئك هم خير البرية» الخليقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24846','chapter_id' => '98','chapter_detail_id' => '6138','translator_id' => '4','verse_number' => '8','translate_name' => '«جزاؤهم عند ربهم جنات عدن» إقامة «تجرى من تحتها الأنهار خالدين فيها أبدا رضي الله عنهم» بطاعته «ورضوا عنه» بثوابه «ذلك لمن خشي ربه» خاف عقابه فانتهى عن معصيته تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24847','chapter_id' => '99','chapter_detail_id' => '6139','translator_id' => '4','verse_number' => '1','translate_name' => '«إذا زُلزلت الأرض» حركت لقيام الساعة «زلزالها» تحريكها الشديد المناسب لعظمتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24848','chapter_id' => '99','chapter_detail_id' => '6140','translator_id' => '4','verse_number' => '2','translate_name' => '«وأخرجت الأرض أثقالها» كنوزها وموتاها فألقتها على ظهرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24849','chapter_id' => '99','chapter_detail_id' => '6141','translator_id' => '4','verse_number' => '3','translate_name' => '«وقال الإنسان» الكافر بالبعث «مالها» إنكارا لتلك الحالة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24850','chapter_id' => '99','chapter_detail_id' => '6142','translator_id' => '4','verse_number' => '4','translate_name' => '«يومئذ» بدل من إذا وجوابها «تُحدث أخبارها» تخبر بما عمل عليها من خير وشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24851','chapter_id' => '99','chapter_detail_id' => '6143','translator_id' => '4','verse_number' => '5','translate_name' => '(بأن) بسبب أن (ربك أوحى لها) أي أمرها بذلك، وفي الحديث "" تشهد على كل عبد أو أمة بكل ما عمل على ظهرها "".','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24852','chapter_id' => '99','chapter_detail_id' => '6144','translator_id' => '4','verse_number' => '6','translate_name' => '«يومئذ يصدر الناس» ينصرفون من موقف الحساب «أشتاتا» متفرقين فآخذ ذات اليمين إلى الجنة وآخذ ذات الشمال إلى النار «ليروا أعمالهم» أي جزاءها من الجنة أو النار.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24853','chapter_id' => '99','chapter_detail_id' => '6145','translator_id' => '4','verse_number' => '7','translate_name' => '«فمن يعمل مثقال ذرة» زنة نملة صغيرة «خيرا يره» ير ثوابه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24854','chapter_id' => '99','chapter_detail_id' => '6146','translator_id' => '4','verse_number' => '8','translate_name' => '«ومن يعمل مثقال ذرة شرا يره» ير جزاءه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24855','chapter_id' => '100','chapter_detail_id' => '6147','translator_id' => '4','verse_number' => '1','translate_name' => '«والعاديات» الخيل تعدو في الغزو وتضبح «ضبحا» هو صوت أجوافها إذا عدت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24856','chapter_id' => '100','chapter_detail_id' => '6148','translator_id' => '4','verse_number' => '2','translate_name' => '«فالموريات» الخيل توري النار «قدحا» بحوافرها إذا سارت في الأرض ذات الحجارة بالليل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24857','chapter_id' => '100','chapter_detail_id' => '6149','translator_id' => '4','verse_number' => '3','translate_name' => '«فالمغيرات صبحا» الخيل تغير على العدو وقت الصبح بإغارة أصحابها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24858','chapter_id' => '100','chapter_detail_id' => '6150','translator_id' => '4','verse_number' => '4','translate_name' => '«فأثرن» هيجن «به» بمكان عدوهن أو بذلك الوقت «نقعا» غبارا بشدة حركتهن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24859','chapter_id' => '100','chapter_detail_id' => '6151','translator_id' => '4','verse_number' => '5','translate_name' => '«فوسطن به» بالنقع «جمعا» من العدو، أي صرن وسطه وعطف الفعل على الاسم لأنه في تأويل الفعل أي واللاتي عدون فأورين فأغرن.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24860','chapter_id' => '100','chapter_detail_id' => '6152','translator_id' => '4','verse_number' => '6','translate_name' => '«إن الإنسان» الكافر «لربه لكنود» لكفور يجحد نعمته تعالى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24861','chapter_id' => '100','chapter_detail_id' => '6153','translator_id' => '4','verse_number' => '7','translate_name' => '«وإنه على ذلك» أي كنوده «لشهيد» يشهد على نفسه بصنعه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24862','chapter_id' => '100','chapter_detail_id' => '6154','translator_id' => '4','verse_number' => '8','translate_name' => '«وإنه لحب الخير» أي المال الحب له فيبخل به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24863','chapter_id' => '100','chapter_detail_id' => '6155','translator_id' => '4','verse_number' => '9','translate_name' => '«أفلا يعلم إذا بُعثر» أثير وأخرج «ما في القبور» من الموتى، أي بعثوا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24864','chapter_id' => '100','chapter_detail_id' => '6156','translator_id' => '4','verse_number' => '10','translate_name' => '«وحصِّل» بين وأفرز «ما في الصدور» القلوب من الكفر والإيمان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24865','chapter_id' => '100','chapter_detail_id' => '6157','translator_id' => '4','verse_number' => '11','translate_name' => '«إن ربهم بهم يومئذ لخبير» لعالم فيجازيهم على كفرهم، أعيد الضمير جمعا نظرا لمعنى الإنسان وهذه الجملة دلت على مفعول يعلم، أي إنا نجازيه وقت ما ذكر وتعلق خبير بيومئذ وهو تعالى خبير دائما لأنه يوم المجازاة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24866','chapter_id' => '101','chapter_detail_id' => '6158','translator_id' => '4','verse_number' => '1','translate_name' => '«القارعة» القيامة التي تقرع القلوب بأهوالها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24867','chapter_id' => '101','chapter_detail_id' => '6159','translator_id' => '4','verse_number' => '2','translate_name' => '«ما القارعة» تهويل لشأنها وهما مبتدأ وخبر القارعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24868','chapter_id' => '101','chapter_detail_id' => '6160','translator_id' => '4','verse_number' => '3','translate_name' => '«وما أدراك» أعلمك «ما القارعة» زيادة تهويل لها وما الأولى مبتدأ وما بعدها خبره وما الثانية وخبرها في محل المفعول الثاني لأدرى.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24869','chapter_id' => '101','chapter_detail_id' => '6161','translator_id' => '4','verse_number' => '4','translate_name' => '«يوم» ناصبه دل عليه القارعة، أي تقرع «يكون الناس كالفراش المبثوث» كغوغاء الجراد المنتشر يموج بعضهم في بعض للحيرة إلى أن يُدعوا للحساب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24870','chapter_id' => '101','chapter_detail_id' => '6162','translator_id' => '4','verse_number' => '5','translate_name' => '«وتكون الجبال كالعهن المنفوش» كالصوف المندوف في خفة سيرها حتى تستوي مع الأرض.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24871','chapter_id' => '101','chapter_detail_id' => '6163','translator_id' => '4','verse_number' => '6','translate_name' => '«فأما من ثقلت موازينه» بأن رجحت حسناته على سيئاته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24872','chapter_id' => '101','chapter_detail_id' => '6164','translator_id' => '4','verse_number' => '7','translate_name' => '«فهو في عيشة راضية» في الجنة، أي ذات رضى بأن يرضاها، أي مرضية له.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24873','chapter_id' => '101','chapter_detail_id' => '6165','translator_id' => '4','verse_number' => '8','translate_name' => '«وأما من خفَّت موازينه» بأن رجحت سيئاته على حسناته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24874','chapter_id' => '101','chapter_detail_id' => '6166','translator_id' => '4','verse_number' => '9','translate_name' => '«فأمه» فمسكنه «هاوية».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24875','chapter_id' => '101','chapter_detail_id' => '6167','translator_id' => '4','verse_number' => '10','translate_name' => '«وما أدراك ماهيه» أي ما هاوية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24876','chapter_id' => '101','chapter_detail_id' => '6168','translator_id' => '4','verse_number' => '11','translate_name' => 'هي «نار حامية» شديدة الحرارة وهاء هيَهْ للسكت تثبت وصلا ووقفا وفي قراءة تحذف وصلاً.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24877','chapter_id' => '102','chapter_detail_id' => '6169','translator_id' => '4','verse_number' => '1','translate_name' => '«ألهاكم» شغلكم عن طاعة الله «التكاثر» التفاخر بالأموال والأولاد والرجال.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24878','chapter_id' => '102','chapter_detail_id' => '6170','translator_id' => '4','verse_number' => '2','translate_name' => '«حتى زرتم المقابر» بأن متم فدفنتم فيها، أو عددتم الموتى تكاثرا.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24879','chapter_id' => '102','chapter_detail_id' => '6171','translator_id' => '4','verse_number' => '3','translate_name' => '«كلا» ردع «سوف تعلمون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24880','chapter_id' => '102','chapter_detail_id' => '6172','translator_id' => '4','verse_number' => '4','translate_name' => '«ثم كلا سوف تعلمون» سوء عاقبة تفاخركم عند النزع ثم في القبر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24881','chapter_id' => '102','chapter_detail_id' => '6173','translator_id' => '4','verse_number' => '5','translate_name' => '«كلا» حقا «لو تعلمون علم اليقين» علما يقينا عاقبة التفاخر ما اشتغلتم به.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24882','chapter_id' => '102','chapter_detail_id' => '6174','translator_id' => '4','verse_number' => '6','translate_name' => '«لترون الجحيم» النار جواب قسم محذوف وحذف منه لام الفعل وعينه وألقت حركتها على الراء.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24883','chapter_id' => '102','chapter_detail_id' => '6175','translator_id' => '4','verse_number' => '7','translate_name' => '«ثم لترونها» تأكيد «عين اليقين» مصدر لأن رأى وعاين بمعنى واحد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24884','chapter_id' => '102','chapter_detail_id' => '6176','translator_id' => '4','verse_number' => '8','translate_name' => '«ثم لتسألُن» حذف منه نون الرفع لتوالي النونات وواو ضمير الجمع لالتقاء الساكنين «يومئذ» يوم رؤيتها «عن النعيم» ما يلتذ به في الدنيا من الصحة والفراغ والأمن والمطعم والمشرب وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24885','chapter_id' => '103','chapter_detail_id' => '6177','translator_id' => '4','verse_number' => '1','translate_name' => '«والعصر» الدهر أو ما بعد الزوال إلى الغروب أو صلاة العصر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24886','chapter_id' => '103','chapter_detail_id' => '6178','translator_id' => '4','verse_number' => '2','translate_name' => '«إنَّ الإنسان» الجنس «لفي خُسر» في تجارته.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24887','chapter_id' => '103','chapter_detail_id' => '6179','translator_id' => '4','verse_number' => '3','translate_name' => '«إلا الذين آمنوا وعملوا الصالحات» فليسوا في خسران «وتواصوا» أوصى بعضهم بعضاً «بالحق» الإيمان «وتواصوا بالصبر» على الطاعة وعن المعصية.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24888','chapter_id' => '104','chapter_detail_id' => '6180','translator_id' => '4','verse_number' => '1','translate_name' => '«ويل» كلمة عذاب أو وادٍ في جهنم «لكل هُمزة لُمزة» أي كثير الهمز واللمز، أي الغيبة نزلت فيمن كان يغتاب النبي صلى الله عليه وسلم والمؤمنين كأُمية بن خلف والوليد بن المغيرة وغيرهما.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24889','chapter_id' => '104','chapter_detail_id' => '6181','translator_id' => '4','verse_number' => '2','translate_name' => '«الذي جمع» بالتخفيف والتشديد «مالا وعدده» أحصاه وجعله عدة لحوادث الدهر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24890','chapter_id' => '104','chapter_detail_id' => '6182','translator_id' => '4','verse_number' => '3','translate_name' => '«يحسب» لجهله «أن ماله أخلده» جعله خالدا لا يموت.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24891','chapter_id' => '104','chapter_detail_id' => '6183','translator_id' => '4','verse_number' => '4','translate_name' => '«كلا» ردع «لينبذن» جواب قسم محذوف، أي ليطرحن «في الحطمة» التي تحطم كل ما ألقي فيها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24892','chapter_id' => '104','chapter_detail_id' => '6184','translator_id' => '4','verse_number' => '5','translate_name' => '«وما أدراك» أعلمك «ما الحطمة».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24893','chapter_id' => '104','chapter_detail_id' => '6185','translator_id' => '4','verse_number' => '6','translate_name' => '«نار الله الموقدة» المسعرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24894','chapter_id' => '104','chapter_detail_id' => '6186','translator_id' => '4','verse_number' => '7','translate_name' => '«التي تطَّلع» تشرف «على الأفئدة» القلوب فتحرقها وألمها أشد من ألم غيرها للطفها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24895','chapter_id' => '104','chapter_detail_id' => '6187','translator_id' => '4','verse_number' => '8','translate_name' => '«إنها عليهم» جمع الضمير رعاية لمعنى كل «مؤصدة» بالهمز والواو بدله، مطبقة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24896','chapter_id' => '104','chapter_detail_id' => '6188','translator_id' => '4','verse_number' => '9','translate_name' => '«في عمد» بضم الحرفين وبفتحهما «ممددة» صفة لما قبله فتكون النار داخل العمد.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24897','chapter_id' => '105','chapter_detail_id' => '6189','translator_id' => '4','verse_number' => '1','translate_name' => '«ألم تر» استفهام تعجب، أي اعجب «كيف فعل ربك بأصحاب الفيل» هو محمود وأصحابه أبرهة ملك اليمن وجيشه، بنى بصنعاء كنيسة ليصرف إليها الحجاج عن مكة فأحدث رجل من كنانة فيها ولطخ قبلتها بالعذرة احتقارا بها، فحلف أبره ليهدمنَّ الكعبة، فجاء مكة بجيشه على أفيال اليمن مقدمها محمود، فحين توجهوا لهدم الكعبة أرسل الله عليهم ما قصَّه في قوله:','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24898','chapter_id' => '105','chapter_detail_id' => '6190','translator_id' => '4','verse_number' => '2','translate_name' => '«ألم يجعل» أي جعل «كيدهم» في هدم الكعبة «في تضليل» خسارة وهلاك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24899','chapter_id' => '105','chapter_detail_id' => '6191','translator_id' => '4','verse_number' => '3','translate_name' => '«وأرسل عليهم طيراً أبابيل» جماعات جماعات، قيل لا واحد له كأساطير، وقيل واحده: أبول أو بال أو أبيل كعجول ومفتاح وسكين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24900','chapter_id' => '105','chapter_detail_id' => '6192','translator_id' => '4','verse_number' => '4','translate_name' => '«ترميهم بحجارة من سجيل» طين مطبوخ.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24901','chapter_id' => '105','chapter_detail_id' => '6193','translator_id' => '4','verse_number' => '5','translate_name' => '«فجعلهم كعصف مأكول» كورق زرع أكلته الدواب وداسته وأفنته، أي أهلكهم الله تعالى كل واحد بحجره المكتوب عليه أسمه، وهو أكبر من العدسة وأصغر من الحمصة يغرق البيضة والرجل والفيل ويصل الأرض، وكان هذا عام مولد النبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24902','chapter_id' => '106','chapter_detail_id' => '6194','translator_id' => '4','verse_number' => '1','translate_name' => '«لإيلاف قريش».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24903','chapter_id' => '106','chapter_detail_id' => '6195','translator_id' => '4','verse_number' => '2','translate_name' => '«إيلافهم» تأكيد وهو مصدر آلف بالمد «رحلة الشتاء» إلى اليمن «و» رحلة «الصيف» إلى الشام في كل عام، يستعينون بالرحلتين للتجارة على المقام بمكة لخدمة البيت الذي هو فخرهم، وهم ولد النضر بن كنانة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24904','chapter_id' => '106','chapter_detail_id' => '6196','translator_id' => '4','verse_number' => '3','translate_name' => '«فليعبدوا» تعلق به لإيلاف والفاء زائدة «رب هذا البيت».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24905','chapter_id' => '106','chapter_detail_id' => '6197','translator_id' => '4','verse_number' => '4','translate_name' => '«الذي أطعمهم من جوع» أي من أجله «وآمنهم من خوف» أي من أجله وكان يصيبهم الجوع لعدم الزرع بمكة وخافوا جيش الفيل.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24906','chapter_id' => '107','chapter_detail_id' => '6198','translator_id' => '4','verse_number' => '1','translate_name' => '«أرأيت الذي يُكذِّب بالدين» بالجزاء والحساب، أي هل عرفته وإن لم تعرفه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24907','chapter_id' => '107','chapter_detail_id' => '6199','translator_id' => '4','verse_number' => '2','translate_name' => '«فذلك» بتقدير هو بعد الفاء «الذي يَدُعُّ اليتيم» أي يدفعه بعنف عن حقه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24908','chapter_id' => '107','chapter_detail_id' => '6200','translator_id' => '4','verse_number' => '3','translate_name' => '«ولا يحض» نفسه ولا غيره «على طعام المسكين» أي إطعامه، نزلت في العاص بن وائل أو الوليد بن المغيرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24909','chapter_id' => '107','chapter_detail_id' => '6201','translator_id' => '4','verse_number' => '4','translate_name' => '«فويل للمصلين».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24910','chapter_id' => '107','chapter_detail_id' => '6202','translator_id' => '4','verse_number' => '5','translate_name' => '«الذين هم عن صلاتهم ساهون» غافلون يؤخرونها عن وقتها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24911','chapter_id' => '107','chapter_detail_id' => '6203','translator_id' => '4','verse_number' => '6','translate_name' => '«الذين هم يراءون» في الصلاة وغيرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24912','chapter_id' => '107','chapter_detail_id' => '6204','translator_id' => '4','verse_number' => '7','translate_name' => '«ويمنعون الماعون» كالإبرة والفأس والقدر والقصعة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24913','chapter_id' => '108','chapter_detail_id' => '6205','translator_id' => '4','verse_number' => '1','translate_name' => '«إنا أعطيناك» يا محمد «الكوثر» هو نهر في الجنة هو حوضه ترد عليه أمته، والكوثر: الخير الكثير من النبوَّة والقرآن والشفاعة ونحوها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24914','chapter_id' => '108','chapter_detail_id' => '6206','translator_id' => '4','verse_number' => '2','translate_name' => '«فصلِّ لربك» صلاة عيد النحر «وانحر» نسكك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24915','chapter_id' => '108','chapter_detail_id' => '6207','translator_id' => '4','verse_number' => '3','translate_name' => '«إن شانئك» أي مُبغضك «هو الأبتر» المنقطع عن كل خير، أو المنقطع العقب، نزلت في العاص بن وائل سمى النبي صلى الله عليه وسلم أبتر عند موت ابنه القاسم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24916','chapter_id' => '109','chapter_detail_id' => '6208','translator_id' => '4','verse_number' => '1','translate_name' => '«قل يا أيها الكافرون».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24917','chapter_id' => '109','chapter_detail_id' => '6209','translator_id' => '4','verse_number' => '2','translate_name' => '«لا أعبد» في الحال «ما تعبدون» من الأصنام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24918','chapter_id' => '109','chapter_detail_id' => '6210','translator_id' => '4','verse_number' => '3','translate_name' => '«ولا أنتم عابدون» في الحال «ما أعبد» وهو الله تعالى وحده.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24919','chapter_id' => '109','chapter_detail_id' => '6211','translator_id' => '4','verse_number' => '4','translate_name' => '«ولا أنا عابد» في الاستقبال «ما عبدتم».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24920','chapter_id' => '109','chapter_detail_id' => '6212','translator_id' => '4','verse_number' => '5','translate_name' => '«ولا أنتم عابدون» في الاستقبال «ما أعبد» علم الله منهم أنهم لا يؤمنون، وإطلاق ما على الله على وجه المقابلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24921','chapter_id' => '109','chapter_detail_id' => '6213','translator_id' => '4','verse_number' => '6','translate_name' => '«لكم دينكم» الشرك «ولي دين» الإسلام وهذا قبل أن يؤمر بالحرب وحذف ياء الإضافة القراء السبعة وقفا ووصلا وأثبتها يعقوب في الحالين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24922','chapter_id' => '110','chapter_detail_id' => '6214','translator_id' => '4','verse_number' => '1','translate_name' => '«إذا جاء نصر الله» نبيَّه صلى الله عليه وسلم على أعدائه «والفتح» فتح مكة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24923','chapter_id' => '110','chapter_detail_id' => '6215','translator_id' => '4','verse_number' => '2','translate_name' => '«ورأيت الناس يدخلون في دين الله» أي الإسلام «أفواجا» جماعات بعدما كان يدخل فيه واحد واحد، وذلك بعد فتح مكة جاءه العرب من أقطار الأرض طائعين.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24924','chapter_id' => '110','chapter_detail_id' => '6216','translator_id' => '4','verse_number' => '3','translate_name' => '«فسبح بحمد ربك» أي متلبسا بحمده «واستغفره إنه كان توابا» وكان صلى الله عليه وسلم بعد نزول هذه السورة يكثر من قول: سبحان الله وبحمده، أستغفر الله وأتوب إليه، وعلم بها أنه قد أقترب أجله وكان فتح مكة في رمضان سنة ثمان وتوفي صلى الله عليه وسلم في ربيع الأول سنة عشر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24925','chapter_id' => '111','chapter_detail_id' => '6217','translator_id' => '4','verse_number' => '1','translate_name' => 'لما دعا النبي صلى الله عليه وسلم قومه وقال: إني نذير لكم بين يدي عذاب شديد، فقال عمه أبو لهب: تبًا لك ألهذا دعوتنا، نزل «تبت» خسرت «يدا أبي لهب» أي جملته وعبر عنها باليدين مجازًا لأن أكثر الأفعال تزاول بهما، وهذه الجملة دعاء «وتبَّ» خسر هو، وهذه خبر كقولهم: أهلكه الله وقد هلك، ولما خوَّفه النبي بالعذاب، فقال: إن كان ابن أخي حقاً فإني أفتدي منه بمالي وولدي نزل: «ما أغنى عنه ماله وما كسب».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24926','chapter_id' => '111','chapter_detail_id' => '6218','translator_id' => '4','verse_number' => '2','translate_name' => '«ما أَغنى عنه ماله وما كسب» أي وكسبه، أي ولده ما أغنى بمعنى يغني.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24927','chapter_id' => '111','chapter_detail_id' => '6219','translator_id' => '4','verse_number' => '3','translate_name' => '«سيصلى ناراً ذات لهب» أي تلهب وتوقد فهي مآل تكنيته لتلهب وجهه إشراقاً وحمرة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24928','chapter_id' => '111','chapter_detail_id' => '6220','translator_id' => '4','verse_number' => '4','translate_name' => '«وامرأته» عطف على ضمير يصلى سوغه الفصل بالمفعول وصفته وهي أم جميل «حمالة» بالرفع والنصب «الحطب» الشوك والسعدان تلقيه في طريق النبي صلى الله عليه وسلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24929','chapter_id' => '111','chapter_detail_id' => '6221','translator_id' => '4','verse_number' => '5','translate_name' => '«في جيدها» عنقها «حبل من مسد» أي ليف وهذه الجملة حال من حمالة الحطب الذي هو نعت لامرأته أو خبر مبتدأ مقدر.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24930','chapter_id' => '112','chapter_detail_id' => '6222','translator_id' => '4','verse_number' => '1','translate_name' => 'سئل النبي صلى الله عليه وسلم عن ربه فنزل: «قل هو الله أحد» فالله خبر هو وأحد بدل منه أو خبر ثان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24931','chapter_id' => '112','chapter_detail_id' => '6223','translator_id' => '4','verse_number' => '2','translate_name' => '«الله الصمد» مبتدأ وخبر أي المقصود في الحوائج على الدوام.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24932','chapter_id' => '112','chapter_detail_id' => '6224','translator_id' => '4','verse_number' => '3','translate_name' => '«لم يلد» لانتفاء مجانسته «ولم يولد» لانتفاء الحدوث عنه.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24933','chapter_id' => '112','chapter_detail_id' => '6225','translator_id' => '4','verse_number' => '4','translate_name' => '«ولم يكن له كفواً أحد» أي مكافئًا ومماثلاً، وله متعلق بكفوًا، وقُدِّم عليه لأنه مَحطُّ القصد بالنفي وأَخَّر أحد وهو اسم يكن عن خبرها رعاية للفاصلة.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24934','chapter_id' => '113','chapter_detail_id' => '6226','translator_id' => '4','verse_number' => '1','translate_name' => '«قل أعوذ برب الفلق» الصبح.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24935','chapter_id' => '113','chapter_detail_id' => '6227','translator_id' => '4','verse_number' => '2','translate_name' => '«من شر ما خلق» من حيوان مكلف وغير مكلف وجماد كالسم وغير ذلك.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24936','chapter_id' => '113','chapter_detail_id' => '6228','translator_id' => '4','verse_number' => '3','translate_name' => '«ومن شر غاسق إذا وقب» أي الليل إذا أظلم والقمر إذا غاب.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24937','chapter_id' => '113','chapter_detail_id' => '6229','translator_id' => '4','verse_number' => '4','translate_name' => '«ومن شر النفاثات» السواحر تنفث «في العقد» التي تعقدها في الخيط تنفخ فيها بشيء تقوله من غير ريق، وقال الزمخشري معه كبنات لبيد المذكور.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24938','chapter_id' => '113','chapter_detail_id' => '6230','translator_id' => '4','verse_number' => '5','translate_name' => '«ومن شر حاسد إذا حسد» أظهر حسده وعمل بمقتضاه، كلبيد المذكور من اليهود الحاسدين للنبي صلى الله عليه وسلم، وذكر الثلاثة الشامل لها ما خلق بعده لشدة شرها.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24939','chapter_id' => '114','chapter_detail_id' => '6231','translator_id' => '4','verse_number' => '1','translate_name' => '«قل أعوذ برب الناس» خالقهم ومالكهم خُصُّوا بالذكر تشريفا لهم ومناسبة للاستفادة من شر الموسوس في صدورهم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24940','chapter_id' => '114','chapter_detail_id' => '6232','translator_id' => '4','verse_number' => '2','translate_name' => '«ملك الناس».','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24941','chapter_id' => '114','chapter_detail_id' => '6233','translator_id' => '4','verse_number' => '3','translate_name' => '«إله الناس» بدلان أو صفتان أو عطفا بيان وأظهر المضاف إليه فيهما زيادة للبيان.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24942','chapter_id' => '114','chapter_detail_id' => '6234','translator_id' => '4','verse_number' => '4','translate_name' => '«من شر الوسواس» الشيطان سمي بالحدث لكثرة ملابسته له «الخناس» لأنه يخنس ويتأخر عن القلب كلما ذكر الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24943','chapter_id' => '114','chapter_detail_id' => '6235','translator_id' => '4','verse_number' => '5','translate_name' => '«الذي يوسوس في صدور الناس» قلوبهم إذا غفلوا عن ذكر الله.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40'),
            array('id' => '24944','chapter_id' => '114','chapter_detail_id' => '6236','translator_id' => '4','verse_number' => '6','translate_name' => '(من الجنة والناس) بيان للشيطان الموسوس أنه جني وإنسي، كقوله تعالى: "" شياطين الإنس والجن "" أو من الجنة بيان له والناس عطف على الوسواس وعلى كل يشتمل شر لبيد وبناته المذكورين، واعترض الأول بأن الناس لا يوسوس في صدورهم الناس إنما يوسوس في صدورهم الجن، وأجيب بأن الناس يوسوسون أيضاً بمعنى يليق بهم في الظاهر ثم تصل وسوستهم إلى القلب وتثبت فيه بالطريق المؤدي إلى ذلك والله تعالى أعلم.','created_at' => '2024-01-24 06:59:40','updated_at' => '2024-01-24 06:59:40')
        );
        $results = [];
        foreach ($verse_translations as $key => $item){
            $results[] = [
                'chapter_id' => $item['chapter_id'],
                'chapter_detail_id' => $key+1,
                'translator_id' => $item['translator_id'],
                'verse_number' => $item['verse_number'],
                'translate_name' => $item['translate_name'],
                'created_at' => $item['created_at'],
                'updated_at' => $item['updated_at'],
            ];
        }

        DB::table('verse_translations')->insert($results);
    }
}
