<?php

namespace Database\Seeders\Quran\Chapter\Verse\Bangla;

use App\Models\Quran\Verse\VerseTranslation;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class VerseBanglaZohurulHoqueSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $verse_translations = array(
            array('id' => '1','chapter_id' => '1','translator_id' => '2','verse_number' => '1','translate_name' => 'আল্লাহর নাম নিয়ে (আরম্ভ করছি), (যিনি) রহমান (--পরম করুণাময়, যিনি অসীম করুণা ও দয়া বশতঃ বিশ্বজগতের সমস্ত সৃষ্টির সহাবস্থানের প্রয়োজনীয় সব ব্যবস্থা অগ্রিম করে রেখেছেন), (যিনি) রহীম (--অফুরন্ত ফলদাতা, যাঁর অপার করুণা ও দয়ার ফলে প্রত্যেকের ক্ষুদ্রতম শুভ-প্রচেষ্টাও বিপুলভাবে সাফল্যমণ্ডিত ও পুরস্কৃত হয়ে থাকে)।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '2','chapter_id' => '1','translator_id' => '2','verse_number' => '2','translate_name' => 'সমস্ত প্রশংসা আল্লাহ্‌র প্রাপ্য, সমুদয় সৃষ্ট-জগতের রব্ব।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '3','chapter_id' => '1','translator_id' => '2','verse_number' => '3','translate_name' => 'রহমান, রহীম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '4','chapter_id' => '1','translator_id' => '2','verse_number' => '4','translate_name' => 'বিচারকালের মালিক।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '5','chapter_id' => '1','translator_id' => '2','verse_number' => '5','translate_name' => '“তোমারই আমরা এবাদত করি, এবং তোমারই কাছে আমরা সাহায্য প্রার্থনা করি।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '6','chapter_id' => '1','translator_id' => '2','verse_number' => '6','translate_name' => '“আমাদের তুমি সহজ-সঠিক পথে পরিচালিত করো, --”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '7','chapter_id' => '1','translator_id' => '2','verse_number' => '7','translate_name' => '“তাদের পথে যাদের প্রতি তুমি নিয়ামত অর্পণ করেছ, তাদের ব্যতীত যাদের প্রতি গযব এসেছে, এবং তাদেরও নয় যারা পথভ্রষ্ট।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '8','chapter_id' => '2','translator_id' => '2','verse_number' => '1','translate_name' => 'আলিফ, লাম, মীম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '9','chapter_id' => '2','translator_id' => '2','verse_number' => '2','translate_name' => 'ঐ গ্রন্থ, এতে কোনো সন্দেহ নেই, মুত্তকীদের জন্য পথপ্রদর্শক --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '10','chapter_id' => '2','translator_id' => '2','verse_number' => '3','translate_name' => 'যারা গায়েবে ঈমান আনে, আর নামায কায়েম করে, আর আমরা যে রিযেক তাদের দিয়েছি তা থেকে তারা খরচ করে থাকে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '11','chapter_id' => '2','translator_id' => '2','verse_number' => '4','translate_name' => 'আর তোমার কাছে যা-কিছু অবতীর্ণ হয়েছে তা’তে যারা ঈমান আনে, আর তোমার পূর্ববর্তীদের কাছে যা অবতীর্ণ হয়েছে তাতেও, আর আখেরাত সন্বন্ধে যারা দৃঢ়বিশ্বাস রাখে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '12','chapter_id' => '2','translator_id' => '2','verse_number' => '5','translate_name' => 'এরাই আছে তাদের প্রভুর তরফ থেকে হেদায়তের উপরে, আর এরা নিজেরাই হচ্ছে সফলকাম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '13','chapter_id' => '2','translator_id' => '2','verse_number' => '6','translate_name' => 'অবশ্যই যারা অবিশ্বাস পোষণ করে, তাদের তুমি সতর্ক কর বা তাদের সতর্ক নাই কর তাদের কাছে সবই সমান, ওরা ঈমান আনবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '14','chapter_id' => '2','translator_id' => '2','verse_number' => '7','translate_name' => 'আল্লাহ্ তাদের হৃদয়ে সীল মেরে দিয়েছেন, এবং তাদের কানেও, আর তাদের চোখের উপরে পর্দা। আর তাদের জন্য আছে কঠোর শাস্তি।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '15','chapter_id' => '2','translator_id' => '2','verse_number' => '8','translate_name' => 'আর মানুষের মাঝে কেউ-কেউ বলে থাকে -- “আমরা আল্লাহ্‌র প্রতি এবং আখেরাতের প্রতি ঈমান এনেছি”, অথচ তারা মুমিনদের মধ্যে নয়।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '16','chapter_id' => '2','translator_id' => '2','verse_number' => '9','translate_name' => 'এরা চায় আল্লাহ্ ও যারা ঈমান এনেছে তারা যেন প্রতারিত হন। কিন্তু তারা প্রতারণা করছে নিজেদের ছাড়া আর কাউকে নয়, অথচ তারা বুঝতে পারছে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '17','chapter_id' => '2','translator_id' => '2','verse_number' => '10','translate_name' => 'তাদের অন্তরে ব্যারাম, তাই আল্লাহ্ তাদের জন্য ব্যারাম বাড়িয়ে দিয়েছেন, আর তাদের জন্য ব্যথাদায়ক শাস্তি, যেহেতু তারা মিথ্যা বলে চলেছে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '18','chapter_id' => '2','translator_id' => '2','verse_number' => '11','translate_name' => 'আর যখন তাদের বলা হলো -- “দুনিয়াতে তোমরা গন্ডগোল সৃষ্টি কর না”, তারা বলে -- “না তো, আমরা শান্তিকামী।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '19','chapter_id' => '2','translator_id' => '2','verse_number' => '12','translate_name' => 'তারা নিজেরাই কি নিশ্চয়ই গন্ডগোল সৃষ্টিকারী নয়? কিন্তু তারা বোঝে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '20','chapter_id' => '2','translator_id' => '2','verse_number' => '13','translate_name' => 'আর যখন তাদের বলা হলো -- “তোমরাও ঈমান আনো যেমন লোকেরা ঈমান এনেছে”, তারা বললে -- “আমরা কি বিশ্বাস করব যেমন মূর্খরা বিশ্বাস করছে?” তারা নিজেরাই কি নিঃসন্দেহে মূর্খ নয়? কিন্তু তারা জানে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '21','chapter_id' => '2','translator_id' => '2','verse_number' => '14','translate_name' => 'আর যারা ঈমান এনেছে তাদের সাথে তারা যখন মিলিত হয় তখন বলে -- “আমরা ঈমান এনেছি” । আবার যখন তারা তাদের শয়তানদের সঙ্গে নিরিবিলি হয় তখন বলে -- “আমরা নিশ্চয়ই তোমাদের সাথে, আমরা শুধু মস্করা করছিলাম।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '22','chapter_id' => '2','translator_id' => '2','verse_number' => '15','translate_name' => 'আল্লাহ্ তাদের প্রতি মস্করা ঘুরিয়ে পাঠান, এবং তাদের অন্যায় ক্রিয়া-কলাপের মধ্যে ঘুরপাক খেতে তাদের ছেড়ে দেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '23','chapter_id' => '2','translator_id' => '2','verse_number' => '16','translate_name' => 'এরাই তারা যারা পথনির্দেশের বদলে পথভ্রষ্টতার কেনাকাটা করে, তাই তাদের ব্যবসা মুনাফা আনে না, আর তারা সৎপথপ্রাপ্ত হয় না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '24','chapter_id' => '2','translator_id' => '2','verse_number' => '17','translate_name' => 'তাদের উপমা একজনের উদাহরণের মতো যিনি প্রদীপ জ্বালালেন, কিন্তু যখন এর চার পাশের সব-কিছু এ আলোকিত করল তখন আল্লাহ্ তাদের দীপ্তি নিয়ে নিলেন ও তাদের ফেলে রাখলেন ঘোর অন্ধকারে, তাই তারা পথঘাট দেখতে পায় না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '25','chapter_id' => '2','translator_id' => '2','verse_number' => '18','translate_name' => 'কালা, বোবা, অন্ধত্ব, গতিকে তারা ফিরতে পারে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '26','chapter_id' => '2','translator_id' => '2','verse_number' => '19','translate_name' => 'অথবা আকাশ থেকে আসা ঝড় বৃষ্টির মতো -- তার মাঝে আছে গাঢ় অন্ধকার এবং বজ্রপাত ও বিদ্যুতের ঝলকানি। তারা তাদের গোটা আঙ্গুলগুলো চেপে ধরে তাদের কানের ভেতরে বজ্রের শব্দে মরার ভয়ে। কিন্তু আল্লাহ্ অবিশ্বাসীদের ঘিরে ফেলেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '27','chapter_id' => '2','translator_id' => '2','verse_number' => '20','translate_name' => 'বিদ্যুতের ঝলকানি তাদের দৃষ্টি প্রায় ছিনিয়ে নিচ্ছিল। যতবার এ তাদের জন্য ঝিলিক দেয়, তারা এর মধ্যে হেটে চলে, আর যখনি তাদের উপরে অন্ধকার নেমে আসে, তারা দাঁড়িয়ে পড়ে। অথচ আল্লাহ্ যদি ইচ্ছা করতেন তিনি নিশ্চয়ই তাদের শ্রবণশক্তি ও তাদের দৃষ্টিশক্তি নিয়ে নিতে পারতেন। নিশ্চয়ই আল্লাহ্ সব-কিছুতে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '28','chapter_id' => '2','translator_id' => '2','verse_number' => '21','translate_name' => 'ওহে মানবজাতি! তোমাদের প্রভুর উপাসনা করো, যিনি তোমাদের সৃষ্টি করেছেন এবং তোমাদের পূর্ববর্তীদেরও, যাতে তোমরা ধর্মপরায়ণতা অবলন্বন করো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '29','chapter_id' => '2','translator_id' => '2','verse_number' => '22','translate_name' => 'যিনি তোমাদের জন্য পৃথিবীকে ফরাশ বানিয়েছেন, আর আকাশকে চাঁদোয়া, আর তিনি আকাশ থেকে পাঠান বৃষ্টি, তা’ দিয়ে তারপর ফলফসল উৎপাদন করেন তোমাদের জন্য রিযেক হিসেবে। অতএব আল্লাহ্‌র সাথে প্রতিদ্বন্ধী খাড়া করো না, অধিকন্তু তোমরা জানো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '30','chapter_id' => '2','translator_id' => '2','verse_number' => '23','translate_name' => 'আর যদি তোমরা সন্দেহের মাঝে থাকো এর সন্বন্ধে যা আমাদের বান্দার কাছে অবতারণ করেছি তা হলে এর মতো একটিমাত্র সূরা নিয়ে এস এবং আল্লাহ্ ছাড়া তোমাদের সাহায্যকারীদের ডাকো, যদি তোমরা সত্যবাদী হয়ে থাকো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '31','chapter_id' => '2','translator_id' => '2','verse_number' => '24','translate_name' => 'কিন্তু যদি তোমরা না করো -- আর তোমরা কখনো পারবে না -- তাহলে আগুনকে ভয় কর যার জ্বালানি হচ্ছে মানুষ এবং পাথরগুলো, -- তৈরি হয়েছে অবিশ্বাসীদের জন্য।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '32','chapter_id' => '2','translator_id' => '2','verse_number' => '25','translate_name' => 'আর খুশখবর দাও তাদের যারা ঈমান এনেছে আর সৎকর্ম করে, তাদের জন্য আছে জান্নাত, যাদের নিচ দিয়ে বয়ে চলেছে ঝরনারাজি! যতবার এ থেকে ফলফসল তাদের খেতে দেয়া হয় তারা বলে -- “এ সেই যা এর আগে আমাদের খাওয়ানো হয়েছিল”, কারণ তাদের এ দেয়া হয় অনুকরণে। আর তাদের জন্য এর মধ্যে আছে পবিত্র সঙ্গিসাথী আর এতে তারা থাকবে চিরকাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '33','chapter_id' => '2','translator_id' => '2','verse_number' => '26','translate_name' => 'অবশ্যই আল্লাহ্ উপমা ছুড়ঁতে লজ্জিত হন না, যথা মশার অথবা তার চাইতে উপরের কিছুর। সুতরাং যারা ঈমান এনেছে তারা জানে যে এ নিশ্চয়ই তাদের প্রভুর কাছ থেকে সত্য। আর যারা অবিশ্বাস পোষণ করে তারা বলে -- “আল্লাহ্ এমন একটি উপমাদ্বারা কী চান?” এর দ্বারা তিনি অনেককে বিপথে চলতে দেন এবং অনেককে এর সাহায্যে সৎপথগামী করেন। তিনি কিন্তু ভ্রষ্টাচারী ভিন্ন কাউকেও এর মাধ্যমে বিপথে চলতে দেন না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '34','chapter_id' => '2','translator_id' => '2','verse_number' => '27','translate_name' => 'যারা আল্লাহ্‌র চুক্তি ভঙ্গ করে এর সুদৃঢ়ীকরণ হবার পরেও, আর কেটে দেয় যা এর দ্বারা বহাল রাখার জন্য আল্লাহ্ আদেশ করেছিলেন, আর পৃথিবীতে ফসাদ সৃষ্টি করে। তারা নিজেরাই ক্ষতিগ্রস্ত হয়।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '35','chapter_id' => '2','translator_id' => '2','verse_number' => '28','translate_name' => 'তোমরা কেমন করে আল্লাহ্‌র প্রতি অবিশ্বাস পোষণ করো যেহেতু তোমরা নিস্প্রাণ ছিলে, তখন তোমাদের তিনি জীবন দান করেছেন? তারপর তিনি তোমাদের মৃত্যু ঘটাবেন ও আবার তোমাদের পুনর্জীবিত করবেন, তখন তাঁরই দরবারে তোমাদের ফিরিয়ে নেয়া হবে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '36','chapter_id' => '2','translator_id' => '2','verse_number' => '29','translate_name' => 'তিনিই সেইজন যিনি ঘূর্ণায়মান-পৃথিবীতে যা-কিছু আছে সবই তোমাদের জন্য সৃষ্টি করেছেন, তাছাড়া তিনি মহাকাশের প্রতি খেয়াল করলেন, তাই তাদের তিনি সাত আসমানে পরিপূর্ণ করলেন। আর তিনি সব-কিছু সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '37','chapter_id' => '2','translator_id' => '2','verse_number' => '30','translate_name' => 'আর স্মরণ কর, -- তোমার প্রভু ফিরিশ্‌তাদের বললেন, “আমি অবশ্যই পৃথিবীতে খলিফা বসাতে যাচ্ছি।” তারা বলল -- “তুমি কি উহাতে এমন কাউকে বসাচ্ছ যে তার মধ্যে ফসাদ সৃষ্টি করবে ও রক্তপাত করবে, অথচ আমরা তোমার স্তুতির গুণগান করছি ও তোমারই পবিত্রতার জয়গান গাইছি।” তিনি বললেন -- “আমি নিঃসন্দেহে তা জানি যা তোমরা জানো না।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '38','chapter_id' => '2','translator_id' => '2','verse_number' => '31','translate_name' => 'তখন তিনি আদমকে নামাবলী -- তাদের সব-কিছু শিখিয়ে দিলেন, তারপর তিনি ফিরিশ্‌তাদের কাছে তাদের স্থাপন করলেন ও বললেন, -- “আমাকে এই সমস্তের নামাবলী বর্ণনা কর, যদি তোমরা সঠিক হয়ে থাকো।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '39','chapter_id' => '2','translator_id' => '2','verse_number' => '32','translate_name' => 'তারা বলল -- “তোমারই সব মহিমা! আমাদের যা শিখিয়েছ তা ছাড়া আমাদের জ্ঞান নেই! নিঃসন্দেহ তুমি নিজেই সর্বজ্ঞাতা, পরমজ্ঞানী।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '40','chapter_id' => '2','translator_id' => '2','verse_number' => '33','translate_name' => 'তিনি বললেন -- “হে আদম! এ-সবের নামাবলী এদের কাছে বর্ণনা কর।” তাই সে যখন তাদের কাছে এ-সবের নামাবলী বর্ণনা করল, তিনি বললেন -- “আমি কি তোমাদের বলি নি যে আমি নিশ্চয়ই মহাকাশমন্ডলী ও পৃথিবীর রহস্যসব জানি? আর আমি জানি যা তোমরা প্রকাশ করেছ, আর যা তোমরা লুকিয়ে রেখে চলেছ।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '41','chapter_id' => '2','translator_id' => '2','verse_number' => '34','translate_name' => 'আর স্মরণ করো! আমরা ফিরিশ্‌তাদের বললাম -- “আদমের প্রতি সিজদা করো।” সুতরাং তারা সিজদা করল, কিন্তু ইবলিস করলনা, কারণ সে ছিল কাফিরদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '42','chapter_id' => '2','translator_id' => '2','verse_number' => '35','translate_name' => 'আর আমরা বললাম, -- “হে আদম! তুমি ও তোমার সঙ্গিনী এই বাগানে অবস্থান কর, আর সেখান থেকে যখন-যেখানে ইচ্ছা কর ভরপুরভাবে পানাহার কর, কিন্তু এই বৃক্ষের ধারেকাছেও যেও না, নতুবা তোমরা দুরাচারদের অন্তর্ভুক্ত হয়ে যাবে।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '43','chapter_id' => '2','translator_id' => '2','verse_number' => '36','translate_name' => 'কিন্তু শয়তান তাদের সেখান থেকে পদস্খলিত করল, আর যেখানে তারা থাকত সেখান থেকে তাদের বের করে দিল। তখন আমরা বললাম -- “তোমরা অধঃপাতে যাও, তোমাদের কেউ কেউ একে অন্যের শত্রু। আর তোমাদের জন্য পৃথিবীতে আছে জিরানোর স্থান ও কিছু সময়ের সংস্থান।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '44','chapter_id' => '2','translator_id' => '2','verse_number' => '37','translate_name' => 'তখন আদম তার প্রভুর কাছ থেকে কিছু কথা শিখে নিলে, তাই তিনি তার দিকে ফিরলেন। নিঃসন্দেহ তিনি নিজেই সদা ফেরেন, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '45','chapter_id' => '2','translator_id' => '2','verse_number' => '38','translate_name' => 'আমরা বললাম -- “তোমরা সব্বাই মিলে এখান থেকে নেমে পড়ো। কিন্তু যদি তোমাদের কাছে আমার তরফ থেকে হেদায়ত আসে, তবে যারা আমার পথনির্দেশ মেনে চলবে তাদের উপর কিন্তু কোনো ভয় নেই, আর তারা নিজেরা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '46','chapter_id' => '2','translator_id' => '2','verse_number' => '39','translate_name' => '“কিন্তু যারা অবিশ্বাস পোষণ করে ও আমাদের আয়াতসমূহে মিথ্যারোপ করে, তারাই হচ্ছে আগুনের বাসিন্দা, তারা তার মধ্যে থাকবে দীর্ঘকাল।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '47','chapter_id' => '2','translator_id' => '2','verse_number' => '40','translate_name' => 'হে ইসরাইলের বংশধরগণ! আমার নিয়ামত স্মরণ করো, যা আমি তোমাদের প্রদান করেছিলাম, আর আমার সাথের চুক্তি তোমরা বহাল রাখো, আমিও তোমাদের সাথের চুক্তি বহাল রাখব। আর আমাকে, শুধু আমাকে, তোমরা ভয় করবে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '48','chapter_id' => '2','translator_id' => '2','verse_number' => '41','translate_name' => 'আর আমি যা অবতারণ করেছি তাতে তোমরা ঈমান আনো, -- তোমাদের কাছে যা রয়েছে তার সত্য-সমর্থনরূপে, এমতাবস্থায় তোমরা এতে অবিশ্বাসকারীদের পুরোভাগে থেকো না, আর আমার প্রত্যাদেশের বিনিময়ে তুচ্ছ বস্তু কামাতে যেও না, আর আমাকে, শুধু আমাকে, তোমরা ভয়-শ্রদ্ধা করবে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '49','chapter_id' => '2','translator_id' => '2','verse_number' => '42','translate_name' => 'আর সত্যকে তোমরা মিথ্যার পোশাক পরিয়ো না বা সত্যকে গোপন কর না, অথচ তোমরা জানো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '50','chapter_id' => '2','translator_id' => '2','verse_number' => '43','translate_name' => 'আর তোমরা নামায কায়েম করো ও যাকাত আদায় করো, আর রুকুকারীদের সাথে রুকু করো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '51','chapter_id' => '2','translator_id' => '2','verse_number' => '44','translate_name' => 'তোমরা কি লোকজনকে ধার্মিকতা করতে আদেশ কর আর নিজের বেলায় স্রেফ ভুলে যাও, অথচ তোমরা ধর্মগ্রন্থ পড়ে থাক? তোমাদের কি কান্ডজ্ঞান নেই?','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '52','chapter_id' => '2','translator_id' => '2','verse_number' => '45','translate_name' => 'আর তোমরা ধৈর্য ধরে ও নামায পড়ে সাহায্য কামনা করো। আর এটি নিশ্চয়ই বড় কঠিন, শুধু বিনয়ীদের ছাড়া, --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '53','chapter_id' => '2','translator_id' => '2','verse_number' => '46','translate_name' => 'যারা স্মরণ রাখে যে তারা নিশ্চয়ই তাদের প্রভুর সাথে মোলাকাত করতে যাচ্ছে, আর তারা অবশ্যই তাঁর কাছে প্রত্যাবর্তনকারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '54','chapter_id' => '2','translator_id' => '2','verse_number' => '47','translate_name' => 'হে ইসরাইলের বংশধরগণ! আমার নিয়ামত স্মরণ করো যা আমি তোমাদের প্রদান করেছিলাম ও কিভাবে মানবগোষ্ঠীর উপর তোমাদের মর্যাদা দিয়েছিলাম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '55','chapter_id' => '2','translator_id' => '2','verse_number' => '48','translate_name' => 'আর সতর্কতা অবলন্বন করো এমন এক দিনের একজন অন্যজনের কাছ থেকে কোনো প্রকার সাহায্য পাবে না, আর তার থেকে কোনো সুপারিশ কবুল করা হবে না বা তার থেকে কোনো খেসারতও নেওয়া হবে না, আর তাদের সাহায্য দেয়া হবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '56','chapter_id' => '2','translator_id' => '2','verse_number' => '49','translate_name' => 'আর স্মরণ করো! তোমাদের আমরা ফিরআউনের লোকদের থেকে মুক্ত করেছিলাম, যারা তোমাদের নির্যাতন করেছিল কঠোর যন্ত্রণায়, তারা হত্যা করত তোমাদের পুত্র সন্তানদের ও বাঁচতে দিত তোমাদের নারীদের। আর এতে তোমাদের জন্যে তোমাদের প্রভুর কাছ থেকে ছিল কঠোর পরীক্ষা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '57','chapter_id' => '2','translator_id' => '2','verse_number' => '50','translate_name' => 'আর স্মরণ করো! আমরা তোমাদের জন্যে সাগরকে করেছিলাম বিভক্ত, তাতে উদ্ধার করেছিলাম তোমাদের, আর আমরা ডুবিয়েছিলাম ফিরআউনের লোকদের, আর তোমরা চেয়ে দেখেছিলে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '58','chapter_id' => '2','translator_id' => '2','verse_number' => '51','translate_name' => 'আর স্মরণ করো! আমরা মূসার সঙ্গে চল্লিশ রাত্রি নির্ধারিত করেছিলাম, তখন তোমরা বাছুরকে তাঁর অনুপস্থিতিতে গ্রহণ করলে, আর তোমরা হলে অন্যায়কারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '59','chapter_id' => '2','translator_id' => '2','verse_number' => '52','translate_name' => 'শেষে এর পরেও আমরা তোমাদের ক্ষমা করেছিলাম যাতে তোমরা কৃতজ্ঞতা জ্ঞাপন কর।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '60','chapter_id' => '2','translator_id' => '2','verse_number' => '53','translate_name' => 'আর স্মরণ করো! আমরা মূসাকে দিয়েছিলাম ধর্মগ্রন্থ তথা ফুরকান যাতে তোমরা সুপথগামী হতে পার।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '61','chapter_id' => '2','translator_id' => '2','verse_number' => '54','translate_name' => 'আর স্মরণ করো! মূসা তাঁর লোকদের বলেছিলেন, -- “হে আমার অনুচরবর্গ, তোমরা নিশ্চয়ই তোমাদের প্রতি অন্যায় করেছ বাছুরকে গ্রহণ ক’রে, অতএব তোমাদের সৃষ্টিকর্তার দিকে ফেরো ও নিজেদের সংহার করো। ইহা তোমাদের সৃষ্টিকর্তার সমীপে তোমাদের জন্য মঙ্গলময়।” তাই তিনি তোমাদের দিকে ফিরলেন। নিঃসন্দেহ তিনি নিজেই সদা ফেরেন, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '62','chapter_id' => '2','translator_id' => '2','verse_number' => '55','translate_name' => 'আর স্মরণ করো! তোমরা বললে -- “হে মূসা, আমরা তোমার প্রতি কখনো ঈমান আনব না যে পর্যন্ত না আমরা প্রকাশ্যভাবে আল্লাহ্‌কে দেখতে পাই।” তাই বজ্রাঘাত তোমাদের পাকড়ালো, আর তোমরা তাকিয়ে থাকলে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '63','chapter_id' => '2','translator_id' => '2','verse_number' => '56','translate_name' => 'তারপর তোমাদের জাগিয়ে তুললাম তোমাদের মৃতবৎ হবার পরে, যাতে তোমরা কৃতজ্ঞতা জ্ঞাপন করতে পার।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '64','chapter_id' => '2','translator_id' => '2','verse_number' => '57','translate_name' => 'আর তোমাদের উপরে আমরা মেঘ দিয়ে আচ্ছাদন করেছিলাম, আর তোমাদের কাছে পাঠিয়েছিলাম \'মান্না’ ও \'সালওয়া’। “তোমাদের যে-সব ভাল ভাল রিযেক দিয়েছি তা খেয়ে যাও।” কিন্তু তারা আমাদের কোনো অনিষ্ট করে নি, বরং তারা নিজেদেরই প্রতি অনিষ্ট করছিল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '65','chapter_id' => '2','translator_id' => '2','verse_number' => '58','translate_name' => 'আর স্মরণ করো! আমরা বললাম -- “এই শহরে প্রবেশ কর, আর সেখান থেকে যখন-যেখানে ইচ্ছা কর ভরপুরভাবে পানাহার করো, আর সদর-দরজা দিয়ে নতশিরে প্রবেশ করো ও বলো \'হিৎতাতুন’, যাতে তোমাদের দোষত্রুটিগুলো আমরা তোমাদের জন্য ক্ষমা করে দিতে পারি, আর বাড়িয়ে দিতে পারি শুভকর্মীদের জন্য।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '66','chapter_id' => '2','translator_id' => '2','verse_number' => '59','translate_name' => 'কিন্তু যারা অন্যায় করে তারা যা বলা হয়েছিল তার বিপরীত কথায় তা বদলে দিল। তাই যারা অন্যায় করেছিল তাদের উপরে আকাশ থেকে আমরা মহামারী পাঠিয়েছিলাম, কারণ তারা পাপাচার করছিল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '67','chapter_id' => '2','translator_id' => '2','verse_number' => '60','translate_name' => 'আর স্মরণ করো! মূসা তাঁর লোকদের জন্য পানি চাইলেন, তাই আমরা বললাম, -- “তোমার লাঠি দিয়ে পাথরে আঘাত করো।” তখন তা থেকে বারোটি প্রস্রবন বেরিয়ে পড়লো। প্রত্যেক উপদল নিজ জলপান-স্থান চিনে নিলো। “আল্লাহ্‌র রিযেক থেকে খাও ও পান করো, আর ফসাদী হয়ে দুনিয়াতে অন্যায়াচরণ করো না।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '68','chapter_id' => '2','translator_id' => '2','verse_number' => '61','translate_name' => 'আর স্মরণ করো! তোমরা বলেছিলে -- “হে মূসা! আমরা একই খাবারে সন্তষ্ট থাকতে পারছি না, তাই তোমার প্রভুর কাছে আমাদের জন্য প্রার্থনা করো যাতে তিনি আমাদের জন্য উৎপন্ন করেন মাটি যা উৎপাদিত করে, যেমন তার সবজি ও তার শস্য ও তার মসূর ও তার পেয়াঁজ।” তিনি বললেন -- “তোমরা কি বদল করে নিতে চাও যা নিকৃষ্ট তার সঙ্গে যা উৎকৃষ্ট? নেমে যাও কোনো মিশরে, তাহলে তোমরা যা চাও তাই পাবে।” আর ওরা নিজেদের উপরে লাঞ্ছনা ও দুর্দশা ঘটালো, আর তারা আল্লাহ্‌র রোষ টেনে আনল তাই হলো, কারণ তারা আল্লাহ্‌র আয়াতসমূহে অবিশ্বাস করছিল, আর নবীদের অন্যায়ভাবে হত্যা করতে যাচ্ছিল। তাই হলো, কেননা তারা অবাধ্য হয়েছিল ও সীমালঙ্ঘন করেছিল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '69','chapter_id' => '2','translator_id' => '2','verse_number' => '62','translate_name' => 'নিঃসন্দেহ যারা ঈমান এনেছে, আর যারা ইহুদীয় মত পোষণ করে ও খ্রীস্টান ও সাবেঈন -- যারাই আল্লাহ্‌র প্রতি তাঁর একত্বে ও আনুগত্যে ঈমান এনেছে ও আখেরাতের দিনের প্রতি, আর সৎকর্ম করে, তাদের জন্য নিজ নিজ পুরস্কার রয়েছে তাদের প্রভুর দরবারে, আর তাদের উপরে কোনো ভয় নেই, আর তারা নিজেরা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '70','chapter_id' => '2','translator_id' => '2','verse_number' => '63','translate_name' => 'আর স্মরণ করো! আমরা তোমাদের অঙ্গীকার গ্রহণ করেছিলাম ও তোমাদের উপরে পর্বত উত্তোলন করেছিলাম। “তোমাদের আমরা যা দিয়েছি তা দৃঢ়ভাবে গ্রহণ করো, আর এতে যা আছে তা স্মরণ রাখো, যাতে তোমরা ধর্মপরায়ণতা অবলন্বন করতে পার।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '71','chapter_id' => '2','translator_id' => '2','verse_number' => '64','translate_name' => 'তারপর তোমরা এর পরেও ফিরে গেলে, কাজেই আল্লাহ্‌র প্রসন্নতা ও তাঁর করুণা যদি তোমাদের উপরে না থাকত তবে তোমরা অবশ্যই হতে ক্ষতিগ্রস্তদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '72','chapter_id' => '2','translator_id' => '2','verse_number' => '65','translate_name' => 'তদুপরি তোমাদের মধ্যে যারা সাব্বাথের নিয়ম লঙঘন করেছিল তাদের কথা নিশ্চয়ই জানা আছে, তাই আমরা তাদের বলেছিলাম -- “তোমরা ঘৃণ্য বানর হয়ে যাও।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '73','chapter_id' => '2','translator_id' => '2','verse_number' => '66','translate_name' => 'এইভাবে আমরা এটিকে একটি দৃষ্টান্ত বানিয়েছিলাম যারা ওদের সমসাময়িক ছিল তাদের জন্য ও যারা ওদের পরবর্তীকালে এসেছিল, আর ধর্মভীরুদের জন্য উপদেশ বিশেষ।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '74','chapter_id' => '2','translator_id' => '2','verse_number' => '67','translate_name' => 'আর স্মরণ করো! মূসা তাঁর লোকদের বললেন -- “নিঃসন্দেহ, আল্লাহ্ তোমাদের হুকুম করেছেন তোমরা যেন একটি বক্‌না-বাছুর যবেহ্ করো।” তারা বললে -- “তুমি কি আমাদের নিয়ে ঠাট্টা করছ?” তিনি বললেন -- “আল্লাহ্‌র কাছে আশ্রয় চাইছি যেন আমি জাহিলদের অন্তর্ভুক্ত না হই।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '75','chapter_id' => '2','translator_id' => '2','verse_number' => '68','translate_name' => 'তারা বললো -- “তোমার প্রভুর কাছে আমাদের জন্য প্রার্থনা করো যেন তিনি আমাদের পরিস্কার করে দেন সেটি কি রকমের।” তিনি বললেন -- “নিঃসন্দেহ তিনি বলেছেন, সেটি অবশ্যই একটি বক্‌না-বাছুর যেটি বুড়ো নয় ও বাচ্চাও নয়, এদের মাঝামাঝি মধ্য-বয়সী। অতএব তোমাদের যা আদেশ দেয়া হয়েছে তাই করো।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '76','chapter_id' => '2','translator_id' => '2','verse_number' => '69','translate_name' => 'তারা বললো -- “আমাদের জন্য তোমার প্রভুর কাছে প্রার্থনা করো তিনি আমাদের খোলাখুলি বলে দিন তার রঙ কেমন।” তিনি বললেন -- “তিনি অবশ্যই বলেছেন, সেটি নিঃসন্দেহ হলুদ রঙের বাছুর, তার রঙ অতি উজ্জ্বল -- দর্শকদের কাছে মনোরম।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '77','chapter_id' => '2','translator_id' => '2','verse_number' => '70','translate_name' => 'তারা বললে -- “তোমার প্রভুর কাছে আমাদের জন্য প্রার্থনা করো আমাদের তিনি স্পষ্ট জানিয়ে দিন সেটি কেমন, কারণ সব বাছুর আমাদের কাছে একাকার লাগে, আর আল্লাহ্ যদি ইচ্ছা করেন, আমরা নিশ্চয় ঠিক পথে চালিত হব।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '78','chapter_id' => '2','translator_id' => '2','verse_number' => '71','translate_name' => 'তিনি বললেন, “নিঃসন্দেহ তিনি বলছেন, সেটি নিশ্চয়ই এমন বাছুর যাকে জোয়ালে জোতা হয় নি জমি চাষ করতে, বা ক্ষেতে পানিও দেয় না, সহি-সালামত, যার মধ্যে কোন খুতঁ নেই।” তারা বললে -- “এবার তুমি পুরোপুরি সত্য নিয়ে এসেছো।” সুতরাং তারা তাকে কুরবানি করল, আর দেখালো না যে তারা করল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '79','chapter_id' => '2','translator_id' => '2','verse_number' => '72','translate_name' => 'আর স্মরণ করো! তোমরা একজনকে কাতল করতে যাচ্ছিলে, তারপর তোমরা এ ব্যাপারে দোষাদোষি করছিলে। আর আল্লাহ্ প্রকাশ করছিলেন যা তোমরা লুকোতে চাইছিলে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '80','chapter_id' => '2','translator_id' => '2','verse_number' => '73','translate_name' => 'সুতরাং আমরা বললাম -- “তুলনা করো তাঁকে এর কিছু অংশের সাথে।” এইভাবে আল্লাহ্ মৃতবৎকে জীবন দান করেন। আর তিনি তোমাদের দেখাচ্ছেন তাঁর নিদর্শন সমূহ যাতে তোমরা বুঝতে পার।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '81','chapter_id' => '2','translator_id' => '2','verse_number' => '74','translate_name' => 'তারপর তোমাদের হৃদয় এর পরেও কঠিন হলো, পাথরের মতো হয়ে গেল, বরং আরও কঠিন। আর অবশ্য পাথরের মধ্যে এমনও আছে যার মধ্য থেকে বেরিয়ে আসে ঝরনা। আবার তাদের কিছু যখন চৌচির হয় তখন তা থেকে পানি বেরোয়। আবার তাদের মধ্যে কতক আল্লাহ্‌র ভয়ে ভেঙ্গে পড়ে। আর তোমরা যা করছো আল্লাহ্ সে বিষয়ে অজ্ঞাত নন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '82','chapter_id' => '2','translator_id' => '2','verse_number' => '75','translate_name' => 'এরপর কি তোমরা আশা কর যে তারা তোমাদের প্রতি বিশ্বাস করবে? ইতিপূর্বে তাদের একটি দল আল্লাহ্‌র বাণী শুনত, তারপর তা পাল্টে দিত উহা বুঝবার পরেও, আর তারা জানে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '83','chapter_id' => '2','translator_id' => '2','verse_number' => '76','translate_name' => 'আর যারা ঈমান এনেছে তাদের সাথে যখন তারা মোলাকাত করে তখন বলে -- “আমরা ঈমান এনেছি।” আর যখন তাদের লোকেরা একে অন্যের সাথে নিরিবিলি হয় তখন বলে -- “আল্লাহ্ তোমাদের কাছে যা প্রকাশ করেছেন তা কি তোমরা ওদের জানিয়ে দিচ্ছ, যাতে ওরা এ-সবের সাহায্যে তোমাদের প্রভুর সামনে তোমাদের সাথে বিতর্ক করে? তোমরা কি তবে বুঝতে পারছ না?”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '84','chapter_id' => '2','translator_id' => '2','verse_number' => '77','translate_name' => 'আর তারা কি জানে না যে নিঃসন্দেহ আল্লাহ্ জানেন যা তারা লুকিয়ে রাখছে ও যা প্রকাশ করছে?','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '85','chapter_id' => '2','translator_id' => '2','verse_number' => '78','translate_name' => 'আর তাদের মধ্যে হচ্ছে নিরক্ষর যারা ধর্মগ্রন্থ সন্বন্ধে উপকথার বেশী জানে না, আর তারা শুধু আন্দাজের উপর চলে!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '86','chapter_id' => '2','translator_id' => '2','verse_number' => '79','translate_name' => 'হায়, কি অভাগা তারা যারা নিজ হাতে গ্রন্থ লেখে, তারপর বলে -- “ইহা আল্লাহ্‌র দরবার থেকে” -- যাতে এর জন্য তারা স্বল্পমূল্য কামাতে পারে। অতএব ধিক্ তাদের প্রতি তাদের হাত যা লিখেছে সেজন্য, আর ধিক্ তাদের প্রতি যা তারা কামাই করে সেজন্য!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '87','chapter_id' => '2','translator_id' => '2','verse_number' => '80','translate_name' => 'আর তারা বলে -- “আগুন আমাদের গুনতির কয়েকদিন ছাড়া কদাচ স্পর্শ করবে না।” তুমি বলো -- “তোমরা কি আল্লাহ্‌র কাছ থেকে কোনো প্রতি‌শ্রুতি নিয়েছ? তাহলে আল্লাহ্ তাঁর ওয়াদার কখনো খেলাফ করেন না, অথবা তোমরা কি আল্লাহ্ সন্বন্ধে যা জান না তাই বলছ?”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '88','chapter_id' => '2','translator_id' => '2','verse_number' => '81','translate_name' => 'হাঁ, যে কেউ মন্দ অর্জন করে, আর তার পাপ তাকে ঘেরাও করে ফেলে, এরাই হচ্ছে আগুনের বাসিন্দা, তাতে তারা থাকবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '89','chapter_id' => '2','translator_id' => '2','verse_number' => '82','translate_name' => 'আর যারা ঈমান এনেছে ও সৎকর্ম করছে, তারাই হচ্ছে বেহেশতের বাসিন্দা, তাতে থাকবে তারা চিরকাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '90','chapter_id' => '2','translator_id' => '2','verse_number' => '83','translate_name' => 'আর স্মরণ করো! আমরা ইসরাইলের বংশধরদের থেকে চুক্তি গ্রহণ করেছিলাম -- “তোমরা আল্লাহ্ ছাড়া আর কারো উপাসনা করবে না, আর মাতাপিতার প্রতি ভালো ব্যবহার করবে, এবং আ‌ত্মীয়স্বজনদের প্রতি, আর এতিমদের প্রতি, আর মিসকিনদের প্রতি, আর লোকদের সাথে ভালোভাবে কথা বলবে, আর নামায কায়েম করবে ও যাকাত আদায় করবে।” তারপর তোমরা তোমাদের অল্প কয়েকজন ছাড়া ফিরে গেলে, আর তোমরা ফিরে যাবার দলের।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '91','chapter_id' => '2','translator_id' => '2','verse_number' => '84','translate_name' => 'আর স্মরণ করো! আমরা তোমাদের অঙ্গীকার গ্রহণ করেছিলাম -- “তোমরা তোমাদের রক্তপাত করবে না আর তোমাদের লোকদের তোমাদের বাড়িঘর থেকে বের করে দেবে না।” তখন তোমরা প্রতিজ্ঞা করেছিলে, আর তোমারা সাক্ষ্য দিয়েছিলে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '92','chapter_id' => '2','translator_id' => '2','verse_number' => '85','translate_name' => 'তারপর তোমরাই সেই যারা তোমাদের নিজেদের মধ্যে খুন-খারাবি করো, আর তোমাদেরই এক দলকে তাদের বাড়িঘর থেকে তোমরা তাড়িয়ে দাও তাদের বিরুদ্ধে পাপ ও নিষ্ঠুরতায় পৃষ্ঠপোষকতা ক’রে। অথচ যদি তারা তোমাদের কাছে বন্দীরূপে আসে তবে তাদের মুক্তিপণ দাও, যদিও তাদের তাড়িয়ে দেওয়াটা তোমাদের উপরে অবৈধ ছিল। তাহলে তোমরা কি ধর্মগ্রন্থের অংশবিশেষে বিশ্বাস কর ও অন্য অংশে অবিশ্বাস পোষণ কর? অতএব তোমাদের মধ্যের যারা এরকম করে তাদের ইহজীবনে লাঞ্ছনা ছাড়া আর কী পুরস্কার আছে? আর কিয়ামতের দিনে তাদের ফেরত পাঠানো হবে কঠোরতম শাস্তিতে। আর তোমরা যা করছো আল্লাহ্ সে-বিষয়ে অজ্ঞাত নন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '93','chapter_id' => '2','translator_id' => '2','verse_number' => '86','translate_name' => 'এরাই তারা যারা আখেরাতের বদলে ইহজীবন খরিদ করেছে। তাই তাদের উপর থেকে শাস্তি লাঘব করা হবে না, আর তাদের সাহায্যও দেয়া হবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '94','chapter_id' => '2','translator_id' => '2','verse_number' => '87','translate_name' => 'আর অবশ্যই আমরা মূসাকে ধর্মগ্রন্থ দিয়েছিলাম, আর তাঁর পরে পর্যায়ক্রমে বহু রসূল পাঠিয়েছিলাম, আর আমরা মরিয়মের পুত্র ঈসাকে দিয়েছিলাম স্পষ্ট-প্রমাণাবলী, আর আমরা তাঁকে বলীয়ান করি রূহুল ক্কুদুস দিয়ে। তাহলে কি যখনই তোমাদের কাছে একজন রসূল আসেন এমন কিছু নিয়ে যা তোমাদের মন চায় না, তখনই তোমরা অহংকার দেখাও? গতিকে, কাউকে তোমরা মিথ্যারোপ করো ও কাউকে কাতল করতে যাও।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '95','chapter_id' => '2','translator_id' => '2','verse_number' => '88','translate_name' => 'আর তারা বলে -- “আমাদের হৃদয় হলো গেলাফ!” না, আল্লাহ্ তাদের বঞ্চিত করেছেন তাদের অবিশ্বাসের জন্য। তাই যৎসামান্যই যা তারা বিশ্বাস করে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '96','chapter_id' => '2','translator_id' => '2','verse_number' => '89','translate_name' => 'আর যখন তাদের কাছে আল্লাহ্‌র তরফ থেকে একখানা ধর্মগ্রন্থ এল যাতে সমর্থন রয়েছে যা তাদের কাছে আছে -- যদিও ইতিপূর্বে তারা প্রার্থনা করতো যারা অবিশ্বাস পোষণ করে তাদের উপরে বিজয়ী হবার জন্যে, -- কিন্তু যখন তাদের কাছে এলেন যাঁকে তারা চিনতে পারল তারা তাঁকে অবিশ্বাস করে বসলো। সুতরাং আল্লাহ্‌র নারাজি অবিশ্বাসীদের উপরে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '97','chapter_id' => '2','translator_id' => '2','verse_number' => '90','translate_name' => 'গর্হিত তা যা দিয়ে তারা নিজেদের আ‌ত্মা বিনিময় করেছে যে জন্য আল্লাহ্ যা অবতারণ করেছেন তা তারা অবিশ্বাস করে বিদ্বেষের বশে -- যে আল্লাহ্ তাঁর কৃপাবশতঃ উহা অবতীর্ণ করবেন তাঁর দাসদের মধ্যে যাকে ইচ্ছা করেন তার কাছে! তাই তারা রোষের উপর রোষ টেনে আনলো। আর অবিশ্বাসীদের জন্য রয়েছে লাঞ্ছনাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '98','chapter_id' => '2','translator_id' => '2','verse_number' => '91','translate_name' => 'আর যখন তাদের বলা হয় -- “ঈমান আনো আল্লাহ্ যা নাযিল করেছেন তাতে,” তারা বলে -- “আমরা বিশ্বাস করি যা আমাদের কাছে নাযিল হয়েছিল।” অথচ তারা অবিশ্বাস করে যা তার পরে এসেছে, যদিও উহা হলো ধ্রুব সত্য, সমর্থন করছে যা তাদের কাছে রয়েছে তার। বলো -- “তাহলে তোমরা কেন আল্লাহ্‌র নবীদের এর আগে হত্যা করতে যাচ্ছিলে? যদি তোমরা বিশ্বাসী হয়ে থাকো।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '99','chapter_id' => '2','translator_id' => '2','verse_number' => '92','translate_name' => 'আর নিশ্চয়ই মূসা তোমাদের কাছে এসেছিলেন স্পষ্ট প্রমাণ নিয়ে, কিন্তু তোমরা বাছুরকে গ্রহণ করলে তাঁর, আর তোমরা হলে অন্যায়কারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '100','chapter_id' => '2','translator_id' => '2','verse_number' => '93','translate_name' => 'আর স্মরণ করো! আমরা তোমাদের অঙ্গীকার গ্রহণ করেছিলাম ও তোমাদের উপরে পর্বত খাড়া করেছিলাম। -- “তোমাদের আমরা যা দিয়েছি তা শক্ত করে পাকড়ে ধরো, আর শুনো।” তারা বলল -- “আমরা শুনলাম আর অমান্য করলাম!” আর তাদের হৃদয়ের ভেতরে পান করানো হয়েছে বাছুর তাদের অস্বীকার করার দরুন। বলো -- “তোমাদের ধর্মবিশ্বাস তোমাদের যা নির্দেশ দিচ্ছে তা দূষণীয়, যদি তোমরা ঈমানদার হও।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '101','chapter_id' => '2','translator_id' => '2','verse_number' => '94','translate_name' => 'বলো -- “যদি আল্লাহ্‌র আখেরাতের ঘর অপর লোককে বাদ দিয়ে খাস ক’রে তোমাদের জন্য হয়ে থাকে তবে মৃত্যু কামনা করো, যদি তোমরা সত্যবাদী হও।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '102','chapter_id' => '2','translator_id' => '2','verse_number' => '95','translate_name' => 'কিন্তু তারা কখনো তা চাইবে না তাদের দুই হাত যা পাঠিয়েছে। আর আল্লাহ্ অন্যায়কারীদের সম্পর্কে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '103','chapter_id' => '2','translator_id' => '2','verse_number' => '96','translate_name' => 'আর তুমি তাদের পাবে জীবন সন্বন্ধে সবচাইতে লোভী মানুষ, যারা শরিক করে তাদের চাইতেও। তাদের এক একজন কামনা করে তাকে যেন হাজার বছরের পরমায়ু দেয়া হয়। কিন্তু তাকে দীর্ঘজীবন দেয়া হলেও শাস্তি থেকে সে স্থানাস্তরিত হবে না। আর তারা যা করছে আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '104','chapter_id' => '2','translator_id' => '2','verse_number' => '97','translate_name' => 'বলো -- “যে কেউ জিব্রীলের শত্রু” -- কারণ নিঃসন্দেহ সে-ই আল্লাহ্‌র আদেশে উহা তোমার হৃদয়ে অবতীর্ণ করেছে, এর আগে যা এসেছিল তার সত্য-সমর্থনরূপে, এবং মুমিনদের জন্য পথপ্রদর্শক ও সুসংবাদদাতারূপে, --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '105','chapter_id' => '2','translator_id' => '2','verse_number' => '98','translate_name' => '“যে কেউ আল্লাহ্‌র ও তাঁর ফিরিশ্‌তাদের ও তাঁর রসূলদের ও জিব্রীলের ও মিকালের শত্রু, নিঃসন্দেহ আল্লাহ্ তখন অবিশ্বাসীদের শত্রু।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '106','chapter_id' => '2','translator_id' => '2','verse_number' => '99','translate_name' => 'আর নিশ্চয়ই আমরা তোমার কাছে নাযিল করেছি সুস্পষ্ট আয়াত -- সমূহ, আর কেউ এতে অবিশ্বাস করে না দুর্বৃত্তরা ছাড়া।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '107','chapter_id' => '2','translator_id' => '2','verse_number' => '100','translate_name' => 'কি ব্যাপার! যখনই তারা কোনো ওয়াদাতে অঙ্গীকার করেছে, তাদের একদল তা প্রত্যাখ্যান করেছে? না, তাদের অধিকাংশই বিশ্বাস করে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '108','chapter_id' => '2','translator_id' => '2','verse_number' => '101','translate_name' => 'আর যখনই তাদের কাছে আল্লাহ্‌র তরফ থেকে কোনো রসূল আসেন তাদের কাছে যা আছে তার সমর্থন ক’রে, যাদের গ্রন্থ দেয়া হয়েছিল তাদের একদল আল্লাহ্‌র গ্রন্থকে তাদের পশ্চাদ্দেশে ফেলে রাখে, যেন তারা জানে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '109','chapter_id' => '2','translator_id' => '2','verse_number' => '102','translate_name' => 'আর তারা তার অনুসরণ করে যা শয়তানরা সুলাইমানের রাজত্বে চালু করেছিল, আর সুলাইমান অবিশ্বাস পোষণ করেন নি, বরং শয়তান অবিশ্বাস করেছিল, তারা লোকজনকে জাদুবিদ্যা শেখাতো, আর তা বাবেলে হারূত ও মারূত এই দুই ফিরিশ্‌তার কাছে নাযিল হয় নি, আর এই দুইজন কাউকে শেখায়ও নি যাতে তাদের বলতে হয় -- “আমরা এক পরীক্ষা মাত্র, অতএব অবিশ্বাস করো না।” সুতরাং এই দুইয়ের থেকে তারা শিখেছে যার দ্বারা স্বামী ও তার স্ত্রীর মধ্যে বিচ্ছেদ ঘটে। কিন্তু তারা এর দ্বারা কারো ক্ষতি করতে পারে না আল্লাহ্‌র অনুমতি ব্যতীত। আর তারা তাই শেখে যা তাদের ক্ষতিসাধন করে, এবং তাদের উপকার করে না। আর অবশ্যই তারা জানে যে এটা যে কিনে নেয় তার জন্য পরকালে কোনো লাভের অংশ থাকবে না। আর আফসোস, এটা মন্দ যার বিনিময়ে তারা নিজেদের আ‌ত্মা বিক্রয় করেছে, -- যদি তারা জানতো!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '110','chapter_id' => '2','translator_id' => '2','verse_number' => '103','translate_name' => 'আর যদি তারা ঈমান আনতো ও ধর্মভীরুতা অবলন্বন করতো তাহলে আল্লাহ্‌র কাছ থেকে পুরস্কার নিশ্চয়ই বহু ভালো হতো, -- যদি তারা জানতো!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '111','chapter_id' => '2','translator_id' => '2','verse_number' => '104','translate_name' => 'ওহে যারা ঈমান এনেছো! তোমরা বলো না “রা-\'ইনা-”, বরং বলো “উনযুরনা-”, আর শুনুন। আর অবিশ্বাসীদের জন্য রয়েছে মর্মন্তদ শাস্তি।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '112','chapter_id' => '2','translator_id' => '2','verse_number' => '105','translate_name' => 'গ্রন্থপ্রাপ্তদের মধ্যে যারা অবিশ্বাস পোষণ করে তারা এবং মুশরিকরা চায় না যে তোমাদের প্রভুর কাছ থেকে কোনো কল্যাণ তোমাদের প্রতি নাযিল হোক। কিন্তু আল্লাহ্ তাঁর করুণার জন্য যাকে ইচ্ছা করেন মনোনীত করেন। আর আল্লাহ্ অপার কল্যাণের অধিকারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '113','chapter_id' => '2','translator_id' => '2','verse_number' => '106','translate_name' => 'যে-সব আয়াত আমরা মনসুখ করি অথবা উহা ভুলিয়ে দিই, আমরা তার চাইতে ভালো অথবা তার অনুরূপ নিয়ে আসি। তুমি কি জান না যে আল্লাহ্ নিঃসন্দেহ সব-কিছুর উপরে সর্বশক্তিমান?','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '114','chapter_id' => '2','translator_id' => '2','verse_number' => '107','translate_name' => 'তুমি কি জানো না নিঃসন্দেহ আল্লাহ্‌, -- মহাকাশমন্ডলের ও পৃথিবীর রাজত্ব তাঁরই। আর তোমাদের জন্য আল্লাহ্ ছাড়া কোনো মুরব্বী অথবা সাহায্যকারী নেই।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '115','chapter_id' => '2','translator_id' => '2','verse_number' => '108','translate_name' => 'তোমরা কি তোমাদের রসূলকে প্রশ্ন করতে চাও যেমন মূসাকে এর আগে প্রশ্ন করা হয়েছিল? আর যে বিশ্বাসের জায়গায় অবিশ্বাস বদলে নেয় সে-ই নিশ্চয়ই সরল পথের দিশা হারায়।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '116','chapter_id' => '2','translator_id' => '2','verse_number' => '109','translate_name' => 'গ্রন্থপ্রাপ্ত লোকের অনেকে কামনা করে যে তোমাদের ঈমান আনার পরে তোমাদের অবিশ্বাসে ফিরিয়ে নিতে, তাদের তরফ থেকে বিদ্বেষের ফলে তাদের কাছে সত্য পরিস্কার হবার পরেও। তাই ক্ষমা করো ও উপেক্ষা করো যে পর্যন্ত না আল্লাহ্ তাঁর অনুশাসন নিয়ে আসেন। নিঃসন্দেহ আল্লাহ্ সবকিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '117','chapter_id' => '2','translator_id' => '2','verse_number' => '110','translate_name' => 'আর নামায কায়েম করো ও যাকাত আদায় করো। আর তোমাদের আ‌ত্মার জন্য যা কিছু কল্যাণ আগবাড়াও তা আল্লাহ্‌র দরবারে পাবে। নিশ্চয়ই তোমরা যা করছো আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '118','chapter_id' => '2','translator_id' => '2','verse_number' => '111','translate_name' => 'আর তারা বলে -- “যে ইহুদী বা খ্রীষ্টান সে ছাড়া কেউ কখনও বেহেশতে দাখিল হতে পারবে না।” এসব তাদের বৃথা আকাঙ্খা। বলো -- “তোমাদের প্রমাণ নিয়ে এসো, যদি তোমরা সত্যবাদী হও।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '119','chapter_id' => '2','translator_id' => '2','verse_number' => '112','translate_name' => 'না, যে কেউ আল্লাহ্‌র তরফে নিজের মুখ পূর্ণ-সমর্পণ করেছে ও সে সৎকর্মী, তার জন্য তার পুরস্কার আছে তার প্রভুর দরবারে, আর তাদের উপরে কোনো ভয় নেই, আর তারা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '120','chapter_id' => '2','translator_id' => '2','verse_number' => '113','translate_name' => 'আর ইহুদীরা বলে -- “খ্রীষ্টানরা কিছুরই উপর নয়”, আর খ্রীষ্টানরা বলে -- “ইহুদীরা কিছুরই উপর নয়।” অথচ তারা সবাই গ্রন্থ পড়ে। এমনিভাবে তাদের কথার মতো কথা বলে এরা যারা জানে না। তাই আল্লাহ্ কিয়ামতের দিনে তাদের মধ্যে রায় দেবেন যে বিষয়ে তারা মতবিরোধ করতো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '121','chapter_id' => '2','translator_id' => '2','verse_number' => '114','translate_name' => 'আর তার চাইতে কে বেশী অন্যায়কারী যে আল্লাহ্‌র মসজিদসমূহে বাধা দেয় এইজন্য যে সে-সবে তাঁর নাম স্মরণ করা হবে, আর চেষ্টা করে সে-সবের অনিষ্ট সাধনে? এদের ক্ষেত্রে, তাদের জন্য নয় যে তারা এ-সবে দাখিল হয় ভয়াতুর না হয়ে। তাদের জন্য এই দুনিয়াতে আছে অপমান, আর পরকালে তাদের জন্য কঠোর শাস্তি।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '122','chapter_id' => '2','translator_id' => '2','verse_number' => '115','translate_name' => 'আর আল্লাহ্‌রই পূর্বাঞ্চল ও পশ্চিমাঞ্চল। অতএব যেদিকে তোমরা ফেরো সে-দিকেই আল্লাহ্‌র মুখ। নিঃসন্দেহে আল্লাহ্ সর্বব্যাপক, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '123','chapter_id' => '2','translator_id' => '2','verse_number' => '116','translate_name' => 'আর তারা বলে -- “আল্লাহ্ একটি ছেলে গ্রহণ করেছেন” । তাঁরই মহিমা হোক! বরং মহাকাশমন্ডলে ও পৃথিবীতে যা-কিছু আছে সে-সব তাঁরই, সবাই তাঁর আজ্ঞা পালনকারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '124','chapter_id' => '2','translator_id' => '2','verse_number' => '117','translate_name' => 'মহাকাশমন্ডলী ও পৃথিবীর আদি-স্রষ্টা! আর যখনই তিনি কোনো বিষয় বির্ধারিত করেন তিনি সে-সন্বন্ধে তখন শুধু বলেন -- “হও”, আর তা হয়ে যায়।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '125','chapter_id' => '2','translator_id' => '2','verse_number' => '118','translate_name' => 'আর যারা জানে না তারা বলে -- “আল্লাহ্ কেন আমাদের সাথে কথা বলেন না, অথবা একটি নিদর্শন আমাদের কাছে আসুক?” এমনভাবে এদের আগে যারা ছিল তারা এদের কথার অনুরূপ কথা বলেছিল। তাদের হৃদয় একই রকমের। আমরা আয়াতসমূহ সুস্পষ্ট করে রেখেছি সেই লোকদের কাছে যারা দৃঢ়প্রত্যয় রাখে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '126','chapter_id' => '2','translator_id' => '2','verse_number' => '119','translate_name' => 'নিঃসন্দেহ আমরা তোমাকে সত্য দিয়ে পাঠিয়েছি, সুসংবাদদাতারূপে ও সতর্ককারীরূপে, আর তোমাকে জবাব দিহি করতে হবে না ভয়ঙ্কর আগুনের বাসিন্দাদের সম্পর্কে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '127','chapter_id' => '2','translator_id' => '2','verse_number' => '120','translate_name' => 'আর ইহুদীরা কখনো তোমার উপরে সন্তষ্ট হবে না, খ্রীষ্টানরাও নয়, যতক্ষণ না তুমি তাদের ধর্মমত অনুসরণ কর। তাদের বলো -- “নিশ্চয়ই আল্লাহ্‌র যা হেদায়ত তাই-ই হেদায়ত। আর তুমি যদি তাদের ইচ্ছার অনুসরণ কর তোমার কাছে জ্ঞানের যা এসেছে তার পরে, তাহলে আল্লাহর কাছ থেকে তুমি পাবে না কোনো বন্ধু-বান্ধব, না কোনো সাহায্যকারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '128','chapter_id' => '2','translator_id' => '2','verse_number' => '121','translate_name' => 'যাদের আমরা গ্রন্থ দিয়েছি তারা উহার তিলাওতের ন্যায্যতা মোতাবেক উহা অধ্যয়ন করে। তারাই এতে ঈমান এনেছে। আর যারা এতে অবিশ্বাস পোষণ করে তারা নিজেরাই হয় ক্ষতিগ্রস্ত।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '129','chapter_id' => '2','translator_id' => '2','verse_number' => '122','translate_name' => 'হে ইসরাইলের বংশধরগণ! আমার নিয়ামত স্মরণ করো যা আমি তোমাদের প্রদান করেছিলাম ও কিভাবে মানবগোষ্ঠীর উপরে তোমাদের মর্যাদা দিয়েছিলাম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '130','chapter_id' => '2','translator_id' => '2','verse_number' => '123','translate_name' => 'আর হুশিয়াঁর হও এমন এক দিনের যখন এক সত্তা অন্য আ‌ত্মা থেকে কোনো প্রকার সাহায্য পাবে না, আর তার কাছ থেকে কোনো খেসারত কবুল করা হবে না, আর সুপারিশেও তার কোনো ফায়দা হবে না, আর তাদের সাহায্য করা হবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '131','chapter_id' => '2','translator_id' => '2','verse_number' => '124','translate_name' => 'আর স্মরণ করো! ইব্রাহীমকে তাঁর প্রভু কয়েকটি নির্দেশ দ্বারা পরীক্ষা করলেন, আর তিনি সেগুলো সম্পাদন করলেন। তিনি বললেন -- “আমি নিশ্চয়ই তোমাকে মানবজাতির জন্য ইমাম করতে যাচ্ছি।” তিনি বললেন -- “আর আমার বংশধরগণ থেকে?” তিনি বললেন -- “আমার অঙ্গীকার অন্যায়কারীদের উপরে বর্তায় না।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '132','chapter_id' => '2','translator_id' => '2','verse_number' => '125','translate_name' => 'আর চেয়ে দেখো! আমরা গৃহকে মানুষের জন্য সম্মেলনস্থল ও নিরাপত্তা-স্থান বানিয়েছিলাম। আর “মক্কাম-ই-ইব্রাহীমকে উপাসনা-ভূমি করো।” আর আমরা ইব্রাহীম ও ইসমাইলের প্রতি নির্দেশ দিয়েছিলাম -- “আমার গৃহ পবিত্র করে রেখো তওয়াফকারীদের ও ই’তিকাফকারীদের ও রুকু-সিজদাকারীদের জন্য।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '133','chapter_id' => '2','translator_id' => '2','verse_number' => '126','translate_name' => 'আর স্মরণ করো! ইব্রাহীম বললেন -- “আমার প্রভু! এটিকে তুমি নিরাপদ নগর বানাও, আর এর লোকদের ফলফসল দিয়ে জীবিকা দান করো -- তাদের যারা আল্লাহ্‌তে ও আখেরাতের দিনে ঈমান এনেছে।” তিনি বললেন -- “আর যে অবিশ্বাস পোষণ করবে তাকে আমি ক্ষণেকের জন্য ভোগ করতে দেব, তারপর তাড়িয়ে নেব আগুনের শাস্তির দিকে, আর নিকৃষ্ট গন্তব্যস্থল।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '134','chapter_id' => '2','translator_id' => '2','verse_number' => '127','translate_name' => 'আর স্মরণ করো! ইব্রাহীম গৃহের ভিত্তি গেথেঁ তুললেন, আর ইসমাইল। “আমাদের প্রভু! আমাদের থেকে তুমি গ্রহণ করো। নিঃসন্দেহ তুমি নিজেই সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '135','chapter_id' => '2','translator_id' => '2','verse_number' => '128','translate_name' => '“আমাদের প্রভু! আর তোমার প্রতি আমাদের মুসলিম করে রেখো, আর আমাদের সন্তানসন্ততিদের থেকে তোমার প্রতি মুসলিম উম্মৎ, আর আমাদের উপাসনা-প্রণালী আমাদের দেখিয়ে দাও, আর আমাদের তওবা কবুল করো, নিঃসন্দেহ তুমি নিজেই তওবা কবুলকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '136','chapter_id' => '2','translator_id' => '2','verse_number' => '129','translate_name' => '“আমাদের প্রভু! তাদের মাঝে তাদের থেকে রসূল উত্থাপন করো যিনি তোমার প্রত্যাদেশসমূহ তাদের কাছে পড়ে শোনাবেন, আর তাদের শেখাবেন ধর্মগ্রন্থ ও জ্ঞান-বিজ্ঞান, আর তাদের পবিত্র করবেন। নিশ্চয়ই তুমি নিজেই মহাশক্তিশালী, পরমজ্ঞানী।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '137','chapter_id' => '2','translator_id' => '2','verse_number' => '130','translate_name' => 'আর যে ইব্রাহীমের ধর্মমত থেকে অপসৃত হয় সে ছাড়া আর কে নিজেকে নির্বোধ বানায়? আর অবশ্যই আমরা তাঁকে এই দুনিয়াতে মনোনীত করেছিলাম, আর নিঃসন্দেহে তিনি আখেরাতে হবেন ধার্মিকদের অন্যতম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '138','chapter_id' => '2','translator_id' => '2','verse_number' => '131','translate_name' => 'স্মরণ করো! তাঁর প্রভু তাঁকে বললেন -- “ইসলাম গ্রহণ করো!” তিনি বললেন -- “আমি সমস্ত সৃষ্টজগতের প্রভুর কাছে আ‌ত্মসমর্পণ করছি।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '139','chapter_id' => '2','translator_id' => '2','verse_number' => '132','translate_name' => 'আর ইব্রাহীম তাঁর সন্তানদের এইটির ভারার্পণ করেছিলেন, আর ইয়াকুব। “হে আমার সন্তানসন্ততি! নিশ্চয় আল্লাহ্ তোমাদের জন্য এই ধর্ম মনোনীত করেছেন, অতএব তোমরা প্রাণত্যাগ করো না তোমরা মুসলিম না হয়ে।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '140','chapter_id' => '2','translator_id' => '2','verse_number' => '133','translate_name' => 'অথবা তোমরা কি প্রত্যক্ষদর্শী ছিলে যখন ইয়াকুবের মৃত্যু এসেছিল, যখন তিনি তাঁর সন্তানদের বলেছিলেন -- “তোমরা আমার পরে কার এবাদত করবে?” ওরা বলেছিল -- “আমরা এবাদত করব তোমার উপাস্যের ও তোমার পিতৃপুরুষ ইব্রাহীম ও ইসমাইল ও ইসহাকের উপাস্যের -- একক উপাস্যের, আর তাঁর কাছে আমরা মুসলিম।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '141','chapter_id' => '2','translator_id' => '2','verse_number' => '134','translate_name' => 'এরা ঐসব লোক যারা গত হয়ে গেছে। তাদের জন্য আছে যা তারা অর্জন করেছিল আর তোমাদের জন্য যা তোমরা অর্জন করছ, আর তোমাদের জবাবদিহি করতে হবে না ওরা যা করছিল সে সন্বন্ধে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '142','chapter_id' => '2','translator_id' => '2','verse_number' => '135','translate_name' => 'আর তারা বলে -- “ইহুদীয় বা খ্রীষ্টান হও, তোমরা হেদায়ত পাবে।” তুমি বলো -- “বরং অনন্যচিত্ত ইব্রাহীমের ধর্মমত। আর তিনি মুশরিকদের অন্তর্ভুক্ত ছিলেন না?”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '143','chapter_id' => '2','translator_id' => '2','verse_number' => '136','translate_name' => 'তোমরা বলো -- “আমরা আল্লাহ্‌তে ঈমান এনেছি, আর তা’তে যা আমাদের জন্য নাযিল হয়েছে, আর যা নাযিল হয়েছিল ইব্রাহীমের কাছে, আর ইসমাইল ও ইসহাক, আর ইয়াকুব এবং বিভিন্ন গোত্রের কাছে, আর যা দেয়া হয়েছিল মূসাকে এবং ঈসাকে, আর যা সকল নবীদের তাঁদের প্রভুর কাছ থেকে দেয়া হয়েছিল। আমরা তাঁদের কোনো একজনের মধ্যেও পার্থক্য করি না। আর আমরা তাঁরই কাছে মুসলিম হচ্ছি।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '144','chapter_id' => '2','translator_id' => '2','verse_number' => '137','translate_name' => 'এবার যদি তারা ঈমান আনত যেভাবে তোমরা তাঁর প্রতি ঈমান আনছো, তাহলে নিঃসন্দেহ তারা হেদায়ত পেতো, আর যদি তারা ফিরে যায় তাহলে অবশ্যই তারা বিরোধিতাতে নিমগ্ন। অতএব আল্লাহই তাদের বিরুদ্ধে তোমার জন্য যথেষ্ট, কারণ তিনিই সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '145','chapter_id' => '2','translator_id' => '2','verse_number' => '138','translate_name' => '“আল্লাহ্‌র রঙ। আর রঙের ক্ষেত্রে আল্লাহ্‌র চাইতে কে বেশী সুন্দর? আর আমরা তাঁরই উপাসনাকারী।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '146','chapter_id' => '2','translator_id' => '2','verse_number' => '139','translate_name' => 'বলো -- “তোমরা কি আমাদের সঙ্গে আল্লাহ্‌র সন্বন্ধে হুজ্জত করছ অথচ তিনি আমাদের প্রভু, তোমাদেরও প্রভু? আর আমাদের কাজ আমাদের হবে, ও তোমাদের কাজ তোমাদের হবে। আর আমরা তাঁরই প্রতি একান্ত অনুরক্ত।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '147','chapter_id' => '2','translator_id' => '2','verse_number' => '140','translate_name' => 'অথবা তোমরা কি বলো যে ইব্রাহীম ও ইসমাইল ও ইসহাক ও ইয়াকুব এবং বিভিন্ন গোত্রেরা ইহুদী অথবা খ্রীষ্টান ছিলেন? বলো -- “তোমরা কি বেশি জানো, না আল্লাহ্‌? আর তাঁর চাইতে কে বেশি অন্যায় করছে যে গোপন করছে সেই সাক্ষ্য যা আল্লাহ্‌র কাছ থেকে সে পেয়েছে? আর তোমরা যা করছ সে সন্বন্ধে আল্লাহ্ বেখেয়াল নন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '148','chapter_id' => '2','translator_id' => '2','verse_number' => '141','translate_name' => 'এরা ঐসব লোক যারা গত হয়ে গেছে। তাদের জন্য আছে যা তারা অর্জন করেছিল, আর তোমাদের জন্য যা তোমরা অর্জন করছ, আর তোমাদের জবাবদিহি করতে হবে না ওরা যা করছিল সে-সন্বন্ধে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '149','chapter_id' => '2','translator_id' => '2','verse_number' => '142','translate_name' => 'লোকদের মধ্যের নির্বোধরা শীঘ্রই বলবে -- “তাদের যে কিবলাহ্‌তে তারা তাদের বদলালো কিসে?” তুমি বলো -- “পূর্ব ও পশ্চিমের মালিক আল্লাহ্‌, তিনি যাকে ইচ্ছা করেন তাকে সহজ-সঠিক পথের দিকে পরিচালিত করেন।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '150','chapter_id' => '2','translator_id' => '2','verse_number' => '143','translate_name' => 'আর এইভাবে তোমাদের আমরা বানিয়েছি একটি সুসামঞ্জস্যরক্ষাকারী সমাজ, যাতে তোমরা মানবজাতির জন্য সাক্ষী হতে পারো, আর রসূল তোমাদের জন্য সাক্ষী হতে পারেন। আর আমরা তাকে কিবলাহ্ বানাতাম না যার উপরে তুমি ছিলে, যদি না আমরা যাচাই করতাম যে কে রসূলকে অনুসরণ করে আর কে তার মোড় ফিরিয়ে ঘুরে যায়। আর নিঃসন্দেহ এটি কঠিন ছিল তাদের ক্ষেত্রে ছাড়া যাদের আল্লাহ্ হেদায়ত করেছেন। আর আল্লাহ্ তোমাদের ঈমান কখনও নিষ্ফল হতে দেবেন না। নিঃসন্দেহ আল্লাহ্ মানুষের প্রতি পরম স্নেহময়, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '151','chapter_id' => '2','translator_id' => '2','verse_number' => '144','translate_name' => 'আমরা নিশ্চয়ই দেখেছি আকাশের দিকে তুমি মুখ তোলে রয়েছ, তাই আমরা নিঃসন্দেহ তোমাকে কর্তৃত্ব দেবো কিবলাহ্‌র যা তুমি পছন্দ কর। কাজেই হারাম মসজিদের দিকে তোমার মুখ ফেরাও। আর যেখানেই তোমরা থাক তোমাদের মুখ এর দিকেই ফেরাবে। আর যাদের কিতাব দেয়া হয়েছে তারা অবশ্যই জানে যে নিঃসন্দেহ এটি তাদের প্রভুর কাছ থেকে আসা ধ্রুব-সত্য। আর তারা যা করছে আল্লাহ্ সে-সন্বন্ধে বেখেয়াল নন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '152','chapter_id' => '2','translator_id' => '2','verse_number' => '145','translate_name' => 'আর যদিও তুমি যাদের কিতাব দেয়া হয়েছে তাদের কাছে সবক’টি নিদর্শন নিয়ে আস তবুও তারা তোমার কিবলাহ্ মেনে চলবে না। আর তুমি তাদের কিবলাহ্‌র অনুবর্তী হতে পারো না, আবার তাদের কেউ-কেউ পরস্পরের কিবলাহ্‌র অনুবর্তী নয়। আর তুমি যদি তাদের হীন মনোবৃত্তির অনুসরণ কর তোমার কাছে জ্ঞানের যা এসেছে তার পরেও, তাহলে নিঃসন্দেহ তুমিও হবে অন্যায়কারীদের অন্যতম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '153','chapter_id' => '2','translator_id' => '2','verse_number' => '146','translate_name' => 'যাদের আমরা কিতাব দিয়েছি তারা তাঁকে চিনতে পারছে যেমন তারা চিনতে পারে তাদের সন্তানদের। কিন্তু তাদের মধ্যের একদল নিশ্চয়ই সত্য কথা গোপন করছে, আর তারা জানে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '154','chapter_id' => '2','translator_id' => '2','verse_number' => '147','translate_name' => 'এই সত্য এসেছে তোমার প্রভুর কাছ থেকে অতএব তোমারা সন্দেহপরায়ণদের অন্তর্ভুক্ত হয়ো না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '155','chapter_id' => '2','translator_id' => '2','verse_number' => '148','translate_name' => 'আর প্রত্যেকের জন্য একটি কেন্দ্রস্থল আছে যে-দিকে সে ফেরে, কাজেই সৎকর্মে একে অন্যের সাথে তোমরা প্রতিযোগিতা করো। যেখানেই তোমরা থাকো না কেন, আল্লাহ্ তোমাদের সবাইকে একত্রিত করবেন। নিঃসন্দেহ আল্লাহ্ সব-কি ছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '156','chapter_id' => '2','translator_id' => '2','verse_number' => '149','translate_name' => 'আর যেখান থেকেই তুমি আস, তোমার মুখ পবিত্র মসজিদের দিকে ফেরাও। নিঃসন্দেহ এটি তোমার প্রভুর কাছ থেকে সত্য। আর অবশ্যই আল্লাহ্ বেখেয়াল নন তোমরা যা করো সে-সন্বন্ধে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '157','chapter_id' => '2','translator_id' => '2','verse_number' => '150','translate_name' => 'আর যেখান থেকেই তুমি আস, তোমার মুখ পবিত্র মসজিদের দিকে ফেরাবে। আর যেখানেই তোমরা থাকো, তোমাদের মুখ সেই দিকেই ফেরাবে। যাতে তোমাদের বিরুদ্ধে লোকজনদের কোনো হুজ্জত না থাকে -- তাদের মাঝে যারা অন্যায় করে তারা ব্যতীত। অতএব তাদের ভয় করো না, বরং ভয় করো আমাকে। আর যাতে আমি তোমাদের উপরে আমার নিয়ামত সম্পূর্ণ করতে পারি, আর যাতে তোমরা সুপথগামী হতে পারো, --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '158','chapter_id' => '2','translator_id' => '2','verse_number' => '151','translate_name' => 'যেমন, আমরা তোমাদের কাছে তোমাদের মধ্যে থেকে একজন রসূল পাঠিয়েছি, যিনি আমাদের বাণী তোমাদের কাছে তিলাওত করছেন, আর তোমাদের পবিত্র করছেন, আর তোমাদের ধর্মগ্রন্থ ও জ্ঞানবিজ্ঞান শিক্ষা দিচ্ছেন, আর তোমাদের শেখাচ্ছেন যা তোমরা জানতে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '159','chapter_id' => '2','translator_id' => '2','verse_number' => '152','translate_name' => 'অতএব আমাকে স্মরণ করো, আমিও তোমাদের স্মরণ করবো, আর আমার প্রতি কৃতজ্ঞ হও, আর আমাকে অস্বীকার করো না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '160','chapter_id' => '2','translator_id' => '2','verse_number' => '153','translate_name' => 'ওহে যারা ঈমান এনেছ! সাহায্য কামনা করো ধৈর্য ধরে ও নামায পড়ে! নিঃসন্দেহ আল্লাহ্ সবুরকারীদের সাথে আছেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '161','chapter_id' => '2','translator_id' => '2','verse_number' => '154','translate_name' => 'আর যারা আল্লাহ্‌র পথে নিহত হয় তাদের বলো না -- “মৃত,” বরং জীবন্ত, যদিও তোমরা বুঝতে পারছ না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '162','chapter_id' => '2','translator_id' => '2','verse_number' => '155','translate_name' => 'আর আমরা নিশ্চয়ই তোমাদের পরীক্ষা করবো কিছু ভয়, আর ক্ষুধা দিয়ে, আর মাল-আসবাবের, আর লোকজনের আর ফল- ফসলের লোকসান ক’রে। আর সুসংবাদ দাও ধৈর্যশীলদের --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '163','chapter_id' => '2','translator_id' => '2','verse_number' => '156','translate_name' => 'যারা তাদের উপরে কোনো আপদ-বিপদ ঘটলে বলে -- “নিঃসন্দেহ আমরা আল্লাহ্‌র জন্যে, আর অবশ্যই আমরা তাঁরই কাছে প্রত্যাবর্তনকারী।”','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '164','chapter_id' => '2','translator_id' => '2','verse_number' => '157','translate_name' => 'এইসব -- তাদের উপরে তাদের প্রভুর কাছ থেকে রয়েছে আশবাদ ও করুণা, আর এরা নিজেরাই সুপথগামী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '165','chapter_id' => '2','translator_id' => '2','verse_number' => '158','translate_name' => 'নিঃসন্দেহ সাফা ও মারওয়াহ্ আল্লাহ্‌র নিদর্শনসমূহের অন্যতম। তাই যে কেউ গৃহে হজ করে বা উমরাহ করে তার জন্য অপরাধ হবে না যদি সে এ দুইয়ের মাঝে তওয়াফ করে। আর যে কেউ স্বতঃপ্রণোদিতভাবে সৎকর্ম করে, আল্লাহ্ নিশ্চয়ই অতি দানশীল, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '166','chapter_id' => '2','translator_id' => '2','verse_number' => '159','translate_name' => 'নিঃসন্দেহ যারা গোপন করে রাখে পরিস্কার প্রমাণাবলী ও পথনির্দেশের যে-সব আমরা অবতারণ করেছিলাম এগুলো জণগণের জন্য ধর্মগন্থে সুস্পষ্টভাবে বিবৃত করার পরেও, তারাই! -- যাদের আল্লাহ্ লানৎ দেন, আর তাদের বঞ্চিত করে লানৎকারীরা --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '167','chapter_id' => '2','translator_id' => '2','verse_number' => '160','translate_name' => 'তারা ছাড়া যারা তওবা করে ও সংশোধন করে, আর প্রকাশ করে, তাহলে তারাই! -- তাদের প্রতি আমি ফিরি আর আমি বারবার ফিরি, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '168','chapter_id' => '2','translator_id' => '2','verse_number' => '161','translate_name' => 'অবশ্য যারা অবিশ্বাস পোষণ করে আর মারা যায় তারা অবিশ্বাসী থাকা অবস্থায়, তাদের ক্ষেত্রে -- তাদের উপরে ধিক্কার হোক আল্লাহ্‌র, ও ফিরিশ্‌তাদের ও জনগণের সম্মিলিতভাবে, --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '169','chapter_id' => '2','translator_id' => '2','verse_number' => '162','translate_name' => 'এতে তারা অবস্থান করবে। তাদের উপর থেকে যাতনা লাঘব করা হবে না, আর তারা বিরামও পাবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '170','chapter_id' => '2','translator_id' => '2','verse_number' => '163','translate_name' => 'আর তোমাদের উপাস্য একক খোদা, তিনি ছাড়া কোনো উপাস্য নেই, রহমান, রহীম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '171','chapter_id' => '2','translator_id' => '2','verse_number' => '164','translate_name' => 'নিঃসন্দেহ মহাকাশমন্ডল ও পৃথিবীর সৃষ্টির মধ্যে, আর রাত ও দিনের বিবর্তনে, আর জাহাজে -- যা সাগরের মাঝে চলাচল করে যার দ্বারা মানুষের মুনাফা হয় তার মধ্যে, আর আল্লাহ্ আকাশ থেকে বৃষ্টির যা-কিছু পাঠান তাতে, তারপর তার দ্বারা মাটিকে তার মরণের পরে প্রাণসঞ্চার করেন, আর তাতে ছড়িয়ে দেন হরেক রকমের জীবজন্ত, আর আকাশ ও পৃথিবীর মাঝে নিয়ন্ত্রিত বাতাস ও মেঘের গতিবেগে বিশেষ নিদর্শন রয়েছে বিচার-বুদ্ধি থাকা লোকের জন্য।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '172','chapter_id' => '2','translator_id' => '2','verse_number' => '165','translate_name' => 'আর মানুষের মাঝে কেউ-কেউ আল্লাহ্‌কে ছেড়ে অন্যকে মুরব্বী বলে গ্রহণ করে, তারা তাদের ভালোবাসে আল্লাহ্‌কে ভালোবাসার ন্যায়। তবে যারা ঈমান এনেছে আল্লাহ্‌র প্রতি তাদের ভালোবাসা প্রবলতর। আফসোস! যারা অন্যায় করে তারা যদি দেখতো -- যখন শাস্তি তারা দেখতে পায়, তখন সমস্ত ক্ষমতা পুরোপুরিভাবে আল্লাহ্‌র, আর আল্লাহ্ নিঃসন্দেহ শাস্তি দিতে কঠোর।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '173','chapter_id' => '2','translator_id' => '2','verse_number' => '166','translate_name' => 'চেয়ে দেখো! যাদের অনুসরণ করা হতো তারা যারা অনুসরণ করেছিল তাদের অস্বীকার করবে, আর তারা দেখতে পাবে শাস্তি, আর তাদের মধ্যেকার সম্পর্ক ছিন্ন হয়ে যাবে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '174','chapter_id' => '2','translator_id' => '2','verse_number' => '167','translate_name' => 'আর যারা অনুসরণ করেছিল তারা বলবে -- \'\'হায়, আমরা যদি ফেরত পালা পেতাম তাহলে আমরা তাদের থেকে বিচ্ছিন্ন করতাম, যেমন তারা আমাদের থেকে বিচ্ছিন্ন করেছে।’’ এইভাবে আল্লাহ্ তাদের ক্রিয়াকলাপ তাদের দেখান তাদের জন্য তীব্র আক্ষেপরূপে। আর তারা আগুন থেকে বহিষ্কৃত হবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '175','chapter_id' => '2','translator_id' => '2','verse_number' => '168','translate_name' => 'ওহে মানবজাতি! পৃথিবীতে যা-কিছু হালাল ও পবিত্র আছে তা থেকে পানাহার করো, আর শয়তানের পদচিহ্ন অনুসরণ করো না। নিঃসন্দেহ সে তোমাদের জন্য প্রকাশ্য শত্রু।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '176','chapter_id' => '2','translator_id' => '2','verse_number' => '169','translate_name' => 'সে তোমাদের কেবল প্ররোচনা দেয় মন্দ ও অশালীনতার প্রতি, আর আল্লাহ্‌র বিরুদ্ধে তাই বলতে যা তোমরা জানো না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '177','chapter_id' => '2','translator_id' => '2','verse_number' => '170','translate_name' => 'আর যখন তাদের বলা হয় -- \'\'অনুসরণ করো যা প্রত্যাদেশ আল্লাহ্ অবতারণ করেছেন’’, তারা বলে -- \'\'না, আমরা অনুসরণ করি তার যার উপরে আমাদের পিতৃপুরুষদের দেখেছি।’’ কি! যদিও তাদের পিতৃপুরুষদের বুদ্ধিবিবেচনা কিছুই ছিল না, আর তারা পথনির্দেশ গ্রহণ করে নি?','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '178','chapter_id' => '2','translator_id' => '2','verse_number' => '171','translate_name' => 'আর যারা অবিশ্বাস পোষণ করে তাদের উপমা হচ্ছে তার দৃষ্টান্তের মতো যে ডাক দেয় এমন কতককে যে আওয়াজ ও চেচাঁমেচি ছাড়া আর কিছু শোনে না। বধিরতা, বোবা, অন্ধত্ব, কাজেই তারা বুঝে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '179','chapter_id' => '2','translator_id' => '2','verse_number' => '172','translate_name' => 'ওহে যারা ঈমান এনেছ! পবিত্র জিনিস থেকে পানাহার করো যা তোমাদের খেতে দিয়েছি, আর আল্লাহ্‌কে ধন্যবাদ দাও, যদি তোমরা তাঁরই এবাদত করো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '180','chapter_id' => '2','translator_id' => '2','verse_number' => '173','translate_name' => 'তিনি তোমাদের কারণে নিষেধ করেছেন কেবল যা নিজে মারা গেছে, আর রক্ত, আর শূকরের মাংস, আর যার উপরে আল্লাহ্ ছাড়া অন্য নাম উচ্চারিত হয়েছে। কিন্তু যে চাপে পড়েছে, অবাধ্য হয় নি বা মাত্রা ছাড়ায় নি, তার উপরে কোনো পাপ হবে না। নিঃসন্দেহ আল্লাহ্ ত্রাণকর্তা, অফুরন্ত ফলদাতা!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '181','chapter_id' => '2','translator_id' => '2','verse_number' => '174','translate_name' => 'অবশ্যই যারা ধর্মগ্রন্থের মধ্যে থেকে আল্লাহ্ যা নাযিল করেছেন তা লুকিয়ে রাখে আর এর দ্বারা তুচ্ছ বস্তু কিনে নেয়, -- এরাই তাদের পেটে আগুন ছাড়া আর কিছু গেলে না, আর কিয়ামতের দিন আল্লাহ্ তাদের সাথে কথাবার্তা বলবেন না, বা তাদের শুদ্ধও করবেন না, আর তাদের জন্য রয়েছে ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '182','chapter_id' => '2','translator_id' => '2','verse_number' => '175','translate_name' => 'এরাই তারা যারা কিনে নেয় হেদায়তের বিনিময়ে ভ্রান্তপথ ও পরিত্রাণের পরিবর্তে শাস্তি। কাজেই কতো তাদের ধৈর্য আগুনের প্রতি!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '183','chapter_id' => '2','translator_id' => '2','verse_number' => '176','translate_name' => 'তা-ই! কারণ আল্লাহ্ গ্রন্থখানা নাযিল করেছেন সত্যের সাথে। আর যারা গ্রন্থখানার মতবিরোধ করে তারা নিঃসন্দেহ একগুঁয়েমিতে বহুদূর পৌঁছেছে','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '184','chapter_id' => '2','translator_id' => '2','verse_number' => '177','translate_name' => 'ধার্মিকতা তাতে নয় যে তোমাদের মুখ পূব বা পশ্চিম দিকে ফেরাও, তবে ধর্মনিষ্ঠা হচ্ছে যে আল্লাহর প্রতি ঈমান আনে, আর আখেরাতের দিনের প্রতি, আর ফিরিশ্‌তাদের প্রতি, আর গ্রন্থখানিতে, আর নবীদের প্রতি; আর যে তাঁর প্রতি মহব্বত বশতঃ ধন দান করে আ‌ত্মীয়-স্বজনদের, আর এতীমদের, আর মিসকিনদের, আর পথচারীদের, আর ভিখারীদের, আর দাসদের মুক্তিপণ বাবদ, আর যে নামায কায়েম করে ও যাকাত আদায় করেচ আর যারা প্রতিজ্ঞা করার পরে তাদের ওয়াদা রক্ষা করে, আর অভাব-অনটনে ও আপৎকালে ও আতঙ্কের সময়ে ধৈর্যশীলদের। এরাই তারা যারা সত্যনিষ্ঠ, আর এরা নিজেরাই ধর্মপরায়ণ।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '185','chapter_id' => '2','translator_id' => '2','verse_number' => '178','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের প্রতি হত্যার ক্ষেত্রে প্রতিশোধের বিধান দেয়া হয়েছে। স্বাধীন ব্যক্তির উপরে স্বাধীন ব্যক্তির ক্ষেত্রে, আর দাসের উপরে দাসের ক্ষেত্রে, আর নারীর উপরে নারীর ক্ষেত্রে। তবে যাকে কিছুটা রেহাই দেয়া হয় তার ভাইয়ের তরফ হতে, তাহলে বিচার হবে ন্যায্যভাবে, আর তার প্রতি ক্ষতিপূরণ দিতে হবে উদারভাবে। -- এটি তোমাদের প্রভুর কাছ থেকে লঘু-ব্যবস্থা ও করুণা। কাজেই এরপরে যে সীমালঙ্ঘন করবে তার জন্য রয়েছে ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '186','chapter_id' => '2','translator_id' => '2','verse_number' => '179','translate_name' => 'আর তোমাদের জন্য প্রতিশোধের বিধানে রয়েছে জীবন, হে জ্ঞানবান ব্যক্তিগণ! যাতে তোমরা ধর্মপরায়ণতা অবলন্বন করো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '187','chapter_id' => '2','translator_id' => '2','verse_number' => '180','translate_name' => 'তোমাদের জন্য বিধিবদ্ধ করা গেল যে যখন তোমাদের কারোর কাছে মৃত্যু হাজির হয় সে ধন ছেড়ে যাচ্ছে, তবে যেন ওসিয়ৎ করা হয় মাতাপিতা ও নিকটা‌ত্মীয়দের জন্য ন্যায়সঙ্গত-ভাবে; এটা মুত্তকীদের উপরে একটি কর্তব্য।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '188','chapter_id' => '2','translator_id' => '2','verse_number' => '181','translate_name' => 'আর যে কেউ এটি বদলে ফেলে তা শোনার পরেও, তা হলে তার পাপ বর্তাবে তাদের উপরে যারা এটি বদলাবে। নিঃসন্দেহ আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '189','chapter_id' => '2','translator_id' => '2','verse_number' => '182','translate_name' => 'কিন্তু যদি কেউ আশংকা করে যে ওসিয়ৎকারীর তরফ থেকে ভুল বা অন্যায় হচ্ছে, কাজেই তাদের মধ্যে বোঝাপড়া করে, তাহলে তার উপরে কোনো দোষ হবে না। নিঃসন্দেহ আল্লাহ্ ত্রাণকর্তা, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '190','chapter_id' => '2','translator_id' => '2','verse_number' => '183','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের উপরে রোযা বিধিবদ্ধ করা গেল যেমন বিধান করা হয়েছিল যারা তোমাদের আগে এসেছে তাদের উপরে, যাতে তোমরা ধর্মভীরুতা অবলন্বন করো, --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '191','chapter_id' => '2','translator_id' => '2','verse_number' => '184','translate_name' => 'নির্দিষ্টসংখ্যক দিনের জন্য। কিন্তু তোমাদের মধ্যে যে কেউ অসুস্থ অথবা সফরে আছে সে সেই সংখ্যক অন্য দিন-গুলোতে। আর যারা এ অতি কষ্টসাধ্য বোধ করে -- প্রতিবিধান হল একজন মিসকিনকে খাওয়ানো। কিন্তু যে কেউ স্বতঃপ্রবৃত্ত হয়ে ভালো কাজ করে, সেটি তার জন্য ভালো। আর যদি তোমরা রোযা রাখো তবে তোমাদের জন্য অতি উত্তম, -- যদি তোমরা জানতে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '192','chapter_id' => '2','translator_id' => '2','verse_number' => '185','translate_name' => 'রমযান মাস এইটি যাতে কুরাআন নাযিল হয়েছিল, -- মানবগোষ্ঠীর জন্য পথপ্রদর্শক হিসেবে, আর পথনির্দেশের স্পষ্টপ্রমানরূপে, আর ফুরকান। কাজেই তোমাদের মধ্যে যে কেউ মাসটির দেখা পাবে সে যেন এতে রোযা রাখে। আর যে অসুস্থ বা সফরে আছে যে সেই সংখ্যক অন্য দিনগুলোতে। আল্লাহ্ তোমাদের জন্য সুবিধা চান, আর তিনি তোমাদের জন্য কষ্টকর অবস্থা চান না, আর তোমরা যেন এই সংখ্যা সম্পূর্ণ করো, আর যাতে আল্লাহ্‌র মহিমা কীর্তন করো তোমাদের যে পথনির্দেশ তিনি দিয়েছেন সেইজন্য, আর তোমরা যেন কৃতজ্ঞতা জ্ঞাপন করো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '193','chapter_id' => '2','translator_id' => '2','verse_number' => '186','translate_name' => 'আর যখন আমার বান্দারা আমার সন্বন্ধে তোমাকে জিজ্ঞাসা করে, তখন -- \'\'দেখো! আমি নিঃসন্দেহ অতি নিকটে।’’ আমি প্রার্থনাকারীর প্রার্থনার জবাব দিই যখনি সে আমাকে আহ্বান করে। কাজেই তারা আমার প্রতি সাড়া দিক আর আমাতে ঈমান আনুক, -- যাতে তারা সুপথে চলতে পারে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '194','chapter_id' => '2','translator_id' => '2','verse_number' => '187','translate_name' => 'রোযার রাত্রে তোমাদের স্ত্রীদের কাছে গমন তোমাদের জন্য বৈধ করা গেল। তারা তোমাদের জন্য পোশাক আর তোমরা তাদের জন্য পোশাক। আল্লাহ্ জানেন যে তোমরা তোমাদের নিজেদের প্রবঞ্চনা করছিলে, তাই তিনি তোমাদের উপরে ফিরেছেন ও তোমাদের ভুলকে উপেক্ষা করেছেন। সুতরাং এখন তাদের সাহচর্য ভোগ করো, আর আল্লাহ্ তোমাদের জন্য যা নির্ধারিত করেছেন তা অনুসরণ করে চল। আর আহার করো ও পান করো যতক্ষণ না তোমাদের কাছে স্পষ্ট হয়ে ওঠে ভোরবেলাতে সাদা কিরণ কালো ছায়া থেকে, তারপর রোযা সম্পূর্ণ করো রাত্রি সমাগম পর্যন্ত। আর তাদের স্পর্শ করো না যখন তোমরা মসজিদে ই\'তিকাফ করো। এ হচ্ছে আল্লাহ্‌র সীমা, কাজেই সে-সবের নিকটে যেয়ো না। এইভাবে আল্লাহ্ তাঁর আয়াতসমূহ মানুষের জন্য সুস্পষ্ট করে দিয়েছেন যাতে তারা ধর্মপরায়ণতা অবলন্বন করে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '195','chapter_id' => '2','translator_id' => '2','verse_number' => '188','translate_name' => 'আর তোমাদের সম্পত্তি পরস্পরের মধ্যে জালিয়াতি করে গ্রাস করো না, আর এগুলো বিচারকদের কাছে পেশ করো না যাতে লোকের সম্পত্তির কিছুটা অন্যায়ভাবে গিলে ফেলতে পারো, তাও তোমরা জেনেবুঝে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '196','chapter_id' => '2','translator_id' => '2','verse_number' => '189','translate_name' => 'তারা তোমাকে নতুন চাঁদ সন্বন্ধে জিজ্ঞাসা করছে। তুমি বলো -- \'\'এসব হচ্ছে নির্দিষ্ট সময় জনসাধারণের জন্য ও হজের জন্য।’’ আর ধার্মিকতা এ নয় যে তোমরা বাড়িতে প্রবেশ করবে তাদের পেছন দিক দিয়ে, বরং ধার্মিকতা হচ্ছে যে ধর্মভীরুতা অবলন্বন করে। তাই বাড়ীতে ঢোকো তাদের দরজা দিয়ে, আর আল্লাহ্‌তে ভয়-শ্রদ্ধা করো যেন তোমরা সফলকাম হতে পার।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '197','chapter_id' => '2','translator_id' => '2','verse_number' => '190','translate_name' => 'আর আল্লাহ্‌র পথে তোমরা যুদ্ধ করো তাদের বিরুদ্ধে যারা অন্যায়ভাবে তোমাদের সঙ্গে যুদ্ধ করে, আর সীমালংঘন করো না। নিঃসন্দেহ আল্লাহ্ সীমালংঘনকারীদের ভালোবাসেন না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '198','chapter_id' => '2','translator_id' => '2','verse_number' => '191','translate_name' => 'আর তাদের হত্যা করো যেখানেই তোমারা তাদের দেখা পাও, আর তাদের তাড়িয়ে দাও যেখান থেকে তারা তোমাদের তাড়িয়ে দিয়েছিল, আর উৎপীড়ন যুদ্ধের চেয়ে নিকৃষ্টতর। কিন্তু তাদের হত্যা করো না পবিত্র-মসজিদের আশেপাশে যে পর্যন্ত না তারা সেখানে তোমাদের সঙ্গে যুদ্ধ করে, কাজেই তারা যদি তোমাদের সঙ্গে যুদ্ধ করে তবে তোমরাও তাদের সাথে লড়বে। এই হচ্ছে অবিশ্বাসীদের প্রাপ্য।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '199','chapter_id' => '2','translator_id' => '2','verse_number' => '192','translate_name' => 'কিন্তু তারা যদি ক্ষান্ত হয় তবে আল্লাহ্ নিঃসন্দেহ ত্রাণকর্তা, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '200','chapter_id' => '2','translator_id' => '2','verse_number' => '193','translate_name' => 'আর তাদের সাথে লড়বে যে পর্যন্ত না উৎপীড়ন বন্ধ হয়, আর ধর্ম হচ্ছে আল্লাহ্‌র জন্য। সুতরাং তারা যদি ক্ষান্ত হয় তবে যুদ্ধ-বিগ্রহ চলবে না শুধু অত্যাচারীদের সাথে ছাড়া।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '201','chapter_id' => '2','translator_id' => '2','verse_number' => '194','translate_name' => 'পবিত্র মাস পবিত্র মাসের খাতিরে, আর সব নিষিদ্ধ ব্যাপারে প্রতিশোধ নিতে হবে। কাজেই যে কেউ তোমাদের উপরে আক্রমণ চালায়, তোমরাও তবে তাদের উপরে আঘাত হানবে সেইভাবে যেমনটা তারা তোমাদের উপরে আঘাত করেছিল। আর আল্লাহ্‌কে ভয়-শ্রদ্ধা করবে, আর জেনে রেখো নিঃসন্দেহ আল্লাহ্ ধর্মভীরুদের সাথে আছেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '202','chapter_id' => '2','translator_id' => '2','verse_number' => '195','translate_name' => 'আর আল্লাহ্‌র রাস্তায় খরচ করো, আর তোমাদের নিজহাতে তোমাদের ধ্বংসের মধ্যে ফেলো না, বরং ভালো করো, নিঃসন্দেহ আল্লাহ্ মঙ্গলকারীদের ভালোবাসেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '203','chapter_id' => '2','translator_id' => '2','verse_number' => '196','translate_name' => 'আর আল্লাহ্‌র জন্য সম্পূর্ণ করো হজ এবং উমরাহ। কিন্তু যদি বাধা পাও, তবে কুরবানির যা-কিছু পাওয়া যায় তাই, আর তোমাদের মাথা কামাবে না যতক্ষণ না কুরবানি তার গন্তব্যস্থানে পৌঁছেছে কিন্তু তোমাদের মধ্যে যদি কেউ অসুস্থ হয় অথবা তার মাথায় রোগ থাকে, তবে প্রতিবিধান হচ্ছে রোযা রেখে বা সদকা দিয়ে বা কুরবানি ক’রে। কিন্তু যখন তোমরা নিরাপদ বোধ করবে তখন যে উমরাহ্‌কে হজের সঙ্গে সংযোজন ক’রে লাভবান হতে চায়, সে যেন কুরবানির যা-কিছু পায় তাই। কিন্তু যে পায় না, রোযা হচ্ছে হজের সময়ে তিনদিন আর তোমরা যখন ফিরে এস তখন সাত, -- এই হলো পুরো দশ। এটা তার জন্য যার পরিবার পবিত্র- মজজিদে হাজির থাকে না। আর আল্লাহ্‌কে ভয়-ভক্তি করো, আর জেনে রেখো যে নিঃসন্দেহ আল্লাহ্ প্রতিফলদানে কঠোর।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '204','chapter_id' => '2','translator_id' => '2','verse_number' => '197','translate_name' => 'হজ হয় কয়েকটি সুবিখ্যাত মাসে, কাজেই যে কেউ এই সময়ে হজ করার সংকল্প করে তার জন্য এ-সবের মধ্যে স্ত্রী-গমন বা দুষ্টামি থাকবে না, বা হজের মধ্যে তর্কাতর্কি চলবে না। আর ভালো যা-কিছু তোমরা কর, আল্লাহ্ তা জানেন। আর পাথেয় সংগ্রহ করো, নিঃসন্দেহ শ্রেষ্ঠ পাথেয় হচ্ছে ধর্মপরায়ণতা। অতএব আমাকে ভয়-শ্রদ্ধা করো, হে জ্ঞানের অধিকারীসব!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '205','chapter_id' => '2','translator_id' => '2','verse_number' => '198','translate_name' => 'তোমাদের উপরে কোনো অপরাধ হবে না যদি বা তোমরা তোমাদের প্রভুর কাছে দৌলত কামানোর চেষ্টা করো। তারপর তোমরা যখন আরাফাত থেকে জোট বেধে ফিঁরবে তখন মাশ\'আরিল-হারাম এর নিকটে আল্লাহ্‌কে স্মরণ করো; আর তাঁকে স্মরণ করো যেমন তিনি তোমাদের পথনির্দেশ দিয়েছেন, যদিও এর আগে নিঃসন্দেহ তোমরা ছিলে পথভ্রষ্টদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '206','chapter_id' => '2','translator_id' => '2','verse_number' => '199','translate_name' => 'তারপর তোমরা তাড়াতাড়ি চল যেখান থেকে জনতা এগিয়ে চলে, আর আল্লাহ্‌র কাছে পরিত্রাণ খোঁজো, নিঃসন্দেহ আল্লাহ্ ত্রাণকর্তা, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '207','chapter_id' => '2','translator_id' => '2','verse_number' => '200','translate_name' => 'তারপর যখন তোমাদের পুণ্যানুষ্ঠান শেষ কর তখন আল্লাহ্‌র গুণগান করো, যেমন তোমরা তোমাদের পূর্বপুরুষদের জয়গান গাইতে, -- বরং তার চাইতেও বেশী গুণকীর্তন করো। কিন্তু মানুষের মাঝে এমনও লোক আছে যে বলে -- \'\'আমাদের প্রভু! এই দুনিয়াতে আমাদের দাও।’’ অতএব আখেরাতে তাদের জন্য কোনো ভাগ থাকবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '208','chapter_id' => '2','translator_id' => '2','verse_number' => '201','translate_name' => 'আর তাদের মধ্যে এমনও আছে যে বলে -- \'\'আমাদের প্রভু! এই দুনিয়াতে আমাদের ভালো জিনিস অর্পণ করো, এবং আখেরাতেও ভালো জিনিস, আর আমাদের রক্ষা করো আগুনের শাস্তি থেকে।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '209','chapter_id' => '2','translator_id' => '2','verse_number' => '202','translate_name' => 'এরাই -- তাদের জন্য আছে ভাগ যা তারা অর্জন করেছে তা থেকে। আর আল্লাহ্ হিসেব-নিকেশে তৎপর।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '210','chapter_id' => '2','translator_id' => '2','verse_number' => '203','translate_name' => 'আর আল্লাহ্‌কে স্মরণ করো নির্ধারিত দিনগুলোতে। কিন্তু যে দু’দিনে তাড়াতাড়ি করে, তাতে তার অপরাধ হবে না, আর যে দেরী করে তার উপরেও কোনো অপরাধ হবে না, -- যে ভয়-ভক্তি করে। আর তোমরা আল্লাহ্‌কে ভয়-ভক্তি করো, আর জেনে রেখো নিঃসন্দেহ তোমরা তাঁরই কাছে একত্রিত হবে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '211','chapter_id' => '2','translator_id' => '2','verse_number' => '204','translate_name' => 'আর মানুষের মধ্যে এমনও আছে যার দুনিয়াদারির কথাবার্তা তোমাকে তাজ্জব করে দেয়, আর সে আল্লাহ্‌কে সাক্ষী মানে তার অন্তরে যা আছে সে-সন্বন্ধে, অথচ সে-ই হচ্ছে প্রতিদ্বন্দ্বীদের মধ্যে সবচেয়ে মারা‌ত্মক।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '212','chapter_id' => '2','translator_id' => '2','verse_number' => '205','translate_name' => 'আর সে যখন ফিরে যায় তখন সে দেশের মধ্যে দৌড়াদৌড়ি করে তাতে ফসাদ বাঁধাতে এবং ফসল ও পশুপাল বিনষ্ট করতে। আর আল্লাহ্ ফসাদ পছন্দ করেন না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '213','chapter_id' => '2','translator_id' => '2','verse_number' => '206','translate_name' => 'আর যখন তাকে বলা হয় -- \'\'আল্লাহ্‌কে ভয়-ভক্তি করো,’’ অহংকার তাকে নিয়ে চলে পাপের মধ্যে, কাজেই জাহান্নাম হচ্ছে তার হিসেব-নিকেশ, -- আর নিশ্চয়ই মন্দ সেই বিশ্রাম-স্থান।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '214','chapter_id' => '2','translator_id' => '2','verse_number' => '207','translate_name' => 'আর মানুষের মাঝে এমনও আছে যে নিজের সত্তাকে বিক্রি করে দিয়েছে আল্লাহ্‌র সন্তষ্টি কামনা ক’রে। আর আল্লাহ্ পরম স্নেহময় বান্দাদের প্রতি।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '215','chapter_id' => '2','translator_id' => '2','verse_number' => '208','translate_name' => 'ওহে যারা ঈমান এনেছ! সম্পূর্ণরূপে আ‌ত্মসমর্পণে দাখিল হও, আর শয়তানের পদচিহ্ন অনুসরণ করো না। নিঃসন্দেহ সে তোমাদের জন্য প্রকাশ্য শত্রু।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '216','chapter_id' => '2','translator_id' => '2','verse_number' => '209','translate_name' => 'কিন্তু যদি তোমরা পিছলে পড় তোমাদের কাছে স্পষ্ট প্রমাণাবলী আসবার পরেও, তবে জেনে রেখো -- নিঃসন্দেহ আল্লাহ মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '217','chapter_id' => '2','translator_id' => '2','verse_number' => '210','translate_name' => 'তারা এছাড়া আর কিসের প্রতীক্ষা করে যে তাদের কাছে আল্লাহ্ আসবেন মেঘের ছায়ায়, আর ফিরিশ্‌তারাও, আর বিষয়টির নিস্পত্তি হয়ে গেছে? আর আল্লাহ্‌র কাছেই সব ব্যাপার ফিরে যায়।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '218','chapter_id' => '2','translator_id' => '2','verse_number' => '211','translate_name' => 'ইসরাইলের বংশধরদের জিজ্ঞাসা করো -- স্পষ্ট নিদর্শন-গুলো থেকে কতো না আমরা তাদের দিয়েছিলাম! আর যে কেউ আল্লাহ্‌র নিয়ামত বদল করে তা তার কাছে আসার পরে, তা হলে নিঃসন্দেহ আল্লাহ্ প্রতিফল দিতে কঠোর!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '219','chapter_id' => '2','translator_id' => '2','verse_number' => '212','translate_name' => 'যারা অবিশ্বাস পোষণ করে তাদের কাছে এই দুনিয়ার জীবন মনোরম ঠেকে, আর তারা মস্করা করে যারা ঈমান এনেছে তাদের। আর যারা ধর্মপরায়ণতা অবলন্বন করে তারা কিয়ামতের দিন ওদের উপরে থাকবে। আর আল্লাহ্ যাকে ইচ্ছে করেন বে-হিসাব রিযেক দান করেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '220','chapter_id' => '2','translator_id' => '2','verse_number' => '213','translate_name' => 'মানবগোষ্ঠী হচ্ছে একই জাতি। কাজেই আল্লাহ্ উত্থাপন করলেন নবীদের সুসংবাদদাতারূপে এবং সতর্ককারীরূপে, আর তাঁদের সঙ্গে তিনি অবতারণ করেছিলেন কিতাব সত্যতার সাথে যাতে তা মীমাংসা করতে পারে লোকদের মধ্যে যে-বিষয়ে তারা মতবিরোধ করত। আর কেউ এতে মতবিরোধ করে না তারা ছাড়া যাদের এ দেয়া হয়েছিল তাদের কাছে স্পষ্ট প্রমাণ আসার পরেও তাদের পরস্পরের মধ্যে বিদ্রোহাচরণ বশতঃ। তাই যারা ঈমান এনেছে, আল্লাহ্ তাদের হেদায়ত করলেন আপন এখতিয়ারে সেই সত্যতে যে বিষয়ে তারা মতবিরোধ করছিল। আর আল্লাহ্ যাকে ইচ্ছে করেন তাকে সহজ-সঠিক পথের দিকে পরিচালিত করেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '221','chapter_id' => '2','translator_id' => '2','verse_number' => '214','translate_name' => 'অথবা তোমরা কি বিবেচনা করো যে তোমরা বেহেশতে দাখিল হতে পারবে যতক্ষণ না তোমাদের উপরেও তোমাদের আগে যারা গত হয়েছে তাদের ন্যায় না বর্তায়? তাদের আক্রমণ করেছিল দারুণ বিপর্যয় এবং চরম দুর্দশা, আর তারা কেঁপেছিল, শেষ পর্যন্ত রসূল ও তাঁর সঙ্গে যারা ঈমান এনেছিল তারা বললে -- \'\'আল্লাহ্‌র সাহায্য কখন?’’ আল্লাহ্‌র সাহায্য অবশ্যই নিকটবর্তী নয় কি?','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '222','chapter_id' => '2','translator_id' => '2','verse_number' => '215','translate_name' => 'তারা তোমায় জিজ্ঞেস করছে কি তারা খরচ করবে। বলো -- \'\'ভালো জিনিস যা-কিছু তোমরা খরচ করো তা মাতাপিতার জন্য ও নিকট-আ‌ত্মীয়দের ও এতিমদের ও মিসকিনদের ও পথচারীদের জন্য। আর ভালো কাজ যা-কিছু কর, নিঃসন্দেহ আল্লাহ্ সে-সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '223','chapter_id' => '2','translator_id' => '2','verse_number' => '216','translate_name' => 'তোমাদের জন্য যুদ্ধ বিধিবদ্ধ করা হলো, অথচ তোমাদের জন্য তা অপ্রীতিকর। আর হতে পারে তোমরা কোনো-কিছু অপছন্দ করলে, অথচ তা তোমাদের জন্য মঙ্গলজনক, আবার হতে পারে তোমরা কোনো-কিছু ভালোবাসলে, অথচ তা তোমাদের জন্য মন্দ। আর আল্লাহ জানেন, যদিও তোমরা জানো না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '224','chapter_id' => '2','translator_id' => '2','verse_number' => '217','translate_name' => 'তারা তোমাকে পবিত্র মাস সম্পর্কে প্রশ্ন করছে -- তাতে যুদ্ধ করার ব্যাপারে। বলো -- \'\'এতে যুদ্ধ করা গুরুতর, কিন্তু আল্লাহ্‌র রাস্তা থেকে ফিরিয়ে রাখা, আর তাঁর প্রতি ও পবিত্র মসজিদের প্রতি অবিশ্বাস পোষণ করা, এবং তার বাসিন্দাদের সেখান থেকে বের করে দেয়া আল্লাহ্‌র কাছে আরও গুরুতর! আর উৎপীড়ন হত্যার চেয়ে গুরুতর। আর তারা তোমাদের সাথে যুদ্ধ করা থামাবে না যতক্ষণ না তারা তোমাদের ধর্ম থেকে তোমাদের ফিরিয়ে নিতে পারে, -- যদি তারা পারে। আর তোমাদের মধ্যে থেকে যে তার ধর্ম থেকে ফিরে যায় ও মারা যায় অবিশ্বাসী থাকা অবস্থায়, তা হলে এরাই -- এদের সব কাজ এই দুনিয়াতে ও আখেরাতে বৃথা যাবে। আর তারাই হচ্ছে আগুনের অধিবাসী, তারা এতে থাকবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '225','chapter_id' => '2','translator_id' => '2','verse_number' => '218','translate_name' => 'নিঃসন্দেহ যারা ঈমান এনেছিল ও যারা হিজরত করেছিল, এবং আল্লাহ্‌র রাস্তায় কঠোর সংগ্রাম করেছিল, -- এরাই আশা রাখে আল্লাহ্‌র করুণার। আর আল্লাহ্ ত্রাণকর্তা, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '226','chapter_id' => '2','translator_id' => '2','verse_number' => '219','translate_name' => 'তারা তোমাকে নেশা ও জুয়া সন্বন্ধে জিজ্ঞাসা করছে। বলো -- \'\'এই দুয়েতেই আছে মহাপাপ ও মানুষের জন্য মুনাফা, কিন্তু তাদের পাপ তাদের মুনাফার চাইতে গুরুতর। আর তারা তোমায় সওয়াল করে কী তারা খরচ করবে। বলো -- \'\'যা বাড়তি থাকে।’’ এইভাবে আল্লাহ্ তোমাদের জন্য বাণীসমূহ স্পষ্ট করেন যাতে তোমরা ভেবে দেখতে পার, --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '227','chapter_id' => '2','translator_id' => '2','verse_number' => '220','translate_name' => 'এই দুনিয়া ও আখেরাতের সন্বন্ধে। আর তারা তোমায় এতিমদের সম্পর্কে প্রশ্ন করছে। বলো -- \'\'তাদের জন্য সুব্যবস্থা করা উত্তম।’’ আর তোমরা যদি তাদের সঙ্গে অংশীদার হও তবে তারা তোমাদের ভাই। আর আল্লাহ্ হিতকারীদের থেকে ফেসাদকারীদের জানেন । আর আল্লাহ্ যদি ইচ্ছা করতেন তবে নিশ্চয়ই তোমাদের বিপন্ন করতে পারতেন। নিঃসন্দেহ আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '228','chapter_id' => '2','translator_id' => '2','verse_number' => '221','translate_name' => 'আর মুশরিক নারীদের বিয়ে করো না যে পর্যন্ত না তারা ঈমান আনে । আর নিঃসন্দেহ একজন মুমিন দাসীও একজন মুশরিক নারীর চেয়ে ভালো, যদিও বা সে তোমাদের মোহিত করে দেয়। আর বিয়ে দিয়ো না মুশরিকদের সাথে যে পর্যন্ত না তারা ঈমান আনে, কেননা নিঃসন্দেহ একজন মুমিন গোলামও একজন মুশরিকের চেয়ে উত্তম, যদিও সে তোমাদের তাজ্জব করে দেয়। এই সব আমন্ত্রণ করে আগুনের প্রতি, আর আল্লাহ্ আহ্বান করেন বেহেশতের দিকে এবং পরিত্রাণের দিকে তাঁর নিজ ইচ্ছায়, আর তিনি মানুষের জন্য তাঁর নির্দেশাবলী সুস্পষ্ট করে দেন যেন তারা মনোযোগ দেয়।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '229','chapter_id' => '2','translator_id' => '2','verse_number' => '222','translate_name' => 'তারা তোমাকে ঋতুস্রাব সন্বন্ধে জিজ্ঞাসা করছে। বলো -- \'\'ইহা অনিষ্টকর, কাজেই ঋতুকালে স্ত্রীদের থেকে আলাদা থাকবে, এবং তাদের নিকটবর্তী হয়ো না যে পর্যন্ত না তারা পরিস্কার হয়ে যায়। তারপর যখন তারা নিজেদের পরিস্কার করে নেয় তখন তাদের সঙ্গে মিলিত হও যেভাবে আল্লাহ্ তোমাদের আদেশ দিয়েছেন।’’ নিঃসন্দেহ আল্লাহ্ ভালোবাসেন তাদের যারা তাঁর দিকে ফেরে, আর তিনি ভালবাসেন পরিচ্ছন্নতা রক্ষাকারীদের।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '230','chapter_id' => '2','translator_id' => '2','verse_number' => '223','translate_name' => 'তোমাদের স্ত্রীরা তোমাদের জন্য এক ক্ষেতখামার। সুতরাং তোমরা যখন-যেমন ইচ্ছে কর তোমাদের ক্ষেতখামারে গমন করো। আর তোমাদের নিজেদের জন্যে অগ্রিম ব্যবস্থা অবলন্বন করো। আর আল্লাহ্‌কে ভয়-ভক্তি করবে, আর জেনে রেখো -- নিশ্চয় তাঁর সঙ্গে তোমাদের মোলাকাত হবে। আর সুসংবাদ দাও মুমিনদের।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '231','chapter_id' => '2','translator_id' => '2','verse_number' => '224','translate_name' => 'আর আল্লাহ্‌কে প্রতিবন্ধক বানিয়ো না তোমাদের শপথের দ্বারা তোমাদের ভালো কাজ করার বেলা ও ভয়ভক্তি দেখাতে, ও লোকদের মধ্যে শান্তি প্রতিষ্ঠার ক্ষেত্রে। আর আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '232','chapter_id' => '2','translator_id' => '2','verse_number' => '225','translate_name' => 'আল্লাহ্ তোমাদের পাকড়াবেন না তোমাদের শপথগুলোর মধ্যে যা খেলো, কিন্তু তিনি তোমাদের পাকড়াও করবেন যা তোমাদের হৃদয় অর্জন করেছে। আর আল্লাহ্ ত্রাণকর্তা, পরম সহিষ্ণু।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '233','chapter_id' => '2','translator_id' => '2','verse_number' => '226','translate_name' => 'যারা তাদের স্ত্রীদের থেকে \'\'ইলা’’ করে, চার মাসকাল অপেক্ষা করতে হবে, কিন্তু তারা যদি ফিরে যায়, তা হলে আল্লাহ্ নিশ্চয় ত্রাণকর্তা, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '234','chapter_id' => '2','translator_id' => '2','verse_number' => '227','translate_name' => 'আর যদি তারা সিদ্ধান্ত নিয়ে থাকে তালাকের, তবে নিঃসন্দেহ আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '235','chapter_id' => '2','translator_id' => '2','verse_number' => '228','translate_name' => 'আর তালাকপ্রাপ্তা নারীরা নিজেদের প্রতীক্ষায় রাখবে তিন ঋতুকাল। আর তাদের জন্য বৈধ হবে না লুকিয়ে রাখা যা আল্লাহ্ তাদের গর্ভে সৃষ্টি করেছেন, যদি তারা আল্লাহ্‌তে ও শেষ দিনে ঈমান আনে। আর তাদের স্বামীদের অধিকতর হক্ আছে তাদের ইতিমধ্যে ফিরিয়ে নেবার, যদি তারা মিটমাট করতে চায়। আর স্ত্রীদের তেমন অধিকার আছে যেমন আছে তাদের উপরে ন্যায়সঙ্গতভাবে। অবশ্য পুরুষদের অবস্থান তাদের কিছুটা উপরে। আর আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী!','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '236','chapter_id' => '2','translator_id' => '2','verse_number' => '229','translate_name' => 'তালাক দুইবার, তারপর পুরোদস্তুর রক্ষণ নয়ত সুন্দরভাবে বিদায় দান। আর তোমাদের জন্য বৈধ নয় তাদের যা দিয়েছ তা থেকে কিছু ফিরিয়ে নেয়া, যদি না দুজনেই আশঙ্কা করে যে আল্লাহ্‌র নির্দেশিত সীমা কায়েম রাখা তাদের পক্ষে সম্ভবপর নয়। কিন্তু তোমরা যদি আশঙ্কা কর যে তারা আল্লাহ্‌র গন্ডির ভেতরে কায়েম থাকতে পারবে না, তা হলে তাদের জন্যে অপরাধ হবে না যার বিনিময়ে সে মুক্ত হতে চায়। এইসব হচ্ছে আল্লাহ্‌র নির্দেশিত গন্ডি, অতএব এ-সব লঙ্ঘন করো না, আর যারা আল্লাহ্‌র গন্ডি লঙ্ঘন করে তারা নিজেরাই হচ্ছে অন্যায়কারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '237','chapter_id' => '2','translator_id' => '2','verse_number' => '230','translate_name' => 'তারপর যদি সে তাকে তালাক দেয় তবে এরপর সে তার জন্য বৈধ হবে না যে পর্যন্ত না সে অন্য স্বামীকে বিবাহ করে। এখন যদি সেও তাকে তালাক দিয়ে দেয় তাহলে তাদের উভয়ের অপরাধ হবে না যদি তারা পরস্পরের কাছে ফিরে আসে, -- যদি তারা বিবেচনা করে যে তারা আল্লাহ্‌র গন্ডির মধ্যে থাকতে পারবে। আর এগুলো হচ্ছে আল্লাহ্‌র নির্দেশিত সীমা, -- তিনি তা সুস্পষ্ট করে দেন সেই লোকদের জন্য যারা জানে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '238','chapter_id' => '2','translator_id' => '2','verse_number' => '231','translate_name' => 'আর যখন স্ত্রীদের তালাক দাও, আর তারা তাদের ইদ্দত পূর্ণ করে, তারপর হয় তাদের রাখবে সদয়ভাবে, নয় তাদের মুক্তি দেবে সদয়ভাবে। আর তাদের আটকে রেখো না ক্ষতি করার জন্যে, -- যার ফলে তোমরা সীমা লঙ্ঘন করবে, আর যে তাই করে সে নিশ্চয় তার নিজের প্রতি অন্যায় করে। আর আল্লাহ্‌র প্রত্যাদেশকে তামাশার বস্তু করে নিয়ো না, আর স্মরণ করো তোমাদের উপরে আল্লাহ্‌র নিয়ামত ও তোমাদের কাছে যা তিনি অবতারণ করেছেন কিতাব ও হিক্‌মত, যার দ্বারা তিনি তোমাদের উপদেশ দিচ্ছেন। আর আল্লাহ্‌কে ভয়ভক্তি করবে, আর জেনে রেখো -- নিশ্চয় আল্লাহ্ সব-কিছু সম্পর্কে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '239','chapter_id' => '2','translator_id' => '2','verse_number' => '232','translate_name' => 'আর যখন তোমরা স্ত্রীদের তালাক দাও, আর তারা তাদের ইদ্দত পূর্ণ করে, তখন তাদের বাধা দিয়ো না তাদের স্বামীদের বিয়ে করতে, যদি তারা নিজেদের মধ্যে রাজী হয় সঙ্গতভাবে। এইভাবে এরদ্বারা উপদেশ দেয়া হচ্ছে তোমাদের মধ্যে তাকে যে আল্লাহ্‌তে ও শেষ দিনে ঈমান আনে। এইটি তোমাদের জন্য অধিকতর পরিচ্ছন্ন ও পবিত্রতর। আর আল্লাহ্ জানেন অথচ তোমরা জানো না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '240','chapter_id' => '2','translator_id' => '2','verse_number' => '233','translate_name' => 'আর মায়েরা নিজ সন্তানদের পুরো দু’বছর স্তন্য খেতে দেবে, -- যে চায় স্তন্যদান পুরো করতে। তার পিতার উপরে দায়িত্ব তাদের খাওয়ানো ও পরানো ন্যায়সঙ্গতরূপে। কোনো লোকেরই উচিত নয় এমন দায়িত্ব আরোপ করা যা তার ক্ষমতার অতিরিক্ত। মাতাকেও যেন সন্তানের জন্য ক্ষতিগ্রস্ত হতে না হয়, আর যার রসে সন্তান জন্মেছে তাকেও যেন নিজের সন্তানের দরুন, আর উত্তরাধিকারীর উপরে দায়িত্ব তার অনুরূপ করা। কিন্তু যদি দুজনেই ইচ্ছা করে মাই ছাড়াতে, উভয়ের মধ্যে সম্মতিক্রমে এবং পরামর্শক্রমে, তবে তাদের কোনো অপরাধ হবে না। আর যদি তোমরা চাও তোমাদের সন্তানদের জন্য ধাইমা নিযুক্ত করতে, তাতেও তোমাদের কোনো অপরাধ হবে না যে পর্যন্ত তোমরা রাজী থাকো যা তোমরা পুরোদস্তুর প্রদান করবে। আর আল্লাহ্‌কে ভয়ভক্তি করবে, আর জেনে রেখো -- নিঃসন্দেহ তোমরা যা করো আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '241','chapter_id' => '2','translator_id' => '2','verse_number' => '234','translate_name' => 'আর তোমাদের মধ্যে যারা মারা যায় ও রেখে যায় স্ত্রীদের, তারা নিজেদের অপেক্ষায় রাখবে চার মাস ও দশ। তারপর তারা যখন তাদের সময়ের মোড়ে পৌঁছে যায় তখন তোমাদের কোনো অপরাধ হবে না যা তারা নিজেদের জন্য করে ন্যায়সঙ্গতভাবে। আর তোমরা যা কর সে-সন্বন্ধে আল্লাহ্ ওয়াকিবহাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '242','chapter_id' => '2','translator_id' => '2','verse_number' => '235','translate_name' => 'আর তোমাদের উপরে অপরাধ হবে না তোমরা নারীদের বিবাহের প্রস্তাবে যা আভাসে ইঙ্গিতে প্রকাশ কর, অথবা গোপন রাখো তোমাদের অন্তরে। আল্লাহ্ জানেন যে তোমরা তাদের স্মরণ করবে, কিন্তু ভদ্রভাবে কথাবার্তা বলা ছাড়া গোপনে তাদের সাথে ওয়াদা করো না, আর বিবাহবন্ধন পাকাপাকি করো না যে পর্যন্ত না তাদের নির্ধারিত সময়সীমা পেছোঁয়! আর জেনে রেখো -- আল্লাহ্ নিশ্চয়ই জানেন যা তোমাদের অন্তরে আছে, অতএব তাঁর সম্পর্কে সতর্ক হও, আর জেনে রেখো যে নিঃসন্দেহ আল্লাহ্ ত্রানকর্তা, পরম সহিষ্ণু।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '243','chapter_id' => '2','translator_id' => '2','verse_number' => '236','translate_name' => 'তোমাদের অপরাধ হবে না যদি তোমরা তালাক দাও স্ত্রীদের যাদের এখনও তোমরা স্পর্শ করো নি বা দেয় যাদের জন্য ধার্য করো নি। আর তাদের জন্য ব্যবস্থা করো, ধনবানের ক্ষেত্রে তার সামর্থ্য অনুসারে ও অভাবীর ক্ষেত্রে তার সামর্থ্য অনুসারে, ব্যবস্থা হবে পুরোদস্তুরভাবে। সৎকর্মীদের জন্য একটি কর্তব্য।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '244','chapter_id' => '2','translator_id' => '2','verse_number' => '237','translate_name' => 'কিন্তু যদি তোমরা তাদের তালাক দাও তাদের স্পর্শ করার আগে এবং ইতিমধ্যে দেয় তাদের জন্য ধার্য করে ফেলেছ, যা ধার্য করেছ তার অর্ধেক, যদি না তারা মাফ করে দেয় অথবা তারা মাফ করে দেয় যাদের হাতে রয়েছে বিবাহ-গ্রন্থি। আর যদি তোমরা দাবি ছেড়ে দাও তবে তা ধর্মপরায়ণতার অধিকতর নিকটবর্তী। আর তোমাদের পরস্পরের মধ্যে সদয়তা ভুলে যেয়ো না। নিঃসন্দেহ তোমরা যা করো আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '245','chapter_id' => '2','translator_id' => '2','verse_number' => '238','translate_name' => 'হেফাজত করো নামাযগুলোর, বিশেষ করে সর্বোৎকৃষ্ট নামায, আর তোমরা খাড়া থেকো আল্লাহ্‌র উদ্দেশ্যে পরম বিনয়ে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '246','chapter_id' => '2','translator_id' => '2','verse_number' => '239','translate_name' => 'কিন্তু যদি তোমরা আশঙ্কা কর তবে পায়ে চলে বা ঘোড়ায় চড়ে, কিন্তু যখন তোমরা নিরাপত্তা বোধ কর তখন আল্লাহ্‌কে স্মরণ করো যে ভাবে তিনি তোমাদের শিখিয়েছেন -- যা তোমরা ইতিপূর্বে জানতে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '247','chapter_id' => '2','translator_id' => '2','verse_number' => '240','translate_name' => 'আর তোমাদের মধ্যে যারা মারা যায় এবং রেখে যায় স্ত্রীদের, তাদের স্ত্রীদের জন্য এক বছরের ভরণ-পোষণের ওসিয়ৎ হওয়া চাই, তাদের বহিস্কার না ক’রে, কিন্তু তারা যদি চলে যায় তবে তোমাদের উপরে অপরাধ হবে না যা তারা নিজেদের ব্যাপারে সুসঙ্গতভাবে করে। আর আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '248','chapter_id' => '2','translator_id' => '2','verse_number' => '241','translate_name' => 'আর তালাক দেয়া নারীদের জন্যে ব্যবস্থা চাই পুরোদস্তুর মতে, ধর্মপরায়ণদের জন্য একটি কর্তব্য।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '249','chapter_id' => '2','translator_id' => '2','verse_number' => '242','translate_name' => 'এইভাবে আল্লাহ্ তোমাদের জন্য তাঁর বাণীসমূহ সুস্পষ্ট করে দিয়েছেন যেন তোমরা বুঝতে পার।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '250','chapter_id' => '2','translator_id' => '2','verse_number' => '243','translate_name' => 'তুমি কি তাদের বিষয়ে ভাব নি যারা তাদের বাড়িঘর থেকে বেরিয়ে এসেছিল মৃত্যুর ভয়ে, আর তারা হাজারে হাজারে ছিল? তারপর আল্লাহ্ তাদের বললেন -- \'\'তোমরা মরো’’ এরপর তিনি তাদের জীবনদান করলেন। নিঃসন্দেহ আল্লাহ্ অবশ্যই মানুষের প্রতি অশেষ করুণাময়, কিন্তু অধিকাংশ লোকেই শুকুরানা আদায় করে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '251','chapter_id' => '2','translator_id' => '2','verse_number' => '244','translate_name' => 'আর আল্লাহ্‌র রাস্তায় সংগ্রাম করো, আর জেনে রেখো -- নিঃসন্দেহ আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '252','chapter_id' => '2','translator_id' => '2','verse_number' => '245','translate_name' => 'কে আছে যে আল্লাহ্‌কে কর্জ দেবে সর্বাঙ্গসুন্দর ঋণ? তিনি তখন তা বাড়িয়ে দেবেন তার জন্য বহুগুণিত করে। আর আল্লাহ্ গ্রহণ করেন ও তিনি সম্প্রসারণ করেন আর তাঁরই কাছে তোমাদের ফিরিয়ে নেয়া হবে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '253','chapter_id' => '2','translator_id' => '2','verse_number' => '246','translate_name' => 'তুমি কি মূসার পরবর্তীকালে ইসরাইলের বংশধরদের প্রধানদের বিষয়ে ভেবে দেখ নি, যখন তারা তাদের নবীকে বলেছিল -- \'\'আমাদের জন্য একজন রাজা উত্থাপন করো যেন আমরা আল্লাহ্‌র পথে লড়তে পারি’’? তিনি বলেছিলেন -- \'\'এমনটা কি তোমাদের হবে যে তোমাদের জন্য যুদ্ধ বিধিবদ্ধ করা হলে তোমরা যুদ্ধ করবে না?’’ তারা বলেছিল -- \'\'আমাদের কী হয়েছে যে আমরা আল্লাহ্‌র পথে যুদ্ধ করবো না যখন আমরা আমাদের বাড়িঘর ও সন্তান-সন্ততি থেকে বিতাড়িত হয়েছি?’’ কিন্তু যখন তাদের জন্য যুদ্ধ বিধিবদ্ধ করা হলো, তারা ফিরে দাঁড়াল তাদের মধ্যের অল্প কয়েকজন ছাড়া। আর আল্লাহ্ অন্যায়কারীদের সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '254','chapter_id' => '2','translator_id' => '2','verse_number' => '247','translate_name' => 'আর তাদের নবী তাদের বলেছিলেন -- \'\'নিশ্চয়ই আল্লাহ্ এখন তোমাদের জন্য তালুতকে রাজা করেছেন।’’ তারা বললে -- \'\'সে কেমন ক’রে আমাদের উপরে রাজত্ব পেতে পারে যখন রাজত্বে তার চাইতে আমাদেরই বেশী দাবী, আর তাকে ধনদৌলতের প্রাচুর্যও প্রদান করা হয় নি? তিনি বললেন -- \'\'নিশ্চয় আল্লাহ্ তাকে মনোনীত করেছেন তোমাদের উপরে, আর তিনি তাকে অগাধভাবে প্রাচুর্যও দিয়েছেন জ্ঞানে ও দেহে। আর আল্লাহ্ তাঁর রাজত্ব দেন যাকে ইচ্ছে করেন, কারণ আল্লাহ্ সর্বব্যাপ্ত, সর্বজ্ঞাতা।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '255','chapter_id' => '2','translator_id' => '2','verse_number' => '248','translate_name' => 'আর তাদের নবী তাদের বলেছিলেন -- \'\'নিঃসন্দেহ তার রাজত্বের লক্ষণ এই যে তোমাদের কাছে আসবে \'তাবুত’ যাতে আছে তোমাদের প্রভুর তরফ থেকে প্রশান্তি, এবং মূসার বংশধরেরা ও হারূনের অনুগামীরা যা ছেড়ে গেছেন তার শ্রেষ্ঠাংশ, -- তা বহন করছে ফিরিশ্‌তারা। নিঃসন্দেহ এতে আছে তোমাদের জন্য নিদর্শন যদি তোমরা বিশ্বাসী হয়ে থাকো।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '256','chapter_id' => '2','translator_id' => '2','verse_number' => '249','translate_name' => 'তারপর তালুত যখন সৈন্যদল নিয়ে অভিযান করলেন তখন বললেন -- \'\'নিশ্চয় আল্লাহ্ তোমাদের পরীক্ষা করবেন একটি নদী দিয়ে; তাই যে কেউ তার থেকে পান করবে সে আমার নয়, আর যে এর স্বাদ গ্রহণ করবে না সে নিঃসন্দেহ আমার, শুধু সে ছাড়া যে তার হাতে কোষ-পরিমাণ পান করে।’’ কিন্তু তাদের অল্প কয়েকজন ছাড়া তারা তা থেকে পান করেছিল। তারপর তিনি যখন উহা পার হয়ে গেলেন, তিনি ও যারা তাঁর সাথে ঈমান এনেছে, তারা বললে -- \'\'আজ আমাদের শক্তি নেই জালুত এবং তার সৈন্যদলের বিরুদ্ধে।’’ যারা নিশ্চিত ছিল যে তারা অবশ্যই আল্লাহ্‌র সাথে মুলাকাত করতে যাচ্ছে, তারা বললে -- \'\'কতবার ছোট দল আল্লাহ্‌র হুকুমে বড় দলকে পরাজিত করেছে, আর আল্লাহ্ অধ্যবসায়ীদের সাথে আছেন’’।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '257','chapter_id' => '2','translator_id' => '2','verse_number' => '250','translate_name' => 'আর যখন তারা জালুতের ও তার সৈন্যদলের মুখোমুখি হলো, তারা বললে -- \'\'আমাদের প্রভু! আমাদের প্রতি অধ্যবসায় বর্ষণ করো, আর আমাদের পদক্ষেপ মজবুত করো, আর অবিশ্বাসী দলের বিরুদ্ধে সাহায্য করো।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '258','chapter_id' => '2','translator_id' => '2','verse_number' => '251','translate_name' => 'অতএব আল্লাহ্‌র হুকুমে তারা তাদের পরাজিত করল, আর দাউদ হত্যা করলেন জালুতকে, আর আল্লাহ্ তাঁকে রাজত্ব ও জ্ঞান দিলেন, আর তাঁকে শেখালেন যা তিনি ইচ্ছা করলেন। আব মানুষদের যদি আল্লাহ্‌র প্রতিহতকরণ না হতো -- তাদের এক দলকে অন্য দলের দ্বারা -- তবে পৃথিবী নিঃসন্দেহ অরাজকতাপূর্ণ হতো। কিন্তু আল্লাহ্ সমস্ত সৃষ্টজগতের প্রতি অশেষ কৃপাময়।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '259','chapter_id' => '2','translator_id' => '2','verse_number' => '252','translate_name' => 'এইসব হচ্ছে আল্লাহ্‌র বাণী, আমরা তোমার কাছে তা পাঠ করছি যথাযথভাবে, আর নিঃসন্দেহ তুমি রসূলদের অন্যতম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '260','chapter_id' => '2','translator_id' => '2','verse_number' => '253','translate_name' => 'এইসব রসূল -- তাঁদের কাউকে আমরা অপর কারোর উপরে শ্রেষ্ঠত্ব দিয়েছি। তাঁদের মধ্যে কারোর সাথে আল্লাহ্ কথা বলছেন এবং তাঁদের কাউকে তিনি বহুস্তর উন্নত করেছেন। আর আমরা মরিয়মের পুত্র ঈসাকে দিয়েছিলাম স্পষ্ট প্রমাণাবলী, আর আমরা তাঁকে বলীয়ান করি রূহুল ক্কুদুস্ দিয়ে। আর আল্লাহ্ যদি ইচ্ছা করতেন তবে তাঁদের পরবর্তীরা পরস্পর বিবাদ করতো না তাদের কাছে স্পষ্ট প্রমাণাবলী আসার পরেও, কিন্তু তারা মতবিরোধ করলো, কাজেই তাদের মধ্যে কেউ ঈমান আনলো ও তাদের কেউ অবিশ্বাস পোষণ করলো। কিন্তু আল্লাহ্ যদি ইচ্ছা করতেন তবে তারা পরস্পর লড়াই করতো না, কিন্তু আল্লাহ্ যা ইচ্ছা করেন তাই করে থাকেন।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '261','chapter_id' => '2','translator_id' => '2','verse_number' => '254','translate_name' => 'ওহে যারা ঈমান এনেছ! আমরা তোমাদের যা রিযেক দিয়েছি তা থেকে তোমরা খরচ করো সেই দিন আসবার আগে যে দিন দরদস্তুর করা চলবে না, বা বন্ধুত্ব থাকবে না বা সুপারিশ টিকবে না। আর অবিশ্বাসীরা -- তারাই অন্যায়কারী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '262','chapter_id' => '2','translator_id' => '2','verse_number' => '255','translate_name' => 'আল্লাহ্ -- তিনি ছাড়া অন্য উপাস্য নেই, -- চিরজীবন্ত, সদা-বিদ্যমান, তন্দ্রা তাঁকে অভিভূত করতে পারে না, নিদ্রাও নয়। তাঁরই হচ্ছে যা-কিছু আছে মহাকাশমন্ডলে এবং যা-কিছু পৃথিবীতে। কে আছে যে তাঁর দরবারে সুপারিশ করতে পারে তার অনুমতি ছাড়া? তিনি জানেন কি আছে তাদের সামনে এবং কি আছে তাদের পেছনে; আর তাঁর জ্ঞানের কিছুই তারা ধারণা করতে পারে না তিনি যা ইচ্ছা করেন তা ব্যতীত। তাঁর মহাসিংহাসন মহাকাশমন্ডলী ও পৃথিবীতে ব্যাপ্ত; এদের উভয়ের হেফাজত তাঁকে ক্লান্ত করে না, আর তিনি সর্বোচ্চে অধিষ্ঠিত, মহামহিম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '263','chapter_id' => '2','translator_id' => '2','verse_number' => '256','translate_name' => 'ধর্মে জবরদস্তি নেই, নিঃসন্দেহ সত্যপথ ভ্রান্তপথ থেকে সুস্পষ্ট করা হয়ে গেছে। অতএব যে তাগুতকে অস্বীকার করে এবং আল্লাহ্‌তে ঈমান আনে সেই তবে ধরেছে একটি শক্ত হাতল, -- তা কখনো ভাঙবার নয়। আর আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '264','chapter_id' => '2','translator_id' => '2','verse_number' => '257','translate_name' => 'আল্লাহ্ তাদের পৃষ্ঠপোষক যারা ঈমান এনেছে, তিনি অন্ধকার থেকে তাদের আলোতে বের করে আনেন। আর যারা অবিশ্বাস পোষণ করে তাদের পৃষ্ঠপোষক হচ্ছে তাগুত, তারা আলোক থেকে তাদের বের করে অন্ধকারের দিকে নিয়ে যায়। তারাই হচ্ছে আগুনের বাসিন্দা, তারা তাতে থাকবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '265','chapter_id' => '2','translator_id' => '2','verse_number' => '258','translate_name' => 'তুমি কি তার কথা ভেবে দেখো নি যে ইব্রাহীমের সাথে তাঁর প্রভুর সন্বন্ধে ঝগড়া করছিল যেহেতু আল্লাহ্ তাঁকে রাজত্ব দিয়েছিলেন? স্মরণ করো! ইব্রাহীম বলেছিলেন -- \'\'আমার প্রভু তিনি যিনি জীবনদান করেন এবং মৃত্যু ঘটান।’’ সে বলল -- \'\'আমি জীবন দিয়ে রাখতে পারি এবং মৃত্যু ঘটাতে পারি।’’ ইব্রাহীম বলেছিলেন -- \'\'আল্লাহ্ কিন্তু সূর্যকে পূর্বদিক থেকে নিয়ে আসেন তুমি তাহলে তাকে পশ্চিমদিক থেকে নিয়ে এস।’’ এইভাবে সে হেরে গেল যে অবিশ্বাস পোষণ করেছিল। আর আল্লাহ্ জুলুমকারী জাতিকে হেদায়ত করেন না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '266','chapter_id' => '2','translator_id' => '2','verse_number' => '259','translate_name' => 'অথবা, তাঁর কথা যিনি যাচ্ছিলেন এক শহরের পাশ দিয়ে, আর তা ভেঙ্গে পড়েছিল তার ছাদ সহ? তিনি বলেছিলেন -- \'\'কেমন ক’রে আল্লাহ্ একে পুনরুজ্জীবিত করবেন তার মৃত্যুর পরে?’’ এরপর আল্লাহ্ তাঁকে শতবৎসরকাল মৃতবৎ করে রাখলেন, তারপর তিনি তাঁকে পুনরুত্থিত করলেন। তিনি বললেন -- \'\'কত সময় তুমি কাটিয়েছ?’’ তিনি বললেন -- \'\'আমি কাটিয়েছি একটি দিন, বা এক দিনের কিছু অংশ।’’ তিনি বললেন -- \'\'না, তুমি কাটিয়েছ একশত বছর, কাজেই তোমার খাদ্য ও তোমার পানীয়ের দিকে তাকাও, বয়স উহাকে বয়স্ক করে নি, আর তোমার গাধার দিকে তাকাও, আর যেন তোমাকে মানবগোষ্ঠীর জন্য নিদর্শন করতে পারি, আর এই হাড়গুলোর দিকে তাকাও, কেমন ক’রে আমরা সে-সব গুছিয়েছি ও সেগুলোকে মাংস দিয়ে ঢেকেছি।’’ আর যখন তাঁর কাছে পরিস্কার হলো তিনি বললেন -- \'\'আমি এখন জানি যে আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '267','chapter_id' => '2','translator_id' => '2','verse_number' => '260','translate_name' => 'আর স্মরণ করো! ইব্রাহীন বললেন -- \'\'আমার প্রভু! আমাকে দেখাও কেমন করে তুমি মৃতকে জীবিত করো।’’ তিনি বললেন -- \'\'তুমি কি বিশ্বাস করো না?’’ তিনি বললেন,\'\'না, তবে যাতে আমার হৃদয় শান্ত হয়।’’ তিনি বললেন -- \'\'তা হলে পাখীদের চারটি তুমি নাও ও তাদের তোমার প্রতি অনুগত করো, তারপর প্রতিটি পাহাড়ে তাদের এক একটি অংশ স্থাপন করো, তারপর তাদের ডাক দাও, তারা ছুটে আসবে তোমার কাছে। আর জেনে রেখো, নিঃসন্দেহ আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '268','chapter_id' => '2','translator_id' => '2','verse_number' => '261','translate_name' => 'যারা তাদের ধনসম্পত্তি আল্লাহ্‌র পথে খরচ করে তাদের উপমা হচ্ছে একটি শস্যবীজের উপমার ন্যায়, তা উৎপাদন করে সাতটি শিষ, প্রতিটি শিষে থাকে একশত শস্য। আর আল্লাহ্ বহুগুণিত করেন যার জন্য ইচ্ছা করেন, কারণ আল্লাহ্‌, মহাদানশীল সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '269','chapter_id' => '2','translator_id' => '2','verse_number' => '262','translate_name' => 'যারা তাদের ধনসম্পত্তি আল্লাহ্‌র পথে খরচ ক’রে, তারপর যা তারা খরচ করেছে তারা তার পশ্চাদ্ধাবন করে না কৃতজ্ঞতাপাশে আবদ্ধ করতে বা আঘাত হানতে, তাদের জন্য পুরস্কার আছে তাদের প্রভুর দরবারে, কাজেই তাদের উপরে কোনো ভয় নেই, আর তারা নিজেরা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '270','chapter_id' => '2','translator_id' => '2','verse_number' => '263','translate_name' => 'সদয় আলাপ এবং ক্ষমা করা বহু ভালো সেই দানের চেয়ে যাকে অনুসরণ করা হয় উৎপীড়ন দিয়ে। আর আল্লাহ্ স্বয়ং-সমৃদ্ধ, ধৈর্যশীল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '271','chapter_id' => '2','translator_id' => '2','verse_number' => '264','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের দানখয়রাতকে ব্যর্থ করে দিয়ো না কৃতজ্ঞতাপাশে আবদ্ধ করে ও আঘাত হেনে, তার মতো যে তার ধনসম্পত্তি খরচ করে লোকদের দেখানোর জন্যে এবং যে ঈমান আনে না আল্লাহ্‌র প্রতি ও আখেরাতের দিনে। কাজেই তার উদাহরণ হচ্ছে মসৃণ পাথরের উপমার মতো, যার উপরে আছে ধুলোমাটি, তখন তার উপরে নামে ঝড়বৃষ্টি, গতিকে তাকে ফেলে রাখে খালি করে! তারা যা অর্জন করেছে তার কোনো-কিছুর উপরেও তাদের কর্তৃত্ব থকে না। আর আল্লাহ্ অবিশ্বাসী লোকদের হেদায়ত করেন না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '272','chapter_id' => '2','translator_id' => '2','verse_number' => '265','translate_name' => 'আর যারা তাদের ধনদৌলত খরচ করে আল্লাহ্‌র সন্তষ্টি কামনা ক’রে এবং তাদের আ‌ত্মার দৃঢ়প্রত্যয় জন্মাবার জন্যে, তাদের উদাহরণ হচ্ছে টিলার উপরের বাগানের উপমার মতো, যার উপরে নামে বৃষ্টিধারা, তাতে তার ফল দ্বিগুণ হয়ে আসে, আর যদি তাতে বৃষ্টিধারা নাও নামে তবে শিশিরপাত। আর তারা যা করে আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '273','chapter_id' => '2','translator_id' => '2','verse_number' => '266','translate_name' => 'তোমাদের মধ্যে কি কেউ আশা করে যে তার খেজুর ও আঙ্গুরের বাগান হোক, যার নিচে দিয়ে বয়ে চলে ঝরনারাজি, অথচ তার সন্তানরা দুর্বল, এমতাবস্থায় তাকে পাকড়ালো ঘুর্ণিঝড়ে, যাতে রয়েছে আগুনের হলকা, ফলে তা পুড়ে গেল! এইভাবে আল্লাহ্ তোমাদের জন্য তাঁর বাণীসমূহ সুস্পষ্ট করে থাকেন যেন তোমরা চিন্তা করতে পার।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '274','chapter_id' => '2','translator_id' => '2','verse_number' => '267','translate_name' => 'ওহে যারা ঈমান এনেছ! খরচ করো ভালো বিষয়বস্তু যা তোমরা উপার্জন কর, আর যা আমরা তোমাদের জন্য মাটি থেকে উৎপাদন করে থাকি তা থেকে, আর যা নিকৃষ্ট তা থেকে খরচ করতে সংকল্প করো না যখন তোমরা নিজেরা তার গ্রহণকারী হও না, এর প্রতি উপেক্ষা করা ছাড়া। আর জেনে রেখো, নিঃসন্দেহ আল্লাহ্ স্বয়ংসমৃদ্ধ, পরম প্রশংসিত।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '275','chapter_id' => '2','translator_id' => '2','verse_number' => '268','translate_name' => 'শয়তান তোমাদের দরিদ্রতার ধমক দেয়, আর তোমাদের তাড়া করে গর্হিত কাজে, অথচ আল্লাহ্ তোমাদের প্রতি‌শ্রুতি দেন তাঁর কাছ থেকে পরিত্রাণের এবং প্রাচুর্যের। আর আল্লাহ্‌, মহাবদান্য, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '276','chapter_id' => '2','translator_id' => '2','verse_number' => '269','translate_name' => 'তিনি জ্ঞানদান করেন যাকে ইছে করেন, আর যাকে জ্ঞান দেওয়া হয় তাকে অবশ্যই অপার কল্যাণ দেওয়া হয়েছে। আর বোধশক্তির অধিকারী ছাড়া অন্য কেউ বুঝতে পারে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '277','chapter_id' => '2','translator_id' => '2','verse_number' => '270','translate_name' => 'আর দানের জন্য যা-কিছু তোমরা খরচ কর, অথবা ব্রতের মধ্যে যাই তোমরা সংকল্প কর, নিঃসন্দেহ আল্লাহ্ তা জানেন। আর অন্যায়কারীদের জন্য কোনো সাহায্যকারী নেই।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '278','chapter_id' => '2','translator_id' => '2','verse_number' => '271','translate_name' => 'তোমরা যদি দানখয়রাত প্রকাশ কর তবে তা কতো ভালো! আর যদি তা গোপন রেখে দরিদ্রদের দান কর তা হলে তোমাদের জন্য তা আরও মঙ্গলময়! আর তোমাদের গর্হিত ক্রিয়াকর্ম হতে তোমাদের এতে প্রায়শ্চিত হবে। আর তোমরা যা করছো আল্লাহ্ তার ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '279','chapter_id' => '2','translator_id' => '2','verse_number' => '272','translate_name' => 'তাদের হেদায়ত করার দায়িত্ব তোমার উপরে নয়, কিন্তু আল্লাহ্ হেদায়ত করেন যাদের তিনি ইচ্ছা করেন। আর ভালো জিনিসের যা-কিছু তোমরা খরচ কর তা তোমাদের নিজেদের জন্য, আর তোমরা আল্লাহ্‌র সন্তষ্টি লাভের উদ্দেশ্যে ছাড়া খরচ করো না। আর ভালো যা-কিছু তোমরা খরচ কর তা তোমাদের পুরোপুরি প্রদান করা হবে, আর তোমাদের প্রতি অন্যায় করা হবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '280','chapter_id' => '2','translator_id' => '2','verse_number' => '273','translate_name' => 'দরিদ্রদের জন্য যারা আল্লাহ্‌র পথে আটকা পড়ে রয়েছে, -- তারা পৃথিবীতে চলাফেরা করতে অপারগ। অজানা লোকে তাদের ধনী বলে ভাবে তাদের বিরত থাকার দরুন। তুমি তাদের চিনতে পারবে তাদের চেহারাতে। তারা লোকের কাছে ধরনা দিয়ে ভিক্ষা করে না। আর ভালো জিনিসের যা-কিছু তোমরা খরচ করো সে-সন্বন্ধে আল্লাহ্ নিশ্চয় সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '281','chapter_id' => '2','translator_id' => '2','verse_number' => '274','translate_name' => 'যারা তাদের ধনদৌলত দিবারাত্রি গোপনে ও প্রকাশ্যভাবে খরচ করে থাকে, তাদের জন্যে নিজ নিজ পুরস্কার রয়েছে তাদের প্রভুর দরবারে, আর তাদের উপরে কোনো ভয় নেই, আর তারা নিজেরা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '282','chapter_id' => '2','translator_id' => '2','verse_number' => '275','translate_name' => 'যারা সুদ খায় তারা দাঁড়াতে পারে না তার মতো দাঁড়ানো ছাড়া যাকে শয়তান তার স্পর্শের দ্বারা পাতিত করেছে। এমন হবে কেননা তারা বলে -- \'\'ব্যবসা-বাণিজ্য তো সুদী-কারবারের মতোই।’’ কিন্তু আল্লাহ্ বৈধ করেছেন ব্যবসা-বাণিজ্য, অথচ নিষিদ্ধ করেছেন সুদখুরি। অতএব যার কাছে তারা প্রভুর তরফ থেকে এই নির্দেশ এসেছে এবং সে বিরত হয়েছে তার জন্যে যা গত হয়ে গেছে, আর তার ব্যাপার রইল আল্লাহ্‌র কাছে। আর যে ফিরে যায় তারাই হচ্ছে আগুনের বাসিন্দা, এতে তারা থাকবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '283','chapter_id' => '2','translator_id' => '2','verse_number' => '276','translate_name' => 'আল্লাহ্ সুদখুরিকে নিষ্ফল করেছেন, এবং দান-খয়রাতকে অগ্রগামী করেছেন। আর আল্লাহ্ সকল অবিশ্বাসী পাপীকে ভালোবাসেন না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '284','chapter_id' => '2','translator_id' => '2','verse_number' => '277','translate_name' => 'নিঃসন্দেহ যারা ঈমান এনেছে এবং সৎকাজ করে, আর নামায কায়েম করে ও যাকাত দেয়, তাদের জন্যে নিজ নিজ পুরস্কার রয়েছে তাদের প্রভুর দরবারে, আর তাদের উপরে কোনো ভয় নেই, এবং তারা নিজেরা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '285','chapter_id' => '2','translator_id' => '2','verse_number' => '278','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্‌কে ভয়-শ্রদ্ধা করো, আর সুদের বাবদ বকেয়া যা আছে তা ছেড়ে দাও, যদি তোমরা ঈমানদার হও।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '286','chapter_id' => '2','translator_id' => '2','verse_number' => '279','translate_name' => 'কিন্তু যদি তোমরা না করো তবে আল্লাহ্ ও তাঁর রসূলের তরফ থেকে সংগ্রামের ঘোষণা জেনে রেখো। আর যদি তোমরা ফেরো তবে তোমাদের জন্য রইল তোমাদের ধনসম্পত্তির আসলভাগ। অত্যাচার করো না এবং অত্যাচারিতও হয়ো না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '287','chapter_id' => '2','translator_id' => '2','verse_number' => '280','translate_name' => 'আর যদি সে অসচ্ছল অবস্থায় থাকে তবে মূলতবি রাখো যতক্ষণ না সচ্ছলতা আসে। আর যদি দান করে দাও তবে তা তোমাদের জন্য আরো উত্তম, -- যদি তোমরা জানতে।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '288','chapter_id' => '2','translator_id' => '2','verse_number' => '281','translate_name' => 'আর হুশিয়াঁর হও সেই দিন সন্বন্ধে যেদিন তোমাদের ফিরিয়ে আনা হবে আল্লাহ্‌র তরফে, তখন প্রত্যেক লোককে পুরোপুরি প্রতিদান দেয়া হবে যা সে অর্জন করেছে, আর তাদের অন্যায় করা হবে না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '289','chapter_id' => '2','translator_id' => '2','verse_number' => '282','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমরা যখন কোনো লেনদেন নির্দিষ্ট সময়ের জন্য পরস্পরের মধ্যে সম্পাদিত কর তখন তা লিখে রাখো, এবং লেখকজন যেন তোমাদের মধ্যে লিখে রাখুক ন্যাসঙ্গতভাবে, আর লেখক যেন লিখতে অস্বীকার না করে, কেননা আল্লাহ্ তাকে শিখিয়েছেন, কাজেই সে লিখুক। আর যার উপরে দেনার দায় সে বলে যাবে, আর সে তার প্রভু আল্লাহ্‌কে যেন ভয়-ভক্তি করে, এবং তা’ থেকে কোনো কিছু যেন কম না করে। কিন্তু যার উপরে দেনার দায় সে যদি অল্পবুদ্ধি বা জরাগ্রস্ত হয়, অথবা তা বলে যেতে অপারগ হয় তবে তার অভিভাবক বলে যাক ন্যায়সঙ্গতভাবে। আর তোমাদের পুরুষদের মধ্যে থেকে দুইজন সাক্ষীকে সাক্ষী মনোনীত করো। কিন্তু যদি দুইজন পুরুষকে পাওয়া না যায় তবে একজন পুরুষ ও দু’জন মহিলাকে -- তাদের মধ্যে থেকে যাদের তোমরা সাক্ষী মনোনীত কর, যাতে তাদের দুজনের একজন যদি ভুল করে তবে তাদের অন্য একজন মনে করিয়ে দেবে। আর সাক্ষীরা যেন অস্বীকার না করে যখন তাদের ডাকা হয়। আর এটা লিখে নিতে অমনোযোগী হয়ো না -- ছোট হোক বা বড় হোক -- তার মেয়াদ সমেত। এ আল্লাহ্‌র কাছে বেশী ন্যায়সঙ্গত ও সাক্ষ্যের জন্য বেশী নির্ভরযোগ্য, এবং তোমরা যাতে সন্দেহ না করো সেজন্যেও এ সব চাইতে ভালো, তবে হাতের কাছের পণ্যসামগ্রী হলে তোমাদের মধ্যে তার বিনিময়ের ক্ষেত্র ব্যতীত, তখন তোমাদের অপরাধ হবে না যদি তোমরা তা লেখাপড়া না করো। আর সাক্ষী রাখো যখন তোমরা একে অন্যের কাছে বিক্রি করো। আর লেখকজন যেন ক্ষতিগ্রস্ত না হয়, আর সাক্ষীও যেন না হয়। কিন্তু যদি তোমরা কর তবে তা নিশ্চয়ই তোমাদের পক্ষে দুস্কার্য হবে। আর আল্লাহ্‌কে ভয়-ভক্তি করো, কারণ আল্লাহ্ তোমাদের শিখিয়েছেন। আর আল্লাহ্ সব-কিছু সন্বন্দে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '290','chapter_id' => '2','translator_id' => '2','verse_number' => '283','translate_name' => 'আর যদি তোমরা সফরে থাক এবং লেখক না পাও তবে বন্ধক নিতে পার। কিন্তু তোমাদের কেউ যদি অন্যের কাছে বিশ্বাসস্থাপন করে তবে যাকে বিশ্বাস করা হল সে তার আমানত ফেরত দিক, আর তার প্রভু আল্লাহ্‌কে ভয়-ভক্তি করুক। আর সাক্ষ্য গোপন করবে না, কারণ যে তা গোপন করে তার হৃদয় নিঃসন্দেহ পাপপূর্ণ। আর তোমরা যা করো আল্লাহ্ সে-সন্বন্ধে স র্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '291','chapter_id' => '2','translator_id' => '2','verse_number' => '284','translate_name' => 'আল্লাহ্‌রই যা-কিছু আছে মহাকাশমন্ডলে ও যা-কিছু আছে পৃথিবীতে। আর তোমাদের অন্তরে যা আছে তা প্রকাশ করো, বা তা লুকিয়ে রাখো, আল্লাহ্ তার জন্য তোমাদের হিসেব-নিকেশ নেবেন। কাজেই যাকে তিনি ইচ্ছা করবেন পরিত্রাণ করবেন এবং যাকে ইচ্ছা করবেন শাস্তিও দেবেন। আর আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '292','chapter_id' => '2','translator_id' => '2','verse_number' => '285','translate_name' => 'রসূল ঈমান এনেছেন যা তাঁর প্রভুর কাছ থেকে তাঁর কাছে অবতীর্ণ হয়েছে, আর বিশ্বাসীরাও। তারা সবাই ঈমান এনেছে আল্লাহ্‌তে, আর তাঁর ফিরিশ্‌তাগণে, আর তাঁর কিতাবসমূহে, আর তাঁর রসূলগণে, -- \'\'আমরা তাঁর রসূলদের কোনোজনের মধ্যে কোনো পার্থক্য করি না।’’ তারা আরও বলে -- \'\'আমরা শুনি আর আমরা পালন করি, হে আমাদের প্রভু! তোমার পরিত্রাণ, আর তোমারই কাছে গন্তব্যপথ।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '293','chapter_id' => '2','translator_id' => '2','verse_number' => '286','translate_name' => 'আল্লাহ্ কোনো সত্তার উপরে তার ক্ষমতার অতিরিক্ত দায়িত্ব চাপিয়ে দেন না। তার অনুকূলে রয়েছে সে যা-কিছু অর্জন করেছে, আর তার প্রতিকূলে রয়েছে যা-কিছু সে কামিয়েছে। \'\'আমাদের প্রভু, আমাদের পাকড়াও করো না যদি আমরা ভুলে যাই অথবা ভুল করি, হে আমাদের প্রভু! আর আমাদের উপরে তেমন বোঝা চাপিও না যেমন তুমি তা চাপিয়েছিলে তাদের উপরে যারা ছিল আমাদের পূর্ববর্তী, আমাদের প্রভু! আর আমাদের উপরে তেমন ভার তুলে দিয়ো না যার সামর্থ্য আমাদের নেই। অতএব তুমি আমাদের ক্ষমা করে দাও, আর আমাদের তুমি রক্ষা করে রাখো, আর আমাদের প্রতি তুমি করুণা বর্ষণ করো। তুমিই আমাদের পৃষ্ঠপোষক, অতএব অবিশ্বাসিগোষ্ঠীর বিরুদ্ধে আমাদের তুমি সাহায্য করো।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '294','chapter_id' => '3','translator_id' => '2','verse_number' => '1','translate_name' => 'আলিফ, লাম, মীম।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '295','chapter_id' => '3','translator_id' => '2','verse_number' => '2','translate_name' => 'আল্লাহ্‌! তিনি ছাড়া অন্য উপাস্য নেই, -- চিরজীবন্ত, সদা-বিদ্যমান।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '296','chapter_id' => '3','translator_id' => '2','verse_number' => '3','translate_name' => 'তিনি তোমার কাছে এই কিতাব অবতারণ করেছেন সত্যের সাথে, -- এর আগে যা এসেছিল তার সত্যসমর্থনরূপে আর তিনি তওরাত ও ইনজীল অবতারণ করেছিলেন --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '297','chapter_id' => '3','translator_id' => '2','verse_number' => '4','translate_name' => '-- এর আগে, মানুষের জন্য এক একটি পথনির্দেশ হিসেবে, আর তিনি অবতারণ করেছেন এই ফুরকান। নিঃসন্দেহ যারা অবিশ্বাস করে আল্লাহ্‌র বাণীসমূহে, তাদের জন্য রয়েছে ভয়ঙ্কর শাস্তি। আর আল্লাহ্ মহাশক্তিশালী, প্রতিফল দান সুসমর্থ।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '298','chapter_id' => '3','translator_id' => '2','verse_number' => '5','translate_name' => 'নিঃসন্দেহ আল্লাহ্ সম্পর্কে, -- তাঁর কাছে কিছুই লুকানো নেই পৃথিবীতে, আর মহাকাশেও নেই।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '299','chapter_id' => '3','translator_id' => '2','verse_number' => '6','translate_name' => 'তিনিই সেইজন যিনি তোমাদের গড়ে তোলেন জঠরের ভেতরে যেমন তিনি চান। তিনি ছাড়া কোনো উপাস্য নেই, -- মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '300','chapter_id' => '3','translator_id' => '2','verse_number' => '7','translate_name' => 'তিনি সেইজন যিনি তোমার কাছে নাযিল করেছেন এই কিতাব, তার মধ্যে কতকগুলো আয়াত নির্দেশা‌ত্মক -- সেইসব হচ্ছে গ্রন্থের ভিত্তি, আর অপরগুলো রূপক। তবে তাদের বেলা যাদের অন্তরে আছে কুটিলতা তারা অনুসরণ করে এর মধ্যের যেগুলো রূপক, বিরোধ সৃষ্টির কামনায় এবং এর ব্যাখ্যা দেবার প্রচেষ্টায়। আর এর ব্যাখ্যা আর কেউ জানে না আল্লাহ্ ছাড়া। আর যারা জ্ঞানে দৃঢ়প্রতিষ্ঠিত তারা বলে -- \'\'আমরা এতে বিশ্বাস করি, এ-সবই আমাদের প্রভুর কাছ থেকে।’’ আর কেউ মনোযোগ দেয় না কেবল জ্ঞানবান ছাড়া।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '301','chapter_id' => '3','translator_id' => '2','verse_number' => '8','translate_name' => '\'\'আমাদের প্রভু! আমাদের অন্তরকে বিপথগামী করো না আমাদের হেদায়ত করার পরে, আর তোমার নিকট থেকে আমাদের করুণা প্রদান করো। নিঃসন্দেহ তুমি নিজেই পরম বদান্য।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '302','chapter_id' => '3','translator_id' => '2','verse_number' => '9','translate_name' => '\'\'আমাদের প্রভু! অবশ্যই তুমি লোকজনকে সমবেত করতে যাচ্ছো এমন এক দিনের প্রতি যার সন্বন্ধে কোনোও সন্দেহ নেই।’’ নিঃসন্দেহ আল্লাহ্ ধার্য স্থান-কালের কখনো খেলাফ করেন না।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '303','chapter_id' => '3','translator_id' => '2','verse_number' => '10','translate_name' => 'যারা অবিশ্বাস পোষণ করে, নিঃসন্দেহ আর তারা নিজেরাই হচ্ছে আগুনের ইন্ধন --','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '304','chapter_id' => '3','translator_id' => '2','verse_number' => '11','translate_name' => 'ফিরআউনের দলের সংগ্রামের মতো, এবং যারা তাদের পূর্ববর্তীদের অন্তর্ভুক্ত ছিল। তারা আমাদের প্রত্যাদেশসমূহে মিথ্যারোপ করেছিল, তাই আল্লাহ্ তাদের পাকড়াও করেছিলেন তাদের অপরাধের জন্য। আর আল্লাহ্ প্রতিফল দানে কঠোর।','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '305','chapter_id' => '3','translator_id' => '2','verse_number' => '12','translate_name' => 'যারা অবিশ্বাস পোষণ করে তাদের বলো -- \'\'তোমরা শীঘ্রই পরাভূত হবে, আর তোমাদের তাড়িয়ে নেয়া হবে জাহান্নামের দিকে, আর মন্দ সেই বিশ্রামস্থান।’’','created_at' => '2023-12-02 06:47:02','updated_at' => '2023-12-02 06:47:02'),
            array('id' => '306','chapter_id' => '3','translator_id' => '2','verse_number' => '13','translate_name' => 'ইতিপূর্বে তোমাদের জন্য একটি নিদর্শন এসেছিল দুই সৈন্যদলের মুখোমুখি হওয়ায় -- একদল যুদ্ধ করছিল আল্লাহ্‌র পথে, আর অন্য দল অবিশ্বাসী, এরা চোখের দেখায় তাদের দেখেছিল নিজেদের দ্বিগুণ। আর আল্লাহ্ তাঁর সাহায্য দিয়ে মদদ করেন যাকে তিনি ইচ্ছে করেন। নিঃসন্দেহ এতে শিক্ষণীয় বিষয় আছে দৃষ্টিবানদের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '307','chapter_id' => '3','translator_id' => '2','verse_number' => '14','translate_name' => 'মানুষের পক্ষে মনোরম ঠেকে নারীদের সাহচর্যের প্রতি আকর্ষণ, ও সন্তানসন্ততির, ও সোনারূপার জমানো ভান্ডারের, ও সুশিক্ষিত ঘোড়া ও গবাদি-পশুর ও ক্ষেতখামারের। এসব এই দুনিয়ার জীবনের উপকরণ, অথচ আল্লাহ্‌, -- তাঁর কাছে রয়েছে উত্তম নিভৃতে বিশ্রাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '308','chapter_id' => '3','translator_id' => '2','verse_number' => '15','translate_name' => 'বলো -- \'\'তোমাদের কি এ-সবের চাইতে ভালো জিনিসের খবর দেব? যারা সুপথে চলে তাদের জন্য তাদের প্রভুর কাছে রয়েছ বাগানসমূহ, যাদের নীচে দিয়ে বয়ে যাচ্ছে ঝরনারাজি, সেখানে তারা থাকবে চিরকাল, আর পবিত্র সঙ্গিসাথী, আর আল্লাহ্‌র সন্তষ্টি। আর আল্লাহ্ বান্দাদের পর্যবেক্ষক --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '309','chapter_id' => '3','translator_id' => '2','verse_number' => '16','translate_name' => '\'\'যারা বলে -- \'আমাদের প্রভু! আমরা নিশ্চয়ই ঈমান এনেছি, অতএব আমাদের অপরাধ থেকে তুমি আমাদের ত্রাণ করো, আর আগুনের যাতনা থেকে আমাদের রক্ষা করো’।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '310','chapter_id' => '3','translator_id' => '2','verse_number' => '17','translate_name' => '\'\'ধৈর্যশীল, আর সত্যপরায়ণ আর অনুগত, আর দানশীল, আর প্রাতে পরিত্রাণ প্রার্থী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '311','chapter_id' => '3','translator_id' => '2','verse_number' => '18','translate_name' => 'আল্লাহ্ সাক্ষ্য দিচ্ছেন যে তিনি ছাড়া আর কোনো উপাস্য নেই, আর ফিরিশ্‌তারাও, আর জ্ঞানের অধিকারীরা ন্যায়ে অধিষ্ঠিত হয়ে। তিনি ছাড়া কোনো উপাস্য নেই, মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '312','chapter_id' => '3','translator_id' => '2','verse_number' => '19','translate_name' => 'নিঃসন্দেহ আল্লাহ্‌র কাছে ধর্ম হচ্ছে ইসলাম। আর যাদের কিতাব দেয়া হয়েছিল তারা মতভেদ করে নি, শুধু তারা ব্যতীত যাদের কাছে জ্ঞানের বিষয় আসার পরেও নিজেদের মধ্যে ঈর্ষাবিদ্বেষ করেছিল, আর যে কেউ আল্লাহ্‌র নির্দেশের প্রতি অবিশ্বাস পোষণ করে -- নিঃসন্দেহ আল্লাহ্ হিসেব-নিকেশে তৎপর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '313','chapter_id' => '3','translator_id' => '2','verse_number' => '20','translate_name' => 'কিন্তু যদি তারা তোমার সাথে হুজ্জত করে, তবে বলো -- \'\'আমি সম্পূর্ণরূপে আল্লাহ্‌র দিকে আমার মুখ রুজু করেছি, আর যারা আমায় অনুসরণ করে।’’ আর তাদের বলো যাদের কিতাব দেয়া হয়েছে আর নিরক্ষরদের, \'\'তোমরা কি আ‌ত্মসমর্পণ করেছ?’’ অতএব যদি তারা আ‌ত্মসমর্পণ করে তবে অবশ্যই তারা হেদায়তপ্রাপ্ত হবে, আর যদি তারা ফিরে যায় তবে নিঃসন্দেহ তোমার উপরে হচ্ছে পৌঁছে দেয়া। আর আল্লাহ্ বান্দাদের দর্শক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '314','chapter_id' => '3','translator_id' => '2','verse_number' => '21','translate_name' => 'নিঃসন্দেহ যারা আল্লাহ্‌র নির্দেশাবলীতে অবিশ্বাস পোষণ করে, আর নবীদের অন্যায়ভাবে হত্যা করতে যায়, আর মানুষদের মধ্যে যারা ন্যায় প্রতিষ্ঠার নির্দেশ দেয় তাদের হত্যা করতে যায়, -- তাদের তুমি সংবাদ দাও ব্যথাময় যাতনার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '315','chapter_id' => '3','translator_id' => '2','verse_number' => '22','translate_name' => 'এরাই তারা যাদের সব কাজ বৃথা হবে এই দুনিয়াতে ও আখেরাতে, আর তাদের জন্য সাহায্যকারীদের কেউ থাকবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '316','chapter_id' => '3','translator_id' => '2','verse_number' => '23','translate_name' => 'তুমি কি তাদের দিকে চেয়ে দেখো নি যাদের কিতাবের কিছু অংশ দেয়া হয়েছে? তাদের আহ্বান করা হচ্ছে আল্লাহ্‌র কিতাবের দিকে, যেন ইহা তাদের মধ্যে মীমাংসা করতে পারে। তারপর তাদের মধ্যের একটি দল ফিরে গেল, ফলে তারা হল অগ্রাহ্যকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '317','chapter_id' => '3','translator_id' => '2','verse_number' => '24','translate_name' => 'এমন ছিল, কারণ তারা বলে -- \'\'আগুন আমাদের কদাচ স্পর্শ করবে না গুনতির কয়েকটি দিন ছাড়া।’’ আর তাদের ধর্মমতে তারা নিজেদের প্রতারণা করছে তারা যা জালিয়াতি করে চলেছে তার দ্বারা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '318','chapter_id' => '3','translator_id' => '2','verse_number' => '25','translate_name' => 'কাজেই কেমন হবে, যখন আমরা তাদের জমা করবো এমন এক দিনে যার সন্বন্ধে নেই কোনো সন্দেহ, এবং প্রত্যেক সত্ত্বাকে পুরোপুরি প্রতিদান করা হবে যা সে অর্জন করেছে, আর তাদের প্রতি অন্যায় করা হবে না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '319','chapter_id' => '3','translator_id' => '2','verse_number' => '26','translate_name' => 'বলো -- \'\'হে আল্লাহ্‌! সাম্রাজ্যের মালিক! তুমি যাকে ইচ্ছা কর তাকে সাম্রাজ্য প্রদান করো, আবার যার কাছ থেকে ইচ্ছা কর রাজত্ব ছিনিয়ে নাও, আর যাকে খুশী সম্মানিত করো, আবার যাকে খুশী অপমানিত করো, -- তোমার হাতেই রয়েছে কল্যাণ। নিঃসন্দেহ তুমি সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '320','chapter_id' => '3','translator_id' => '2','verse_number' => '27','translate_name' => '\'\'তুমি রাতকে প্রবেশ করাও দিনে, আবার দিনকে প্রবেশ করাও রাতে, আর প্রাণবানদের উদগত করো মৃত থেকে, আবার মৃতকে উদগত করো জীবন্ত থেকে, আর যাকে ইচ্ছা কর বেহিসাব রিযেক দান করো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '321','chapter_id' => '3','translator_id' => '2','verse_number' => '28','translate_name' => 'বিশ্বাসীরা যেন বিশ্বাসীদের বাদ দিয়ে অবিশ্বাসীদের বন্ধুরূপে গ্রহণ না করে। আর যে এমন করবে আল্লাহ্‌র কাছ থেকে কোনো কিছুই থাকবে না, তবে যদি তোমরা তাদের থেকে সতর্কতা স্বরূপ হুশিয়াঁর হতে চাও। আর আল্লাহ্ তোমাদের তাঁর সন্বন্ধে সাবধান করেছেন, আর আল্লাহ্‌র দিকেই শেষ গতি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '322','chapter_id' => '3','translator_id' => '2','verse_number' => '29','translate_name' => 'বলো -- \'\'তোমাদের অন্তরে যা আছে তা লুকিয়ে রাখো, অথবা তা প্রকাশ করো, আল্লাহ্ তা জানেন। আর তিনি জানেন যা-কিছু আছে মহাকাশে ও যা-কিছু পৃথিবীতে। আর আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '323','chapter_id' => '3','translator_id' => '2','verse_number' => '30','translate_name' => 'সেদিন প্রত্যেক সত্ত্বা দেখতে পাবে ভালো যা সে করেছে তা হাজির করা হয়েছে, আর মন্দ যা সে করেছে তাও, সে চাইবে -- তার মধ্যে আর ওর মধ্যে যদি সুদীর্ঘ ব্যবধান থাকতো! কিন্তু আল্লাহ্ তোমাদের সাবধান করছেন তাঁর সন্বন্ধে। আর আল্লাহ্ স্নেহময়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '324','chapter_id' => '3','translator_id' => '2','verse_number' => '31','translate_name' => 'বলো -- \'\'তোমরা যদি আল্লাহ্‌কে ভালোবাস তবে তোমরা আমায় অনুসরণ করো, তা হলে আল্লাহ্ তোমাদের ভালবাসবেন, আর তোমাদের পরিত্রাণ করবেন তোমাদের অপরাধ থেকে। কেননা আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '325','chapter_id' => '3','translator_id' => '2','verse_number' => '32','translate_name' => 'বলো -- \'\'আল্লাহ্‌র আজ্ঞানুবর্তী হও আর রসূলেরও।’’ কিন্তু যদি তারা ফিরে যায়, তবে নিঃসন্দেহ আল্লাহ্ অবিশ্বাসকারীদের ভালোবাসেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '326','chapter_id' => '3','translator_id' => '2','verse_number' => '33','translate_name' => 'আল্লাহ্ নিশ্চয়ই আদম ও নূহ্ ও ইব্রাহীমের বংশধর, আর ইমরানের পরিবারকে মানবগোষ্ঠীর মধ্যে উচ্চ মর্যাদা দিয়েছিলেন,','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '327','chapter_id' => '3','translator_id' => '2','verse_number' => '34','translate_name' => 'এক বংশ পরম্পরা -- একের থেকে তাদের অন্যরা। আর আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '328','chapter_id' => '3','translator_id' => '2','verse_number' => '35','translate_name' => 'স্মরণ করো! ইমরান বংশের একজন স্ত্রীলোক বললে -- \'\'আমার প্রভু! আমার গর্ভে যে আছে তাকে আমি তোমার জন্য মানত করলাম একান্তভাবে, অতএব আমার থেকে কবুল করো, নিঃসন্দেহ তুমি নিজেই সর্বশ্রোতা, সর্বজ্ঞাতা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '329','chapter_id' => '3','translator_id' => '2','verse_number' => '36','translate_name' => 'তারপর যখন সে তাকে প্রসব করলো, সে বললে -- \'\'প্রভু! আমি কিন্তু তাকে প্রসব করলাম একটি কন্যা!’’ আর আল্লাহ্ ভালো জানেন কি সে প্রসব করলো। আর, বেটাছেলে মেয়েছেলের মতো নয়। \'\'আর আমি তার নাম রাখলাম মরিয়ম, আর আমি অবশ্যই তোমার আশ্রয়ে তাকে রাখছি, আর তার সন্তানসন্ততিকেও, ভ্রষ্ট শয়তানের থেকে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '330','chapter_id' => '3','translator_id' => '2','verse_number' => '37','translate_name' => 'অতএব তার প্রভু তাকে কবুল করলেন সুন্দর স্বীকৃতির সাথে, ফলে তাকে বর্ধিত করলেন সুন্দর বর্ধনে, আর তাকে সমর্পণ করলেন যাকারিয়ার অভিভাকত্বে। যখন যাকারিয়া তাকে দেখতে উপাসনাস্থলে প্রবেশ করতেন তিনি তার কাছে দেখতে পেতেন রিযেক। তিনি বললেন -- \'\'হে মরিয়ম! এ তোমার কাছে কোথা থেকে?’’ সে বললে -- \'\'এ আল্লাহ্‌র দরবার থেকে।’’ নিঃসন্দেহ আল্লাহ্ যাকে ইচ্ছে করেন তাকে বেহিসাব রিযেক দান করেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '331','chapter_id' => '3','translator_id' => '2','verse_number' => '38','translate_name' => 'সঙ্গে-সঙ্গে সেইখানেই যাকারিয়া তাঁর প্রভুর কাছে প্রার্থনা করলেন, তিনি বললেন -- \'\'আমার প্রভু! তোমার নিকট থেকে আমাকে একটি উত্তম সন্তান দাও। নিঃসন্দেহ তুমি প্রার্থনার শ্রোতা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '332','chapter_id' => '3','translator_id' => '2','verse_number' => '39','translate_name' => 'ফিরিশ্‌তারা তাঁকে ডেকে বললে আর তিনি তখন উপাসনাস্থলে নামাযে দাঁড়িয়েছিলেন -- \'\'আল্লাহ্ নিশ্চয়ই আপনাকে সুসংবাদ দিচ্ছেন ইয়াহ্‌য়ার, আল্লাহ্‌র বাণীর সত্যতা প্রতিপন্ন করতে, আর সম্মানিত ও চরিত্রবান, আর সাধুপুরুষদের মধ্য থেকে একজন নবী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '333','chapter_id' => '3','translator_id' => '2','verse_number' => '40','translate_name' => 'তিনি বললেন -- \'\'আমার প্রভু! কোথা থেকে আমার ছেলে হতে পারে, যখন ইতিপূর্বেই আমার কাছে বার্ধক্য এসে হাজির হয়েছে, আর আমার স্ত্রী বন্ধ্যা?’’ তিনি বললেন -- \'\'এইভাবেই, -- আল্লাহ্ তাই করেন যা তিনি চান।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '334','chapter_id' => '3','translator_id' => '2','verse_number' => '41','translate_name' => 'তিনি বললেন -- \'\'আমার প্রভু! আমার জন্য একটি নিদর্শন নির্ধারিত করো।’’ তিনি বললেন -- \'\'তোমার নিদর্শন হচ্ছে এই যে তুমি লোকজনের সাথে তিনদিন কথা বলবে না শুধু ইশারাতে ছাড়া, আর তোমার প্রভুকে খুব করে স্মরণ করো নিশাসমাগমে ও ভোরবেলা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '335','chapter_id' => '3','translator_id' => '2','verse_number' => '42','translate_name' => 'আর স্মরণ করো! ফিরিশ্‌তারা বললেন -- \'\'হে মরিয়ম! নিশ্চয়ই আল্লাহ্ তোমাকে নির্বাচন করেছেন, আর তোমায় পবিত্র করেছেন, আর বিশ্বজগতের সব নারীর উপরে তোমায় নির্বাচন করেছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '336','chapter_id' => '3','translator_id' => '2','verse_number' => '43','translate_name' => '\'\'হে মরিয়ম! তোমার প্রভুর অনুগত হয়ে থেকো, আর সিজদা করো ও রুকু করো রুকুকারীদের সাথে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '337','chapter_id' => '3','translator_id' => '2','verse_number' => '44','translate_name' => 'এ হচ্ছে অদৃশ্য বার্তাসমূহের থেকে যে-সব তোমার কাছে আমরা প্রত্যাদিষ্ট করছি। আর তুমি তাদের কাছে ছিলে না যখন তারা তাদের কলম নিক্ষেপ করছিল তাদের মধ্যে কে মরিয়মের ভার নেবে সে সম্পর্কে, আর তুমি তাদের নিকটে ছিলে না যখন তারা পরস্পর বচসা করছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '338','chapter_id' => '3','translator_id' => '2','verse_number' => '45','translate_name' => 'স্মরণ করো! ফিরিশ্‌তারা বললে -- \'\'হে মরিয়ম, নিঃসন্দেহ আল্লাহ্ তোমাকে সুসংবাদ দিচ্ছেন তাঁর তরফ থেকে একটি বাণী দ্বারা -- তাঁর নাম হচ্ছে মসীহ্‌, মরিয়ম-পুত্র ঈসা, ইহকালে ও পরকালে সম্মানের যোগ্য, আর নৈকট্যে আনীতদের অন্তর্গত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '339','chapter_id' => '3','translator_id' => '2','verse_number' => '46','translate_name' => '\'\'আর তিনি লোকদের সাথে কথা বলবেন দোলনায় এবং বার্ধক্যকালে, আর তিনি সুকর্মীদের অন্যতম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '340','chapter_id' => '3','translator_id' => '2','verse_number' => '47','translate_name' => 'তিনি বললেন -- \'\'আমার প্রভু! কোথা থেকে আমার ছেলে হবে যখন পুরুষমানুষ আমায় স্পর্শ করে নি?’’ তিনি বললেন -- \'\'এইভাবেই, -- আল্লাহ্ তাই সৃষ্টি করেন যা তিনি চান। তিনি যখন কোনো বিষয়ে সিদ্ধান্ত করেন, তিনি তখন সে সন্বন্ধে শুধু বলেন -- \'\'হও’’ আর তা হয়ে যায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '341','chapter_id' => '3','translator_id' => '2','verse_number' => '48','translate_name' => '\'\'আর তিনি তাঁকে শেখাবেন কিতাব ও জ্ঞানভান্ডার, আর তওরাত ও ইনজীল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '342','chapter_id' => '3','translator_id' => '2','verse_number' => '49','translate_name' => '\'\'আর ইসরাইল বংশীয়দের জন্য রসূল। \'নিঃসন্দেহ আমি তোমাদের কাছে আসছি তোমাদের প্রভুর কাছ থেকে একটি নিদর্শন নিয়ে, আমি অবশ্যই তোমাদের জন্য মাটি থেকে তৈরি করি পাখির মতো মূর্তি, তারপর তাতে আমি ফুৎকার দিই, তখন সেটি পাখি হয়ে যায় আল্লাহ্‌র ইচ্ছায়। আর আমি আরোগ্য করি অন্ধকে ও কুষ্ঠ রুগীকে, আর আমি জীবন দিই মৃতকে আল্লাহ্‌র ইচ্ছায়। আর আমি তোমাদের খবর দিই যেসব তোমরা খাবে আর যা তোমরা নিজেদের বাড়িতে মজুত রাখো। নিঃসন্দেহ এতে বিশেষ নিদর্শন আছে তোমাদের জন্য যদি তোমরা বিশ্বাসী হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '343','chapter_id' => '3','translator_id' => '2','verse_number' => '50','translate_name' => '\'\'আর তওরাতের যা-কিছু আমার কাছে ছিল আমি তার প্রতিপাদক, আর আমি যাতে তোমাদের জন্য বৈধ করতে পারি কোনো কোনো বিষয় যা তোমাদের জন্য নিষিদ্ধ হয়েছিল, আর আমি তোমাদের কাছে এসেছি তোমাদের প্রভুর কাছ থেকে একটি বাণী নিয়ে, অতএব আল্লাহ্‌কে ভয়-শ্রদ্ধা করো ও আমার অনুগত হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '344','chapter_id' => '3','translator_id' => '2','verse_number' => '51','translate_name' => '\'\'নিঃসন্দেহ আল্লাহ্ আমার প্রভু ও তোমাদেরও প্রভু, অতএব তাঁরই উপাসনা করো, -- এই হচ্ছে সহজ-সঠিক পথ।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '345','chapter_id' => '3','translator_id' => '2','verse_number' => '52','translate_name' => 'কিন্তু যখন ঈসা তাদের মধ্যে অবিশ্বাস বোধ করলেন, তিনি বললেন -- \'\'কারা আল্লাহ্‌র পথে আমার সাহায্যকারী হবে?’’ হাওয়ারীরা বললে -- \'\'আমরা আল্লাহ্‌র সাহায্যকারী হব, আমরা আল্লাহ্‌তে বিশ্বাস করি, আর তুমি সাক্ষ্য দাও যে আমরা হচ্ছি আ‌ত্মসমর্পণকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '346','chapter_id' => '3','translator_id' => '2','verse_number' => '53','translate_name' => '\'\'আমাদের প্রভু! আমরা ঈমান এনেছি তাতে যা তুমি অবতারণ করেছ, আর আমরা রসূলকে অনুসরণ করি, অতএব আমাদের লিখে রাখ সাক্ষ্যদাতাদের সাথে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '347','chapter_id' => '3','translator_id' => '2','verse_number' => '54','translate_name' => 'আর তারা চক্রান্ত করেছিল, আর আল্লাহ্‌ও পরিকল্পনা করেছিলেন। আর আল্লাহ্ পরিকল্পনাকারীদের মধ্যে সর্বোত্তম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '348','chapter_id' => '3','translator_id' => '2','verse_number' => '55','translate_name' => 'স্মরণ করো! আল্লাহ্ বললেন -- \'\'হে ঈসা, আমি নিশ্চয়ই তোমার মৃত্যু ঘটাব, এবং আমি তোমাকে আমার দিকে উন্নীত করবো, আর তোমাকে পরিশোধিত করবো যারা অবিশ্বাস পোষণ করে তাদের থেকে, আর যারা তোমায় অনুসরণ করবে তাদের আমি স্থান দেবো যারা অবিশ্বাস পোষণ করে তাদের উপরে কিয়ামতের দিন পর্যন্ত, এরপর আমারই কাছে তোমাদের প্রত্যাবর্তন স্থান, আর আমি তোমাদের মধ্যে বিচার করবো যে-বিষয়ে তোমরা মতভেদ করছিলে সেই বিষয়ে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '349','chapter_id' => '3','translator_id' => '2','verse_number' => '56','translate_name' => 'অতএব যারা অবিশ্বাস পোষণ করে আমি তাদের শাস্তি দেবো কঠোর শাস্তিতে এই দুনিয়াতে ও পরলোকে, আর তাদের জন্য সাহায্যকারীদের কেউ থাকবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '350','chapter_id' => '3','translator_id' => '2','verse_number' => '57','translate_name' => 'আর যারা ঈমান এনেছে ও সুকর্ম করেছে, তিনি তাদের প্রাপ্য পুরোপরি তাদের দেবেন। আর অন্যায়কারীদের আল্লাহ্ ভালোবাসেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '351','chapter_id' => '3','translator_id' => '2','verse_number' => '58','translate_name' => 'এটিই যা আমি তোমার কাছে বর্ণনা করছি নির্দেশবাণী ও জ্ঞানময় স্মারক থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '352','chapter_id' => '3','translator_id' => '2','verse_number' => '59','translate_name' => 'নিঃসন্দেহ ঈসার দৃষ্টান্ত হচ্ছে আল্লাহ্‌র কাছে আদমের দৃষ্টান্তের মতো। তিনি তাঁকে সৃষ্টি করেছিলেন মাটি থেকে; তারপর তাঁকে বলেছিলেন -- \'\'হও’’ আর তিনি হয়ে গেলেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '353','chapter_id' => '3','translator_id' => '2','verse_number' => '60','translate_name' => 'তোমার প্রভুর কাছ থেকে আসা ধ্রুবসত্য, কাজেই সংশয়ীদের দলভুক্ত হয়ো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '354','chapter_id' => '3','translator_id' => '2','verse_number' => '61','translate_name' => 'অতএব যারা তোমার সাথে এ-বিষয়ে তর্ক করে তোমার কাছে জ্ঞানের যা এসেছে তার পরেও, তাহলে বলো -- \'\'এসো, আমরা ডেকে আনি আমাদের সন্তানদের ও তোমাদের সন্তানদের, আর আমাদের স্ত্রীলোকদের ও তোমাদের স্ত্রীলোকদের, আর আমাদের লোকজনকে ও তোমাদের লোকজনকে, তারপর কাতর প্রার্থনা করি যেন আল্লাহ্‌র অভিশাপ পড়ে মিথ্যাবাদীদের উপরে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '355','chapter_id' => '3','translator_id' => '2','verse_number' => '62','translate_name' => 'নিঃসন্দেহ এই হচ্ছে যথার্থ সত্য বিবৃতি, আর আল্লাহ্ ছাড়া কোনো উপাস্য নেই। আর নিঃসন্দেহ আল্লাহ্‌, অবশ্যই তিনি মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '356','chapter_id' => '3','translator_id' => '2','verse_number' => '63','translate_name' => 'কিন্তু তারা যদি ফিরে যায়, তাহলে আল্লাহ্ ফসাদকারীদের সম্যক জ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '357','chapter_id' => '3','translator_id' => '2','verse_number' => '64','translate_name' => 'বলো -- \'\'হে গ্রন্থপ্রাপ্ত লোকেরা, আমাদের মধ্যে ও তোমাদের মধ্যে পরস্পর সমঝোথার মাঝে এসো, যেন আমরা আল্লাহ্ ছাড়া আর কারো এবাদত করবো না, আর তাঁর সাথে অন্য কিছুকে শরীক করবো না, আর আমরা কেউ আল্লাহ্ ছাড়া অন্য কাউকে মনিব বলে গ্রহণ করবো না।’’ কিন্তু তারা যদি ফিরে যায় তবে বলো -- \'\'সাক্ষী থাকো, আমরা কিন্তু মুসলিম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '358','chapter_id' => '3','translator_id' => '2','verse_number' => '65','translate_name' => 'হে গ্রন্থধারিগণ! তোমরা কেন ইব্রাহীম সন্বন্ধে হুজ্জত করো, অথচ তওরাত ও ইনজীল তাঁর পরে ছাড়া অবতীর্ণ হয় নি? তোমরা কি তাহলে বুঝো না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '359','chapter_id' => '3','translator_id' => '2','verse_number' => '66','translate_name' => 'দেখো! তোমরাই তারা যারা তর্ক করেছ যে-বিষয়ে তোমাদের জ্ঞান ছিল, তবে কেন তোমরা হুজ্জত করছো যে বিষয়ে তোমাদের সম্যক জ্ঞান নেই? আর আল্লাহ্ জানেন, অথচ তোমরা জানো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '360','chapter_id' => '3','translator_id' => '2','verse_number' => '67','translate_name' => 'ইব্রাহীম ইহুদী ছিলেন না, খ্রীষ্টানও নহেন, বরং তিনি ছিলেন ঋজু স্বভাব, মুসলিম, আর তিনি মুশরিকদের অন্তর্ভুক্ত ছিলেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '361','chapter_id' => '3','translator_id' => '2','verse_number' => '68','translate_name' => 'নিঃসন্দেহ ইব্রাহীমের নিকটতম লোক ছিলেন যাঁরা তাঁকে অনুসরণ করে চলতেন, আর এই নবী, আর যারা ঈমান এনেছে। আর আল্লাহ্ বিশ্বাসীদের রক্ষাকারী বন্ধু।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '362','chapter_id' => '3','translator_id' => '2','verse_number' => '69','translate_name' => 'গ্রন্থপ্রাপ্তদের একদল চায় তোমাদের বিপথগামী করতে, আর তারা বিপথে নেয় না নিজেদের ছাড়া অন্য কাউকে, আর তারা উপলব্ধি করতে পারছে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '363','chapter_id' => '3','translator_id' => '2','verse_number' => '70','translate_name' => 'হে গ্রন্থধারিগণ! কেন তোমরা আল্লাহ্‌র নির্দেশে অবিশ্বাস পোষণ করো, যখন তোমরা প্রত্যক্ষদর্শী?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '364','chapter_id' => '3','translator_id' => '2','verse_number' => '71','translate_name' => 'হে গ্রন্থধারিগণ! কেন তোমরা সত্যকে মিথ্যার পোশাক পরিয়ে দিচ্ছ, আর তোমরা জেনেশুনে সত্যকে লুকোচ্ছ?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '365','chapter_id' => '3','translator_id' => '2','verse_number' => '72','translate_name' => 'আর গ্রন্থপ্রাপ্তদের একদল বলে -- \'\'যারা ঈমান এনেছে তাদের কাছে যা নাযিল হয়েছে তাতে তোমরাও বিশ্বাস করো দিনের আগবেলায়, আর তার অপরাহে প্রত্যাখ্যান করো, যাতে তারাও ফিরে যায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '366','chapter_id' => '3','translator_id' => '2','verse_number' => '73','translate_name' => '\'\'তা ছাড়া যে তোমাদের ধর্ম অনুসরণ করে তাকে ছাড়া ঈমান এনো না।’’ তুমি বলো -- \'\'নিঃসন্দেহ হেদায়ত হচ্ছে আল্লাহ্‌র হেদায়ত, কাজেই তোমাদের যা দেয়া হয়েছিল তার মতো অন্যকে দেয়া হয়েছে, অথবা তারা তোমাদের প্রভুর সামনে তোমাদের উপরে প্রভাব বিস্তার করতে পারে।’’ বলো -- \'\'নিঃসন্দেহ মহত্ত্ব আল্লাহ্‌র হাতে ন্যস্ত, তিনি তা দান করেন যাকে পছন্দ ক রেন। আর আল্লাহ্ মহাবদান্য, সর্বজ্ঞাতা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '367','chapter_id' => '3','translator_id' => '2','verse_number' => '74','translate_name' => 'তিনি তাঁর করুণাবশতঃ নির্বাচিত করেন যাকে পছন্দ করেন, আর আল্লাহ্ বিপুল মহিমার অধিকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '368','chapter_id' => '3','translator_id' => '2','verse_number' => '75','translate_name' => 'আর গ্রন্থপ্রাপ্তদের মধ্যে এমন লোক আছে যার কাছে তুমি যদি একগাদা আমানত রাখো সে তোমাকে তা ফিরিয়ে দেবে, আর তাদের মধ্যে এমনও আছে যার কাছে যদি তুমি একটি দিনার গচ্ছিত রাখো সে তোমাকে তা ফিরিয়ে দেবে না, যদি না তুমি তার কাছে দাঁড়িয়ে থাকো। এইরূপ কারণ তারা বলে -- \'\'অক্ষরজ্ঞানহীনদের ব্যাপারে আমাদের কোনো পথ ধরে চলার দায়িত্ব নেই।’’ আর তারা আল্লাহ্ সন্বন্ধে মিথ্যারোপ করে, যদিও তারা জানে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '369','chapter_id' => '3','translator_id' => '2','verse_number' => '76','translate_name' => 'হাঁ, যে কেউ তার অঙ্গীকার পালন করে ও ভয়-ভক্তি বজায় রেখে চলে, নিঃসন্দেহ তখন আল্লাহ্ মুত্তাকীদের ভালোবাসেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '370','chapter_id' => '3','translator_id' => '2','verse_number' => '77','translate_name' => 'নিঃসন্দেহ যারা আল্লাহ্‌র অঙ্গীকার ও তাদের প্রতি‌শ্রুতি স্বল্পমূল্যে বিক্রী করে দেয়, তারা -- পরকালে তাদের জন্য কোনো ভাগ থাকবে না, আর আল্লাহ্ তাদের সঙ্গে কথাও বলবেন না বা তাদের দিকে তাকাবেন না কিয়ামতের দিনে, আর তিনি তাদের শুদ্ধও করবেন না, আর তাদের জন্য থাকছে কঠোর যাতনা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '371','chapter_id' => '3','translator_id' => '2','verse_number' => '78','translate_name' => 'আর নিশ্চয়ই তাদের মধ্যের একদল গ্রন্থপাঠে তাদের জিহ্বাকে পাকিয়ে-বাঁকিয়ে তোলে যেন তোমরা ভাবতে পারো তা গ্রন্থ থেকেই, অথচ তা গ্রন্থ থেকে নয়। আর তারা বলে -- \'\'ইহা আল্লাহ্‌র কাছ থেকে’’ যদিও উহা আল্লাহ্ থেকে নয়। আর তারা আল্লাহ্ সন্বন্ধে মিথ্যাকথা বলে, যদিও তারা জানে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '372','chapter_id' => '3','translator_id' => '2','verse_number' => '79','translate_name' => 'কোনো মানবের জন্য এটি উচিত নয় যে আল্লাহ্ তাকে কিতাব, নির্দেশনামা ও নবুওৎ দেবেন, তারপর সে লোকদের বলবে -- “তোমরা আল্লাহ্‌কে ছেড়ে আমার উপাসনাকারী হও”, বরং -- \'\'তোমরা রব্বানী হও, কেননা তোমরা কিতাব শিক্ষা দিয়ে যাচ্ছিলে ও অনুশীলন করে চলছিলে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '373','chapter_id' => '3','translator_id' => '2','verse_number' => '80','translate_name' => 'আর সে তোমাদের আদেশ করবে না যে তোমরা ফিরিশ্‌তাদের ও নবীদের প্রভুরূপে গ্রহণ করবে। সে কি তোমাদের আদেশ করবে অবিশ্বাসের দিকে, তোমরা মুসলিম হবার পরে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '374','chapter_id' => '3','translator_id' => '2','verse_number' => '81','translate_name' => 'আর স্মরণ করো! আল্লাহ্ নবীদের মাধ্যমে অঙ্গীকার করেছিলেন -- \'\'নিঃসন্দেহ আমি তোমাদের কিতাব ও জ্ঞান ভান্ডার থেকে প্রদান করেছি, তারপর তোমাদের কাছে একজন রসূল আসবেন তোমাদের কাছে যা আছে তা প্রতিপাদন করেচ তোমরা নিশ্চয়ই তাঁর প্রতি ঈমান আনবে আর নিশ্চয় তাঁকে সাহায্য করবে।’’ তিনি বলেছিলেন -- \'\'তোমরা কি স্বীকার করলে ও এই ব্যাপারে আমার শর্ত গ্রহণ করলে?’’ তারা বলেছিল -- \'\'আমরা স্বীকার করলাম।’’ তিনি বললেন -- \'\'তবে তোমরা সাক্ষী থেকো, আর আমিও তোমাদের সাথে সাক্ষ্যদাতাদের অন্যতম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '375','chapter_id' => '3','translator_id' => '2','verse_number' => '82','translate_name' => 'অতএব যে কেউ এরপর ফিরে যায়, তা হলে তারা নিজেরাই হচ্ছে পাপাচারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '376','chapter_id' => '3','translator_id' => '2','verse_number' => '83','translate_name' => 'তারা কি তবে আল্লাহ্‌র ধর্ম ছাড়া আর কিছু খুজঁছে? আর তাঁর প্রতি আ‌ত্মসমর্পণ করছে যে কেউ আছে মহাকাশমন্ডলে ও পৃথিবীতে -- স্বেচ্ছায় অথবা অনিচ্ছায়; আর তাঁর কাছেই তাদের ফিরিয়ে আনা হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '377','chapter_id' => '3','translator_id' => '2','verse_number' => '84','translate_name' => 'তুমি বলো -- \'\'আমরা বিশ্বাস করি আল্লাহ্‌তে আর যা আমাদের কাছে অবতীর্ণ হয়েছে, আর যা নাযিল হয়েছিল ইব্রাহীম ও ইসমাইল ও ইসহাক ও ইয়াকুব ও গোত্রদের কাছে, আর যা দেওয়া হয়েছিল মূসাকে ও ঈসাকে ও নবীদের তাঁদের প্রভুর তরফ থেকে। আমরা তাঁদের কোনো একজনের মধ্যেও পার্থক্য করি না, আর তাঁরই কাছে আমরা আ‌ত্মসমর্পণকারী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '378','chapter_id' => '3','translator_id' => '2','verse_number' => '85','translate_name' => 'আর যে কেউ ইসলাম পরিত্যাগ করে অন্য কোনো ধর্ম অনুসরণ করে তা হলে তার কাছ থেকে কখনো তা কবুল করা হবে না। আর আখেরে সে হবে ক্ষতিগ্রস্তদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '379','chapter_id' => '3','translator_id' => '2','verse_number' => '86','translate_name' => 'আল্লাহ কেমন করে হেদায়ত করবেন সেই লোকদের যারা অবিশ্বাস পোষণ করে তাদের বিশ্বাস স্থাপনের পরেও, আর এই সাক্ষ্য দেবার পরেও যে এই রসূল সত্য, আর স্পষ্ট প্রমাণাবলী তাদের কাছে আসবার পরেও? আর অন্যায়কারী দলকে আল্লাহ্ হেদায়ত করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '380','chapter_id' => '3','translator_id' => '2','verse_number' => '87','translate_name' => 'এরাই -- এদের প্রাপ্য এই যে এদের উপরে লানৎ হোক আল্লাহ্‌র ও ফিরিশ্‌তাদের ও মানুষের সম্মিলিতভাবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '381','chapter_id' => '3','translator_id' => '2','verse_number' => '88','translate_name' => 'এতে তারা অবস্থান করবে। তাদের উপর থেকে যাতনা লাঘব করা হবে না, আর তারা বিরামও পাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '382','chapter_id' => '3','translator_id' => '2','verse_number' => '89','translate_name' => 'তারা ছাড়া যারা এরপর তওবা করে ও সংশোধন করে, কাজেই আল্লাহ্ নিঃসন্দেহ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '383','chapter_id' => '3','translator_id' => '2','verse_number' => '90','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে তাদের বিশ্বাস স্থাপনের পরে, তারপর অবিশ্বাস বাড়িয়ে নিয়ে যায়, তাদের তওবা কখনো কবুল করা হবে না; আর এরা নিজেরাই হচ্ছে পথভ্রষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '384','chapter_id' => '3','translator_id' => '2','verse_number' => '91','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে আর মারা যায় তারা অবিশ্বাসী থাকা অবস্থায়, তা হলে তাদের কোনো একজনের কাছ থেকে পৃথিবী ভরা সোনাও গ্রহণ করা হবে না, যদি সে তাই দিয়ে মুক্তি পেতে চায়। এরাই -- এদের জন্য ব্যথাদায়ক শাস্তি, আর এদের থাকবে না কোনো সাহায্যকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '385','chapter_id' => '3','translator_id' => '2','verse_number' => '92','translate_name' => 'তোমরা কখনো ধর্মনিষ্ঠ হতে পারবে না যে পর্যন্ত না তোমরা ব্যয় করো যা তোমরা ভালোবাস তা থেকে। আর তোমরা যে বস্তুই খরচ করবে, নিঃসন্দেহ আল্লাহ্ সে-সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '386','chapter_id' => '3','translator_id' => '2','verse_number' => '93','translate_name' => 'সব রকম খাদ্য বৈধ ছিল ইসরাইলের বংশধরদের জন্যেও, -- সে-সব ছাড়া যা তওরাত অবতীর্ণ হবার আগে ইসরাইল নিজের জন্য নিষিদ্ধ করেছিল। বলো -- \'\'তা হলে তওরাত নিয়ে এস আর তা পড়ো, যদি তোমরা সত্যবাদী হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '387','chapter_id' => '3','translator_id' => '2','verse_number' => '94','translate_name' => 'অতএব যে কেউ এরপর আল্লাহ্‌র বিরুদ্ধে মিথ্যারোপ করে, তাহলে তারা নিজেরাই হচ্ছে অন্যায়কারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '388','chapter_id' => '3','translator_id' => '2','verse_number' => '95','translate_name' => 'বলো -- \'\'আল্লাহ্ সত্যকথা বলেন, কাজেই ঋজুস্বভাব ইব্রাহীমের ধর্ম অনুসরণ করো, আর তিনি বহুখোদাবাদীদের অন্তর্ভুক্ত ছিলেন না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '389','chapter_id' => '3','translator_id' => '2','verse_number' => '96','translate_name' => 'নিঃসন্দেহ মানবজাতির জন্য প্রথম যে ভোজনালয় প্রতিষ্ঠা হয়েছিল তা হচ্ছে বাক্কাতে, -- অশেষ কল্যাণময়, আর সব মানবগোষ্ঠীর জন্য পথপ্রদর্শক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '390','chapter_id' => '3','translator_id' => '2','verse_number' => '97','translate_name' => 'এতে আছে সুস্পষ্ট নিদর্শনাবলী -- মক্কামে ইব্রাহীম; আর যে কেউ এখানে প্রবেশ করবে সে হচ্ছে নিরাপদ, আর আল্লাহ্‌র উদ্দেশ্যে এই গৃহে হজ করা মানবগোষ্ঠীর জন্য আবশ্যিক -- যারই সেখানকার পাথেয় অর্জনের ক্ষমতা আছে। আর যে অবিশ্বাস পোষণ করে -- তাহলে নিঃসন্দেহ আল্লাহ্ সমস্ত সৃষ্ট জগতের থেকে স্বয়ং-সম্পূর্ণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '391','chapter_id' => '3','translator_id' => '2','verse_number' => '98','translate_name' => 'বলো -- \'\'হে গ্রন্থপ্রাপ্ত লোকেরা! কেন তোমরা আল্লাহ্‌র নির্দেশাবলীতে অবিশ্বাস পোষণ করো, অথচ আল্লাহ্ সাক্ষী রয়েছেন তোমরা যা করো তার?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '392','chapter_id' => '3','translator_id' => '2','verse_number' => '99','translate_name' => 'বলো -- \'\'হে গ্রন্থধারিগণ! কেন তোমরা যারা ঈমান এনেছে তাদের আল্লাহ্‌র পথ থেকে প্রতিরোধ করো, তোমরা তার বক্রতা খোঁজো, অথচ তোমরা সাক্ষী রয়েছ?’’ আর আল্লাহ্ গাফিল নন তোমরা যা করো সে-সন্বন্ধে মুসলিমদের বিরুদ্ধাচরণ করার কারসাজি আল্লাহ্‌র অগোচর থাকছে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '393','chapter_id' => '3','translator_id' => '2','verse_number' => '100','translate_name' => 'ওহে যারা ঈমান এনেছ! যাদের কিতাব দেয়া হয়েছে তাদের কোনো এক দলের অনুবর্তী যদি তোমরা হও, তারা তোমাদের ফিরিয়ে নেবে অবিশ্বাসীদের দলে তোমাদের ঈমান আনার পরেও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '394','chapter_id' => '3','translator_id' => '2','verse_number' => '101','translate_name' => 'কিন্তু কেমন করে তোমরা অবিশ্বাস পোষণ করো যখন তোমাদেরই কাছে আল্লাহ্‌র বাণীসমূহ পাঠ করা হচ্ছে, আর তোমাদের কাছে আছেন তাঁর রসূল? আর যে আল্লাহ্‌কে দৃঢ়ভাবে ধরে থাকে, নিশ্চয় সে তাহলে চালিত হয়েছে সহজ-সঠিক পথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '395','chapter_id' => '3','translator_id' => '2','verse_number' => '102','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্‌কে ভয়-শ্রদ্ধা করো যেমন তাঁকে ভয়ভক্তি করা উচিত, আর তোমরা প্রাণত্যাগ করো না আ‌ত্মসমর্পিত না হয়ে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '396','chapter_id' => '3','translator_id' => '2','verse_number' => '103','translate_name' => 'আর তোমরা সবে মিলে আল্লাহ্‌র রশি দৃঢ়ভাবে আঁকড়ে ধরো, আর বিচ্ছিন্ন হয়ো না, আর স্মরণ করো তোমাদের উপরে আল্লাহ্‌র অনুগ্রহ, -- যথা তোমরা ছিলে পরস্পর শত্রু, তারপর তিনি তোমাদের হৃদয়ে সম্প্রীতি ঘটালেন, কাজেই তাঁর অনুগ্রহে তোমরা হলে ভাই-ভাই। আর তোমরা ছিলে এক আগুনের গর্তের কিনারে, তারপর তিনি তোমাদের তা থেকে বাঁচালেন। এইভাবে আল্লাহ্ তোমাদের জন্য তাঁর নির্দেশাবলী সুস্পষ্ট করেন যেন তোমরা পথের দিশা পাও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '397','chapter_id' => '3','translator_id' => '2','verse_number' => '104','translate_name' => 'আর তোমাদের মধ্যে এমন একটি লোকদল হওয়া চাই যারা আহ্বান করবে কল্যাণের প্রতি, আর নির্দেশ দেবে ন্যায়পথের, আর নিষেধ করবে অন্যায় থেকে। আর এরা নিজেরাই হচ্ছে সফলকাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '398','chapter_id' => '3','translator_id' => '2','verse_number' => '105','translate_name' => 'আর তাদের মতো হয়ো না যারা বিচ্ছিন্ন হয়েছিল আর মতভেদ করেছিল তাদের কাছে সুস্পষ্ট নির্দেশাবলী আসার পরেও। আর এরা -- এদের জন্য আছে কঠোর যন্ত্রণা, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '399','chapter_id' => '3','translator_id' => '2','verse_number' => '106','translate_name' => 'যেদিন কতকগুলো চেহারা হবে ঝক্‌ঝকে আর কতকগুলো চেহারা হবে মিসমিসে, তারপর যাদের চেহারা কালো হবে তাদের ক্ষেত্রে -- \'\'তোমরা কি অবিশ্বাস পোষণ করেছিলে তোমাদের ঈমান আনার পরে? অতএব যন্ত্রণার আস্বাদ গ্রহণ করো যেহেতু তোমরা অবিশ্বাস পোষণ করছিলে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '400','chapter_id' => '3','translator_id' => '2','verse_number' => '107','translate_name' => 'আর যাদের চেহারা ঝক্‌মকে হবে তাদের ক্ষেত্রে -- তারা থাকবে আল্লাহ্‌র করুণাসিন্ধুতে, এতে তারা থাকবে চিরকাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '401','chapter_id' => '3','translator_id' => '2','verse_number' => '108','translate_name' => 'এইসব হছে আল্লাহ্‌র নির্দেশাবলী যা আমরা তোমার কাছে পাঠ করছি সত্যের সাথে। আর আল্লাহ্ কোনো প্রাণীর প্রতি অবিচার চান না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '402','chapter_id' => '3','translator_id' => '2','verse_number' => '109','translate_name' => 'আর যা-কিছু আছে মহাকাশমন্ডলে ও যা-কিছু পৃথিবীতে সে-সবই আল্লাহ্‌র। আর আল্লাহ্‌র কাছেই সব ব্যাপার ফিরে যায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '403','chapter_id' => '3','translator_id' => '2','verse_number' => '110','translate_name' => 'তোমরা মানবগোষ্ঠীর জন্য এক শ্রেষ্ঠ সমাজরূপে উত্থিত হয়েছ, -- তোমরা ন্যায়ের পথে নির্দেশ দাও ও অন্যায় থেকে নিষেধ করো, আর আল্লাহ্‌তে বিশ্বাস রাখো। আর গ্রন্থপ্রাপ্তরাও যদি ঈমান আনতো তবে তাদের জন্য ভালো হতো! তাদের মধ্যে কেউ কেউ বিশ্বাসী, কিন্তু তাদের বেশির ভাগ দুষ্টলোক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '404','chapter_id' => '3','translator_id' => '2','verse_number' => '111','translate_name' => 'তারা কখনো তোমাদের ক্ষতি করতে পারবে না কিঞ্চিৎ জ্বালাতন ছাড়া, আর যদি তারা তোমাদের সাথে যুদ্ধ বাধায় তবে তারা তোমাদের দিকে পিঠ ফেরাবে, তারপর তাদের আর সাহায্য করা হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '405','chapter_id' => '3','translator_id' => '2','verse_number' => '112','translate_name' => 'তাদের উপরে লাঞ্ছনা হানা দেবে যেখানেই তারা থাকুক না কেন, যদি না আল্লাহ্‌-থেকে-আসা রশি দ্বারা বা মানুষ-থেকে- পাওয়া রশি, আর তারা আল্লাহ্‌র রোষ অর্জন করেছে, আর তাদের উপরে দুর্দশা হানা দেবে। তাই হয়েছে -- কেননা তারা আল্লাহ্‌র নির্দেশাবলী অমান্য করে চলেছিল, আর নবীগণকে অন্যায়ভাবে হত্যা করতে যাচ্ছিল। তাই হয়, কারণ তারা অবাধ্য হয়েছিল আর তারা সীমা-লঙ্ঘন করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '406','chapter_id' => '3','translator_id' => '2','verse_number' => '113','translate_name' => 'তারা সবাই এক রকমের নয়। গ্রন্থপ্রাপ্তদের মধ্যে একদল আছে নিষ্ঠাবান, তারা আল্লাহ্‌র নির্দেশাবলী রাত্রিকালে পাঠ করে, আর তারা সিজদা করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '407','chapter_id' => '3','translator_id' => '2','verse_number' => '114','translate_name' => 'তারা আল্লাহ্‌র প্রতি ও আখেরাতের দিনের প্রতি বিশ্বাস করে, আর তারা ন্যায়ের পথে নির্দেশ দেয় ও অন্যায় থেকে নিষেধ করে, আর তারা শুভকাজে পরস্পরের মধ্যে প্রতিযোগিতা করে, আর এরা সাধুপুরুষদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '408','chapter_id' => '3','translator_id' => '2','verse_number' => '115','translate_name' => 'আর তারা ভালোকাজের যা-কিছু করে তার সন্বন্ধে তাদের কখনো অস্বীকার করা হবে না। আর আল্লাহ্ ধর্মপরায়ণদের সন্বন্ধে ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '409','chapter_id' => '3','translator_id' => '2','verse_number' => '116','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে, তাদের ধনসম্পত্তি ও তাদের সন্তানসন্ততি আল্লাহ্‌র বিরুদ্ধে কোনোভাবেই তাদের কখনো লাভবান করবে না। আর এরাই হচ্ছে আগুনের বাসিন্দা, তারা সেখানে থাকবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '410','chapter_id' => '3','translator_id' => '2','verse_number' => '117','translate_name' => 'দুনিয়ার এই জীবনে তারা যা খরচ করে তার দৃষ্টান্ত হচ্ছে বাতাসের দৃষ্টান্তের মতো যাতে রয়েছে কনকনে ঠান্ডা, এ ঝাপটা দিল সেই লোকদের ফসলে যারা নিজেদের প্রতি অন্যায় করেছে, কাজেই এ ধ্বংস করে দিল তা। আর আল্লাহ্ তাদের প্রতি অন্যায় করেন নি, বরং তারা তাদের নিজেদের প্রতি অন্যায় করেছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '411','chapter_id' => '3','translator_id' => '2','verse_number' => '118','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের নিজেদের লোক ছাড়া অন্যদের অন্তরঙ্গরূপে গ্রহণ করো না; তারা অনিষ্ট সাধন করতে তোমাদের থেকে পশ্চাৎপদ হয় না। তোমাদের যা ক্লেশ দেয় তারা তা ভালোবাসে, তাদের মুখ থেকে ঘোর বিদ্বেষ ইতিমধ্যে নির্গত হচ্ছে। আর তাদের অন্তরে যা লুকোনো আছে তা আরও গুরুতর। তোমাদের জন্য নির্দেশাবলী সুস্পষ্ট করলাম, যদি তোমরা বুঝতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '412','chapter_id' => '3','translator_id' => '2','verse_number' => '119','translate_name' => 'তোমরাই বটে! তোমরা ঐ ওদের ভালোবাস, অথচ তারা তোমাদের ভালোবাসে না, তোমরা কিন্তু ধর্মগ্রন্থে বিশ্বাস করো, তার সবটাতে। আর যখন তারা তোমাদের সাথে দেখা করে তারা বলে -- \'\'আমরা ঈমান এনেছি’’; আর যখন তারা নিরিবিলি হয়, তোমাদের প্রতি আক্রোশে তারা আঙ্গুল কামড়ায়। তুমি বলো -- \'\'তোমাদের আক্রোশে মরে যাও। নিঃসন্দেহ বুকের মধ্যে কি আছে সে-সন্বন্ধে আল্লাহ্ সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '413','chapter_id' => '3','translator_id' => '2','verse_number' => '120','translate_name' => 'যদি শুভ কিছু তোমাদের জন্য ঘটে তবে সেটা তাদের দুঃখ দেয়, আর যদি মন্দ কিছু তোমাদের পাকড়াও তবে তাতে তারা হয় পরমানন্দিত। আর যদি তোমরা ধৈর্যশীল ও ধর্মপরায়ণ হও তবে তাদের ষড়যন্ত্র তোমাদের এতটুকু ক্ষতি করবে না। নিঃসন্দেহ তারা যা করছে তা আল্লাহ্ ঘিরে রয়েছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '414','chapter_id' => '3','translator_id' => '2','verse_number' => '121','translate_name' => 'আর স্মরণ করো তুমি ভোরে তোমার পরিজনদের কাছ থেকে যাত্রা করলে যুদ্ধের জন্য বিশ্বাসীদের অবস্থান নির্দ্ধারণ করতে। আর আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '415','chapter_id' => '3','translator_id' => '2','verse_number' => '122','translate_name' => 'স্মরণ করো! তোমাদের মধ্যে থেকে দুইটি দল ভীরুতা দেখাবার মনস্থ করেছিল, আর আল্লাহ্ ছিলেন তাদের উভয়ের অভিভাবক, আর আল্লাহ্‌র উপরেই তাহলে বিশ্বাসীদের নির্ভর করা উচিত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '416','chapter_id' => '3','translator_id' => '2','verse_number' => '123','translate_name' => 'আর আল্লাহ্ ইতিপূর্বে তোমাদের সাহায্য করেছিলেন বদরে যখন তোমরা ছিলে দুর্দশাগ্রস্ত; অতএব আল্লাহ্‌র প্রতি ভয়-শ্রদ্ধা করো যেন তোমরা ধন্যবাদ দিতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '417','chapter_id' => '3','translator_id' => '2','verse_number' => '124','translate_name' => 'স্মরণ করো! তুমি বিশ্বাসীদের বলেছিলে -- \'\'এইটি কি তোমাদের জন্য যথেষ্ট নয় যে তোমাদের প্রভু তোমাদের সাহায্য করুন নেমে আসা ফিরিশ্‌তাদের তিন হাজার দিয়ে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '418','chapter_id' => '3','translator_id' => '2','verse_number' => '125','translate_name' => '\'\'যথার্থ! যদি তোমরা ধৈর্যশীল ও ধর্মপরায়ণ হও, আর তারা তোমাদের উপরে এসে পড়ে প্রবল বেগে, -- তোমাদের প্রভু তোমাদের সাহায্য করেছিলেন প্রচন্ড আঘাতকারী পাঁচ হাজার ফিরিশ্‌তাদের দিয়ে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '419','chapter_id' => '3','translator_id' => '2','verse_number' => '126','translate_name' => 'আর আল্লাহ্ এটি করেন নি তোমাদের জন্য সুসংবাদ ব্যতীত, আর যাতে তোমাদের হৃদয় ইহাদ্বারা সান্তনা পায়। আর সাহায্য আসেনা শুধু আল্লাহ্‌র দরবার থেকে ছাড়া, মহাশক্তিশালী, পরমজ্ঞানী --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '420','chapter_id' => '3','translator_id' => '2','verse_number' => '127','translate_name' => 'যেন তিনি যারা অবিশ্বাস পোষণ করে তাদের এক দলকে সংহার করতে পারেন, অথবা তাদের পরাভূত করতে পারেন, যেন তারা বিফলমনোরথ হয়ে ফিরে যায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '421','chapter_id' => '3','translator_id' => '2','verse_number' => '128','translate_name' => 'এই ব্যাপারে তোমার আদৌ কোনো সংস্রব নেই যে তিনি তাদের প্রতি ফিরবেন, অথবা তাদের শাস্তি দেবেন, যদিও তারা নিঃসন্দেহ অন্যায়কারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '422','chapter_id' => '3','translator_id' => '2','verse_number' => '129','translate_name' => 'আর মহাকাশমন্ডলে যা-কিছু আছে ও যা-কিছু আছে পৃথিবীতে সে-সবই আল্লাহ্‌র। তিনি যাকে ইচ্ছা করবেন পরিত্রাণ করবেন এবং যাকে ইচ্ছা করবেন শাস্তিও দেবেন। আর আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '423','chapter_id' => '3','translator_id' => '2','verse_number' => '130','translate_name' => 'ওহে যারা ঈমান এনেছ! সুদ গলাধঃকরণ করো না তাকে দ্বিগুণ ও বহুগুণিত করে; আর আল্লাহ্‌কে ভয়-শ্রদ্ধা করো যাতে তোমরা সফলকাম হতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '424','chapter_id' => '3','translator_id' => '2','verse_number' => '131','translate_name' => 'আর সতর্কতা অবলন্বন করো সেই আগুন সন্বন্ধে যা তৈরি করা হয়েছে অবিশ্বাসীদের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '425','chapter_id' => '3','translator_id' => '2','verse_number' => '132','translate_name' => 'আর আল্লাহ্ ও রসূলের প্রতি অনুগত হও, যেন তোমাদের করুণা দেখানো হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '426','chapter_id' => '3','translator_id' => '2','verse_number' => '133','translate_name' => 'আর তৎপর হও তোমাদের প্রভুর কাছ থেকে পরিত্রাণ লাভের জন্য এবং স্বর্গোদ্যানের জন্য যার বিস্তার হচ্ছে মহাকাশমন্ডল ও পৃথিবী জুড়ে -- তৈরী হয়েছে ধর্মপরায়ণদের জন্য --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '427','chapter_id' => '3','translator_id' => '2','verse_number' => '134','translate_name' => 'যারা খরচ করে সচ্ছল অবস্থায় ও অসচ্ছল অবস্থায়, আর যারা ক্রোধ সংবরণকারী, আর যারা লোকজনের প্রতি ক্ষমাশীল। আর আল্লাহ্ সৎকর্মীদের ভালোবাসেন, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '428','chapter_id' => '3','translator_id' => '2','verse_number' => '135','translate_name' => 'আর যারা, যখন কোনো গর্হিত কাজ করে বা নিজেদের প্রতি অন্যায় করে, তখন আল্লাহ্‌কে স্মরণ করে ও তাদের অপরধের জন্য পরিত্রাণ চায়, -- বস্তুতঃ আল্লাহ্ ছাড়া আর কে অপরাধ ক্ষমা করে? আর তারা যা করেছিল তাতে জেনেশুনে আঁকড়ে ধরে থাকে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '429','chapter_id' => '3','translator_id' => '2','verse_number' => '136','translate_name' => 'এরা? -- এদের পুরস্কার হচ্ছে এদের প্রভুর কাছ থেকে পরিত্রাণ ও স্বর্গোদ্যানসমূহ যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, সেখানে তারা থাকবে স্থায়ীভাবে, আর কর্মীবৃন্দের পুরস্কার কী চমৎকার!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '430','chapter_id' => '3','translator_id' => '2','verse_number' => '137','translate_name' => 'নিশ্চয়ই তোমাদের পূর্বে বহু জীবনধারা গত হয়ে গেছে। অতএব পৃথিবীতে ভ্রমণ করো ও দেখো কেমন হয়েছিল মিথ্যারোপকারীদের পরিণাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '431','chapter_id' => '3','translator_id' => '2','verse_number' => '138','translate_name' => 'এই হচ্ছে মানব জাতির জন্য সুস্পষ্ট ঘোষণা ও পথনির্দেশ ও উপদেশ -- ধর্মপরায়ণদের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '432','chapter_id' => '3','translator_id' => '2','verse_number' => '139','translate_name' => 'অতএব দুর্বলচিত্ত হয়ো না ও অনুশোচনা করো না, কারণ তোমরাই হবে উচ্চপদস্থ যদি তোমরা বিশ্বাসী হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '433','chapter_id' => '3','translator_id' => '2','verse_number' => '140','translate_name' => 'যদি কোনো আঘাত তোমাদের পীড়া দিয়ে থাকে তবে তার সমান আঘাত পীড়া দিয়েছে দলকে। আর এইসব দিনগুলো আমরা লোকদের কাছে পালাক্রমে এনে থাকি যাতে আল্লাহ্ অবধারণ করতে পারেন তাদের যারা ঈমান এনেছে, আর যাতে তোমাদের মধ্যে থেকে সাক্ষী মনোনীত করতে পারেন। আর আল্লাহ্ অন্যায়কারীদের ভালোবাসেন না, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '434','chapter_id' => '3','translator_id' => '2','verse_number' => '141','translate_name' => 'আর যেন আল্লাহ্ বিমুক্ত করতে পারেন যারা ঈমান এনেছে তাদের, আর নিষ্ফল করতে পারেন অবিশ্বাসীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '435','chapter_id' => '3','translator_id' => '2','verse_number' => '142','translate_name' => 'তোমরা কি বিবেচনা করছো যে তোমরা বেহেশতে প্রবেশ করবে, অথচ আল্লাহ্ এখনো অবধারণ করেন নি তোমাদের মধ্যে কারা সংগ্রাম করেছে, আর যাচাই করেন নি কারা ধৈর্যশীল?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '436','chapter_id' => '3','translator_id' => '2','verse_number' => '143','translate_name' => 'আর নিঃসন্দেহ তোমরা চেয়েছিলে মৃত্যুবরণ করতে -- তার সঙ্গে দেখা হবার আগে, এখন কিন্তু তোমরা তা দেখেছ, আর তোমরা দেখতে থাকো!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '437','chapter_id' => '3','translator_id' => '2','verse_number' => '144','translate_name' => 'আর মুহাম্মদ একজন রসূল বৈ তো নন। নিঃসন্দেহ তাঁর পূর্বে রসূলগণ গত হয়ে গেছেন। অতএব তিনি যদি মারা যান অথবা তাঁকে কাতল করা হয় তাহলে কি তোমরা তোমাদের গোড়ালির উপরে মোড় ফেরাবে? আর যে কেউ তার গোড়ালির উপরে মোড় ফেরে সে কিন্তু, আর আল্লাহ্ অচিরেই পুরস্কার দেবেন কৃতজ্ঞদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '438','chapter_id' => '3','translator_id' => '2','verse_number' => '145','translate_name' => 'আর কোনো লোকের পক্ষে তার মরে যাওয়া চলে না আল্লাহ্‌র অনুমতি ব্যতীত, লিপিবদ্ধ থাকা নির্ধারিত সময় অনুসারে। আর যে কেউ ইহজীবনের পুরস্কার কামনা করে আমরা তাকে তা’ থেকে আদায় করি, আর যে কেউ চায় পরলোকের পুরস্কার আমরা তাকেও তা থেকে প্রদান করি। আর আমরা অচিরেই পুরস্কৃত করবো কৃতজ্ঞদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '439','chapter_id' => '3','translator_id' => '2','verse_number' => '146','translate_name' => 'আর আরো কত নবী যুদ্ধ করেছেন, তাঁদের সঙ্গে ছিল প্রভুর অনুগত বহু লোক, আর আল্লাহ্‌র পথে তাদের উপরে যা বর্তেছিল তার জন্য তারা অবসাদগ্রস্ত হয় নি, আর তারা দুর্বলও হয় নি, আর তারা নিজেদের হীনও করে নি। আর আল্লাহ্ ভালোবাসেন ধৈর্যশীলদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '440','chapter_id' => '3','translator_id' => '2','verse_number' => '147','translate_name' => 'আর তাদের বক্তব্য এই বলা ছাড়া অন্য কিছু ছিল না -- \'\'আমাদের প্রভু! ক্ষমা করো আমাদের সব অপরাধ ও আমাদের কাজকর্মে আমাদের সমস্ত অমিতাচার, আর দৃঢ় করো আমাদের পদক্ষেপ, আর আমাদের সাহায্য করো অবিশ্বাসী দলের বিরুদ্ধে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '441','chapter_id' => '3','translator_id' => '2','verse_number' => '148','translate_name' => 'কাজেই আল্লাহ্ তাদের দিয়েছিলেন ইহজীবনের পুরস্কার, আর পরলোকের পুরস্কার আরো চমৎকার! আর আল্লাহ্ ভালোবাসেন সৎকর্মীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '442','chapter_id' => '3','translator_id' => '2','verse_number' => '149','translate_name' => 'ওহে যারা ঈমান এনেছ! যারা অবিশ্বাস পোষণ করে তোমরা যদি তাদের অনুগত হও তবে তারা তোমাদের গোড়ালির উপরে তোমাদের মোড় ফিরিয়ে দেবে, ফলে তোমরা ক্ষতিগ্রস্ত হয়ে ফিরবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '443','chapter_id' => '3','translator_id' => '2','verse_number' => '150','translate_name' => 'না, আল্লাহ্ তোমাদের রক্ষাকারী বন্ধু, আর তিনি সাহায্যকারীদের মধ্যে সর্বোত্তম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '444','chapter_id' => '3','translator_id' => '2','verse_number' => '151','translate_name' => 'যারা অবিশ্বাস পোষণ করে তাদের হৃদয়ে আমরা অচিরেই ভীতি নিক্ষেপ করবো, কেননা তারা আল্লাহ্‌র সাথে শরীক করেছিল যার জন্য তিনি কোনো বিধান অবতারণ করেন নি, ফলে তাদের বাসস্থান হচ্ছে আগুন, আর অন্যায়কারীদের বাসস্থান মন্দ বটে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '445','chapter_id' => '3','translator_id' => '2','verse_number' => '152','translate_name' => 'আর নিঃসন্দেহ আল্লাহ্ ইতিপূর্বে তোমাদের কাছে তাঁর অঙ্গীকার পালন করেছিলেন যখন তোমরা তাঁর ইচ্ছায় তাদের টুকরো- টুকরো করছিলে, যতক্ষণ না তোমরা দুর্বলচিত্ত হয়ে পড়লে, আর তোমরা আদেশ সন্বন্ধে বিরোধ করলে ও অবাধ্য হলে যা তোমরা ভালোবাস তা তোমাদের দেখাবার পরে। তোমাদের মধ্যে কেউ ছিল যারা এই দুনিয়া চাচ্ছিল, আর তোমাদের মধ্যে কেউ ছিল যারা পরকাল চাচ্ছিল, তারপর তিনি তোমাদের তাদের থেকে পলায়নপর করলেন যেন তিনি তোমাদের শাসন করতে পারেন। আর তিনি নিঃসন্দেহ তোমাদের অপরাধ মার্জনা করলেন। আর আল্লাহ্ বিশ্বাসীদের প্রতি অশেষ কৃপাময়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '446','chapter_id' => '3','translator_id' => '2','verse_number' => '153','translate_name' => 'স্মরণ করো! তোমরা পাহাড়ে উঠছিলে আর কারো দিকে ভ্রক্ষেপ করছিলে না, আর রসূল তোমাদের পিছন থেকে তোমাদের ডাকছিলেন, কাজেই তিনি তোমাদের এক বিষাদের উপরে আরেক বিষাদ উপহার দিলেন, যেন তোমরা অনুশোচনা না করো যা তোমাদের থেকে ফসকে গেছে, আর যা তোমাদের উপরে বর্তেছে তার জন্যেও না। আর তোমরা যা করো সে- সন্বন্ধে আল্লাহ্ চির-ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '447','chapter_id' => '3','translator_id' => '2','verse_number' => '154','translate_name' => 'তারপর বিষাদের পরে তিনি তোমাদের উপরে বর্ষণ করলেন নিরাপত্তা, তোমাদের একদলের উপরে নেমে এল প্রশান্তি, আর অন্য এক দলের নিজেদের মন তাদের উৎকতি করেছিল, তারা আল্লাহ্ সন্বন্ধে অজ্ঞানতাকালীন সন্দেহপ্রবণতায় সন্দিহান হয়েছিল অসঙ্গতভাবে। তারা বলছিল -- \'\'এই ব্যাপারে আমাদের কি কোনো কিছু আছে?’’ বলো -- \'\'নিঃসন্দেহ ব্যাপারটি সর্বতোভাবে আল্লাহ্‌র।’’ তারা তাদের নিজেদের মধ্যে যা লুকিয়ে রেখেছে তা তোমার কাছে প্রকাশ করছে না, তারা বলছিল -- \'\'এই ব্যাপারে যদি আমাদের কিছু থাকতো তবে এখানে আমাদের কাতল করা হতো না।’’ তুমি বলো -- \'\'তোমরা যদি তোমাদের বাড়ির ভিতরেও থাকতে তথাপি যাদের জন্য প্রাণঘাত লিখিত হয়েছে তারা নিশ্চয়ই তাদের নির্ধারিত-স্থলে গিয়ে হাজির হতো।’’ আর আল্লাহ্ যেন যাচাই করতে পারেন কি আছে তোমাদের বুকের ভেতরে, আর যেন নিংড়ে বের করে দিতে পারেন যা আছে তোমাদের অন্তরে। আর বুকের ভেতরে যা আছে সে-সন্বন্ধে আল্লাহ্ সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '448','chapter_id' => '3','translator_id' => '2','verse_number' => '155','translate_name' => 'নিঃসন্দেহ যেদিন দুই সৈন্যদল পরস্পর সম্মুখীন হয়েছিল সেদিন তোমাদের মধ্যে যারা পলায়নপর হলে, তাদের পদস্খলন করেছিল শয়তান যেহেতু তারা কিছু কামিয়েছিল, আর অবশ্য আল্লাহ্ তাদের মার্জনা করলেন। নিঃসন্দেহ আল্লাহ্ পরিত্রাণকারী, অতি অমায়িক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '449','chapter_id' => '3','translator_id' => '2','verse_number' => '156','translate_name' => 'ওহে যারা ঈমান এনেছ! তাদের মতো হয়ো না যারা অবিশ্বাস পোষণ করেছে, আর যারা তাদের ভাইদের বলে যখন তারা দেশে পরিভ্রমণ করে অথবা অভিযানে লিপ্ত হয় -- \'\'তারা যদি আমাদের সাথে থাকতো তবে তারা মারা পড়তো না বা তাদের কাতল করা হতো না।’’ পরিণামে আল্লাহ্ এটি তাদের অন্তরে আক্ষেপের বিষয় করেছেন। আর আল্লাহ্ জীবনদান করেন ও মৃত্যু ঘটান। আর তোমরা যা করছো আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '450','chapter_id' => '3','translator_id' => '2','verse_number' => '157','translate_name' => 'আর যদি আল্লাহ্‌র পথে তোমাদের হত্যা করা হয় অথবা তোমরা মারা যাও, -- নিঃসন্দেহ আল্লাহ্‌র কাছ থেকে পরিত্রাণলাভ ও করুণাপ্রাপ্তি তারা যা জমা করে তার চাইতে উৎকৃষ্টতর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '451','chapter_id' => '3','translator_id' => '2','verse_number' => '158','translate_name' => 'আর যদি তোমরা মারাই যাও বা তোমাদের কাতল করা হয়, নিঃসন্দেহ আল্লাহ্‌র কাছে তোমাদের একত্রিত করা হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '452','chapter_id' => '3','translator_id' => '2','verse_number' => '159','translate_name' => 'তারপর আল্লাহ্‌র করুণার ফলেই তুমি তাদের প্রতি কোমল হয়েছিলে। আর তুমি যদি রুক্ষ ও কঠোর-হৃদয় হতে তবে নিঃসন্দেহ তারা তোমার চারপাশ থেকে বিচ্ছিন্ন হয়ে যেতো। অতএব তাদের অপরাধ মার্জনা করো, আর তাদের জন্য ক্ষমা প্রার্থনা করো, আর তাদের সঙ্গে কাজেকর্মে পরামর্শ করো। আর যখন সংকল্প গ্রহণ করেছ তখন আল্লাহ্‌র উপরে নির্ভর করো। নিঃসন্দেহ আল্লাহ্ ভালোবাসেন নির্ভরশীলদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '453','chapter_id' => '3','translator_id' => '2','verse_number' => '160','translate_name' => 'যদি আল্লাহ্ তোমাদের সাহায্য করেন তবে কেউ তোমাদের পরাভূত করতে পারবে না, আর যদি তিনি তোমাদের পরিত্যাগ করেন তবে তাঁর পরে আর কে আছে যে তোমাদের সাহায্য করতে পারে? আর আল্লাহ্‌র উপরেই তাহলে বিশ্বাসীদের নির্ভর করা উচিত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '454','chapter_id' => '3','translator_id' => '2','verse_number' => '161','translate_name' => 'আর কোনো নবীর পক্ষে এটি নয় যে তিনি প্রতারণা করবেন। আর যে কেউ প্রতারণা করে সে যা-কিছু প্রতারণা করেছে তা কিয়ামতের দিনে নিয়ে আসবে। তারপর প্রত্যেক সত্ত্বাকে পুরোপুরি দেয়া হবে যা সে অর্জন করেছে, আর তাদের অন্যায় করা হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '455','chapter_id' => '3','translator_id' => '2','verse_number' => '162','translate_name' => 'কি! যে আল্লাহ্‌র সন্তষ্টির অনুবর্তী সে কি তার মতো যে আল্লাহ্‌র কাছ থেকে অসন্তোষ আনয়ন করেছে ও যার ঠাঁই হচ্ছে জাহান্নাম? আর জঘন্য সেই গন্তব্যস্থল!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '456','chapter_id' => '3','translator_id' => '2','verse_number' => '163','translate_name' => 'আল্লাহ্‌র কাছে তাদের স্তরভেদ আছে। আর তারা যা করছে আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '457','chapter_id' => '3','translator_id' => '2','verse_number' => '164','translate_name' => 'নিঃসন্দেহ আল্লাহ্ বিশ্বাসীদের প্রতি অনুগ্রহ করেছিলেন যখন তিনি তাদের কাছে তাদের মধ্য থেকে দাঁড় করালেন একজন রসূল যিনি তাঁর নির্দেশাবলী তাদের কাছে পাঠ করেন ও তাদের পরিশোধিত করেন ও তাদের কিতাব ও জ্ঞান-বিজ্ঞান শিক্ষা দেন; যদিও এর আগে নিঃসন্দেহ তারা ছিল স্পষ্ট ভুলের মধ্যে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '458','chapter_id' => '3','translator_id' => '2','verse_number' => '165','translate_name' => 'কি! যখন কোনো দুর্যোগ তোমাদের উপরে ঘটলো, ইতিপূর্বে তোমরা আঘাত করেছিলে এর দ্বিগুণ পরিমাণ, তোমরা বলতে থাকলে -- \'\'এ কোথা থেকে?’’ বলো -- \'\'এসব তোমাদের নিজেদের থেকে।’’ নিশ্চয় আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '459','chapter_id' => '3','translator_id' => '2','verse_number' => '166','translate_name' => 'আর যেদিন দুই সৈন্যদল মুখোমুখি হয়েছিল সেদিন যা তোমাদের উপরে ঘটেছিল তা আল্লাহ্‌র জ্ঞাতসারে, আব যেন তিনি বিশ্বাসীদের জানতে পারেন,','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '460','chapter_id' => '3','translator_id' => '2','verse_number' => '167','translate_name' => 'আর যেন তিনি জানতে পারেন তাদের যারা কপটতা করে, আর তাদের বলা হয়েছিল -- \'\'এসো, আল্লাহ্‌র পথে যুদ্ধ করো, অথবা আ‌ত্মরক্ষা করো।’’ তারা বলেছিল -- \'\'আমরা যদি যুদ্ধ করতে জানতাম তবে আমরা নিঃসন্দেহ তোমাদের অনুসরণ করতাম।’’ সেদিন তারা ঈমানের চাইতে অবিশ্বাসের নিকটতর হয়েছিল। তারা তাদের মুখ দিয়ে বলছিল যা তাদের অন্তরে ছিল না, আর আল্লাহ্ ভালো জানেন যা তারা লুকোচ্ছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '461','chapter_id' => '3','translator_id' => '2','verse_number' => '168','translate_name' => 'তারা বাড়িতে বসে থেকে তাদের ভাইদের সন্বন্ধে বলেছিল -- \'\'তারা যদি আমাদের কথা শুনতো তবে তাদের কাতল করা হতো না।’’ বলো -- \'\'তাহলে নিজেদের থেকে তোমরা মৃত্যুকে ঠেকাও, যদি তোমরা সত্যবাদী হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '462','chapter_id' => '3','translator_id' => '2','verse_number' => '169','translate_name' => 'আর যাদের আল্লাহ্‌র পথে হত্যা করা হয়েছে তাদের মৃত ভেবো না, বরং তাদের প্রভুর দরবারে জীবন্ত, তাদের রিযেক দেওয়া হবে,','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '463','chapter_id' => '3','translator_id' => '2','verse_number' => '170','translate_name' => 'আল্লাহ্ তাঁর করুণাভান্ডার থেকে তাদের যা দিয়েছেন সেজন্যে খুশিতে ডগমগ, আর তারা আনন্দ করবে তাদের জন্য যারা তাদের সঙ্গে মিলিত হয়নি তাদের পশ্চাদভাগ থেকে, কেননা তাদের উপরে কোনো ভয় নেই আর তারা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '464','chapter_id' => '3','translator_id' => '2','verse_number' => '171','translate_name' => 'তারা আনন্দ করবে আল্লাহ্‌র কাছ থেকে অনুগ্রহের জন্য এবং করুণাভান্ডারের জন্য, আর নিঃসন্দেহ আল্লাহ্ বিশ্বাসীদের প্রাপ্য বিফল করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '465','chapter_id' => '3','translator_id' => '2','verse_number' => '172','translate_name' => 'যারা আল্লাহ্ ও রসূলের আহ্বানে সাড়া দিয়েছিল তাদের উপরে দুর্যোগ ঘটার পরে, -- তাদের মধ্যে যারা সৎকর্ম করে ও ভয়শ্রদ্ধা করে তাদের জন্য আছে বিরাট পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '466','chapter_id' => '3','translator_id' => '2','verse_number' => '173','translate_name' => 'লোকেরা যাদের বলেছিল -- \'\'নিঃসন্দেহ তোমাদের বিরুদ্ধে লোক জমায়েৎ হয়েছে, অতএব তাদের ভয় করো।’’ কিন্তু তাদের ঈমান বেড়ে গেল, আর তারা বললে -- \'\'আল্লাহ্ আমাদের জন্য যথেষ্ট ও তিনি অতি উত্তম রক্ষাকর্তা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '467','chapter_id' => '3','translator_id' => '2','verse_number' => '174','translate_name' => 'সুতরাং তারা ফিরে এল আল্লাহ্‌র কাছ থেকে নিয়ামত ও করুণাভান্ডার নিয়ে, কোনো অনিষ্ট তাদের স্পর্শ করে নি, বস্তুতঃ তারা আল্লাহ্‌র প্রসন্নতার অনুগমন করেছিল। আর আল্লাহ্ অফুরন্ত করুণাভান্ডারের মালিক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '468','chapter_id' => '3','translator_id' => '2','verse_number' => '175','translate_name' => 'নিঃসন্দেহ তোমাদের সেই শয়তানই ভয় দেখায় তার বন্ধুবান্ধবকে, কিন্তু তোমরা তাদের ভয় করো না, বরং আমাকে ভয় করো, -- যদি তোমরা ঈমানদার হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '469','chapter_id' => '3','translator_id' => '2','verse_number' => '176','translate_name' => 'আর যারা অবিশ্বাসের প্রতি ধাবিত হয় তারা যেন তোমাকে দুঃখিত না করে, নিঃসন্দেহ তারা আল্লাহ্‌র কোনো ক্ষতি করতে পারে না। আল্লাহ্ চান যে আখেরাতে তাদের জন্য লাভের কিছুই থাকুক না, আর তাদের জন্য রয়েছে কঠোর শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '470','chapter_id' => '3','translator_id' => '2','verse_number' => '177','translate_name' => 'নিঃসন্দেহ যারা ঈমানের বিনিময়ে অবিশ্বাস কিনেছে তারা আল্লাহ্‌র কোনো ক্ষতি করতে পারবে না; আর তাদের জন্য রয়েছে ন্তন্ত শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '471','chapter_id' => '3','translator_id' => '2','verse_number' => '178','translate_name' => 'আর যারা অবিশ্বাস পোষণ করে তারা যেন না ভাবে যে আমরা তাদের যে বিরাম দিয়েছি তা তাদের নিজেদের ভালোর জন্য। নিঃসন্দেহ আমরা তাদের অবকাশ দিই যেন তারা পাপের মাত্রা বাড়িয়ে তুলে, আর তাদের জন্য রয়েছে লাঞ্ছনাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '472','chapter_id' => '3','translator_id' => '2','verse_number' => '179','translate_name' => 'তোমরা যে অবস্থায় আছ সে অবস্থায় আল্লাহ্ কোনোক্রমেই বিশ্বাসীদের ফেলে রাখবেন না, যে পর্যন্ত না তিনি ভালোদের থেকে মন্দদের পৃথক করেন। আর আল্লাহ্ অদৃশ্য সন্বন্ধে তোমাদের কাছে গোচরীভূত করবেন না, তবে আল্লাহ্ তাঁর রসূলদের মধ্যে থেকে যাঁকে ইচ্ছা করেন নির্বাচিত করেন। অতএব আল্লাহ্‌তে ও তাঁর রসূলগণে ঈমান আনো। আর যদি তোমরা বিশ্বাস করো ও ভয়শ্রদ্ধা করো তবে তোমাদের জন্য রয়েছে বিরাট পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '473','chapter_id' => '3','translator_id' => '2','verse_number' => '180','translate_name' => 'আর আল্লাহ্ তাঁর করুণাভান্ডার থেকে তাদের যা দান করেছেন সে-বিষয়ে যারা কৃপণতা করে তারা যেন না ভাবে যে তা তাদের জন্য ভালো। না, তা তাদের জন্য মন্দ। যে বিষয়ে তারা কঞ্জুসি করে তা কিয়ামতের দিনে তাদের গলায় ঝুলানো থাকবে। আর মহাকাশমন্ডল ও পৃথিবীর উত্তরাধিকার আল্লাহ্‌র। আর যা তোমরা করো আল্লাহ্ তার পূর্ণ ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '474','chapter_id' => '3','translator_id' => '2','verse_number' => '181','translate_name' => 'আল্লাহ্ অবশ্যই শুনেছেন তাদের কথা যারা বলেছিল -- \'\'নিশ্চয় আল্লাহ্ গরিব, আর আমরা ধনী।’’ কাজেই আমরা লিখে রাখবো তারা যা বলে ও তাদের অন্যায়ভাবে নবীদের হত্যা করতে যাওয়া; আর আমরা বলবো -- \'\'পোড়ার যন্ত্রণার স্বাদ গ্রহণ করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '475','chapter_id' => '3','translator_id' => '2','verse_number' => '182','translate_name' => '\'\'এ তার জন্য যা তোমাদের নিজ হাত আগ বাড়িয়েছে, আর যেহেতু আল্লাহ্ বান্দাদের প্রতি জালিম নন।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '476','chapter_id' => '3','translator_id' => '2','verse_number' => '183','translate_name' => 'যারা বলেছিল -- \'\'নিঃসন্দেহ আল্লাহ্ আমাদের কাছে অঙ্গীকার করেছেন যে আমরা কোনো রসূলের প্রতি ঈমান আনবো না যে পর্যন্ত না তিনি আমাদের কাছে এমন কুরবানি আনেন যাকে আগুন পুড়িয়ে থাকে।’’ তুমি বলো -- \'\'নিশ্চয়ই আমার আগে তোমাদের কাছে রসূলগণ এসেছিলেন স্পষ্ট প্রমাণাবলী নিয়ে আর তোমরা যার কথা বলছো তা নিয়ে, তবে কেন তোমরা তাঁদের হত্যা করতে যাচ্ছিলে, যদি তোমরা সত্যবাদী হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '477','chapter_id' => '3','translator_id' => '2','verse_number' => '184','translate_name' => 'অতএব যদি তারা তোমাকে অস্বীকার করে তোমার আগের রসূলগণও এমনিভাবে অস্বীকৃত হয়েছিলেন, যাঁরা এসেছিলেন সঙ্গে নিয়ে স্পষ্ট প্রমাণাবলী ও যবূর ও উজ্জ্বল কিতাব।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '478','chapter_id' => '3','translator_id' => '2','verse_number' => '185','translate_name' => 'প্রত্যেক সত্ত্বাকে মৃত্যু আস্বাদন করতে হবে। আর নিশ্চয়ই কিয়ামতের দিনে তোমাদের প্রাপ্য পুরোপুরি তোমাদের আদায় করা হবে। কাজেই যাকে আগুন থেকে বহুদূরে রাখা হবে ও স্বর্গোদ্যানে প্রবিষ্ট করা হবে, নিঃসন্দেহ সে হ’ল সফলকাম। আর এই দুনিয়ার জীবন ধোকার সন্বল ছাড়া কিছুই নয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '479','chapter_id' => '3','translator_id' => '2','verse_number' => '186','translate_name' => 'নিশ্চয়ই তোমাদের পরীক্ষা করা হবে তোমাদের ধনসম্পত্তি ও তোমাদের লোকজনের মাধ্যমে, আর নিঃসন্দেহ তোমরা শুনতে পাবে তোমাদের আগে যাদের গ্রন্থ দেয়া হয়েছে তাদের থেকে এবং যারা শরিক করে তাদের থেকে অনেক গালিগালাজ। আর যদি তোমরা ধৈর্য ধারণ করো ও ভয়ভক্তি করো তবে নিশ্চয় সেটি হবে সৎসাহসের কাজ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '480','chapter_id' => '3','translator_id' => '2','verse_number' => '187','translate_name' => 'আর স্মরণ করো! যাদের কিতাব দেওয়া হয়েছিল তাদের থেকে আল্লাহ্ অঙ্গীকার গ্রহণ করেছিলেন -- \'\'তোমরা নিশ্চয় এর কথা লোকেদের কাছে প্রকাশ করবে, আর তা লুকিয়ে রাখবে না।’’ কিন্তু তারা এটি তাদের পিঠের পেছনে ফেলে রেখে দিয়েছিল, আর এর জন্য তারা বিনিময়ে স্বল্পমূল্য গ্রহণ করেছিল। অতএব মন্দ তারা যা কেনে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '481','chapter_id' => '3','translator_id' => '2','verse_number' => '188','translate_name' => 'তুমি মনে করো না যারা উল্লসিত হয় যা তাদের দেয়া হয়েছে সেজন্য, আর প্রশংসা পেতে ভালোবাসে যা করে নি তার জন্যেও, -- কাজেই তুমি তাদের ভেবো না যে তারা শাস্তি থেকে নিরাপদ, আর তাদের জন্য রয়েছে ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '482','chapter_id' => '3','translator_id' => '2','verse_number' => '189','translate_name' => 'আর আল্লাহ্‌রই মহাকাশমন্ডল ও পৃথিবী রাজত্ব। আর আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '483','chapter_id' => '3','translator_id' => '2','verse_number' => '190','translate_name' => 'নিঃসন্দেহ মহাকাশমন্ডলী ও পৃথিবীর সৃষ্টিতে এবং রাত ও দিনের আবর্তনে বিশেষ নিদর্শন রয়েছে জ্ঞানবান লোকদের জন্য --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '484','chapter_id' => '3','translator_id' => '2','verse_number' => '191','translate_name' => 'যারা আল্লাহ্‌কে স্মরণ করে দাঁড়ানো ও বসা ও তাদের পার্শ্বের উপরে শায়িত অবস্থায় আর গভীর চিন্তা করে মহাকাশমন্ডল ও পৃথিবীর সৃষ্টির বিষয়ে। \'\'আমাদের প্রভু! এসব তুমি বৃথা সৃষ্টি করো নি, তোমারই সব মহিমা। কাজেই আমাদের রক্ষা করো আগুনের শাস্তি থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '485','chapter_id' => '3','translator_id' => '2','verse_number' => '192','translate_name' => '\'\'আমাদের প্রভু! নিশ্চয়ই যাকে তুমি আগুনে প্রবিষ্ট করাও, তাকে তবে প্রকৃতই তুমি লাঞ্ছিত করেছ। আর অন্যায়কারীদের জন্য সাহায্যকারীদের কেউ থাকবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '486','chapter_id' => '3','translator_id' => '2','verse_number' => '193','translate_name' => '\'\'আমাদের প্রভু! নিঃসন্দেহ আমরা শুনেছি একজন ঘোষণাকারীকে ঈমানের প্রতি আহ্বান করতে এই বলে -- \'তোমাদের প্রভুরপ্রতি ঈমান আনো’, কাজেই আমরা ঈমান এনেছি। আমাদের প্রভু! অতএব আমাদের অপরাধ থেকে আমাদের পরিত্রাণ করো, আর আমাদের দোষত্রুটি আমাদের থেকে মুছে দাও, আর আমাদের প্রাণত্যাগ করতে দাও সজ্জনদের সঙ্গে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '487','chapter_id' => '3','translator_id' => '2','verse_number' => '194','translate_name' => '\'\'আমাদের প্রভু! আর আমাদের প্রদান করো যা তুমি আমাদের কাছে ওয়াদা করেছ তোমার রসূলদের মাধ্যমে, আর আমাদের লাঞ্ছিত করো না কিয়ামতের দিনে। নিঃসন্দেহ তুমি ওয়াদার খেলাফ করো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '488','chapter_id' => '3','translator_id' => '2','verse_number' => '195','translate_name' => 'তাদের প্রভু তখন তাদের আহ্বানে সাড়া দিলেন -- \'\'আমি নিশ্চয়ই বিফল করবো না তোমাদের মধ্যের কর্মীদের কোনো কাজ -- পুরুষ হও বা নারী -- তোমাদের একজন অন্যজন থেকে, সুতরাং যারা হিজরত করেছে ও তাদের ঘরবাড়ি থেকে যারা বহিষ্কৃত হয়েছে, ও আমার পথে যারা নির্যাতিত হয়েছে, আর যারা যুদ্ধ করেছে ও নিহত হয়েছে -- নিঃসন্দেহ তাদের দোষত্রুটি তাদের থেকে অবশ্যই মুছে দেব আর নিঃসন্দেহ তাদের অবশ্যই প্রবিষ্ট করাব স্বর্গোদ্যানসমূহে যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি -- একটি পুরস্কার আল্লাহ্‌র দরবার থেকে। আর আল্লাহ্ -- তাঁর কাছে রয়েছে আরো উত্তম পুরস্কার।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '489','chapter_id' => '3','translator_id' => '2','verse_number' => '196','translate_name' => 'যারা অবিশ্বাস পোষণ করে শহরে-নগরে তাদের চলাফেরা তোমাকে যেন ধোকা না দেয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '490','chapter_id' => '3','translator_id' => '2','verse_number' => '197','translate_name' => 'তুচ্ছ ভোগ! তারপর তাদের বাসস্থান হচ্ছে জাহান্নাম, আর জঘন্য এই বিশ্রামস্থল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '491','chapter_id' => '3','translator_id' => '2','verse_number' => '198','translate_name' => 'কিন্তু যারা তাদের প্রভুকে ভয়-শ্রদ্ধা করে তাদের জন্য স্বর্গোদ্যানসমূহ, যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, তাতে তারা থাকবে চিরকাল -- আল্লাহ্‌র তরফ থেকে আপ্যায়ন। আর আল্লাহ্‌র কাছে যা রয়েছে তা পুণ্যা‌ত্মাদের জন্য আরো উত্তম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '492','chapter_id' => '3','translator_id' => '2','verse_number' => '199','translate_name' => 'আর নিঃসন্দেহ গ্রন্থপ্রাপ্তদের মধ্যে যারা ঈমান আনে আল্লাহ্‌তে আর যা তোমাদের কাছে অবতীর্ণ হয়েছে আর যা তা দের কাছে নাযিল হয়েছিল তাতে, আল্লাহ্‌র কাছে বিনীত, তারা আল্লাহ্‌র বাণীসমূহের জন্য স্বল্পমূল্য কামাতে যায় না। এরাই, -- এদের জন্য এদের পুরস্কার রয়েছে এদের প্রভুর কাছে। নিঃসন্দেহ আল্লাহ্ হিসেব-নিকেশে তৎপর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '493','chapter_id' => '3','translator_id' => '2','verse_number' => '200','translate_name' => 'ওহে যারা ঈমান এনেছ! ধৈর্যধারণ করো আর ধৈর্যধারণে অগ্রণী হও, আর অবিচল থেকো, আর আল্লাহ্‌কে ভয়শ্রদ্ধা করো, যেন তোমরা সফলকাম হতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '494','chapter_id' => '4','translator_id' => '2','verse_number' => '1','translate_name' => 'ওহে মানবগোষ্ঠি! তোমাদের প্রভুকে ভয়ভক্তি করো যিনি তোমাদের সৃষ্টি করেছেন একই নফস থেকে, আর তার জোড়াও সৃষ্টি করেছেন তার থেকে, আর এই উভয় থেকে ছড়িয়ে দিয়েছেন বহু নর ও নারী। অতএব ভয়শ্রদ্ধা করো আল্লাহ্‌কে যাঁর দ্বারা তোমরা পরস্পরের ও মাতৃজঠরের সওয়াল-জবাব করো। নিঃসন্দেহ আল্লাহ্ তোমাদের উপরে সদা প্রহরী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '495','chapter_id' => '4','translator_id' => '2','verse_number' => '2','translate_name' => 'আর তাদের ধন-সম্পত্তি এতীমদের দিয়ে দাও, আর উৎকৃষ্ট বস্তুর সঙ্গে নিকৃষ্ট বস্তু বদলে নিও না। আর তাদের সম্পত্তি তোমাদের সম্পত্তির সঙ্গে গ্রাস করো না। নিঃসন্দেহ এটি গুরুতর অপরাধ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '496','chapter_id' => '4','translator_id' => '2','verse_number' => '3','translate_name' => 'আর যদি তোমরা আশঙ্কা করো যে তোমরা এতীমদের প্রতি ন্যায়পরায়ণ হতে পারছ না, তা হলে স্ত্রীলোকদের মধ্যের যাকে তোমাদের ভালো লাগে তাকে বিয়ে করতে পার -- দুই বা তিন বা চার। কিন্তু যদি তোমরা আশঙ্কা করো যে তোমরা সমব্যবহার করতে পারবে না, তা হলে একজনকেই, অথবা তোমাদের ডান হাত যাদের ধরে রেখেছে। এইটিই বেশী সঙ্গত যেন তোমরা সরে না যাও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '497','chapter_id' => '4','translator_id' => '2','verse_number' => '4','translate_name' => 'আর স্ত্রীলোকদের তাদের মহরানা আদায় করবে নিঃস্বার্থভাবে। কিন্তু যদি তারা নিজেরা এর কোনো অংশ তোমাদের দিতে খুশি হয় তবে তা ভোগ করো সানন্দে ও তৃপ্তির সাথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '498','chapter_id' => '4','translator_id' => '2','verse_number' => '5','translate_name' => 'আর অবোধদের দিয়ে দিও না তোমাদের সম্পত্তি যা আল্লাহ্ তোমাদের জন্য অবলন্বনস্বরূপ করেছেন। আর তা থেকে তাদের খাওয়াও ও তাদের পরাও, আর তাদের বলো ভালোভালো কথা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '499','chapter_id' => '4','translator_id' => '2','verse_number' => '6','translate_name' => 'আর এতীমদের পরীক্ষা করে দেখবে যে পর্যন্ত না তারা বিবাহ-বয়সে উপনীত হয়, তারপর যদি তাদের মধ্যে বিচার-বুদ্ধি দেখতে পাও তবে তাদের ধনসম্পত্তি তাদের হস্তার্পণ করবে, আর তা মাত্রাতিরিক্তভাবে ও তাড়াহুড়ো করে খেয়ে ফেলো না পাছে তারা বড় হয়ে যাবে। আর যে অবস্থাপন্ন সে যেন নিবৃত্ত থাকে, আর যে গরীব সে ন্যায়সঙ্গতভাবে খাক। তারপর যখন তোমরা তাদের সম্পত্তি তাদের ফিরিয়ে দাও তখন তাদের সামনে সাক্ষী ডাকো। আর হিসাব-রক্ষকরূপে আল্লাহ্ যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '500','chapter_id' => '4','translator_id' => '2','verse_number' => '7','translate_name' => 'পিতামাতা ও নিকট-আ‌ত্মীয়রা যা রেখে যায় তার একটি অংশ পুরুষদের জন্য, আর স্ত্রীলোকদের জন্যেও থাকবে একটি অংশ যা পিতামাতা ও নিকট-আ‌ত্মীয়রা রেখে যায় তার, -- তা কমই হোক বা বেশি, -- একটি নির্দিষ্ট অংশ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '501','chapter_id' => '4','translator_id' => '2','verse_number' => '8','translate_name' => 'আর ভাগাভাগির সময়ে যখন উপস্থিত থাকে আ‌ত্মীয়-স্বজন ও এতীমরা ও গরীবরা, তখন তা থেকে তাদের দান করো, আর তাদের সঙ্গে ভালোভাবে কথাবার্তা বলো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '502','chapter_id' => '4','translator_id' => '2','verse_number' => '9','translate_name' => 'আর তারা তেমনি ভয় করুক যেমন তারা যদি তাদের পেছনে অসহায় ছেলেপিলে ফেলে রাখত তবে তাদের জন্য আশঙ্কা করতো। কাজেই তারা আল্লাহ্‌কে ভয়শ্রদ্ধা করুক এবং সততার সাথে কথাবার্তা বলুক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '503','chapter_id' => '4','translator_id' => '2','verse_number' => '10','translate_name' => 'নিঃসন্দেহ যারা এতীমদের ধনসম্পত্তি অন্যায়ভাবে গ্রাস করে তারা নিশ্চয়ই তাদের পেটে আগুন গিলে। আর তারা শীঘ্রই প্রবেশ করবে জ্বলন্ত আগুনে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '504','chapter_id' => '4','translator_id' => '2','verse_number' => '11','translate_name' => 'আল্লাহ্ তোমাদের নির্দেশ দিচ্ছেন তোমাদের সন্তানসন্ততি সম্পর্কে, -- এক বেটাছেলের জন্য দুই মেয়েছেলের সমান অংশ। তবে যদি তারা সব মেয়ে হয়, দুই মেয়ের উর্ধ্বে, তবে তাদের জন্য সে যা রেখে গেছে তার দুই-তৃতীয়াংশ, আর যদি সে একমাত্র মেয়ে হয় তবে তার জন্য অর্ধেক । আর তার পিতামাতার জন্য -- তাদের দুজনের প্রত্যেকের জন্য সে যা রেখে গেছে তার ছয় ভাগের একভাগ, যদি তার সন্তান থাকে, কিন্তু তার যদি সন্তান না থাকে ও তার ওয়ারিশ হয় পিতামাতা, তবে তার মাতার জন্য এক-তৃতীয়াংশ, কিন্তু যদি তার ভাইরা থাকে তবে তার মায়ের জন্য ছয় ভাগের একভাগ, কোনো ওছিয়ৎনামাতে উইল করে থাকলে বা দেনা থাকলে তা আদায়ের পরে। তোমাদের পিতামাতা ও তোমাদের সন্তানসন্ততি -- তোমরা জানো না এদের কে তোমাদের কাছে ফায়দার দিক দিয়ে বেশি নিকটতর। এ আল্লাহ্‌র তরফ থেকে বিধান। নিঃসন্দেহ আল্লাহ্ হচ্ছেন সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '505','chapter_id' => '4','translator_id' => '2','verse_number' => '12','translate_name' => 'আর তোমাদের স্ত্রীরা যা রেখে যায় তার অর্ধেক তোমাদের জন্য যদি তাদের কোনো ছেলেপিলে না থাকে, কিন্তু যদি তাদের সন্তান থাকে তবে তোমাদের জন্য তারা যা রেখে গেছে তার এক-চতুর্থাংশ, -- কোনো ওছিয়ৎনামায় তারা উইল করে থাকলে বা দেনা থাকলে তা আদায়ের পরে। আর তাদের জন্য যা তোমরা রেখে যাও তার এক-চতুর্থাংশ যদি তোমাদের কোনো সন্তান না থাকে, কিন্তু যদি তোমাদের ছেলেপিলে থাকে তবে তাদের জন্য যা তোমরা রেখে গেছ তার আট ভাগের একভাগ, -- কোনো ওছিয়ৎনামায় তোমরা উইল করে থাকলে বা দেনা থাকলে তা আদায়ের পরে। আর যদি কোনো পুরুষ বা স্ত্রীলোককে নিঃসন্তান-ভাবে উত্তরাধিকার করতে হয় ও তার এক ভাই বা এক বোন থাকে তবে তাদের উভয়ের প্রত্যেকের জন্য ছয় ভাগের এক ভাগ, কিন্তু যদি তারা এর চেয়ে বেশী হয় তবে তারা হবে এক তৃতীয়াংশের অংশীদার, -- কোনো ওছিয়ৎনামায় তারা উইল করে থাকলে বা দেনা থাকলে তা আদায়ের পরে, -- কোনো ক্ষতি না করে, এ হচ্ছে আল্লাহ্‌র তরফ থেকে বিধান। আর আল্লাহ্ হচ্ছেন সর্বজ্ঞাতা, অতি অমায়িক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '506','chapter_id' => '4','translator_id' => '2','verse_number' => '13','translate_name' => 'এইসব হচ্ছে আল্লাহ্‌র সীমা। আর যে কেউ আল্লাহ্ ও তাঁর রসূলের অনুবর্তী হয় তাকে তিনি প্রবেশ করাবেন স্বর্গোউদ্যানসমূহে যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজী, সেখানে সে থাকবে স্থায়ীভাবে আর তাই হচ্ছে মহা সাফল্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '507','chapter_id' => '4','translator_id' => '2','verse_number' => '14','translate_name' => 'আর যে কেউ আল্লাহ্ ও তাঁর রসূলের অবাধ্য হয় আর তাঁর সীমা লঙ্ঘন করে, তাকে তিনি প্রবেশ করাবেন আগুনে, সেখানে থাকবার জন্য দীর্ঘকাল, আর তার জন্য রয়েছে লাঞ্ঝনাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '508','chapter_id' => '4','translator_id' => '2','verse_number' => '15','translate_name' => 'আর তোমাদের নারীদের মধ্যে যারা অশ্লীল আচরণ করে তাদের বিরুদ্ধে তোমাদের মধ্যে থেকে চারজন সাক্ষী ডাকো, তারা যদি সাক্ষ্য দেয় তবে তাদের ঘরের ভেতরে আটক করে রাখো যে পর্যন্ত না মৃত্যু তাদের উপরে ঘনিয়ে আসে, অথবা আল্লাহ্ তাদের জন্য পথ করে দেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '509','chapter_id' => '4','translator_id' => '2','verse_number' => '16','translate_name' => 'আর তোমাদের মধ্যে দুজন যদি ঐ আচরণ করে তবে তাদের উভয়কেই অল্প শাস্তি দাও। তারপর যদি তারা তওবা করে ও শোধরায় তবে তাদের থেকে ফিরিয়ে নাও। নিঃসন্দেহ আল্লাহ বারবার ফেরেন, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '510','chapter_id' => '4','translator_id' => '2','verse_number' => '17','translate_name' => 'নিঃসন্দেহ আল্লাহ্‌র পক্ষে ফেরা সব তাদের প্রতি যারা কুকর্ম করে অজ্ঞানতা বশতঃ, তারপর অবিলন্বে তওবা ক রে, অতএব এরাই -- আল্লাহ্ এদের প্রতি ফেরেন, আর আল্লাহ্ হচ্ছেন সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '511','chapter_id' => '4','translator_id' => '2','verse_number' => '18','translate_name' => 'আর তওবা তাদের জন্য নয় যারা কুকর্ম করেই চলে, যে পর্যন্ত না মৃত্যু তাদের কোনো একের কাছে হাজির হলে সে বলে -- \'\'আমি অবশ্যই এখন তওবা করছি’’, তাদের জন্যও যারা মারা যায় অথচ তারা অবিশ্বাসী থাকে। তারাই -- তাদের জন্য আমরা তৈরি করেছি ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '512','chapter_id' => '4','translator_id' => '2','verse_number' => '19','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের জন্য বৈধ নয় যে তোমরা স্ত্রীদের জবরদস্তি উত্তরাধিকার-সূত্রে গ্রহণ করবে। আর তাদের উপরে জোরজুলুম করো না তোমরা যা তাদের দিয়েছ তার অংশ বিশেষ ফিরে পাবার জন্য, যদি না তারা জাজ্জ্বল্যমান অশ্লীল আচরণে লিপ্ত হয়। আর তাদের প্রতি সদয় ব্যবহার করো। অবশ্য যদি তোমরা তাদের ঘৃণা করো তবে হতে পারে তোমরা এমন একটা কিছু অপছন্দ করলে অথচ আল্লাহ্ তার মধ্যে প্রচুর কল্যাণ নিহিত রেখেছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '513','chapter_id' => '4','translator_id' => '2','verse_number' => '20','translate_name' => 'আর তোমরা যদি এক স্ত্রীর স্থলে আরেক স্ত্রী বদলে নিতে চাও, আর যদি এদের একজনকে একস্তূপ দিয়ে থাকো, তবে তা থেকে কিছুই নিও না। তোমরা কি তা নেবে কুৎসা রটিয়ে এবং ডাহা অন্যায় করে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '514','chapter_id' => '4','translator_id' => '2','verse_number' => '21','translate_name' => 'আর কেমন করে তোমরা তা নিতে পারো যখন তোমাদের একে অন্যতে গমন করেছ আর তারা তোমাদের থেকে দৃঢ় অঙ্গীকার গ্রহণ করেছে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '515','chapter_id' => '4','translator_id' => '2','verse_number' => '22','translate_name' => 'আর তোমাদের পিতারা যাদের বিয়ে করেছিল সে-সব স্ত্রীলোকদের বিয়ে করো না, -- অবশ্য যা ইতিমধ্যে ঘটে গেছে তা ব্যতীত। নিঃসন্দেহ এটি হচ্ছে একটি অশ্লীল আচরণ ও ঘৃণ্য কর্ম, আর জঘন্য পন্থা!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '516','chapter_id' => '4','translator_id' => '2','verse_number' => '23','translate_name' => 'তোমাদের জন্য অবৈধ হচ্ছে -- তোমাদের মায়েরা আর তোমাদের মেয়েরা আর তোমাদের বোনেরা আর তোমাদের ফুফুরা আর তোমাদের মাসীরা, আর ভাইয়ের মেয়েরা ও বোনের মেয়েরা, আর তোমাদের মায়েরা যারা তোমাদের স্তন্যদান করেছে, আর দুধ- মায়ের দিক থেকে তোমাদের বোনেরা, আর তোমাদের স্ত্রীদের মায়েরা, আর তোমাদের সৎ-মেয়েরা যারা তোমাদের অভিভাবকত্বে আছে -- তোমাদের তেমন স্ত্রীদের থেকে যাদের সাথে সহবাস করেছ, কিন্তু যদি তাদের সাথে সহবাস করে না থাক তবে তোমাদের অপরাধ হবে না, আর যারা তোমাদের ঔরস থেকে তোমাদের তেমন ছেলেদের স্ত্রীরা; আর যেন তোমরা দুই বোনের মধ্যে জমায়েৎ করো -- অবশ্য যা ইতিমধ্যে ঘটে গেছে তা ব্যতীত। অবশ্য আল্লাহ্ হচ্ছেন পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '517','chapter_id' => '4','translator_id' => '2','verse_number' => '24','translate_name' => 'আর স্ত্রীলোকদের মধ্যের সধবা যারা, তবে তোমাদের ডান হাত যাদের ধরে রেখেছে তাদের ব্যতীত, তোমাদের প্রতি আল্লাহ্‌র বিধান। আর এদের বাইরে তোমাদের জন্য বৈধ করা গেল যদি তোমরা চাও তোমাদের ধনদৌলত দিয়ে বিবাহ -বন্ধনের মাধ্যম, ব্যভিচারের জন্য নয়। অতএব তাদের মধ্যের যাদের থেকে তোমরা সুফল পেতে চাও তাদের নির্ধারিত মহরানা তাদের প্রদান করো। আর তোমাদের জন্য দূষণীয় হবে না নির্ধারিত হবার পরে তোমরা যাতে পরস্পর সম্মত হও। নিঃসন্দেহ আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '518','chapter_id' => '4','translator_id' => '2','verse_number' => '25','translate_name' => 'আর তোমাদের মধ্যে যার আর্থিক সংগতি নেই যে বিশ্বাসিনী স্বাধীন নারীকে বিয়ে করতে পারে, সে তবে তোমাদের ডান হাতে ধরে রাখা বিশ্বাসিনী কুমারীদের মধ্য থেকে। আর আল্লাহ্ ভালো জানেন তোমাদের ধর্মবিশ্বাস সন্বন্ধে, তোমরা একে অন্য থেকে কাজেই তাদের বিয়ে করো তাদের মনিবের অনুমতি নিয়ে, আর তাদের মহরানা তাদের দাও সুষ্ঠুভাবে, -- বিবাহ-বন্ধনের মাধ্যমে, ব্যভিচারের জন্যে নয় আর রক্ষিতারূপে গ্রহণ করেও নয়। অতএব যখন তাদের বিবাহ-বন্ধনে আনা হয়, তারপর যদি তারা অশ্লীল আচরণ করে তবে তাদের জন্য হচ্ছে স্বাধীন নারীদের জন্যে নির্ধারিত শাস্তির অর্ধেক। এ হচ্ছে তোমাদের মধ্যে তার জন্য যে পাপে পড়ার ভয় করে। আর যদি তোমরা ধৈর্য ধরো, তবে সেটি তোমাদের জন্য বেশী ভালো। আর আল্লাহ্ ত্রাণকর্তা, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '519','chapter_id' => '4','translator_id' => '2','verse_number' => '26','translate_name' => 'আল্লাহ্ চান তোমাদের পূর্ববর্তী যারা ছিল তাদের দৃষ্টান্তেরদ্বারা তোমাদের কাছে সুস্পষ্ট করতে ও তোমাদের হেদায়ত করতে, আর তোমাদের দিকে ফিরতে। আর আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '520','chapter_id' => '4','translator_id' => '2','verse_number' => '27','translate_name' => 'আর আল্লাহ্ চান যে তিনি তোমাদের দিকে সর্বদা ফেরেন, কিন্তু যারা কাম-লালসার অনুসরণ করে তারা চায় তোমরাও যেন গহীন বিপথে পথ হারাও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '521','chapter_id' => '4','translator_id' => '2','verse_number' => '28','translate_name' => 'আল্লাহ্ চান যে তিনি তোমাদের বোঝা হাল্কা করেন, আর মানুষকে দুর্বল ক’রে সৃষ্টি করা হয়েছে ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '522','chapter_id' => '4','translator_id' => '2','verse_number' => '29','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের সম্পত্তি জুচ্চুরি করে নিজেদের মধ্যে গ্রাস করো না, তবে যদি তোমাদের পরস্পর সম্মতিক্রমে ব্যবসা-বাণিজ্যের দ্বারা এ হয়ে থাকে, আর নিজেদের লোকদের হত্যা করো না, যেহেতু আল্লাহ্ নিঃসন্দেহ তোমাদের প্রতি অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '523','chapter_id' => '4','translator_id' => '2','verse_number' => '30','translate_name' => 'আর যে কেউ তা করে উল্লঙ্ঘন ক’রে ও অত্যাচার ক’রে, আমরা অচিরেই তাকে ফেলবো আগুনে। আর এ আল্লাহ্‌র জন্য সহজ ব্যাপার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '524','chapter_id' => '4','translator_id' => '2','verse_number' => '31','translate_name' => 'যদি তোমরা বিরত থাকো বড়গুলো থেকে যা তোমাদের জন্য নিষিদ্ধ করা হয়েছে, তবে তোমাদের থেকে আমরা তোমাদের দোষত্রুটি মূছে দেব, আর তোমাদের প্রবেশ করাবো এক গৌরবময় প্রবেশদ্বারে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '525','chapter_id' => '4','translator_id' => '2','verse_number' => '32','translate_name' => 'আর ঈর্ষা করো না যে বিষয়দ্বারা আল্লাহ্ তোমাদের কাউকে অপরের উপরে শ্রেষ্ঠতা দিয়েছেন। পুরুষদের জন্য ভাগ রয়েছে যা তারা অর্জন করে, আর নারীদের জন্যেও ভাগ রয়েছে যা তারা অর্জন করে। কাজেই আল্লাহ্‌র কাছে চাও তাঁর করুণাভান্ডার থেকে। নিঃসন্দেহ আল্লাহ্ সব-কিছু সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '526','chapter_id' => '4','translator_id' => '2','verse_number' => '33','translate_name' => 'আর প্রত্যেকের জন্য আমরা উত্তরাধিকার নির্ধারিত করেছি যা পিতামাতা ও নিকট-আ‌ত্মীয়রা রেখে যায়। আর যাদের সঙ্গে তোমাদের ডান হাতের দ্বারা অঙ্গীকার করেছ তাদের ভাগ তা হলে প্রদান করো। আল্লাহ্ নিঃসন্দেহ সব-কিছু তেই সাক্ষ্যদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '527','chapter_id' => '4','translator_id' => '2','verse_number' => '34','translate_name' => 'পুরুষরা নারীদের অবলন্বন, যেহেতু আল্লাহ্ তাদের এক শ্রেণীকে অন্য শ্রেণীর উপরে শ্রেষ্ঠত্ব দিয়েছেন, এবং যেহেতু তারা তাদের সম্পত্তি থেকে খরচ করে। কাজেই সতীসাধবী নারীরা অনুগতা, গোপনীয়তার রক্ষয়িত্রী, যেমন আল্লাহ্ রক্ষা করেছেন। আর যে নারীদের ক্ষেত্রে তাদের অবাধ্যতা আশঙ্কা করো, তাদের উপদেশ দাও, আর শয্যায় তাদের একা ফেলে রাখো, আর তাদের প্রহার করো। তারপর যদি তারা তোমাদের অনুগতা হয় তবে তাদের বিরুদ্ধে অন্য পথ খুজোঁ না। নিঃসন্দেহ আল্লাহ্ সর্বজ্ঞাতা, মহামহিম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '528','chapter_id' => '4','translator_id' => '2','verse_number' => '35','translate_name' => 'আর যদি তোমরা দু’জনের মধ্যে বিচ্ছেদ আশঙ্কা করো, তবে তার লোকদের থেকে একজন মধ্যস্থ নিয়োগ করো এবং ওর লোকদের থেকেও একজন মধ্যস্থ, যদি তারা দু’জনই মিটমাট চায় তবে আল্লাহ্ তাদের মধ্যে মিলন ঘটাবেন। নিঃসন্দেহ আল্লাহ্ সর্বজ্ঞাতা, ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '529','chapter_id' => '4','translator_id' => '2','verse_number' => '36','translate_name' => 'আর আল্লাহ্‌র এবাদত করো, আর তাঁর সাথে অন্য কিছু শরিক করো না, আর পিতামাতার প্রতি সদয় আচরণ করো, আর নিকটা‌ত্মীয়দের প্রতি, আর এতীমদের আর মিসকিনদের, আর নিকট সম্পর্কের প্রতিবেশীর, আর পরকীয় প্রতিবেশীর, আর পার্শ্ববর্তী সাথীর, আর পথচারীর, আর যাকে তোমাদের ডান হাত ধরে রেখেছে। নিঃসন্দেহ আল্লাহ্ ভালোবাসেন না তাকে যে দাম্ভিক, গর্বিত, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '530','chapter_id' => '4','translator_id' => '2','verse_number' => '37','translate_name' => 'যে কার্পণ্য করে আর লোকদের কৃপণতার নির্দেশ দেয়, আর লুকিয়ে রাখে আল্লাহ্ যা তাদের দিয়েছেন তাঁর করুনাভান্ডার থেকে। আর অবিশ্বাসীদের জন্যে আমরা তৈরি করেছি লাঞ্ঝনাদায়ক শাস্তি, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '531','chapter_id' => '4','translator_id' => '2','verse_number' => '38','translate_name' => 'আর যারা তাদের ধনসম্পত্তি খরচ করে লোকদের দেখাবার জন্য, অথচ তারা বিশ্বাস করে না আল্লাহ্‌তে, আর আখেরাতের দিনেও না। আর যার জন্য সঙ্গী হয়েছে শয়তান, -- সে তবে মন্দ সাথী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '532','chapter_id' => '4','translator_id' => '2','verse_number' => '39','translate_name' => 'আর এতে তাদের কি বা হতো যদি তারা আল্লাহ্‌তে ও আখেরাতের দিনে ঈমান আনতো, আর খরচ করতো আল্লাহ্ তাদের যা রিযেক দিয়েছেন তা থেকে? আর আল্লাহ্ তাদের ব্যাপারে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '533','chapter_id' => '4','translator_id' => '2','verse_number' => '40','translate_name' => 'নিঃসন্দেহ আল্লাহ্ অনুপরিমাণেও অবিচার করেন না; আর যদি এটা শুভ কাজ হয় তিনি তা বহুগুণিত করেন, আর তাঁর নিজের তরফ থেকে দেন মহান পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '534','chapter_id' => '4','translator_id' => '2','verse_number' => '41','translate_name' => 'কাজেকাজেই তখন কেমন হবে যখন প্রত্যেক জাতি থেকে আমরা এক একজন সাক্ষী আনবো, আর তোমাকে আনবো তাদের সমক্ষে সাক্ষীরূপে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '535','chapter_id' => '4','translator_id' => '2','verse_number' => '42','translate_name' => 'সেইদিন তারা চাইবে যারা অবিশ্বাস করে ও রসূলকে অমান্য করে, -- তাদের নিয়ে পৃথিবীটা যদি সমতল হয়ে যেত। আর তারা আল্লাহ্ থেকে কোনো কথা লুকোতে পারবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '536','chapter_id' => '4','translator_id' => '2','verse_number' => '43','translate_name' => 'ওহে যারা ঈমান এনেছ! নামাযের ধারে-কাছে যেয়ো না যখন তোমরা নেশায় চুর হয়ে থাকো, যে পর্যন্ত না তোমরা বুঝো কি তোমরা বলছো, অথবা যৌন-সম্ভোগ করার পরবর্তী অবস্থায়, -- তবে শুধু অতিক্রম করা ছাড়া -- যতক্ষণ না গোসল করেছ। আর যদি তোমরা অসুস্থ হও, অথবা সফরে থাকো, অথবা তোমাদের কেউ পায়খানা থেকে এসেছ, অথবা স্ত্রীদের স্পর্শ করেছ, আর যদি পানি না পাও তবে তৈয়ম্মুম করো বিশুদ্ধ মাটি নিয়ে, আর তোমাদের মুখমন্ডল ও তোমাদের হাত মুসেহ্ করো। নিঃসন্দেহ আল্লাহ্ মার্জনাকারী, পরিত্রাণকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '537','chapter_id' => '4','translator_id' => '2','verse_number' => '44','translate_name' => 'তুমি কি তাদের কথা ভেবে দেখো নি যাদের গ্রন্থের কিছু অংশ দেওয়া হয়েছিল, -- তারা ভুলভ্রান্তি কিনে নেয়, আর চায় যে তোমরাও পথ থেকে পথভ্রষ্ট হও?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '538','chapter_id' => '4','translator_id' => '2','verse_number' => '45','translate_name' => 'আর আল্লাহ্ ভালো জানেন তোমাদের শত্রুদের। আর আল্লাহ্‌ই মূরব্বীরূপে যথেষ্ট, আর আল্লাহ্‌ই যথেষ্ট সহায়করূপে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '539','chapter_id' => '4','translator_id' => '2','verse_number' => '46','translate_name' => 'যারা ইহুদী মত পোষণ করে তাদের মাঝে কেউ কেউ কালামগুলো তাদের স্থান থেকে সরিয়ে দেয় আর বলে -- \'আমরা শুনেছি’, আর \'আমরা অমান্য করি’; আর \'শোনো’ -- \'তার মতো যে শোনে না’; আর \'\'রা\'ইর্না" -- তাদের জিহবারদ্বারা বিকৃত ক’রে; আর ধর্ম নিয়ে বিদ্রূপ করে। আর যদি তারা বলতো -- \'\'আমরা শুনেছি ও আমরা মান্য করি, আর শুনুন ও \'উনযুরনর্া’ তবে তা তাদের জন্য বেশী ভালো হতো ও বেশী ন্যায়সঙ্গত। কিন্তু আল্লাহ্ তাদের ধিক্কার দিয়েছেন তাদের অবিশ্বাসের জন্য, কাজেই তারা ঈমান আনে না অল্প ছাড়া।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '540','chapter_id' => '4','translator_id' => '2','verse_number' => '47','translate_name' => 'ওহে যাদের কিতাব দেয়া হয়েছে! তোমরা ঈমান আনো তাতে যা আমরা নাযিল করেছি তোমাদের কাছে যা আছে তার সত্য- সমর্থনরূপে, মূখপাত্রদের বিধবস্ত করবার ও তাদের পেছনের দিকে ফিরিয়ে দেবার, অথবা তাদের বঞ্চিত করবার পূর্বে যেমন আমরা ধিক্কার দিয়েছিলাম সাব্বাত অনুসরণকারীদের। আর আল্লাহ্‌র হুকুম অবশ্য কার্যকর হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '541','chapter_id' => '4','translator_id' => '2','verse_number' => '48','translate_name' => 'নিশ্চয়ই আল্লাহ্ ক্ষমা করবেন না যে, তাঁর সাথে কাউকে শরিক করা হোক, আর তা ছাড়া আর সব তিনি ক্ষমা করেন যার জন্য তিনি ইচ্ছা করেন। আর যে কেউ আল্লাহ্‌র সাথে শরিক করে সে তাহলে উদ্ভাবন করেছে বিরাট পাপ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '542','chapter_id' => '4','translator_id' => '2','verse_number' => '49','translate_name' => 'তুমি কি তাদের দিকে চেয়ে দেখো নি যারা নিজেদের প্রতি পবিত্রতা আরোপ করে? না, আল্লাহ্ পবিত্র করেন যাদের তিনি পছন্দ করেন। আর তাদের অন্যায় করা হবে না খেজুর-বিচির-পাতলা-আবরণ পরিমাণেও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '543','chapter_id' => '4','translator_id' => '2','verse_number' => '50','translate_name' => 'দেখো, কেমন ক’রে তারা আল্লাহ্‌র বিরুদ্ধে মিথ্যা রচনা ক’রে! আর স্পষ্ট পাপ হিসেবে এটিই যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '544','chapter_id' => '4','translator_id' => '2','verse_number' => '51','translate_name' => 'তুমি কি তাদের কথা ভেবে দেখো নি যাদের কিতাবের কিছু অংশ দেওয়া হয়েছিল, যারা বিশ্বাস করে তন্ত্রমন্ত্রে ও তাগুতে, আর যারা অবিশ্বাস পোষণ করে তাদের সন্বন্ধে যারা বলে -- \'\'যারা ঈমান এনেছে তাদের চাইতে এরাই পথে অধিকতর সুপথগামী?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '545','chapter_id' => '4','translator_id' => '2','verse_number' => '52','translate_name' => 'এরাই সেইসব যাদের আল্লাহ্ ধিক্কার দিয়েছেন। আর যাকে আল্লাহ্ বঞ্চিত করেন তার জন্য তুমি কোনো সাহায্যকারী পাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '546','chapter_id' => '4','translator_id' => '2','verse_number' => '53','translate_name' => 'অথবা, তাদের কি কোনো ভাগ আছে সাম্রাজ্যে? তবে কিন্তু তারা লোকজনকে দিত না খেজুর বিচির খোসাটুকুও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '547','chapter_id' => '4','translator_id' => '2','verse_number' => '54','translate_name' => 'অথবা তারা কি লোকদের ঈর্ষা করে আল্লাহ্ তাঁর করুণাভান্ডার থেকে তাদের যা দিয়েছেন সেজন্য? তবে আমরা নিশ্চয়ই ইব্রাহীমের বংশধরদের দিয়েছি কিতাব ও জ্ঞানবিজ্ঞান, আর আমরা তাদের দিয়েছি এক বিশাল রাজত্ব।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '548','chapter_id' => '4','translator_id' => '2','verse_number' => '55','translate_name' => 'অতএব তাদের মধ্যে আছে সে যে তাঁর প্রতি ঈমান এনেছে, আবার তাদের মধ্যে সেও আছে যে তাঁর থেকে ফিরে যায়। আর জ্বলন্ত আগুনরূপে জাহান্নামই যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '549','chapter_id' => '4','translator_id' => '2','verse_number' => '56','translate_name' => 'যারা আমাদের নির্দেশাবলীতে অবিশ্বাস পোষণ করে, নিশ্চয়ই তাদের আমরা অচিরে আগুনে প্রবেশ করাবো। যতবার তাদের চামড়া পুরোপুরি পুড়ে যাবে ততবার আমরা সেগুলো বদলে দেবো তার পরিবর্তে অন্য চামড়া দিয়ে যাতে তারা শাস্তি আস্বাদন করে। নিঃসন্দেহ আল্লাহ্ হচ্ছেন মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '550','chapter_id' => '4','translator_id' => '2','verse_number' => '57','translate_name' => 'আর যারা ঈমান আনে ও সৎকাজে করে তাদের আমরা শীঘ্রই প্রবেশ করাবো স্বর্গোউদ্যানসমূহে, যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, তাতে তারা থাকবে চিরকাল। তাদের জন্য এর মধ্যে থাকবে পবিত্র সঙ্গিসাথী, আর তাদের আমরা প্রবেশ করাবো গহন ছায়ায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '551','chapter_id' => '4','translator_id' => '2','verse_number' => '58','translate_name' => 'আল্লাহ্ নিশ্চয়ই তোমাদের আদেশ করছেন যেন তোমরা আমানত তাদের বাসিন্দাদের সমর্পণ করো, আর যখন তো মরা লোকদের মধ্যে বিচার-আচার করো তখন যেন ন্যায়পরায়ণতার সাথে বিচার করো। নিঃসন্দেহ আল্লাহ্ কি উত্তম উপদেশ তোমাদের দিয়ে থাকেন! নিঃসন্দেহ আল্লাহ্ হচ্ছেন সর্বশ্রোতা, সর্বদর্শী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '552','chapter_id' => '4','translator_id' => '2','verse_number' => '59','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্‌কে অনুসরণ করো, ও রসূলের অনুগমন করো, আর তোমাদের মধ্যে যাদের হুকুম দেবার ভার আছে। তারপর যদি কোনো বিষয়ে তোমরা মতভেদ করো তবে তা পেশ করো আল্লাহ্ ও রসূলের কাছে, যদি তোমরা আল্লাহ্‌তে ও আখেরাতের দিনে বিশ্বাস করে থাকো। এটিই হচ্ছে শ্রেষ্ঠ ও সর্বাঙ্গ সুন্দর সমাপ্তিকরণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '553','chapter_id' => '4','translator_id' => '2','verse_number' => '60','translate_name' => 'তুমি কি তাদের দিকে চেয়ে দেখো নি যারা ভাণ করে যে তারা বিশ্বাস করে যা তোমার কাছে অবতীর্ণ হয়েছে ও যা তোমার পূর্ববর্তীদের কাছে অবতীর্ণ হয়েছে, তারা বিচার খুজঁতে চায় তাগুত থেকে, যদিও নিশ্চয়ই তাদের নির্দেশ দেয়া হয়েছিল তাকে অস্বীকার করতে? আর শয়তান চায় তাদের সুদূর বিপথে পথহারা করতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '554','chapter_id' => '4','translator_id' => '2','verse_number' => '61','translate_name' => 'আর যখন তাদের বলা হয় -- \'\'আল্লাহ যা নাযিল করেছেন তার দিকে এবং রসূলের দিকে এসো’’, তুমি দেখতে পাবে মুনাফিকরা তোমার কাছ থেকে ফিরে যাচ্ছে বিতৃষ্ণার সাথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '555','chapter_id' => '4','translator_id' => '2','verse_number' => '62','translate_name' => 'কিন্তু কেমন হবে যখন তাদের উপরে কোনো মূছিবত এসে পড়বে যা তাদের হাত আগ-বাড়িয়েছে সে জন্য? তখন তারা তোমার কাছে আসবে আল্লাহ্‌র নামে হলফ করে -- \'\'আমরা কিন্তু চেয়েছি কল্যাণ ও সদ্ভাব ছাড়া অন্য কিছু নয়।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '556','chapter_id' => '4','translator_id' => '2','verse_number' => '63','translate_name' => 'এরাই তারা যাদের সন্বন্ধে আল্লাহ জানেন কি আছে তাদের অন্তরে। অতএব তাদের থেকে ঘুরে দাঁড়াও, তবে তাদের উপদেশ দাও, এবং তাদের নিজেদের সন্বন্ধে তাদের বলো মর্মস্পশী কথা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '557','chapter_id' => '4','translator_id' => '2','verse_number' => '64','translate_name' => 'আর আমরা কোনো রসূল পাঠাই নি আল্লাহ্‌র হুকুমে তাঁদের অনুসরণ করার জন্যে ছাড়া। আর তারা যদি, যখন তারা নিজেদের প্রতি অন্যায় করেছিল, তখন তোমার কাছে আসতো ও আল্লাহ্‌র কাছে ক্ষমা প্রার্থনা করতো, আর রসূলও যদি তাদের জন্যে ক্ষমা চাইতেন, তবে তারা আল্লাহ্‌কে পেতো বারবার প্রত্যাবর্তনকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '558','chapter_id' => '4','translator_id' => '2','verse_number' => '65','translate_name' => 'কিন্তু না, তোমার খোদার কসম! তারা ঈমান আনে না যে পর্যন্ত না তারা তোমাকে বিচারক মনোনীত করে সেই বিষয়ে যাতে তারা পরস্পরের মধ্যে মতবিরোধ করে, তারপর নিজেদের অন্তরে কোনো বিরূপতা পায় না তুমি যা মীমাংসা করো সে-সন্বন্ধে, আর তারা আ‌ত্মসমর্পণ করে পূর্ণ সমর্পণের সাথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '559','chapter_id' => '4','translator_id' => '2','verse_number' => '66','translate_name' => 'আর আমরা যদি তাদের জন্য বিধান করতাম, যথা -- \'\'তোমাদের প্রাণ বিসর্জন করো’’, অথবা \'\'তোমাদের বাড়িঘর থেকে বেরিয়ে পড়ো’’, তারা তা করতো না তাদের মধ্যের অল্প কয়েকজন ছাড়া। আর যদি তারা তাই করতো যে ব্যাপারে তাদের উপদেশ দেয়া হয়েছিল তবে তাদের জন্য তা হতো বহু ভালো ও আরো বেশী শক্তিদায়ক;','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '560','chapter_id' => '4','translator_id' => '2','verse_number' => '67','translate_name' => 'আর তাহলে নিঃসন্দেহ আমাদের তরফ থেকে আমরা তাদের দিতাম বিরাট পুরস্কার;','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '561','chapter_id' => '4','translator_id' => '2','verse_number' => '68','translate_name' => 'আর আমরা নিশ্চয়ই তাদের পরিচালিত করতাম সহজ-সঠিক পথে। আর যে কেউ আল্লাহ্‌র ও রসূলের আজ্ঞাপালন করে, -- এরাই তবে রয়েছে তাঁদের সঙ্গে যাঁদের উপরে আল্লাহ্ নিয়ামত প্রদান করেছেন -- নবীগণের মধ্য থেকে, ও সত্যপরায়ণদের ও সাক্ষ্যদাতাদের এবং সৎকর্মীদের, -- আর এরঁা হচ্ছেন সর্বাঙ্গসুন্দর বন্ধুবর্গ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '562','chapter_id' => '4','translator_id' => '2','verse_number' => '69','translate_name' => 'এই হচ্ছে আল্লাহ্ থেকে অপার করুণা। আর সর্বজ্ঞাতারূপে আল্লাহ্‌ই যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '563','chapter_id' => '4','translator_id' => '2','verse_number' => '70','translate_name' => 'ওহে যারা ঈমান এনেছ! নিজেদের সতর্কতামূলক সাজ-সরাম নাও, তারপর ভিন্ন ভিন্ন দল হয়ে বেরিয়ে পড়ো অথবা এগিয়ে চলো দলবদ্ধভাবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '564','chapter_id' => '4','translator_id' => '2','verse_number' => '71','translate_name' => 'আর নিঃসন্দেহ তোমাদের মধ্যে এমন লোক আছে যে পেছনে পড়ে থাকে, তারপর তোমাদের উপরে যদি কোনো দু র্ঘটনা ঘটে যায় সে বলে -- \'\'আল্লাহ্ নিশ্চয়ই আমার উপরে অনুগ্রহ করেছেন যে আমি তাদের সঙ্গে চাক্ষুষকারী ছিলুম না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '565','chapter_id' => '4','translator_id' => '2','verse_number' => '72','translate_name' => 'আর যদি আল্লাহ্‌র তরফ থেকে তোমাদের কাছে করুণাভান্ডার এসে পড়ে তখন, যেন তোমাদের মধ্যে ও তার মধ্যে কোনো বন্ধুত্বই ছিল না এমনিভাবে সে বলে উঠে -- \'\'আফসোস! আমি যদি তাদের সঙ্গে থাকতাম তবে বিরাট সাফল্যে সফলকাম হতে পারতাম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '566','chapter_id' => '4','translator_id' => '2','verse_number' => '73','translate_name' => 'কাজেই ওরাই আল্লাহ্‌র পথে যুদ্ধ করুক যারা এই দুনিয়ার জীবন পরকালের জন্য বিক্রয় করে দেয়। আর যে কেউ আল্লাহ্‌র পথে যুদ্ধ করে, সে নিহত হোক বা বিজয়ী হোক শীঘ্রই তাকে আমরা দেব মহাপুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '567','chapter_id' => '4','translator_id' => '2','verse_number' => '74','translate_name' => 'আর তোমাদের কী আছে যে তোমরা আল্লাহ্‌র পথে যুদ্ধ করবে না, অথচ পুরুষদের মধ্যের দুর্বল লোকেরা আর স্ত্রীলোকেরা আর ছেলেমেয়েরা যারা বলছে -- \'\'আমাদের প্রভূ! আমাদের বাইরে নিয়ে যাও এই বসতি থেকে যার অধিবাসীরা অত্যাচারী, আর তোমার কাছ থেকে আমাদের জন্য একজন রক্ষাকারী-বন্ধু দাও, আর তোমার কাছ থেকে আমাদের দাও একজন সাহায্যকারী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '568','chapter_id' => '4','translator_id' => '2','verse_number' => '75','translate_name' => 'যারা ঈমান এনেছে তারা যুদ্ধ করে আল্লাহ্‌র পথে, আর যারা অবিশ্বাস পোষণ করে তারা তাগুতের পথে যুদ্ধ করে, অতএব শয়তানের সাঙ্গোপাঙ্গদের বিরুদ্ধে যুদ্ধ করো। নিঃসন্দেহ শয়তানের চক্রান্ত চির-দুর্বল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '569','chapter_id' => '4','translator_id' => '2','verse_number' => '76','translate_name' => 'তুমি কি তাদের দিকে চেয়ে দেখো নি যাদের বলা হয়েছিল -- \'\'তোমাদের হাত গুটিয়ে রাখো, এবং নামায কায়েম করো, আর যাকাত আদায় করো।’’ কিন্তু যখন তাদের জন্য যুদ্ধের বিধান দেয়া হলো তখন, আশ্চর্য! তাদের একটি দল মানুষকে ভয় করতে লাগলো যেমন উচিত আল্লাহ্‌কে ভয় করা, -- অথবা তার চাইতেও বেশী ভয়, আর বললে -- \'\'আমাদের প্রভূ! কেন তুমি আমাদের জন্য যুদ্ধের বিধান করলে? কেন তুমি আমাদের অল্পকালের জন্য বিরাম দিলে না?’’ তুমি বলো -- \'\'এই দুনিয়ার আয়োজন অল্পক্ষণের জন্য, আর পরকাল হচ্ছে যে ভয় করে তার জন্য উৎকৃষ্টতর। আর তোমাদের অন্যায় করা হবে না খেজুর-বিচির-পাতলা পরত পরিমাণেও!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '570','chapter_id' => '4','translator_id' => '2','verse_number' => '77','translate_name' => '\'\'যেখানেই তোমরা থাকো মৃত্যু তোমাদের ধরবেই, যদিও তোমরা উঁচু দুর্গে অবস্থান করো।’’ আর যদি ভালো কিছু তাদের জন্য ঘটে তারা বলে, \'\'এ আল্লাহ্‌র তরফ থেকে।’’ আর যদি খারাপ কিছু তাদের জন্য ঘটে তারা বলে, \'\'এ তোমার কাছ থেকে।’’ তুমি বলো, \'\'সবই আল্লাহ্‌র কাছ থেকে।’’ কিন্তু কি হয়েছে এই লোকদের, এরা একথা বুঝবার কোনো চেষ্টা করে না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '571','chapter_id' => '4','translator_id' => '2','verse_number' => '78','translate_name' => 'ভালো যা কিছু তোমার ঘটে তা কিন্তু আল্লাহর কাছ থেকে, আর মন্দ বিষয় থেকে যা কিছু তোমার ঘটে তা কিন্তু তোমার নিজের থেকে। আর আমরা তোমাকে মানবগোষ্ঠীর জন্য রসূলরূপে পাঠিয়েছি। আর সাক্ষীরূপে আল্লাহ্‌ই যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '572','chapter_id' => '4','translator_id' => '2','verse_number' => '79','translate_name' => 'যে কেউ রসূলের আজ্ঞাপালন করে সে অবশ্যই আল্লাহ্‌র আজ্ঞাপালন করে। আর যে কেউ ফিরে যায় -- আমরা তোমাকে তাদের উপরে রক্ষাকর্ত্তারূপে পাঠাই নি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '573','chapter_id' => '4','translator_id' => '2','verse_number' => '80','translate_name' => 'আর তারা বলে বেড়ায় -- "আজ্ঞানুবর্তিতা", কিন্তু যখন তারা তোমার সামনে থেকে চলে যায়, তাদের একদল রাত্রিযাপন করে তুমি যা বলেছ তার উল্টোভাবে। আর আল্লাহ্ রেকর্ড করে রাখেন যা তারা নিশাকালে নিশানা করে, অতএব তাদের থেকে ফিরে দাঁড়াও আর আল্লাহ্‌র উপরে ভরসা করো। আর রক্ষাকারীরূপে আল্লাহ্‌ই যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '574','chapter_id' => '4','translator_id' => '2','verse_number' => '81','translate_name' => 'কি! তারা কি তবে কুরআন সন্বন্ধে ভাববে না? বস্তুত তা যদি আল্লাহ্ ছাড়া অন্য কারো কাছ থেকে হতো তবে তাতে নিশ্চয়ই তারা পেতো প্রচুর গরমিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '575','chapter_id' => '4','translator_id' => '2','verse_number' => '82','translate_name' => 'আর যখন তাদের কাছে নিরাপত্তার অথবা ভয়ের কোনো বিষয় আসে, তারা তা ছড়িয়ে দেয়। আর যদি তারা তা রসূলের ও তাদের মধ্যেকার কর্তৃপক্ষের গোচরে আনতো তবে তাঁদের মধ্যের যাঁদের এ তদন্ত করার কথা তাঁরা তা জানতে পারতেন। আর যদি আল্লাহ্‌র কল্যাণ ও তাঁর রহ্‌মত তোমাদের উপরে না থাকতো তাহলে তোমরা অবশ্যই শয়তানের তাবেদারি করতে -- অল্প ছাড়া।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '576','chapter_id' => '4','translator_id' => '2','verse_number' => '83','translate_name' => 'অতএব যুদ্ধ করো আল্লাহ্‌র পথে, তোমার উপরে তোমার নিজের ছাড়া চাপানো হয় নি, আর বিশ্বাসীদের উদ্বুদ্ধ করো। হতে পারে যারা অবিশ্বাস পোষণ করে তাদের হিংস্রতা আল্লাহ্ বন্ধ করবেন। আর আল্লাহ্ বিক্রমে কঠোরতর, আর লক্ষণীয় শাস্তিদানে আরো কঠোর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '577','chapter_id' => '4','translator_id' => '2','verse_number' => '84','translate_name' => 'যে কেউ সুপারিশ করে সুন্দর ওকালতিতে, তার জন্য ভাগ থাকবে তা থেকে, আর যে কেউ সুপারিশ করে মন্দ ওকালতিতে, তার জন্য বোঝা থাকবে তা থেকে। আর আল্লাহ্ হচ্ছেন সব বিষয়ের নিয়ন্ত্রণকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '578','chapter_id' => '4','translator_id' => '2','verse_number' => '85','translate_name' => 'আর যখন তোমাদের প্রীতি- সম্ভাষণ সম্ভাষিত করা হয় তখন তার চেয়েও ভালো সম্ভাষণ করো, অথবা তা ফিরিয়ে দাও। নিঃসন্দেহ আল্লাহ্ হচ্ছেন সব-কিছুর হিসাব রক্ষক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '579','chapter_id' => '4','translator_id' => '2','verse_number' => '86','translate_name' => 'আল্লাহ্ -- তিনি ছাড়া কোনো উপাস্য নেই। তিনি নিশ্চয়ই তোমাদের সমবেত করবেন কিয়ামতের দিনে -- কোনো সন্দেহ নেই তাতে। আর কথা রাখার বেলা আল্লাহ্‌র চাইতে কে বেশী সত্যনিষ্ঠ?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '580','chapter_id' => '4','translator_id' => '2','verse_number' => '87','translate_name' => 'তোমাদের তাহলে কি হয়েছে যে মূনাফিকদের সন্বন্ধে তোমরা দুই দল হয়েছ, অথচ আল্লাহ্ তাদের ফিরিয়ে দিয়েছেন তারা যা অর্জন করেছে সেজন্য? তোমরা কি তাকে পথ দেখাতে চাও যাকে আল্লাহ্ পথভ্রষ্ট হতে দিয়েছেন? আর যাকে আল্লাহ্ পথভ্রষ্ট হতে দেন তার জন্য তুমি কিছুতেই পথ পাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '581','chapter_id' => '4','translator_id' => '2','verse_number' => '88','translate_name' => 'তারা চায় যে তোমরা যেন অবিশ্বাস পোষণ করো যেমন তারা অবিশ্বাস করে, যাতে তোমরা সবাই এক রকমের হতে পারো। কাজেই তাদের মধ্যে থেকে কাউকে বন্ধু হিসেবে নিও না যে পর্যন্ত না তারা আল্লাহ্‌র পথে গৃহত্যাগ করে। কিন্তু তারা যদি ফিরে যায় তবে তাদের ধরো আর তাদের বধ করো যেখানেই তাদের পাও, আর তাদের থেকে কাউকেও বন্ধুরূপে নিও না এবং সাহায্যকারীরূপেও নয়, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '582','chapter_id' => '4','translator_id' => '2','verse_number' => '89','translate_name' => 'তারা ব্যতীত যারা এমন লোকদের সাথে যোগ-সাজশ করে যাদের মধ্যে ও তোমাদের মধ্যে অঙ্গীকার রয়েছে, অথবা যারা তোমাদের কাছে আসে যাদের হৃদয় সংকুচিত হয়েছে তোমাদের সঙ্গে যুদ্ধ করতে অথবা তাদের লোকদের সঙ্গে লড়াই করতে। আর যদি আল্লাহ্ ইচ্ছা করতেন তবে তিনি তোমাদের উপরে তাদের বলীয়ান করতেন, তার ফলে তারা নিশ্চয়ই তোমাদের সঙ্গে যুদ্ধ করতো। কাজেই যদি তারা তোমাদের থেকে সরে যায় ও তোমাদের সঙ্গে যুদ্ধ না করে, বরঞ্চ তোমাদের প্রতি শান্তি চুক্তি পেশ করে তাহলে তাদের বিরুদ্ধে কোনো পথ ধরবার জন্য আল্লাহ্ তোমাদের নিযুক্ত করেন নি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '583','chapter_id' => '4','translator_id' => '2','verse_number' => '90','translate_name' => 'তোমরা অন্যদেরও পাবে যারা চায় তোমাদের থেকে নিরাপদে থাকতে ও তাদের লোকদের থেকেও নিরাপদে থাকতে। যতবার বিরুদ্ধাচরণ করতে তাদের ফেরত ডাকা হয় তারা তাতে মগ্ন হয়, কাজেই তারা যদি তোমাদের থেকে সরে না যায় বা তোমাদের প্রতি শান্তি-চুক্তি পেশ না করে, বা তাদের হাত গুটিয়ে না নেয়, তবে তাদের ধরো আর তাদের কাতল করো যেখানেই তাদের পাও। আর এরাই -- এদের বিরুদ্ধে তোমাদের আমরা স্পষ্ট কর্তৃত্ব দিয়েছি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '584','chapter_id' => '4','translator_id' => '2','verse_number' => '91','translate_name' => 'আর একজন মূমিনের জন্য সঙ্গত নয় যে ভ্রমক্রমে ভিন্ন অন্য একজন মূমিনকে সে হত্যা করবে, আর যে কেউ একজন মূমিনকে ভুল করে কাতল করবে, তাহলে একজন মূমিন দাসকে মুক্ত করতে হবে আর তার লোকদের হত্যার খেসারত আদায় করবে যদি না তারা দানরূপে মাফ করে দেয়। কিন্তু যদি সে তোমাদের শত্রুপক্ষীয় দল থেকে হয় আর সে মুমিন হয়, তবে একজন মুমিন দাসকে মূক্ত করতে হবে। আর যদি সে এমন দলের লোক হয় যে তোমাদের মধ্যে ও তাদের মধ্যে অঙ্গীকার রয়েছে তাহলে তার লোকদের হত্যার খেসারত আদায় করতে হবে এবং মুক্ত করতে হবে একজন মূমিন দাসকে, কিন্তু যে পায় না তবে পরপর দুই মাস রোযা, -- আল্লাহ্‌র কাছ থেকে প্রায়শ্চিত্ত। আর আল্লাহ্ হচ্ছেন সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '585','chapter_id' => '4','translator_id' => '2','verse_number' => '92','translate_name' => 'আর যে কেউ ইচ্ছাকৃতভাবে একজন মূমিনকে হত্যা করে, তার তবে পরিণতি হচ্ছে জাহান্নাম, তাতে সে থাকবে দীর্ঘকাল, আর তার উপরে আসবে আল্লাহ্‌র গযব ও তাঁর লানৎ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '586','chapter_id' => '4','translator_id' => '2','verse_number' => '93','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমরা যখন আল্লাহ্‌র পথে যাত্রা করো, তখন পরিষ্কার করে নাও; আর যে তোমাদের প্রতি \'সালাম’ জানায় তাকে বলো না -- \'\'তুমি মূমিন নও।’’ তোমরা বুঝি এই দুনিয়ার জীবনের সম্পদ চাচ্ছ? কিন্তু আল্লাহ্‌র কাছে রয়েছে প্রচুর ধনদৌলত। ইতিপূর্বে তোমরাও এমন ছিলে, কিন্তু আল্লাহ্ তোমাদের হিতসাধন করেছেন; কাজেই পরিষ্কার করে নাও। নিঃসন্দেহ তোমরা যা করো আল্লাহ্ তার খবরদার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '587','chapter_id' => '4','translator_id' => '2','verse_number' => '94','translate_name' => 'সমতুল্য নয় মূমিনদের মধ্যেকার যারা বসে থাকা লোক -- কোনো চোটজখম না থাকাতেও, আর যারা আল্লাহ্‌র পথে তাদের ধনসম্পত্তি ও তাদের জানপ্রাণ দিয়ে জিহাদকারী। নিজ নিজ ধনসম্পত্তি ও আপন জানপ্রাণ দিয়ে জিহাদকারীদের আল্লাহ্ মাহা‌ত্ম্য দিয়েছেন বসে-থাকা-লোকদের উপরে পদমর্যাদায়। আর আল্লাহ্ সবাইকে কল্যাণদানের ওয়াদা করেছেন। আর মূজাহিদদের আল্লাহ্ মাহা‌ত্ম্য দিয়েছেন বসে-থাকা-লোকদের চাইতে বিরাট পুরস্কার দানে --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '588','chapter_id' => '4','translator_id' => '2','verse_number' => '95','translate_name' => 'তাঁর কাছ থেকে বহু পদমর্যাদায় আর পরিত্রাণে এবং করুণাধারায়। আর আল্লাহ্ হচ্ছেন পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '589','chapter_id' => '4','translator_id' => '2','verse_number' => '96','translate_name' => 'নিঃসন্দেহ ফিরিশ্‌তারা যাদের মৃত্যু আনয়ন করে যারা ছিল নিজেদের প্রতি অন্যায়কারী, তারা বলবে -- \'\'তোমরা কি অবস্থায় পড়ে রয়েছিলে?’’ তারা বলবে -- \'\'আমরা দুনিয়াতে দুর্বল ছিলাম।’’ তারা বলবে -- \'\'আল্লাহ্‌র পৃথিবী কি প্রশস্ত ছিল না যার ফলে তাতে তোমরা হিজরত করতে পারতে?’’ কাজেই এরা -- এদের বাসস্থান জাহান্নাম, আর মন্দ সেই আশ্রয়স্থল','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '590','chapter_id' => '4','translator_id' => '2','verse_number' => '97','translate_name' => 'তবে পুরুষদের ও স্ত্রীলোকদের ও ছেলেপিলেদের মধ্যে দুর্বল লোকেরা ব্যতীত, যাদের সামর্থ্য আয়ত্তের মধ্যে নেই ও যারা পথ খুঁজে পাচ্ছে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '591','chapter_id' => '4','translator_id' => '2','verse_number' => '98','translate_name' => 'অতএব এদের ক্ষেত্রে -- আশা হচ্ছে যে আল্লাহ্ তাদের ক্ষমা করবেন। আর আল্লাহ্ হচ্ছেন ক্ষমাশীল, পরিত্রাণকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '592','chapter_id' => '4','translator_id' => '2','verse_number' => '99','translate_name' => 'আর যে আল্লাহ্‌র পথে হিজরত করবে সে পৃথিবীতে পাবে বহু আশ্রয়স্থল ও প্রাচুর্য! আর যে কেউ তার বাড়িঘর থেকে আল্লাহ্ ও তাঁর রসূলের দিকে হিজরত ক’রে বের হয়ে আসে, তারপর মৃত্যু তাকে পাকড়াও করে, তাহলে তার প্রতিদান নিশ্চয়ই আল্লাহ্‌র কাছে মওজুদ রয়েছে! আর আল্লাহ্ হচ্ছেন পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '593','chapter_id' => '4','translator_id' => '2','verse_number' => '100','translate_name' => 'আর যখন তোমরা পৃথিবীতে বেরোও তখন তোমাদের উপরে কোনো অপরাধ হবে না যদি তোমরা নামাযে \'কছর’ করো, যদি তোমরা আশঙ্কা করো যে যারা অবিশ্বাস পোষণ করে তারা তোমাদের ঝামেলা করবে। নিঃসন্দেহ অবিশ্বাসীরা হচ্ছে তোমাদের প্রতি প্রকাশ্য শত্রু।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '594','chapter_id' => '4','translator_id' => '2','verse_number' => '101','translate_name' => 'আর যখন তুমি তাদের মধ্যে অবস্থান করো আর তাদের জন্য নামাযে খাড়া হও, তখন তাদের মধ্যের একদল তোমার সঙ্গে দাঁড়াক এবং তাদের অস্ত্রধারণ করুক, কিন্তু যখন তারা সিজদা দিয়েছে তখন তারা তোমাদের পেছন থেকে সরে যাক, আর অন্যদল যারা নামায পড়ে নি তারা এগিয়ে আসুক ও তোমার সঙ্গে নামায পড়ুক, আর তারা তাদের সতর্কতামূলক ব্যবস্থা ও তাদের অস্ত্রগ্রহণ করুক, কেননা যারা অবিশ্বাস পোষণ করে তারা চায় যে যদি তোমরা তোমাদের অস্ত্রশস্ত্র ও তোমাদের মাল-আসবাব সন্বন্ধে অসাবধান হও তবে তারা তোমাদের উপরে এক ঝাঁপে ঝাঁপিয়ে পড়তে পারে। আর তোমাদের উপরে অপরাধ হবে না যদি তোমরা বৃষ্টিতে বিব্রত হও অথবা তোমরা অসুস্থ হও, ফলে তোমাদের অস্ত্র রেখে দাও, কিন্তু তোমাদের সতর্কতামূলক ব্যবস্থা গ্রহণ করো। নিঃসন্দেহ অবিশ্বাসীদের জন্য আল্লাহ্ তৈরি করেছেন লাঞ্ঝনাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '595','chapter_id' => '4','translator_id' => '2','verse_number' => '102','translate_name' => 'তবে যখন তোমরা নামায আদায় করো তখনো আল্লাহ্‌কে স্মরণ করবে দাঁড়ানো অবস্থায় ও বসে থেকে, ও তোমাদের পাশে কাত হয়ে। কিন্তু যখন তোমরা নিরাপত্তা বোধ করো তখন নামায কায়েম করো। নিঃসন্দেহ নামায হচ্ছে মূমিনদের জন্য নির্দিষ্ট সময়ে পালনীয় বিধান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '596','chapter_id' => '4','translator_id' => '2','verse_number' => '103','translate_name' => 'আর লোকের অনুসন্ধানে শিথিল হয়ো না। যদি তোমরা ব্যথা পেয়ে থাকো তবে তারাও নিশ্চয়ই ব্যথা পেয়েছে যেমন তোমরা ব্যথা পেয়েছ, আর তোমরা আল্লাহ্‌র কাছ থেকে যা আশা করো তারা তা আশা করে না। আর আল্লাহ্ হচ্ছেন সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '597','chapter_id' => '4','translator_id' => '2','verse_number' => '104','translate_name' => 'নিঃসন্দেহ আমরা তোমার কাছে এই কিতাব অবতারণ করেছি সত্যের সাথে, যেন তুমি লোকজনের মধ্যে বিচার করতে পারো আল্লাহ্ যা তোমাকে দেখিয়েছেন তার সাহায্যে। আর বিশ্বাসভঙ্গকারীদের পক্ষ-সমর্থনকারী হয়ো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '598','chapter_id' => '4','translator_id' => '2','verse_number' => '105','translate_name' => 'আর আল্লাহ্‌র কাছে পরিত্রাণ খোঁজো। নিঃসন্দেহ আল্লাহ্ হচ্ছেন পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '599','chapter_id' => '4','translator_id' => '2','verse_number' => '106','translate_name' => 'আর যারা নিজেদের আ‌ত্মাকে ফাঁকি দেয় তাদের পক্ষে বিতর্ক করো না। নিঃসন্দেহ আল্লাহ্ ভালোবাসেন না তাকে যে বিশ্বাসঘাতক, পাপাচারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '600','chapter_id' => '4','translator_id' => '2','verse_number' => '107','translate_name' => 'তারা লুকোয় মানুষদের থেকে, কিন্তু তারা লুকোতে পারে না আল্লাহ্‌র থেকে, কারণ তিনি তাদের সঙ্গে থাকেন যখন তারা রাত্রে আলোচনা করে সেইসব কথা যা তাঁকে খুশী করে না। আর তারা যা করে আল্লাহ্ তার ঘেরাওকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '601','chapter_id' => '4','translator_id' => '2','verse_number' => '108','translate_name' => 'আহা রে! তোমরাই তারা যারা তাদের পক্ষে এই দুনিয়ার জীবনে বিতর্ক করছ, কিন্তু কে আল্লাহ্‌র কাছে তাদের পক্ষে বিতর্ক করবে কিয়ামতের দিনে? অথবা কে হবে তাদের পক্ষে উকিল?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '602','chapter_id' => '4','translator_id' => '2','verse_number' => '109','translate_name' => 'আর যে কেউ কুকর্ম করে অথবা নিজের আ‌ত্মার প্রতি জুলুম করে, তারপর আল্লাহ্‌র কাছে ক্ষমা প্রার্থনা করে, সে আল্লাহ্‌কে পাবে পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '603','chapter_id' => '4','translator_id' => '2','verse_number' => '110','translate_name' => 'আর যে কেউ পাপ অর্জন করে, সে তবে নিঃসন্দেহ তা অর্জন করে নিজের আ‌ত্মার বিরুদ্ধে। আর আল্লাহ্ হচ্ছেন সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '604','chapter_id' => '4','translator_id' => '2','verse_number' => '111','translate_name' => 'আর যে কেউ কোনো ত্রুটি বা পাপ অর্জন করে, তারপর এর দ্বারা দোষারোপ করে নির্দোষকে, সে তাহলে নিশ্চয়ই বহন করছে কলঙ্কারোপের ও স্পষ্ট পাপের বোঝা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '605','chapter_id' => '4','translator_id' => '2','verse_number' => '112','translate_name' => 'আর যদি তোমার উপরে আল্লাহ্‌র কৃপা ও তাঁর করুণা না থাকতো তাহলে তাদের একদল নিশ্চয়ই সংকল্প করেছিল তোমাকে পথভ্রান্ত করতে। কিন্তু তারা নিজেদের ছাড়া কাউকে পথভ্রান্ত করে না, আর তারা তোমার কিছুই ক্ষতি করতে পারবে না। আর আল্লাহ্ তোমার কাছে নাযিল করেছেন কিতাব ও জ্ঞানবিজ্ঞান, আর তোমাকে শিখিয়েছেন যা তুমি জানতে না। আর তোমার উপরে আল্লাহ্‌র কৃপা হচ্ছে অসীম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '606','chapter_id' => '4','translator_id' => '2','verse_number' => '113','translate_name' => 'তাদের বেশির ভাগ গোপন পরামর্শে ভালো কিছু নেই তার ক্ষেত্রে ছাড়া যে নির্দেশ দেয় দানখয়রাতের অথবা শুভকাজের অথবা মানুষের মাঝে শান্তি প্রতিষ্ঠার। আর যে কেউ এরকম করে আল্লাহ্‌র সন্তষ্টি কামনা ক’রে, তাহলে তাকে আমরা দেবো বিরাট পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '607','chapter_id' => '4','translator_id' => '2','verse_number' => '114','translate_name' => 'আর যে কেউ রসূলের বিরুদ্ধাচরণ করে পথনির্দেশ তার কাছে সুস্পষ্ট হবার পরে, আর অনুসরণ করে মূমিনদের পথ থেকে ভিন্ন, আমরা তাকে ফেরাবো সেই দিকে যে দিকে সে ফিরেছে, আর তাকে প্রবেশ করাবো জাহান্নামে, আর মন্দ সেই গন্তব্যস্থান!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '608','chapter_id' => '4','translator_id' => '2','verse_number' => '115','translate_name' => 'নিঃসন্দেহ আল্লাহ্ ক্ষমা করেন না তাঁর সঙ্গে শরিক করা হোক, আর তা ছাড়া সব-কিছু তিনি ক্ষমা করেন যার জন্য তিনি ইচ্ছে করেন। আর যে কেউ আল্লাহ্‌র সঙ্গে অংশীদার করে সে নিশ্চয়ই বিপথগামী হয় সুদূর বিপথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '609','chapter_id' => '4','translator_id' => '2','verse_number' => '116','translate_name' => 'তারা তো আহ্বান করে তাঁর পরিবর্তে শুধু নারী- মূর্তিদের, আর তারা তো আহ্বান করে শুধু বিদ্রোহী শয়তানকে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '610','chapter_id' => '4','translator_id' => '2','verse_number' => '117','translate_name' => 'তাকে আল্লাহ্ ধিক্কার দিয়েছেন। আর সে বলেছিল -- \'\'আমি নিশ্চয় তোমার বান্দাদের একটি নির্ধারিত অংশ গ্রহণ করবো” ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '611','chapter_id' => '4','translator_id' => '2','verse_number' => '118','translate_name' => '\'\'আর আমি নিশ্চয়ই তাদের পথভ্রান্ত করবো, আর তাদের মধ্যে জাগাবো ব্যর্থ-কামনা, আর তাদের নির্দেশ দেবো -- ফলে তারা গবাদি-পশুর কর্ণচ্ছেদ করবে, আর আমি তাদের আদেশ করবো -- ফলে তারা আল্লাহ্‌র সৃষ্টি পাল্টে দেবে।’’ আর যে কেউ আল্লাহ্‌র পরিবর্তে শয়তানকে মূরব্বীরূপে গ্রহণ করে সে নিশ্চয়ই ডাহা লোকসানে ক্ষতিগ্রস্ত হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '612','chapter_id' => '4','translator_id' => '2','verse_number' => '119','translate_name' => 'সে তাদের প্রতি‌শ্রুতি দেয় আর তাদের মধ্যে জাগায় ব্যর্থ-কামনা। আর শয়তান কেবল প্রবঞ্চনা করা ছাড়া তাদের অন্য প্রতি‌শ্রুতি দেয় না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '613','chapter_id' => '4','translator_id' => '2','verse_number' => '120','translate_name' => 'এরাই, -- এদের বাসস্থান জাহান্নাম, আর সেখান থেকে তারা কোনো নিষ্কৃতি পাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '614','chapter_id' => '4','translator_id' => '2','verse_number' => '121','translate_name' => 'আর যারা ঈমান এনেছে ও সৎকাজ করছে তাদের আমরা শীঘ্রই প্রবেশ করাবো স্বর্গোউদ্যানসমূহে, যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, তারা সেখানে থাকবে অনন্তকাল; -- আল্লাহ্‌র এ ওয়াদা ধ্রুবসত্য। আর কে বেশী সত্যবাদী আল্লাহ্‌র চেয়ে কথা রাখার ক্ষেত্রে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '615','chapter_id' => '4','translator_id' => '2','verse_number' => '122','translate_name' => 'এ হবে না তোমাদের চাওয়া অনুসারে, আর গ্রন্থপ্রাপ্তদের চাওয়া অনুসারেও নয়। যে কেউ কুকর্ম করে তাই দিয়ে তাকে প্রতিফল দেয়া হবে, আর তার জন্য সে আল্লাহ্‌কে ছাড়া পাবে না কোনো বন্ধু, না কোনো সহায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '616','chapter_id' => '4','translator_id' => '2','verse_number' => '123','translate_name' => 'আর যে কেউ ভালো ভালো কাজ করে, পুরুষ হোক বা নারী, আর সে মূমিন হয়, -- এরাই তবে বেহেশতে প্রবেশ করবে, আর তাদের অন্যায় করা হবে না খেজুর-বিচির-খোসা-পরিমাণে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '617','chapter_id' => '4','translator_id' => '2','verse_number' => '124','translate_name' => 'আর তাঁর চাইতে কে বেশী ধর্মপরায়ণ যে আল্লাহ্‌র দিকে আপন মূখমন্ডল সমর্পণ করেছে আর সে সৎকর্মী, আর যে সরল স্বভাব ইব্রাহীমের ধর্মমত অনুসরণ করে? আর আল্লাহ্ ইব্রাহীমকে গ্রহণ করেছিলেন বন্ধুরূপে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '618','chapter_id' => '4','translator_id' => '2','verse_number' => '125','translate_name' => 'আর আল্লাহ্‌রই যা-কিছু আছে মহাকাশমন্ডলে ও যা-কিছু পৃথিবীতে। আর আল্লাহ্ হচ্ছেন সব-কিছুরই বেষ্টনকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '619','chapter_id' => '4','translator_id' => '2','verse_number' => '126','translate_name' => 'আর নারীদের সন্বন্ধে তারা তোমার কাছে সিদ্ধান্ত চায়। বলো -- \'\'আল্লাহ্ তাদের সন্বন্ধে তোমাদের কাছে সিদ্ধান্ত দিয়েছেন, আর যা তোমাদের কাছে কিতাবখানিতে বর্ণনা করা হয়েছে নারীদের এতীম সন্তানদের সন্বন্ধে, যাদের তোমরা দিতে চাও না তাদের জন্য নির্ধারিত প্রাপ্য, অথচ তোমরা ইচ্ছা করো যে তাদের তোমরা বিয়ে করবে, আর সন্তানসন্ততিদের মধ্যের দুর্বলদের সন্বন্ধে, আর যেন এতীমদের প্রতি ন্যায়বিচার করা তোমরা কায়েম করো।’’ আর ভালো বিষয়ের যা-কিছু তোমরা করো, নিঃসন্দেহ আল্লাহ্ সে- সন্বন্ধে হচ্ছেন সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '620','chapter_id' => '4','translator_id' => '2','verse_number' => '127','translate_name' => 'আর যদি কোনো নারী তার স্বামীর কাছ থেকে আশঙ্কা করে দুর্ব্যবহার অথবা বর্জন, তবে তাদের উভয়ের দোষ হবে না যদি তারা উভয়ের মধ্যে বুঝাপড়া ক’রে পুনর্মিলন ঘটাতে পারে। আর আপোস-মীমাংসা কল্যাণকর। আর মনের মধ্যে বর্তমান থাকে লালসা। আর যদি তোমরা ভালো করো ও ভয়শ্রদ্ধা করো, তবে নিঃসন্দেহ তোমরা যা করো সে সন্বন্ধে আল্লাহ্ হচ্ছেন চির ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '621','chapter_id' => '4','translator_id' => '2','verse_number' => '128','translate_name' => 'আর তোমাদের সাধ্য নেই যে তোমরা স্ত্রীদের মধ্যে সমব্যবহার করবে, যদিও তোমরা আকাঙক্ষা করো। কিন্তু বীতরাগ হয়ো না পুরোপুরি বিরাগভাজনে, যার ফলে তাকে ফেলে রাখো যেন ঝুলন্ত অবস্থায়। আর যদি তোমরা সমঝোথা করো এবং, তবে নিঃসন্দেহ আল্লাহ্ হচ্ছেন পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '622','chapter_id' => '4','translator_id' => '2','verse_number' => '129','translate_name' => 'আর যদি তারা বিচ্ছিন্ন হয়, আল্লাহ তাদের উভয়কে সমৃদ্ধ করবেন তাঁর প্রাচুর্য থেকে। আর আল্লাহ্ হচ্ছেন অশেষ দাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '623','chapter_id' => '4','translator_id' => '2','verse_number' => '130','translate_name' => 'আর যা-কিছু আছে মহাকাশমন্ডলে এবং যা-কিছু পৃথিবীতে সে-সবই আল্লাহ্‌র। আর আমরা নিশ্চয়ই নির্দেশ দিয়ছিলাম তোমাদের আগে যাদের কিতাব দেয়া হয়েছিল তাদের এবং তোমাদেরও যেন তোমরা আল্লাহ্‌কে ভয়-শ্রদ্ধা করবে। কিন্তু যদি তোমরা অবিশ্বাস পোষণ করো তবে নিঃসন্দেহ আল্লাহ্‌রই যা-কিছু আছে মহাকাশমন্ডলে ও যা-কিছু পৃথিবীতে। আর আল্লাহ্ হচ্ছেন মহাধনবান, পরম প্রশংসিত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '624','chapter_id' => '4','translator_id' => '2','verse_number' => '131','translate_name' => 'আর আল্লাহ্‌রই যা-কিছু আছে মহাকাশমন্ডলে ও যা-কিছু আছে পৃথিবীতে। আর রক্ষাকারীরূপে আল্লাহ্‌ই যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '625','chapter_id' => '4','translator_id' => '2','verse_number' => '132','translate_name' => 'হে লোকগণ! যদি তিনি ইচ্ছা করেন তবে তিনি তোমাদের সরিয়ে দিতে পারেন, আর অন্যদের নিয়ে আসতে পারেন। আর আল্লাহ্ এই ব্যাপরে হচ্ছেন অসীম ক্ষমতাশালী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '626','chapter_id' => '4','translator_id' => '2','verse_number' => '133','translate_name' => 'যে কেউ এই দুনিয়ার পুরস্কার কামনা করে আল্লাহ্‌র কাছে তবে রয়েছে ইহজগতের ও পরকালের পুরস্কার। আর আল্লাহ্ হচ্ছেন সর্বশ্রোতা, সর্বদ্রষ্টা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '627','chapter_id' => '4','translator_id' => '2','verse_number' => '134','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমরা ন্যায়বিচারের দৃঢ় প্রতিষ্ঠাতা হও, আল্লাহ্‌র উদ্দেশ্যে সাক্ষ্যদাতা হও, যদিও তা তোমাদের নিজেদের বিরুদ্ধে যায় অথবা পিতা-মাতার ও নিকট-আ‌ত্মীয়ের, সে ধনী হোক অথবা গরীব, -- কেননা আল্লাহ্ তাদের উভয়ের বেশি নিকটবর্তী। কাজেই কামনার অনুবর্তী হয়ো না পাছে তোমরা ভ্রষ্ট হও। আর যদি তোমরা বিকৃত করো অথবা ফিরে যাও, তবে নিঃসন্দেহ তোমরা যা করো আল্লাহ্ হচ্ছেন তার পূর্ণ ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '628','chapter_id' => '4','translator_id' => '2','verse_number' => '135','translate_name' => 'ওহে যারা ঈমান এনেছ! বিশ্বাস স্থাপন করো আল্লাহ্‌তে ও তাঁর রসূলে, ও কিতাবে যা তিনি নাযিল করেছেন তাঁর রসূলের কাছে, আর যে গ্রন্থ তিনি অবতারণ করেছিলেন এর আগে। আর যে কেউ অবিশ্বাস করে আল্লাহ্‌তে ও তাঁর ফিরিশ্‌তাগণে, ও তাঁর কিতাবসমূহে, ও তাঁর রসূলগণে, ও আখেরাতের দিনে, -- সে তাহলে নিশ্চয়ই চলে গেছে সুদূর বিপথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '629','chapter_id' => '4','translator_id' => '2','verse_number' => '136','translate_name' => 'নিঃসন্দেহ যারা ঈমান আনে তারপর অবিশ্বাস পোষণ করে, পুনরায় ঈমান আনে ও আবার অবিশ্বাস করে, তারপর অবিশ্বাস বাড়িয়ে নিয়ে যায়, -- তাদের পরিত্রাণ করার জন্য আল্লাহ্ নন, আর নন তাদের সুপথে পরিচালিত করার জন্যেও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '630','chapter_id' => '4','translator_id' => '2','verse_number' => '137','translate_name' => 'মূনাফিকদের সুসংবাদ দাও যে তাদের জন্য নিশ্চয়ই রয়েছে ব্যথাদায়ক শাস্তি --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '631','chapter_id' => '4','translator_id' => '2','verse_number' => '138','translate_name' => 'যারা অবিশ্বাসীদের বন্ধুরূপে গ্রহণ করে বিশ্বাসীদের ছেড়ে দিয়ে। তারা কি তাদের কাছে মান-সম্মান খোঁজে? তবে নিঃসন্দেহ সম্মান-প্রতিপত্তি সমস্তই আল্লাহ্‌র।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '632','chapter_id' => '4','translator_id' => '2','verse_number' => '139','translate_name' => 'আর নিশ্চয়ই তোমাদের কাছে তিনি কিতাবে নাযিল করেছেন যে যখন তোমরা শোনো আল্লাহ্‌র আয়াতসমূহ অবিশ্বাস করা হচ্ছে ও সেগুলোকে বিদ্রূপ করা হচ্ছে তখন তাদের সঙ্গে বসে থেকো না যে পর্যন্ত না তারা অন্য কোনো প্রসঙ্গে প্রবেশ করে, নিঃসন্দেহ তাহলে তোমরাও তাদের মতো হবে। নিঃসন্দেহ আল্লাহ্ মূনাফিকদের ও অবিশ্বাসীদের সম্মিলিতভাবে একত্রিত করতে যাচ্ছেন জাহান্নামে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '633','chapter_id' => '4','translator_id' => '2','verse_number' => '140','translate_name' => 'যারা প্রতীক্ষায় থাকে তোমাদের জন্য, তারপর যদি আল্লাহ্‌র কাছ থেকে তোমাদের বিজয় লাভ হয় তবে তারা বলে -- \'\'আমরা কি তোমাদের সঙ্গে ছিলাম না?’’ আর যদি অবিশ্বাসীদের জন্য ভাগ পড়ে তবে তারা বলে -- \'\'আমরা কি তোমাদের উপরে আধিপত্য রাখি নি এবং মূমিনদের থেকে তোমাদের রক্ষা করি নি?’’ সেজন্য আল্লাহ্ কিয়ামতের দিন তোমাদের মধ্যে বিচার করবেন। আর আল্লাহ্ কখনো অবিশ্বাসীদের মূমিনদের উপরে পথ করে দেবেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '634','chapter_id' => '4','translator_id' => '2','verse_number' => '141','translate_name' => 'নিঃসন্দেহ মূনাফিকরা চায় আল্লাহ্‌কে ফাঁকি দিতে, কিন্তু তিনিই তাদের ফাঁকি প্রতিদানকারী। আর যখন তারা নামাযে দাঁড়ায়, তারা দাঁড়ায় অমনোযোগের সাথে, লোককে তারা দেখাতে যায়; আর তারা আল্লাহ্‌কে স্মরণ করে না অল্প পরিমাণে ছাড়া,','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '635','chapter_id' => '4','translator_id' => '2','verse_number' => '142','translate_name' => 'তারা দোল খাচ্ছে এর মাঝখানে -- এদিকেও তারা নয়, ওদিকেও তারা নয়। আর যাকে আল্লাহ্ বিপথে চলতে দেন, তুমি তার জন্যে কখনো পথ পাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '636','chapter_id' => '4','translator_id' => '2','verse_number' => '143','translate_name' => 'ওহে যারা ঈমান এনেছ! মুমিনদের বাদ দিয়ে অবিশ্বাসীদের বন্ধুরূপে গ্রহণ করো না, তোমরা কি চাও যে তোমরা আল্লাহ্‌র কাছে তোমাদের বিরুদ্ধে স্পষ্ট কর্তৃত্ব দেবে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '637','chapter_id' => '4','translator_id' => '2','verse_number' => '144','translate_name' => 'নিঃসন্দেহ মুনাফিকরা আগুনের নিন্মতম গহবরে থাকবে, আর তুমি তাদের জন্য কখনো পাবে না কোনো সহায় --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '638','chapter_id' => '4','translator_id' => '2','verse_number' => '145','translate_name' => 'তারা ব্যতীত যারা তওবা করে ও শোধরায়, আর আল্লাহ্‌কে দৃঢ়ভাবে আঁকড়ে ধরে, আর তাদের ধর্মকে আল্লাহ্‌র জন্য বিশুদ্ধ করে, -- তারা তবে মুমিনদের সাথে, আর শীঘ্রই আল্লাহ্ মুমিনদের দিচ্ছেন এক বিরাট পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '639','chapter_id' => '4','translator_id' => '2','verse_number' => '146','translate_name' => 'তোমাদের শাস্তিতে আল্লাহ্ কি করবেন, যদি তোমরা কৃতজ্ঞ হও ও বিশ্বাস স্থাপন করো। আর আল্লাহ্ হচ্ছেন বিপুল পুরস্কার দাতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '640','chapter_id' => '4','translator_id' => '2','verse_number' => '147','translate_name' => 'আল্লাহ্ ভালোবাসেন না প্রকাশ্যে মন্দ বাক্যালাপ, তবে যাকে জুলুম করা হয়েছে সে ছাড়া। আর আল্লাহ্ হচ্ছেন সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '641','chapter_id' => '4','translator_id' => '2','verse_number' => '148','translate_name' => 'যদি তোমরা ভলো কিছু প্রকাশ্যভাবে করো, অথবা তা গোপন রাখো, অথবা ক্ষমা করে দাও মন্দ কিছু, তাহলে নিঃসন্দেহ আল্লাহ্ হচ্ছেন সদা ক্ষমাশীল, পরম শক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '642','chapter_id' => '4','translator_id' => '2','verse_number' => '149','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে আল্লাহ্‌তে ও তাঁর রসূলগণে, আর যারা আল্লাহ্ ও তাঁর রসূলদের মধ্যে পার্থক্য করতে চায়, আর তারা বলে -- \'\'আমরা ঈমান আনি কয়েকজনের প্রতি আর অস্বীকার করি কয়েকজনকে”, আর যারা চায় ওর মধ্যে একটি পথ নিতে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '643','chapter_id' => '4','translator_id' => '2','verse_number' => '150','translate_name' => 'এরা নিজেরাই হচ্ছে প্রকৃত অবিশ্বাসী, আর আমরা অবিশ্বাসীদের জন্য তৈরি করেছি লাঞ্ঝনাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '644','chapter_id' => '4','translator_id' => '2','verse_number' => '151','translate_name' => 'আর যারা ঈমান আনে আল্লাহ্‌তে ও তাঁর রসূলগণে, আর তাঁদের কোনো একজনের মধ্যেও পার্থক্য করে না; এরাই -- এদের পুরস্কার শীঘ্রই এদের দেয়া হবে। আর আল্লাহ্ হচ্ছেন পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '645','chapter_id' => '4','translator_id' => '2','verse_number' => '152','translate_name' => 'গ্রন্থপ্রাপ্তরা তোমাকে প্রশ্ন করে তুমি আকাশ থেকে তাদের কাছে কিতাব অবতারণ করো; এমনিভাবে তারা মূসার কাছে সওয়াল করেছিল এর চাইতেও বড় কিছু, যখন তারা বলেছিল -- \'\'আল্লাহ্‌কে আমাদের দেখাও প্রকাশ্যভাবে।’’ তাই বজ্রধবনি তাদের পাকড়ালো তাদের অন্যায়ের জন্য। তারপর তারা গোবৎসকে গ্রহণ করেছিল তাদের কাছে স্পষ্ট নিদর্শনাবলী আসার পরেও; কিন্তু আমরা তাও মাফ করলাম। আর আমরা মূসাকে দিয়েছিলাম স্পষ্ট কর্তৃত্ব।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '646','chapter_id' => '4','translator_id' => '2','verse_number' => '153','translate_name' => 'আর আমরা তাদের উপরে তুলেছিলাম পর্বত তাদের অঙ্গীকারের সময়ে, আর তাদের বলেছিলাম -- \'\'দরজা দিয়ে প্রবেশ করো নত মস্তকে।’’ আর তাদের বলেছিলাম -- \'\'সাব্বাথের নিয়ম লঙঘন করো না।’’ আর তাদের থেকে আমরা গ্রহণ করেছিলাম সুদৃঢ় অঙ্গীকার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '647','chapter_id' => '4','translator_id' => '2','verse_number' => '154','translate_name' => 'কিন্তু তাদের অঙ্গীকার তাদের ভেঙ্গে দেবার ফলে, আর আল্লাহ্‌র নির্দেশের প্রতি তাদের অবিশ্বাসের জন্যে, আর নবীগণকে না- হক্‌ভাবে তাদের হত্যা করতে যাবার জন্যে, আর তাদের বলার জন্য -- \'\'আমাদের হৃদয় হ’ল গেলাফ।’’ না, আল্লাহ্ তাদের উপরে সীল মেরে দিয়েছেন তাদের অবিশ্বাসের জন্যেচ তাই তারা ঈমান আনে না অল্প ছাড়া, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '648','chapter_id' => '4','translator_id' => '2','verse_number' => '155','translate_name' => 'আর তাদের অবিশ্বাসের জন্যে, আর মরিয়মের বিরুদ্ধে তাদের জঘন্য কুৎসা রটনার জন্যে;','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '649','chapter_id' => '4','translator_id' => '2','verse_number' => '156','translate_name' => 'আর তাদের বলার জন্য -- \'\'আমরা নিশ্চয়ই কাতল করেছি মসীহ্‌কে, -- মরিয়ম-পুত্র ঈসাকে” আল্লাহ্‌র রসূল, আর তারা তাঁকে কাতল করে নি, আর তারা তাঁকে ত্রুশে বধও করে নি, কিন্তু তাদের কাছে তাঁকে তেমন প্রতীয়মান করা হয়েছিল। আর নিঃসন্দেহ যারা এ বিষয়ে ভিন্ন মত পোষণ করছিল, তারা অবশ্য তাঁর সন্বন্ধে সন্দেহের মধ্যে ছিল। এ বিষয়ে তাদের কোনো জ্ঞান নেই অনুমানের অনুসরণ ছাড়া। আর এ সুনিশ্চিত যে তারা তাঁকে হত্যা করে নি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '650','chapter_id' => '4','translator_id' => '2','verse_number' => '157','translate_name' => 'পক্ষান্তরে আল্লাহ্ তাঁকে তাঁর দিকে উন্নীত করেছেন। আর আল্লাহ্ হচ্ছেন মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '651','chapter_id' => '4','translator_id' => '2','verse_number' => '158','translate_name' => 'আর গ্রন্থপ্রাপ্তদের মধ্যে এমন কেউ নেই যে এতে বিশ্বাস করবে না তার মৃত্যুর পূর্বে। আর কিয়ামতের দিনে তিনি হবেন তাদের বিরুদ্ধে সাক্ষ্যদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '652','chapter_id' => '4','translator_id' => '2','verse_number' => '159','translate_name' => 'তারপর যারা ইহুদী মত পোষণ করে তাদের অন্যায় আচরণের ফলে আমরা তাদের জন্য হারাম করলাম কিছু পবিত্র বস্তু যা তাদের জন্য হালাল ছিল, আর তাদের প্রতিরোধ করার জন্যে বহু লোককে আল্লাহ্‌র পথ থেকে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '653','chapter_id' => '4','translator_id' => '2','verse_number' => '160','translate_name' => 'আর তাদের সুদ নেবার জন্যে, যদিও তাদের তা নিষেধ করা হয়েছিল, আর লোকের সম্পত্তি অন্যায়ভাবে তাদের গ্রাস করার জন্যে। আর তাদের মধ্যের অবিশ্বাসীদের জন্য আমরা তৈরি করেছি ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '654','chapter_id' => '4','translator_id' => '2','verse_number' => '161','translate_name' => 'কিন্তু তাদের মধ্যে যারা জ্ঞানে দৃঢ়প্রতিষ্ঠিত আর মুমিনগণ, তারা বিশ্বাস করে তোমার কাছে যা নাযিল হয়েছে ও যা তোমার আগে নাযিল হয়েছিল তাতে, আর যারা নামায কায়েম করে ও যাকাত আদায় করে, আর যারা আল্লাহ্‌র প্রতি ও আখেরাতের দিনে বিশ্বাস স্থাপন করে, -- এরাই, এদের আমরা শীঘ্রই দেবো বিরাট পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '655','chapter_id' => '4','translator_id' => '2','verse_number' => '162','translate_name' => 'নিঃসন্দেহ আমরা তোমার কাছে প্রত্যাদেশ পাঠিয়েছি যেমন আমরা প্রত্যাদেশ দিয়েছিলাম নূহকে ও তাঁর পরবর্তী নবীদের, আর আমরা প্রত্যাদেশ পাঠিয়েছি ইব্রাহীমকে, আর ইসমাইল ও ইসহাক ও ইয়াকুবকে, আর গোত্রদের, আর ঈসা ও আইয়ুব ও ইউনুসকে, আর হারূন ও সুলাইমানকে, আর আমরা দাউদকে দিয়েছিলাম যবূর --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '656','chapter_id' => '4','translator_id' => '2','verse_number' => '163','translate_name' => 'আর রসূলগণকে যাঁদের কথা ইতিপূর্বে তোমার কাছে বর্ণনা করেছি, আর রসূলগণকে যাঁদের বিষয়ে তোমার কাছে উল্লেখ করি নি; আর আল্লাহ্ মূসার সঙ্গে বলেছিলেন কথাবার্তা, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '657','chapter_id' => '4','translator_id' => '2','verse_number' => '164','translate_name' => 'রসূলগণকে সুসংবাদদাতারূপে, আর সাবধানকারীরূপে, যেন আল্লাহ্‌র বিরুদ্ধে লোকদের কোনো অজুহাত না থাকতে পারে রসূলগণের পরে। আর আল্লাহ্ হচ্ছেন মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '658','chapter_id' => '4','translator_id' => '2','verse_number' => '165','translate_name' => 'কিন্তু আল্লাহ্ সাক্ষ্য দিচ্ছেন যা তোমার কাছে অবতীর্ণ করেছেন তার দ্বারা যে তিনি তা নাযিল করেছেন তাঁর জ্ঞানের সঙ্গে, আর ফিরিশ্‌তারাও সাক্ষ্য দিচ্ছে। আর সাক্ষীরূপে আল্লাহ্ যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '659','chapter_id' => '4','translator_id' => '2','verse_number' => '166','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে এবং আল্লাহ্‌র পথ থেকে সরিয়ে রাখে, তারা নিশ্চয়ই পথ হারিয়ে গেছে সুদূর বিপথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '660','chapter_id' => '4','translator_id' => '2','verse_number' => '167','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে আর অন্যায় করে, তাদের পরিত্রাণের জন্য আল্লাহ্ দায় নিচ্ছেন না, আর তাদের কোনো গতিপথে পরিচালিত করার জন্যেও না, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '661','chapter_id' => '4','translator_id' => '2','verse_number' => '168','translate_name' => 'শুধু জাহান্নামের পথে ছাড়া, তারা সেখানে থাকবে সুদীর্ঘকাল। আর আল্লাহ্‌র পক্ষে এটা হচ্ছে সহজ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '662','chapter_id' => '4','translator_id' => '2','verse_number' => '169','translate_name' => 'ওহে মানবগোষ্ঠি! নিশ্চয়ই রসূল তোমাদের কাছে এসেছেন তোমাদের প্রভুর কাছ থেকে সত্যসহ, অতএব ঈমান আনো, তোমাদের জন্য তা মঙ্গলজনক। কিন্তু যদি তোমরা অবিশ্বাস পোষণ করো তবে নিঃসন্দেহ আল্লাহ্‌রই যা-কিছু আছে মহাকাশ-মন্ডলে ও যা-কিছু পৃথিবীতে। আর আল্লাহ্ হচ্ছেন সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '663','chapter_id' => '4','translator_id' => '2','verse_number' => '170','translate_name' => 'হে গ্রন্থপ্রাপ্ত লোকেরা! তোমাদের ধর্মে বাড়াবাড়ি করো না, আর আল্লাহ্ সম্পর্কে সত্য ছাড়া অন্য কথা বলো না। নিঃসন্দেহ মসীহ্ -- মরিয়মের পুত্র ঈসা হচ্ছেন আল্লাহ্‌র একজন রসূল, আর তাঁর কলিমাহ্‌, যা তিনি মরিয়মের কাছে পাঠিয়েছিলেন, আর তাঁর কাছ থেকে আসা রূহ্‌, কাজেই ঈমান আনো আল্লাহ্‌র প্রতি ও তাঁর রসূলগণের প্রতি, আর বলো না -- \'\'তিনজন’’, থামো -- তোমাদের জন্য মঙ্গলময়। নিঃসন্দেহ আল্লাহ্ হচ্ছেন একক উপাস্য, সমস্ত মহিমা তাঁরই, যে তাঁর কোনো পুত্র থাকবে! যা-কিছু আছে মহাকাশমন্ডলে ও যা-কিছু আছে পৃথিবীতে সে-সব তাঁর। আর রক্ষাকারীরূপে আল্লাহ্‌ই যথেষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '664','chapter_id' => '4','translator_id' => '2','verse_number' => '171','translate_name' => 'মসীহ্ কখনো কুণ্ঠাবোধ করেন না আল্লাহ্‌র বান্দা বনতে, আর সান্নিধ্যে থাকা ফিরিশ্‌তারাও করে না। আর যে কেউ তাঁর সেবায় কুণ্ঠাবোধ করে ও অহংকার করে, তিনি তাহলে তাঁর দিকে তাদের একত্রিত করবেন একজোটে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '665','chapter_id' => '4','translator_id' => '2','verse_number' => '172','translate_name' => 'কজেই যারা ঈমান আনে ও ভালো কাজ করে তিনি তাহলে তাদের প্রাপ্য তাদের পুরোপুরি দেবেন এবং তাঁর করুণাভান্ডার থেকে তাদের বাড়িয়ে দেবেন। কিন্তু যারা কুণ্ঠাবোধ করে ও অহংকার করে, তিনি তাহলে তাদের শাস্তি দেবেন ব্যথাদায়ক শাস্তিতে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '666','chapter_id' => '4','translator_id' => '2','verse_number' => '173','translate_name' => 'আর তারা আল্লাহ্ ছাড়া তাদের জন্য পাবে না কোনো মুরব্বী, না কোনো সহায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '667','chapter_id' => '4','translator_id' => '2','verse_number' => '174','translate_name' => 'ওহে জনগণ! তোমাদের কাছে নিশ্চয়ই তোমাদের প্রভুর কাছ থেকে এসেছে স্পষ্ট প্রমাণ, আর তোমাদের কাছে আমরা পাঠিয়েছি এক উজ্জ্বল জ্যোতি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '668','chapter_id' => '4','translator_id' => '2','verse_number' => '175','translate_name' => 'অতএব যারা আল্লাহ্‌র প্রতি ঈমান এনেছে ও তাঁকে দৃঢ়ভাবে আঁকড়ে ধরে, তিনি তবে তাদের শীঘ্রই প্রবেশ করাবেন তাঁর থেকে করুণাধারায় ও প্রাচুর্যে, আর তাদের পরিচালিত করবেন তাঁর দিকে সহজ-সঠিক পথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '669','chapter_id' => '4','translator_id' => '2','verse_number' => '176','translate_name' => 'তারা তোমাকে জিজ্ঞাসা করছে একটি বিধান সম্পর্কে। বলো -- \'\'আল্লাহ্ তোমাদের বিধান দিচ্ছেন মাতাপিতৃহীন তথা সন্তানসন্ততিহীনদের সন্বন্ধে।’’ যদি কোনো লোক মারা যায় -- তার কোনো সন্তান নাই কিন্তু এক বোন আছে -- তার জন্য তবে সে যা ছেড়ে যায় তার অর্ধেক, আর সে হচ্ছে তার ওয়ারিস যদি তার কোনো সন্তান না থাকে। আর যদি তারা দুজন হয় তবে তাদের দুজনের জন্য সে যা ছেড়ে যায় তার দুই-তৃতীয়াংশ। আর যদি তারা হয় ভ্রাতৃবর্গ -- পুরুষ ও স্ত্রীলোক তবে পুরুষের জন্য হচ্ছে দুইজন স্ত্রীলোকের সমান অংশ। আল্লাহ্ তোমাদের জন্য সুস্পষ্ট করে দিচ্ছেন পাছে তোমরা পথভ্রষ্ট হও। আর আল্লাহ্ সব-কিছু সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '670','chapter_id' => '5','translator_id' => '2','verse_number' => '1','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের অঙ্গীকারসমূহ প্রতিপালন করো। তোমাদের জন্য বৈধ করা গেল গবাদি পশু -- তোমাদের কাছে যা বর্ণনা করা হয়েছে তা ব্যতীত, শিকার বিধিসংগত নয় যখন তোমরা হারামে থাকো। নিঃসন্দেহ আল্লাহ্ হুকুম করেন যা তিনি মনস্থ করেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '671','chapter_id' => '5','translator_id' => '2','verse_number' => '2','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্‌র নিদর্শনসমূহ লঙ্ঘন করো না, আর পবিত্র মাসেরও না, আর উৎসর্গকৃত পশুদেরও না, আর মালা পরানো উটদেরও না, আর পবিত্র গৃহে আশ্রয় গ্রহণকারীদেরও না যারা তাদের প্রভুর কাছ থেকে কৃপা ও সন্তোষ কামনা করছে। কিন্তু যখন তোমরা মুক্ত হয়ে যাও তখন শিকার করো। আর কোনো লোকের প্রতি বিদ্বেষ, যেহেতু তারা হারাম-মসজিদে তোমাদের যেতে বাধা দিয়েছিল, তোমাদের যেন সীমালঙ্ঘনে প্ররোচিত না করে। আর পরস্পরকে সাহায্য করো সৎকাজে ও ভয়-ভক্তিতে, আর পাপাচারে ও উল্লঙ্ঘনে সহায়তা করো না, আর আল্লাহ্‌কে ভয়-ভক্তি করো। নিঃসন্দেহ আল্লাহ্ প্রতিফলদানে কঠোর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '672','chapter_id' => '5','translator_id' => '2','verse_number' => '3','translate_name' => 'তোমাদের জন্য অবৈধ হচ্ছে -- যা নিজে মারা গেছে, আর রক্ত, আর শূকরের মাংস, আর যা যবেহ্ করা হয়েছে আল্লাহ্ ছাড়া অন্য নাম নিয়ে, আর যা গলাটিপে মারা হয়েছে, আর যা ধাঁধা লাগিয়ে মারা হয়েছে, আর পড়ে গিয়ে যে মরেছে, আর যা শিঙের আঘাতে মরেছে -- তোমরা যা বৈধ করেছ তা ব্যতীত, আর যা প্রস্তরবেদীতে বলি দেয়া হয়েছে, আর যা তোমরা ভাগাভাগি করেছ তীরের লটারি খেলেচ এ সমস্তই পাপাচার। যারা অবিশ্বাস পোষণ করে তারা আজকের দিনে তোমাদের ধর্ম সন্বন্ধে হতাশ্বাস হয়েছে, কাজেই তাদের ভয় করো না, বরং ভয় করো আমাকে। আজ আমি তোমাদের জন্য তোমাদের ধর্মব্যবস্থা পূর্ণাঙ্গ করলাম, আর তোমাদের উপরে আমার নিয়ামত সম্পূর্ণ করলাম, আর তোমাদের জন্য ধর্মরূপে মনোনীত করলাম ইসলাম। অতএব যে কেউ ক্ষুধার তাড়নায় বাধ্য হয়, -- পাপের দিকে ঝোঁকে পড়ে নয়, -- তবে নিঃসন্দেহ আল্লাহ্ হচ্ছেন পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '673','chapter_id' => '5','translator_id' => '2','verse_number' => '4','translate_name' => 'তারা তোমাকে জিজ্ঞাসা করছে কি তাদের জন্য হালাল হয়েছে। বলো -- \'\'ভালো বস্তু তোমাদের জন্য বৈধ হয়েছে । আর শিকারী পশুপক্ষীদের শিকার করতে যা শিখিয়েছ -- তাদের তোমরা শিখিয়েছ যা আল্লাহ্ তোমাদের শিখিয়েছেন, কাজেই তারা তোমাদের কাছে যা ধরে আনে তা থেকে তোমরা খাও, তবে তার উপরে আল্লাহ্‌র নাম উল্লেখ করো। আর আল্লাহ্‌কে ভয়-ভক্তি করো। নিঃসন্দেহ আল্লাহ্ হিসেব-নিকেশে তৎপর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '674','chapter_id' => '5','translator_id' => '2','verse_number' => '5','translate_name' => 'আজ ভালো বস্তু তোমাদের জন্য হালাল করা হলো। আর যাদের গ্রন্থ দেয়া হয়েছে তাদের খাদ্য তোমাদের জন্য হালাল, এবং তোমাদের খাদ্যও তাদের জন্য বৈধ। আর মুমিনদের মধ্যের সতী-সাধ্বী নারী, আর তোমাদের আগে যাদের গ্রন্থ দেয়া হয়েছে তাদের মধ্যের সতী-সাধ্বী নারীও, যখন তোমরা তাদের মহরানা আদায় করেছ, সচ্চরিত্রভাবে, ব্যভিচারের জন্য নয় ও রক্ষিতারূপে গ্রহণ করেও নয়। আর যে কেউ ঈমান অস্বীকার করে সে তাহলে তার আচরণ ব্যর্থ করেছে, আর সে পরকালে হবে ক্ষতিগ্রস্তদের মধ্যেকার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '675','chapter_id' => '5','translator_id' => '2','verse_number' => '6','translate_name' => 'ওহে যারা ঈমান এনেছ! যখন তোমরা নামাযে খাড়া হও তখন তোমাদের মুখমন্ডল ও কনুই পর্যন্ত তোমাদের হাত ধোও, আর তোমাদের মাথা ও গোড়ালি পর্যন্ত তোমাদের পা মূসেহ্ করো। আর যদি তোমরা যৌন সম্ভোগের পরবর্তী অবস্থায় থাকো তবে ধৌত করো। আর যদি তোমরা অসুস্থ হও, অথবা সফরে থাকো, অথবা তোমাদের কেউ পায়খানা থেকে এসেছ, অথবা স্ত্রীদের স্পর্শ করেছ, আর যদি পানি না পাও তবে তৈয়ম্মুম করো বিশুদ্ধ মাটি নিয়ে, আর তা দিয়ে তোমাদের মুখমন্ডল ও তোমাদের হাত মূসেহ্ করো। আল্লাহ্ চান না তোমাদের উপরে কষ্টের কিছু আরোপ করতে, কিন্তু তিনি চান তোমাদের পবিত্র করতে, আর যাতে তাঁর নিয়ামত তোমাদের উপরে পরিপূর্ণ করেন, যেন তোমরা ধন্যবাদ দিতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '676','chapter_id' => '5','translator_id' => '2','verse_number' => '7','translate_name' => 'আর স্মরণ করো তোমাদের উপরে আল্লাহ্‌র নিয়ামত আর তাঁর অঙ্গীকার যার দ্বারা তিনি তোমাদের অঙ্গীকারবদ্ধ করেছিলেন, যখন তোমরা বলেছিলে -- \'\'আমরা শুনেছি আর আমরা আজ্ঞাপালন করছি।’’ আর আল্লাহ্‌কে ভয়-ভক্তি করো। নিঃসন্দেহ বুকের ভিতরে যা আছে আল্লাহ্ সে-সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '677','chapter_id' => '5','translator_id' => '2','verse_number' => '8','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্‌র জন্য দৃঢ়-প্রতিষ্ঠাতা হও, ন্যায়-বিচারে সাক্ষ্যদাতা হও, আর কোনো লোকদলের প্রতি বিদ্বেষ তোমাদের যেন ন্যায়াচরণ না করতে তোমাদের প্ররোচিত না করে। ন্যায়াচরণ করো, এটিই হচ্ছে ধর্মভীরুতার নিকটতর। আর আল্লাহ্‌কে ভয়-শ্রদ্ধা করো। নিঃসন্দেহ তোমরা যা করছো আল্লাহ্ তার পূর্ণ-ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '678','chapter_id' => '5','translator_id' => '2','verse_number' => '9','translate_name' => 'আল্লাহ্ ওয়াদা করছেন -- যারা ঈমান আনে ও সৎকাজ করে, তাদের জন্য রয়েছে পরিত্রাণ আর বিরাট পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '679','chapter_id' => '5','translator_id' => '2','verse_number' => '10','translate_name' => 'আর যারা অবিশ্বাস পোষণ করে আর আমাদের নিদর্শনসমূহে মিথ্যারোপ করে, -- এরা হচ্ছে জ্বলন্ত আগুনের বাসিন্দা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '680','chapter_id' => '5','translator_id' => '2','verse_number' => '11','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের উপরে আল্লাহ্‌র নিয়ামত স্মরণ করো -- যখন একটি দল দৃঢ়সঙ্কল্প করেছিল তোমাদের দিকে তাদের হাত বাড়াতে, কিন্তু তিনি তোমাদের বিরুদ্ধে তাদের হাত ঠেকিয়ে রেখেছিলেন, কাজেই আল্লাহ্‌কে ভয়-শ্রদ্ধা করো। আর আল্লাহ্‌র উপরেই তবে নির্ভর করুক মুমিন সব।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '681','chapter_id' => '5','translator_id' => '2','verse_number' => '12','translate_name' => 'আর আল্লাহ্ অবশ্যই ইসরাইলের বংশধর থেকে অঙ্গীকার গ্রহণ করেছিলেন, আর আমরা তাদের মধ্যে থেকে বারো জন দলপতি দাঁড় করিয়েছিলাম। আর আল্লাহ্ বলেছিলেন -- \'\'নিঃসন্দেহ আমি তোমাদের সঙ্গে রয়েছি। যদি তোমরা নামায কায়েম করো ও যাকাত আদায় করো, আর আমার রসূলদের প্রতি ঈমান আনো ও তাঁদের সমর্থন করো, আর আল্লাহ্‌কে ধার দাও পর্যাপ্ত-সুন্দর ঋণ, তবে আমি নিশ্চয়ই তোমাদের থেকে তোমাদের সব পাপ মোছে দেব ও তোমাদের প্রবেশ করাবো উদ্যানসমূহে যাদের নীচ দিয়ে বয়ে চলেছে ঝরনারাজি। কিন্তু এর পরে তোমাদের মধ্যের যে কেউ অবিশ্বাস পোষণ করবে সে-ই তবে নিশ্চয়ই সরল পথের দিশা হারিয়েছে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '682','chapter_id' => '5','translator_id' => '2','verse_number' => '13','translate_name' => 'তারপর নিজেদের অঙ্গীকার তাদের ভঙ্গ করার দরুন আমরা তাদের বঞ্চিত করলাম আর তাদের অন্তরকে কঠিন হতে দিলাম। তারা কালামগুলো তাদের স্থান থেকে সরিয়ে দেয়, আর তাদের যে-সব নির্দেশ দেয়া হয়েছিল তার অংশবিশেষ ভুলে যায়, আর তাদের লোকদের মধ্যে বিশ্বাসঘাতকতা আবিস্কার করার অবসান তোমার থাকবে না তাদের অল্প ছাড়া, সেজন্য তাদের ক্ষমা করো ও উপেক্ষা করো। নিঃসন্দেহ আল্লাহ্ ভালোবাসেন সৎকর্মীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '683','chapter_id' => '5','translator_id' => '2','verse_number' => '14','translate_name' => 'আর যারা বলে -- \'নিঃসন্দেহ আমরা খ্রীষ্টান’, তাদের থেকে আমরা তাদের অঙ্গীকার গ্রহণ করেছিলাম, তারাও ভু লে গেল তাদের যে-সব নির্দেশ দেওয়া হয়েছিল তার অংশবিশেষ, কাজেই আমরা তাদের মধ্যে শত্রুতা ও বিদ্বেষ জাগিয়ে রাখলাম কিয়ামতের দিন পর্যন্ত। আর অচিরেই আল্লাহ্ তাদের জানিয়ে দেবেন তারা কি করে যাচ্ছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '684','chapter_id' => '5','translator_id' => '2','verse_number' => '15','translate_name' => 'হে গ্রন্থপ্রাপ্ত লোকেরা! আমাদের রসূল তোমাদের কাছে ইতিমধ্যে এসে গেছেন, ধর্মগ্রন্থের যা তোমরা লুকোচ্ছিলে তার বহুলাংশ তিনি তোমাদের জন্য সুস্পষ্ট করেছেন, এবং অনেকটা তিনি উপেক্ষা করেছেন। আল্লাহ্‌র কাছ থেকে তোমাদের কাছে নিশ্চয়ই এসেছে এক জ্যোতি আর উজ্জ্বল কিতাব, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '685','chapter_id' => '5','translator_id' => '2','verse_number' => '16','translate_name' => 'এর দ্বারা আল্লাহ্ তাকে হেদায়ত করেন যে তাঁর সন্তষ্টি অনুসরণ করে শান্তির পথে, আর তাদের বের করে আনেন অন্ধকার থেকে আলোর দিকে তাঁর ইচ্ছায়, আর তাদের পরিচালিত করেন সহজ-সঠিক পথের দিকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '686','chapter_id' => '5','translator_id' => '2','verse_number' => '17','translate_name' => 'তারা নিশ্চয়ই অবিশ্বাস পোষণ করে যারা বলে -- \'\'নিঃসন্দেহ আল্লাহ্‌, তিনিই মসীহ্‌, মরিয়মের পুত্র।’’ তুমি বলো -- \'\'কার তাহলে বিন্দুমাত্র ক্ষমতা আছে আল্লাহ্‌র বিরুদ্ধে যখন তিনি চেয়েছিলেন মরিয়ম-পুত্র মসীহ্‌কে বিনাশ করতে, আর তাঁব মাতাকে, আর পৃথিবীতে যারা ছিল তাদের সবাইকে?’’ বস্তুতঃ আল্লাহ্‌রই মহাকাশমন্ডল ও পৃথিবীর রাজত্ব আর এই দুইয়ের মধ্যে যা আছে। তিনি সৃষ্টি করেন যা তিনি ইচ্ছে করেন। আর আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '687','chapter_id' => '5','translator_id' => '2','verse_number' => '18','translate_name' => 'আর ইহুদী ও খ্রীষ্টানরা বলে -- \'\'আমরা আল্লাহ্‌র সন্তান ও তাঁর প্রিয়পাত্র।’’ তুমি বলো -- \'\'তবে কেন তোমাদের অপরাধের জন্য তিনি তোমাদের শাস্তি দেন? না, যাদের তিনি সৃষ্টি করেছেন তোমরা তাদের মধ্যেকার মানুষ। তিনি যাকে ইচ্ছে করেন পরিত্রাণ করেন এবং যাকে ইচ্ছে করেন শাস্তি দেন।’’ আর আল্লাহ্‌রই মহাকাশমন্ডল ও পৃথিবীর সাম্রাজ্য এবং এই দুইয়ের মধ্যে যা আছে, আর তাঁরই দিকে প্রত্যাবর্তন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '688','chapter_id' => '5','translator_id' => '2','verse_number' => '19','translate_name' => 'হে গ্রন্থপ্রাপ্ত লোকেরা! তোমাদের কাছে নিশ্চয়ই আমাদের রসূল এসেছেন তোমাদের কাছে সুস্পষ্ট করতে, রসূলদের এক বিরতির পরে, পাছে তোমরা বলো -- \'আমাদের কাছে সুসংবাদদাতাদের কেউ আসেন নি এবং সতর্ককারীও না।’ এখন তোমাদের কাছে নিশ্চয়ই এসেছেন একজন সুসংবাদদাতা ও সতর্ককারী। আর আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '689','chapter_id' => '5','translator_id' => '2','verse_number' => '20','translate_name' => 'আর স্মরণ করো! মূসা তাঁর লোকদের বলেছিলেন -- \'\'হে আমার লোকদল! তোমাদের প্রতি আল্লাহ্‌র নিয়ামত স্মরণ করো যখন তিনি তোমাদের মধ্যে নবীদের নিযুক্ত করেছিলেন এবং তোমাদের বানিয়েছিলেন রাজা-রাজড়া, আর তোমাদের দিয়েছিলেন যা তিনি মানবগোষ্ঠীর মধ্যে অপর কাউকেও দেন নি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '690','chapter_id' => '5','translator_id' => '2','verse_number' => '21','translate_name' => '\'\'হে আমার লোকদল! সেই পুণ্য ভূমিতে প্রবেশ করো যা আল্লাহ্ তোমাদের জন্য বিধান করেছেন, আর তোমাদের পেছন দিকে ফিরে যাবে না, কেননা তোমরা তাহলে মোড় ফেরাবে ক্ষতিগ্রস্তভাবে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '691','chapter_id' => '5','translator_id' => '2','verse_number' => '22','translate_name' => 'তারা বললে -- \'\'হে মূসা! নিঃসন্দেহ ওতে রয়েছে বিশালকায় লোকেরা, আর আমরা কখনো ওতে প্রবেশ করবো না যে পর্যন্ত না তারা ওখান থেকে বেরিয়ে যায়। কাজেই তারা যদি ওখান থেকে বেরিয়ে যায় তবে আমরা অবশ্যই প্রবেশ করবো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '692','chapter_id' => '5','translator_id' => '2','verse_number' => '23','translate_name' => 'যারা ভয় করতো তাদের মধ্যের দুজন লোক -- যাদের উপরে আল্লাহ্ অনুগ্রহ করেছিলেন, তারা বললে -- \'\'তাদের উপরে ঢুকে পড়ো দরজা দিয়ে, কাজেই যখন তোমরা তাতে প্রবেশ করবে তোমরা তখন নিশ্চয়ই বিজয়ী হবে, আর আল্লাহ্‌র উপরে তবে তোমরা নির্ভর করো, যদি তোমরা মুমিন হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '693','chapter_id' => '5','translator_id' => '2','verse_number' => '24','translate_name' => 'তারা বললে -- \'\'হে মূসা! আমরা নিশ্চয়ই কখনো এতে ঢুকবো না যতক্ষণ তারা ওর মধ্যে অবস্থান করছে। কাজেই তুমি ও তোমার প্রভু এগিয়ে যাও এবং তোমরা দুজনে যুদ্ধ করো, আমরা নিশ্চয়ই এখানে বসে পড়লাম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '694','chapter_id' => '5','translator_id' => '2','verse_number' => '25','translate_name' => 'তিনি বললেন, \'\'আমার প্রভু! নিশ্চয়ই আমি আমার নিজের ও আমার ভাইয়ের উপরে ছাড়া কর্তৃত্ব রাখি না, অতএব আমাদের ও দুষ্কৃতিপরায়ণ লোকদের মধ্যে ছাড়াছাড়ি ঘটিয়ে দাও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '695','chapter_id' => '5','translator_id' => '2','verse_number' => '26','translate_name' => 'তিনি বললেন -- \'\'তবে নিঃসন্দেহ এটি তাদের জন্য হারাম থাকবে চল্লিশ বৎসর কাল, তারা পৃথিবীতে ঘুরে বেড়াবে। অতএব দুঃখ করো না এই দুষ্কৃতিপরায়ণ জাতির জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '696','chapter_id' => '5','translator_id' => '2','verse_number' => '27','translate_name' => 'আর তাদের কাছে সঠিকভাবে বর্ণনা করো দুই আদম-সন্তানের কাহিনী, কেমন ক’রে তারা উভয়ে কুরবানি করেছিল, কিন্তু তা কবুল হল তাদের একজনের কাছ থেকে আর অপরজনের কাছ থেকে তা গৃহীত হল না। সে বললে -- \'\'নিশ্চয় আমি তোমাকে খুন করবো।’’ সে বললে -- \'\'আল্লাহ্ কবুল করেন শুধু ধর্মভীরুদের থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '697','chapter_id' => '5','translator_id' => '2','verse_number' => '28','translate_name' => '\'\'তুমি যদি আমার দিকে তোমার হাত বাড়াও আমাকে হত্যা করতে, আমি কিন্তু তোমার দিকে আমার হাত প্রসারণকারী হবো না তোমাকে হত্যা করতে। নিঃসন্দেহ আমি ভয় করি আল্লাহ্‌কে -- সমগ্র বিশ্বজগতের প্রভু।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '698','chapter_id' => '5','translator_id' => '2','verse_number' => '29','translate_name' => '\'\'নিঃসন্দেহ আমি চাই যে তুমি আমার বিরুদ্ধে পাপ ও তোমার পাপ বহন করো, ফলে আগুনের বাসিন্দাদের দলভুক্ত হও, আর এই-ই অন্যায়কারীদের প্রতিফল।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '699','chapter_id' => '5','translator_id' => '2','verse_number' => '30','translate_name' => 'কিন্তু তার মন তাকে প্রবুদ্ধ করলো তার ভাইকে হত্যা করতে, তাই সে তাকে খুন করলো, কাজেই পরমূহূর্তে সে হলো ক্ষতিগ্রস্তদের দলের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '700','chapter_id' => '5','translator_id' => '2','verse_number' => '31','translate_name' => 'তারপর আল্লাহ্ একটি কাককে নিযুক্ত করলেন মাটি আচঁড়াতে যেন তাকে দেখানো যায় কেমন ক’রে সে তার ভাইয়ের মৃতদেহ ঢাকবে। সে বললে -- \'\'হায় দুর্ভাগ্য! আমি কি এই কাকের মতো হবার জন্য এতই দুর্বল হয়ে গেছি, কাজেই আমি যেন আমার ভাইয়ের শব ঢাকতে পারি?’’ সেজন্য পরমুহূর্তে সে হলো অনুতপ্তদের দলের','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '701','chapter_id' => '5','translator_id' => '2','verse_number' => '32','translate_name' => 'এই কারণ বশতঃ আমরা বিধিবদ্ধ করেছিলাম ইসরাইল-বংশীয়দের জন্যে -- যে, যে কেউ হত্যা করে একজন মানুষকে আরেকজনকে ব্যতীত, অথবা দেশে ফসাদ সৃষ্টি, তাহলে সে যেন লোকজনকে সর্বসাকল্যে হত্যা করলে। আবার যে কেউ তাকে বাঁচিয়ে রাখে, সে যেন তাহলে সমস্ত লোকজনকে বাঁচালে। আর নিশ্চয়ই তাদের কাছে আমাদের রসূলগণ এসেছিলেন স্পষ্ট প্রমাণাবলী নিয়ে, কিন্তু তাদের মধ্যের অনেকেই এর পরেও পৃথিবীতে সীমা ছাড়িয়ে চলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '702','chapter_id' => '5','translator_id' => '2','verse_number' => '33','translate_name' => 'যারা আল্লাহ্‌র ও তাঁর রসূলের বিরুদ্ধে যুদ্ধ ঘোষণা করে আর দেশে গন্ডগোল বাঁধাতে তৎপর হয় তাদের একমাত্র প্রাপ্য হচ্ছে -- তাদের কাতল করো, অথবা শূলে চড়াও, অথবা তাদের হাত ও তাদের পা বিপরীত দিকে কেটে ফেলো, অথবা তাদের দেশ থেকে নির্বাসিত করো। এটি হচ্ছে তাদের জন্য ইহলোকে লাঞ্ছনা, আর তাদের জন্য পরকালে রয়েছে কঠোর শাস্তি, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '703','chapter_id' => '5','translator_id' => '2','verse_number' => '34','translate_name' => 'তারা ব্যতীত যারা তওবা করে তোমরা তাদের উপরে ক্ষমতাসীন হবার পূর্বে, তাহলে জেনে রেখো যে নিঃসন্দেহ আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '704','chapter_id' => '5','translator_id' => '2','verse_number' => '35','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্‌কে ভয়-শ্রদ্ধা করো, আর তাঁর দিকে অছিলা অন্বেষণ করো, আর তাঁর পথে জিহাদ করো, যাতে তোমরা সফলকাম হতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '705','chapter_id' => '5','translator_id' => '2','verse_number' => '36','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে -- পৃথিবীতে যা আছে সে-সমস্তই যদি তাদের হতো এবং তার সাথে সেই পরিমাণে, যার বিনিময়ে তারা মুক্তি কামনা করতো কিয়ামতের দিনের শাস্তি থেকে, তাদের কাছ থেকে তা কবুল হতো না, আর তাদের জন্য রয়েছে ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '706','chapter_id' => '5','translator_id' => '2','verse_number' => '37','translate_name' => 'তারা চাইবে যেন সেই আগুন থেকে তারা বেরিয়ে যেতে পারে, কিন্তু তা থেকে তারা বেরিয়ে যাবার নয়, আর তাদের জন্যে রয়েছে দীর্ঘস্থায়ী শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '707','chapter_id' => '5','translator_id' => '2','verse_number' => '38','translate_name' => 'আর চোরা পুরুষ ও চোরা স্ত্রীলোক -- দুইয়েরই তবে হাত কেটে ফেলো, -- তারা যা করেছে তার প্রতিফলস্বরূপ, -- এটি আল্লাহ্‌র তরফ থেকে একটি দৃষ্টান্ত-স্থাপনকারী শাস্তি। আর আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '708','chapter_id' => '5','translator_id' => '2','verse_number' => '39','translate_name' => 'কিন্তু যে কেউ তওবা করে তার অন্যায়াচরণের পরে আর সংশোধন কবে, তাহলে নিঃসন্দেহ আল্লাহ্ তার দিকে ফিরবেন। নিঃসেন্দহ আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '709','chapter_id' => '5','translator_id' => '2','verse_number' => '40','translate_name' => 'তুমি কি জানো না যে আল্লাহ -- মহাকাশমন্ডল ও পৃথিবীর রাজত্ব তাঁরই? তিনি শাস্তি দেন যাকে ইচ্ছে করেন আর ক্ষমাও করেন যাকে ইচ্ছে করেন। আর আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '710','chapter_id' => '5','translator_id' => '2','verse_number' => '41','translate_name' => 'হে প্রিয় রসূল! যারা অবিশ্বাসের অভিমুখে ধাওয়া করেছে তারা যেন তোমাকে দুঃখিত না করে, যারা তাদের মুখে বলে -- \'আমরা ঈমান এনেছি’, কিন্তু তাদের হৃদয় ঈমান আনে নি, আর যারা ইহুদীয় মত পোষণ করে, -- মিথ্যার জন্যে শ্রবণকারী, শ্রবণকারী অন্য লোকদের জন্যে যারা তোমার কাছে আসে না। তারা কথাগুলো সরিয়ে দেয় সেগুলোকে যথাস্থানে স্থাপনের পরে, তারা বলে -- \'\'তোমাদের যদি এই দেওয়া হয় তবে তা গ্রহণ করো, আর যদি তোমাদের এই দেয়া না হয় তবে সাবধান হও।’’ আর যাকে তার প্রলোভনের মধ্যে আল্লাহ্ চান, তার জন্য আল্লাহ্‌র কাছ থেকে কিছু করার ক্ষমতা তোমার নেই। এরাই তারা যাদের সন্বন্ধে আল্লাহ্ চান না যে তাদের হৃদয় বিশুদ্ধ হোক। এদের জন্য এই দুনিয়াতে রয়েছে দুর্গতি, আর পরকালে এদের জন্য কঠোর শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '711','chapter_id' => '5','translator_id' => '2','verse_number' => '42','translate_name' => 'তারা মিথ্যার জন্যে শ্রবণকারী, নিষিদ্ধের ভক্ষণকারী। অতএব তারা যদি তোমার কাছে আসে তবে তাদের মধ্যে বিচার করো, অথবা তাদের থেকে গুটিয়ে নাও, আর যদি তুমি তাদের থেকে গুটিয়ে নাও তবে তারা কখনো তোমার মোটেই ক্ষতি করতে পারবে না। আর যদি তুমি বিচার করো তবে তাদের মধ্যে বিচার করো ন্যায়পরায়ণতার সাথে। নিঃসন্দেহ আল্লাহ্ ভালোবাসেন ভারসাম্যরক্ষাকারীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '712','chapter_id' => '5','translator_id' => '2','verse_number' => '43','translate_name' => 'আর কেমন ক’রে তারা তোমাকে বিচারক করে, আর তাদের কাছে রয়েছে তওরাত যাতে আছে আল্লাহ্‌র বিধান? তবুও তারা ফিরে যায় এ-সবের পরেও! আর এমন লোকেরা মুমিন নয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '713','chapter_id' => '5','translator_id' => '2','verse_number' => '44','translate_name' => 'নিঃসন্দেহ আমরা অবতীর্ণ করেছি তওরাত, যাতে রয়েছে হেদায়ত ও দীপ্তি। তার দ্বারা নবীগণ, যাঁরা ইসলামী ধর্মমত পোষণ করেন, বিধান দিয়েছিলেন তাদের যারা ইহুদীয় মত পোষণ করে, আর রব্বিসব ও পুরোহিতরা আল্লাহ্‌র কিতাবের যা তারা সংরক্ষণ করতো তারদ্বারা, আর তারা সে-সবের সাক্ষী ছিল। সেজন্য তোমরা লোকজনকে ভয় করো না, বরং ভয় করো আমাকে, আর আমার বাণীসমূহের জন্য স্বল্পমূল্য কামাতে যেয়ো না। আর যারা বিচার করে না আল্লাহ্ যা নাযিল করেছেন তার দ্বারা, তারা তবে নিজেরাই অবিশ্বাসী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '714','chapter_id' => '5','translator_id' => '2','verse_number' => '45','translate_name' => 'আর আমরা তাদের জন্য তাতে বিধান করেছিলাম -- প্রাণের বদলে প্রাণ, আর চোখের বদলে চোখ, আর নাকের বদলে নাক, আর কানের বদলে কান, আর দাঁতের বদলে দাঁত, আর জখমেরও বদলাই। আর যে কেউ এটি দিয়ে দান করে দেয়, সেটি তা হলে তার জন্য হবে প্রায়শ্চিত্ত। আর যে বিচার করে না আল্লাহ্ যা অবতীর্ণ করেছেন তার দ্বারা, তাহলে তারা নিজেরাই হচ্ছে অন্যায়কারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '715','chapter_id' => '5','translator_id' => '2','verse_number' => '46','translate_name' => 'আর তাদের পশ্চাতে আমরা পাঠিয়েছিলাম মরিয়ম-পুত্র ঈসাকে, তাঁর পূর্বে তওরাতে যা ছিল তার প্রতিপাদকরূপে, আর তাঁকে আমরা দিয়েছিলাম ইনজীল যাতে রয়েছে পথপ্রদর্শন ও দীপ্তি, এর পূর্বে তওরাতে যা ছিল তার সত্য-সমর্থনরূপে, আর পথপ্রদর্শন ও উপদেশ ধর্মপরায়ণদের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '716','chapter_id' => '5','translator_id' => '2','verse_number' => '47','translate_name' => 'আর ইনজীলের অনুবর্তীদের উচিত তারা যেন বিচার করে আল্লাহ্ তাতে যা অবতারণ করেছেন তার দ্বারা। আর যে বিচার করে না আল্লাহ্ যা অবতারণ করেছেন তার দ্বারা, তারা তবে নিজেরাই হচ্ছে দুষ্কৃতিপরায়ণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '717','chapter_id' => '5','translator_id' => '2','verse_number' => '48','translate_name' => 'আর তোমার কাছে আমরা অবতারণ করেছি এই কিতাব সত্যের সাথে, এবং পূর্ববর্তী ধর্মগ্রন্থে যা আছে তার সত্য-সমর্থনরূপে, আর তার উপরে প্রহরীরূপে, সেজন্য তাদের মধ্যে বিচার করো যা আল্লাহ্ নাযিল করেছেন তার দ্বারা, আর তাদের হীন-বাসনার অনুসরণ করো না তোমার প্রতি সত্যের যা এসেছে তার প্রতি বিমুখ হয়ে। তোমাদের মধ্যের প্রত্যেকের জন্য আমরা নির্ধারণ করেছিলাম এক-একটি শরিয়ৎ ও এক-একটি পথ। আর যদি আল্লাহ্ ইচ্ছে করতেন তবে তিনি তোমাদের বানাতেন একই জাতি, কিন্তু তিনি যেন তোমাদের যাচাই করতে পারেন তোমাদের যা তিনি দিয়েছেন তার দ্বারা, কাজেই ভালোকাজে পরস্পরের সঙ্গে প্রতিযোগিতা করো। আল্লাহ্‌র কাছে তোমাদের সকলের প্রত্যাবর্তন, তখন তিনি তোমাদের অবহিত করবেন সেইসব বিষয়ে যাতে তোমরা মতভেদ করছিলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '718','chapter_id' => '5','translator_id' => '2','verse_number' => '49','translate_name' => 'আর তুমি যেন তাদের মধ্যে বিচার করো আল্লাহ্ যা অবতারণ করেছেন তার দ্বারা আর তাদের হীন-বাসনার অনুসরণ করো না, আর তাদের সম্পর্কে সাবধান হও পাছে তারা তোমাকে ভ্রান্তিতে ফেলে দেয় আল্লাহ্ তোমার কাছে যা অবতারণ করেছেন তার কোনো অংশ থেকে। তারা যদি তবে ফিরে যায় তাহলে জেনে রেখো যে আল্লাহ্ নিশ্চয়ই তাদের পাকড়াও করতে চান তাদের কতকগুলো অপরাধের জন্য। আর নিঃসন্দেহ লোকদের অধিকাংশই দুষ্কৃতিপরায়ণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '719','chapter_id' => '5','translator_id' => '2','verse_number' => '50','translate_name' => 'তবে কি তারা অজ্ঞতার যুগের বিচার ব্যবস্থা চায়? আর আল্লাহ্‌র চাইতে কে বেশি ভালো বিচার ব্যবস্থায় সেই সম্প্রদায়ের জন্যে যারা সুনিশ্চিত?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '720','chapter_id' => '5','translator_id' => '2','verse_number' => '51','translate_name' => 'ওহে যারা ঈমান এনেছ! ইহুদী ও খ্রীষ্টানদের বন্ধুরূপে গ্রহণ করো না, তাদের একদল অন্যদের বন্ধু। আর তোমাদের মধ্যের যে তাদের মুরব্বী বানায় সে তবে নিশ্চয় তাদেরই মধ্যেকার। নিঃসন্দেহ আল্লাহ্ পথ দেখান না অন্যায়কারী সম্প্রদায়কে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '721','chapter_id' => '5','translator_id' => '2','verse_number' => '52','translate_name' => 'কাজেই যাদের অন্তরে ব্যারাম রয়েছে তাদের তুমি দেখতে পাবে তাদের দিকে ছুটে যেতে এই বলে -- \'\'আমরা আশঙ্কা করছি কোনো দুর্যোগ আমাদের উপরে ঘটে যায়।’’ কিন্তু হতে পারে যে আল্লাহ্ এনে দেবেন বিজয় অথবা তাঁর কাছ থেকে চুড়ান্ত নিস্পত্তি, তাই তাদের অন্তরে তারা যা পোষণ করছিল তার জন্য পরমুহূর্তেই তারা হলো অনুতাপী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '722','chapter_id' => '5','translator_id' => '2','verse_number' => '53','translate_name' => 'আর যারা ঈমান এনেছে তারা বলবে -- \'\'এরাই কি তারা যারা আল্লাহ্‌র নামে তাদের জোরালো আস্থার সাথে শপথ গ্রহণ করেছিল যে তারা সুনিশ্চিত তোমাদের সঙ্গে?’’ তাদের ক্রিয়াকলাপ বৃথা গেল, কাজেই পরমুহূর্তে তারা হলো ক্ষতিগ্রস্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '723','chapter_id' => '5','translator_id' => '2','verse_number' => '54','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের মধ্যে থেকে যে কেউ তার ধর্ম থেকে ফিরে যায়, আল্লাহ্ তবে শীঘ্রই নিয়ে আসবেন একটি সম্প্রদায় -- তাদের তিনি ভালোবাসবেন ও তারা তাঁকে ভালোবাসবে, মুমিনদের প্রতি বিনীত, অবিশ্বাসীদের প্রতি কঠোর, তারা আল্লাহ্‌র পথে জিহাদ করবে, আর ভয় করবে না কোনো নিন্দুকের নিন্দা। এই হচ্ছে আল্লাহ্‌র এক আশিস -- তিনি তা প্রদান করেন যাকে তিনি ইচ্ছে করেন। আর আল্লাহ্ পরম বদান্য, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '724','chapter_id' => '5','translator_id' => '2','verse_number' => '55','translate_name' => 'নিঃসন্দেহ তোমাদের ওলী হচ্ছেন কেবলমাত্র আল্লাহ্ এবং তাঁর রসূল, আর যারা ঈমান এনেছে, আর যারা নামায কায়েম করে, আর যাকাত আদায় করে, আর তারা রুকুকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '725','chapter_id' => '5','translator_id' => '2','verse_number' => '56','translate_name' => 'আর যে কেউ বন্ধুরূপে গ্রহণ করে আল্লাহ্‌কে, ও তাঁর রসূলকে, আর যারা ঈমান এনেছে তাদের, তাহলে আল্লাহ্‌র দল, তারাই হবে বিজয়ী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '726','chapter_id' => '5','translator_id' => '2','verse_number' => '57','translate_name' => 'ওহে যারা ঈমান এনেছ! যারা তোমাদের ধর্মকে উপহাসের ও খেলার সামগ্রীরূপে গ্রহণ করেছে -- তোমাদের পূর্বে যাদের গ্রন্থ দেয়া হয়েছে ও অবিশ্বাসকারীরা, -- তাদের বন্ধুরূপে গ্রহণ করো না। আর আল্লাহ্‌কে ভয়-শ্রদ্ধা করো যদি তোমরা মুমিন হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '727','chapter_id' => '5','translator_id' => '2','verse_number' => '58','translate_name' => 'আর যখন তোমরা নামাযের জন্য আহ্বান করো, তারা তাকে বিদ্রূপের ও খেলার জিনিসরূপে গ্রহণ করে। সেটি এই জন্য যে তারা এমন একটি দল যারা বুঝে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '728','chapter_id' => '5','translator_id' => '2','verse_number' => '59','translate_name' => 'তুমি বলো -- \'\'হে গ্রন্থপ্রাপ্ত লোকেরা! তোমরা কি আমাদের কোনো দোষ ধরো এ ব্যতীত যে আমরা ঈমান এনেছি আল্লাহ্‌তে, আর যা আমাদের কাছে নাযিল হয়েছে, আর যা পূর্বে নাযিল হয়েছিল? আর নিশ্চয় তোমাদের অধিকাংশই দুষ্কৃতিপরায়ণ।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '729','chapter_id' => '5','translator_id' => '2','verse_number' => '60','translate_name' => 'বলো -- \'\'তোমাদের কি জানাবো এর চেয়েও খারাপদের কথা, আল্লাহ্‌র কাছে প্রতিফল পাওয়া সন্বন্ধে? যাকে আল্লাহ্ ধিক্কার দিয়েছেন, আর যার উপরে তিনি ক্রোধ বর্ষণ করেছেন, আর তাদের মধ্যের কাউকে তিনি বানালেন বানর, আর শূকর, আর যে উপাসনা করত তাগুতকে। এরা আছে অতি মন্দ অবস্থায়, আর সরল পথ থেকে সুদূর পথভ্রষ্ট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '730','chapter_id' => '5','translator_id' => '2','verse_number' => '61','translate_name' => 'আর যখন তারা তোমাদের কাছে আসে তারা বলে -- \'আমরা ঈমান এনেছি’, কিন্তু আসলে তারা ভরতি হয়েছিল অবিশ্বাস নিয়ে আর এখন বেরিয়েও গেছে তাতেই। আর আল্লাহ্ ভালো জানেন কি তারা লুকোচ্ছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '731','chapter_id' => '5','translator_id' => '2','verse_number' => '62','translate_name' => 'আর তুমি দেখতে পাবে তাদের অনেকেই ছুটে চলেছে পাপের দিকে ও উল্লঙ্ঘনে, আর তাদের গলাধঃকরণে অবৈধভাবে লব্ধ বস্তু। নিশ্চয়ই গর্হিত যা তারা করে চলেছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '732','chapter_id' => '5','translator_id' => '2','verse_number' => '63','translate_name' => 'রব্বিগণ ও পুরোহিতরা কেন তাদের নিষেধ করে না তাদের পাপপূর্ণ কথাবার্তা বলাতে আর তাদের গ্রাস-করণে অবৈধভাবে লব্ধ বস্তু। অবশ্যই গর্হিত যা তারা করে যাচ্ছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '733','chapter_id' => '5','translator_id' => '2','verse_number' => '64','translate_name' => 'আর ইহুদীরা বলে -- \'\'আল্লাহ্‌র হাত বাঁধা রয়েছে।’’ তাদের হাত রয়েছে বাঁধা, আর তারা ধিক্কারপ্রাপ্ত যা তারা বলে সেজন্য। না, তাঁর দুই হাতই পূর্ণ-প্রসারিত, -- তিনি বিতরণ করেন যেমন তিনি চান। আর তোমার প্রভুর কাছ থেকে তোমার কাছে যা নাযিল হয়েছে তা নিশ্চয়ই বাড়িয়ে দেয় তাদের মধ্যের অনেকের অবাধ্যতা ও অবিশ্বাস। আর আমরা তাদের মধ্যে ছুঁড়ে দিয়েছি শত্রুতা ও বিদ্বেষ কিয়ামতের দিন পর্যন্ত। যতবার তারা যুদ্ধের আগুন জ্বালিয়ে তুলে, আল্লাহ্ তা নিভিয়ে দেন, কিন্তু তারা দেশে গন্ডগোল করার চেষ্টা চালাতেই থাকে। আর আল্লাহ্ ভালোবাসেন না গন্ডগোল সৃষ্টিকারীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '734','chapter_id' => '5','translator_id' => '2','verse_number' => '65','translate_name' => 'আর যদি গ্রন্থপ্রাপ্ত লোকেরা ঈমান আনতো এবং ভয়-শ্রদ্ধা করতো, তবে নিশ্চয়ই আমরা তাদের দোষ-ত্রুটি তাদের থেকে মুছে দিতাম, আর তাদের অবশ্যই প্রবেশ করাতাম আনন্দময় স্বর্গোদ্যানে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '735','chapter_id' => '5','translator_id' => '2','verse_number' => '66','translate_name' => 'আর যদি তারা প্রতিষ্ঠিত রাখতো তওরাত ও ইনজীল, আর তাদের কাছে যা অবতীর্ণ হয়েছিল তাদের প্রভুর কাছ থেকে তবে তারা নিশ্চয়ই আহার করতো তাদের উপর থেকে আর তাদের পায়ের নিচে থেকে। তাদের মধ্যেও একটি নরমপন্থী দল রয়েছে, কিন্তু তাদের অনেকের ক্ষেত্রেই -- তারা যা করে তা হচ্ছে গর্হিত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '736','chapter_id' => '5','translator_id' => '2','verse_number' => '67','translate_name' => 'হে প্রিয় রসূল! তোমার প্রভুর কাছ থেকে যা তোমার কাছে অবতীর্ণ হয়েছে তা প্রচার করো। আর যদি তুমি তা না করো তবে তাঁর বাণী তুমি প্রচার করলে না। আর আল্লাহ্ লোকদের থেকে তোমাকে রক্ষা করবেন। নিঃসন্দেহ আল্লাহ্ অবিশ্বাসী লোকদের পথপ্রদর্শন করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '737','chapter_id' => '5','translator_id' => '2','verse_number' => '68','translate_name' => 'বলো -- \'\'হে গ্রন্থপ্রাপ্ত লোকেরা! তোমরা কোনো কিছুর উপরে নও যে পর্যন্ত না তোমরা প্রতিষ্ঠিত রাখো তওরাত ও ইনজীল আর যা তোমাদের কাছে অবতীর্ণ হয়েছে তোমাদের প্রভুর কাছ থেকে।’’ আর তোমার কাছে তোমার প্রভুর কাছ থেকে যা অবতীর্ণ হয়েছে তা নিশ্চয়ই বাড়িয়ে দেয় তাদের মধ্যের অনেকের অবাধ্যতা ও অবিশ্বাস। সেজন্য দুঃখ করো না অবিশ্বাসী লোকদের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '738','chapter_id' => '5','translator_id' => '2','verse_number' => '69','translate_name' => 'নিঃসন্দেহ যারা ঈমান এনেছে ও যারা ইহুদী মত পোষণ করে, আর সাবেঈন ও খ্রীষ্টান, -- যারাই আল্লাহ্‌র প্রতি ঈমান এনেছে ও আখেরাতের দিনের প্রতি, আর সৎকর্ম করে, তাদের উপরে তা হলে কোনো ভয় নেই, আর তারা নিজেরা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '739','chapter_id' => '5','translator_id' => '2','verse_number' => '70','translate_name' => 'আমরা নিশ্চয়ই ইসরাইলের বংশধরদের থেকে অঙ্গীকার গ্রহণ করেছিলাম আর তাদের কাছে পাঠিয়েছিলাম রসূলগণ। যখনই তাদের কাছে কোনো রসূল এসেছেন তা নিয়ে যা তাদের মন চায় না, কিছুসংখ্যককে তারা মিথ্যারোপ করেছে আর কাউকে করতে গেছে হত্যা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '740','chapter_id' => '5','translator_id' => '2','verse_number' => '71','translate_name' => 'আর তারা ভেবেছিল যে কোনো পরীক্ষা-নিরীক্ষা হবে না, সেজন্য তারা হলো অন্ধ আর বধির, এরপর আল্লাহ্ তাদের দিকে ফিরলেন। তারপরেও তাদের অনেকে অন্ধ ও বধির হলো। আর তারা যা করে আল্লাহ্ তার দর্শক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '741','chapter_id' => '5','translator_id' => '2','verse_number' => '72','translate_name' => 'নিশ্চয়ই তারা অবিশ্বাস পোষণ করে থাকে যারা বলে -- \'\'নিঃসন্দেহ আল্লাহ্‌, তিনিই মসীহ্‌, মরিয়মের পুত্র।’’ অথচ মসীহ্ বলেছেন -- \'\'হে ইসরাইলের বংশধরগণ! আল্লাহ্‌র এবাদত করো যিনি আমার প্রভু ও তোমাদেরও প্রভু।’’ নিঃসন্দেহ যে আল্লাহ্‌র সঙ্গে অংশীদার নিরূপণ করে, আল্লাহ্ নিশ্চয়ই তার জন্য নিষিদ্ধ করেছেন স্বর্গোদ্যান, আর তার আবাসস্থল হচ্ছে আগুন। আর অন্যায়কারীদের জন্য থাকবে না কোনো সাহায্যকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '742','chapter_id' => '5','translator_id' => '2','verse_number' => '73','translate_name' => 'তারা নিশ্চয়ই অবিশ্বাস পোষণ করে যারা বলে -- \'\'নিঃসন্দেহ আল্লাহ্ হচ্ছেন তিনজনের তৃতীয়জন।’’ বস্তুতঃ একক খোদা ছাড়া অন্য কোনো উপাস্য নেই। আর যা তারা বলছে তা থেকে যদি তারা না থামে, তবে তাদের মধ্যের যারা অবিশ্বাস পোষণ করে তাদের পাকড়াবে ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '743','chapter_id' => '5','translator_id' => '2','verse_number' => '74','translate_name' => 'তবে কি তারা আল্লাহ্‌র দিকে ফিরবে না, আর তারা তাঁর ক্ষমা-প্রার্থনা করবে কি? আর আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '744','chapter_id' => '5','translator_id' => '2','verse_number' => '75','translate_name' => 'মরিয়ম-পুত্র মসীহ্ রসূল বৈ নন। তাঁর পূর্বে রসূলগণ নিশ্চয়ই গত হয়ে গেছেন। আর তাঁর মাতা ছিলেন একজন সত্যপরায়ণা নারী। তাঁরা উভয়ে খাদ্য খেতেন। দেখো, কিভাবে আমরা তাদের জন্য আমার বাণী সুস্পষ্ট করি, তারপর দেখো, কেমন করে তারা ঘুরে যায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '745','chapter_id' => '5','translator_id' => '2','verse_number' => '76','translate_name' => 'বলো -- \'\'তোমরা আল্লাহ্‌কে ছেড়ে দিয়ে কি তার এবাদত করো যার কোনো ক্ষমতা নেই তোমাদের জন্য অপকারের, না কোনো উপকারের? আর আল্লাহ্‌, -- তিনি সর্বশ্রোতা, সর্বজ্ঞাতা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '746','chapter_id' => '5','translator_id' => '2','verse_number' => '77','translate_name' => 'বলো -- \'\'হে গ্রন্থপ্রাপ্ত লোকেরা! তোমাদের ধর্মমতে বাড়াবাড়ি করো না সত্য কারণ ছাড়া, আর লোকদের হীন-কামনার অনুবর্তী হয়ো না, -- যারা ইতিপূর্বে পথভ্রষ্ট হয়েছিল আর বহুজনকে করেছিল পথহারা, আর বিপথে গিয়েছিল সরল পথ থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '747','chapter_id' => '5','translator_id' => '2','verse_number' => '78','translate_name' => 'ইসরাইলের বংশধরদের মধ্যে যারা অবিশ্বাস পোষণ করেছিল তারা অভিশপ্ত হয়েছিল দাউদ ও মরিয়ম-পুত্র ঈসার জিহবার দ্বারা। এটি হয়েছিল, কেননা তারা অবাধ্য হয়েছিল আর করতো সীমালঙ্ঘন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '748','chapter_id' => '5','translator_id' => '2','verse_number' => '79','translate_name' => 'তারা পরস্পরকে নিষেধ করতো না কুকর্ম সন্বন্ধে যা তারা করতো। নিশ্চয়ই মন্দ যা তারা করে চলতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '749','chapter_id' => '5','translator_id' => '2','verse_number' => '80','translate_name' => 'তুমি দেখতে পাবে তাদের মধ্যের অনেকে বন্ধু বানিয়েছে যারা অবিশ্বাস পোষণ করে তাদের। নিশ্চয়ই মন্দ যা তাদের জন্য তাদের আ‌ত্মা আগবাড়িয়েছে যার দরুন আল্লাহ্ তাদের উপরে হয়েছেন অসন্তষ্ট, আর শাস্তির মধ্যেই তারা কাটাবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '750','chapter_id' => '5','translator_id' => '2','verse_number' => '81','translate_name' => 'আর যদি তারা ঈমান এনে থাকতো আল্লাহ্‌তে ও নবীর প্রতি, আর যা তাঁর কাছে অবতীর্ণ হয়েছে তাতে তবে তারা ওদের বন্ধুরূপে গ্রহণ করতো না। কিন্তু তাদের মধ্যের অনেকেই দুষ্কৃতিপরায়ণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '751','chapter_id' => '5','translator_id' => '2','verse_number' => '82','translate_name' => 'তুমি নিশ্চয়ই দেখতে পাবে যে যারা ঈমান এনেছে তাদের সাথে শত্রুতায় সব চাইতে কঠোর লোক হচ্ছে ইহুদীরা ও যারা শরীক করে, আর নিশ্চয়ই তুমি আবিস্কার করবে যে যারা ঈমান এনেছে তাদের সাথে বন্ধুত্বে সব চাইতে তাদের ঘনিষ্ঠ হচ্ছে ওরা যারা বলে -- \'\'নিঃসন্দেহ আমরা খ্রীষ্টান।’’ এটি এই জন্য যে তাদের মধ্যে রয়েছে পাদরীরা ও সাধুসন্ন্যাসীরা, আর যেহেতু তারা অহঙ্কার করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '752','chapter_id' => '5','translator_id' => '2','verse_number' => '83','translate_name' => 'আর যখন তারা শোনে যা রসূলের কাছে নাযিল হয়েছে, তুমি দেখবে তাদের চোখ অ‌শ্রুপ্লাবিত হয়েছে সত্যতা তারা উপলব্ধি করেছিল বলে। তারা বলে -- \'\'আমাদের প্রভু! আমরা ঈমান এনেছি, তাই আমাদের লিখে রাখো সাক্ষ্যদাতাদের সঙ্গে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '753','chapter_id' => '5','translator_id' => '2','verse_number' => '84','translate_name' => '\'\'আর কি কারণ আমাদের থাকতে পারে যার জন্য আমরা বিশ্বাস করবো না আল্লাহ্‌তে আর যে সত্য আমাদের কাছে এসেছে তাতে, যখন আমরা আকুল আকাঙ্খা করি যে আমাদের প্রভু যেন সৎকর্মশীল লোকদের সঙ্গে আমাদের অন্তর্ভুক্ত করেন?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '754','chapter_id' => '5','translator_id' => '2','verse_number' => '85','translate_name' => 'কাজেই আল্লাহ্ তাদের পুরস্কার দিয়েছিলেন যা তারা বলেছিল সেজন্য, -- বাগানসমূহ যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, তাতে তারা থাকবে চিরকাল। আর এটি হচ্ছে সৎকর্মীদের পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '755','chapter_id' => '5','translator_id' => '2','verse_number' => '86','translate_name' => 'আর যারা অবিশ্বাস পোষণ করে ও আমাদের নির্দেশসমূহে মিথ্যারোপ করে, তারা হচ্ছে জ্বলন্ত আগুনের বাসিন্দা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '756','chapter_id' => '5','translator_id' => '2','verse_number' => '87','translate_name' => 'ওহে যারা ঈমান এনেছ! ভালো বিষয়গুলো যা আল্লাহ্ তোমাদের জন্য বৈধ করেছেন সে-সব তোমরা নিষিদ্ধ করো না, আবার বাড়াবাড়িও করো না। নিঃসন্দেহ আল্লাহ্ ভালোবাসেন না সীমালঙ্ঘনকারীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '757','chapter_id' => '5','translator_id' => '2','verse_number' => '88','translate_name' => 'আর আল্লাহ্ তোমাদের যা হালাল ও ভালো রিযেক দিয়েছেন তা থেকে ভোগ করো আর আল্লাহ্‌কে ভয়-শ্রদ্ধা করো, -- যাঁর প্রতি তোমরা মুমিন হয়েছ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '758','chapter_id' => '5','translator_id' => '2','verse_number' => '89','translate_name' => 'আল্লাহ্ তোমাদের পাকড়াবেন না তোমাদের শপথগুলোর মধ্যে যা খেলো, কিন্তু তিনি তোমাদের পাকড়াও করবেন সেইসব শপথের জন্য যা তোমরা সেচ্ছাকৃতভাবে করো, তাই এর প্রায়শ্চিত্ত হচ্ছে দশজন গরীবকে খাওয়ানো, -- তোমাদের পরিজনকে তোমরা যেভাবে খাওয়াও সেইভাবে সাধারণ ধরনে, অথবা তাদের পরানো, অথবা একজন দাসকে মুক্ত করা। কিন্তু যে পায় না তবে তিন দিন রোযা। এ হচ্ছে তোমাদের শপথের প্রায়শ্চিত্ত যখন তোমরা হলফ করো। আর তোমাদের শপথ হেফাজতে রাখো। এইভাবে আল্লাহ্ তোমাদের জন্য তাঁর নির্দেশাবলী সুস্পষ্ট করেছেন যেন তোমরা কৃতজ্ঞতা জ্ঞাপন করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '759','chapter_id' => '5','translator_id' => '2','verse_number' => '90','translate_name' => 'ওহে যারা ঈমান এনেছ! নিঃসন্দেহ মাদকদ্রব্য ও জুয়া, আর প্রস্তর বেদী বসানো ও তীরের লটারি খেলা -- নিশ্চয়ই হচ্ছে অপবিত্র, শয়তানের কাজের অন্তর্ভুক্ত, কাজেই এ-সব এড়িয়ে চলো, যেন তোমরা সফলকাম হতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '760','chapter_id' => '5','translator_id' => '2','verse_number' => '91','translate_name' => 'নিঃসন্দেহ শয়তান কেবলই চায় যে তোমাদের মধ্যে শত্রুতা ও বিদ্বেষ জাগরিত হোক মাদকদ্রব্য ও জুয়ার মাধ্যমে, আর তোমাদের ফিরিয়ে রাখবে আল্লাহ্‌র গুণগান থেকে ও নামায থেকে। তোমরা কি তাহলে পরিহৃত থাকবে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '761','chapter_id' => '5','translator_id' => '2','verse_number' => '92','translate_name' => 'অতএব আল্লাহ্‌কে অনুসরণ করো, আর রসূলের অনুগমন করো, আর সাবধান হও, কিন্তু যদি তোমরা ফিরে যাও, তাহলে জেনে রেখো -- নিঃসন্দেহ আমাদের রসূলের উপরে হচ্ছে মাত্র স্পষ্টভাবে পৌঁছে দেয়া।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '762','chapter_id' => '5','translator_id' => '2','verse_number' => '93','translate_name' => 'যারা ঈমান এনেছে ও সৎকর্ম করে যাচ্ছে তাদের উপরে কোনো অপরাধ হবে না যা তারা খেয়েছে সেজন্য, যখন তারা ভয়-শ্রদ্ধা করে ও ঈমান আনে ও সৎকর্ম করে, পুনরায় ভয়ভক্তি করে ও ঈমান আনে, আবার তারা ভয়শ্রদ্ধা করে ও ভালো করে। আর আল্লাহ্ ভালোবাসেন সৎকর্মশীলদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '763','chapter_id' => '5','translator_id' => '2','verse_number' => '94','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্ নিশ্চয়ই তোমাদের পরীক্ষা করবেন শিকারের কিছু ব্যাপারে যা তোমাদের হাত ও তোমাদের বর্শা নাগাল পায়, যেন আল্লাহ্ যাচাই করতে পারেন কে তাঁকে ভয় করে অগোচরে। কাজেই যে কেউ এর পরেও সীমালঙ্ঘন করে তার জন্য ব্যথাদায়ক শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '764','chapter_id' => '5','translator_id' => '2','verse_number' => '95','translate_name' => 'ওহে যারা ঈমান এনেছ! শিকার হত্যা করো না যখন তোমরা হারামে থাকো। আর তোমাদের মধ্যে যে কেউ ইচ্ছা করে তা হত্যা ক’রে ক্ষতিপূরণ তবে হচ্ছে সে যা হত্যা করেছে তার অনুরূপ গবাদি-পশু থেকে যা ধার্য করে দেবে তোমাদের মধ্যের দুইজন ন্যায়বান লোক, সে কুরবানি পৌঁছানো চাই কা\'বাতে, অথবা প্রায়শ্চিত্ত হচ্ছে গরীবকে খাওয়ানো, অথবা তার সমতুল্য রোযা রাখা, -- যেন সে তার কাজের দন্ড ভোগ করে। আল্লাহ্ মাফ করে দেন যা হয়ে গেছে। কিন্তু যে কেউ পুনরাবর্তন করে, আল্লাহ্ সেজন্য প্রতিফল দেবেন। আর আল্লাহ্ মহাশক্তিশালী, প্রতিফল দানে সক্ষম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '765','chapter_id' => '5','translator_id' => '2','verse_number' => '96','translate_name' => 'তোমাদের জন্য বৈধ জলের শিকার আর তার খাদ্য তোমাদের জন্য ও পর্যটকদের জন্য উপকরণ, আর তোমাদের জন্য নিষিদ্ধ ডাঙায় শিকার যে সময়ে তোমরা হারামে থাকো। আর ভয়শ্রদ্ধা করো আল্লাহ্‌কে, যাঁর কাছে তোমাদের একত্রিত করা হচ্ছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '766','chapter_id' => '5','translator_id' => '2','verse_number' => '97','translate_name' => 'আল্লাহ্ পবিত্র গৃহ কা\'বাকে বানিয়েছেন মানুষের জন্য এক অবলন্বন, আর পবিত্র মাস, আর উৎসর্গকৃত পশুদের, আর মালা- পরানো উটদের। এ-সব এই জন্য যে তোমরা যেন জানতে পারো -- আল্লাহ্ জানেন যা-কিছু আছে মহাকাশমন্ডলে ও যা-কিছু আছে পৃথিবীতে, আর আল্লাহ্ সব-কিছু সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '767','chapter_id' => '5','translator_id' => '2','verse_number' => '98','translate_name' => 'তোমরা জেনে রেখো যে আল্লাহ্ প্রতিফল দানে কঠোর, আর আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '768','chapter_id' => '5','translator_id' => '2','verse_number' => '99','translate_name' => 'রসূলজনের উপরে অন্য দায়িত্ব নেই পৌঁছে দেয়া ছাড়া। আর আল্লাহ্ জানেন যা তোমরা প্রকাশ করো আর যা লুকিয়ে রাখো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '769','chapter_id' => '5','translator_id' => '2','verse_number' => '100','translate_name' => 'বলো -- \'\'মন্দ আর ভালো সমতুল্য নয়’’, যদিও মন্দের প্রাচুর্য তোমাকে তাজ্জব বানিয়ে দেয়। কাজেই আল্লাহ্‌কে ভয়শ্রদ্ধা করো, হে বিজ্ঞ ব্যক্তিগণ! যেন তোমরা সফলকাম হতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '770','chapter_id' => '5','translator_id' => '2','verse_number' => '101','translate_name' => 'ওহে যারা ঈমান এনেছ! সে-সব বিষয় সন্বন্ধে প্রশ্ন করো না যা তোমাদের কাছে ব্যক্ত করলে তোমাদের অসুবিধা হতে পারে। আর যদি তোমরা সে-সব বিষয়ে প্রশ্ন করো যে সময়ে কুরআন অবতীর্ণ হচ্ছে তবে তোমাদের জন্য ব্যক্ত করা হবে। আল্লাহ্ এটি থেকে মাফ করেছেন, কেননা আল্লাহ্ পরিত্রাণকারী, অতি অমায়িক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '771','chapter_id' => '5','translator_id' => '2','verse_number' => '102','translate_name' => 'তোমাদের পূর্বে একটি দল এ-ধরনের প্রশ্ন করতো, তারপর সেইসব কারণে পরমুহূর্তে তারা হলো অবিশ্বাসী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '772','chapter_id' => '5','translator_id' => '2','verse_number' => '103','translate_name' => 'আল্লাহ্ তৈরি করেন নি কোনো বাহীরাহ্‌, বা সা’ইবাহ্‌, বা ওস্বীলাহ্‌, বা হামি, কিন্তু যারা অবিশ্বাস পোষণ করে তারা আল্লাহ্‌র বিরুদ্ধে এই মিথ্যা রচনা করেছে। কিন্তু তাদের অধিকাংশই বুঝতে পারে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '773','chapter_id' => '5','translator_id' => '2','verse_number' => '104','translate_name' => 'আর যখন তাদের বলা হয় -- \'\'আল্লাহ্ যা নাযিল করেছেন তার দিকে আর রসূলের দিকে এস’’, তারা বলে -- \'\'আমাদের জন্য এ-ই যথেষ্ট যার উপরে আমাদের পিতৃপুরুষদের দেখেছি।’’ কী! যদিও তাদের পিতৃপুরুষরা কিছুই জানতো না আর তারা হেদায়তও গ্রহণ করে নি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '774','chapter_id' => '5','translator_id' => '2','verse_number' => '105','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের উপরে ভার রয়েছে তোমাদের জীবনের, যে পথভ্রষ্ট হয়েছে সে তোমাদের কোনো ক্ষতি করতে পারবে না যদি তোমরা পথনির্দেশ মেনে চল। আল্লাহ্‌র কাছেই তোমাদের সকলের প্রত্যাবর্তন, তখন তিনি তোমাদের জানাবেন কী তোমরা করতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '775','chapter_id' => '5','translator_id' => '2','verse_number' => '106','translate_name' => 'ওহে যারা ঈমান এনেছ! যখন মৃত্যু তোমাদের কারো কাছে হাজির হয় তখন তোমাদের মধ্যে সাক্ষী ডাকো ওছিয়ৎ করবার সময়ে, -- দুইজন ন্যায়পরায়ণ লোক তোমাদের মধ্যে থেকে, অথবা অপর দুইজন তোমাদের বাইরের থেকে -- যদি তোমরা দেশ- ভ্রমণে থাকো আর তোমাদের উপরে মৃত্যুর বিভীষিকা ঘটে। এ দু’জনকে তোমরা ধরে রাখবে নামাযের পরে, আর যদি তোমরা সন্দেহ করো তবে তারা উভয়ে আল্লাহ্‌র নামে শপথ করুক -- \'\'আমরা এটি বিক্রি করবো না যে কোনো দামে, যদিও বা নিকট-আ‌ত্মীয় হয়, আর আমরা সাক্ষ্য লুকাবো না, কেননা তাহলে আমরা নিশ্চয়ই পাপীদের অন্তর্ভুক্ত হবো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '776','chapter_id' => '5','translator_id' => '2','verse_number' => '107','translate_name' => 'পক্ষান্তরে যদি আবিস্কার করা হয় যে তাদের দু’জনই পাপের যোগ্যতা লাভ করেছে তবে তাদের স্থলে দাঁড়াক অপর দুইজন তাদের মধ্যে থেকে যাদের দাবি উল্টানো হয়েছে প্রথম দুইজনের দ্বারা, তখন তারা আল্লাহ্‌র নামে কসম খাক -- \'\'আমাদের দু’জনের সাক্ষ্য ঐ দুইজনের সাক্ষ্যের চাইতে অধিকতর সত্য, আর আমরা সীমা লঙ্ঘন করি নি, কেননা তবে নিঃসন্দেহ আমরা অন্যায়কারীদের অন্তর্ভুক্ত হবো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '777','chapter_id' => '5','translator_id' => '2','verse_number' => '108','translate_name' => 'এইভাবে এটি অধিক সম্ভবপর যে তারা সাক্ষ্য দেবে তাদের মুখের উপর, অথবা তারা আশংকা করবে যে অন্য শপথ তাদর শপথকে পরবর্তীকালে বাতিল ক’রে দেবে। আর আল্লাহ্‌কে ভয়ভক্তি করো ও শোন। আর আল্লাহ্ হেদায়ত করেন না অবাধ্য লোকদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '778','chapter_id' => '5','translator_id' => '2','verse_number' => '109','translate_name' => 'যেদিন আল্লাহ্ রসূলগণকে একত্রিত করবেন, তারপর বলবেন -- \'\'তোমাদের কী জবাব দেয়া হয়েছিল?’’ তাঁরা বলবেন -- \'\'আমাদের কিছু জানা নেই, নিঃসন্দেহ তুমিই অদৃশ্য সন্বন্ধে পরিজ্ঞাত।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '779','chapter_id' => '5','translator_id' => '2','verse_number' => '110','translate_name' => 'তখন আল্লাহ্ বলবেন -- \'\'হে মরিয়ম-পুত্র ঈসা! তোমার প্রতি ও তোমার মাতার প্রতি আমার অনুগ্রহ স্মরণ করো। স্মরণ করো! কেমন ক’রে তোমাকে আমি \'রূহুল ক্কুদুস’ দিয়ে বলীয়ান করেছিলাম, তুমি লোকদের সঙ্গে কথা বলেছিলে দোলনায় থাকাকালে ও বার্ধক্যকালে, আর স্মরণ করো! কেমন ক’রে তোমাকে শিখিয়েছিলাম কিতাব ও জ্ঞান-বিজ্ঞান, আর তওরাত ও ইনজীল, আর স্মরণ করো! কেমন করে তুমি মাটি দিয়ে তৈরি করতে পাখির মতো মূর্তি আমার অনুমতিক্রমে, তারপর তুমি তাতে ফুৎকার দিতে, তখন তা পাখি হয়ে যেত আমার অনুমতিক্রমে, আর তুমি আরোগ্য করতে জন্মান্ধকে ও কুষ্ঠরোগীকে আমার অনুমতিক্রমে, আর স্মরণ করো! কেমন ক’রে তুমি মৃতকে বের করতে আমার অনুমতিক্রমে, আর স্মরণ করো! কেমন ক’রে আমি ইসরাইলবংশীয় লোকদের নিবৃত্ত রেখেছিলাম তোমা থেকে যখন তুমি তাদের কাছে এসেছিলে স্পস্প্রমাণাবলী নিয়ে।’’ কিন্তু তাদের মধ্যের যারা অবিশ্বাস পোষণ করেছিল তারা বলেছিল -- \'\'এ স্পষ্ট জাদু ছাড়া আর কিছুই নয়।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '780','chapter_id' => '5','translator_id' => '2','verse_number' => '111','translate_name' => 'আর স্মরণ করো! আমি হাওয়ারিদের কাছে প্রত্যাদেশ দিয়েছিলাম এই বলে -- \'\'তোমরা আমার প্রতি ও আমার রসূলের প্রতি ঈমান আনো।’’ তারা বলেছিল -- \'\'আমরা ঈমান আনলাম, আর তুমি সাক্ষী থেকো যে আমরা নিশ্চয়ই আ‌ত্মসমর্পিত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '781','chapter_id' => '5','translator_id' => '2','verse_number' => '112','translate_name' => 'স্মরণ করো! হাওয়ারিগণ বলেছিল -- \'\'হে মরিয়ম-পুত্র ঈসা! তোমার প্রভু কি আমাদের জন্য আকাশ থেকে খাদ্য-পরিবেশিত টেবিল পাঠাতে রাজি হবেন?’’ তিনি বলেছিলেন -- \'\'আল্লাহ্‌কে ভয়-ভক্তি করো যদি তোমরা মুমিন হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '782','chapter_id' => '5','translator_id' => '2','verse_number' => '113','translate_name' => 'তারা বলেছিল -- \'\'আমরা চাই যে আমরা যেন তা থেকে আহার করি, আর আমাদের চিত্ত যেন পরিতৃপ্ত হয়, আর যেন আমরা জানতে পারি যে তুমি আমাদের কাছে হককথাই বলেছিলে, আর আমরা যেন সে-বিষয়ে সাক্ষীদের মধ্যেকার হতে পারি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '783','chapter_id' => '5','translator_id' => '2','verse_number' => '114','translate_name' => 'মরিয়ম-পুত্র ঈসা বললেন -- \'\'হে আল্লাহ্‌! আমাদের প্রভু! আমাদের জন্য আকাশ থেকে খাদ্য-পরিপূর্ণ খাঞ্চা প্রেরণ করো, যা হবে আমাদের জন্য এক ঈদ, -- আমাদের অগ্রগামীদের জন্য ও পশ্চাদগামীদের জন্য, আর তোমার কাছ থেকে একটি নিদর্শন, আর আমাদের রিযেক দান করো, কেননা তুমিই রিযেকদাতাদের সর্বোত্তম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '784','chapter_id' => '5','translator_id' => '2','verse_number' => '115','translate_name' => 'আল্লাহ্ বললেন -- \'\'আমি অবশ্যই তা তোমাদের জন্য পাঠাব, কিন্তু তোমাদের মধ্যে যে কেউ এরপরেও অবিশ্বাস পোষণ করবে আমি তবে তাকে নিশ্চয়ই এমন শাস্তিতে শাস্তি দেবো যেমন শাস্তি আমি বিশ্বজগতের অপর কাউকেও দেবো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '785','chapter_id' => '5','translator_id' => '2','verse_number' => '116','translate_name' => 'আর দেখো! আল্লাহ্ বলবেন -- \'\'হে মরিয়ম-পুত্র ঈসা! তুমি কি লোকদের বলেছিলে -- “আমাকে ও আমার মাকে আল্লাহ্ ছাড়া দুইজন উপাস্যরূপে গ্রহণ করো?’’ তিনি বলবেন -- \'\'তোমারই সব মহিমা! এটি আমার পক্ষে সম্ভবপর নয় যে আমি তা বলবো যাতে আমার কোনো অধিকার নেই। যদি আমি তা বলতাম তবে তুমি তা নিশ্চয়ই জানতে। আমার অন্তরে যা আছে তা তুমি জানো, আর আমি জানি না কি আছে তোমার অন্তরে। নিঃসন্দেহ কেবল তুমিই অদৃশ্য সন্বন্ধে পরিজ্ঞাত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '786','chapter_id' => '5','translator_id' => '2','verse_number' => '117','translate_name' => '\'\'আমি তাদের বলি নি তুমি যা আমাকে আদেশ করেছ তা ছাড়া অন্য কিছু, যথা -- \'তোমরা আল্লাহ্‌র উপাসনা করো যিনি আমার প্রভু ও তোমাদের প্রভু’, আর আমি তাদের সাক্ষী ছিলাম যতদিন আমি তাদের মধ্যে ছিলাম, কিন্তু যখন তুমি আমার মৃত্যু ঘটালে তখন তুমিই ছিলে তাদের উপরে প্রহরী। আর তুমিই হচ্ছো সব-কিছুরই সাক্ষী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '787','chapter_id' => '5','translator_id' => '2','verse_number' => '118','translate_name' => '\'\'তুমি যদি তাদের শাস্তি দাও তবে তারা তো তোমারই দাস, আর যদি তাদের তুমি পরিত্রাণ করো তবে তুমিই তো মহাশক্তিশালী, পরমজ্ঞানী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '788','chapter_id' => '5','translator_id' => '2','verse_number' => '119','translate_name' => 'আল্লাহ্ বলবেন -- \'\'এই দিনে সত্যনিষ্ঠদের তাদের সত্যপরায়ণতা উপকৃত করবে। তাদের জন্য রয়েছে স্বর্গোদ্যানসমূহ যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, তারা সেখানে থাকবে চিরকাল। আল্লাহ্ তাদের উপরে সুপ্রসন্ন আর তারা তাঁতে চির-সন্তষ্ট -- এটি হচ্ছে এক বিরাট সাফল্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '789','chapter_id' => '5','translator_id' => '2','verse_number' => '120','translate_name' => 'মহাকাশমন্ডল ও পৃথিবীর সার্বভৌমত্ব ও তাদের মধ্যে যা-কিছু আছে সে-সবই আল্লাহ্‌র। আর তিনি হচ্ছেন সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '790','chapter_id' => '6','translator_id' => '2','verse_number' => '1','translate_name' => 'সমস্ত প্রশংসা আল্লাহ্‌র জন্য যিনি মহাকাশমন্ডল ও পৃথিবী সৃষ্টি করেছেন, আর তিনি তৈরি করেছেন অন্ধকার ও আলো। তবু যারা অবিশ্বাস পোষণ করে তারা তাদের প্রভুর সাথে দাঁড় করায় সমকক্ষ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '791','chapter_id' => '6','translator_id' => '2','verse_number' => '2','translate_name' => 'তিনিই সেইজন যিনি তোমাদের সৃষ্টি করেছেন কাদা থেকে তারপর তিনি নির্ধারিত করেছেন একটি আয়ুস্কাল, আর তাঁর কাছে নির্ধারিত রয়েছে একটি কাল, তবু তোমরা সন্দেহ করো!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '792','chapter_id' => '6','translator_id' => '2','verse_number' => '3','translate_name' => 'আর তিনিই আল্লাহ্ মহাকাশমন্ডলে ও পৃথিবীতে। তিনি জানেন তোমাদের গোপনীয় বিষয় ও তোমাদের প্রকাশ্য বিষয়, আর তিনি জানেন যা তোমরা অর্জন করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '793','chapter_id' => '6','translator_id' => '2','verse_number' => '4','translate_name' => 'আর তাদের কাছে তাদের প্রভুর নির্দেশাবলীর মধ্যে থেকে এমন কোনো নির্দেশ আসে না যা থেকে তারা ফেরতগামী না হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '794','chapter_id' => '6','translator_id' => '2','verse_number' => '5','translate_name' => 'সুতরাং তারা নিশ্চয়ই সত্যকে প্রত্যাখ্যান করেছে যখনই তা তাদের কাছে এসেছে, কাজেই অচিরেই তাদের কাছে বার্তা আসবে যা নিয়ে তারা ঠাট্টা-বিদ্রূপ করতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '795','chapter_id' => '6','translator_id' => '2','verse_number' => '6','translate_name' => 'তারা কি দেখে না -- তাদের আগে আমরা কত মানব-বংশকে ধ্বংস করেছি যাদের আমরা পৃথিবীতে এমনভাবে প্রতিষ্ঠিত করেছিলাম যেমন তোমাদেরও প্রতিষ্ঠিত করি নি? আর আমরা মেঘমালা পাঠিয়েছিলাম তাদের উপরে অজস্র বৃষ্টিপাত করতে, আর তাদের নিচে দিয়ে ঝরনারাজি প্রবাহিত হতে দিয়েছিলাম, তারপর তাদের ধ্বংস করেছিলাম তাদের অপরাধের জন্য, আর তাদের পরে পত্তন করেছিলাম অন্য এক মানব-বংশের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '796','chapter_id' => '6','translator_id' => '2','verse_number' => '7','translate_name' => 'আর আমরা যদি তোমার কাছে কাগজের মধ্যে কিতাব অবতারণ করতাম আর তাদের হাত দিয়ে তারা তা স্পর্শও করতো, তবু যারা অবিশ্বাস পোষণ করে তারা নিশ্চয়ই বলতো -- \'\'এ স্পষ্ট জাদু ব্যতীত আর কিছুই নয়।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '797','chapter_id' => '6','translator_id' => '2','verse_number' => '8','translate_name' => 'আর তারা বলে -- \'\'একজন ফিরিশ্‌তাকে কেন তাঁর কাছে নামানো হয় না?’’ আর যদিও আমরা একজন ফিরিশ্‌তাকে পাঠাতাম তা হলে ব্যাপারটি নিশ্চয়ই মীমাংসা হয়ে যেত, তখন তাদের অবকাশ দেয়া হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '798','chapter_id' => '6','translator_id' => '2','verse_number' => '9','translate_name' => 'আর আমরা যদি তাঁকে ফিরিশ্‌তা বানাতাম তবে নিশ্চয়ই আমরা তাকে মানুষ বানাতাম, আর তাদের জন্য ঘোরালো করতাম যা তারা ঘোরালো করছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '799','chapter_id' => '6','translator_id' => '2','verse_number' => '10','translate_name' => 'আর নিশ্চয়ই তোমার পূর্বে রসূলগণকে ঠাট্টা-বিদ্রূপ করা হয়েছিল, কাজেই যা নিয়ে তারা ঠাট্টা-বিদ্রূপ করতো তা ঘেরাও করেছিল তাদের মধ্যের যারা বিদ্রূপ করেছিল তাদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '800','chapter_id' => '6','translator_id' => '2','verse_number' => '11','translate_name' => 'বলো -- \'\'পৃথিবীতে পরিভ্রমণ করো, তারপর চেয়ে দেখো কেমন হয়েছিল প্রত্যাখ্যানকারীদের পরিণাম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '801','chapter_id' => '6','translator_id' => '2','verse_number' => '12','translate_name' => 'বলো -- \'\'মহাকাশমন্ডলে ও পৃথিবীতে যা-কিছু আছে সে-সব কার জন্য?’’ বলো -- \'\'আল্লাহ্‌রই জন্য।’’ তিনি তাঁর নিজের উপরে কর্তব্য ঠাওরেছেন করুণা। তিনি অবশ্যই কিয়ামতের দিনের প্রতি তোমাদের জমায়েৎ করতে যাচ্ছেন -- কোনো সন্দেহ নেই তাতে। যারা নিজেদের অন্তরা‌ত্মার ক্ষতিসাধন করেছে তারা তবে ঈমান আনবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '802','chapter_id' => '6','translator_id' => '2','verse_number' => '13','translate_name' => 'আর তাঁরই যা-কিছু অবস্থান করে রাতে ও দিনের বেলায়, আর তিনি সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '803','chapter_id' => '6','translator_id' => '2','verse_number' => '14','translate_name' => 'বলো -- \'\'আমি কি মহাকাশমন্ডল ও পৃথিবীর আদি-স্রষ্টা আল্লাহ্ ব্যতীত অন্যকে মুরব্বীরূপে গ্রহণ করবো, অথচ তিনি খাওয়ান, কিন্ত তাঁকে খাওয়ানো হয় না।’’ বলো -- \'\'আমি নিশ্চয়ই আদিষ্ট হয়েছি যেন যারা আ‌ত্মসমর্পণ করে তাদের মধ্যে আমি অগ্রণী হই।’’ আর তুমি মুশরিকদের অন্তর্ভুক্ত হয়ো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '804','chapter_id' => '6','translator_id' => '2','verse_number' => '15','translate_name' => 'তুমি বলো -- \'\'আমি অবশ্যই ভয় করি এক ভীষণ দিনের শাস্তি যদি আমি আমার প্রভুর অবাধ্যতা করি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '805','chapter_id' => '6','translator_id' => '2','verse_number' => '16','translate_name' => 'যার কাছ থেকে সেদিন এটি অপসারিত করা হবে তাকে তবে নিশ্চয় তিনি করুণা করেছেন। আর এ এক সুস্পষ্ট সাফল্য!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '806','chapter_id' => '6','translator_id' => '2','verse_number' => '17','translate_name' => 'আর আল্লাহ্ যদি তোমাকে দুঃখ দিয়ে স্পর্শ করেন তবে তার মোচনকারী তিনি ব্যতীত আর কেউ নেই। আর যদি তিনি তোমাকে স্পর্শ করেন কল্যাণ দিয়ে তবে তিনিই তো সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '807','chapter_id' => '6','translator_id' => '2','verse_number' => '18','translate_name' => 'আর তাঁর বান্দাদের উপরেও তিনি পরম ক্ষমতাশালী! আর তিনি পরমজ্ঞানী, চির-ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '808','chapter_id' => '6','translator_id' => '2','verse_number' => '19','translate_name' => 'বলো \'\'সাক্ষ্যদানে সবচাইতে গুরুত্বপূর্ণ কি?’’ বলো -- \'\'আল্লাহ্‌ই আমার ও তোমাদের মধ্যে সাক্ষী, আর এই কুরআন আমার নিকট প্রত্যাদিষ্ট হয়েছে যেন এর দ্বারা আমি তোমাদের এবং যার কাছে এটি পৌঁছুতে পারে তাদের সতর্ক করতে পারি। তোমরা কি সত্যিই এই সাক্ষ্য দাও যে আল্লাহ্‌র সঙ্গে অন্য আরো উপাস্য আছে?’’ তুমি বলো -- \'\'আমি সাক্ষ্য দিই না।’’ বলো -- \'\'নিঃসন্দেহ তিনিই একমাত্র উপাস্য, আর আমি অবশ্যই মুক্ত তোমরা যে-সব অংশীদার দাঁড় করাও তা থেকে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '809','chapter_id' => '6','translator_id' => '2','verse_number' => '20','translate_name' => 'যাদের আমরা কিতাব দিয়েছি তারা তাঁকে চিনতে পেরেছিল যেমন তারা চেনে তাদের সন্তানদের। যারা তাদের অন্তরা‌ত্মার ক্ষতি করেছে তারা তবে ঈমান আনবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '810','chapter_id' => '6','translator_id' => '2','verse_number' => '21','translate_name' => 'আর কে তার চাইতে বেশী অন্যায়কারী যে আল্লাহ্‌-সন্বন্ধে মিথ্যা রচনা করে অথবা তাঁর আয়াতসমূহ প্রত্যাখ্যান করে? নিঃসন্দেহ অন্যায়কারীরা সফলকাম হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '811','chapter_id' => '6','translator_id' => '2','verse_number' => '22','translate_name' => 'আর একদিন আমরা তাদের সবাইকে একত্রিত করবো, তারপর যারা অংশীদার নিযুক্ত করেছিল তাদের বলবো -- \'\'কোথায় আছে তোমাদের সেইসব অনুসঙ্গী দেবতারা যাদের তোমরা তুলে ধরেছিলে?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '812','chapter_id' => '6','translator_id' => '2','verse_number' => '23','translate_name' => 'তখন তাদের আর কিছু অজুহাত থাকবে না এই বলা ছাড়া -- \'\'আমাদের প্রভু আল্লাহ্‌র কসম, আমরা বহুখোদাবাদী ছিলাম না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '813','chapter_id' => '6','translator_id' => '2','verse_number' => '24','translate_name' => 'দেখ, কিভাবে তারা নিজেদের বিরুদ্ধে মিথ্যা কথা বলে, আর তাদের থেকে বিদায় নিয়েছে যা তারা রচনা করতো!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '814','chapter_id' => '6','translator_id' => '2','verse_number' => '25','translate_name' => 'আর তাদের মধ্যে কেউ-কেউ তোমার দিকে কান পাতে, আর তাদের অন্তঃকরণের উপরে আমরা দিয়ে রেখেছি ঢাকনা পাছে তারা তা উপলব্ধি করতে পারে, আর তাদের কানে গুরুভার। আর যদিও তারা প্রত্যেকটি নিদর্শন প্রত্যক্ষ করে তবু তারা তোমার সঙ্গে তর্কবিতর্ক করে, যারা অবিশ্বাস পোষণ করে তারা বলে -- \'\'এ তো আগের দিনের উপকথা ব্যতীত আর কিছুই নয়।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '815','chapter_id' => '6','translator_id' => '2','verse_number' => '26','translate_name' => 'আর তারা অন্যকে নিষেধ করে এ থেকে, আর এ থেকে তারা দূরে চলে যায়, আর তারা অবশ্যই ধ্বংস করে শুধু তাদের নিজেদেরই, কিন্ত তারা অনুভব করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '816','chapter_id' => '6','translator_id' => '2','verse_number' => '27','translate_name' => 'আর যদি তুমি দেখতে পেতে যখন আগুনের সামনে তাদের দাঁড় করানো হবে, তখন তারা বলবে -- \'\'হায়! যদি আমরা ফিরে যেতে পারতাম, আর যদি আমাদের প্রভুর নির্দেশাবলী প্রত্যাখ্যান না করতাম, আর যদি আমরা হতাম বিশ্বাসীদের অন্তর্ভুক্ত!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '817','chapter_id' => '6','translator_id' => '2','verse_number' => '28','translate_name' => 'না, তারা পূর্বে যা লুকিয়েছিল তা প্রকাশ পাবে তাদের কাছে। আর তাদের ফেরত পাঠানো হলেও তারা তাতেই ফিরে যেতো যা থেকে তাদের নিষেধ করা হয়েছিল, আর নিঃসন্দেহ তারাই মিথ্যাবাদী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '818','chapter_id' => '6','translator_id' => '2','verse_number' => '29','translate_name' => 'আর তারা বলে -- \'\'আমাদের দুনিয়াদারী জীবন ব্যতীত আর কিছুই নেই, আর আমরা পুনরুত্থিতও হব না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '819','chapter_id' => '6','translator_id' => '2','verse_number' => '30','translate_name' => 'আর যদি তুমি দেখতে পেতে যখন তাদের প্রভুর সামনে তাদের দাঁড় করানো হবে! তিনি বলবেন -- \'\'এ কি সত্য নয়?’’ তারা বলবে -- \'\'হাঁ আমাদের প্রভুর কসম!’’ তিনি বলবেন -- \'\'তবে তোমরা আস্বাদন করো সেই শাস্তি যা তোমরা অবিশ্বাস করতে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '820','chapter_id' => '6','translator_id' => '2','verse_number' => '31','translate_name' => 'তারা নিশ্চয়ই ক্ষতি করেছে যারা আল্লাহ্‌র সাথে মুলাকাত হওয়া অস্বীকার করে, যে পর্যন্ত না তাদের কাছে অতর্কিতে এসে পড়ে ঘড়ি-ঘান্টা, তখন তারা বলবে -- \'\'হায়! এ সন্বন্ধে আমরা অবহেলা করেছিলাম ব’লে আফসোস!’’ আর তারা তাদের বোঝা তাদের পিঠে বহন করবে। এটি কি অতি নিকৃষ্ট নয় যা তারা বহন করছে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '821','chapter_id' => '6','translator_id' => '2','verse_number' => '32','translate_name' => 'আর এই দুনিয়ার জীবন ছেলেখেলা ও কৌতুক বই আর কিছুই নয়। আর পরকালের আবাসই শ্রেষ্ঠ তাদের জন্য যারা ধর্মপরায়ণতা পালন করে। তবে কি তোমরা অনুধাবন করো না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '822','chapter_id' => '6','translator_id' => '2','verse_number' => '33','translate_name' => 'আমরা অবশ্যই জানি যে তারা যা বলে তা নিশ্চিতই তোমাকে কষ্ট দেয়, কিন্ত তারা তো নিশ্চয়ই তোমাকে মিথ্যাবাদী বলে না, কিন্ত অন্যায়কারীরা আল্লাহ্‌র আয়াতকেই অমান্য করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '823','chapter_id' => '6','translator_id' => '2','verse_number' => '34','translate_name' => 'আর তোমার পূর্বেও রসূলগণকে অবশ্যই মিথ্যারোপ করা হয়েছিল, কিন্ত তাঁরা অধ্যবসায়ী হয়েছিলেন তাদেরকে মিথ্যারোপ করা ও যন্ত্রণা দেয়া সত্ত্বেও, যে পর্যন্ত না আমাদের সাহায্য তাদের কাছে এসেছিল, আর আল্লাহ্‌র বাণী কেউ বদলাতে পারে না। আর তোমার কাছে প্রেরিত-পুরুষগণের সন্বন্ধে সংবাদ নিশ্চয়ই এসেছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '824','chapter_id' => '6','translator_id' => '2','verse_number' => '35','translate_name' => 'আর যদি তাদের ফিরে যাওয়া তোমার কাছে কষ্টকর হয়, তবে যদি সমর্থ হও তো ভূগর্ভে সুড়ঙ্গপথ খোঁজো অথবা আকাশে উঠবার একটি মই, এবং তাদের কাছে নিয়ে এস কোনো নিদর্শন! আর যদি আল্লাহ্ ইচ্ছা করতেন তবে তিনি তাদের সকলকে অবশ্য সৎপথে সমবেত করতেন, কাজেই তুমি অজ্ঞদের অন্তর্ভুক্ত হয়ো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '825','chapter_id' => '6','translator_id' => '2','verse_number' => '36','translate_name' => 'কেবল তারাই সাড়া দেয় যারা শোনে। আর মৃতের সন্বন্ধে -- আল্লাহ্ তাদের পুনর্জীবিত করবেন, তখন তাঁর দিকেই তাদের ফিরিরে আনা হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '826','chapter_id' => '6','translator_id' => '2','verse_number' => '37','translate_name' => 'আর তারা বলাবলি করে -- \'\'কেন তাঁর কাছে তাঁর প্রভুর নিকট থেকে কোনো নিদর্শন অবতীর্ণ হয় না?’’ তুমি বলো -- \'\'নিঃসন্দেহ আল্লাহ্ নিদর্শন অবতীর্ণ করতে সক্ষম, কিন্ত তাদের অধিকাংশই জানে না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '827','chapter_id' => '6','translator_id' => '2','verse_number' => '38','translate_name' => 'আর এমন কোনো পার্থিব জীব নেই এই পৃথিবীতে আর না আছে কোন উড়ন্ত প্রাণী যে উড়ে তার দুই ডানার সাহায্যে, যারা তোমাদের মতো এক সম্প্রদায়ের নয়। আমরা এই কিতাবে কোনো কিছুই ফেলে রাখি নি। অতঃপর তাদের প্রভুর দিকে তাদের একত্রিত করা হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '828','chapter_id' => '6','translator_id' => '2','verse_number' => '39','translate_name' => 'আর যারা আমাদের নির্দেশসমূহে মিথ্যারোপ করে তারা বধির ও বোবা, ঘোর অন্ধকারে। আল্লাহ্ যাকে ইচ্ছা করেন তাকে তিনি বিপথে যেতে দেন, আর যাকে ইচ্ছা করেন তাকে তিনি স্থাপন করেন সহজ-সঠিক পথের উপরে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '829','chapter_id' => '6','translator_id' => '2','verse_number' => '40','translate_name' => 'বলো -- \'\'তোমরা কি ভেবে দেখেছ যে আল্লাহ্‌র শাস্তি তোমাদের উপরে যদি এসে পড়ে অথবা সেই ঘড়ি-ঘন্টা তোমাদের নিকটে উপস্থিত হয়, তোমরা কি আল্লাহ্ ছাড়া অপর কাউকে ডাকবে? যদি তোমরা সত্যবাদী হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '830','chapter_id' => '6','translator_id' => '2','verse_number' => '41','translate_name' => 'বরং তাঁকেই তোমরা ডাকবে, আর তিনি যদি ইচ্ছা করেন তবে দূর ক’রে দেবেন তা যার জন্য তাঁকে তোমরা ডেকে থাকো, আর তোমরা ভুলে যাবে তোমরা যে-সব অংশী দাঁড় করাও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '831','chapter_id' => '6','translator_id' => '2','verse_number' => '42','translate_name' => 'আর আমরা নিশ্চয়ই তোমার পূর্বের সম্প্রদায়ের কাছে রসূল পাঠিয়েছিলাম, তারপর আমরা দুর্দশা ও বিপদপাত দ্বারা তাদের পাকড়াও করেছিলাম যেন তারা নিজেদের বিনত করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '832','chapter_id' => '6','translator_id' => '2','verse_number' => '43','translate_name' => 'তবে কেন, যখন আমাদের থেকে দুর্দশা তাদের উপরে এসেছিল, তারা বিনত করল না? পরন্ত, তাদের অন্তঃকরণ কঠিন হয়ে উঠল, আর শয়তান তাদের কাছে চিত্তাকর্ষক করে তুললো যে-সব তারা করে যাচ্ছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '833','chapter_id' => '6','translator_id' => '2','verse_number' => '44','translate_name' => 'তারপর যখন তারা ভুলে গেল যে বিষয়ে তাদের স্মরণ করিয়ে দেয়া হয়েছিল, তাদের জন্য আমরা খুলে দিলাম সব-কিছুর দরজা, যে পর্যন্ত না তারা মেতে উঠেছিল যা তাদের দেয়া হয়েছিল তাতে, আমরা তাদের পাকড়াও করলাম অতর্কিতে, কাজেই দেখো! তারা তখন হতভন্ব!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '834','chapter_id' => '6','translator_id' => '2','verse_number' => '45','translate_name' => 'এইভাবে শিকড় কাটা হয়েছিল সেইসব গোষ্ঠীর যারা অন্যায় করেছিল। আর \'\'সমস্ত প্রশংসা আল্লাহ্‌র জন্য, সৃষ্টজগতের প্রভু।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '835','chapter_id' => '6','translator_id' => '2','verse_number' => '46','translate_name' => 'বলো -- \'\'তোমরা কি ভেবে দেখেছ, আল্লাহ্ যদি কেড়ে নেন তোমাদের শ্রবণশক্তি ও তোমাদের দৃষ্টিশক্তি, আর মোহর মেরে দেন তোমাদের হৃদয়ের উপরে, তবে আল্লাহ্ ব্যতীত কে উপাস্য আছে যে তোমাদের ঐগুলো ফিরিয়ে দেবে?’’ দেখো, কিরূপে আমরা নির্দেশসমূহ নানাভাবে বর্ণনা করি, এতদসত্ত্বেও তারা ফিরে যায়!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '836','chapter_id' => '6','translator_id' => '2','verse_number' => '47','translate_name' => 'বলো -- \'\'তোমাদের কি দৃষ্টিগোচর হয়েছে, -- তোমাদের উপরে যদি আল্লাহ্‌র শাস্তি এসে পড়ে অতর্কিতে অথবা প্রকাশ্যভাবে, তবে অত্যাচারিগোষ্ঠী ছাড়া আর কাউকে কি ধ্বংস করা হবে?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '837','chapter_id' => '6','translator_id' => '2','verse_number' => '48','translate_name' => 'আর কোনো বাণীবাহককে আমরা পাঠাই না সুসংবাদদাতারূপে ও সতর্ককারীরূপে ভিন্ন। অতএব যে কেউ ঈমান আনে ও সৎকাজ করে তাদের উপরে থাকবে না কোনো ভয়ভীতি, আর তারা করবে না অনুতাপ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '838','chapter_id' => '6','translator_id' => '2','verse_number' => '49','translate_name' => 'আর যারা আমাদের নির্দেশাবলীতে মিথ্যারোপ করেছে, শাস্তি তাদের পাকড়াও করবে যেহেতু তারা দুষ্কৃতি করে যাচ্ছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '839','chapter_id' => '6','translator_id' => '2','verse_number' => '50','translate_name' => 'বলো -- \'\'আমি তোমাদের বলি না যে আমার কাছে আল্লাহ্‌র ধনভান্ডার রয়েছে, আর অদৃশ্য সন্বন্ধেও আমি জানি না, আর আমি তোমাদের বলি না যে আমি নিশ্চয়ই একজন ফিরিশ্‌তা, আমার কাছে যা প্রত্যাদিষ্ট হয় আমি শুধু তারই অনুসরণ করি।’’ বলো -- \'\'অন্ধ ও চক্ষুষ্মান কি একসমান? তোমরা কি তবু অনুধাবন করবে না?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '840','chapter_id' => '6','translator_id' => '2','verse_number' => '51','translate_name' => 'আর এর দ্বারা তাদের সতর্ক করো যারা ভয় করে যে তাদের প্রভুর কাছে তাদের সমবেত করা হবে, তাদের জন্য তিনি ছাড়া কোনো অভিভাবক নেই আর কোনো সুপারিশকারীও নেই, অতএব তারা যেন ধর্মপরায়ণতা অবলন্বন করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '841','chapter_id' => '6','translator_id' => '2','verse_number' => '52','translate_name' => 'আর তাদের তাড়িয়ে দিও না যারা তাদের প্রভুকে ডাকে প্রাতে ও সন্ধ্যায়, তারা চায় তাঁরই শুভ মুখ। তোমার উপরে তাদের হিসাবপত্রের কোন দায়দায়িত্ব নেই, আর তোমার হিসেবপত্রের কোনো দায়দায়িত্ব তাদের উপরে নেই, কাজেই যদি তাদের তাড়িয়ে দাও তবে তুমি হবে অন্যায়কারীদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '842','chapter_id' => '6','translator_id' => '2','verse_number' => '53','translate_name' => 'আর এইভাবে আমরা তাদের একদলকে শাসন করি অন্য দলের দ্বারা, তার ফলে তারা বলে -- \'\'এরাই কি তারা যাদের প্রতি আল্লাহ্ অনুগ্রহ করলেন আমাদের মধ্যে থেকে?’’ আল্লাহ্ কি ভালো জানেন না কৃতজ্ঞদের?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '843','chapter_id' => '6','translator_id' => '2','verse_number' => '54','translate_name' => 'আর যারা আমাদের আয়াতসমূহে ঈমান এনেছে তারা যখন তোমার কাছে আসে তখন বলো -- \'\'সালামুন \'আলাইকুম।’’ তোমাদের প্রভু তাঁর নিজের উপরে কর্তব্য ঠাওরেছেন করুণা, সেজন্য তোমাদের মধ্যে যে অজ্ঞানতাবশতঃ পাপকার্য করে, অতঃপর তার পরে ফেরে ও সৎকাজ করে, তবে তো তিনি পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '844','chapter_id' => '6','translator_id' => '2','verse_number' => '55','translate_name' => 'আর এইভাবে আমরা আয়াতসমূহ বিশদভাবে বর্ণনা করি, আর যেন অপরাধীদের পথ স্পষ্ট প্রতীয়মান হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '845','chapter_id' => '6','translator_id' => '2','verse_number' => '56','translate_name' => 'বলো -- \'\'আমাকে নিশ্চয়ই নিষেধ করা হয়েছে আল্লাহ্ ব্যতীত তাদের উপাসনা করতে যাদের তোমরা পূজা-অর্চনা করো।’’ বলো -- \'\'আমি তোমাদের খেয়ালখুশির অনুসরণ করি না, কেননা তাহলে আমি নিশ্চয়ই বিপথে যাব, আর আমি সৎপথপ্রাপ্তদের অন্তর্ভুক্ত থাকবো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '846','chapter_id' => '6','translator_id' => '2','verse_number' => '57','translate_name' => 'বলো -- \'\'আমি নিশ্চয়ই আমার প্রভুর কাছ থেকে স্পষ্ট প্রমাণের উপরে, অথচ তোমরা তাতে মিথ্যারোপ করেছ। আমার কাছে তা নেই যা তোমরা তাড়াতাড়ি ঘটাতে চাচ্ছ। সিদ্ধান্ত তো আল্লাহ্ ছাড়া কারোর নয়। তিনি সত্য বর্ণনা করেন, আর মীমাংসাকারীদের মধ্যে তিনিই শ্রেষ্ঠ।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '847','chapter_id' => '6','translator_id' => '2','verse_number' => '58','translate_name' => 'বলো -- \'\'আমার কাছে যদি তা থাকতো যা তোমরা সত্বর ঘটাতে চাও তাহলে নিশ্চয়ই ব্যাপারটির মীমাংসা হয়ে যেতো আমার মধ্যে ও তোমাদের মধ্যে। আর আল্লাহ্ ভালো জানেন অন্যায়কারীদের।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '848','chapter_id' => '6','translator_id' => '2','verse_number' => '59','translate_name' => 'আর তাঁরই কাছে অদৃশ্যের চাবিকাঠি রয়েছে, কেউ তা জানে না তিনি ছাড়া। আর তিনি জানেন যা আছে স্থলদেশে ও সমুদ্রে। আর গাছের এমন একটি পাতাও পড়ে না যা তিনি জানেন না, আর নেই একটি শস্যকণাও মাটির অন্ধকারে, আর নেই কোনো তরতাজা জিনিস অথবা শুকনোবস্তু -- যা রয়েছে সুস্পষ্ট কিতাবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '849','chapter_id' => '6','translator_id' => '2','verse_number' => '60','translate_name' => 'আর তিনিই সেইজন যিনি তোমাদের গ্রহণ করেন রাত্রিকালে, আর তিনি জানেন তোমরা যা অর্জন করো দিনের বেলায়, তারপর এতে তিনি তোমাদের জাগরিত করেন যেন নির্ধারিত কাল পূর্ণ হয়। তারপর তাঁর কাছেই তোমাদের প্রত্যাবর্তন, তখন তিনি তোমাদের জানিয়ে দেবেন যা তোমরা করতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '850','chapter_id' => '6','translator_id' => '2','verse_number' => '61','translate_name' => 'আর তিনিই প্রভাবশালী তাঁর দাসদের উপরে, আর তিনিই তোমাদের উপরে রক্ষক প্রেরণ করেন। আবশেষে যখন তোমাদের কারো কাছে মৃত্যু আসে তখন আমাদের দূতরা তাকে গ্রহণ করে, আর তারা অবহেলা করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '851','chapter_id' => '6','translator_id' => '2','verse_number' => '62','translate_name' => 'অতঃপর তাদের আনা হয় তাদের প্রকৃত মনিব আল্লাহ্‌র কাছে। কর্তৃত্ব কি তাঁরই নয়? আর তিনি হিসাবরক্ষকদের মধ্যে সর্বাপেক্ষা তৎপর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '852','chapter_id' => '6','translator_id' => '2','verse_number' => '63','translate_name' => 'বলো -- \'\'কে তোমাদের উদ্ধার করেন স্থলদেশের ও সমুদ্রের অন্ধকার থেকে তোমরা তাঁকে ডাকো কাতরভাবে ও মনে মনে -- \'যদি তিনি এ থেকে আমাদের উদ্ধার করেন তবে নিশ্চয়ই আমরা হবো কৃতজ্ঞদের মধ্যেকার’?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '853','chapter_id' => '6','translator_id' => '2','verse_number' => '64','translate_name' => 'বলো -- \'\'আল্লাহ্‌ই তোমাদের উদ্ধার করেন এ-সব থেকে আর প্রত্যেকটি দুঃখকষ্ট থেকে, তথাপি তোমরা অংশীদার দাঁড় করাও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '854','chapter_id' => '6','translator_id' => '2','verse_number' => '65','translate_name' => 'বলো -- \'\'তিনি ক্ষমতাশীল তোমাদের উপরে শাস্তি আরোপ করতে তোমাদের উপর থেকে অথবা তোমাদের পায়ের নিচে থেকে, অথবা তোমাদের দিশাহারা করতে পারেন দলাদলি করিয়ে, আর তোমাদের একদলকে ভোগ করাতে পারেন অন্য দলের নিপীড়ন।’’ দেখো, কিরূপে আমরা নির্দেশসমূহ নানাভাবে বর্ণনা করি যেন তারা বুঝতে পারে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '855','chapter_id' => '6','translator_id' => '2','verse_number' => '66','translate_name' => 'আর তোমার সম্প্রদায় এতে মিথ্যারোপ করেছে, অথচ এইটিই সত্য। বলো -- \'\'আমি তোমাদের জন্য উকিল নই।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '856','chapter_id' => '6','translator_id' => '2','verse_number' => '67','translate_name' => '\'\'প্রত্যেক ভবিষ্যদ্বাণীর জন্য নির্ধারিত কাল রয়েছে, আর শীঘ্রই তোমরা জানতে পারবে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '857','chapter_id' => '6','translator_id' => '2','verse_number' => '68','translate_name' => 'আর তুমি যখন দেখতে পাবে তাদের যারা আমাদের আয়াতসমূহে নিরর্থক তর্ক করে তখন তাদের থেকে সরে যাবে যে পর্যন্ত না তারা অন্য কোনো প্রসঙ্গে প্রবেশ করে। আর যদি শয়তান তোমাকে ভুলিয়ে দেয় তবে মনে পড়ার পরে বসে থেকো না অন্যায়কারীদের দলের সঙ্গে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '858','chapter_id' => '6','translator_id' => '2','verse_number' => '69','translate_name' => 'আর যারা ধর্মপরায়ণতা অবলন্বন করে তাদের উপরে ওদের হিসাবপত্রের কোনো কিছুতে দায়িত্ব নেই, তবে স্মরণ করিয়ে দেয়া, যাতে ওরাও ধর্মপরায়ণতা অবলন্বন করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '859','chapter_id' => '6','translator_id' => '2','verse_number' => '70','translate_name' => 'আর তাদের বর্জন করো যারা তাদের ধর্মকে খেলা ও কৌতুকরূপে গ্রহণ করেছে, আর এ দ্বারা স্মরণ করিয়ে দাও পাছে কোনো প্রাণ বিধবস্ত হয়ে যায় যা সে অর্জন করে তার দ্বারা, তার জন্য আল্লাহ্‌কে ছেড়ে দিয়ে অন্য কোনো অভিভাবক থাকবে না, আর না কোনো সুপারিশকারী, আর যদি তারা খেসারত দেয় সবরকমের খেসারতি, তবুও তাদের থেকে তা গ্রহণ করা হবে না। এরাই তারা যাদের ধ্বংস করা হবে তারা যা অর্জন করেছে সেজন্য, তাদের জন্য পানীয় হচ্ছে ফুটন্ত জল থেকে, আর হচ্ছে এক ব্যথাদায়ক শাস্তি যেহেতু তারা অবিশ্বাস পোষণ করে চলতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '860','chapter_id' => '6','translator_id' => '2','verse_number' => '71','translate_name' => 'বলো -- \'\'আমরা কি আল্লাহ্ ছাড়া তাকে ডাকবো যে আমাদের উপকার করতে পারে না এবং আমাদের অপকারও করতে পারে না, আর আমরা কি আমাদের গোড়ালির উপরে মোড় ফিরিয়ে নেব আল্লাহ্ আমাদের পথ দেখিয়ে দেবার পরে, -- তার মতো যাকে শয়তানরা হীন প্রবৃত্তিতে উসকানি দিয়েছে দুনিয়াতে হয়রানিতে ফেলে, তার সহচরগণ রয়েছে যারা তাকে আহ্বান করছে ধর্মপথের দিকে -- \'আমাদের দিকে এসো’?’’ বলো -- \'\'নিঃসন্দেহ আল্লাহ্‌র পথনির্দেশ -- এই হচ্ছে পথনির্দেশ। আর আমাদের আদেশ দেওয়া হয়েছে যেন আমরা আ‌ত্মসমর্পণ করি বিশ্বজগতের প্রভুর কাছে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '861','chapter_id' => '6','translator_id' => '2','verse_number' => '72','translate_name' => '\'\'আর নামায প্রতিষ্ঠিত রাখতে ও তাঁকে ভয়ভক্তি করতে, আর তিনিই সেইজন যাঁর কাছে তোমাদের সমবেত করা হবে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '862','chapter_id' => '6','translator_id' => '2','verse_number' => '73','translate_name' => 'আর তিনিই সেইজন যিনি মহাকাশমন্ডল ও পৃথিবী সৃষ্টি করেছেন সত্যের সাথে। আর যখন তিনি বলেন -- \'\'হও’’, তখন হয়ে যায়। তাঁর কথাই সত্য। আর তাঁরই সার্বভৌম কর্তৃত্ব সেদিনকার যেদিন শিংগায় ফুৎকার দেয়া হবে। অদৃশ্য ও প্রকাশ্য বিষয়ে সর্বজ্ঞাতা, আর তিনি পরমজ্ঞানী, পূর্ণ-ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '863','chapter_id' => '6','translator_id' => '2','verse_number' => '74','translate_name' => 'আর স্মরণ করো! ইব্রাহীম বলেছিলেন তাঁর পিতৃ-পুরুষ আষারকে -- \'\'তুমি কি মূর্তিদের উপাস্যরূপে গ্রহণ করেছ? নিঃসন্দেহ আমি তোমাকে ও তোমার গোষ্ঠীকে স্পষ্ট ভ্রান্তির মধ্যে দেখতে পাচ্ছি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '864','chapter_id' => '6','translator_id' => '2','verse_number' => '75','translate_name' => 'আর এইভাবে আমরা ইব্রাহীমকে দেখিয়েছিলাম মহাকাশমন্ডল ও পৃথিবীর সার্বভেম রাজত্ব যাতে তিনি হতে পারেন দৃঢ়প্রত্যয়ীদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '865','chapter_id' => '6','translator_id' => '2','verse_number' => '76','translate_name' => 'তারপর রাত্রি যখন তাঁর উপরে অন্ধকার ছেয়ে আনলো তখন তিনি একটি তারা দেখতে পেলেন, তিনি বললেন -- \'\'এইটি আমার প্রভু!’’ তারপর যখন তা অস্ত গেল তখন তিনি বললেন -- \'\'আমি অস্তগামীদের ভালোবাসি না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '866','chapter_id' => '6','translator_id' => '2','verse_number' => '77','translate_name' => 'অতঃপর যখন তিনি চন্দ্রকে উদিত হতে দেখলেন তখন বললেন -- \'\'এইটি আমার প্রভু!’’ কিন্ত যখন তা অস্ত গেল তখন তিনি বললেন -- \'\'যদি আমার প্রভু আমাকে পথ-প্রদর্শন না করতেন তাহলে আমি অবশ্যই হয়ে পড়তাম পথভ্রষ্টদের দলভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '867','chapter_id' => '6','translator_id' => '2','verse_number' => '78','translate_name' => 'তারপর যখন তিনি দেখলেন সৃর্য উদয় হচ্ছে তখন তিনি বললেন -- \'\'এইটি আমার প্রভু, এটি সব চাইতে বড়!’’ কিন্ত যখন এটিও অস্ত গেল তখন তিনি বললেন -- \'\'হে আমার সম্প্রদায়, তোমরা যাদের শরিক কর তা থেকে আমি অবশ্যই মুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '868','chapter_id' => '6','translator_id' => '2','verse_number' => '79','translate_name' => '\'\'নিঃসন্দেহ আমি তাঁর দিকে আমার মুখ ফেরাচ্ছি একনিষ্ঠভাবে যিনি মহাকাশমন্ডল ও পৃথিবী সৃষ্টি করেছেন, আর আমি বহু- খোদাবাদীদের অন্তর্ভুক্ত নই।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '869','chapter_id' => '6','translator_id' => '2','verse_number' => '80','translate_name' => 'আর তাঁর লোকেরা তাঁর সঙ্গে হুজ্জৎ শুরু করল। তিনি বললেন -- \'\'তোমরা কি আমার সঙ্গে আল্লাহ্ সন্বন্ধে হুজ্জৎ করছো, অথচ তিনি আমাকে নিশ্চয়ই সৎপথ দেখিয়েছেন? আর আমি তাদের একটুও ভয় করি না যাদের তোমরা তাঁর সাথে শরিক করেছ, যদি না আমার প্রভু অন্যবিধ ইচ্ছা করেন। আমার প্রভু সব-কিছুর উপরেই জ্ঞানে আধিপত্য রাখেন। তবু কি তোমরা অনুধাবন করবে না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '870','chapter_id' => '6','translator_id' => '2','verse_number' => '81','translate_name' => '\'\'আর কেমন ক’রে আমি ভয় করবো তাদের যাদের তোমরা শরিক করো, অথচ তোমরা ভয় করো না যখন আল্লাহ্‌র সঙ্গে তোমরা অংশী দাঁড় করাতে যাও যার জন্য তিনি তোমাদের কাছে কোনো সনদ পাঠান নি? সুতরাং এই দুই দলের কারা নিরাপত্তা সন্বন্ধে বেশি হক্‌দার? যদি তোমরা জেনে থাকো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '871','chapter_id' => '6','translator_id' => '2','verse_number' => '82','translate_name' => 'যারা আল্লাহ্‌তে ঈমান এনেছে আর যারা তাদের ঈমানকে অন্যায় আচরণ দ্বারা মাখামাখি করে নি, তারাই -- এদেরই প্রাপ্য নিরাপত্তা, আর এরাই হচ্ছে সুপথে চালিত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '872','chapter_id' => '6','translator_id' => '2','verse_number' => '83','translate_name' => 'আর এইগুলো হচ্ছে আমাদের যুক্তিতর্ক যা আমরা ইব্রাহীমকে তাঁর লোকদের বিরুদ্ধে দিয়েছিলাম। আমরা যাকে ইচ্ছা করি বহুস্তর উন্নত করি। নিঃসন্দেহ তোমার প্রভু পরমজ্ঞানী, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '873','chapter_id' => '6','translator_id' => '2','verse_number' => '84','translate_name' => 'আর আমরা তাঁকে দিয়েছিলাম ইসহাক ও ইয়াকুব। প্রত্যেককে আমরা সৎপথ দেখিয়েছিলাম, আর নূহকে পথ দেখিয়েছিলাম এর আগে, আর তাঁর বংশধরদের মধ্য থেকে দাউদ ও সুলাইমান আর আইয়ূব ও ইউসুফ আর মূসা ও হারূন। আর এইভাবে আমরা পুরস্কার প্রদান করি সৎকর্মশীলদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '874','chapter_id' => '6','translator_id' => '2','verse_number' => '85','translate_name' => 'আর যাকারিয়া ও ইয়াহ্‌য়া আর ঈসা ও ইলয়াস। প্রতেকেই হয়েছিলেন পুণ্যকর্মাদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '875','chapter_id' => '6','translator_id' => '2','verse_number' => '86','translate_name' => 'আর ইসমাইল, আর ইয়াসাআ ও ইউনুস, আর লূত। আর সবাইকে আমরা মানবগোষ্ঠীর উপরে শ্রেষ্ঠত্ব দিয়েছিলাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '876','chapter_id' => '6','translator_id' => '2','verse_number' => '87','translate_name' => 'আর তাঁদের পিতাদের, আর তাঁদের বংশধরদের, আর তাঁদের ভাইদের মধ্যে থেকে, আর আমরা তাদের নির্বাচিত করেছিলাম এবং তাদের পরিচালিত করেছিলাম সহজ-সঠিক পথের দিকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '877','chapter_id' => '6','translator_id' => '2','verse_number' => '88','translate_name' => 'এই হচ্ছে আল্লাহ্‌র পথনির্দেশ, এর দ্বারা তিনি পথ দেখান তাঁর বান্দাদের মধ্যের যাকে ইচ্ছে করেন। আর যদি তাঁরা অংশী দাঁড় করতেন তবে তাঁরা যা করছিলেন সে-সব নিশ্চয়ই তাঁদের জন্য বৃথা হতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '878','chapter_id' => '6','translator_id' => '2','verse_number' => '89','translate_name' => 'এরাঁই তাঁরা যাঁদের আমরা দিয়েছিলাম কিতাব, আর কর্তৃত্ব, আর নবুওৎ; কাজেই এরা যদি এ-সবে অবিশ্বাস পোষণ করে তবে আমরা নিশ্চয়ই এর তত্ত্বাবধানের ভার দিয়েছি এমন এক সম্প্রদায়ের উপরে যারা এতে অবিশ্বাসী হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '879','chapter_id' => '6','translator_id' => '2','verse_number' => '90','translate_name' => 'এরাঁই তাঁরা যাঁদের আল্লাহ্ সৎপথে পরিচালিত করেছেন, সুতরাং তুমি তাঁদের পথনির্দেশের অনুসরণ করো। বলো -- \'\'আমি তোমাদের কাছে এর জন্য কোনো প্রতিদান চাই না। এতো নিঃসন্দেহ মানবগোষ্ঠীর কাছে স্মারকই মাত্র।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '880','chapter_id' => '6','translator_id' => '2','verse_number' => '91','translate_name' => 'আর তারা আল্লাহ্‌র সম্মান করে না তাঁর যথাযোগ্য মর্যাদার সাথে যখন তারা বলে -- \'\'আল্লাহ্ কোনো মানুষের কাছে কিছুই অবতারণ করেন নি।’’ বলো -- \'\'কে অবতারণ করেছিলেন গ্রন্থখানা যা নিয়ে মূসা এসেছিলেন -- মানুষের জন্য আলোক ও পথনির্দেশরূপে, যা তোমরা কাগজপত্রে তুলে তা প্রকাশ করো ও বেশির ভাগ গোপন করো, আর তোমাদের শেখানো হয়েছিল যা তোমরা জানতে না, -- তোমরা আর তোমাদের পিতৃপুরুষরাও না?’’ বলো -- \'\'আল্লাহ্‌।’’ অতঃপর তাদের ছেড়ে দাও তাদের বাজে কথায় খেলাধুলো করতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '881','chapter_id' => '6','translator_id' => '2','verse_number' => '92','translate_name' => 'আর এই হচ্ছে কিতাব যা আমরা অবতারণ করেছি কল্যাণময় ক’রে, যা এর পূর্বেকার তার সত্য-সমর্থকরূপে, আর যেন তুমি সতর্ক করতে পারো নগর জননীকে আর যারা এর চতুর্দিকে রয়েছে তাদের। আর যারা পরকালে বিশ্বাস করে তারা এতে বিশ্বাস করে, আর তারা তাদের নামাযের হেফাজত করে চলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '882','chapter_id' => '6','translator_id' => '2','verse_number' => '93','translate_name' => 'আর কে তার চাইতে বেশি অন্যায়কারী যে আল্লাহ্ সন্বন্ধে মিথ্যা রচনা করে, অথবা বলে -- \'আমার কাছে প্রত্যাদেশ এসেছে’, অথচ তার কাছে কোনো-প্রকার প্রত্যাদেশ আসে নি, আর যে বলে -- \'আমি অবতারণ করতে পারি যা আল্লাহ্ অবতারণ করেছেন তার মতো জিনিস’? আর তুমি যদি দেখতে পেতে যখন অন্যায়কারীরা মৃত্যু-যন্ত্রণায় থাকবে আর ফিরিশ্‌তারা তাদের হাত বাড়াবে -- \'\'বের করো তোমাদের অন্তরা‌ত্মা! আর তোমাদের দেয়া হবে লাঞ্ছনাপূর্ণ শাস্তি যেহেতু তোমরা আল্লাহ্‌র বিরুদ্ধে বলে চলেছিলে সততার সীমা ছাড়িয়ে, আর তোমরা তাঁর আয়াতসমূহে অহংকার পোষণ করতে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '883','chapter_id' => '6','translator_id' => '2','verse_number' => '94','translate_name' => 'আর তোমরা নিশ্চয়ই আমাদের কাছে এসেছ একে একে যেমন তোমাদের আমরা প্রথমবার সৃষ্টি করেছিলাম, আর যা তোমাদের দিয়েছিলাম তা তোমরা তোমাদের পিঠের পেছনে ফেলে এসেছ, আর তোমাদের সঙ্গে তোমাদের সুপারিশকারীদের দেখছি না যাদের তোমরা দাবি করতে যে তারা তোমাদের মধ্যে নিশ্চিত অংশীদার। নিশ্চয় তোমাদের মধ্যেকার বন্ধন ছিন্ন হয়েছে আর তোমাদের থেকে উধাও হয়েছে যা তোমরা দাবি করতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '884','chapter_id' => '6','translator_id' => '2','verse_number' => '95','translate_name' => 'নিঃসন্দেহ আল্লাহ্ -- তিনি শস্যবীজ ও আটিরঁ অংকুরোদগমকারী। তিনি মৃতদের থেকে জীবিতদের উদগত করেন, আবার তিনিই মৃতদের উদগমকারী জীবিতদের থেকে। এই তো আল্লাহ্‌! সুতরাং কোথা থেকে তোমরা ফিরে যাবে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '885','chapter_id' => '6','translator_id' => '2','verse_number' => '96','translate_name' => 'তিনিই উষার ঊন্মেষকারী, আর তিনি রাত্রিকে সৃষ্টি করেছেন বিশ্রামের জন্য, আর সূর্যকে এবং চন্দ্রকে হিসাবের জন্য। এই-ই মহাশক্তিশালী সর্বজ্ঞাতার বিধান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '886','chapter_id' => '6','translator_id' => '2','verse_number' => '97','translate_name' => 'আর তিনিই সেইজন যিনি তোমাদের জন্য সৃষ্টি করেছেন তারকারাজি, যেন তোমরা তাদের সাহায্যে স্থলের ও সমুদ্রের অন্ধকারে পথ চলতে পারো। আমরা নিশ্চয়ই নিদর্শনসমূহ বিশদভাবে বিবৃত করেছি এমন লোকের জন্য যারা জ্ঞান রাখে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '887','chapter_id' => '6','translator_id' => '2','verse_number' => '98','translate_name' => 'আর তিনিই সেইজন যিনি তোমাদের উদ্ভব করেছেন একই নফস থেকে, এবং রয়েছে এক বিশ্রাম-স্থল আর এক পাত্রাধার। আমরা নিশ্চয়ই নিদর্শনগুলো ব্যাখ্যা করেছি তেমন লোকের জন্য যারা হৃদয়ম করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '888','chapter_id' => '6','translator_id' => '2','verse_number' => '99','translate_name' => 'আর তিনিই সেইজন যিনি আকাশ থেকে নামান বৃষ্টি, তখন তার দ্বারা আমরা উদ্‌গত করি সব রকমের চারা গাছ, তারপর তা থেকে উদগম করি সবুজ গাছপালা, যা থেকে উদ্ভব করি থোকা থোকা শস্য, আর খেজুর গাছ থেকে -- তার মাথি থেকে ঝুলন্ত কাঁদি, আর আঙ্গুরের ও জলপাইয়ের ও ডালিমের বাগান -- এক রকমের ও সামস্যবিহীন। তোমরা তাকিয়ে দেখো তার ফলের দিকে যখন তা ফলবান হয় ও তার পেকে ওঠাতে। নিঃসন্দেহ এগুলোতে রয়েছে নিদর্শনাবলী তেমন লোকের জন্য যারা বিশ্বাস স্থাপন করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '889','chapter_id' => '6','translator_id' => '2','verse_number' => '100','translate_name' => 'তথাপি তারা আল্লাহ্‌র সঙ্গে শরিক করে জিনকে, যদিও তিনিই ওদের সৃষ্টি করেছেন, আর তারা কোনো জ্ঞান ছাড়াই তাঁতে আরোপ করে পুত্র ও কন্যাদের। তাঁরই সব মহিমা! আর তারা যা আরোপ করে সে-সব থেকে তিনি বহু ঊর্ধ্বে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '890','chapter_id' => '6','translator_id' => '2','verse_number' => '101','translate_name' => 'মহাকাশমন্ডল ও পৃথিবীর আদিস্রষ্টা! কোথা থেকে তাঁর সন্তান হবে যখন তাঁর জন্য কোনো সহচরী নেই। আর তিনিই সব- কিছু সৃষ্টি করেছেন, আর তিনিই তো সব-কিছু সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '891','chapter_id' => '6','translator_id' => '2','verse_number' => '102','translate_name' => 'এই হচ্ছেন আল্লাহ্‌, তোমাদের প্রভু! তিনি ছাড়া অন্য উপাস্য নেই, তিনি সব-কিছুরই সৃষ্টিকর্তা, কাজেই তাঁরই উপাসনা করো, আর তিনি সব বিষয়ের উপরে কর্ণধার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '892','chapter_id' => '6','translator_id' => '2','verse_number' => '103','translate_name' => 'দৃষ্টি তাঁর ইয়ত্তা পায় না, কিন্ত তিনি দৃষ্টিতে পরিদর্শন করেন। আর তিনিই সুক্ষদর্শী, পূর্ণ ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '893','chapter_id' => '6','translator_id' => '2','verse_number' => '104','translate_name' => '\'\'নিশ্চয়ই তোমাদের কাছে তোমাদের প্রভুর কাছ থেকে জ্ঞান দৃষ্টি এসেছে, কাজেই যে কেউ দেখতে পায়, সেটি তার নিজের আ‌ত্মার জন্যে, আর যে কেউ অন্ধ হবে, সেটি তার বিরুদ্ধে যাবে। আর আমি তোমাদের উপরে তত্ত্বাবধায়ক নই।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '894','chapter_id' => '6','translator_id' => '2','verse_number' => '105','translate_name' => 'আর এইভাবে আমরা নির্দেশাবলী নানাভাবে বর্ণনা করি, আর যেন তারা বলতে পারে,\'\'তুমি পাঠ করেছ’’, আর যেন আমরা এটি সুস্পষ্ট করতে পারি তেমন লোকদের কাছে যারা জানে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '895','chapter_id' => '6','translator_id' => '2','verse_number' => '106','translate_name' => 'তুমি তার অনুসরণ করো যা তোমার কাছে তোমার প্রভুর কাছ থেকে প্রত্যাদেশ দেওয়া হয়েছে -- \'তিনি ছাড়া অন্য উপাস্য নেই’, আর সরে দাঁড়াও বহুখোদাবাদীদের থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '896','chapter_id' => '6','translator_id' => '2','verse_number' => '107','translate_name' => 'আর যদি আল্লাহ্ ইচ্ছে করতেন তবে তারা শরিক করতো না। আর আমরা তোমাকে তাদের উপরে রক্ষাকারীরূপে নিযুক্ত করি নি, আর তুমি তাদের উপরে কার্যনির্বাহকও নও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '897','chapter_id' => '6','translator_id' => '2','verse_number' => '108','translate_name' => 'আর তারা আল্লাহ্‌কে ছেড়ে দিয়ে যাদের উপাসনা করে তাদের গালি দিও না, পাছে তারাও শত্রুতাবশতঃ আল্লাহ্‌কে গালি দেয় জ্ঞানহীনতার জন্য। এইভাবে প্রত্যেক সম্প্রদায়ের জন্য তাদের ক্রিয়াকলাপ আমরা চিত্তাকর্ষক করেছি। তারপর তাদের প্রভুর কাছেই হচ্ছে তাদের প্রত্যাবর্তন, তখন তিনি তাদের জানিয়ে দেবেন কি তারা করতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '898','chapter_id' => '6','translator_id' => '2','verse_number' => '109','translate_name' => 'আর তারা আল্লাহ্‌র নামে কসম খায় তাদের জোরালো শপথের দ্বারা যে যদি কোনো নিদর্শন তাদের কাছে আসতো তবে তারা নিশ্চয়ই তাতে বিশ্বাস করতো। বলো -- \'\'নিঃসন্দেহ নিদর্শনসমূহ আল্লাহ্‌র কাছেই রয়েছে। আর কেমন ক’রে তোমাদের জানানো যাবে যে যখন তা আসবে তারা বিশ্বাস করবে না?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '899','chapter_id' => '6','translator_id' => '2','verse_number' => '110','translate_name' => 'আর আমরাও তাদের অন্তঃকরণ ও তাদের দৃষ্টি পাল্টে দেবো যেমন তারা প্রথমবার এতে বিশ্বাস করে নি, আর তাদের ছেড়ে দেবো তাদের অবাধ্যতার মধ্যে উদ্‌ভ্রান্ত ভাবে ঘুরে বেড়াতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '900','chapter_id' => '6','translator_id' => '2','verse_number' => '111','translate_name' => 'আর যদিবা আমরা তাদের প্রতি পাঠাতাম ফিরিশ্‌তাদের, আর মড়াও যদি তাদের সঙ্গে কথা বলতো, আর সব-কিছুই যদি তাদের সামনে একত্রে হাজির করতাম, তবুও তারা বিশ্বাস করতো না, যদি না আল্লাহ্ ইচ্ছা করতেন, কিন্ত তাদের অধিকাংশই অজ্ঞতা পোষণ করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '901','chapter_id' => '6','translator_id' => '2','verse_number' => '112','translate_name' => 'আর এইভাবে আমরা প্রত্যেক নবীর জন্যে সৃষ্টি করেছি শত্রু -- মানুষ ও জিন-এর মধ্যেকার শয়তানদের, তারা একে অন্যকে প্ররোচিত করে চমক্‌প্রদ বাক্যদ্বারা প্রতারণার উদ্দেশ্যে। আর তোমার প্রভু যদি ইচ্ছা করতেন তবে তারা এ করতো না। অতএব ছেড়ে দাও তাদের আর তারা যা মিথ্যা রচনা করে তা, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '902','chapter_id' => '6','translator_id' => '2','verse_number' => '113','translate_name' => 'আর যারা পরকালে বিশ্বাস করে না তাদের আন্তরা‌ত্মা যেন এদিকে ঝুঁকে পড়ে, আর যেন তারা এতে খুশিও হয়, আর যেন তারা যা করে চলেছে তাতে যেন মশগুল থাকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '903','chapter_id' => '6','translator_id' => '2','verse_number' => '114','translate_name' => '\'\'তবে কি আল্লাহ্ ছাড়া আমি অন্যকে বিচারক খুজঁবো যখন তিনিই সেইজন যিনি তোমাদের কাছে অবতারণ করেছেন এ কিতাব, বিশদভাবে ব্যাখ্যাকৃত?’’ আর যাদের আমরা গ্রন্থ দিয়েছিলাম তারা জানে যে এটি অবতীর্ণ হয়েছে তোমার প্রভুর নিকট থেকে সত্যের সাথে, অতএব তুমি সন্দিহানদের অন্তর্ভুক্ত হয়ো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '904','chapter_id' => '6','translator_id' => '2','verse_number' => '115','translate_name' => 'আর তোমার প্রভুর বাণী সম্পূর্ণ হয়েছে সত্যে ও ন্যায়ে। তাঁর বাণী কেউ বদলাতে পারে না, আর তিনিই সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '905','chapter_id' => '6','translator_id' => '2','verse_number' => '116','translate_name' => 'আর যদি তুমি দুনিয়ার বাসিন্দাদের অধিকাংশের আজ্ঞাপালন করো তবে তারা তোমাকে আল্লাহ্‌র পথ থেকে বিচ্যুত করবে। তারা তো শুধু অসার বিষয়ের অনুসরণ করে, আর তারা তো শুধু আন্দাজের উপরেই চলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '906','chapter_id' => '6','translator_id' => '2','verse_number' => '117','translate_name' => 'নিঃসন্দেহ তোমার প্রভু -- তিনি ভালো জানেন কে তাঁর পথ থেকে বিপথে যায়, আর তিনি ভালো জানেন যারা সুপথে চালিত তাদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '907','chapter_id' => '6','translator_id' => '2','verse_number' => '118','translate_name' => 'কাজেই আহার করো যার উপরে আল্লাহ্‌র নাম উল্লেখ করা হয়েছে, -- যদি তোমরা তাঁর নির্দেশসমূহে বিশ্বাসী হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '908','chapter_id' => '6','translator_id' => '2','verse_number' => '119','translate_name' => 'আর তোমাদের কি হয়েছে যে তোমরা তা খাবে না যার উপরে আল্লাহ্‌র নাম উল্লেখ করা হয়েছে, আর তিনি ইতিপূর্বে তোমাদের জন্য বিশদভাবে বর্ণনা করেছেন যা তোমাদের জন্য তিনি নিষেধ করেছেন, তবে যতটাতে তোমরা বাধ্য হও তা ব্যতীত? আর নিঃসন্দেহ অনেকেই বিপথে চালিত করে তাদের খেয়াল-খুশির দ্বারা জ্ঞানহীনতা বশতঃ। নিঃসন্দেহ তোমার প্রভু -- তিনি ভলো জানেন সীমা-লঙ্ঘনকারীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '909','chapter_id' => '6','translator_id' => '2','verse_number' => '120','translate_name' => 'আর পরিহার করো প্রকাশ্য পাপ ও তার গোপনীয়গুলোও। নিঃসন্দেহ যারা পাপ অর্জন করে তাদের প্রতিফল দেওয়া হবে তারা যা উপার্জন করে থাকে তার দ্বারা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '910','chapter_id' => '6','translator_id' => '2','verse_number' => '121','translate_name' => 'আর আহার করো না যাতে আল্লাহ্‌র নাম উল্লেখ করা হয় নি, কারণ নিঃসন্দেহ এটি নিশ্চিত পাপাচার। আর নিঃসন্দেহ শয়তানরা তাদের বন্ধুবান্ধদের প্ররোচনা দেয় তোমাদের সঙ্গে বিবাদ করতে, আর তোমরা যদি তাদের আজ্ঞাপালন করো তবে নিঃসন্দেহ তোমরা নিশ্চয়ই বহুখোদাবাদী হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '911','chapter_id' => '6','translator_id' => '2','verse_number' => '122','translate_name' => 'যিনি ছিলেন মৃত, তারপর তাঁকে আমরা জীবন্ত করলাম, আর তাঁর জন্য তৈরি করলাম আলো যার সাহায্যে তিনি মানুষদের মধ্যে চলাফেরা করেন, -- তিনি কি তার মতো যার তুলনা হচ্ছে এমন এক লোক যে থাকে অন্ধকারে যা থেকে তার বেরুনোর পথ নেই? এইভাবে অবিশ্বাসীদের জন্য আমরা চিত্তাকর্ষক করে থাকি যা তারা করতে থাকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '912','chapter_id' => '6','translator_id' => '2','verse_number' => '123','translate_name' => 'আর এইভাবে আমরা প্রত্যেক জনপদে সেখানকার অপরাধীদের বানিয়েছি সর্দার, যেন তারা তার মধ্যে চক্রান্ত ক’রে চলে, আর তারা চক্রান্ত করে না শুধু তাদের আপন অন্তরা‌ত্মার বিরুদ্ধে ছাড়া, আর তারা বুঝে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '913','chapter_id' => '6','translator_id' => '2','verse_number' => '124','translate_name' => 'আর যখন তাদের কাছে কোনো নিদর্শন আসে, তারা বলে -- \'\'আমরা কখনো বিশ্বাস করবো না যে পর্যন্ত না আল্লাহ্‌র রসূলদের যা দেয়া হয়েছে তার অনুরূপ কিছু আমাদেরও দেওয়া হয়।’’ আল্লাহ্‌ই ভালো জানেন কোথায় তাঁর প্রত্যাদেশের ভারার্পণ করবেন। যারা অপরাধ করে চলে তাদের উপরে শীঘ্রই ঘটবে আল্লাহ্‌র তরফ থেকে লাঞ্ছনা এবং কঠোর শাস্তি -- তারা যা চক্রান্ত করে চলেছে সেজন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '914','chapter_id' => '6','translator_id' => '2','verse_number' => '125','translate_name' => 'অতএব আল্লাহ্ যদি কাউকে ইচ্ছা করেন যে তিনি তাকে ধর্মপথে পরিচালন করবেন, তবে তার বক্ষ তিনি ইসলামের প্রতি প্রশস্ত করবেন, আর যার জন্য তিনি ইচ্ছা করেন যে তিনি তাকে পথভ্রষ্টতায় ফেলে রাখবেন, তার বক্ষকে তিনি আটোঁসাঁটো ও সংকীর্ণ করে ফেলেন যেন সে আকাশে আরোহণ করে চলেছে। এইভাবে আল্লাহ্ কলুষতা আনয়ন করেন তাদের উপরে যারা বিশ্বাস স্থাপন করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '915','chapter_id' => '6','translator_id' => '2','verse_number' => '126','translate_name' => 'আর এই হচ্ছে তোমার প্রভুর পথ -- সহজ-সঠিক। আমরা নিশ্চয় নির্দেশসমূহ বিশদভাবে ব্যাখ্যা করেছি তেমন লোকের জন্য যারা মনোনিবেশ করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '916','chapter_id' => '6','translator_id' => '2','verse_number' => '127','translate_name' => 'তাদের জন্য রয়েছে শান্তিনিকেতন তাদের প্রভুর কাছে, আর তারা যা করে থাকে সেজন্য তিনি তাদের রক্ষাকারী বন্ধু।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '917','chapter_id' => '6','translator_id' => '2','verse_number' => '128','translate_name' => 'আর যেদিন তিনি তাদের সবাইকে একত্র করবেন -- \'\'হে জিন সম্প্রদায়! তোমরা মানুষদের অনেককেই নিয়ে গিয়েছিলে।’’ আর মানবগোষ্ঠীর মধ্যে থেকে তাদের বন্ধুবান্ধবরা বলবে -- \'\'আমাদের প্রভূ! আমাদের কেউ কেউ অন্যদের দ্বারা লাভবান হয়েছিলাম, কিন্ত আমরা পৌছেগেছি আমাদের অন্তিম সময়ে যা তুমি আমাদের জন্য নির্ধারিত করেছিলে। তিনি বলবেন -- \'\'আগুন হচ্ছে তোমাদের আবাসস্থল, সেখানে দীর্ঘকাল থাকবার জন্য -- আল্লাহ্ যাকে ইচ্ছা করেন সে ব্যতীত। নিঃসন্দেহ তোমার প্রভু পরমজ্ঞানী, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '918','chapter_id' => '6','translator_id' => '2','verse_number' => '129','translate_name' => 'আর এইভাবে আমরা কোনো-কোনো অন্যায়কারীদের অন্যদের সহায় হতে দিই যা তারা অর্জন করে থাকে সেজন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '919','chapter_id' => '6','translator_id' => '2','verse_number' => '130','translate_name' => 'হে জিন ও মানব সম্প্রদায়! তোমাদের কাছে কি তোমাদের মধ্যে থেকে রসূলগণ আসেন নি যাঁরা তোমাদের কাছে আমার নির্দেশাবলী বর্ণনা করতেন আর তোমাদের সতর্ক করতেন তোমাদের এই দিনটিতে একত্রিত হওয়া সন্বন্ধে? তারা বলবে -- \'\'আমরা সাক্ষ্য দিচ্ছি আমাদের নিজেদের বিরুদ্ধেই।’’ আর এই দুনিয়ার জীবন তাদের ভুলিয়েছিল, আর তারা নিজেদের বিরুদ্ধেই সাক্ষ্য দেবে যে তারা বস্তুতঃ অবিশ্বাসী ছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '920','chapter_id' => '6','translator_id' => '2','verse_number' => '131','translate_name' => 'এটি এজন্য যে কোনো জনপদকে অন্যায়ভাবে ধ্বংস করা তোমার প্রভুর কাজ নয়, যখন তাদের বাসিন্দারা অজ্ঞ থাকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '921','chapter_id' => '6','translator_id' => '2','verse_number' => '132','translate_name' => 'আর প্রত্যেকের জন্যে রয়েছে তারা যা করে সেই অনুপাতে স্তরসমূহ। আর তোমার প্রভু অনবহিত নন তারা যা করে সে- সন্বন্ধে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '922','chapter_id' => '6','translator_id' => '2','verse_number' => '133','translate_name' => 'আর তোমার প্রভু স্বয়ংসম্পূর্ণ, করুণার অধিকারী। তিনি যদি ইচ্ছা করেন তবে তিনি তোমাদের সরিয়ে দিতে পারেন এবং তোমাদের পরে তোমাদের স্থলাভিষিক্ত করতে পারেন যাদের তিনি চান, যেমন তিনি তোমাদের উত্থিত করেছিলেন অন্য এক গোষ্ঠীর বংশ থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '923','chapter_id' => '6','translator_id' => '2','verse_number' => '134','translate_name' => 'নিঃসন্দেহ তোমাদের কাছে যা ওয়াদা করা হয়েছে তা অবশ্যই ঘটবে, আর তোমরা এড়িয়ে যেতে পারবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '924','chapter_id' => '6','translator_id' => '2','verse_number' => '135','translate_name' => 'বলো -- \'\'হে আমার লোকেরা! তোমাদের স্থলে তোমরা কাজ করে চলো, আমিও কাজ করে যাচ্ছি, আর শীঘ্রই তোমরা জানতে পারবে কার জন্য রয়েছে শেষ-আলয়।’’ নিঃসন্দেহ অন্যায়কারীরা সফলকাম হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '925','chapter_id' => '6','translator_id' => '2','verse_number' => '136','translate_name' => 'আর তারা আল্লাহ্‌র জন্য নির্দিষ্ট করে শস্যক্ষেত্র ও পশুপালন থেকে যা তিনি উৎপাদন করেছেন তার এক অংশ, এবং বলে -- \'\'এই হচ্ছে আল্লাহ্‌র জন্য’’ -- তাদের ধারণানুযায়ী, -- \'\'আর এই হচ্ছে আমাদের অংশীদেবতাদের জন্য।’’ তারপর যা তাদের অংশীদেবতাদের জন্য তা আল্লাহ্‌র কাছে পৌঁছে না, আর যা আল্লাহ্‌র জন্য তা পেছে যাঁয় তাদের অংশীদেবতাদের কাছে। কি নিকৃষ্ট যা তারা সিদ্ধান্ত করে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '926','chapter_id' => '6','translator_id' => '2','verse_number' => '137','translate_name' => 'আর এইভাবে বহুখোদাবাদীদের অধিকাংশের জন্য তাদের অংশীদেবতারা চিত্তাকর্ষক করেছে তাদের সন্তান-হত্যা, যেন তারা এদের ধ্বংস করতে পারে আর তাদের ধর্মকে তাদের জন্য বিভ্রান্তিকর করতে পারে। আর আল্লাহ্ যদি ইচ্ছে করতেন তবে তারা এ করতো না, কাজেই তাদের ও তারা যা জালিয়াতি করে তাকে উপেক্ষা করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '927','chapter_id' => '6','translator_id' => '2','verse_number' => '138','translate_name' => 'আর তারা বলে -- \'\'এইসব গবাদি-পশু ও শস্যক্ষেত্র নিষিদ্ধ, কেউ এইসব খেতে পারবে না আমরা যাদের ইচ্ছা করি তারা ব্যতীত’’, -- তাদের ধারণানুযায়ী, এবং কতক পশু যাদের পিঠ নিষেধ করা হয়েছে, আর গবাদি-পশু যাদের উপরে তারা আল্লাহ্‌র নাম স্মরণ করে না, -- এ-সব তাঁর বিরুদ্ধে মিথ্যা উদ্ভাবন। তিনি অচিরেই তাদের প্রতিফল দেবেন তারা যা উদ্ভাবন করে থাকে তার জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '928','chapter_id' => '6','translator_id' => '2','verse_number' => '139','translate_name' => 'আর তারা বলে -- \'\'এই গবাদি-পশুর পেটে যা আছে তা বিশেষভাবে আমাদের পুরুষদের জন্য, আর নিষিদ্ধ আমাদের নারীদের জন্য, আর যদি তা মৃত হয় তবে তারাও ওতে অংশীদার।’’ তিনি শীঘ্রই তাদের প্রতিদান দেবেন তাদের ধার্য করার জন্য। নিঃসন্দেহ তিনি পরমজ্ঞানী, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '929','chapter_id' => '6','translator_id' => '2','verse_number' => '140','translate_name' => 'নিঃসন্দেহ তারা ক্ষতিগ্রস্ত যারা তাদের সন্তানদের হত্যা করে নিরবুদ্ধিতার বশে, জ্ঞানহীনতার জন্য, আর নিষেধ করে আল্লাহ্ তাদের যা খেতে দিয়েছেন -- আল্লাহ্‌র বিরুদ্ধে মিথ্যা রচনা ক’রে। তারা অবশ্যই গোল্লায় গেছে, আর তারা সৎপথপ্রাপ্তও নয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '930','chapter_id' => '6','translator_id' => '2','verse_number' => '141','translate_name' => 'আর তিনিই সেইজন যিনি সৃষ্টি করেছেন বাগান -- মাচা-বাঁধানো ও মাচা-বিহীন, আর খেজুর গাছ, আর শস্যক্ষেত্র যার রকম- রকমের স্বাদ, আর জলপাই ও ডালিম -- এক রকমের ও সাদৃশ্যবিহীন। সে-সবের ফল খাও যখন তা ফল ধরে, আর ওর হক্ প্রদান করো ফসল তোলার দিনে, আর অপচয় করো না। নিঃসন্দেহ তিনি অপচয়কারীদের ভালোবাসেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '931','chapter_id' => '6','translator_id' => '2','verse_number' => '142','translate_name' => 'আর গবাদি-পশুদের মধ্যে কতকগুলো ভার বহনের জন্য আর কিছু ক্ষুদ্রাকার। আল্লাহ্ তোমাদের যা খাদ্যবস্তু দিয়েছেন সে- সব থেকে আহার করো, আর শয়তানের পদাঙ্ক অনুসরণ করো না। নিঃসন্দেহ তোমাদের জন্য সে হচ্ছে প্রকাশ্য শত্রু ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '932','chapter_id' => '6','translator_id' => '2','verse_number' => '143','translate_name' => 'আটটি জোড়ায় -- ভেড়া থেকে দুটো ও ছাগল থেকে দুটো। বলো -- \'\'তিনি কি নিষেধ করেছেন নর দুটি অথবা মাদী দুটি, অথবা মাদী-দুটির গর্ভ যা ধরে রেখেছে তা? জ্ঞানের সাথে আমাকে জানাও যদি তোমরা সত্যবাদী হয়ে থেকো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '933','chapter_id' => '6','translator_id' => '2','verse_number' => '144','translate_name' => 'আর উট থেকে দুটো ও গরু থেকে দুটো। বলো -- \'\'তিনি কি নিষেধ করেছেন নর দুটি অথবা মাদী দুটি, না মাদী-দুটির গর্ভ যা ধারণ করেছে তা? অথবা তোমরা কি সাক্ষী ছিলে যখন আল্লাহ্ তোমাদের জন্য এই বিধান দিয়েছিলেন?’’ সুতরাং কে বেশি অন্যায়কারী তার চাইতে যে আল্লাহ্‌র বিরুদ্ধে মিথ্যা রচনা করে, যেন সে লোককে বিভ্রান্ত করতে পারে জ্ঞানহীনভাবে? নিঃসন্দেহ আল্লাহ্ ধর্মপথে পরিচালিত করেন না অন্যায়কারী লোকদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '934','chapter_id' => '6','translator_id' => '2','verse_number' => '145','translate_name' => 'বলো -- \'\'আমার কাছে যা প্রত্যাদিষ্ট হয়েছে তাতে আমি খাদকের জন্য নিষিদ্ধ পাই নি তা খেতে এইসব ব্যতীত -- যা মৃত হয়ে গেছে, অথবা ঝরে পড়া রক্ত, অথবা শূকরের মাংস, -- কেননা তা নিঃসন্দেহ অশুচি, অথবা যা হালাল করা হয়েছে তার উপরে আল্লাহ্ ছাড়া অন্য নাম নেওয়ার পাপাচারে, কিন্ত যে কেউ চাপে পড়েছে, অবাধ্য না হয়ে বা মাত্রা না ছাড়িয়ে, তবে তোমার প্রভু নিঃসন্দেহ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '935','chapter_id' => '6','translator_id' => '2','verse_number' => '146','translate_name' => 'আর যারা ঈহুদী মত পোষণ করে তাদের জন্য আমরা নিষেধ করেছিলাম প্রত্যেক অবিভক্ত খুর-বিশিষ্ট প্রাণী, আর গরু ও মেষের মধ্যে তাদের জন্য আমরা নিষেধ করেছিলাম উভয়ের চর্বি, তবে যা জড়িত থাকত তাদের পিঠে বা অন্ত্রে, অথবা যা সংযুক্ত থাকত হাড়ের সঙ্গে তা ব্যতীত। এভাবে তাদের আমরা প্রতিফল দিয়েছিলাম তাদের অবাধ্যতার জন্য, আর নিঃসন্দেহ আমরা সত্যপরায়ণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '936','chapter_id' => '6','translator_id' => '2','verse_number' => '147','translate_name' => 'কাজেই তারা যদি তোমাকে প্রত্যাখ্যান করে তবে বলো -- \'\'তোমাদের প্রভু সর্বব্যাপী করুণার মালিক, কিন্ত তাঁর শাস্তি প্রতিহত হবে না অপরাধী সম্প্রদায়ের থেকে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '937','chapter_id' => '6','translator_id' => '2','verse_number' => '148','translate_name' => 'যারা বহুখোদাবাদী তারা তখন বলবে -- \'\'আল্লাহ্ যদি ইচ্ছা করতেন তবে আমরা অংশী দাঁড় করতাম না, আর আমাদের পিতৃপুরুষরাও না, আর আমরা কিছুই নিষেধ করতাম না।’’ এইভাবে এদের পূর্বে যারা ছিল তারাও প্রত্যাখ্যান করেছিল, যে পর্যন্ত না তারা আমাদের ক্ষমতা আস্বাদ করেছিল! বলো -- \'\'তোমাদের কাছে কি কোনো জ্ঞান রয়েছে? থাকলে তা আমাদের নিকট হাজির করো। তোমরা শুধু কল্পনারই অনুসরণ করছো, আর তোমরা তো শুধু আন্দাজে হাতড়াচ্ছ।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '938','chapter_id' => '6','translator_id' => '2','verse_number' => '149','translate_name' => 'বলো -- \'\'তবে চূড়ান্ত যুক্তি-তর্ক আল্লাহ্‌রই, কাজেই তিনি যদি ইচ্ছা করতেন তবে তোমাদের সবাইকে তিনি সৎপথে পরিচালিত করতেন।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '939','chapter_id' => '6','translator_id' => '2','verse_number' => '150','translate_name' => 'বলো -- \'\'হাজির করো তোমাদের সাক্ষীদের যারা সাক্ষ্য দিতে পারে যে আল্লাহ্ এ নিষেধ করেছেন।’’ অতএব যদি তারা সাক্ষ্য দেয় তবে তুমি তাদের সঙ্গে সাক্ষ্য দিতে যেও না, আর তাদের খেয়ালখুশির অনুসরণ করো না যারা আমাদের নির্দেশাবলী প্রত্যাখ্যান করেছে, আর যারা পরকালে বিশ্বাস করে না, আর তারাই তাদের প্রতিপালকের প্রতি সমকক্ষ ঠাওরায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '940','chapter_id' => '6','translator_id' => '2','verse_number' => '151','translate_name' => 'বলো -- \'\'এসো আমি বাতলে দিই তোমাদের প্রভু তোমাদের জন্য কি নিষেধ করেছেন, -- তোমরা তাঁর সঙ্গে অন্য কিছু শরিক করো না, আর পিতা-মাতার প্রতি সদ্ব্যবহার, আর তোমাদের সন্তানদের তোমরা হত্যা করো না দারিদ্রের কারণে,’’ -- আমারাই জীবিকা দিই তোমাদের ও তাদেরও, -- \'\'আর অশ্লিলতার ধারে-কাছেও যেও না তার যা প্রকাশ পায় ও যা গোপন থাকে, আর তেমন কোনো লোককে হত্যা করো না যাকে আল্লাহ্ নিষেধ করেছেন, -- যথাযথ কারণ ব্যতীত। এইসব দিয়ে তিনি তোমাদের আদেশ জারি করেছেন, যেন তোমরা বুঝতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '941','chapter_id' => '6','translator_id' => '2','verse_number' => '152','translate_name' => '\'\'আর এতীমের সম্পত্তির কাছে যেও না যা শ্রেষ্ঠতর সেই উদ্দেশ্য ব্যতীত, যে পর্যন্ত না সে তার সাবালকত্বে পৌঁছে। আর পুরো মাপ ও ওজন দেবে ন্যায্যভাবে।’’ আমরা কোনো লোকের উপরে ভার চাপাই না যা তার ক্ষমতার অতিরিক্ত। \'\'আর যখন তোমরা কথা বলো তখন ন্যায়নিষ্ঠ হও যদিও তা আপনজনের ব্যাপারে হয়। আর আল্লাহ্‌র ওয়াদা সম্পাদন করো। -- এইসব দিয়ে তোমাদের তিনি নির্দেশ দিয়েছেন যেন তোমরা মনোনিবেশ করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '942','chapter_id' => '6','translator_id' => '2','verse_number' => '153','translate_name' => '\'\'আর যে এটিই আমার সহজ-সঠিক পথ, কাজেই এরই অনুসরণ করো, এবং অন্যান্য পথ অনুসরণ করো না, কেননা সে-সব তাঁর পথ থেকে তোমাদের বিচ্ছিন্ন করবে।’’ এইসব দ্বারা তিনি তোমাদের নির্দেশ দিয়েছেন যেন তোমরা ধর্মপরায়ণতা অবলন্বন করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '943','chapter_id' => '6','translator_id' => '2','verse_number' => '154','translate_name' => 'পুনরায়, আমরা মূসাকে দিয়েছিলাম গ্রন্থ -- পূর্ণাঙ্গ তারজন্য যে শুভকাজ করে এবং যা হচ্ছে সব-কিছুর বিশদ বিবরণ, আর পথনির্দেশ ও করুণা, -- যেন তারা তাদের প্রভুর সঙ্গে মুলাকাতের সন্বন্ধে বিশ্বাস করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '944','chapter_id' => '6','translator_id' => '2','verse_number' => '155','translate_name' => 'আর এ এক গ্রন্থ -- আমরা এটি অবতারণ করেছি কল্যাণময় ক’রে, কাজেই এর অনুসরণ করো ও ভয়ভক্তি করো যেন তোমাদের প্রতি দয়া প্রদর্শন করা হয়, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '945','chapter_id' => '6','translator_id' => '2','verse_number' => '156','translate_name' => 'পাছে তোমরা বলো -- \'\'আমাদের আগে গ্রন্থ অবতীর্ণ হয়েছিল শুধু দুটি সম্প্রদায়ের কাছে, আর আমরা তাদের পড়াশুনা সন্বন্ধে অজ্ঞাত ছিলাম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '946','chapter_id' => '6','translator_id' => '2','verse_number' => '157','translate_name' => 'অথবা পাছে তোমরা বলো -- \'\'যদি আমাদের কাছে গ্রন্থ অবতীর্ণ হতো তবে আমরা তাদের চাইতে ভালোভাবে সুপথগামী হতাম।’’ এখন তো তোমাদের কাছে তোমাদের প্রভুর কাছ থেকে এসেছে স্পষ্ট প্রমাণ এবং পথনির্দেশ ও কুরুণা। অতএব তার চাইতে কে বেশি অন্যায়কারী যে আল্লাহ্‌র নির্দেশসমূহ প্রত্যাখ্যান করে আর সে-সব থেকে ফিরে যায়? যারা আমাদের নির্দেশাবলী থেকে ফিরে যায় তাদের আমরা অচিরেই প্রতিফল দেবো নিকৃষ্ট শাস্তি দিয়ে, যেহেতু তারা ফিরে যেতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '947','chapter_id' => '6','translator_id' => '2','verse_number' => '158','translate_name' => 'তারা কি প্রতীক্ষা করছে পাছে ফিরিশ্‌তারা তাদের কাছে আসুক, অথবা তোমার প্রভু আসুন, অথবা তোমার প্রভুর কোনো কোনো নিদর্শন আসুক, তখন কোনো লোকেরই তার ঈমানে কোনো ফায়দা হবে না যে এর আগে বিশ্বাস স্থাপন করে নি, কিংবা যে তার ঈমানের দ্বারা কোনো কল্যাণ অর্জন করে নি। বলো -- \'\'তোমরা অপেক্ষা করো, আমরাও প্রতীক্ষাকারী।”','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '948','chapter_id' => '6','translator_id' => '2','verse_number' => '159','translate_name' => 'নিঃসন্দেহ যারা তাদের ধর্মকে বিভক্ত করেছে এবং বিভিন্ন দল হয়ে গেছে, তাদের জন্য তোমার কোনো দায়দায়িত্ব নেই। নিঃসন্দেহ তাদের ব্যাপার আল্লাহ্‌র কাছে, তিনিই এরপরে তাদের জানাবেন যা তারা করে চলতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '949','chapter_id' => '6','translator_id' => '2','verse_number' => '160','translate_name' => 'যে কেউ একটি ভালো কাজ নিয়ে আসে, তার জন্য তবে রয়েছে দশটি তার অনুরূপ, আর যে কেউ একটি মন্দ কাজ নিয়ে আসে, তাকে তবে প্রতিদান দেয়া হয় না তার অনুরূপ ব্যতীত, আর তাদের প্রতি অন্যায় করা হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '950','chapter_id' => '6','translator_id' => '2','verse_number' => '161','translate_name' => 'বলো -- \'\'নিঃসন্দেহ আমার প্রভু আমাকে পরিচালনা করেছেন সহজ-সঠিক পথের দিকে -- এক সুষ্ঠাঙ্গ ধর্মে -- একনিষ্ঠ ইব্রাহীমের ধর্মমতে, আর তিনি বহুখোদাবাদীদের অন্তর্ভুক্ত ছিলেন না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '951','chapter_id' => '6','translator_id' => '2','verse_number' => '162','translate_name' => 'বলো -- \'\'নিঃসন্দেহ আমার নামায ও আমার কুরবানি, আর আমার জীবন ও আমার মরণ -- আল্লাহ্‌র জন্য যিনি সমস্ত বিশ্বজগতের প্রভু।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '952','chapter_id' => '6','translator_id' => '2','verse_number' => '163','translate_name' => '\'\'কোনো শরিক নেই তাঁর, আর এভাবেই আমি আদিষ্ট হয়েছি, আর আমি থাকবো আ‌ত্মসমর্পণকারীদের একেবারে পুরোভাগে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '953','chapter_id' => '6','translator_id' => '2','verse_number' => '164','translate_name' => 'বলো -- \'\'কী! আমি কি আল্লাহ্ ছাড়া অন্য প্রভু খুজঁবো, অথচ তিনিই সব-কিছুর রব্ব?’’ আর প্রত্যেক সত্তা অর্জন করে না তার জন্যে ছাড়া, আর কোনো ভারবাহক অন্যের ভার বহন করবে না। তারপর তোমাদের প্রভুর কাছেই তোমাদের প্রত্যাবর্তন, তখন তিনি তোমাদের জানিয়ে দেবেন যে-বিষয়ে তোমরা মতভেদ ক’রে চলছিলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '954','chapter_id' => '6','translator_id' => '2','verse_number' => '165','translate_name' => 'আর তিনিই সেইজন যিনি তোমাদের পৃথিবীর প্রতিনিধি বানিয়েছেন, আর তোমাদের কাউকে অন্যদের উপরে মর্যাদায় উন্নত করেছেন, যেন তিনি তোমাদের নিয়মানুবর্তী করতে পারেন যা তিনি তোমাদের দিয়েছেন তার দ্বারা। নিঃসন্দেহ তিনি পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '955','chapter_id' => '7','translator_id' => '2','verse_number' => '1','translate_name' => 'আলিফ, লাম, মীম, স্বাদ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '956','chapter_id' => '7','translator_id' => '2','verse_number' => '2','translate_name' => 'তোমার কাছে অবতীর্ণ একটি গ্রন্থ, -- অতএব তোমার বক্ষে এর জন্য কোন সংকোচ না থাকুক -- যেন তুমি এর দ্বারা সতর্ক করতে পারো, এবং মুমিনদের জন্য একটি স্মারক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '957','chapter_id' => '7','translator_id' => '2','verse_number' => '3','translate_name' => '\'\'তোমাদের প্রভুর কাছ থেকে তোমাদের কাছে যা অবতীর্ণ হয়েছে তা অনুসরণ করো আর তাঁকে বাদ দিয়ে অভিভাবকদের অনুসরণ করো না। অল্পই যা তোমরা মনে রাখো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '958','chapter_id' => '7','translator_id' => '2','verse_number' => '4','translate_name' => 'আর জনবসতির মধ্যের কতটা যে আমরা ধ্বংস করেছি, তাই আমাদের শাস্তি তাতে এসেছিল নিশাকালে, অথবা তারা যখন দুপুরবেলায় ঘুম দিচ্ছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '959','chapter_id' => '7','translator_id' => '2','verse_number' => '5','translate_name' => 'কাজেই তাদের কাছে যখন আমাদের শাস্তি এসে পড়েছিল তখন তাদের অজুহাত আর কিছু ছিল না এই বলা ছাড়া -- \'\'নিঃসন্দেহ আমরা ছিলাম অন্যায়কারী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '960','chapter_id' => '7','translator_id' => '2','verse_number' => '6','translate_name' => 'আমরা তখন তাদের অবশ্যই প্রশ্ন করবো যাদের কাছে প্রেরণ করা হয়েছিল, আর আমরা নিশ্চয়ই প্রেরিত-পুরুষগণকেও জিজ্ঞাসা করবো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '961','chapter_id' => '7','translator_id' => '2','verse_number' => '7','translate_name' => 'তখন আমরা নিশ্চয়ই তাদের কাছে বর্ণনা করবো জ্ঞানের সাথে, আর আমরা তো অনুপস্থিত ছিলাম না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '962','chapter_id' => '7','translator_id' => '2','verse_number' => '8','translate_name' => 'আর সেদিন ওজন হবে সঠিকভাবে। কাজেই যার পাল্লা ভারী হবে তারাই তবে হবে সফলকাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '963','chapter_id' => '7','translator_id' => '2','verse_number' => '9','translate_name' => 'আর যার পাল্লা হাল্কা হবে এরাই তবে তারা যারা তাদের আ‌ত্মার ক্ষতি সাধন করেছে, কেননা তারা আমাদের নির্দেশাবলীর প্রতি অন্যায় করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '964','chapter_id' => '7','translator_id' => '2','verse_number' => '10','translate_name' => 'আর আমরা তো পৃথিবীতে তোমাদের প্রতিষ্ঠিত করেছি, আর তোমাদের জন্য তাতে করেছি জীবিকার ব্যবস্থা। অল্পই সেইটুকু যা কৃতজ্ঞতা তোমার জ্ঞাপন করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '965','chapter_id' => '7','translator_id' => '2','verse_number' => '11','translate_name' => 'আর নিশ্চয়ই আমরা তোমাদের সৃষ্টি করেছি, তারপর তোমাদের রূপদান করেছি, তারপর ফিরিশ্‌তাদের বললাম -- \'\'আদমের প্রতি সিজদা করো।’’ কাজেই তারা সিজদা করলো, কিন্তু ইবলীস করলো না সে সিজদাকারীদের অন্তর্ভুক্ত হলো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '966','chapter_id' => '7','translator_id' => '2','verse_number' => '12','translate_name' => 'তিনি বললেন -- \'\'কি তোমাকে বাধা দিয়েছিল যেজন্য তুমি সিজদা করলে না যখন আমি তোমাকে আদেশ করেছিলাম?’’ সে বললে -- \'\'আমি তার চাইতে শ্রেষ্ঠ, আমাকে তুমি আগুন দিয়ে সৃষ্টি করেছ, আর তাকে তুমি সৃষ্টি করেছ কাদা দিয়ে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '967','chapter_id' => '7','translator_id' => '2','verse_number' => '13','translate_name' => 'তিনি বললেন -- \'\'তবে এখানে থেকে রসাতলে যাও, তোমার জন্য নয় যে তুমি এখানে অহংকার করবে। কাজেই বেরিয়ে যাও, তুমি আলবৎ অধমদের মধ্যেকার।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '968','chapter_id' => '7','translator_id' => '2','verse_number' => '14','translate_name' => 'সে বললে -- \'\'আমাকে সময় দাও সেইদিন পর্যন্ত যখন তারা পুনরুত্থিত হবে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '969','chapter_id' => '7','translator_id' => '2','verse_number' => '15','translate_name' => 'তিনি বললেন -- \'\'বেশ, তুমি অবকাশপ্রাপ্তদের মধ্যেকার।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '970','chapter_id' => '7','translator_id' => '2','verse_number' => '16','translate_name' => 'সে বললে -- \'\'তবে তুমি যেমন আমাকে বিপথে যেতে দিয়েছ, আমিও তেমনি ওত পেতে থাকবো তাদের জন্য তোমার সহজ- সঠিক পথে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '971','chapter_id' => '7','translator_id' => '2','verse_number' => '17','translate_name' => '\'\'তারপর আমি আলবৎ তাদের উপরে এসে পড়বো তাদের সামনে থেকে ও তাদের পেছন থেকে, আর তাদের ডাইনে থেকে ও তাদের বামে থেকে, আর তাদের অনেককেই তুমি কৃতজ্ঞ পাবে না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '972','chapter_id' => '7','translator_id' => '2','verse_number' => '18','translate_name' => 'তিনি বললেন -- \'\'বেরোও এখান থেকে, বেহায়া, বিতাড়িত! তাদের মধ্যের যে কেউ তোমার অনুসরণ করবে, -- আমি নিশ্চয় জাহান্নাম ভর্তি করবো তোমাদের মধ্যের সবকে দিয়ে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '973','chapter_id' => '7','translator_id' => '2','verse_number' => '19','translate_name' => 'আর -- \'\'হে আদম! তুমি ও তোমার সঙ্গিনী এই বাগানে বসবাস করো, আর যেখান থেকে তোমরা চাও আহার করো, কিন্তু এই বৃক্ষের ধারেকাছেও যেও না, তাহলে তোমরা অন্যায়কারীদের অন্তর্ভুক্ত হবে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '974','chapter_id' => '7','translator_id' => '2','verse_number' => '20','translate_name' => 'তারপর শয়তান তাদের কুমন্ত্রণা দিলে যেন সে তাদের কাছে প্রকাশ করতে পারে তাদের লজ্জার বিষয়ের যা তাদের কাছে গোপন ছিল, তাই সে বললে -- \'\'তোমাদের প্রভু এই গাছের থেকে তোমাদের নিষেধ করেন নি এই জন্য ছাড়া যে তোমরা ফিরিশ্‌তা হয়ে যাবে কিংবা তোমরা হবে চিরজীবীদের অন্তর্ভুক্ত।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '975','chapter_id' => '7','translator_id' => '2','verse_number' => '21','translate_name' => 'আর সে তাদের কাছে কসম খেলো -- \'\'নিঃসন্দেহ আমি তো তোমাদের জন্য সদুপদেশদাতাদের মধ্যেকার।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '976','chapter_id' => '7','translator_id' => '2','verse_number' => '22','translate_name' => 'এভাবে সে তাদের বিপথে চালালো প্রতারণার দ্বারা, অতঃপর তারা যখন বৃক্ষের আস্বাদ গ্রহণ করলো, তখন তাদের লজ্জা তাদের কাছে প্রকাশ পেলো, আর তারা তাদের আবৃত করতে লাগলো সেই বাগানের পাতা দিয়ে। আর তাদের প্রভু তাদের ডেকে বললেন -- \'\'আমি কি তোমাদের নিষেধ করি নি ঐ বৃক্ষ সন্বন্ধে, আর তোমাদের তো আমি বলেইছি যে শয়তান তোমাদের জন্য প্রকাশ্য শত্রু?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '977','chapter_id' => '7','translator_id' => '2','verse_number' => '23','translate_name' => 'তারা বললে -- \'\'আমাদের প্রভু! আমরা আমাদের নিজেদের প্রতি অন্যায় করেছি, আর যদি তুমি আমাদের পরিত্রাণ না করো ও আমাদের তুমি দয়া করো তাহলে আমরা নিশ্চয়ই ক্ষতিগ্রস্তদের অন্তর্ভুক্ত হয়ে যাবো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '978','chapter_id' => '7','translator_id' => '2','verse_number' => '24','translate_name' => 'তিনি বললেন -- \'\' তোমরা অধঃপাতে যাও। তোমাদের কেউ কেউ অন্য কারোর শত্রু। আর তোমাদের জন্য পৃথিবীতে রয়েছে জিরানোর স্থান ও কিছু সময়ের জন্য সংস্থান।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '979','chapter_id' => '7','translator_id' => '2','verse_number' => '25','translate_name' => 'তিনি বললেন -- \'\'এইখানেই তোমরা জীবন যাপন করবে, আর এতেই তোমরা মৃত্যু বরণ করবে, আর এরই মধ্য থেকে তোমাদের পুনরুত্থিত করা হবে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '980','chapter_id' => '7','translator_id' => '2','verse_number' => '26','translate_name' => 'হে আদম-সন্তানগণ! আমরা তোমাদের জন্য নিশ্চয়ই পোশাক পাঠিয়েছি তোমাদের লজ্জা ঢাকবার ও বেশভূষার জন্য। আর ধর্মপরায়ণতার পোশাক -- তাই সর্বশ্রেষ্ঠ। এ হচ্ছে আল্লাহ্‌র নির্দেশাবলী থেকে, যেন তারা মনে রাখে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '981','chapter_id' => '7','translator_id' => '2','verse_number' => '27','translate_name' => 'হে আদম-সন্তানগণ! শয়তান যেন তোমাদের কিছুতেই প্রলোভিত না করে, যেমন সে তোমাদের পিতামাতাকে বের করে দিয়েছিল এই বাগান থেকে, তাদের থেকে তাদের পোশাক ছিন্ন ক’রে, যেন সে তাদের দেখাতে পারে তাদের লজ্জা। নিঃসন্দেহ সে তোমাদের দেখে -- সে ও তার কাফেলা, যেখান থেকে তোমরা তাদের দেখতে পাও না। নিঃসন্দেহ আমরা শয়তানকে বানিয়েছি তাদের অভিভাবক যারা বিশ্বাস করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '982','chapter_id' => '7','translator_id' => '2','verse_number' => '28','translate_name' => 'আর যখন তারা কোনো অশ্লীল আচরণ করে তখন বলে -- \'\'আমরা আমাদের পিতৃপুরুষকে এতে পেয়েছি, আর আল্লাহ্ আমাদের এতে আদেশ করেছেন।’’ বলো -- \'\'নিঃসন্দেহ আল্লাহ্ অশ্লীলতাতে আদেশ করেন না। তোমরা কি আল্লাহ্‌র বিরুদ্ধে বলো যা তোমরা জানো না?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '983','chapter_id' => '7','translator_id' => '2','verse_number' => '29','translate_name' => 'তুমি বলো -- \'\'আমার প্রভু আদেশ দেন ন্যায় বিচারের, আর তোমাদের মুখ সোজা দাঁড় করো প্রত্যেক সিজদাস্থলে, আর তাঁকে ডাকো তাঁর প্রতি ধর্মে একনিষ্ঠভাবে।’’ যেমন তিনি তোমাদের সৃষ্টি করেছিলেন তোমরা সেভাবে ফিরে আসবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '984','chapter_id' => '7','translator_id' => '2','verse_number' => '30','translate_name' => 'একদলকে তিনি সুপথগামী করেছেন, আর আরেক দলের পথভ্রান্তি তাদের উপরে সংগত হয়েছে। নিঃসন্দেহ তারা আল্লাহ্‌কে ছেড়ে দিয়ে শয়তানদের গ্রহণ করেছিল অভিভাবকরূপে, আর তারা মনে করত যে তারা অবশ্যই সুপথে চালিত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '985','chapter_id' => '7','translator_id' => '2','verse_number' => '31','translate_name' => 'হে আদম-সন্তানরা! তোমাদের বেশভূষা গ্রহণ করো প্রত্যেক সিজদাস্থলে, আর খাও ও পান করো, কিন্তু অপচয় করো না, নিঃসন্দেহ তিনি অমিতব্যয়ীদের ভালোবাসেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '986','chapter_id' => '7','translator_id' => '2','verse_number' => '32','translate_name' => 'বলো -- \'\'কে নিষিদ্ধ করেছে আল্লাহ্‌র শোভা, -- যা তিনি তাঁর বান্দাদের জন্য সৃষ্টি করেছেন, আর জীবিকা থেকে বিশুদ্ধ বস্তুসমূহ?’’ বলো -- \'\'এ-সব এই দুনিয়ার জীবনে তাদের জন্য যারা ঈমান এনেছে, -- পুনর্জাগরণের দিনে বিশেষভাবে।’’ এইভাবে আমরা আমাদের নির্দেশাবলী বিশদভাবে ব্যাখ্যা করি তেমন সম্প্রদায়ের জন্য যারা জানে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '987','chapter_id' => '7','translator_id' => '2','verse_number' => '33','translate_name' => 'বলো -- \'\'নিঃসন্দেহ আমার প্রভু নিষিদ্ধ করেছেন অশ্লীলতা -- তার যা প্রকাশ পায় ও যা গোপন থাকে, আর পাপাচার, আর ন্যায়বিরুদ্ধ বিদ্রোহাচরণ, আর আল্লাহ্‌র সঙ্গে তোমরা যা শরিক করো যার জন্য কোনো দলিল তিনি অবতীর্ণ করেন নি, আর যেন তোমরা আল্লাহ্‌র বিরুদ্ধে বলো যা তোমরা জানো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '988','chapter_id' => '7','translator_id' => '2','verse_number' => '34','translate_name' => 'আর প্রত্যেক জাতির জন্য রয়েছে একটি নির্ধারিত কাল, কাজেই যখন তাদের নির্ধারিত কাল এসে পড়ে তখন তারা দেরি করতে পারবে না ঘন্টাখানেকের জন্যে, আর তারা এগিয়েও আনতে পারবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '989','chapter_id' => '7','translator_id' => '2','verse_number' => '35','translate_name' => 'হে আদমের বংশধরগণ! যখন তোমাদের কাছে তোমাদের মধ্যে থেকে রসূলগণ আসেন তোমাদের কাছে আমার নির্দেশাবলী বর্ণনা করেন, তখন যে কেউ ভয়-ভক্তি করে ও সৎকর্ম করে, তাদের জন্য তবে থাকবে না ভয়ভীতি, আর তারা করবেও না অনুতাপ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '990','chapter_id' => '7','translator_id' => '2','verse_number' => '36','translate_name' => 'আর যারা আমাদের নির্দেশাবলীতে মিথ্যারোপ করে আর সে-সব থেকে গর্ববোধ করে, তারাই হচ্ছে আগুনের বাসিন্দা, তারা তাতে থাকবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '991','chapter_id' => '7','translator_id' => '2','verse_number' => '37','translate_name' => 'অতএব তার চাইতে কে বেশী অন্যায়কারী যে আল্লাহ্ সন্বন্ধে মিথ্যা রচনা করে অথবা তাঁর নির্দেশাবলী প্রত্যাখ্যান করে? এরাই, -- এদের কাছে পৌঁছুবে কিতাব থেকে তাদের ভাগ। শেষ পর্যন্ত যখন আমাদের দূতরা তাদের কাছে আসবে তখন তারা তাদের মৃত্যু ঘটাবে, তারা বলবে -- \'\'কোথায় আছে তারা যাদের তোমরা আহ্বান করতে আল্লাহ্‌কে ছেড়ে দিয়ে?’’ তারা বলবে -- \'\'তারা আমাদের থেকে চলে গেছে । আর তারা নিজেদের বিরুদ্ধে সাক্ষ্য দেবে যে তারা নিঃসন্দেহ অবিশ্বাসী ছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '992','chapter_id' => '7','translator_id' => '2','verse_number' => '38','translate_name' => 'তিনি বলবেন -- \'\'তোমরা প্রবেশ করো আগুনের মধ্যে দলগতভাবে যারা তোমাদের আগে গত হয়ে গেছে জিন ও মানুষের মধ্য থেকে। যখনি একটি দল প্রবেশ করবে সে অভিশাপ দেবে তার ভগিনীকে। তারপর যখন তারা সবে মিলে তাতে এসে পড়বে, তাদের পশ্চাদগামীরা তাদের অগ্রগামীদের সন্বন্ধে বলবে -- \'\'আমাদের প্রভু! এরা আমাদের পথভ্রষ্ট করেছিল, সেজন্য তাদের দাও আগুন দ্বারা দ্বিগুণ শাস্তি।’’ তিনি বলবেন -- \'\'প্রত্যেকের জন্য রয়েছে দ্বিগুণ শাস্তি, কিন্তু তোমরা জানো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '993','chapter_id' => '7','translator_id' => '2','verse_number' => '39','translate_name' => 'আর তাদের অগ্রগামীরা তাদের পশ্চাদগামীদের বলবে -- \'\'তাহলে তোমাদের কারণে আমাদের উপরে কোনো শ্রেষ্ঠত্ব নেই, অতএব তোমরা যা অর্জন করে যাচ্ছিলে তার জন্য শাস্তি আস্বাদন করো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '994','chapter_id' => '7','translator_id' => '2','verse_number' => '40','translate_name' => 'নিঃসন্দেহ যারা আমাদের নির্দেশসমূহে মিথ্যারোপ করে আর সে-সব থেকে হামবড়াই করে, তাদের জন্য মহাকাশের দ্বার উন্নুক্ত করা হবে না আর তারা বেহেশতেও প্রবেশ করতে পারবে না, যে পর্যন্ত না উট প্রবেশ করে সূচের ছিদ্র দিয়ে। আর এইভাবে আমরা অপরাধীদের প্রতিফল দিই।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '995','chapter_id' => '7','translator_id' => '2','verse_number' => '41','translate_name' => 'তাদের জন্য রয়েছে জাহান্নামের শয্যা আর তাদের উপরে রয়েছে আবরণ। আর এইভাবে আমরা প্রতিফল দিই অন্যায়-কারীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '996','chapter_id' => '7','translator_id' => '2','verse_number' => '42','translate_name' => 'আর যারা ঈমান এনেছে এবং সৎকর্ম করছে -- আমরা কোনো সত্ত্বাকে ভারাক্রান্ত করি না তার ক্ষমতার অতিরিক্ত, -- এরাই হচ্ছে জান্নাতের বাসিন্দা, তারা সেখানে থাকবে চিরকাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '997','chapter_id' => '7','translator_id' => '2','verse_number' => '43','translate_name' => 'আর আমরা দূর করে দেবো মনোমালিন্যের যা-কিছু আছে তাদের বুকে, -- তাদের নিচে দিয়ে বয়ে চলবে ঝরনারাজি, আর তারা বলবে -- \'\'সমুদয় প্রশংসা আল্লাহ্‌রই যিনি আমাদের পথ দেখিয়েছেন এই দিকে, আর আমরা নিজেরা সুপথ পেতাম না যদি আল্লাহ্ আমাদের পথ না দেখাতেন, নিশ্চয়ই আমাদের প্রভুর রসূলগণ সত্য নিয়ে এসেছিলেন।’’ আর তাদের কাছে ঘোষণা করা হবে -- \'\'দেখো! এই বেহেশত তোমাদের সামনে, তোমরা এ উত্তরাধিকার করলে তোমরা যা করতে তার জন্য।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '998','chapter_id' => '7','translator_id' => '2','verse_number' => '44','translate_name' => 'আর জান্নাতবাসীরা আগুনের বাসিন্দাদের ডেকে বলবে -- \'\'আমরা নিশ্চয়ই পেয়েছি আমাদের প্রভু আমাদের কাছে যা ওয়াদা করেছিলেন তা সত্য, তোমরাও কি তবে তোমাদের প্রভু যা ওয়াদা করেছিলেন তা সত্য পেয়েছ?’’ তারা বলবে -- \'\'হাঁ।’’ তখন জনৈক মুওজ্জিন তাদের মধ্যে ঘোষণা করবে -- \'\'আল্লাহ্‌র ধিক্কার হোক দুরাচারীদের উপরে --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '999','chapter_id' => '7','translator_id' => '2','verse_number' => '45','translate_name' => '\'\'যারা আল্লাহ্‌র পথ থেকে সরিয়ে দেয় আর তাকে কুটিল করতে চেষ্টা করে, আর তারা আখেরাতের সন্বন্ধে অবিশ্বাসী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1000','chapter_id' => '7','translator_id' => '2','verse_number' => '46','translate_name' => 'আর এই দুয়ের মধ্যে থাকবে একটি পর্দা। আর উঁচু স্থানসমূহে থাকবে কিছু লোক যাঁরা সবাইকে চেনেন তাদের চিহ্নের দ্বারা। আর তাঁরা বেহেশতের আগন্তক বাসিন্দাদের ডেকে বলবেন -- \'\'সালামুন আলাইকুম।’’ তারা এখনও তাতে প্রবেশ করে নি, তবে তারা আশা রাখে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1001','chapter_id' => '7','translator_id' => '2','verse_number' => '47','translate_name' => 'আর যখন তাদের দৃষ্টি ফেরানো হবে তখন তা নকরবাসীদের সাক্ষাৎ পাবে, তারা বলবে -- \'\'আমাদের প্রভু! অন্যায়কারী দলের সঙ্গে আমাদের ফেলে দিও না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1002','chapter_id' => '7','translator_id' => '2','verse_number' => '48','translate_name' => 'আর উঁচুস্থানসমূহের বাসিন্দারা ডাকবেন সেইসব লোকদের যাদের তাঁরা চিনতে পারবেন ওদের চিহ্নের দ্বারা, তাঁরা বলবেন -- \'\'তোমাদের কোনো কাজে এলো না তোমাদের সঞ্চয় আর যা নিয়ে তোমরা হামবড়াই করতে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1003','chapter_id' => '7','translator_id' => '2','verse_number' => '49','translate_name' => '\'\'এরাই কি! তারা যাদের সন্বন্ধে তোমরা কসম খেয়েছিলে যে আল্লাহ্ তাদের প্রতি করুণা প্রদর্শন করবেন না?’’ \'\'বেহেশতে প্রবেশ করো, তোমাদের উপরে কোনো ভয় নেই, আর তোমরা অনুতাপও করবে না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1004','chapter_id' => '7','translator_id' => '2','verse_number' => '50','translate_name' => 'আর নরকবাসীরা জান্নাতবাসীদের ডেকে বলবে -- \'\'আমাদের উপরে পানি কিছুটা ঢেলে দাও, অথবা আল্লাহ্ তোমাদের যা খাওয়াচ্ছেন তা থেকে।’’ তারা বলবে -- \'\'নিঃসন্দেহ আল্লাহ্ এ দুটোই নিষেধ করেছেন অবিশ্বাসীদের জন্য --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1005','chapter_id' => '7','translator_id' => '2','verse_number' => '51','translate_name' => '\'\'যারা তাদের ধর্মকে গ্রহণ করেছিল খেলা ও কৌতুকরূপে, আর এই দুনিয়ার জীবন যাদের ভুলিয়েছিল।’’ সুতরাং আজ আমরা তাদের পরিত্যাগ করেছি যেমন তারা অবহেলা করেছিল তাদের এই দিনটির সঙ্গে মিলিত হওয়ার ব্যাপারে, আর যেহেতু তারা আমাদের নির্দেশাবলী প্রত্যাখ্যান করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1006','chapter_id' => '7','translator_id' => '2','verse_number' => '52','translate_name' => 'আর নিশ্চয়ই আমরা তাদের জন্য নিয়ে এসেছি একখানা কিতাব যাতে বিশদ ব্যাখ্যা করেছি জ্ঞান দ্বারা, -- এক পথনির্দেশ ও করুণা যারা বিশ্বাস করে তেমন লোকের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1007','chapter_id' => '7','translator_id' => '2','verse_number' => '53','translate_name' => 'তারা কি আর কিছুর অপেক্ষা করে ওর পরিণাম ছাড়া? যেদিন এর পরিণাম আসবে, যারা এর আগে এটি অবহেলা করেছিল তারা বলবে -- \'\'আমাদের প্রভুর রসূলগণ নিশ্চয়ই সত্য নিয়ে এসেছিলেন। আমাদের জন্য কোনো সুপারিশকারী আছে কি? তারা তবে আমাদের জন্য সুপারিশ করুক, অথবা আমরা কি প্রত্যাবৃত্ত হতে পারি যেন আমরা যা করতাম তার বিপরীত কিছু করতে পারি?’’ তারা আলবৎ তাদের অন্তরা‌ত্মা হারিয়েছে, আর তাদের থেকে বিদায় নিয়েছে সেইসব যাদের তারা উদ্ভাবন করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1008','chapter_id' => '7','translator_id' => '2','verse_number' => '54','translate_name' => 'নিঃসন্দেহ তোমাদের প্রভু হচ্ছেন আল্লাহ্ যিনি সৃষ্টি করেছেন মহাকাশমন্ডল ও পৃথিবী ছয় দিনে, তখন তিনি আরশে অধিষ্ঠিত হন। তিনি দিনকে আবৃত করেন রাত্রি দিয়ে, -- যা দ্রতগতিতে তার অনুসরণ করে। আর সূর্য ও চন্দ্র ও নক্ষত্ররাজি তাঁর হুকুমের আজ্ঞাধীন। সৃষ্টি করা ও নির্দেশ দান কি তাঁর অধিকারভুক্ত নয়? মহিমাময় আল্লাহ্ -- বিশ্বজগতের প্রভু!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1009','chapter_id' => '7','translator_id' => '2','verse_number' => '55','translate_name' => 'তোমাদের প্রভুকে ডাকো বিনীতভাবে ও গোপনতার সাথে। নিঃসন্দেহ তিনি সীমালঙ্ঘনকারীদের ভালোবাসেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1010','chapter_id' => '7','translator_id' => '2','verse_number' => '56','translate_name' => 'আর দুনিয়াতে গন্ডগোল সৃষ্টি করো না তার মধ্যে শান্তিপ্রতিষ্ঠার পরে, আর তাঁকে ডাকো ভয়ে ও আশায়। নিঃসন্দেহ আল্লাহ্‌র অনুগ্রহ সৎকর্মশীলদের নিকটবর্তী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1011','chapter_id' => '7','translator_id' => '2','verse_number' => '57','translate_name' => 'আর তিনিই সেইজন যিনি মলয়বায়ুপ্রবাহ পাঠান তাঁর অনুগ্রহের প্রাক্কালে সুসংবাদবাহীরূপে। শেষ পর্যন্ত যখন তারা সঘন মেঘমালা বহন ক’রে আনে, আমরা তখন তা মৃত ভূখন্ডের দিকে পাঠাই, তারপর আমরা তাতে পানি বর্ষণ করি, তারপরে এর সাহায্যে উৎপাদন করি সব রকমের ফলফসল। এইভাবে আমরা মৃতকে বের করে আনি, যেন তোমরা স্মরণ করতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1012','chapter_id' => '7','translator_id' => '2','verse_number' => '58','translate_name' => 'আর ভালো জমি -- এর গাছপালা গজায় তার প্রভুর অনুমতিক্রমে, আর যা মন্দ -- কিছুই গজায় না অল্পস্বল্প ছাড়া। এই ভাবে আমরা নির্দেশসমূহ বিশদভাবে বর্ণনা করি যারা কৃতজ্ঞতা প্রকাশ করে তেমন লোকের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1013','chapter_id' => '7','translator_id' => '2','verse_number' => '59','translate_name' => 'আমরা অবশ্যই নূহকে পাঠিয়েছিলাম তাঁর সম্প্রদায়ের কাছে। তিনি তখন বলেছিলেন -- \'\'হে আমার সম্প্রদায়! আল্লাহ্‌র উপাসনা করো, তিনি ছাড়া তোমাদের অন্য উপাস্য নেই। নিঃসন্দেহ আমি তোমাদের জন্য আশংকা করছি এক ভয়ংকর দিনের শাস্তি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1014','chapter_id' => '7','translator_id' => '2','verse_number' => '60','translate_name' => 'তাঁর সম্প্রদায়ের প্রধানরা বললে -- \'\'নিঃসন্দেহ আমরা তো তোমাকে দেখছি স্পষ্ট ভ্রান্তির মধ্যে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1015','chapter_id' => '7','translator_id' => '2','verse_number' => '61','translate_name' => 'তিনি বললেন -- \'\'হে আমার জনগণ! আমার মধ্যে কোনো পথভ্রান্তি নেই, বরং আমি হচ্ছি বিশ্বজগতের প্রভুর তরফ থেকে একজন রসূল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1016','chapter_id' => '7','translator_id' => '2','verse_number' => '62','translate_name' => '\'\'আমি তোমাদের কাছে পৌঁছে দিই আমার প্রভুর বাণীসমূহ এবং আমি তোমাদের সদুপদেশ দিই, কারণ আমি আল্লাহ্‌র কাছ থেকে জানি যা তোমরা জানো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1017','chapter_id' => '7','translator_id' => '2','verse_number' => '63','translate_name' => '\'\'আচ্ছা, তোমরা কি বিস্মিত হচ্ছো যে তোমাদের কাছে তোমাদের প্রভুর কাছ থেকে উপদেশ এসেছে তোমাদেরই মধ্যেকার একজন মানুষের মাধ্যমে যেন তিনি তোমাদের সতর্ক করেন, আর যেন তোমরা ধর্মভীরুতা অবলন্বন করো, আর যেন তোমাদের করুণা প্রদর্শন করা হয়?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1018','chapter_id' => '7','translator_id' => '2','verse_number' => '64','translate_name' => 'কিন্তু তারা তাঁকে মিথ্যারোপ করলো, তাই তাঁকে ও তাঁর সঙ্গে যারা ছিল তাদের আমরা উদ্ধার করেছিলাম জাহাজে, আর ডুবিয়ে দিয়েছিলাম তাদের যারা আমাদের নির্দেশসমূহ প্রত্যাখ্যান করেছিল। নিঃসন্দেহ তারা ছিল এক অন্ধ সম্প্রদায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1019','chapter_id' => '7','translator_id' => '2','verse_number' => '65','translate_name' => 'আর \'আদ জাতির কাছে তাদের ভাই হূদকে। তিনি বললেন -- \'\'হে আমার সম্প্রদায়! আল্লাহ্‌র উপাসনা করো, তোমাদের জন্য তিনি ছাড়া অন্য উপাস্য নেই। তোমরা কি তবে ধর্মভীরুতা অবলন্বন করবে না?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1020','chapter_id' => '7','translator_id' => '2','verse_number' => '66','translate_name' => 'তাঁর সম্প্রদায়ের মধ্যে থেকে যারা অবিশ্বাস করেছিল তাদের প্রধানরা বললে -- \'\'নিঃসন্দেহ আমরা তো তোমাকে দেখছি অকাট- বোকামিতে, আর আমরা আলবৎ তোমাকে মিথ্যাবাদীদের মধ্যে গণ্য করি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1021','chapter_id' => '7','translator_id' => '2','verse_number' => '67','translate_name' => 'তিনি বললেন -- \'\'হে আমার লোকেরা! আমার মধ্যে কোনো মূর্খতা নেই, বরং আমি হচ্ছি বিশ্বজগতের প্রভুর তরফ থেকে একজন রসূল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1022','chapter_id' => '7','translator_id' => '2','verse_number' => '68','translate_name' => '\'\'আমি তোমাদের কাছে পৌঁছে দিই আমার প্রভুর বাণীসমূহ, আর আমি তোমাদের জন্য একজন বিশ্বস্ত উপদেষ্টা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1023','chapter_id' => '7','translator_id' => '2','verse_number' => '69','translate_name' => '\'\'আচ্ছা, তোমরা কি তাজ্জব হচ্ছো যে তোমাদের কাছে তোমাদের প্রভুর নিকট থেকে উপদেশ এসেছে তোমাদেরই মধ্যেকার একজন মানুষের মাধ্যমে যেন তিনি তোমাদের সতর্ক করেন? আর স্মরণ করো, কেমন ক’রে তিনি তোমাদের নূহ্‌-এর সম্প্রদায়ের পরবর্তীকালে প্রতিনিধি বানিয়েছিলেন, আর তোমাদের বর্ধিত করেছেন আকৃতির বৈশিষ্ট্যে। সুতরাং তোমরা আল্লাহ্‌র অনুগ্রহসমূহ স্মরণ করো যেন তোমরা সফল হতে পারো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1024','chapter_id' => '7','translator_id' => '2','verse_number' => '70','translate_name' => 'তারা বললে -- \'\'তুমি কি আমাদের কাছে এসেছ যেন আমরা একমাত্র আল্লাহ্‌র উপাসনা করি, আর বর্জন করি আমাদের পিতৃপুরুষরা যার উপাসনা করতো? অতএব নিয়ে এসো আমাদের উপরে যার দ্বারা তুমি আমাদের ভয় দেখাচ্ছ, যদি তুমি সত্যবাদীদের অন্তর্ভুক্ত হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1025','chapter_id' => '7','translator_id' => '2','verse_number' => '71','translate_name' => 'তিনি বললেন -- \'\'তোমাদের উপরে তোমাদের প্রভুর কাছ থেকে শাস্তি ও ক্রোধ তো হাজির হয়েই আছে। তোমরা কি আমার সঙ্গে বচসা করো কতকগুলি নাম সন্বন্ধে যে-সব নাম দিয়েছ -- তোমরা ও তোমাদের পিতৃপুরুষরা, যার জন্যে আল্লাহ্ কোনো সনদ পাঠান নি? অতএব অপেক্ষা করো, আমিও তোমাদের সাথে অপেক্ষাকারীদের মধ্যে রয়েছি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1026','chapter_id' => '7','translator_id' => '2','verse_number' => '72','translate_name' => 'কাজে কাজেই তাঁকে ও তাঁর সঙ্গে যারা ছিল তাদের আমরা উদ্ধার করেছিলাম আমাদের থেকে অনুগ্রহ বশতঃ, আর কেটে দিয়েছিলাম তাদের শিকড় যারা আমাদের নির্দেশসমূহ প্রত্যাখ্যান করেছিল ও যারা মুমিন ছিল না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1027','chapter_id' => '7','translator_id' => '2','verse_number' => '73','translate_name' => 'আর ছামূদ জাতির কাছে তাদের ভাই সালিহ্‌কে। তিনি বললেন -- \'\'হে আমার সম্প্রদায়! আল্লাহ্‌র উপাসনা করো, তোমাদের জন্য তিনি ব্যতীত অন্য উপাস্য নেই। আলবৎ তোমাদের জন্য তোমাদের প্রভুর নিকট থেকে এসেছে স্পষ্ট প্রমাণ। এটি হচ্ছে আল্লাহ্‌র উষ্টী, -- তোমাদের জন্য একটি নিদর্শন, অতএব এটিকে ছেড়ে দাও আল্লাহ্‌র মাটিতে চরে খেতে, আর তাকে কোনো ক্ষতিতে ক্ষতি করো না, পাছে মর্মন্তুদ শাস্তি তোমাদের পাকড়াও করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1028','chapter_id' => '7','translator_id' => '2','verse_number' => '74','translate_name' => '\'\'আর স্মরণ করো! কেমন ক’রে তিনি তোমাদের \'আদ-এর পরবর্তীকালে প্রতিনিধি বানিয়েছিলেন, আর তোমাদের প্রতিষ্ঠিত করেছিলেন পৃথিবীতে -- যার সমতলক্ষেত্রে তোমরা প্রাসাদ গড়েছিলে আর পাহাড় কেটে বানালে বাড়িঘর। সেজন্য তোমরা স্মরণ করো আল্লাহ্‌র অনুগ্রহসমূহ, আর দেশে গর্হিত আচরণ করো না গন্ডগোল সৃষ্টিকারী হয়ে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1029','chapter_id' => '7','translator_id' => '2','verse_number' => '75','translate_name' => 'তাঁর সম্প্রদায়ের মধ্যে যারা গর্ব করেছিল তাদের প্রধানরা বললে ওদের যারা দুর্বলতা বোধ করতো -- ওদের মধ্যে যারা ঈমান এনেছিল তাদের -- \'\'তোমরা কি জানো যে সালিহ্ তার প্রভুর কাছ থেকে একজন প্রেরিত-পুরুষ?’’ তারা বললে -- \'\'নিঃসন্দেহ তাঁকে দিয়ে যা পাঠানো হয়েছে তাতে আমরা বিশ্বাসী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1030','chapter_id' => '7','translator_id' => '2','verse_number' => '76','translate_name' => 'যারা গর্ববোধ করতো তারা বললে -- \'\'তোমরা যে-সব বিষয়ে বিশ্বাস করো তাতে আমরা নিশ্চয়ই অবিশ্বাসী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1031','chapter_id' => '7','translator_id' => '2','verse_number' => '77','translate_name' => 'অতঃপর তারা উষ্টী হত্যা করলে, আর অমান্য করলে তাদের প্রভুর নির্দেশ ও বললে -- \'\'হে সালিহ্‌! এনো তো আমাদের জন্য যা দিয়ে তুমি আমাদের ভয় দেখাচ্ছ, যদি তুমি রসূলদের একজন হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1032','chapter_id' => '7','translator_id' => '2','verse_number' => '78','translate_name' => 'সুতরাং তাদের পাকড়াও করল ভূমিকম্প, কাজেই তারা হয়ে গেল আপন বাড়িঘরেই নিথরদেহী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1033','chapter_id' => '7','translator_id' => '2','verse_number' => '79','translate_name' => 'তারপর তিনি তাদের থেকে ফিরে গেলেন আর বললেন -- \'\'হে আমার সম্প্রদায়! আমি তোমাদের কাছে আমার প্রভুর বাণীসমূহ নিশ্চয়ই পৌঁছে দিয়েছিলাম, আর তোমাদের সদুপদেশ দিয়েছিলাম, কিন্তু তোমরা উপদেষ্টাদের পছন্দ করলে না। ’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1034','chapter_id' => '7','translator_id' => '2','verse_number' => '80','translate_name' => 'আর লূত। স্মরণ করো! তিনি তাঁর লোকদের বললেন -- \'\'তোমরা কি এমন অশ্লীলতা করছো যা তোমাদের পূর্বে জগদ্বাসীদের আর কেউ চালু করে নি?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1035','chapter_id' => '7','translator_id' => '2','verse_number' => '81','translate_name' => '\'\'নিঃসন্দেহ তোমরা তো কামাতুর হয়ে কামিনীদের ছেড়ে দিয়ে পুরুষদের কাছে আস। না, তোমরা সীমালঙ্ঘনকারী লোক।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1036','chapter_id' => '7','translator_id' => '2','verse_number' => '82','translate_name' => 'আর তাঁর লোকদের উত্তর এ ভিন্ন অন্য কিছু ছিল না যে তারা বললে -- \'\'তোমাদের জনপদ থেকে এদের বের করে দাও। এরা তো এমন লোক যারা পবিত্র হতে চায়!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1037','chapter_id' => '7','translator_id' => '2','verse_number' => '83','translate_name' => 'কাজেই আমরা তাঁকে ও তাঁর পরিবারবর্গকে উদ্ধার করেছিলাম -- তাঁর স্ত্রী ব্যতীত, সে ছিল পেছনে-পড়ে-থাকাদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1038','chapter_id' => '7','translator_id' => '2','verse_number' => '84','translate_name' => 'আর তাদের উপরে আমরা বর্ষণ করেছিলাম এক বর্ষণ। অতএব দেখো, অপরাধীদের পরিণাম কেমন হয়েছিল?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1039','chapter_id' => '7','translator_id' => '2','verse_number' => '85','translate_name' => 'আর মাদয়ানবাসীদের নিকট তাদের ভাই শোআইবকে। তিনি বললেন -- \'\'হে আমার সম্প্রদায়! আল্লাহ্‌র উপাসনা করো, তোমাদের জন্য তিনি ব্যতীত অন্য উপাস্য নেই। তোমাদের কাছে তোমাদের প্রভুর কাছ থেকে নিশ্চয়ই এসেছে স্পষ্ট প্রমাণ। কাজেই পুরো মাপ ও ওজন দেবে, আর কোন লোককে বঞ্চিত করো না তাদের বিষয়বস্তুতে, আর পৃথিবীতে গন্ডগোল সৃষ্টি করো না তাতে সুব্যবস্থা আনয়নের পরে এটিই তোমাদের জন্য শ্রেয় যদি তোমরা বিশ্বাসী হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1040','chapter_id' => '7','translator_id' => '2','verse_number' => '86','translate_name' => '\'\'আর প্রত্যেক রাস্তায় ওত পেতে থেকো না ভয় দেখিয়ে, আর আল্লাহ্‌র পথ থেকে তাকে ফিরিয়ে নিতে যে তাঁর প্রতি ঈমান এনেছে, আর তাকে কুটিল করতে যেও না। আর স্মরণ করো -- যখন তোমরা অল্প ছিলে, তখন তিনি তোমাদের বাড়িয়ে দিয়েছিলেন। অতএব দেখো, কি হয়েছিল বিপর্যয় সৃষ্টিকারীদের পরিণাম!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1041','chapter_id' => '7','translator_id' => '2','verse_number' => '87','translate_name' => '\'\'আর যদি তোমাদের একদলও বিশ্বাস করে আমাকে যা দিয়ে পাঠানো হয়েছে তাতে, আর একদল বিশ্বাস করে না, তখন ধৈর্য ধরো যে পর্যন্ত না আল্লাহ্ আমাদের উভয়ের মধ্যে মীমাংসা করে দেন, আর তিনিই বিচারকর্তাদের মধ্যে শ্রেষ্ঠ।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1042','chapter_id' => '7','translator_id' => '2','verse_number' => '88','translate_name' => 'তাঁর সম্প্রদায়ের মধ্যে যারা গর্ব করেছিল তাদের প্রধানরা বললে, \'\'আমরা নিশ্চয়ই তোমাকে তাড়িয়ে দেবো, হে শোআইব! আর যারা তোমার সঙ্গে ঈমান এনেছে তাদেরও, আমাদের জনপদ থেকে, অথবা আমাদের ধর্মমতে তোমাদের ফিরে আসতেই হবে।’’ তিনি বললেন, \'\'কি! যদিও আমরা ঘৃণা করি?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1043','chapter_id' => '7','translator_id' => '2','verse_number' => '89','translate_name' => '\'\'আমরা নিশ্চয়ই আল্লাহ্‌র বিরুদ্ধে মিথ্যা সৃষ্টি করবো যদি আমরা ফিরে যাই তোমাদের ধর্মমতে তা থেকে আল্লাহ্ আমাদের উদ্ধার করার পরেও, আর এটি আমাদের সমীচীন হবে না যে আমরা ওতে ফিরে যাই, যদি না আমাদের প্রভু আল্লাহ্ ইচ্ছে করেন। আমাদের প্রভু জ্ঞানে সব-কিছুতে ব্যাপকতা রাখেন। আল্লাহ্‌র উপরেই আমরা নির্ভর করি -- \'আমাদের প্রভু! আমাদের মধ্যে ও আমাদের সম্প্রদায়ের মধ্যে ন্যায্যভাবে নিস্পত্তি করে দাও, আর তুমিই নিস্পত্তিকারীদের মধ্যে সর্বশ্রেষ্ঠ।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1044','chapter_id' => '7','translator_id' => '2','verse_number' => '90','translate_name' => 'আর তাঁর লোকদের মধ্যের যারা অবিশ্বাস করেছিল তাদের প্রধানরা বললে -- \'\'যদি তোমরা শোআইবকে অনুসরণ কর তবে তোমরা আলবৎ ক্ষতিগ্রস্ত হবে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1045','chapter_id' => '7','translator_id' => '2','verse_number' => '91','translate_name' => 'তারপর ভূমিকম্প তাদের পাকড়ালো, ফলে তারা হয়ে গেল আপন বাড়িঘরেই নিথরদেহী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1046','chapter_id' => '7','translator_id' => '2','verse_number' => '92','translate_name' => 'যারা শোআইবকে মিথ্যারোপ করেছিল তাদের দশা হলো -- তারা যেন কখনো সেখানে বসবাস করে নি, যারা শোআইবকে মিথ্যারোপ করেছিল তারা নিজেরাই হলো ক্ষতিগ্রস্ত!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1047','chapter_id' => '7','translator_id' => '2','verse_number' => '93','translate_name' => 'এর পর তিনি তাদের থেকে ফিরে দাঁড়ালেন ও বললেন -- \'\'হে আমার সম্প্রদায়! আমি তো অবশ্যই তোমাদের কাছে আমার প্রভুর নির্দেশসমূহ পৌঁছে দিয়েছিলাম আর তোমাদের সদুপদেশ দিয়েছিলাম, সুতরাং কেনই বা আমি দুঃখ করবো এক অবিশ্বাসী সম্প্রদায়ের জন্য!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1048','chapter_id' => '7','translator_id' => '2','verse_number' => '94','translate_name' => 'আর আমরা কোনো জনপদে কোনো নবী পাঠাইনি তাদের বাসিন্দাদের দুঃখ ও দুর্দশা দিয়ে পাকড়াও না-ক’বে, যেন তারা নিজেরা বিনয়াবনত হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1049','chapter_id' => '7','translator_id' => '2','verse_number' => '95','translate_name' => 'তারপর আমরা দুঃখকষ্টের অবস্থা বদলে দিলাম ভালো দিয়ে, যে পর্যন্ত না তারা ফেঁপে উঠলো ও বললে -- \'\'আমাদের পিতৃপুরুষদেরও দুঃখদুর্দশা ও আমোদ-আহ্লাদ স্পর্শ করেছিল।’’ কাজেই আমরা তাদের পাকড়াও করলাম অতর্কিতে, আর তারা টেরও পেলো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1050','chapter_id' => '7','translator_id' => '2','verse_number' => '96','translate_name' => 'আর যদি জনপদসমূহের অধিবাসীরা ঈমান আনতো ও ধর্ম-ভীরুতা অবলন্বন করতো তবে আমরা নিশ্চয়ই তাদের জন্য উন্নুক্ত করতাম মহাকাশমন্ডল ও পৃথিবী থেকে আশীর্বাদসমূহ, কিন্তু তারা তো অবিশ্বাস করেছিল, তাই আমরা তাদের পাকড়াও করলাম যা তারা অর্জন করেছিল তার জন্যে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1051','chapter_id' => '7','translator_id' => '2','verse_number' => '97','translate_name' => 'তবে কি জনপদের বাসিন্দারা নিরাপদ বোধ করছে তাদের উপরে আমাদের বিপর্যয় এসে পড়া সম্পর্কে রাত্রির আক্রমণরূপে, যখন তারা থাকে নিদ্রামগ্ন?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1052','chapter_id' => '7','translator_id' => '2','verse_number' => '98','translate_name' => 'অথবা জনপদের বাসিন্দারা কি নিরাপদ ভাবে তাদের উপরে আমাদের বিপর্যয় এসে পড়া সম্পর্কে সকাল বেলায় যখন তারা থাকে খেলায় রত?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1053','chapter_id' => '7','translator_id' => '2','verse_number' => '99','translate_name' => 'তারা কি তবে নিরাপদ বোধ করে আল্লাহ্‌র পরিকল্পনা থেকে? আর আল্লাহ্‌র পরিকল্পনা থেকে কেউ নিরাপদ থাকতে পারে না ক্ষতিগ্রস্ত সম্প্রদায় ব্যতীত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1054','chapter_id' => '7','translator_id' => '2','verse_number' => '100','translate_name' => 'এটি কি নির্দেশা‌ত্মক নয় তাদের জন্য যারা দেশের উত্তরাধিকারপ্রাপ্ত হয় তার বাসিন্দাদের পরে, যে যদি আমরা ইচ্ছা করি তবে তাদেরও আমরা আঘাত হানতে পারি তাদের অপরাধের জন্য, আর তাদের হৃদয়ের উপরে সিল এঁটে দিতে পারি, ফলে তারা শুনবে না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1055','chapter_id' => '7','translator_id' => '2','verse_number' => '101','translate_name' => 'এই জনবসতিগুলো -- তাদের কাহিনী থেকে কিছুটা আমরা তোমার কাছে বর্ণনা করছি। আর নিশ্চয়ই তাদের কাছে তাদের রসূলগণ এসেছিলেন স্পষ্ট প্রমাণাবলী নিয়ে, কিন্তু তাদের বিশ্বাস করবার অবস্থা ছিল না তাতে যা তারা ইতিপূর্বে অবিশ্বাস করেছিল। এইভাবে আল্লাহ্ মোহর মেরে দেন অবিশ্বাসীদের হৃদয়ের উপরে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1056','chapter_id' => '7','translator_id' => '2','verse_number' => '102','translate_name' => 'আর তাদের বেশিরভাগের মধ্যে আমরা প্রতি‌শ্রুতি পালনের কিছুই পাই নি, বরং তাদের অধিকাংশকে অবশ্যই পেয়েছি ডাহা অসৎকর্মা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1057','chapter_id' => '7','translator_id' => '2','verse_number' => '103','translate_name' => 'অবশেষে তাদের পরে আমরা মূসাকে নিযুক্ত করেছিলাম ফিরআউন ও তার পরিষদবর্গের কাছে আমাদের নির্দেশাবলী সঙ্গে দিয়ে, কিন্তু তারা এগুলোর প্রতি অবিচার করেছিল, অতএব দেখো কেমন হয়েছিল বিপর্যয় সৃষ্টিকারীদের পরিণাম!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1058','chapter_id' => '7','translator_id' => '2','verse_number' => '104','translate_name' => 'আর মূসা বললেন -- \'\'হে ফিরআউন, নিঃসন্দেহ আমি বিশ্বজগতের প্রভুর তরফ থেকে একজন রসূল, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1059','chapter_id' => '7','translator_id' => '2','verse_number' => '105','translate_name' => '\'\'স্থিরনিশ্চিত যে আল্লাহ্ সন্বন্ধে আমি সত্য ছাড়া বলবো না। আমি তোমাদের কাছে এসেছি তোমাদের প্রভুর কাছ থেকে স্পষ্ট প্রমাণাবলী নিয়ে, সুতরাং আমার সঙ্গে পাঠিয়ে দাও ইসরাইলবংশীয় লোকদের।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1060','chapter_id' => '7','translator_id' => '2','verse_number' => '106','translate_name' => 'সে বললে -- \'\'যদি তুমি কোনো নিদর্শন নিয়ে এসে থাকো তবে তা উপস্থাপিত করো, যদি তুমি সত্যবাদীদের মধ্যেকার হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1061','chapter_id' => '7','translator_id' => '2','verse_number' => '107','translate_name' => 'কাজেই তিনি তাঁর লাঠি নিক্ষেপ করলেন, তখন আশ্চর্য! তা হলো এক স্পষ্ট সাপ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1062','chapter_id' => '7','translator_id' => '2','verse_number' => '108','translate_name' => 'আর তিনি তাঁর হাত বের করলেন, তখন আশ্চর্য! তা হলো দর্শকদের কাছে সাদা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1063','chapter_id' => '7','translator_id' => '2','verse_number' => '109','translate_name' => 'ফিরআউনের লোকদের প্রধানরা বললে -- \'\'নিঃসন্দেহ এ একজন বিজ্ঞ জাদুকর।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1064','chapter_id' => '7','translator_id' => '2','verse_number' => '110','translate_name' => '\'\'সে চায় তোমাদের দেশ থেকে তোমাদের বের করে দিতে, কাজেই তোমরা কি পরামর্শ দাও?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1065','chapter_id' => '7','translator_id' => '2','verse_number' => '111','translate_name' => 'তারা বললে -- \'\'তাকে ও তার ভাইকে কিঞ্চিৎ অবকাশ দাও, আর শহরে-নগরে পাঠাও তলবকারীদের --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1066','chapter_id' => '7','translator_id' => '2','verse_number' => '112','translate_name' => '\'\'তোমার কাছে তারা নিয়ে আসুক প্রত্যেক ঝানু জাদুকর।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1067','chapter_id' => '7','translator_id' => '2','verse_number' => '113','translate_name' => 'আর জাদুকররা ফিরআউনের কাছে এলো। তারা বললে -- \'\'আমাদের পুরস্কার থাকা চাই যদি আমরা নিজেরা বিজেতা হই।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1068','chapter_id' => '7','translator_id' => '2','verse_number' => '114','translate_name' => 'সে বললে -- \'\'হাঁ আর আলবৎ তোমরা হবে নিকটবর্তীদের অন্তর্ভুক্ত।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1069','chapter_id' => '7','translator_id' => '2','verse_number' => '115','translate_name' => 'তারা বললে -- \'\'হে মূসা! তুমি কি নিক্ষেপ করবে, না আমরাই হবো নিক্ষেপকারী?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1070','chapter_id' => '7','translator_id' => '2','verse_number' => '116','translate_name' => 'তিনি বললেন -- \'\'তোমরাই ফেলো।’’ অতঃপর যখন তারা ফেললো তখন লোকদের চোখে ধাঁধাঁ লাগিয়ে দিল আর তাদের ভয়াতুর করলো, আর তারা নিয়ে এলো এক বড় রকমের জাদু!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1071','chapter_id' => '7','translator_id' => '2','verse_number' => '117','translate_name' => 'তখন আমরা মূসাকে প্রত্যাদেশ দিলাম যে -- \'\'তোমার লাঠি নিক্ষেপ করো।’’ তখন কি আশ্চর্য! তা গ্রাস করতে লাগলো যা তারা রচনা করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1072','chapter_id' => '7','translator_id' => '2','verse_number' => '118','translate_name' => 'কাজেই সত্য প্রতিষ্ঠা লাভ করলো এবং তারা যা করছিল তা বাতিল হয়ে গেল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1073','chapter_id' => '7','translator_id' => '2','verse_number' => '119','translate_name' => 'সুতরাং তারা সেইখানেই পরাভূত হলো, আর তারা মোড় ফেরালো ছোট হয়ে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1074','chapter_id' => '7','translator_id' => '2','verse_number' => '120','translate_name' => 'আর জাদুকররা লুটিয়ে পড়লো সিজদারত অবস্থায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1075','chapter_id' => '7','translator_id' => '2','verse_number' => '121','translate_name' => 'তারা বললে -- \'\'আমরা ঈমান আনলাম বিশ্বজগতের প্রভুর প্রতি --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1076','chapter_id' => '7','translator_id' => '2','verse_number' => '122','translate_name' => '\'\'মূসা ও হারূনের প্রভু।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1077','chapter_id' => '7','translator_id' => '2','verse_number' => '123','translate_name' => 'ফিরআউন বললে -- \'\'তোমরা তাতে বিশ্বাস করছ আমি তোমাদের অনুমতি দেবার আগেই! নিশ্চয় এটি এক চক্রান্ত যা তোমরা এ শহরে ফেদেছঁ যেন তোমরা এ থেকে এর লোকদের বার করে দিতে পারো। বেশ, শীঘ্রই তোমরা টের পাবে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1078','chapter_id' => '7','translator_id' => '2','verse_number' => '124','translate_name' => '\'\'আমি আলবৎ তোমাদের হাত ও তোমাদের পা উল্টো-পাল্টা কেটে দেবো, তারপর তোমাদের নিশ্চয়ই শূলে চড়াবো একসঙ্গে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1079','chapter_id' => '7','translator_id' => '2','verse_number' => '125','translate_name' => 'তারা বললে -- \'\'নিঃসন্দেহ আমাদের প্রভুর কাছেই আমরা প্রত্যাবর্তনকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1080','chapter_id' => '7','translator_id' => '2','verse_number' => '126','translate_name' => '\'\'আর তুমি আমাদের উপরে প্রতিহিংসা নিচ্ছ না শুধু এজন্য ছাড়া যে আমরা বিশ্বাস স্থাপন করেছি আমাদের প্রভুর নির্দেশাবলীতে যখন সে-সব আমাদের কাছে এসেছিল। \'আমাদের প্রভু! আমাদের উপরে ধৈর্য বর্ষণ করো, আর আমাদের মৃত্যু ঘটাও মুসলিমরূপে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1081','chapter_id' => '7','translator_id' => '2','verse_number' => '127','translate_name' => 'আর ফিরআউনের লোকদের প্রধানরা বললে -- \'\'আপনি কি মূসাকে ও তার লোকদের ছেড়ে দেবেন দেশে বিপর্যয় সৃষ্টি করতে এবং আপনাকে এবং আপনার দেবতাদের পরিত্যাগ করতে?’’ সে বললে -- \'\'আমরা তাদের পুত্রদের অবশ্যই হত্যা করবো আর তাদের কন্যাদের বাঁচতে দেবো, আর আমরা আলবৎ তাদের উপরে প্রতাপশালী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1082','chapter_id' => '7','translator_id' => '2','verse_number' => '128','translate_name' => 'মূসা তাঁর লোকদের বললেন -- \'\'আল্লাহ্‌র কাছে সাহায্য চাও ও ধৈর্য ধারণ করো, নিঃসন্দেহ পৃথিবী তো আল্লাহ্‌র, তিনি তার উত্তরাধিকার দেবেন তাঁর বান্দাদের মধ্যের যাদের তিনি পছন্দ করেন। আর পরিণাম হচ্ছে ধর্মপরায়ণদেরই জন্যে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1083','chapter_id' => '7','translator_id' => '2','verse_number' => '129','translate_name' => 'তারা বললে -- \'\'আমরা অত্যাচারিত হয়েছি আমাদের কাছে তোমার আগমনের আগে এবং আমাদের কাছে তোমার আসার পরেও।’’ তিনি বললেন -- \'\'হতে পারে তোমাদের প্রভু তোমাদের শত্রুদের ধ্বংস করবেন, আর অচিরেই তোমাদের তিনি প্রতিনিধি ঠাওরাবেন দেশের মধ্যে, যেন তিনি দেখতে পারেন কেমনভাবে তোমরা কাজ করো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1084','chapter_id' => '7','translator_id' => '2','verse_number' => '130','translate_name' => 'আর আমরা নিশ্চয়ই ফিরআউনের লোকদের পাকড়াও করেছিলাম বহুবৎসরের খরা আর ফল-ফসলের ক্ষতি দিয়ে, যেন তারা অনুধাবন করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1085','chapter_id' => '7','translator_id' => '2','verse_number' => '131','translate_name' => 'কিন্তু যখন তাদের কাছে ভালো অবস্থা আসতো, তারা বলতো -- \'\'এ-সব আমাদের জন্য।’’ আর যখন মন্দ অবস্থা তাদের উপরে ঘটতো তারা আরোপ করতো মূসার ও তাঁর সঙ্গে যারা ছিল তাদের উপরে। একি নয় যে নিঃসন্দেহ তাদের ক্রিয়াকলাপ আল্লাহ্‌র কাছে রয়েছে? কিন্তু তাদের অধিকাংশই জানে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1086','chapter_id' => '7','translator_id' => '2','verse_number' => '132','translate_name' => 'আর তারা বললে -- \'\'তুমি নিদর্শন থেকে যে কোনোটাই আমাদের কাছে আনো না কেন তা দিয়ে আমাদের জাদু করতে, আমরা কিন্তু তোমাতে বিশ্বাস স্থাপনকারী হবো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1087','chapter_id' => '7','translator_id' => '2','verse_number' => '133','translate_name' => 'তারপর আমরা তাদের উপরে পাঠালাম সুদূর প্রসারিত মৃত্যু, আর পঙ্গপাল ও উকুন, আর বেঙ ও রক্ত -- বিশদভাবে বর্ণিত নিদর্শনাবলী, কিন্তু তারা অহংকার করেছিল এবং তারা ছিল একটি অপরাধী সম্প্রদায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1088','chapter_id' => '7','translator_id' => '2','verse_number' => '134','translate_name' => 'আর যখন তাদের উপরে মড়কের আবির্ভাব হলো তারা বললে -- \'\'হে মূসা! তোমার প্রভুর কাছে আমাদের জন্য প্রার্থনা করো যেমন তিনি তোমার কাছে ওয়াদা করেছেন, তুমি যদি আমাদের কাছ থেকে মহামারী অপসারিত করে দাও তবে আমরা নিশ্চয়ই তোমাতে ঈমান আনবো আর তোমার সঙ্গে অবশ্যই ইসরাইলবংশীয়দের পাঠিয়ে দেবো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1089','chapter_id' => '7','translator_id' => '2','verse_number' => '135','translate_name' => 'কিন্তু যখন আমরা তাদের থেকে মহামারী দূর করলাম নির্দিষ্ট সময়ের জন্য যাতে তারা পৌঁছুল, দেখো! তারা ভঙ্গ করলো!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1090','chapter_id' => '7','translator_id' => '2','verse_number' => '136','translate_name' => 'সেজন্য আমরা তাদের থেকে শেষপরিণতি নিলাম, আর তাদের আমরা ডুবিয়ে দিয়েছিলাম সাগরের জলে যেহেতু তারা প্রত্যাখ্যান করেছিল আমাদের নির্দেশসমূহ, আর এতে তারা ছিল অমনোযোগী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1091','chapter_id' => '7','translator_id' => '2','verse_number' => '137','translate_name' => 'আর আমরা উত্তরাধিকার দিয়েছিলাম সেই লোকদের যাদের দুর্বল গণ্য করা হয়েছিল, -- দেশের পূর্ব্বাঞ্চলসমূহ ও তার পশ্চিমাঞ্চল সমূহ -- যাতে আমরা সমৃদ্ধি অর্পণ করেছিলাম। আর তোমার প্রভুর মনোরম বাণী পরিপূর্ণ হয়েছিল ইসরাইলের বংশধরদের ক্ষেত্রে যেহেতু তারা ধৈর্য ধরেছিল। আর আমরা ভেঙ্গে ফেলেছিলাম ফিরআউন ও তার লোকেরা যা গড়ে ছিল, আর যে- সব তারা বানিয়েছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1092','chapter_id' => '7','translator_id' => '2','verse_number' => '138','translate_name' => 'আর আমরা ইসরাইল বংশীয় লোকদের সমূদ্র পার করিয়ে দিই, তারপর তারা এল এক জাতির সংস্পর্শে যারা তাদের অবশিষ্ট প্রতিমাগুলোর প্রতি আসক্ত ছিল। তারা বললে -- \'\'হে মূসা! আমাদের জন্য একটি দেবতা গড়ে দাও যেমন তাদের দেবতারা রয়েছে ।’’ তিনি বললেন -- \'\'তোমরা নিঃসন্দেহ এমন এক সম্প্রদায় যারা বোকামো করছো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1093','chapter_id' => '7','translator_id' => '2','verse_number' => '139','translate_name' => '\'\'নিঃসন্দেহ এদের ব্যাপারে -- যাতে তারা লিপ্ত রয়েছে তা ধ্বংসপ্রাপ্ত হতে যাচ্ছে, আর বৃথা যা তারা করে চলেছে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1094','chapter_id' => '7','translator_id' => '2','verse_number' => '140','translate_name' => 'তিনি বললেন -- \'\'আমি কি আল্লাহ্ ছাড়া তোমাদের জন্য অন্য উপাস্য খুঁজবো, অথচ তিনি তোমাদের শ্রেষ্ঠত্ব দিয়েছেন সমস্ত বিশ্বজগতের উপরে?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1095','chapter_id' => '7','translator_id' => '2','verse_number' => '141','translate_name' => 'আর স্মরণ করো, আমরা তোমাদের উদ্ধার করেছিলাম ফিরআউনের লোকদের থেকে, তারা তোমাদের অত্যাচার করেছিল মর্মান্তিক শাস্তি দিয়ে, -- তারা তোমাদের পুত্রসন্তানদের হত্যা করতো ও বাচঁতে দিত তোমাদের কন্যাদের। আর এতে ছিল তোমাদের জন্য তোমাদের প্রভুর তরফ থেকে এক বিরাট সঙ্কট।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1096','chapter_id' => '7','translator_id' => '2','verse_number' => '142','translate_name' => 'আর আমরা মূসার সঙ্গে ওয়াদা করেছিলাম ত্রিশ রাত্রি, আর তা পূর্ণ করি দশ দিয়ে -- তাতে পূর্ণ হলো তাঁর প্রভুর নির্ধারিত চল্লিশ রাত্রি। আর মূসা তাঁর ভাই হারূনকে বললেন -- \'\'আমার সম্প্রদায়ের মধ্যে তুমি আমার প্রতিনিধিত্ব করবে ও ভালোভাবে চলবে, আর গন্ডগোল সৃষ্টিকারীদের পথ অনুসরণ করো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1097','chapter_id' => '7','translator_id' => '2','verse_number' => '143','translate_name' => 'আর যখন মূসা আমাদের নির্ধারিত-স্থলে এসে পৌঁছুলেন এবং তাঁর প্রভু তাঁর সাথে কথা বললেন, তিনি বললেন -- \'\'আমার প্রভু! আমাকে দর্শন দাও, আমি তোমাকে দেখবো।’’ তিনি বললেন -- \'\'তুমি কখনই আমাকে দেখতে পাবে না, বরং পাহাড়টির দিকে তাকাও, যদি তা তার জায়গায় স্থির থাকে তবে তুমি আমাকে দেখবে।’’ তারপর যখন তাঁর প্রভু পাহাড়টিতে জ্যোতিষ্মান হলেন তখন তিনি তাকে চূর্ণ-বিচূর্ণ করলেন, আর মূসা পড়ে গেলেন সংজ্ঞাহীন হয়ে। তারপর যখন তিনি চেতনা পেলেন, তিনি বললেন -- \'\'তোমারই সব মহিমা! আমি তোমারই দিকে ফিরছি, আর আমি হব মুমিনদের মধ্যে অগ্রণী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1098','chapter_id' => '7','translator_id' => '2','verse_number' => '144','translate_name' => 'তিনি বললেন -- \'\'হে মূসা! নিঃসন্দেহ আমি তোমাকে নির্বাচন করেছি জনগণের উপরে আমার বাণী প্রেরণের দ্বারা ও আমার বাক্যালাপের দ্বারা, কাজেই তুমি ধারণ করো যা বিধান আমি তোমাকে দিয়েছি, আর কৃতজ্ঞদের মধ্যেকার হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1099','chapter_id' => '7','translator_id' => '2','verse_number' => '145','translate_name' => 'আর আমরা তাঁর জন্য লিপিবদ্ধ করেছিলাম ফলকগুলোতে হরেক রকমের উপদেশ আর সব-কিছুর ব্যাখ্যা, -- \'\'এ-সব তাহলে শক্তভাবে ধারণ করো, আর তোমার লোকদের নির্দেশ দাও শ্রেষ্ঠগুলো গ্রহণ করতে। আমি অচিরেই তোমাদের দেখাবো সত্যত্যাগীদের বাসস্থান।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1100','chapter_id' => '7','translator_id' => '2','verse_number' => '146','translate_name' => 'অচিরেই আমার নির্দেশাবলী থেকে আমি ফিরিয়ে দেবো তাদের যারা দেশের মধ্যে অন্যায়ভাবে অহংকার করে। আর যদিও তারা প্রত্যেকটি নিদর্শন দেখতে পায় তবু তারা ওতে বিশ্বাস করবে না, আর যদি তারা ভ্রান্ত পথের দেখা পায় তবে তাকে তারা পথ বলে গ্রহণ করে। এটি এজন্য যে তারা আমাদের নির্দেশ-সমূহকে প্রত্যাখ্যান করেছিল, আর তাতে তারা উদাসীন হয়েছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1101','chapter_id' => '7','translator_id' => '2','verse_number' => '147','translate_name' => 'আর যারা মিথ্যারোপ করেছিল আমাদের নির্দেশাবলীতে ও পরকালের মুলাকাতের সন্বন্ধে, তাদের ক্রিয়াকলাপ বৃথা হয়েছে। তাদের কি প্রতিফল দেয়া হবে যা তারা করে যাচ্ছিল তার বিপরীতে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1102','chapter_id' => '7','translator_id' => '2','verse_number' => '148','translate_name' => 'আর মূসার লোকেরা তাঁর পরে গ্রহণ করলো তাদের অলংকার দিয়ে একটি গোবৎসকে -- একটি দেহ, যাতে ফোকলা আওয়াজ হতো। তারা কি দেখলো না যে এটি তো তাদের সঙ্গে কথা বলে না আর তাদের পথে পরিচালিতও করে না? তারা এটিকে গ্রহণ করলো, আর তারা ছিল অন্যায়কারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1103','chapter_id' => '7','translator_id' => '2','verse_number' => '149','translate_name' => 'আর যখন তাদের হাতে কামড় পড়লো আর দেখলো যে তারা বিপথে চলে গেছে, তারা বললে -- \'\'যদি না আমাদের প্রভু আমাদের প্রতি করুণা করেন ও আমাদের পরিত্রাণ করেন তবে আমরা আলবৎ ক্ষতিগ্রস্তদের অন্তর্ভুক্ত হবো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1104','chapter_id' => '7','translator_id' => '2','verse_number' => '150','translate_name' => 'আর যখন মূসা ফিরে এলেন তাঁর লোকদের কাছে ক্ষুদ্ধ ও ত্রুদ্ধ হয়ে, তিনি বললেন -- \'\'আমার পরে তোমরা আমার স্থলে যা কারেছ তা জঘন্য! তোমরা কি তোমাদের প্রভুর বিচার এগিয়ে আনতে চাও?’’ আর তিনি ফলকগুলো ফেলে দিলেন, আর তাঁর ভাইয়ের মাথা ধরলেন তাঁর দিকে তাঁকে টেনে আনতে। তিনি বললেন -- \'\'হে আমার সহোদর! নিঃসন্দেহ লোকেরা আমাকে দুর্বল ঠাওরেছিল ও আমাকে প্রায় মেরেই ফেলেছিল। সুতরাং আমার দশায় শত্রুদের পুলকিত করো না, আর, আমাকে পাপিষ্ঠ লোকদের দলভুক্ত করো না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1105','chapter_id' => '7','translator_id' => '2','verse_number' => '151','translate_name' => 'তিনি বললেন -- \'\'আমার প্রভু! আমাকে ও আমার ভাইকে পরিত্রাণ করো, আর আমাদের দাখিল করো তোমার অনুগ্রহের মধ্যে, কেননা তুমিই দয়ালুদের মধ্যে শ্রেষ্ঠ করুণাময়।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1106','chapter_id' => '7','translator_id' => '2','verse_number' => '152','translate_name' => 'নিঃসন্দেহ যারা গো-বৎসকে গ্রহণ করেছিল তাদের পাকড়াও করবে তাদের প্রভুর ক্রোধ ও লাঞ্ছনা এই দুনিয়ার জীবনে। আর এইভাবেই আমরা প্রতিফল দিই মিথ্যারচনাকারীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1107','chapter_id' => '7','translator_id' => '2','verse_number' => '153','translate_name' => 'আর যারা অসদাচরণ করে আর তারপরে ফেরে ও বিশ্বাস করে, -- নিঃসন্দেহ তোমার প্রভু তো এর পরে পরম ক্ষমাশীল, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1108','chapter_id' => '7','translator_id' => '2','verse_number' => '154','translate_name' => 'আর মূসা থেকে ক্রোধ যখন প্রশমিত হলো তিনি তখন ফলকগুলো তুলে নিলেন, সে-সবের লেখনে ছিল পথনির্দেশ ও করুণা, তাদের জন্য যারা তাদের প্রভুর প্রতি ভয় করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1109','chapter_id' => '7','translator_id' => '2','verse_number' => '155','translate_name' => 'আর মূসা তাঁর সম্প্রদায়ের মধ্যে সত্তর জন লোককে বাছাই করলেন আমাদের নির্ধারিত স্থলের জন্য, কাজেই যখন ভূমিকম্প তাদের পাকড়ালো, তিনি বললেন -- \'\'আমার প্রভু! তুমি যদি ইচ্ছা করতে তবে এর আগেই তো তুমি তাদের ধ্বংস করতে পারতে, আর আমাকেও। তুমি কি আমাদের ধ্বংস করবে আমাদের মধ্যের নির্বোধরা যা করেছে তার জন্যে? এ তোমার পরীক্ষা বৈ তো নয়। এর দ্বারা তুমি বিপথগামী করো যাদের তুমি ইচ্ছা করো, আর সৎপথে চালাও যাদের তুমি ইচ্ছা করো। তুমিই আমাদের অভিভাবক, অতএব আমাদের পরিত্রাণ করো ও আমাদের প্রতি করুণা করো, কারণ তুমিই পরিত্রাণকারীদের মধ্যে সর্বোত্তম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1110','chapter_id' => '7','translator_id' => '2','verse_number' => '156','translate_name' => '\'\'আর আমাদের জন্য বিধান করো এই দুনিয়াতেই কল্যাণ এবং পরকালেও, আমরা নিঃসন্দেহ তোমার দিকেই ফিরছি।’’ তিনি বললেন -- \'\'আমার শাস্তি -- তা দিয়ে আমি আঘাত হানবো যাকে ইচ্ছা করবো, কিন্তু আমার করুণা -- তা সব-কিছুই পরিবেষ্ঠন করে। সুতরাং আমি তা বিধান করবো তাদের জন্য যারা ধর্মভীরুতা অবলন্বন করে, আর যাকাত আদায় করে, আর যারা আমাদের নির্দেশাবলীতে বিশ্বাস করে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1111','chapter_id' => '7','translator_id' => '2','verse_number' => '157','translate_name' => '\'\'যারা অনুসরণ করে সেই রসূলকে -- নবী, উম্মী, যাঁকে তারা পায় উল্লিখিত রয়েছে তাদের কাছের তওরাতে ও ইঞ্জীলে, আর যিনি তাদের নির্দেশ দেন সৎকাজের ও তাদের নিষেধ করেন অসৎকাজ থেকে, আর তাদের জন্য বৈধ করেন ভালো বিষয়বস্তু ও তাদের জন্য নিষেধ করেন মন্দ জিনিসগুলো, আর যিনি তাদের থেকে দূর করে দেন তাদের বোঝা ও বন্ধন যা তাদের উপরে ছিল। অতএব যারা তাঁতে বিশ্বাস করে ও তাঁকে মান্য করে ও তাঁকে সাহায্য করে আর অনুসরণ করে সেই আলো যা তাঁর সঙ্গে অবতীর্ণ হয়েছে, -- এরা নিজেরাই হচ্ছে সফলকাম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1112','chapter_id' => '7','translator_id' => '2','verse_number' => '158','translate_name' => 'বলো -- \'\'ওহে জনগণ! আমি নিশ্চয়ই আল্লাহ্‌র রসূল তোমাদের সবার কাছে, -- মহাকাশমন্ডল ও পৃথিবীর সার্বভৌমত্ব যাঁর সেইজনেরই, তিনি ছাড়া অন্য উপাস্য নেই, তিনি জীবন দান করেন ও মৃত্যু ঘটান। সেজন্য আল্লাহ্‌তে বিশ্বাস করো ও তাঁর রসূলের প্রতি -- উম্মী নবী, যিনি ঈমান এনেছেন আল্লাহতে ও তাঁর বাণীসমূহে, আর তোমরাও তাঁর অনুসরণ করো যেন তোমরা সৎপথপ্রাপ্ত হতে পারো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1113','chapter_id' => '7','translator_id' => '2','verse_number' => '159','translate_name' => 'আর মূসার সম্প্রদায়ের মধ্যেও একটি দল রয়েছে যারা পথ দেখায় সত্যের দ্বারা ও তার দ্বারা ন্যায়বিচার করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1114','chapter_id' => '7','translator_id' => '2','verse_number' => '160','translate_name' => 'আর আমরা তাদের বিভক্ত করেছিলাম বারোটি গোত্রে দলে। আর মূসার কাছে আমরা প্রেরণা দিলাম যখন তাঁর লোকেরা তাঁর কাছে পানি চাইল, এই বলে -- \'\'তোমার লাঠি দিয়ে পাথরে আঘাত করো।’’ তখন তা থেকে বারোটি ঝরনা প্রবাহিত হলো। প্রত্যেক গোত্র আপন জলপান-স্থান চিনে নিলো। আর তাদের উপরে আমরা মেঘ দিয়ে আচ্ছাদান করেছিলাম, আর তাদের কাছে পাঠিয়েছিলাম \'মান্না’ ও \'সালওয়া’, -- \'\'তোমাদের যা জীবিকা দিয়েছি তার ভালো ভালো জিনিস থেকে আহার করো।’’ কিন্তু তারা আমাদের কোনো অনিষ্ট করে নি, বরং তারা তাদের নিজেদের প্রতি অনিষ্ট করছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1115','chapter_id' => '7','translator_id' => '2','verse_number' => '161','translate_name' => 'আর স্মরণ করো! তাদের বলা হয়েছিল -- \'\'এ জনবসতিতে বসবাস করো, আর এ থেকে আহার করো যখন-যেখানে ইচ্ছা করো, আর বলো \'হিৎতাতুন’, আর সদর-দরজা দিয়ে প্রবেশ করো নতমস্তকে, তোমাদের সমস্ত ভুলভ্রান্তি আমরা তোমাদের থেকে ক্ষমা করে দেবো। উপরন্তু আমরা বাড়িয়ে দেবো শুভকর্মীদের জন্য।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1116','chapter_id' => '7','translator_id' => '2','verse_number' => '162','translate_name' => 'কিন্তু তাদের মধ্যে যারা অন্যায় করেছিল তারা তাদের যা বলা হয়েছিল তার বিপরীত কথায় তা বদলে দিল, সেজন্য তাদের উপরে আমরা আকাশ থেকে পাঠালাম মহামারী, যেহেতু তারা অন্যায় ক’রে চলছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1117','chapter_id' => '7','translator_id' => '2','verse_number' => '163','translate_name' => 'আর তাদের জিজ্ঞাসা করো সেই জনবসতি সন্বন্ধে যারা ছিল সমুদ্রের কিনারে। স্মরণ করো! তারা সব্বাতের উল্লঙ্ঘন করেছিল, কারণ তাদের মাছগুলো তাদের কাছে আসতো তাদের সাব্বাতের দিনে ঝাঁকে-ঝাঁকে, আর যেদিন তারা সব্বাত পালন করতো না তারা তাদের কাছে আসতো না। এইভাবে আমরা তাদের নিয়ন্ত্রিত করেছিলাম, কেননা তারা পাপাচার করে চলতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1118','chapter_id' => '7','translator_id' => '2','verse_number' => '164','translate_name' => 'আর যখন তাদের মধ্যের একটি দল বললে -- \'\'কেন তোমরা সেই লোকদের উপদেশ দিচ্ছ আল্লাহ্ যাদের ধ্বংস করতে যাচ্ছেন অথবা কঠোর শাস্তিতে শাস্তি দিতে যাচ্ছেন’’? তাঁরা বললেন -- \'\'তোমাদের প্রভুর কাছে দোষমুক্ত হবার জন্য, আর যাতে তারা ধর্মপরায়ণতা অবলন্বন করে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1119','chapter_id' => '7','translator_id' => '2','verse_number' => '165','translate_name' => 'কিন্তু যখন তারা বিস্মৃত হলো যা তাদের স্মরণ করিয়ে দেয়া হয়েছিল, আমরা উদ্ধার করেছিলাম তাদের যারা নিষেধ করতো অসৎকাজ থেকে, আর যারা অন্যায় করে তাদের আমরা পাকড়াও করলাম কঠিন শাস্তিতে, যেহেতু তারা পাপাচার করতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1120','chapter_id' => '7','translator_id' => '2','verse_number' => '166','translate_name' => 'তারপর যখন তারা তাচ্ছিল্য করলো তাতে যা করতে তাদের নিষেধ করা হয়েছিল তখন আমরা তাদের বললাম -- \'\'তোমরা ঘৃণ্য বানর হয়ে যাও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1121','chapter_id' => '7','translator_id' => '2','verse_number' => '167','translate_name' => 'আর স্মরণ করো! তোমার প্রভু ঘোষণা করলেন যে তিনি তাদের বিরুদ্ধে কিয়ামতের দিন পর্যন্ত নিযুক্ত করবেন যারা তাদের পীড়ন করবে কঠিন নিপীড়নে। নিশ্চয় তোমার প্রভু তো প্রতিফল-দানে তৎপর এবং তিনি তো নিশ্চয়ই পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1122','chapter_id' => '7','translator_id' => '2','verse_number' => '168','translate_name' => 'আর আমরা পৃথিবীতে তাদের বিভক্ত করেছি বিভিন্ন দলে, তাদের মধ্যে কেউ-কেউ সৎপথাবলন্বী, আর তাদের কতক এর বিপরীত। আর আমরা তাদের নিয়ন্ত্রিত করেছি ভালো দিয়ে ও মন্দ দিয়ে, যেন তারা ফিরে আসে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1123','chapter_id' => '7','translator_id' => '2','verse_number' => '169','translate_name' => 'অতঃপর তাদের পরে স্থলাভিষিক্ত হয়েছিল এক উত্তরপুরুষ যারা গ্রন্থ উত্তরাধিকার করেছিল, তারা আঁকড়ে ধরেছিল এই সাধারণ জীবনের তুচ্ছ-বস্তুসব আর বলতো -- \'\'আমাদের তো মাফ করে দেয়া হবে।’’ আর যদি তাদের কাছে তার মতো বস্তুগুলো আসে তবে তারা তা গ্রহণ করে। তাদের কাছ থেকে কি গ্রন্থের অঙ্গীকার নেওয়া হয় নি যে তারা আল্লাহ্ সন্বন্ধে সত্য ছাড়া আর কিছু বলবে না, আর তারা পাঠও করেছে যা তাতে রয়েছে? আর পরকালের বাসস্থানই শ্রেয় তাদের জন্য যারা ধর্মভীরুতা অবলন্বন করে। তোমরা কি তবে বুঝো না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1124','chapter_id' => '7','translator_id' => '2','verse_number' => '170','translate_name' => 'আর যারা কিতাব শক্তভাবে ধারণ করে ও নামায কায়েম করে -- আমরা নিশ্চয় সৎকর্মশীলদের কর্মফল বিনষ্ট করি না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1125','chapter_id' => '7','translator_id' => '2','verse_number' => '171','translate_name' => 'আরোও স্মরণ করো! আমরা তাদের উপরে পর্বতকে কম্পিত করলাম তা যেন হয়েছিল একটি আচ্ছাদন, আর তারা ভেবেছিল যে এ নিশ্চয়ই তাদের উপরে ভেঙ্গে পড়েছে, \'\'আমরা তোমাদের যা দিয়েছি তা দৃঢ়ভাবে আকঁড়ে ধরো, আর তাতে যা রয়েছে তা স্মরণ রেখো, যাতে তোমরা ধর্মভীরুতা অবলন্বন করো’’।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1126','chapter_id' => '7','translator_id' => '2','verse_number' => '172','translate_name' => 'আর স্মরণ করো! তোমার প্রভু আদমের বংশধরদের থেকে -- তাদের পৃষ্ঠদেশ থেকে -- তাদের সন্তান-সন্ততি এনেছিলেন, আর তাদের নিজেদের সন্বন্ধে তাদের সাক্ষ্য দিইয়েছিলেন -- \'\'আমি কি তোমাদের প্রভু নই?’’ তারা বলেছিল -- \'\'হাঁ, আমরা সাক্ষ্য দিচ্ছি।’’ এজন্য যে পাছে তোমরা কিয়ামতের দিনে বলো -- \'\'আমরা তো এ বিষয়ে অজ্ঞাত ছিলাম,’’ --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1127','chapter_id' => '7','translator_id' => '2','verse_number' => '173','translate_name' => 'অথবা তোমরা বলো -- \'\'আসল ব্যাপার হচ্ছে আমাদের পূর্বপুরুষরা এর আগেই অংশীদার ঠাওরেছিল, আর আমরা তাদের পরবর্তীকালে বংশধরই ছিলাম। তুমি কি তবে আমাদের ধ্বংস করবে ভ্রষ্টাচারীরা যা করেছিল সেজন্য?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1128','chapter_id' => '7','translator_id' => '2','verse_number' => '174','translate_name' => 'আর এইভাবে আমাদের নির্দেশাবলী আমরা ব্যাখ্যা করি যেন তারা ফিরে আসে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1129','chapter_id' => '7','translator_id' => '2','verse_number' => '175','translate_name' => 'আর তাদের কাছে পাঠ করো ওর বৃত্তান্ত যাকে আমরা আমাদের নির্দেশাবলী প্রদান করেছিলাম, কিন্তু সে সে-সব থেকে গুটিয়ে নেয়, সেজন্য শয়তান তার পিছু নেয়, কাজেই সে বিপথ-গামীদের অন্তর্ভুক্ত হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1130','chapter_id' => '7','translator_id' => '2','verse_number' => '176','translate_name' => 'আর যদি আমরা ইচ্ছা করতাম তবে নিশ্চয়ই এর দ্বারা তাকে আমরা উন্নীত করতাম, কিন্তু সে মাটি আকঁড়ে ধরলো, আর সে তার হীন-কামনার অনুসরণ করে চললো। সুতরাং তার উপমা হচ্ছে কুকুরের দৃষ্টান্তের মতো -- ওকে যদি তুমি তাড়া করো, সে জিব বের ক’রে হাঁপাবে, আর যদি তুমি তাকে এড়িয়ে চলো সে জিব বার করে হাঁপাবে। এই হচ্ছে সে-সব লোকের দৃষ্টান্ত যারা আমাদের নির্দেশসমূহ প্রত্যাখ্যান করে। তুমি ইতিবৃত্ত বিবৃত করো যেন তারা চিন্তা করতে পারে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1131','chapter_id' => '7','translator_id' => '2','verse_number' => '177','translate_name' => 'মন্দের দৃষ্টান্ত সেই লোকেরা যারা আমাদের বাণীসমূহে মিথ্যারোপ করে, আর তাদের অন্তরা‌ত্মার প্রতিই তারা অত্যাচার করে চলে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1132','chapter_id' => '7','translator_id' => '2','verse_number' => '178','translate_name' => 'যাকে আল্লাহ্ পথ দেখান সে-ই তবে সৎপথে চালিত, আর যাকে তিনি বিপথে চলতে দেন, তাহলে তারা নিজেরাই ক্ষতিগ্রস্ত হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1133','chapter_id' => '7','translator_id' => '2','verse_number' => '179','translate_name' => 'আর আমরা জাহান্নামের জন্য নিশ্চয়ই ছড়িয়ে দিয়েছি জিন ও মানুষের মধ্যের অনেককে, -- তাদের হৃদয় আছে তা দিয়ে তারা বুঝে না, আর তাদের চোখ আছে তা দিয়ে তারা দেখে না, আর তাদের কান আছে তা দিয়ে তারা শোনে না। তারা গবাদি-পশুর ন্যায়, বরং তারা আরো পথভ্রষ্ট। তারা নিজেরাই হচ্ছে উদাসীন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1134','chapter_id' => '7','translator_id' => '2','verse_number' => '180','translate_name' => 'আর আল্লাহ্‌রই হচ্ছে সবচাইতে ভালো নামাবলী, কাজেই তাঁকে ডাকো সেই সবের দ্বারা, আর তাদের ছেড়ে দাও যারা তাঁর নামাবলী নিয়ে বিকৃতি করে। অচিরেই তাদের প্রতিফল দেয়া হবে তারা যা করে যাচ্ছে তার জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1135','chapter_id' => '7','translator_id' => '2','verse_number' => '181','translate_name' => 'আর যাদের আমরা সৃষ্টি করেছি তাদের মধ্যে আছে একটি দল যারা পথ দেখায় সত্যের দ্বারা, আর তার দ্বারা তারা ন্যায়পরায়ণতা করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1136','chapter_id' => '7','translator_id' => '2','verse_number' => '182','translate_name' => 'আর যারা আমাদের বাণীসমূহে মিথ্যারোপ করে তাদের আমরা ক্রমাগত টেনে নিয়ে যাই, -- কোথা থেকে তা তারা জানে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1137','chapter_id' => '7','translator_id' => '2','verse_number' => '183','translate_name' => 'আর আমি তাদের অবসর দিই, নিঃসন্দেহ আমার ব্যবস্থা অত্যন্ত বলিষ্ঠ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1138','chapter_id' => '7','translator_id' => '2','verse_number' => '184','translate_name' => 'তারা কি চিন্তা করে না? তাদের সহচরের মধ্যে কোনো পাগলামি নেই। বাস্তবে তিনি তো এক সুস্পষ্ট সতর্ককারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1139','chapter_id' => '7','translator_id' => '2','verse_number' => '185','translate_name' => 'তারা কি তাকায় না মহাকাশমন্ডল ও পৃথিবীর সাম্রাজ্যের প্রতি আর যা-কিছু আল্লাহ্ সৃষ্টি করেছেন, আর হতে পারে তাদের নির্ধারিত কাল ঘনিয়ে এসেছে? এর পরে আর কোন পর্যালোচনার দ্বারা তারা তবে বিশ্বাস করবে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1140','chapter_id' => '7','translator_id' => '2','verse_number' => '186','translate_name' => 'যাকে আল্লাহ্ বিপথে যেতে দেন তার জন্যে তবে কোনো পথপ্রদর্শক নেই। আর তাদের তিনি ছেড়ে দেন তাদের অবাধ্যতায় উদভ্রান্তভাবে ঘুরপাক খেতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1141','chapter_id' => '7','translator_id' => '2','verse_number' => '187','translate_name' => 'তারা তোমাকে ঘড়িঘন্টা সন্বন্ধে জিজ্ঞাসা করছে -- কখন তা ঘটবে। বলো -- \'\'এর জ্ঞান অবশ্যই রয়েছে আমার প্রভুর কাছে, এর সময় সন্বন্ধে তা প্রকাশ করতে পারে না তিনি ছাড়া কেউ। এ অতি গুরুতর ব্যাপার মহাকাশমন্ডলে ও পৃথিবীতে, এ এসে পড়বে না তোমাদের উপরে অতর্কিতে ছাড়া।’’ তারা তোমাকে জিজ্ঞাসা করছে যেন তুমিই এ বিষয়ে আগ্রহী। বলো -- \'\'এর জ্ঞান আলবৎ আল্লাহ্‌র কাছে, কিন্তু অধিকাংশ লোকই জানে না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1142','chapter_id' => '7','translator_id' => '2','verse_number' => '188','translate_name' => 'বলো -- \'\'আমার কোনো অধিকার নেই আমার নিজেরই কোনো লাভ বা ক্ষতি করবার -- আল্লাহ্ যা চান তা-ব্যতীত। আর যদি আমি অদৃশ্যের সম্যক্ জ্ঞান রাখতাম তবে কল্যাণের প্রাচুর্য বানিয়ে নিতাম, আর কোনো অনিষ্ট আমাকে স্পর্শ করতো না। আমি তো একজন সতর্ককারী বই নই, আর একজন সুসংবাদদাতা সেই লোকদের জন্য যারা ঈমান এনেছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1143','chapter_id' => '7','translator_id' => '2','verse_number' => '189','translate_name' => 'তিনিই সেইজন যিনি তোমাদের সৃষ্টি করেছেন একই নফস থেকে, আর তা থেকে তিনি তৈরি করেছেন তার সঙ্গিনী যেন সে তার মধ্যে শান্তি পেতে পারে। অতএব যখন সে তাতে উপগত হয় সে তখন একটি হাল্কা বোঝা ধারণ করে আর তা নিয়ে চলাফেরা করে, তারপর যখন তা ভারী হয়ে উঠে তখন উভয়ে আহ্বান করে তাদের প্রভু আল্লাহ্‌কে -- \'\'যদি তুমি আমাদের সুষ্ঠু একটি দাও আমরা তবে নিশ্চয়ই হবো কৃতজ্ঞদের অন্তর্ভুক্ত।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1144','chapter_id' => '7','translator_id' => '2','verse_number' => '190','translate_name' => 'কিন্তু তিনি যখন তাদের সুষ্ঠু একটি দান করলেন তারা তাঁর সঙ্গে দাঁড় করালো অংশীদার তিনি তাদের যা দিয়েছেন তার সন্বন্ধে। কিন্তু বহু উচ্চে অবস্থিত আল্লাহ্ তারা যা অংশী বানায় সে-সব থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1145','chapter_id' => '7','translator_id' => '2','verse_number' => '191','translate_name' => 'তারা কি অংশীদার বসায় তাকে যে কিছুই সৃষ্টি করে না, বরং তাদেরই সৃষ্টি করা হয়েছে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1146','chapter_id' => '7','translator_id' => '2','verse_number' => '192','translate_name' => 'আর ওরা কোনো ক্ষমতা রাখে না তাদের সাহায্য করার, আর তারা তাদের নিজেদেরও সাহায্য করতে পারে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1147','chapter_id' => '7','translator_id' => '2','verse_number' => '193','translate_name' => 'আর যদি তোমরা তাদের আহ্বান করো সৎপথের প্রতি, তারা তোমাদের অনুসরণ করবে না। তোমরা তাদের আহ্বান করো অথবা তোমরা চুপচাপ থাকো, তোমাদের জন্যে সমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1148','chapter_id' => '7','translator_id' => '2','verse_number' => '194','translate_name' => 'নিঃসন্দেহ তোমরা আল্লাহ্‌কে ছেড়ে দিয়ে যাদের আহ্বান কর তারা তোমাদেরই ন্যায় দাস, সুতরাং তাদের ডাকো, তোমাদের প্রতি তারা তবে সাড়া দিক, -- যদি তোমরা সত্যবাদী হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1149','chapter_id' => '7','translator_id' => '2','verse_number' => '195','translate_name' => 'তাদের কি পা আছে যা দিয়ে তারা চলতে পারে, অথবা তাদের কি হাত আছে যা দিয়ে ধরতে পারে, অথবা তাদের কি চোখ আছে যা দিয়ে দেখতে পারে, অথবা তাদের কি কান আছে যা দিয়ে তারা শুনতে পারে? বলো -- \'\'ডাকো তোমাদের অংশীদারদের, তারপর আমার বিরুদ্ধে ফন্দি আটোঁ, আর আমাকে অবকাশ দিও না!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1150','chapter_id' => '7','translator_id' => '2','verse_number' => '196','translate_name' => '\'\'নিঃসন্দেহ আমার অভিভাবক হচ্ছেন আল্লাহ্ যিনি কিতাব অবতারণ করেছেন, আর তিনিই অভিভাবকত্ব করেন সৎপথা- বলন্বীদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1151','chapter_id' => '7','translator_id' => '2','verse_number' => '197','translate_name' => '\'\'আর যাদের তোমরা আহ্বান কর তাঁকে ছেড়ে দিয়ে, তারা কোনো ক্ষমতা রাখে না তোমাদের সাহায্য করার, আর তাদের নিজেদেরও তারা সাহায্য করতে পারে না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1152','chapter_id' => '7','translator_id' => '2','verse_number' => '198','translate_name' => 'আর যদি তোমরা তাদের আহ্বান কর সৎপথের প্রতি, তারা শোনে না। আর তুমি তাদের দেখতে পাও তারা তোমার দিকে তাকিয়ে আছে, কিন্তু তারা দেখতে পাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1153','chapter_id' => '7','translator_id' => '2','verse_number' => '199','translate_name' => 'ক্ষমা অবলন্বন করো আর সদয়তার নির্দেশ দাও, আর অজ্ঞদের পরিহার করে চলো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1154','chapter_id' => '7','translator_id' => '2','verse_number' => '200','translate_name' => 'আর যদি শয়তানের থেকে খোঁচাখুচি তোমাকে আহত করে তবে আল্লাহ্‌র কাছে আশ্রয় চাও। নিঃসন্দেহ তিনি সর্ব শ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1155','chapter_id' => '7','translator_id' => '2','verse_number' => '201','translate_name' => 'নিঃসন্দেহ যারা ধর্মপরায়ণতা অবলন্বন করে, যখন শয়তানের আক্রমণ তাদের স্পর্শ করে তারা স্মরণ করে, -- তাহলে দেখো! তারাই হয় দৃষ্টিশক্তিমান!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1156','chapter_id' => '7','translator_id' => '2','verse_number' => '202','translate_name' => 'আর তাদের ভাইয়েরা, -- তারা এদের টেনে নেয় ভ্রান্তির মধ্যে, আর তারা থামে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1157','chapter_id' => '7','translator_id' => '2','verse_number' => '203','translate_name' => 'আর যখন তুমি তাদের কাছে কোনো আয়াত আনো না, তারা বলে -- \'\'কেন তুমি তা বেছে নাও না?’’ তুমি বলো -- \'\'আমি শুধু তারই অনুসরণ করি যা আমার কাছে প্রত্যাদিষ্ট হয়েছে আমার প্রভুর কাছ থেকে, এটি হচ্ছে তোমাদের প্রভুর কাছ থেকে দৃষ্টিদায়ক, আর পথনির্দেশক, আর হচ্ছে করুণা সেই লোকদের জন্য যারা বিশ্বাস করে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1158','chapter_id' => '7','translator_id' => '2','verse_number' => '204','translate_name' => 'আর যখন কুরআন পঠিত হয় তখন তা শোনো, আর চুপ করে থেকো, যেন তোমাদের প্রতি করুণা বর্ষিত হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1159','chapter_id' => '7','translator_id' => '2','verse_number' => '205','translate_name' => 'আর স্মরণ করো তোমার প্রভুকে নিজের অন্তরে সবিনয়ে ও সভয়ে ও অনুচ্চস্বরে, প্রাতে ও অপরাহ্নে, আর উদাসীনদের অন্তর্ভুক্ত হয়ো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1160','chapter_id' => '7','translator_id' => '2','verse_number' => '206','translate_name' => 'নিঃসন্দেহ যারা তোমার প্রভুর সান্নিধ্যে রয়েছে তারা তাঁর উপাসনায় অহংকার দেখায় না, আর তারা তাঁরই মহিমা কীর্তন করে, আর তাঁরই প্রতি সিজদা প্রদান করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1161','chapter_id' => '8','translator_id' => '2','verse_number' => '1','translate_name' => 'তারা তোমাকে যুদ্ধে-লব্ধ ধনসম্পদ সন্বন্ধে জিজ্ঞাসা করছে। বলো -- \'\'যুদ্ধে-লব্ধ ধনসম্পত্তি আল্লাহ্ ও রসূলের জন্য। সুতরাং আল্লাহ্‌কে তোমরা ভয়ভক্তি করো, আর তোমাদের নিজেদের মধ্যে সাব স্থাপন করো, আর আল্লাহ্ ও তাঁর রসূলকে মেনে চলো যদি তোমরা মুমিন হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1162','chapter_id' => '8','translator_id' => '2','verse_number' => '2','translate_name' => 'মুমিন তো কেবল তারাই যাদের হৃদয় ভয়ে কাঁপে যখন আল্লাহ্‌র কথা বলা হয়, আর যখন তাদের কাছে তাঁর বাণীসমূহ পাঠ করা হয় তা তাদের জন্য ধর্মবিশ্বাস বাড়িয়ে দেয়, আর তাদের প্রভুর উপরেই তারা নির্ভর করে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1163','chapter_id' => '8','translator_id' => '2','verse_number' => '3','translate_name' => 'যারা নামায কায়েম করে আর আমরা তাদের যা রিযেক দিয়েছি তা থেকে তারা খরচ করে থাকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1164','chapter_id' => '8','translator_id' => '2','verse_number' => '4','translate_name' => 'তারা নিজেরাই হচ্ছে সত্যিকারের মুমিন। তাদের জন্য রয়েছে তাদের প্রভুর কাছে মর্যাদার স্তরসমূহ, আর পরিত্রাণ ও সম্মানজনক জীবিকা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1165','chapter_id' => '8','translator_id' => '2','verse_number' => '5','translate_name' => 'যেমন, -- তোমার প্রভু তোমাকে তোমার বাড়িঘর থেকে বের ক’রে আনলেন সত্যের সাথে, যদিও মুমিনদের মধ্যের একটি দল অবশ্যই ছিল বিরূপভাবাপন্ন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1166','chapter_id' => '8','translator_id' => '2','verse_number' => '6','translate_name' => 'তারা তোমার সঙ্গে সত্য সন্বন্ধে বিতর্ক করছিল তা সুস্পষ্ট হবার পরেও, যেন তারা মৃত্যুর দিকে তাড়িত হচ্ছিল, আর তারা তাকিয়ে রয়েছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1167','chapter_id' => '8','translator_id' => '2','verse_number' => '7','translate_name' => 'আর স্মরণ করো! আল্লাহ্ তোমাদের প্রতি‌শ্রুতি দিয়েছিলেন দুই দলের একটি সন্বন্ধে যে তা তোমাদের হবে, আর তোমরা চেয়েছিলে যা অস্ত্রসজ্জিত নয় তাই তোমাদের হোক, অথচ আল্লাহ্ চেয়েছিলেন যেন সত্য সত্য প্রতিপন্ন হয় তাঁর বাণীর দ্বারা, আর যেন তিনি অবিশ্বাসীদের শিকড় কেটে দেন --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1168','chapter_id' => '8','translator_id' => '2','verse_number' => '8','translate_name' => 'যেন তিনি সত্যকে সত্য প্রতিপন্ন করেন ও মিথ্যাকে বাতিল করে দেন, যদিও অপরাধীরা তা অপছন্দ করে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1169','chapter_id' => '8','translator_id' => '2','verse_number' => '9','translate_name' => 'স্মরণ করো! তোমরা তোমাদের প্রভুর সাহায্য প্রার্থনা করেছিলে, তাই তিনি তোমাদের প্রতি সাড়া দিয়েছিলেন -- \'\'আমি নিশ্চয়ই তোমাদের সাহায্য করবো অক্ষুন্ন পরম্পরায় আগত ফিরিশ্‌তাদের একহাজার জন দিয়ে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1170','chapter_id' => '8','translator_id' => '2','verse_number' => '10','translate_name' => 'আর আল্লাহ্ এটি করেন নি সুসংবাদ দান ছাড়া আর যেন এর দ্বারা তোমাদের হৃদয় প্রশান্তি লাভ করে, আর সাহায্য তো আসে না আল্লাহ্‌র কাছ থেকে ছাড়া। নিঃসন্দেহ আল্লাহ্ হচ্ছেন মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1171','chapter_id' => '8','translator_id' => '2','verse_number' => '11','translate_name' => 'স্মরণ করো! তিনি তোমাদের উপরে প্রশান্তি এনেছিলেন তাঁর তরফ থকে স্বস্তিরূপে, আর তিনি তোমাদের উপরে আকাশ থেকে বর্ষণ করলেন বৃষ্টি, যেন তিনি এর দ্বারা তোমাদের পরিস্কার করতে পারেন, আর যেন তোমাদের থেকে দূর করতে পারেন শয়তানের নোংরামি, আর যেন তিনি তোমাদের অন্তরে বলসঞ্চার করতে পারেন, আর যেন এর দ্বারা পদক্ষেপ দৃঢ়প্রতিষ্ঠিত করতে পারেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1172','chapter_id' => '8','translator_id' => '2','verse_number' => '12','translate_name' => 'স্মরণ করো! তোমার প্রভু ফিরিশ্‌তাদের কাছে প্রেরণা দিলেন -- \'\'আমি নিশ্চয়ই তোমাদের সাথে আছি, কাজেই যারা ঈমান এনেছে তাদের সুপ্রতিষ্ঠিত করো। আমি অচিরেই তাদের অন্তরে ভীতি সঞ্চার করবো যারা অবিশ্বাস পোষণ করে, অতএব ঘাড়ের উপরে আঘাত করো আর তাদের থেকে সমস্ত প্রত্যঙ্গ কেটে ফেলো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1173','chapter_id' => '8','translator_id' => '2','verse_number' => '13','translate_name' => 'এটি এইজন্য যে তারা আল্লাহ্ ও তাঁর রসূলের বিরোধিতা করে, আর যে কেউ আল্লাহ্ ও রসূলের বিরুদ্ধে দাঁড়ায় -- আল্লাহ্ তবে নিশ্চয়ই শাস্তিদানে কঠোর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1174','chapter_id' => '8','translator_id' => '2','verse_number' => '14','translate_name' => '\'\'এটিই তোমাদের জন্য! অতএব এর আস্বাদ গ্রহণ করো! আর অবিশ্বাসীদের জন্য নিশ্চয়ই রয়েছে আগুনের শাস্তি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1175','chapter_id' => '8','translator_id' => '2','verse_number' => '15','translate_name' => 'ওহে যারা ঈমান এনেছ! যারা অবিশ্বাস পোষণ করে তাদের যখন তোমরা দেখা পাও যুদ্ধযাত্রা করছে তখন তাদের দিকে পিঠ ফেরাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1176','chapter_id' => '8','translator_id' => '2','verse_number' => '16','translate_name' => 'আর যে কেউ সেইদিন তার পিঠ ফেরাবে -- যুদ্ধের কেশল অবলন্বন ব্যতীত, অথবা দলে যোগ দেবার জন্যে, -- সে তাহলে নিশ্চয়ই আল্লাহ্‌র ক্রোধ অর্জন করবে, আর তার আশ্রয় হবে জাহান্নাম, আর তা হচ্ছে নিকৃষ্ট গন্তব্যস্থল!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1177','chapter_id' => '8','translator_id' => '2','verse_number' => '17','translate_name' => 'অতএব তোমরা তাদের বধ করো নি, বরং আল্লাহ্‌ই তাদের বধ করেছেন। আর তুমি ছুঁড়ে মারো নি যখন তুমি নিক্ষেপ করেছিলে বরং আল্লাহ্‌ই নিক্ষেপ করেছিলেন, আর যেন তিনি বিশ্বাসীদের প্রদান করেন তাঁর নিজের থেকে এক উত্তম পুরস্কার। নিঃসন্দেহ আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1178','chapter_id' => '8','translator_id' => '2','verse_number' => '18','translate_name' => 'এটিই তোমাদের জন্য! আর আল্লাহ্ অবশ্যই অবিশ্বাসীদের চক্রান্ত দুর্বলকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1179','chapter_id' => '8','translator_id' => '2','verse_number' => '19','translate_name' => 'তোমরা যখন বিজয়-কামনা করেছিলে তখন তোমাদের কাছে আলবৎ চূড়ান্ত বিজয় এসেছে। আর যদি তোমরা বিরত হও তবে তা হবে তোমাদের জন্য ভালো, কিন্তু যদি তোমরা ফিরে আসো, আমরাও ফিরে আসবো, আর তোমাদের ফৌজ তোমাদের কোনো কাজে আসবে না, যদিও তা সংখ্যাগরিষ্ঠ হোক। আর আল্লাহ্ নিঃসন্দেহ মুমিনদেরই সাথে রয়েছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1180','chapter_id' => '8','translator_id' => '2','verse_number' => '20','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্ ও তাঁর রসূলের আজ্ঞাপালন করো, আর তাঁর থেকে ফিরে যেও না যখন তোমরা শোনো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1181','chapter_id' => '8','translator_id' => '2','verse_number' => '21','translate_name' => 'আর তোমরা তাদের মতো হয়ো না যারা বলেছিল -- \'\'আমরা শুনলাম’’, কিন্তু তারা শোনে নি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1182','chapter_id' => '8','translator_id' => '2','verse_number' => '22','translate_name' => 'নিঃসন্দেহ আল্লাহ্‌র নিকট নিকৃষ্টতম জীব হচ্ছে -- বধির বোবা -- যারা বোঝে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1183','chapter_id' => '8','translator_id' => '2','verse_number' => '23','translate_name' => 'আর আল্লাহ্ যদি তাদের মধ্যে ভালো কিছু জানতেন তবে তিনি আলবৎ তাদের শোনাতেন। কিন্তু যদিও তিনি তাদের শোনাতেন তবু তারা ফিরে যেতো, যেহেতু তারা বিমুখ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1184','chapter_id' => '8','translator_id' => '2','verse_number' => '24','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্ ও রসূলের প্রতি সাড়া দাও যখন তিনি তোমাদের আহ্বান করেন তাতে যা তোমাদের জীবন দান করে। আর জানো যে আল্লাহ্ মানুষের ও তার অন্তঃকরণের মাঝখানে বিরাজ করছেন, আর নিঃসন্দেহ তিনি -- তাঁরই কাছে তোমাদের একত্রিত করা হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1185','chapter_id' => '8','translator_id' => '2','verse_number' => '25','translate_name' => 'আর ধর্মভীরুতা অবলন্বন করো সেই বিপদ সন্বন্ধে যা তোমাদের মধ্যের যারা অত্যাচারী শুধুমাত্র তাদের উপরেই পড়ে না। আর জেনে রেখো যে আল্লাহ্ আলবৎ প্রতিফল দানে কঠোর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1186','chapter_id' => '8','translator_id' => '2','verse_number' => '26','translate_name' => 'আর স্মরণ করো! যখন তোমরা ছিলে স্বল্পসংখ্যক, দুনিয়াতে তোমরা দুর্বলরূপে পরিগণিত হতে, তোমরা ভয় করতে যে লোকেরা তোমাদের আচমকা ধরে নিয়ে যাবে, তখন তিনি তোমাদের আশ্রয় দেন, আর তোমাদের বলবৃদ্ধি করেন তাঁর সাহায্যের দ্বারা, আর তোমাদের জীবিকা দান করলেন উত্তম বিষয়-বস্তু থেকে, যেন তোমরা ধন্যবাদ জানাতে পারো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1187','chapter_id' => '8','translator_id' => '2','verse_number' => '27','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্ ও রসূলের প্রতি বিশ্বাসভঙ্গ করো না, আর না তোমাদের আমানত খিয়ানত করবে, -- তাও তোমরা জেনে-শুনে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1188','chapter_id' => '8','translator_id' => '2','verse_number' => '28','translate_name' => 'আর জেনে রেখো যে নিঃসন্দেহ তোমাদের ধনদৌলত ও তোমাদের সন্তানসন্ততি তোমাদের জন্য এক পরীক্ষা, আর নিঃ সন্দেহ আল্লাহ্ -- তাঁরই কাছে রয়েছে বিরাট পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1189','chapter_id' => '8','translator_id' => '2','verse_number' => '29','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমরা যদি আল্লাহ্‌কে ভয়ভক্তি করো তবে তিনি তোমাদের দেবেন ফুরকান, আর তোমাদের থেকে তোমাদের মন্দ ঘুচিয়ে দেবেন, আর তোমাদের পরিত্রাণ করবেন। আর আল্লাহ্ বিপুল কল্যাণের অধিকর্তা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1190','chapter_id' => '8','translator_id' => '2','verse_number' => '30','translate_name' => 'আর স্মরণ করো! যারা অবিশ্বাস পোষণ করে তারা তোমার বিরুদ্ধে ষড়যন্ত্র করেছিল যে তারা তোমাকে আটক করবে, অথবা তারা তোমাকে হত্যা করবে, অথবা তারা তোমাকে নির্বাসিত করবে। আর তারা ষড়যন্ত্র করেছিল, আর আল্লাহ্‌ও পরিকল্পনা করেছিলেন। আর পরিকল্পনাকারীদের মধ্যে আল্লাহ্‌ই শ্রেষ্ঠ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1191','chapter_id' => '8','translator_id' => '2','verse_number' => '31','translate_name' => 'আর যখন তাদের কাছে আমাদের বাণী পড়ে শোনানো হয় তারা বলে -- \'\'আমরা ইতিমধ্যেই শুনেছি, আমরাও ইচ্ছা করলে এর ন্যায় অবশ্যই বলতে পারি, এ তো পুরাকালের উপকথা বৈ নয়’’।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1192','chapter_id' => '8','translator_id' => '2','verse_number' => '32','translate_name' => 'আরও স্মরণ করো! তারা বলেছিল -- \'\'হে আল্লাহ্‌, এই যদি তোমার কাছ থেকে আসা যথার্থ সত্য হয় তবে আমাদের উপরে আকাশ থেকে পাথর বর্ষণ করো কিংবা আমাদের কাছে মর্মন্তুদ শাস্তি নিয়ে এস!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1193','chapter_id' => '8','translator_id' => '2','verse_number' => '33','translate_name' => 'আর আল্লাহ্ তাদের শাস্তি দেবেন না যতক্ষণ তুমি তাদের মধ্যে রয়েছে। আর আল্লাহ্ এরূপ নন যে তিনি তাদের শাস্তিদাতা হবেন যখন তারা ক্ষমা প্রার্থনা করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1194','chapter_id' => '8','translator_id' => '2','verse_number' => '34','translate_name' => 'আর কি তাদের থাকতে পারে যে আল্লাহ্ তাদের শাস্তি দেবেন না যখন তারা পবিত্র মসজিদ থেকে বাধা দেয়, অথচ তারা এর তত্ত্বাবধায়ক হতে পারে না। এর তত্ত্বাবধায়ক হচ্ছে শুধু মুত্তকীরা, কিন্তু তাদের অধিকাংশই জানে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1195','chapter_id' => '8','translator_id' => '2','verse_number' => '35','translate_name' => 'আর গৃহের নিকটে তাদের নামায শুধু শিস দেওয়া ও হাততালি দেওয়া ছাড়া আর কিছুই নয়। সুতরাং \'\'শাস্তির আস্বাদ গ্রহণ করো যেহেতু তোমরা অবিশ্বাস পোষণ করছিলে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1196','chapter_id' => '8','translator_id' => '2','verse_number' => '36','translate_name' => 'নিঃসন্দেহ যারা অবিশ্বাস পোষণ করে তারা তাদের ধনসম্পত্তি খরচ করে আল্লাহ্‌র পথ থেকে বাধা দেবার জন্যে। তারা এটা খরচ করবেই, তারপর এটি হবে তাদের জন্য মনস্তাপের কারণ, তারপর তাদের পরাজিত করা হবে। আর যারা অবিশ্বাস পোষণ করে তাদের জাহান্নামের দিকে একত্রিত করা হবে, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1197','chapter_id' => '8','translator_id' => '2','verse_number' => '37','translate_name' => 'যেন আল্লাহ্ পৃথক করতে পারেন মন্দকে ভালো থেকে, আর মন্দকে তিনি স্থাপন করবেন তাদের একটিকে অন্যটির উপরে, তারপর সবটাকে তিনি একত্রে স্তূপীকৃত করবেন এবং তাকে ফেলবেন জাহান্নামে। তারা নিজেরাই হচ্ছে ক্ষতিগ্রস্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1198','chapter_id' => '8','translator_id' => '2','verse_number' => '38','translate_name' => 'যারা অবিশ্বাস পোষণ করে তাদের বলো -- যদি তারা নিবৃত্ত হয় তবে যা গত হয়ে গেছে তা তাদের ক্ষমা করা হবে, আর যদি তারা ফিরে যায় তবে পূর্ববর্তীদের ঘটনাবলী ইতিপূর্বে ঘটে গেছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1199','chapter_id' => '8','translator_id' => '2','verse_number' => '39','translate_name' => 'আর তোমরা তাদের বিরুদ্ধে সংগ্রাম করতে থাকবে যতক্ষণ উৎপীড়ন আর না থাকে, আর ধর্ম তো সামগ্রিকভাবে আল্লাহ্‌র জন্যেই হবে। অতএব যদি তারা বিরত হয় তবে তারা যা করে আল্লাহ্ নিশ্চয়ই তার দর্শক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1200','chapter_id' => '8','translator_id' => '2','verse_number' => '40','translate_name' => 'কিন্তু যদি তারা ফিরে যায় তবে জেনে রেখো যে আল্লাহ্ নিঃসন্দেহ তোমাদের অভিভাবক, -- কতো উত্তম অভিভাবক ও উত্তম সাহায্যকারী!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1201','chapter_id' => '8','translator_id' => '2','verse_number' => '41','translate_name' => 'আর জেনে রেখো যা কিছু তোমরা যুদ্ধক্ষেত্রে লাভ করো তার পঞ্চমাংশ তাহলে আল্লাহ্‌র, জন্য যথা রসূলের জন্য, আর নিকটা‌ত্মীয়ের জন্য, আর এতীমদের, মিসকিনদের, ও পথচারীদের জন্য, যদি তোমরা বিশ্বাস করো আল্লাহ্‌তে আর তাতে যা আমরা আমাদের বান্দার কাছে অবতারণ করেছি সেই ফুরকানের দিনে, যেদিন দুই দল মুখোমুখি হয়েছিল। আর আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1202','chapter_id' => '8','translator_id' => '2','verse_number' => '42','translate_name' => 'স্মরণ করো! তোমরা ছিলে উপত্যকার নিকট প্রান্তে আর তারা উপত্যকার দূর প্রান্তে, আর কাফেলা ছিল তোমাদের চেয়ে নিন্ম ভূমিতে। আর যদি তোমরা পরস্পরের মধ্যে কোনো বন্দোবস্ত করে থাকতে তবে এ সিদ্ধান্তে তোমরা মতভেদ করতে, কিন্তু -- যেন আল্লাহ্ ব্যাপার একটা ঘটাতে পারেন যেটা ঘটেই গেছে, যেন যার ধ্বংস হবার সে ধ্বংস হতে পারে স্পষ্ট প্রমাণের ফলে, আর যার বাঁচবার সে বাঁচতে পারে স্পষ্ট প্রমাণের ফলে। আর নিঃসন্দেহ আল্লাহ্ অবশ্যই সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1203','chapter_id' => '8','translator_id' => '2','verse_number' => '43','translate_name' => 'স্মরণ করো! আল্লাহ্ তোমার কাছে তাদের দেখিয়েছিলেন তোমার স্বরে মধ্যে অল্পসংখ্যক। আর তিনি যদি তোমার কাছে তাদের দেখাতেন বহুসংখ্যক তবে তোমরা অবশ্যই দুর্বল-চিত্ত হয়ে পড়তে এবং ব্যাপারটি সন্বন্ধে তোমরা তর্কবিতর্ক করতে, কিন্তু আল্লাহ্ রক্ষা করেছেন। নিঃসন্দেহ তিনি বিশেষভাবে অবহিত আছেন বুকের ভেতরে যা রয়েছে সে-সন্বন্ধে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1204','chapter_id' => '8','translator_id' => '2','verse_number' => '44','translate_name' => 'আর স্মরণ করো! তিনি তোমাদের কাছে তাদের দেখিয়ে-ছিলেন, যখন তোমরা মুখোমুখি হয়েছিলে, তোমাদের চোখে অল্পসংখ্যক, আর তিনি তোমাদের করেছিলেন স্বল্পসংখ্যক তাদের চোখে, এইজন্য যেন আল্লাহ্ ব্যাপার একটা ঘটাতে পারেন যা ঘটেই গেছে। আর আল্লাহ্‌র কাছেই সব ব্যাপার ফিরিয়ে আনা হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1205','chapter_id' => '8','translator_id' => '2','verse_number' => '45','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমরা যখন কোনো সৈন্যদলের সম্মুখীন হও তখন দৃঢ়সংকল্প হবে, আর আল্লাহ্‌কে বেশী ক’রে স্মরণ করবে যেন তোমরা সফলকাম হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1206','chapter_id' => '8','translator_id' => '2','verse_number' => '46','translate_name' => 'আর আল্লাহ্ ও তাঁর রসূলকে মেনে চলো, আর বিবাদ করো না পাছে তোমরা দুর্বলচিত্ত হও, ও তোমাদের বায়ুপ্রবাহ চলে যাক, আর অধ্যবসায় অবলন্বন করো। নিঃসন্দেহ আল্লাহ্ অধ্যবসায়ীদের সাথে রয়েছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1207','chapter_id' => '8','translator_id' => '2','verse_number' => '47','translate_name' => 'আর তোমরা তাদের মতো হয়ো না যারা তাদের ঘর থেকে বেরিয়েছিল গর্বভরে ও লোক দেখানোর জন্যে, আর বাধা দেয় আল্লাহ্‌র পথ থেকে। আর তারা যা করে আল্লাহ্ তা ঘিরে রয়েছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1208','chapter_id' => '8','translator_id' => '2','verse_number' => '48','translate_name' => 'আর স্মরণ করো! শয়তানটি তাদের কার্যাবলী তাদের কাছে চিত্তাকর্ষক করেছিল ও বলেছিল -- \'\'আজকের দিনে লোকদের মধ্যে কেউই তোমাদের উপরে বিজয়ী হতে পারবে না, আর নিঃসন্দেহ আমি তো রয়েছি তোমাদের সাহায্যকারী।’’ কিন্তু তারপর যখন দুই সৈন্যদলে দেখাদেখি হলো, সে তার গোড়ালির উপরে মোড় ফেরালো আর বললে -- \'\'আমি আলবৎ তোমাদের থেকে বিদায়, আমি নিঃসন্দেহ দেখতে পাচ্ছি যা তোমরা দেখছো না, আমি অবশ্যই আল্লাহ্‌কে ভয় করি, আর আল্লাহ্ প্রতিফল দানে অতি কঠোর।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1209','chapter_id' => '8','translator_id' => '2','verse_number' => '49','translate_name' => 'স্মরণ করো! কপটরা আর যাদের অন্তরে ব্যাধি রয়েছে তারা বলে -- \'\'তাদের ধর্মই তাদের বিভ্রান্ত করেছে।’’ বস্তুত যে কেউ আল্লাহ্‌র উপরে নির্ভর করে, তবে নিঃসন্দেহ আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1210','chapter_id' => '8','translator_id' => '2','verse_number' => '50','translate_name' => 'আর তুমি যদি দেখতে পেতে যখন যারা অবিশ্বাস পোষণ করে তাদের প্রাণ হরণ করছে, ফিরিশ্‌তারা আঘাত করছে তাদের মুখে ও তাদের পিঠে, আর -- \'\'পোড়ার যন্ত্রণা আস্বাদ করো!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1211','chapter_id' => '8','translator_id' => '2','verse_number' => '51','translate_name' => '\'\'এ এ-জন্য যা তোমাদের হাত আগবাড়িয়ে দিয়েছিল, আর আল্লাহ্ কখনো বান্দাদের প্রতি অত্যাচারী নন।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1212','chapter_id' => '8','translator_id' => '2','verse_number' => '52','translate_name' => 'ফিরআউনের সাঙ্গপাঙ্গদের অবস্থায় ন্যায় আর যারা তাদের পূর্ববর্তী ছিল। তারা আল্লাহ্‌র নিদর্শনসমূহ প্রত্যাখ্যান করেছিল, তাই আল্লাহ্ তাদের পাকড়াও করলেন তাদের পাপের দরুন। নিঃসন্দেহ আল্লাহ্ অসীম ক্ষমতাশালী, প্রতিফল দানে অতি কঠোর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1213','chapter_id' => '8','translator_id' => '2','verse_number' => '53','translate_name' => 'এ এজন্য যে আল্লাহ্ অনুগ্রহ পরিবর্তনকারী হোন না যা কোনো জাতির প্রতি তিনি অর্পণ করেছেন, যতক্ষণ না তারা নিজেরা সে- সব বদলিয়ে ফেলে। আর আল্লাহ্ নিঃসন্দেহ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1214','chapter_id' => '8','translator_id' => '2','verse_number' => '54','translate_name' => 'ফিরআউনের গোষ্ঠীর অবস্থার ন্যায় আর যারা তাদের পূর্ববর্তী ছিল। তারা তাদের প্রভুর বাণীসমূহে মিথ্যারোপ করেছিল, কাজেই তাদের পাপের দরুন আমরা তাদের ধ্বংস করেছিলাম আর ফিরআউনের সাঙ্গোপাঙ্গদের আমরা ডুবিয়ে দিয়েছিলাম, আর তারা সবাই ছিল অত্যাচারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1215','chapter_id' => '8','translator_id' => '2','verse_number' => '55','translate_name' => 'নিঃসন্দেহ আল্লাহ্‌র কাছে নিকৃষ্টতম জীব হচ্ছে তারা যারা অবিশ্বাস পোষণ করে, কাজেই তারা ঈমান আনে না ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1216','chapter_id' => '8','translator_id' => '2','verse_number' => '56','translate_name' => 'ওদের মধ্যে যাদের সঙ্গে তুমি চুক্তি সম্পাদন করো, -- তারপর তারা তাদের চুক্তি প্রত্যেক বারেই ভঙ্গ করে, আর তারা ভয়ভক্তি করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1217','chapter_id' => '8','translator_id' => '2','verse_number' => '57','translate_name' => 'সুতরাং যুদ্ধের মধ্যে যদি তাদের করায়ত্ত করো তবে তাদের দ্বারা যারা তাদের পশ্চাদনুসরণ করে তাদের বিধবস্ত করো, যেন তারা সতর্কতা অবলন্বন করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1218','chapter_id' => '8','translator_id' => '2','verse_number' => '58','translate_name' => 'আর যদি তুমি কোনো দল থেকে বিশ্বাসঘাতকতার আশঙ্কা করো, তবে ছোঁড়ে দাও তাদের দিকে সমান-সমানভাবে। নিঃসন্দেহ আল্লাহ্ বিশ্বাসঘাতকদের ভালোবাসেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1219','chapter_id' => '8','translator_id' => '2','verse_number' => '59','translate_name' => 'আর যারা অবিশ্বাস পোষণ করে তারা যেন না ভাবে যে তারা ডিঙিয়ে যেতে পারবে। নিঃসন্দেহ তারা পরিত্রাণ পাবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1220','chapter_id' => '8','translator_id' => '2','verse_number' => '60','translate_name' => 'আর তোমরা তাদের বিরুদ্ধে প্রস্তুত রাখবে যা-কিছুতে তোমরা সমর্থ হও -- শৌর্য-বীর্যে ও হৃস্পুষ্ট ঘোড়াগুলোয়, -- তার দ্বারা ভীত-সন্ত্রস্ত রাখবে আল্লাহ্‌র শত্রুদের তথা তোমাদের শত্রুদের, আর তাদের ছাড়া অন্যদেরও, তাদের তোমরা জানো না, আল্লাহ্ তাদের জানেন। আর যা-কিছু তোমরা আল্লাহ্‌র পথে ব্যয় করবে তা তোমাদের পুরোপুরি প্রতিদান দেওয়া হবে, আর তোমরা অত্যাচারিত হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1221','chapter_id' => '8','translator_id' => '2','verse_number' => '61','translate_name' => 'আর যদি তারা শান্তির দিকে ঝোঁকে তবে তুমিও এর দিকে ঝুকঁবে, আর আল্লাহ্‌র প্রতি নির্ভর করো। নিঃসন্দেহ তিনিই সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1222','chapter_id' => '8','translator_id' => '2','verse_number' => '62','translate_name' => 'আর যদি তারা চায় যে তারা তোমাকে ফাঁকি দেবে, তবে নিঃসন্দেহ আল্লাহ্ তোমার জন্য যথেষ্ট। তিনিই সেই জন যিনি তোমাকে বলীয়ান করেন তাঁর সহায়তার দ্বারা আর মুমিনদের দ্বারা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1223','chapter_id' => '8','translator_id' => '2','verse_number' => '63','translate_name' => 'আর তাদের হৃদয়ের মধ্যে তিনি প্রীতি স্থাপন করেছেন। তুমি যদি পৃথিবীতে যা আছে তার সবটাই খরচ করতে তবু তুমি তাদের হৃদয়ের মধ্যে সম্প্রীতি স্থাপন করতে পারতে না, কিন্তু আল্লাহ্ তাদের মধ্যে প্রীতি স্থাপন করেছেন। নিঃসন্দেহ তিনি মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1224','chapter_id' => '8','translator_id' => '2','verse_number' => '64','translate_name' => 'হে প্রিয় নবী! আল্লাহ্‌ই তোমার জন্য আর সেইসব মুমিনদের জন্য যথেষ্ট যারা তোমার অনুসরণ করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1225','chapter_id' => '8','translator_id' => '2','verse_number' => '65','translate_name' => 'হে প্রিয় নবী! মুমিনদের যুদ্ধের জন্য উৎসাহিত করো। যদি তোমাদের মধ্যে কুড়িজন ধৈর্যশীল থাকে তবে তারা দু’শ জনকে পরাজিত করবে, আর যদি তোমাদের মধ্যে একশত জন থাকে তবে তারা পরাজিত করবে যারা অবিশ্বাস পোষণ করে তাদের একহাজার জনকে, যেহেতু তারা হচ্ছে একটি সম্প্রদায় যারা বোঝে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1226','chapter_id' => '8','translator_id' => '2','verse_number' => '66','translate_name' => 'এখনকার সময়ে আল্লাহ্ তোমাদের বোঝা হাল্কা করেছেন, কেননা তিনি জানেন যে তোমাদের মধ্যে দুর্বলতা আছে। সেজন্য যদি তোমাদের মধ্যে একশত জন ধৈর্যশীল থাকে তবে তারা দু’শ জনকে পরাজিত করবে, আর যদি তোমাদের মধ্যে একহাজার জন থাকে তবে তারা আল্লাহ্‌র অনুমতিক্রমে দুইহাজারকে পরাজিত করবে। আর আল্লাহ্ ধৈর্যশীলদের সাথে রয়েছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1227','chapter_id' => '8','translator_id' => '2','verse_number' => '67','translate_name' => 'একজন নবীর জন্য সংগত নয় যে তাঁর জন্য বন্দীদের রাখা হোক যে পর্যন্ত না তিনি দেশে জয়লাভ করেছেন। তোমরা চাও পার্থিব সম্পদ, অথচ আল্লাহ্ চান পরলোক। আর আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1228','chapter_id' => '8','translator_id' => '2','verse_number' => '68','translate_name' => 'যদি আল্লাহ্‌র তরফ থেকে বিধান না থাকতো যা পূর্বেই উল্লেখ হয়েছে, তবে তোমরা যা গ্রহণ করতে যাচ্ছিলে সেজন্য তোমাদের উপরে পড়তো এক বিরাট শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1229','chapter_id' => '8','translator_id' => '2','verse_number' => '69','translate_name' => 'অতএব ভোগ করো যে-সব বৈধ ও পবিত্র দ্রব্য তোমরা যুদ্ধক্ষেত্রে সংগ্রহ করেছ, আর আল্লাহ্‌কে ভয়ভক্তি করো। নিঃসন্দেহ আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1230','chapter_id' => '8','translator_id' => '2','verse_number' => '70','translate_name' => 'হে প্রিয় নবী! তোমাদের হাতে বন্দীদের যারা আছে তাদের বলো -- \'\'আল্লাহ্ যদি তোমাদের হৃদয়ে ভালো কিছু জানতে পারেন তবে তিনি তোমাদের দান করবেন আরো ভালো কিছু যা তোমাদের কাছ থেকে নেয়া হয়েছে তা থেকেও, আর তিনি তোমাদের পরিত্রাণ করবেন। আর আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1231','chapter_id' => '8','translator_id' => '2','verse_number' => '71','translate_name' => 'কিন্তু যদি তারা চায় তোমার প্রতি বিশ্বাসঘাতকতা করতে, তবে এর আগেও তারা অবশ্যই আল্লাহ্‌র প্রতি বিশ্বাসভঙ্গ করেছে, সুতরাং তিনি কর্তৃত্ব দিলেন তাদের অনেকের উপরে। আর আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1232','chapter_id' => '8','translator_id' => '2','verse_number' => '72','translate_name' => 'নিঃসন্দেহ যারা ঈমান এনেছে ও হিজরত করেছে, আর তাদের ধনদৌলত ও তাদের জান-প্রাণ দিয়ে আল্লাহ্‌র পথে সংগ্রাম করেছে, আর যারা আশ্রয় দান করেছে ও সাহায্য করেছে, -- এরাই হচ্ছে পরস্পর পরস্পরের বন্ধু। আর যারা ঈমান এনেছে, অথচ হিজরত করে নি, তাদের অভিভাবকত্ব কোনোভাবেই তোমাদের দায়িত্ব নয় যে পর্যন্ত না তারাও হিজরত করে। কিন্তু যদি তারা তোমাদের কাছে ধর্মের ব্যাপারে সাহায্য প্রার্থনা করে তবে সাহায্য করা তোমাদের কর্তব্য, অবশ্য সে-সম্প্রদায়ের বিরুদ্ধে ছাড়া যাদের মধ্যে চুক্তি রয়েছে। আর তোমরা যা করো আল্লাহ্ তার সম্যক দ্রষ্টা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1233','chapter_id' => '8','translator_id' => '2','verse_number' => '73','translate_name' => 'আর যারা অবিশ্বাস পোষণ করে -- তাদের কেউ কেউ অপরদের বন্ধু। যদি তোমরা এ না করো তবে দেশে অনাচার ও বিরাট- বিপর্যয় সৃষ্টি হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1234','chapter_id' => '8','translator_id' => '2','verse_number' => '74','translate_name' => 'আর যারা ঈমান এনেছে ও হিজরত করেছে ও আল্লাহ্‌র পথে জিহাদ করেছে, আর যারা আশ্রয় দিয়েছে ও সাহায্য করেছে, -- এরা নিজেরাই হচ্ছে প্রকৃত মুমিন। এদের জন্যেই রয়েছে পরিত্রাণ ও মহৎ জীবিকা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1235','chapter_id' => '8','translator_id' => '2','verse_number' => '75','translate_name' => 'আর যারা পরে ঈমান এনেছে এবং গৃহত্যাগ করেছে ও তোমাদের সঙ্গে থেকে সংগ্রাম করেছে, তারাও তোমাদের মধ্যেকার। আর রক্তসম্পর্কের লোকেরা -- তারা আল্লাহ্‌র বিধানে পরস্পর পরস্পরের অধিকতর নিকটা‌ত্মীয়। নিঃসন্দেহ আল্লাহ্ সর্ববিষয়ে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1236','chapter_id' => '9','translator_id' => '2','verse_number' => '1','translate_name' => 'এক অব্যাহতি আল্লাহ্ ও তাঁর রসূলের তরফ থেকে সেইসব বহুখোদাবাদীদের প্রতি যাদের সঙ্গে তোমরা সন্ধি করেছিলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1237','chapter_id' => '9','translator_id' => '2','verse_number' => '2','translate_name' => 'সুতরাং তোমরা দেশে অবাধে ঘোরাফেরা করো চার মাসকাল, আর জেনে রেখো -- তোমরা নিশ্চয়ই আল্লাহ্‌র কাছ থেকে ফসকে যাবার পাত্র নও। আর আল্লাহ্ আলবৎ অবিশ্বাসীদের লাঞ্ছিত করে থাকেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1238','chapter_id' => '9','translator_id' => '2','verse_number' => '3','translate_name' => 'আর আল্লাহ্ ও তাঁর রসূলের তরফ থেকে জনগণের প্রতি এই মহান হজের দিনে এ এক ঘোষণা যে আল্লাহ্ মুশরিকদের কাছে দায়মুক্ত, আর তাঁর রসূলও। অতএব তোমরা যদি তওবা করো তবে সেটি হবে তোমাদের জন্য কল্যাণজনক, কিন্তু তোমরা যদি ফিরে যাও তাহলে জেনে রেখো -- তোমরা নিঃসন্দেহ আল্লাহ্‌র কাছ থেকে ফসকে যাবার পাত্র নও। আর যারা অবিশ্বাস পোষণ করে তাদের মর্মন্তুদ শাস্তির সংবাদ দাও, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1239','chapter_id' => '9','translator_id' => '2','verse_number' => '4','translate_name' => 'মুশরিকদের মধ্যের সেইসব ছাড়া যাদের সঙ্গে তোমরা চুক্তি করেছ, তারপর তারা তোমাদের সাথে কোনো ত্রুটি করে নি, আর তোমাদের বিরুদ্ধে অন্য কারোর পৃষ্ঠপোষকতাও করে নি, তাদের সঙ্গে তাহলে তাদের চুক্তি প্রতিপালন করো সেগুলোর মেয়াদ পর্যন্ত। নিঃসন্দেহ আল্লাহ্ ভালোবাসেন ধর্মপরায়ণদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1240','chapter_id' => '9','translator_id' => '2','verse_number' => '5','translate_name' => 'অতঃপর নিষিদ্ধ মাসগুলো যখন অতিবাহিত হয়ে যায় তখন মুশরিকদের কাতল করো যেখানে তাদের পাও, আর তাদের বন্দী করো, আর তাদের ঘেরাও করো, আর তাদের জন্য ওৎ পেতে থাকো প্রত্যেক ঘাঁটিতে। কিন্তু যদি তারা তওবা করে এবং নামায কায়েম করে আর যাকাত আদায় করে তবে তাদের পথ ছেড়ে দিয়ো। নিঃসন্দেহ আল্লাহ্ পরিত্রাণকারী অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1241','chapter_id' => '9','translator_id' => '2','verse_number' => '6','translate_name' => 'আর যদি মুশরিকদের কোনো একজন তোমার কাছে আশ্রয় চায় তবে তাকে আশ্রয় দাও যেন সে আল্লাহ্‌র বাণী শোনে, তারপর তাকে তার নিরাপদ যায়গায় পৌঁছে দিয়ো। এটি এই জন্য যে তারা হচ্ছে এমন এক সম্প্রদায় যারা জানে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1242','chapter_id' => '9','translator_id' => '2','verse_number' => '7','translate_name' => 'কেমন ক’রে মুশরিকদের জন্য আল্লাহ্‌র সঙ্গে ও তাঁর রসূলের সঙ্গে চুক্তি হতে পারে, তাদের সম্পর্কে ছাড়া যাদের সঙ্গে তোমরা চুক্তি করেছিলে পবিত্র মসজিদের নিকটে? সুতরাং যতক্ষণ তারা তোমাদের প্রতি কায়েম থাকবে ততক্ষণ তোমরাও তাদের প্রতি কায়েম রইবে। নিঃসন্দেহ আল্লাহ্ ধর্মপরায়ণদের ভালোবাসেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1243','chapter_id' => '9','translator_id' => '2','verse_number' => '8','translate_name' => 'কেমন ক’রে যখন তারা যদি তোমাদের পিঠে চড়তে পারে তবে তারা তোমাদের সঙ্গে আ‌ত্মীয়তার বা চুক্তির বন্ধন মানবে না? তারা তোমাদের খুশী রাখতে চায় তাদের মুখ দিয়ে, কিন্তু তাদের হৃদয় অস্বীকার করে, আর তাদের অধিকাংশই দুষ্কৃতিকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1244','chapter_id' => '9','translator_id' => '2','verse_number' => '9','translate_name' => 'তারা আল্লাহ্‌র আয়াতকে স্বল্পমূল্যে বিনিময় করে, তাই তারা তাঁর পথ থেকে ফিরিয়ে রাখে। নিঃসন্দেহ জঘন্য যা তারা করে যাচ্ছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1245','chapter_id' => '9','translator_id' => '2','verse_number' => '10','translate_name' => 'তারা কোনো মুমিনের বেলায় আ‌ত্মীয়তার বা চুক্তির বন্ধন-সন্বন্ধে ভাবে না। এরা নিজেরাই হচ্ছে সীমালংঘনকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1246','chapter_id' => '9','translator_id' => '2','verse_number' => '11','translate_name' => 'কিন্তু যদি তারা তওবা করে, আর নামায কায়েম করে, আর যাকাত আদায় করে, তবে তারা ধর্মে তোমাদের ভাই। আর আমরা নির্দেশাবলী বিশদভাবে বিবৃত করি সেই লোকদের জন্য যারা জানে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1247','chapter_id' => '9','translator_id' => '2','verse_number' => '12','translate_name' => 'আর তারা যদি তাদের চুক্তি সম্পাদনের পরেও তাদের প্রতি‌শ্রুতি ভঙ্গ করে আর তোমাদের ধর্ম নিয়ে বিদ্রূপ করে তবে অবিশ্বাসের সর্দারদের সাথে যুদ্ধ করো, -- নিঃসন্দেহ তাদের বেলা প্রতিজ্ঞাসব তাদের কাছে কিছুই নয়, -- যেন তারা বিরত হতে পারে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1248','chapter_id' => '9','translator_id' => '2','verse_number' => '13','translate_name' => 'তোমরা কি যুদ্ধ করবে না সেইসব সম্প্রদায়ের সাথে যারা তাদের প্রতি‌শ্রুতি ভঙ্গ করেছে, আর সংকল্প করেছে রসূলকে বহিস্কার করার, আর তারাই তোমাদের উপরে শুরু করেছে প্রথমে? তোমরা কি তাদের ভয় করো? কিন্তু আল্লাহ্‌ই অধিকতর দাবিদার যে তোমরা তাঁকে ভয় করবে -- যদি তোমরা মূমিন হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1249','chapter_id' => '9','translator_id' => '2','verse_number' => '14','translate_name' => 'তাদের সঙ্গে যুদ্ধ করো, আল্লাহ্ তাদের শাস্তি দেবেন তোমাদের হাতে, আর তাদের লাঞ্ছিত করবেন, আর তোমাদের সাহায্য করবেন তাদের বিরুদ্ধে, আর মুমিন সম্প্রদায়ের বুক প্রশমিত করবেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1250','chapter_id' => '9','translator_id' => '2','verse_number' => '15','translate_name' => 'আর তিনি তাদের বুকের ক্ষোভ দূর করবেন। আর যাকে ইচ্ছে করেন তার প্রতি আল্লাহ্ ফেরেন। আর আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1251','chapter_id' => '9','translator_id' => '2','verse_number' => '16','translate_name' => 'তোমরা কি মনে করো যে তোমাদের ছেড়ে দেয়া হবে, অথচ আল্লাহ্ জেনে নেন নি যে তোমাদের মধ্যের কারা সংগ্রাম করছে, আর কারা আল্লাহ্‌কে ছেড়ে দিয়ে বা তাঁর রসূলকে বাদ দিয়ে বা মুমিনদের ব্যতীত কোনো অন্তরঙ্গ বন্ধু গ্রহণ করে নি? আর তোমরা যা করো আল্লাহ্ সে-সন্বন্ধে পূর্ণ-ওয়াকিফহাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1252','chapter_id' => '9','translator_id' => '2','verse_number' => '17','translate_name' => 'মুশরিকদের কোনো অধিকার নেই যে তারা আল্লাহ্‌র মসজিদগুলো দেখাশোনা করবে যখন তারা তাদের নিজেদের বিরুদ্ধে অবিশ্বাসের সাক্ষ্য দেয়। এরাই তারা যাদের কাজকর্ম ব্যর্থ হয়েছে, আর আগুনের মধ্যে তারাই অবস্থান করবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1253','chapter_id' => '9','translator_id' => '2','verse_number' => '18','translate_name' => 'নিঃসন্দেহ সে-ই শুধু আল্লাহ্‌র মসজিদগুলো রক্ষণাবেক্ষণ করবে যে আল্লাহ্‌তে বিশ্বাস করে আর পরকালেও, আর নামায কায়েম করে ও যাকাত আদায় করে, আর আল্লাহ্ ছাড়া কাউকেও ভয় করে না, কাজেই এদের পক্ষেই সাব্য যে এরা হেদায়তপ্রাপ্তদের মধ্যেকার হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1254','chapter_id' => '9','translator_id' => '2','verse_number' => '19','translate_name' => 'তোমরা কি হজযাত্রীদের পানি সরবরাহ করা ও পবিত্র মসজিদের দেখাশোনা করাকে তুল্যজ্ঞান করো তার সাথে যে আল্লাহ্‌র প্রতি ও পরকালের প্রতি আস্থা রেখেছে আর আল্লাহ্‌র পথে সংগ্রাম করছে? আল্লাহ্‌র কাছে ওরা সমতুল্য নয়। আর আল্লাহ্ অন্যায়কারী সম্প্রদায়কে সৎপথে পরিচালন করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1255','chapter_id' => '9','translator_id' => '2','verse_number' => '20','translate_name' => 'যারা ঈমান এনেছে ও হিজরত করেছে, আর আল্লাহ্‌র পথে তাদের ধনদৌলত ও তাদের জানপ্রাণ দিয়ে সংগ্রাম করেছে, তারা আল্লাহ্‌র কাছে মর্যাদায় উন্নততর। আর এরা নিজেরাই সফলকাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1256','chapter_id' => '9','translator_id' => '2','verse_number' => '21','translate_name' => 'তাদের প্রভু তাদের সুসংবাদ দিচ্ছেন তাঁর তরফ থেকে করুণাধারার, আর প্রসন্নতার, আর বাগ-বাগিচার যাতে তাদের জন্যে রয়েছে চিরস্থায়ী সুখসমৃদ্ধি --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1257','chapter_id' => '9','translator_id' => '2','verse_number' => '22','translate_name' => 'সেখানে তারা থাকবে চিরকাল। নিঃসন্দেহ আল্লাহ্ -- তাঁর কাছে রয়েছে পরম পুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1258','chapter_id' => '9','translator_id' => '2','verse_number' => '23','translate_name' => 'ওহে যারা ঈমান এনেছ! তোমাদের পিতৃবর্গকে ও তোমাদের ভ্রাতৃবৃন্দকে তোমরা অভিভাবকরূপে গ্রহণ করো না যদি তারা বিশ্বাসের চাইতে অবিশ্বাসকেই ভালোবাসে। আর তোমাদের মধ্যে যে কেউ তাদের মুরব্বীরূপে গ্রহণ করে তবে তারা নিজেরাই হবে অন্যায়কারী ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1259','chapter_id' => '9','translator_id' => '2','verse_number' => '24','translate_name' => 'বলো, \'\'যদি তোমাদের পিতারা ও তোমাদের পুত্রেরা, আর তোমাদের ভাইয়েরা ও তোমাদের পরিবাররা, আর তোমাদের আ‌ত্মীয়স্বজন, আর মাল-আসবাব যা তোমরা অর্জন করেছ, আর ব্যবসা-বাণিজ্য যার অচলাবস্থা তোমরা আশঙ্কা করো, আর বাড়িঘর যা তোমরা ভালোবাসো -- তোমাদের কাছে আল্লাহ্ ও তাঁর রসূলের ও তাঁর পথে সংগ্রামের চেয়ে অধিকতর প্রিয় হয় তবে অপেক্ষা করো যে পর্যন্ত না আল্লাহ্ নিয়ে আসেন তাঁর আদেশ।’’ আর আল্লাহ্ দুষ্কৃতিকারী সম্প্রদায়কে সৎপথ প্রদর্শন করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1260','chapter_id' => '9','translator_id' => '2','verse_number' => '25','translate_name' => 'আল্লাহ্ ইতিমধ্যে বহুক্ষেত্রে তোমাদের সাহায্য করেছেন, আর হুনাইনের দিনেও যখন তোমাদের সংখ্যাধিক্য তোমাদের উৎফুল্ল করেছিল, কিন্তু তা তোমাদের লাভবান করে নি কোনো-ভাবেই, আর পৃথিবী বিস্তৃত হওয়া সত্ত্বেও তোমাদের জন্য হয়েছিল সংকীর্ণ, তোমরা ফিরেছিলে পলায়নপর হয়ে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1261','chapter_id' => '9','translator_id' => '2','verse_number' => '26','translate_name' => 'তারপর আল্লাহ্ তাঁর প্রশান্তি বর্ষণ করলেন তাঁর রসূলের উপরে আর মুমিনদের উপরে, আর তিনি অবতীর্ণ করেছিলেন এক সেনাবাহিনী যা তোমরা দেখতে পাও নি, আর শাস্তি দিয়েছিলেন তাদের যারা অবিশ্বাস পোষণ করে। আর এই হচ্ছে অবিশ্বাসীদের কর্মফল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1262','chapter_id' => '9','translator_id' => '2','verse_number' => '27','translate_name' => 'তারপর আল্লাহ্ এর পরেও ফেরেন যার প্রতি তিনি ইচ্ছা করেন। আর আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1263','chapter_id' => '9','translator_id' => '2','verse_number' => '28','translate_name' => 'ওহে যারা ঈমান এনেছ! নিঃসন্দেহ মুশরিকরা হচ্ছে অপবিত্র, কাজেই তাদের এই বৎসরের পরে তারা পবিত্র মসজিদের সন্নিকটে আসতে পারবে না; আর যদি তোমরা দারিদ্রের আশঙ্কা করো তা হলে আল্লাহ্ অচিরেই তোমাদের সমৃদ্ধ করবেন তাঁর করুণাভান্ডার থেকে যদি তিনি চান। নিঃসন্দেহ আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1264','chapter_id' => '9','translator_id' => '2','verse_number' => '29','translate_name' => 'যুদ্ধ করো তাদের সঙ্গে যারা আল্লাহ্‌তে বিশ্বাস করে না আর আখেরাতের দিনেও না, আর নিষেধ করে না যা আল্লাহ্ ও তাঁর রসূল নিষেধ করেছেন, আর সত্যধর্মে ধর্মনিষ্ঠা পালন করে না -- তাদের মধ্যে থেকে যাদের ধর্মগ্রন্থ দেয়া হয়েছে, যে পর্যন্ত না তারা স্বহস্তে জিযিয়া প্রদান করে, আর তারা আনুগত্য মেনে নেয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1265','chapter_id' => '9','translator_id' => '2','verse_number' => '30','translate_name' => 'আর ইহুদীরা বলে -- \'\'উযাইর আল্লাহ্‌র পুত্র’’, আর খ্রীষ্টানরা বলে -- \'\'মসীহ আল্লাহ্‌র পুত্র।’’ এসব হচ্ছে তাদের মুখ দিয়ে তাদের বুলি আওড়ানো, -- তারা ওদের কথার অনুসরণ করে যারা পূর্বকালে অবিশ্বাস পোষণ করেছিল। আল্লাহ্ তাদের ধ্বংস করবেন। তারা কেমন ক’রে বিমুখ হয়!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1266','chapter_id' => '9','translator_id' => '2','verse_number' => '31','translate_name' => 'তারা আল্লাহ্‌কে ছেড়ে দিয়ে তাদের পন্ডিতগণকে ও সন্ন্যাসীদের প্রভুরূপে গ্রহণ করেছে, আর মরিয়ম-পুত্র মসীহ্‌কেও, অথচ শুধু এক উপাস্যের উপাসনা করা ছাড়া অন্য নির্দেশ তাদের দেয়া হয় নি। তিনি ছাড়া অন্য উপাস্য নেই। তাঁরই সব মহিমা -- তারা যে- সব অংশী দাঁড় করার সে-সব থেকে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1267','chapter_id' => '9','translator_id' => '2','verse_number' => '32','translate_name' => 'তারা আল্লাহ্‌র জ্যোতি নিভিয়ে দিতে চায় তাদের মুখ দিয়ে, আর আল্লাহ্ তাঁর জ্যোতির পূর্ণাঙ্গ সাধন না ক’রে থামছেন না যদিও অবিশ্বাসীরা অসন্তোষ বোধ করছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1268','chapter_id' => '9','translator_id' => '2','verse_number' => '33','translate_name' => 'তিনিই সেইজন যিনি তাঁর রসূলকে পাঠিয়েছেন পথনির্দেশ ও সত্য-ধর্মের সাথে যেন তিনি তাকে প্রাধান্য দিতে পারেন ধর্মের -- তাদের সবক’টি উপরে, যদিও মুশরিকরা অনিচ্ছুক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1269','chapter_id' => '9','translator_id' => '2','verse_number' => '34','translate_name' => 'ওহে যারা ঈমান এনেছ! নিঃসন্দেহ পন্ডিতদের ও সন্ন্যাসীদের মধ্যের অনেকে লোকের ধনসম্পত্তি অন্যায়ভাবে গলাধঃকরণ করে আর আল্লাহ্‌র পথ থেকে ফিরিয়ে রাখে। বস্তুতঃ যারা সোনা ও রূপা পুঞ্জীভূত করে অথচ আল্লাহ্‌র পথে খরচ করে না, তাদের তাহলে সংবাদ দাও মর্মন্তুদ শাস্তির, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1270','chapter_id' => '9','translator_id' => '2','verse_number' => '35','translate_name' => 'যেদিন এগুলো উত্তপ্ত করা হবে জাহান্নামের আগুনে, তারপর তা দিয়ে দেগে দেয়া হবে তাদের কপালে ও তাদের পার্শ্বদেশে ও তাদের পিঠে। \'\'এটিই সেই যা তোমরা জড়ো করেছিলে, অতএব আস্বাদন করো যা তোমরা জমিয়েছিলে!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1271','chapter_id' => '9','translator_id' => '2','verse_number' => '36','translate_name' => 'নিঃসন্দেহ আল্লাহ্‌র কাছে মাসগুলোর সংখ্যা হচ্ছে আল্লাহ্‌র বিধানে বারো মাস, -- যেদিন থেকে তিনি মহাকাশমন্ডল ও পৃথিবী সৃষ্টি করেছেন, -- এর মধ্যে চারটি হচ্ছে পবিত্র। এই হচ্ছে সুপ্রতিষ্ঠিত বিধান, কাজেই এদের মধ্যে তোমাদের নিজেদের প্রতি অন্যায় করো না, আর মুশরিকদের বিরুদ্ধে সমবেতভাবে যুদ্ধ করো যেমন তারা সমবেতভাবে তোমাদের সাথে যুদ্ধ করে থাকে। আর জেনে রেখো -- আল্লাহ্ আলবৎ ধর্মভীরুদের সঙ্গে রয়েছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1272','chapter_id' => '9','translator_id' => '2','verse_number' => '37','translate_name' => 'পিছিয়ে দেয়া অবিশ্বাসেরই মাত্রা বৃদ্ধি মাত্র, এর দ্বারা যারা অবিশ্বাস পোষণ করে তাদের পথভ্রষ্ট করা হয়, তারা এ বৈধ করে কোনো বছর আর একে অবৈধ করে কোনো বছর, যেন তারা ঠিক রাখতে পারে সংখ্যা যা আল্লাহ্ নিষিদ্ধ করেছেন, ফলে তারা বৈধ করে যা আল্লাহ্ অবৈধ করেছেন। তাদের মন্দ কাজগুলো তাদের কাছ চিত্তাকর্ষক করা হয়ছে। আর আল্লাহ্ পথ দেখান না অবিশ্বাসী সম্প্রদায়কে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1273','chapter_id' => '9','translator_id' => '2','verse_number' => '38','translate_name' => 'ওহে যারা ঈমান এনেছ? কি তোমাদের হয়েছে যখন তোমাদের বলা হচ্ছে -- \'আল্লাহ্‌র পথে বেরিয়ে পড়ো’, -- তখন তোমরা ভারি হয়ে ঝুকঁছো মাটির দিকে? তোমরা কি বেশি পরিতুষ্ট পরকালের পরিবর্তে এই দুনিয়ার জীবনে বস্তুতঃ পার্থিব জীবনের ভোগবিলাস পরকালের তুলনায় যৎসামান্য বই তো নয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1274','chapter_id' => '9','translator_id' => '2','verse_number' => '39','translate_name' => 'যদি তোমরা বের না হও তবে তিনি তোমাদের শাস্তি দেবেন মর্মন্তুদ শাস্তিতে, আর তোমাদের পরিবর্তে বদলে নেবেন ভিন্ন এক জাতিকে, আর তোমরা তাঁর কোনোই ক্ষতি করতে পারবে না। বস্তুতঃ আল্লাহ্ সব-কিছুর উপরে সর্বশক্তিমান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1275','chapter_id' => '9','translator_id' => '2','verse_number' => '40','translate_name' => 'তোমরা যদি তাঁকে সাহায্য না কর তবে আল্লাহ্ তাঁকে ইতিপূর্বে সাহায্য করেছিলেন যখন যারা অবিশ্বাস পোষণ করেছিল তারা তাঁকে বের করে দিয়েছিল, দুই জনের দ্বিতীয় জন, যখন তাঁরা দুজন ছিলেন গুহার ভেতরে, যখন তিনি তাঁর সঙ্গীকে বলেছিলেন -- \'\'বিষন্ন হয়ো না, নিঃসন্দেহ আল্লাহ্ আমাদের সঙ্গে রয়েছেন।’’ অতঃপর আল্লাহ্ তাঁর প্রশান্তি অবতারণ করেছিলেন তাঁর উপরে আর তাঁর বলবৃদ্ধি করেছিলেন এমন এক বাহিনী দিয়ে যাদের তোমরা দেখতে পাও নি, আর যারা অবিশ্বাস পোষণ করেছিল তাদের কথাবার্তাকে হেয় করেছিলেন। আর আল্লাহ্‌র বাণী -- তা হচ্ছে উচ্চতম। আর আল্লাহ্ হচ্ছেন মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1276','chapter_id' => '9','translator_id' => '2','verse_number' => '41','translate_name' => 'বেরিয়ে পড় হাল্কাভাবে ও ভারী হয়ে আর তোমাদের ধনসম্পদ ও তোমাদের জানপ্রাণ দিয়ে আল্লাহ্‌র পথে সংগ্রাম করো। এটিই তোমাদের জন্য ভালো যদি তোমরা জানতে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1277','chapter_id' => '9','translator_id' => '2','verse_number' => '42','translate_name' => 'যদি এটি হতো আশু লাভের ব্যাপার ও হাল্কা সফর তবে তারা নিশ্চয়ই তোমাকে অনুসরণ করতো, কিন্তু দুর্গম-পথ তাদের কাছে সুদীর্ঘ মনে হলো। আর তারা আল্লাহ্‌র নামে হলফ করে বললে -- \'\'আমরা যদি পারতাম তবে নিশ্চয়ই তোমাদের সঙ্গে আমরাও বের হতাম।’’ তারা তাদের নিজেদেরই ধ্বংস সাধন করছে, আর আল্লাহ্ জানেন যে তারা আলবৎ ডাহা মিথ্যাবাদী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1278','chapter_id' => '9','translator_id' => '2','verse_number' => '43','translate_name' => 'আল্লাহ্ তোমাকে ক্ষমা করুন! কেন তুমি তাদের অব্যাহতি দিলে যে পর্যন্ত না তোমার কাছে সুস্পষ্ট হয়েছিল যে কারা সত্যকথা বলছে, আর তুমি জানতে পেরেছিলে মিথ্যাবাদীদের?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1279','chapter_id' => '9','translator_id' => '2','verse_number' => '44','translate_name' => 'যারা আল্লাহ্‌তেও ও আখেরাতের দিনে আস্থা রাখে তারা তোমার কাছে অনুমতি চায় না তাদের ধনসম্পদ ও তাদের জানপ্রাণ দিয়ে সংগ্রাম করা থেকে। আর আল্লাহ্ ধর্মপরায়ণদের সম্পর্কে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1280','chapter_id' => '9','translator_id' => '2','verse_number' => '45','translate_name' => 'তোমার নিকট অনুমতি চায় কেবল ওরাই যারা আল্লাহ্‌তে ও শেষদিনে ঈমান আনে না, আর তাদের হৃদয় দ্বিধাগ্রস্ত। কাজেই তাদের সন্দেহের মধ্যেই তারা দোল খাচ্ছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1281','chapter_id' => '9','translator_id' => '2','verse_number' => '46','translate_name' => 'আর তারা যদি যাত্রা করবার ইচ্ছা করতো তবে তারা নিশ্চয়ই তার জন্য যোগাড়যন্ত্র যোগাড় করতো, কিন্তু আল্লাহ্ অনিচ্ছুক তাদের গমনে, তাই তাদের তিনি ঠেকিয়ে রেখেছেন, আর বলা হলো -- \'\'বসে থাকো বসে-থাকা লোকদের সাথে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1282','chapter_id' => '9','translator_id' => '2','verse_number' => '47','translate_name' => 'তারা যদি তোমাদের সঙ্গে বের হত তবে তারা বিশৃঙ্খলা সৃষ্টি ছাড়া তোমাদের আর কিছুই বাড়াতো না, আর তারা নিশ্চয়ই তোমাদের মধ্যে ছুটোছুটি করতো তোমাদের মধ্যে বিদ্রোহ কামনা ক’রে, আর তোমাদের মধ্যে ওদের কথা শোনবার লোক রয়েছে। আর আল্লাহ্ অত্যাচারীদের সন্বন্ধে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1283','chapter_id' => '9','translator_id' => '2','verse_number' => '48','translate_name' => 'তারা বাস্তবিকই ইতিপূর্বে বিশৃঙ্খলা সৃষ্টি করতে চেয়েছিল, আর তারা তোমার জন্য কাজকর্ম পন্ড করতে যাচ্ছিল, যতক্ষণ না সত্য এসেছিল ও আল্লাহ্‌র আদেশ প্রকাশ পেলো, যদিও তারা অনিচ্ছুক ছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1284','chapter_id' => '9','translator_id' => '2','verse_number' => '49','translate_name' => 'আর তাদের মধ্যে এমন আছে যে বলে -- \'\'আমাকে ছেড়ে দাও এবং আমাকে সমস্যায় ফেলো না।’’ তারা কি সমস্যায় পড়ে যায় নি? আর নিঃসন্দেহ জাহান্নাম অবিশ্বাসীদের ঘেরাও করেই রয়েছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1285','chapter_id' => '9','translator_id' => '2','verse_number' => '50','translate_name' => 'যদি তোমার উপরে ভালো কিছু ঘটে তবে তা তাদের দুঃখ দেয়, আর যদি তোমার কোনো বিপদ ঘটে তারা বলে -- \'\'আমরা তো আমাদের ব্যাপার আগেই গুটিয়ে নিয়েছিলাম’’, আর তারা ফিরে যায় এবং তারা উৎফুল্লচিত্ত হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1286','chapter_id' => '9','translator_id' => '2','verse_number' => '51','translate_name' => 'বলো -- \'\'আল্লাহ্ আমাদের জন্য যা বিধান করেছেন তা ব্যতীত কিছুই আমাদের উপরে কখনো ঘটবে না। তিনিই আমাদের রক্ষক, আর আল্লাহ্‌র উপরেই তবে মুমিনরা নির্ভর করুক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1287','chapter_id' => '9','translator_id' => '2','verse_number' => '52','translate_name' => 'বলে যাও -- \'\'তোমরা আমাদের জন্য দুটি কল্যাণের কোনো একটি ছাড়া আর কিসের প্রতীক্ষা করতে পারো? আর আমরা তোমাদের জন্য প্রতীক্ষা করছি যে আল্লাহ্ তোমাদের শাস্তি হানবেন তাঁর তরফ থেকে অথবা আমাদের হাতে। অতএব প্রতীক্ষা করো, আমরাও অবশ্যই তোমাদের সাথে প্রতীক্ষমাণ।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1288','chapter_id' => '9','translator_id' => '2','verse_number' => '53','translate_name' => 'বলো -- \'\'তোমরা ইচ্ছাকৃতভাবে খরচ করো অথবা অনিচ্ছা-কৃতভাবে, তোমাদের কাছ থেকে তা কখনো কবুল করা হবে না। নিঃসন্দেহ তোমরা হচ্ছো একটি দুষ্কৃতিকারী সম্প্রদায়।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1289','chapter_id' => '9','translator_id' => '2','verse_number' => '54','translate_name' => 'আর তাদের খরচপত্র তাদের কাছ থেকে কবুল হতে তাদের জন্য কোনো বাধা ছিল না শুধু এজন্য ছাড়া যে তারা আল্লাহ্‌তে ও তাঁর রসূলের প্রতি অবিশ্বাস পোষণ করে। আর তারা নামাযে আসে না তাদের গড়িমসি করা অবস্থা ছাড়া, আর তারা খরচ করে না তাদের অনিচ্ছার ভাব ছাড়া।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1290','chapter_id' => '9','translator_id' => '2','verse_number' => '55','translate_name' => 'তাদের ধনদৌলত তোমাকে যেন তাজ্জব না করে আর তাদের সন্তানসন্ততিও না। আল্লাহ্ আলবৎ চান এ-সবের দ্বারা পার্থিব জীবনে তাদের শাস্তি দিতে; আর তাদের প্রাণ ত্যাগ করে যায় তাদের অবিশ্বাসী থাকা অবস্থায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1291','chapter_id' => '9','translator_id' => '2','verse_number' => '56','translate_name' => 'আর তারা আল্লাহ্‌র নামে হলফ করে যে তারা নিঃসন্দেহ তোমাদেরই মধ্যেকার। কিন্তু তারা তোমাদের মধ্যেকার নয়, বস্তুতঃ তারা এমন এক সম্প্রদায় যারা কাপুরুষ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1292','chapter_id' => '9','translator_id' => '2','verse_number' => '57','translate_name' => 'তারা যদি পেতো কোনো আশ্রয়স্থল বা কোনো গুহাগহ্বর অথবা কোনো প্রবেশ করার জায়গা, -- তারা নিশ্চয়ই সেখানে চলে যেত দ্রতগতিতে পলায়নপর হয়ে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1293','chapter_id' => '9','translator_id' => '2','verse_number' => '58','translate_name' => 'আর ওদের মধ্যে এমনও আছে যে তোমাকে দোষারোপ করে দানের ব্যাপারে। অতঃপর তাদের যদি এ থেকে দেয়া হয় তবে তারা খুশী হয়, কিন্তু যদি তাদের এ থেকে দেয়া না হয় তো দেখো! -- তারা রাগ করে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1294','chapter_id' => '9','translator_id' => '2','verse_number' => '59','translate_name' => 'আর ওরা যদি সন্তষ্ট থাকতো আল্লাহ্ ও তাঁর রসূল ওদের যা দিয়েছেন তাতে, আর বলতো -- \'\'আল্লাহ্‌ই আমাদের জন্য যথেষ্ট, -- আল্লাহ্ শীঘ্রই তাঁর করুণাভান্ডার থেকে আমাদের দেবেন আর তাঁর রসূলও, নিঃসন্দেহ আল্লাহ্‌র কাছেই আমরা আসক্ত’’।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1295','chapter_id' => '9','translator_id' => '2','verse_number' => '60','translate_name' => 'দান তো কেবল অক্ষমদের জন্য, আর অভাবগ্রস্তদের, আর এর জন্য নিযুক্ত কর্মচারীদের, আর যাদের হৃদয় ঝোঁকোনো হয় তাদের, আর দাস-মুক্তির, আর ঋণগ্রস্তদের, আর আল্লাহ্‌র পথে, আর পর্যটকদের জন্য, -- আল্লাহ্‌র তরফ থেকে এই বিধান। আর আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1296','chapter_id' => '9','translator_id' => '2','verse_number' => '61','translate_name' => 'আর ওদের এমনও আছে যারা নবীকে উত্ত্যক্ত করে আর বলে -- \'\'উনি তো কান দেন।’’ তুমি বলো -- \'\'কান দেন তোমাদের ভালোর জন্যে, তিনি আল্লাহ্‌তে বিশ্বাস করেন আর বিশ্বাস করেন মুমিনদের, আর তোমাদের মধ্যে যারা ঈমান আনে তাদের জন্য তিনি করুণা।’’ আর যারা আল্লাহ্‌র রসূলকে উত্ত্যক্ত ক’রে তাদের জন্য রয়েছে মর্মন্তুদ শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1297','chapter_id' => '9','translator_id' => '2','verse_number' => '62','translate_name' => 'তারা তোমাদের কাছে আল্লাহ্‌র নামে হলফ করে যেন তারা তোমাদের খুশী করতে পারে, অথচ আল্লাহ্ ও তাঁর রসূলের বেশী অধিকার আছে যেন তারা তাঁকে রাজী করে, যদি তারা মুমিন হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1298','chapter_id' => '9','translator_id' => '2','verse_number' => '63','translate_name' => 'তারা কি জানে না যে যে-কেউ আল্লাহ্ ও তাঁর রসূলের বিরুদ্ধে কাজ করে তার জন্য তবে রয়েছে জাহান্নামের আগুন তাতে অবস্থানের জন্যে? ঐটিই তো চরম লাঞ্ছনা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1299','chapter_id' => '9','translator_id' => '2','verse_number' => '64','translate_name' => 'মুনাফিকরা ভয় করে পাছে তাদের সংক্রান্তে এমন কোনো সূরা অবতীর্ণ হয়ে যায় যা ওদের অন্তরে যা-কিছু আছে তা তাদের ব্যক্ত করে দেবে! বলো -- \'\'বিদ্রূপ ক’রে যাও, নিঃসন্দেহ আল্লাহ্ বের করে আনবেন তোমরা যা ভয় করো তা।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1300','chapter_id' => '9','translator_id' => '2','verse_number' => '65','translate_name' => 'আর তুমি যদি ওদের প্রশ্ন করো ওরা নিশ্চয়ই বলবে -- \'\'আমরা তো শুধু আলাপ-আলোচনা ও ক্রীড়া-কৌতুক করছিলাম।’’ বলো -- \'\'তোমরা কি আল্লাহ্ ও তাঁর বাণীসমূহ ও তাঁর রসূলকে নিয়ে মস্করা করছিলে?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1301','chapter_id' => '9','translator_id' => '2','verse_number' => '66','translate_name' => 'অজুহাত দেখিও না, তোমরা আলবৎ অবিশ্বাস করেছ তোমাদের বিশ্বাস স্থাপনের পরে। যদি আমরা ক্ষমা করি তোমাদের মধ্যের কোনো এক দলকে, অন্য এক দলকে শাস্তিও দেবো, কেননা তারা নিশ্চয়ই অপরাধী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1302','chapter_id' => '9','translator_id' => '2','verse_number' => '67','translate_name' => 'মুনাফিক পুরুষরা ও মুনাফিক নারীরা -- তাদের কতকজন অপর কতকজনের মধ্যেকার। তারা অসৎ কাজের নির্দেশ দেয় আর সৎকাজে নিষেধ করে, আর তারা নিজেদের হাত গুটিয়ে নেয়। তারা আল্লাহ্‌কে ভুলে গেছে, তাই তিনিও তাদের ভুলে গেছেন। নিঃসন্দেহ মুনাফিকরা নিজেরাই দুষ্কৃতিকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1303','chapter_id' => '9','translator_id' => '2','verse_number' => '68','translate_name' => 'মুনাফিক পুরুষদের ও মুনাফিক নারীদের ও অবিশ্বাসীদের জন্য আল্লাহ্ ওয়াদা করেছেন জাহান্নামের আগুন, তাতে তারা অবস্থান করবে। তাই তাদের জন্য পর্যাপ্ত, আর আল্লাহ্ তাদের ধিক্কার দিয়েছেন, আর তাদের জন্য রয়েছে নির্ধারিত শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1304','chapter_id' => '9','translator_id' => '2','verse_number' => '69','translate_name' => 'তাদের মতো যারা ছিল তোমাদের পূর্ববর্তীকালে, -- তারা ছিল তোমাদের চাইতে বল-বিক্রমে বেশী প্রবল আর ধন-সম্পদে ও সন্তান সন্ততিতে বেশী সমৃদ্ধ। কাজেই তারা তাদের ভাগ ভোগ করে গেছে, অতএব তোমরাও তোমাদের ভাগ ভোগ করছো, যেমন ওরা যারা তোমাদের পূর্ববর্তী ছিল তারা ভোগ করেছিল তাদের ভাগ, আর তোমরাও বৃথা-বাক্যালাপ করছো যেমন তারা অনর্থক খোশ- গল্প করেছিল। এরাই -- এদের ক্রিয়াকলাপ ব্যর্থ হয়েছে ইহকালে ও পরকালে, আর এরা নিজেরাই হচ্ছে ক্ষতিগ্রস্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1305','chapter_id' => '9','translator_id' => '2','verse_number' => '70','translate_name' => 'তাদের কাছে কি তাদের পূর্বে যারা ছিল তাদের সংবাদ আসে নি -- নূহ্‌-এর লোকদের ও \'আদ-এর ও ছামূদের, আর ইব্রাহীমের সম্প্রদায়ের ও মাদয়ানের বাসিন্দাদের ও বিধবস্ত শহরগুলোর? ওদের কাছে ওদের রসূলগণ এসেছিলেন স্পষ্ট প্রমাণ নিয়ে। কাজেই আল্লাহ্ তো ওদের উপরে অবিচার করার জন্য নন, কিন্তু ওরা ওদের নিজেদেরই প্রতি জুলুম করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1306','chapter_id' => '9','translator_id' => '2','verse_number' => '71','translate_name' => 'আর মুমিন পুরুষরা ও মুমিন নারীরা -- তাদের কতকজন অপর কতকজনের বন্ধু। তারা ভালো কাজের নির্দেশ দেয় ও মন্দ কাজ থেকে নিষেধ করে, আর তারা নামায কায়েম করে ও যাকাত আদায় করে, আর তারা আল্লাহ্ ও তাঁর রসূলকে অনুসরণ করে। এরা -- আল্লাহ্ শীঘ্রই এদের করুণা করবেন। নিঃসন্দেহ আল্লাহ্ মহাশক্তিশালী, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1307','chapter_id' => '9','translator_id' => '2','verse_number' => '72','translate_name' => 'বিশ্বাসী পুরুষদের ও বিশ্বাসিনী নারীদের আল্লাহ্ ওয়াদা করেছেন স্বর্গোদ্যানসমূহ যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, তারা তাতে অবস্থান করবে, আর পুণ্য বাসস্থানসমূহ ইডেন গার্ডেনে। আর আল্লাহ্‌র সন্তষ্টিই হচ্ছে সর্বশ্রেষ্ঠ। এটি -- এই-ই হচ্ছে চরম সাফল্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1308','chapter_id' => '9','translator_id' => '2','verse_number' => '73','translate_name' => 'হে প্রিয় নবী! অবিশ্বাসীদের ও মুনাফিকদের বিরুদ্ধে সংগ্রাম করো, আর তাদের প্রতি কঠোর হও। আর তাদের আবাসস্থল জাহান্নাম। আর মন্দ সেই গন্তব্যস্থান।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1309','chapter_id' => '9','translator_id' => '2','verse_number' => '74','translate_name' => 'তারা আল্লাহ্‌র নামে হলফ করে যে তারা কিছু বলে নি, অথচ তারা নিশ্চয়ই অবিশ্বাসের কথা বলেছিল, আর অবিশ্বাস পোষণ করেছিল তাদের ইসলাম গ্রহণের পরে, আর তারা মতলব করেছিল যা তারা পেরে ওঠে নি, আর তারা উত্তেজনা বোধ করে নি এ ভিন্ন যে আল্লাহ্ ও তাঁর রসূল তাদের সমৃদ্ধ করেছেন তাঁর প্রাচুর্য থেকে। কাজেই যদি তারা তওবা করে তবে সেটি তাদের জন্য হবে ভালো, আর যদি তারা ফিরে যায় তবে আল্লাহ্ তাদের শাস্তি দেবেন মর্মন্তুদ শাস্তিতে -- এই দুনিয়াতে ও পরকালে। আর তাদের জন্য এই পৃথিবীতে থাকবে না কোনো বন্ধুবান্ধব, না কোনো সাহায্যকারী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1310','chapter_id' => '9','translator_id' => '2','verse_number' => '75','translate_name' => 'আর ওদের মধ্যে কেউ-কেউ আল্লাহ্‌র কাছে অঙ্গীকার করেছিল -- \'\'তিনি যদি তাঁর করুণাভান্ডার থেকে আমাদের দান করেন তবে আমরা নিশ্চয়ই সদকা-খয়রাত করবো আর আমরা অবশ্যই হবো সৎকর্মীদের মধ্যেকার।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1311','chapter_id' => '9','translator_id' => '2','verse_number' => '76','translate_name' => 'কিন্তু যখন তিনি তাদের দিলেন তাঁর করুণাভান্ডার থেকে, তারা এতে কার্পণ্য করলো ও ফিরে গেল আর তারা হলো বিমুখ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1312','chapter_id' => '9','translator_id' => '2','verse_number' => '77','translate_name' => 'সুতরাং তিনি তাদের অন্তরে মুনাফিকি ন্যস্ত করেছেন সেদিন পর্যন্ত যেদিন তারা তাঁর সাথে মিলিত হবে, কেননা তারা আল্লাহ্‌র কাছে ভঙ্গ করেছিল যা তাঁর কাছে তারা ওয়াদা করেছিল, আর যেহেতু তারা মিথ্যাকথা বললো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1313','chapter_id' => '9','translator_id' => '2','verse_number' => '78','translate_name' => 'তারা কি জানে না যে আল্লাহ্ অবশ্যই জানেন তাদের লুকোনো ও তাদের সলাপরামর্শ, আর আল্লাহ্ নিঃসন্দেহ অদৃশ্য ব্যাপারগুলো সম্পর্কে পরিজ্ঞাত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1314','chapter_id' => '9','translator_id' => '2','verse_number' => '79','translate_name' => 'যারা বিদ্রূপ করে মুমিনদের মধ্যের তাদের যারা দানদক্ষিণায় বদান্য আর তাদের যারা কিছুই পায় না নিজেদের কায়িক শ্রম ব্যতীত, অথচ এদের তারা অবজ্ঞা করে, -- আল্লাহ্ তাদের অবজ্ঞা করবেন, আর তাদের জন্য রয়েছে মর্মন্তুদ শাস্তি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1315','chapter_id' => '9','translator_id' => '2','verse_number' => '80','translate_name' => 'তুমি ওদের জন্য ক্ষমা প্রার্থনা করো অথবা ওদের জন্য ক্ষমা প্রার্থনা না করো, -- তুমি যদি ওদের জন্য সত্তরবারও ক্ষমা প্রার্থনা করো আল্লাহ্ কখনো ওদের ক্ষমা করবেন না। এটি এইজন্য যে তারা আল্লাহ্‌তে ও তাঁর রসূলের প্রতি অবিশ্বাস পোষণ করে। আর আল্লাহ্ দুষ্কৃতিকারী সম্প্রদায়কে পথপ্রদর্শন করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1316','chapter_id' => '9','translator_id' => '2','verse_number' => '81','translate_name' => 'যারা পেছনে রয়ে গিয়েছিল তারা আল্লাহ্‌র রসূলের পশ্চাতে তাদের বসে থাকাতেই আনন্দবোধ করলো, আর তাদের ধনদৌলত ও তাদের জানপ্রাণ দিয়ে আল্লাহ্‌র পথে সংগ্রাম করতে তারা বিমুখ ছিল, আর তারা বলেছিল -- \'\'এই গরমের মধ্যে বেরিয়ো না।’’ তুমি বলো -- \'\'জাহান্নামের আগুন আরো বেশী গরম।’’ যদি তারা বুঝতে পারতো!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1317','chapter_id' => '9','translator_id' => '2','verse_number' => '82','translate_name' => 'অতএব তারা কিছুটা হেসে নিক ও খুব ক’রে কাঁদুক, -- তারা যা অর্জন করছিল তার প্রতিফলস্বরূপ?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1318','chapter_id' => '9','translator_id' => '2','verse_number' => '83','translate_name' => 'কাজেই আল্লাহ্ যদি তোমাকে ফিরিয়ে আনেন তাদের মধ্যের কোনো দলের নিকট, তারপর তারা যদি তোমার অনুমতি চায় বের হওয়ার জন্য তবে বলো -- \'\'তোমরা কোনো ক্রমেই আমার সাথে কখনো বেরুতে পারবে না, এবং তোমরা আমার সঙ্গী হয়ে কখনো কোনো শত্রুর বিরূদ্ধে লড়তে পারবে না। নিঃসন্দেহ তোমরা বসে থাকাতেই সন্তষ্ট ছিলে প্রথম বারে, অতএব বসে থাকো পশ্চাতে অবস্থানকারীদের সঙ্গে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1319','chapter_id' => '9','translator_id' => '2','verse_number' => '84','translate_name' => 'আর তাদের মধ্যের একজনের জন্যেও, সে মারা গেলে, তুমি কখনো নামায পড়বে না, আর তার কবরের পাশেও দাঁড়াবে না। নিঃসন্দহে তারা আল্লাহ্‌তে ও তাঁর রসূলে অবিশ্বাস করেছে, আর তারা মরেছে যখন তারা ছিল দুষ্কৃতিপরায়ণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1320','chapter_id' => '9','translator_id' => '2','verse_number' => '85','translate_name' => 'আর তাদের ধনসম্পত্তি ও তাদের সন্তানসন্ততি তোমাকে যেন তাজ্জব না করে। আল্লাহ্ অবশ্যই চান এ-সবের দ্বারা পার্থিব জীবনে তাদের শাস্তি দিতে, আর যেন তাদের আ‌ত্মা চলে যায় ওদের অবিশ্বাসী থাকা অবস্থায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1321','chapter_id' => '9','translator_id' => '2','verse_number' => '86','translate_name' => 'আর যখন কোনো সূরা অবতীর্ণ হয় এই মর্মে -- \'আল্লাহ্‌র প্রতি ঈমান আনো ও তাঁর রসূলের সঙ্গী হয়ে সংগ্রাম করো’, তাদের মধ্যের শক্তি- সামর্থের অধিকারীরা তোমার কাছে অব্যাহতি চায় ও বলে -- \'\'আমাদের রেহাই দিন, আমরা বসে-থাকা-লোকদের সঙ্গে ই থাকবো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1322','chapter_id' => '9','translator_id' => '2','verse_number' => '87','translate_name' => 'তারা পেছনে-রয়ে-থাকাদের সাথে অবস্থান করাই পছন্দ করেছিল, আর তাদের হৃদয়ের উপরে মোহর মেরে দেয়া হয়েছে, কাজেই তারা বুঝতে পারে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1323','chapter_id' => '9','translator_id' => '2','verse_number' => '88','translate_name' => 'কিন্তু রসূল এবং যারা তাঁর সঙ্গে ঈমান এনেছে তারা সংগ্রাম করে তাদের ধনদৌলত ও তাদের জানপ্রাণ দিয়ে। আর এরাই -- এদের জন্যেই রয়েছে কল্যাণ, আর এরা নিজেরাই হচ্ছে সফলকাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1324','chapter_id' => '9','translator_id' => '2','verse_number' => '89','translate_name' => 'আল্লাহ্ এদের জন্য প্রস্তুত করেছেন স্বর্গোদ্যানসমূহ, যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, তারা সেখানে থাকবে স্থায়ীভাবে। এটি হচ্ছে বিরাট সাফল্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1325','chapter_id' => '9','translator_id' => '2','verse_number' => '90','translate_name' => 'আর বেদুইনদের মধ্যের ওজর প্রদর্শনকারীরা এসেছিল যেন তাদের অব্যাহতি দেয়া হয়, আর যারা আল্লাহ্ ও তাঁর রসূলের কাছে মিথ্যাকথা বলেছিল তারা বসে রইল। তাদের মধ্যের যারা অবিশ্বাস পোষণ করে তাদের অচিরেই মর্মন্তুদ শাস্তি দেয়া হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1326','chapter_id' => '9','translator_id' => '2','verse_number' => '91','translate_name' => 'দুর্বলদের উপরে, কোনো দোষ হবে না, পীড়িতদের উপরেও না, ওদের উপরেও না যারা খুঁজে পায় না কি তারা খরচ করবে, যে পর্যন্ত তারা আল্লাহ্ ও তাঁর রসূলের প্রতি অনুরাগ দেখাবে। সৎকর্মপরায়ণদের উপরে কোনো রাস্তা নেই। আর আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1327','chapter_id' => '9','translator_id' => '2','verse_number' => '92','translate_name' => 'আর ওদের উপরেও নেই যারা তোমার কাছে এসেছিল যেন তুমি তাদের জন্য বাহন যোগাড় করে দাও, তখন তুমি বলেছিল -- \'যার উপরে আমি তোমাদের বহন করব তা আমি পাচ্ছি না’, ওরা ফিরে গিয়েছিল আর ওদের চোখে অ‌শ্রু প্রবাহিত হচ্ছিল তারা যা খরচ করতে চায় তা না পাওয়ার দুঃখে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1328','chapter_id' => '9','translator_id' => '2','verse_number' => '93','translate_name' => 'বস্তুতঃ পথ তাদেরই বিরুদ্ধে যারা তোমার কাছে অব্যাহতি চায় অথচ তারা বিত্তবান। তারা পেছনে রয়ে থাকাদের সাথে অবস্থানই পছন্দ করেছিল, আর আল্লাহ্ তাদের হৃদয়ের উপরে মোহর মেরে দিয়েছেন, যেজন্য তারা বুঝতে পারে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1329','chapter_id' => '9','translator_id' => '2','verse_number' => '94','translate_name' => 'তারা তোমাদের কাছে অজুহাত দেখাবে যে কেন তারা যখন তোমরা তাদের কাছে ফিরে আসবে। তুমি বলো -- \'\'অজুহাত পেশ করো না, আমরা কখনো তোমাদের বিশ্বাস করব না, আল্লাহ্ ইতিমধ্যে তোমাদের খবরাখবর আমাদের জানিয়ে দিয়েছেন। আর আল্লাহ্ ও তাঁর রসূল অবশ্যই তোমাদের কার্যকলাপ লক্ষ্য করবেন, তারপর তোমাদের ফিরিয়ে আনা হবে অদৃশ্য ও দৃশ্য বস্তুর পরিজ্ঞাতার নিকটে, তখন তিনি তোমাদের জানিয়ে দেবেন যা তোমরা করে যাচ্ছিলে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1330','chapter_id' => '9','translator_id' => '2','verse_number' => '95','translate_name' => 'তোমরা তাদের কাছে সঙ্গে-সঙ্গে আল্লাহ্‌র নামে তোমাদের কাছে শপথ করবে যেন তাদের তোমরা উপেক্ষা করো। কাজেই তোমরা তাদের উপেক্ষা করবে। নিঃসন্দেহ তারা ঘৃণ্য, আর তাদের আশ্রয়স্থল হচ্ছে জাহান্নাম -- তারা যা কর ছিল এ তারই প্রতিদান!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1331','chapter_id' => '9','translator_id' => '2','verse_number' => '96','translate_name' => 'তারা তোমাদের কাছে হলফ করবে যেন তোমরা তাদের প্রতি সন্তষ্ট হও। কিন্তু তোমরা যদিও বা তাদের প্রতি সন্তষ্ট হও তথাপি আল্লাহ্ নিশ্চয়ই দুষ্কৃতিকারিগোষ্ঠীর প্রতি তুষ্ট হবেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1332','chapter_id' => '9','translator_id' => '2','verse_number' => '97','translate_name' => 'বেদুইনরা অবিশ্বাসে ও মুনাফিকিতে অতিশয় অটল, আর আল্লাহ্ তাঁর রসূলের কাছে যা অবতারণ করেছেন তার চৌহদ্দি না জানার প্রতিই বেশী অনুরক্ত। আর আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1333','chapter_id' => '9','translator_id' => '2','verse_number' => '98','translate_name' => 'আর বেদুইনদের মধ্যে কেউ-কেউ ধরে নেয় যে সে যা খরচ করে তা জরিমানা, আর তোমাদের জন্য প্রতীক্ষা করে বিপর্যয়ের। তাদেরই উপরে ঘটবে অশুভ বিপর্যয়, আর আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1334','chapter_id' => '9','translator_id' => '2','verse_number' => '99','translate_name' => 'আর বেদুইনদের মধ্যের কেউ-কেউ আল্লাহ্‌তে ও শেষদিনে ঈমান আনে, আর যা সে খরচ করে তা আল্লাহ্‌র নৈকট্য ও রসূলের আশীর্বাদ আনবে বলে গণ্য করে। বাস্তবিকই এ নিঃসন্দেহ তাদের জন্য নৈকট্যলাভ। আল্লাহ্ অচিরেই তাদের প্রবেশ করাবেন তাঁর করুণাসিন্ধুতে। নিঃসন্দেহ আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1335','chapter_id' => '9','translator_id' => '2','verse_number' => '100','translate_name' => 'আর মুহাজিরদের ও আনসারদের মধ্যের অগ্রবর্তীরা -- প্রাথমিকরা, আর যারা তাদের অনুসরণ করেছিল কল্যাণকর্মের সাথে -- আল্লাহ্ তাদের উপরে সন্তষ্ট আর তারাও সন্তষ্ট তাঁর উপরে; আর তাদের জন্য তিনি প্রস্তুত করেছেন স্বর্গোদ্যানসমূহ, যাদের নিচে দিয়ে বয়ে চলে ঝরনারাজি, সেখানে তারা থাকবে চিরকাল, -- এই হচ্ছে মহাসাফল্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1336','chapter_id' => '9','translator_id' => '2','verse_number' => '101','translate_name' => 'আর বেদুইনদের মধ্যের যারা তোমাদের আশেপাশে আছে তাদের মধ্যে রয়েছে মুনাফিকরা, আবার মদীনার বাসিন্দাদের মধ্যেও -- ওরা কপটতায় নাছোড়বান্দা। তুমি তাদের জানো না, আমরা ওদের জানি। আমরা অচিরেই তাদের দু বার শাস্তি দেবো, তারপর তাদের ফিরিয়ে নেয়া হবে কঠোর শাস্তির দিকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1337','chapter_id' => '9','translator_id' => '2','verse_number' => '102','translate_name' => 'আর অন্যরা নিজেদের অপরাধ স্বীকার করেছে, তারা এক ভালো কাজের সাথে মন্দ অপরটি মিশিয়ে ফেলেছে। হতে পারে আল্লাহ্ তাদের দিকে ফিরবেন। নিঃসন্দেহ আল্লাহ্ পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1338','chapter_id' => '9','translator_id' => '2','verse_number' => '103','translate_name' => 'তাদের ধনসম্পত্তি থেকে দান গ্রহণ করো, এর দ্বারা তুমি তাদের পবিত্র করতে ও তাদের পরিশোধিত করতে পারবে, আর তাদের তুমি আশীর্বাদ করবে। নিঃসন্দেহ তোমার আশীর্বাদ তাদের জন্য প্রশান্তিকর। আর আল্লাহ্ সর্বশ্রোতা, সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1339','chapter_id' => '9','translator_id' => '2','verse_number' => '104','translate_name' => 'তারা কি জানে না যে আল্লাহ্ -- তিনিই তাঁর বান্দাদের থেকে তওবা কবুল করেন আর দান গ্রহণ করেন, আর আল্লাহ্ নিশ্চয়ই সদা ফেরেন, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1340','chapter_id' => '9','translator_id' => '2','verse_number' => '105','translate_name' => 'আর বলো -- \'\'তোমরা কাজ করে যাও, অচিরেই আল্লাহ্ তোমাদের কার্যকলাপ লক্ষ্য করবেন, আর তাঁর রসূল ও মুমিনরাও। আর শীঘ্রই তোমাদের ফিরিয়ে আনা হবে অদৃশ্য ও দৃশ্যের পরিজ্ঞাতার নিকটে, তখন তিনি তোমাদের জানিয়ে দেবেন যা তোমরা করে যাচ্ছিলে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1341','chapter_id' => '9','translator_id' => '2','verse_number' => '106','translate_name' => 'আর অন্যরা আল্লাহ্‌র বিধানের অপেক্ষায় রয়েছে, হয়তো তিনি তাদের শাস্তি দেবেন, নয়তো তাদের প্রতি ফিরবেন। আর আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1342','chapter_id' => '9','translator_id' => '2','verse_number' => '107','translate_name' => 'আর যারা একটি মসজিদ স্থাপন করলো ক্ষতিসাধনের ও অবিশ্বাসের জন্য, আর বিশ্বাসীদের মধ্যে বিভেদ সৃষ্টির উদ্দেশ্যে, আর তার ঘাঁটি স্বরূপ যে এর আগে আল্লাহ্ ও তাঁর রসূলের বিরুদ্ধে লড়াই করছিল, তারা নিশ্চয়ই হলফ করে বলবে -- \'\'আমরা তো চেয়ছিলাম শুধু ভালো।’’ কিন্তু আল্লাহ্ সাক্ষ্য দিচ্ছেন যে তারা তো আলবৎ মিথ্যাবাদী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1343','chapter_id' => '9','translator_id' => '2','verse_number' => '108','translate_name' => 'তুমি কখনো এতে দাঁড়াবে না। নিঃসন্দেহ সেই মসজিদ যা প্রথম দিন থেকেই ধর্মনিষ্ঠার উপরে স্থাপিত তার বেশি দাবি রয়েছে যে তুমি সেখানে দাঁড়াবে। তাতে এমন লোক রয়েছে যারা ভালো পায় যে তারা পবিত্র হবে। আর আল্লাহ্ ভালোবাসেন তাদের যারা পবিত্র হয়েছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1344','chapter_id' => '9','translator_id' => '2','verse_number' => '109','translate_name' => 'আচ্ছা! যে তা’হলে তার ভিত্তি গড়েছে আল্লাহ্‌র প্রতি ধর্মনিষ্ঠতা ও সন্তষ্টির উপরে সে-ই ভালো, না যে তার ভিত্তি স্থাপন করেছে পতনপ্রায় ধসের কিনারার উপরে, ফলে তা তাকে নিয়ে ভেঙে পড়লো জাহান্নামের আগুনে? আর আল্লাহ্ পথ দেখান না অন্যায়কারী লোকদের।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1345','chapter_id' => '9','translator_id' => '2','verse_number' => '110','translate_name' => 'তাদের যে ভবন তারা বানিয়েছে তা তাদের হৃদয়ে অশান্তি সৃষ্টি থেকে বিরত হবে না, যদি না তাদের হৃদয় কুটি কুটি করা হয়। আর আল্লাহ্ সর্বজ্ঞাতা, পরমজ্ঞানী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1346','chapter_id' => '9','translator_id' => '2','verse_number' => '111','translate_name' => 'নিঃসন্দেহ আল্লাহ্ মুমিনদের কাছ থেকে কিনে নিয়েছেন তাদের সত্ত্বা ও তাদের বিত্ত যেন তারা পেতে পারে বেহেশত। তারা আল্লাহ্‌র পথে লড়াই করে, ফলে তারা মারে ও মরে, -- এই ওয়াদা তাঁর জন্যে সত্য তওরাতে ও ইঞ্জীলে এবং কুরআনে। আর কে নিজ ওয়াদাতে বেশি সত্যনিষ্ঠ আল্লাহ্‌র চাইতে? অতএব আনন্দ করো তোমাদের সওদার জন্য যা তোমরা বিনিময় করেছ তাঁর সাথে। আর এইটিই হচ্ছে মহা সাফল্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1347','chapter_id' => '9','translator_id' => '2','verse_number' => '112','translate_name' => 'তওবাকারীরা, উপাসনাকারীরা, মহিমাকীর্তনকারীরা, রোযা পালনকারীরা, রুকুকারীরা, সিজদাকারীরা, সৎকর্মে নিদের্শ- দানকারীরা ও অসৎকর্মে নিষেধকারীরা, এবং আল্লাহ্‌র চৌহদ্দি রক্ষাকারীরা। আর মুমিনদের তুমি সুসংবাদ দাও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1348','chapter_id' => '9','translator_id' => '2','verse_number' => '113','translate_name' => 'নবী ও যারা ঈমান এনেছে তাদের জন্য নয় যে তাঁরা ক্ষমা প্রার্থনা করবেন বহুখোদাবাদীদের জন্যে, যদিও বা তারা নিকটা‌ত্মীয় হয়, এটি তাঁদের কাছে স্পষ্ট হবার পরে যে তারা নিশ্চয়ই হচ্ছে জ্বলন্ত আগুনের বাসিন্দা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1349','chapter_id' => '9','translator_id' => '2','verse_number' => '114','translate_name' => 'আর ইব্রাহীমের তাঁর পিতার জন্যে ক্ষমা প্রার্থনা করা শুধু এজন্য ছাড়া অন্য কারণে নয় যে একটি অঙ্গীকার যা তিনি ওর সন্বন্ধে ওয়াদা করেছিলেন। কিন্তু যখন এটি তাঁর কাছে পরিস্কার করা হ’ল যে সে নিঃসন্দেহ আল্লাহ্‌র একজন শত্রু তখন তিনি ওর থেকে নির্লিপ্ত হয়ে গেলেন। নিঃসন্দেহ ইব্রাহীম ছিলেন কোমল হৃদয়ের, সহনশীল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1350','chapter_id' => '9','translator_id' => '2','verse_number' => '115','translate_name' => 'এটি আল্লাহ্‌র নয় যে তিনি একটি সম্প্রদায়কে পথভ্রষ্ট করবেন তাদের তিনি পথ-দেখানোর পরে -- এতদূর যে তিনি তাদের কাছে সুস্পষ্ট করে দেন কিসে তারা ধর্মনিষ্ঠা পালন করবে। নিঃসন্দেহ আল্লাহ্ সব-কিছুতে সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1351','chapter_id' => '9','translator_id' => '2','verse_number' => '116','translate_name' => 'নিঃসন্দেহ আল্লাহ্ -- মহাকাশমন্ডল ও পৃথিবীর রাজত্ব তাঁরই। তিনি জীবন দান করেন ও মৃত্যু ঘটান। আর আল্লাহ্‌কে ছেড়ে দিয়ে তোমাদের জন্য অভিভাবকের কেউ নেই বা সাহায্যকারীও নেই।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1352','chapter_id' => '9','translator_id' => '2','verse_number' => '117','translate_name' => 'আল্লাহ্ নিশ্চয়ই ফিরেছেন নবীর প্রতি এবং মুহাজিরদের ও আনসারদের প্রতি যারা তাঁকে অনুসরণ করেছিল সঙ্কটের মুহূর্তে, তাদের একদলের মন প্রায় ঘুরে যাওয়ার পরেও, তারপর তিনি তাদের দিকে ফিরলেন। কারণ তিনি তাদের প্রতি পরম স্নেহময়, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1353','chapter_id' => '9','translator_id' => '2','verse_number' => '118','translate_name' => 'আর তিনজনের প্রতি যাদের পিছনে ছেড়ে যাওয়া হয়েছিল, তখন কিন্তু পৃথিবী প্রশস্ত হওয়া সত্ত্বেও তাদের কাছে তা সংকুচিত হয়েছিল, আর তাদের অন্তরা‌ত্মাও তাদের জন্য হয়েছিল সংকুচিত, আর তারা বুঝতে পেরেছিল যে আল্লাহ্ থেকে কোনো আশ্রয় নেই তাঁর দিকে ছাড়া। অতঃপর তিনি তাদের দিকে ফিরলেন যেন তারাও ফেরে। নিঃসন্দেহ আল্লাহ্ -- তিনি বারবার ফেরেন, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1354','chapter_id' => '9','translator_id' => '2','verse_number' => '119','translate_name' => 'ওহে যারা ঈমান এনেছ! আল্লাহ্‌কে ভয়শ্রদ্ধা করো আর সত্যপরায়ণদের অন্তর্ভুক্ত হও।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1355','chapter_id' => '9','translator_id' => '2','verse_number' => '120','translate_name' => 'মদীনার বাসিন্দাদের ও তাদের আশপাশের বেদুইনদের জন্যে নয় যে তারা আল্লাহ্‌র রসূলের পিছনে থেকে যাবে, এবং নিজেদের জীবনকে তাঁর জীবনের চেয়ে বেশি প্রিয় মনে করাও নয়। এটি তাদের বেলা এই জন্য যে আল্লাহ্‌র পথে তাদের কষ্ট দেয় না পিপাসা, আর ক্লান্তিও না, আর ক্ষুধাও না, আর তারা এমন পথে পথ চলে না যা অবিশ্বাসীদের ক্রোধ উদ্রেক করে, আর তারা শত্রুর থেকে সংগ্রহ করে না কোনো সংগ্রহের বস্তু, -- তবে এ-সবের দ্বারা তাদের জন্যে লিখিত হয় শুভ কাজ। নিঃসন্দেহ আল্লাহ্ সৎকর্মশীলদের পুরস্কার ব্যর্থ করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1356','chapter_id' => '9','translator_id' => '2','verse_number' => '121','translate_name' => 'আর তারা খরচ করে না কোনো সামান্য খরচা আর কোনো বিরাটও নয়, আর তারা কোনো মাঠও পার হয় না তবে তাদের জন্যে তা লিখিত হয়ে যায়, যেন আল্লাহ্ তাদের পুরস্কার দিতে পারেন তারা যা করে যাচ্ছিল তার চেয়ে উত্তম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1357','chapter_id' => '9','translator_id' => '2','verse_number' => '122','translate_name' => 'আর মুমিনদের পক্ষে সঙ্গত নয় যে তারা একজোটে বেরিয়ে পড়বে। সুতরাং তাদের মধ্যের প্রত্যেক গোত্র থেকে কেন একটি দল বেরিয়ে পড়ে না ধর্মে জ্ঞানানুশীলন করতে, যার ফলে তারা যেন নিজ নিজ সম্প্রদায়কে সতর্ক করতে পারে যখন তারা ফিরে আসে তাদের কাছে যাতে তারা সাবধান হতে পারে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1358','chapter_id' => '9','translator_id' => '2','verse_number' => '123','translate_name' => 'ওহে যারা ঈমান এনছ! অবিশ্বাসীদের মধ্যে যারা তোমাদের নিকটে রয়েছে তাদের সঙ্গে যুদ্ধ করো, আর তারা যেন তোমাদের মধ্যে দেখতে পায় কঠোরতা। আর জেনে রেখো -- নিঃসন্দেহ আল্লাহ্ ধর্মপরায়ণদের সাথে রয়েছেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1359','chapter_id' => '9','translator_id' => '2','verse_number' => '124','translate_name' => 'আর যখনই একটি সূরা অবতীর্ণ হয় তখন তাদের কেউ কেউ বলে -- \'\'এ তোমাদের মধ্যের কার বিশ্বাস সমৃদ্ধ করল?’’ আসলে যারা বিশ্বাস স্থাপন করেছে তাদের কিন্তু এটি বিশ্বাসে সমৃদ্ধ করে, আর তারাই তো সুসংবাদ উপভোগ করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1360','chapter_id' => '9','translator_id' => '2','verse_number' => '125','translate_name' => 'আর তাদের ক্ষেত্রে যাদের অন্তরে রয়েছে ব্যাধি, -- এ তখন তাদের কলুষতার সঙ্গে কলুষতা তাদের জন্য বাড়িয়ে তোলে, আর তারা প্রাণত্যাগ করে, আর তারা রয়ে যায় অবিশ্বাসী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1361','chapter_id' => '9','translator_id' => '2','verse_number' => '126','translate_name' => 'তারা কি দেখে না যে প্রতি বছর একবার বা দুবার করে অবশ্যই তাদের পরীক্ষা নেয়া হচ্ছে? তবুও তারা ফেরে না বা মনও দেয় না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1362','chapter_id' => '9','translator_id' => '2','verse_number' => '127','translate_name' => 'আর যখনই কোনো সূরা অবতীর্ণ হয় তাদের কেউ কেউ অন্যের দিকে তাকায় -- \'\'কেউ কি তোমাদের দেখছে?’’ তারপর তারা সরে পড়ে। আল্লাহ্ তাদের হৃদয়কে সত্যবিমুখ করেছেন যেহেতু তারা নিঃসন্দেহ এমন এক দল যারা বুঝতে চায় না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1363','chapter_id' => '9','translator_id' => '2','verse_number' => '128','translate_name' => 'এখন তো তোমাদের কাছে একজন রসূল এসেছেন তোমাদেরই মধ্যে থেকে, তাঁর পক্ষে এটি দুঃসহ যা তোমাদের কষ্ট দেয়, তোমাদের জন্য তিনি পরম কল্যাণকামী, বিশ্বাসীদের প্রতি তিনি অতি দয়ার্দ্র, বিশেষ কৃপাময়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1364','chapter_id' => '9','translator_id' => '2','verse_number' => '129','translate_name' => 'অতঃপর যদি তারা ফিরে যায় তাহলে বলো -- \'\'আল্লাহ্ আমার জন্যে যথেষ্ট, তিনি ব্যতীত অন্য উপাস্য নেই, তাঁরই উপরে আমি নির্ভর করি, আর তিনিই তো মহাসিংহাসনের অধিপতি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1365','chapter_id' => '10','translator_id' => '2','verse_number' => '1','translate_name' => 'আলিফ, লাম, রা। এগুলো জ্ঞানগর্ভ গ্রন্থের আয়াতসমূহ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1366','chapter_id' => '10','translator_id' => '2','verse_number' => '2','translate_name' => 'এ কি মানবগোষ্ঠীর জন্য বিস্ময়ের ব্যাপার যে তাদেরই মধ্যেকার একজন মানুষকে আমরা প্রত্যাদেশ দিয়েছি এই ব’লে -- \'\'তুমি মানবজাতিকে সতর্ক করো, আর যারা ঈমান এনেছে তাদের সুসংবাদ দাও যে তাদের জন্য তাদের প্রভুর কাছে রয়েছে সুনিশ্চিত পদমর্যাদা’’? অবিশ্বাসীরা বলে -- \'\'নিঃসন্দেহ এ একজন জলজ্যান্ত জাদুকর।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1367','chapter_id' => '10','translator_id' => '2','verse_number' => '3','translate_name' => 'নিঃসন্দেহ তোমাদের প্রভু হচ্ছেন আল্লাহ্ যিনি মহাকাশমন্ডল ও পৃথিবী সৃষ্টি করেছেন ছয় দিনে, তখন তিনি অধিষ্ঠিত হলেন আরশের উপরে, তিনি সমস্ত ব্যাপার নিয়ন্ত্রণ করেন। তাঁর অনুমতিক্রমে ব্যতীত কোনো সুপারিশকারী নেই। এই-ই আল্লাহ্ -- তোমাদের প্রভু, অতএব তাঁরই উপাসনা করো। তোমরা কি তবে খেয়াল করো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1368','chapter_id' => '10','translator_id' => '2','verse_number' => '4','translate_name' => 'তাঁরই দিকে তোমাদের সকলের প্রত্যাবর্তন। আল্লাহ্‌র এই প্রতি‌শ্রুতি ধ্রুবসত্য। নিঃসন্দেহ তিনিই সৃষ্টির সূচনা করেন, তারপর তিনি তার পুনরাবর্তন ঘটান, যেন তিনি ন্যায়সঙ্গতভাবে পারিতোষিক দিতে পারেন তাদের যারা বিশ্বাস করে ও সৎকর্ম করে। আর যারা অবিশ্বাস করে তাদের জন্যে রয়েছে ফুটন্ত জলের পানীয়, আর মর্মন্তুদ শাস্তি, কেননা তারা অবিশ্বাস পোষণ করত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1369','chapter_id' => '10','translator_id' => '2','verse_number' => '5','translate_name' => 'তিনিই তো সূর্যকে করেছেন তেজস্কর, আর চন্দ্রকে জ্যোতির্ময়, আর তার জন্য নির্ধারিত করেছেন অবস্থানসমূহ যেন তোমরা জানতে পারো বৎসরের গণনা ও হিসাব। আল্লাহ্ এ সৃষ্টি করেন নি সার্থকতা ছাড়া। তিনি নির্দেশাবলী বিশদ-ব্যাখ্যা করেন সেইসব লোকের জন্য যারা জ্ঞান রাখে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1370','chapter_id' => '10','translator_id' => '2','verse_number' => '6','translate_name' => 'নিঃসন্দেহ রাত ও দিনের বিবর্তনের মধ্যে, আর আল্লাহ্ যা-কিছু সৃষ্টি করেছেন মহাকাশে ও পৃথিবীতে, সে-সমস্তে রয়েছে নিদর্শন সেইসব লোকের জন্যে যারা ধর্মপরায়ণ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1371','chapter_id' => '10','translator_id' => '2','verse_number' => '7','translate_name' => 'নিঃসন্দেহ যারা আমাদের সাথে মুলাকাত আশা করে না আর পার্থিব জীবনেই পরিতৃপ্ত থাকে আর তাতেই নিশ্চিন্ত বোধ করে, আর যারা আমাদের নির্দেশাবলীতে অমনোযোগী, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1372','chapter_id' => '10','translator_id' => '2','verse_number' => '8','translate_name' => 'এরাই -- এদের আবাসস্থল হচ্ছে আগুন, তারা যা উপার্জন করেছে সেজন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1373','chapter_id' => '10','translator_id' => '2','verse_number' => '9','translate_name' => 'নিঃসন্দেহ যারা বিশ্বাস স্থাপন করে ও সৎকর্ম করে, তাদের প্রভু তাদের পথ দেখিয়ে নেবেন তাদের বিশ্বাসের দ্বারা, -- তাদের নিচে দিয়ে বয়ে চলবে ঝরনারাজি আনন্দময় বাগানে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1374','chapter_id' => '10','translator_id' => '2','verse_number' => '10','translate_name' => 'সেখানে তাদের আহ্বান হবে -- \'\'তোমারই মহিমা হোক, হে আল্লাহ্‌?’’ আর তাদের অভিবাদন সেখানে হবে -- \'\'সালাম’’, আর তাদের শেষ আহ্বান হবে -- \'\'সকল প্রশংসা হচ্ছে আল্লাহ্‌র যিনি সমস্ত বিশ্বজগতের প্রভু’’।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1375','chapter_id' => '10','translator_id' => '2','verse_number' => '11','translate_name' => 'আল্লাহ্ যদি মানুষের জন্য অকল্যাণ ত্বরান্বিত করতেন যেমন তারা তাদের জন্য কল্যাণ ত্বরান্বিত করতে চায়, তাহলে তাদের শেষ- পরিণতি তাদের উপরে ঘটে যেত। কিন্তু যারা আমাদের সাথে মুলাকাত করা পছন্দ করে না -- তাদের আমরা অন্ধভাবে ঘুরে বেড়াতে দিই তাদের অবাধ্যতার মধ্যে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1376','chapter_id' => '10','translator_id' => '2','verse_number' => '12','translate_name' => 'আর যখন কোনো দুঃখ-দুর্দশা মানুষকে স্পর্শ করে সে তখন আমাদের ডাকে কাত হয়ে শায়িত অবস্থায় অথবা বসা অবস্থায় অথবা দাঁড়িয়ে থেকে, কিন্তু যখন আমরা তার থেকে তার বিপদ দূর করে দিই, সে তখন ঘুরে বেড়ায় যেন সে আমাদের কদাচ ডাকে নি বিপদের সময়ে যা তাকে স্পর্শ করেছিল। এইভাবে দায়িত্বহীনদের কাছে চিত্তাকর্ষক করা হয় যা তারা করে চলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1377','chapter_id' => '10','translator_id' => '2','verse_number' => '13','translate_name' => 'আর ইতিমধ্যে তোমাদের পূর্ববর্তী অনেক মানবগোষ্ঠীকে আমরা ধ্বংস করেছিলাম যখন তারা অনাচার করেছিল, আর তাদের রসূলগণ তাদের কাছে এসেছিলেন স্পষ্ট প্রমাণাবলী নিয়ে, কিন্তু তারা বিশ্বাস করতে প্রস্তুত ছিল না। এইভাবে আমরা প্রতিদান দিই অপরাধী সম্প্রদায়কে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1378','chapter_id' => '10','translator_id' => '2','verse_number' => '14','translate_name' => 'তারপর আমরা তোমাদের এই পৃথিবীতে প্রতিনিধি বানিয়ে-ছিলাম তাদের পরে যেন আমরা দেখতে পারি তোমরা কেমনতর কাজ কর।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1379','chapter_id' => '10','translator_id' => '2','verse_number' => '15','translate_name' => 'আর যখন তাদের কাছে পাঠ করা হয় আমাদের সুস্পষ্ট বণীসমূহ, যারা আমাদের সাথে মুলাকাতের আশা করে না তারা বলে -- \'\'এ ছাড়া অন্য এক কুরআন আনো অথবা এটি বদলাও।’’ বলো, \'\'একে আমার নিজের ইচ্ছায় বদলানো আমার কাজ নয়। আমার কাছে যা প্রত্যাদিষ্ট হয় শুধু তারই আমি অনুসরণ করি। আমি আলবৎ ভয় করি, -- যদি আমি আমার প্রভুর অবাধ্য হই, -- এক ভয়ঙ্কর দিনের শাস্তির।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1380','chapter_id' => '10','translator_id' => '2','verse_number' => '16','translate_name' => 'বলো -- \'\'যদি আল্লাহ্ ইচ্ছা করতেন তবে আমি তোমাদের কাছে এ পাঠ করতাম না আর তিনিও তোমাদের কাছে এ জানাতেন না। আমি তো তোমাদের মধ্যে এর আগে এক জীবনকাল কাটিয়েছি। তোমরা কি তবে বোঝো না?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1381','chapter_id' => '10','translator_id' => '2','verse_number' => '17','translate_name' => 'কে তবে বেশি অন্যায়কারী তার চাইতে যে আল্লাহ্ সম্পর্কে মিথ্যা রচনা করে অথবা তাঁর নির্দেশসমূহ প্রত্যাখ্যান করে? নিঃসন্দেহ অপরাধীরা সফলকাম হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1382','chapter_id' => '10','translator_id' => '2','verse_number' => '18','translate_name' => 'আর ওরা আল্লাহ্‌কে ছেড়ে দিয়ে তার উপাসনা করে যা তাদের কোনো ক্ষতি করতে পারে না বা তাদের উপকারও করতে পারে না, আর তারা বলে -- \'\'এরা আমাদের জন্য আল্লাহ্‌র কাছে সুপারিশকারী।’’ বলো -- \'\'তোমরা কি আল্লাহ্‌কে জানাতে চাও যা তিনি জানেন না মহাকাশে আর পৃথিবীতেও না?’’ তারঁই সব মহিমা! আর তারা যাকে অংশী করে তা হতে তিনি বহু ঊর্ধ্বে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1383','chapter_id' => '10','translator_id' => '2','verse_number' => '19','translate_name' => 'মানবগোষ্ঠী একই জাতি বইতো নয়, তারপর তারা মতপার্থক্য করলো। আর যদি তোমার প্রভুর কাছ থেকে ঘোষণাটি বলা না হতো তাহলে যে বিষয়ে তারা মতভেদ করছে তা তাদের মধ্যে মীমাংসা হয়ে যেতো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1384','chapter_id' => '10','translator_id' => '2','verse_number' => '20','translate_name' => 'আর তারা বলে -- \'\'তার প্রভুর কাছ থেকে কেন একটি নিদর্শন তার কাছে পাঠানো হয় না?’’ তবে বলো -- \'\'অদৃশ্য কেবল আল্লাহ্‌রই রয়েছে, কাজেই অপেক্ষা করো, নিঃসন্দেহ আমিও তোমাদেরই সঙ্গে অপেক্ষাকারীদের মধ্যেকার।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1385','chapter_id' => '10','translator_id' => '2','verse_number' => '21','translate_name' => 'আর যখন আমরা লোকদের করুণার আস্বাদ দিই কোনো দুঃখ-দুর্দশা তাদের স্পর্শ করার পরে, দেখো! তারা আমাদের নিদর্শনসমূহের বিরুদ্ধে ষড়যন্ত্র করে। বলো -- \'\'আল্লাহ্ পরিকল্পনা করায় অধিকতর তৎপর।’’ নিঃসন্দেহ আমাদের দূতরা লিখে রাখে যে ষড়যন্ত্র তোমরা করো।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1386','chapter_id' => '10','translator_id' => '2','verse_number' => '22','translate_name' => 'তিনিই সেইজন যিনি তোমাদের ভ্রমণ করান স্থলে ও জলে। তারপর তোমরা যখন জাহাজে থাকো, আর তাদের নিয়ে তা যাত্রা করে অনুকুল হওয়ায়, আর তারা তাতে মৌজ করে, তাতে এসে পড়ে এক ঝড়ো বাতাস, আর চতুর্দিক থেকে ঢেউ আসতে থাকে তাদের কাছে, আর তারা মনে করে যে তারা আলবৎ এর দ্বারা ঘেরাও হয়ে পড়েছে, তারা আল্লাহ্‌কে ডাকে তাঁর প্রতি আনুগত্যে বিশুদ্ধচিত্ত হয়ে -- \'\'যদি এ থেকে তুমি আমাদের উদ্ধার করো তবে আমরা অবশ্যই কৃতজ্ঞদের অন্তর্ভুক্ত হবো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1387','chapter_id' => '10','translator_id' => '2','verse_number' => '23','translate_name' => 'তারপর তিনি যখন তাদের উদ্ধার করেন, দেখো! তারা পৃথিবীতে দৌরা‌ত্ম্য শুরু করে অন্যায়ভাবে। ওহে মানবগোষ্ঠি! তোমাদের দৌরা‌ত্ম্য বস্তুতঃ তোমাদেরই বিরুদ্ধে, দুনিয়ার জীবনের সামান্য উপভোগ, তারপর আমাদেরই কাছে তোমাদের প্রত্যাবর্তন, তখন আমরা তোমাদের জানিয়ে দেবো যা তোমরা করে চলেছিলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1388','chapter_id' => '10','translator_id' => '2','verse_number' => '24','translate_name' => 'এই দুনিয়ার জীবনের তুলনা হচ্ছে বৃষ্টির ন্যায় যা আমরা আকাশ থেকে বর্ষণ করি, তখন তার দ্বারা পৃথিবীর গাছপালা ভুইঁফোঁড়ে বাড়ে যা থেকে মানুষ ও জীবজন্তু আহার করে থাকে, তারপর যখন পৃথিবী তার সোনালী শোভা ধারণ করে ও সাজসজ্জা পরে, আর এর মালিকেরা ভাবে যে তারা আলবৎ এর উপরে আয়ত্তাধীন, তখন আমাদের আদেশ এর উপরে এসে পড়ে রাতে অথবা দিনে, ফলে আমরা একে বানাই কাটা শস্যের মতন যেন গতকালও তার প্রাচুর্য ছিল না। এইভাবে আমরা নির্দেশাবলী বিশদ ব্যাখ্যা করি সেইসব সম্প্রদায়ের জন্য যারা চিন্তা করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1389','chapter_id' => '10','translator_id' => '2','verse_number' => '25','translate_name' => 'আর আল্লাহ্ আহ্বান করেন শান্তির আলয়ে, আর যাকে তিনি ইচ্ছে করেন তাকে পরিচালিত করেন সহজ-সঠিক পথের দিকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1390','chapter_id' => '10','translator_id' => '2','verse_number' => '26','translate_name' => 'যারা ভালো করে তাদের জন্য রয়েছে ভালো এবং আরো বেশি। আর তাদের মুখমন্ডলকে আচ্ছাদন করবে না কোনো কালিমা এবং কোনো অপমানও নয়। এরাই হচ্ছে বেহেশতের অধিবাসী, তারা সেখানে থাকবে স্থায়ীভাবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1391','chapter_id' => '10','translator_id' => '2','verse_number' => '27','translate_name' => 'আর যারা মন্দ অর্জন করে মন্দকাজের প্রতিফল হবে তার অনুরূপ, আর তাদের আচ্ছাদন হবে অপমান। তাদের জন্য আল্লাহ্ থেকে কোনো রক্ষক নেই, -- যেন তাদের মুখমন্ডল আচ্ছাদিত হয়েছে নিশীথের গহন অন্ধকারের একাংশ দিয়ে। এরাই হচ্ছে আগুনের অধিবাসী, তারা সেখানে থাকবে দীর্ঘকাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1392','chapter_id' => '10','translator_id' => '2','verse_number' => '28','translate_name' => 'আর যেদিন আমরা ওদের সবাইকে সমবেত করবো, তারপর যারা অংশী দাঁড় করেছিল তাদের বলবো -- \'\'তোমরা ও তোমাদের অংশীরা নিজ নিজ স্থানে অবস্থান করো।’’ তারপর আমরা তাদের একে অন্য থেকে বিচ্ছিন্ন করে দেবো, আর তাদের অংশীরা বলবে -- \'\'তোমরা তো আমাদের উপাসনা করতে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1393','chapter_id' => '10','translator_id' => '2','verse_number' => '29','translate_name' => '\'\'সেজন্য আমাদের মধ্যে ও তোমাদের মধ্যে সাক্ষীরূপে আল্লাহ্‌ই যথেষ্ট যে তোমাদের পূজা-অর্চনা সন্বন্ধে আমরা অনবহিত ছিলাম।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1394','chapter_id' => '10','translator_id' => '2','verse_number' => '30','translate_name' => 'সেখানে প্রত্যেক আ‌ত্মা উপলব্ধি করবে যা সে পূর্বে পাঠিয়েছে, আর তাদের ফিরিয়ে আনা হবে তাদের প্রকৃত অভিভাবক আল্লাহ্‌র নিকটে, আর তাদের কাছ থেকে বিদায় নেবে যাদের তারা উদ্ভাবন করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1395','chapter_id' => '10','translator_id' => '2','verse_number' => '31','translate_name' => 'বলো -- \'\'কে তোমাদের জীবিকা দান করে মহাকাশমন্ডল ও পৃথিবী থেকে? অথবা শ্রবণশক্তি ও দৃষ্টিশক্তি কার কর্তৃত্বাধীন? আর কে মৃত থেকে জীবিতকে নির্গত করে ও জীবিত থেকে মৃতকে নির্গত করে? আর কে বিষয়-আশয় নিয়ন্ত্রণ করে?’’ তখন তারা বলবে -- \'\'আল্লাহ্‌।’’ তাহলে বলো -- \'\'তবে কেন তোমরা ধর্মপরায়ণতা অবলন্বন করো না?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1396','chapter_id' => '10','translator_id' => '2','verse_number' => '32','translate_name' => 'এই তবে আল্লাহ্‌, -- তোমাদের আসল প্রভু, সত্যের পরে তবে মিথ্যা ভিন্ন আর কি থাকে? সুতরাং কোথায় তোমরা ফিরে যাচ্ছ?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1397','chapter_id' => '10','translator_id' => '2','verse_number' => '33','translate_name' => 'এইভাবে তোমার প্রভুর বাণী সত্যপ্রতিপন্ন হয় তাদের বিরুদ্ধে যারা অবাধ্যাচরণ করে -- \'\'নিঃসন্দেহ তারা ঈমান আনবে না’’।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1398','chapter_id' => '10','translator_id' => '2','verse_number' => '34','translate_name' => 'বলো -- \'\'তোমাদের অংশীদের মধ্যে কেউ কি আছে যে আদি-সৃষ্টি আর করতে পারে, তারপর তা পুনরুৎপাদন করতে পারে?’’ তুমি বলো -- \'\'আল্লাহ্‌ই সৃষ্টি শুরু করেন, তারপর তা পুনরুৎপাদন করেন। সুতরাং তোমরা কোথায় চলে যাচ্ছ?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1399','chapter_id' => '10','translator_id' => '2','verse_number' => '35','translate_name' => 'বলো -- \'\'তোমাদের অংশীদের মধ্যে কেউ কি আছে যে পরিচালিত করে সত্যের প্রতি?’’ তুমি বলো -- \'\'আল্লাহ্‌ই সত্যের প্রতি পরিচালিত করেন।’’ অতএব যিনি সত্যের প্রতি পথ দেখান তিনি অনুসরণের অধিকতর দাবিদার, না যে পরিচালন করে না যদি না সে পরিচালিত হয়? তোমাদের তবে কি হয়েছে? কিভাবে তোমরা বিচার করো?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1400','chapter_id' => '10','translator_id' => '2','verse_number' => '36','translate_name' => 'আর তাদের অধিকাংশই অনুমান ছাড়া আর কিছুই অনুসরণ করে না। নিঃসন্দেহ সত্যের পরিবর্তে অনুমানের কোনোই মূল্য নেই। ওরা যা করে সে বিষয়ে আল্লাহ্ অবশ্যই সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1401','chapter_id' => '10','translator_id' => '2','verse_number' => '37','translate_name' => 'আর এই কুরআন এমন নয় যা রচনা করতে পারে আল্লাহ্ ছাড়া অন্য কেউ, পক্ষান্তরে এ সমর্থন করে এর পূর্বে যা ছিল তার, আর গ্রন্থের এ এক বিশদ ব্যাখ্যা -- কোনো সন্দেহ নেই এতে বিশ্বজগতের প্রভুর কাছ থেকে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1402','chapter_id' => '10','translator_id' => '2','verse_number' => '38','translate_name' => 'অথবা তারা কি বলে -- \'\'তিনি এটি রচনা করেছেন’’? তুমি বলো -- \'\'তাহলে নিয়ে এস এর মতো একটি সূরা, আর আল্লাহ্‌কে ছেড়ে দিয়ে যাদের পারো ডাকো, যদি তোমরা সত্যবাদী হয়ে থাকো।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1403','chapter_id' => '10','translator_id' => '2','verse_number' => '39','translate_name' => 'না, তারা প্রত্যাখ্যান করে যার জ্ঞানের সীমা তারা পায় না, আর এখনও এর মর্ম তাদের কাছে আসে নি। এইভাবে প্রত্যাখ্যান করেছিল তারা যারা তাদের পূর্বে ছিল, সুতরাং দেখো কেমন হয়েছিল অত্যাচারীদের পরিণাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1404','chapter_id' => '10','translator_id' => '2','verse_number' => '40','translate_name' => 'আর তাদের মধ্যে কেউ কেউ আছে যে এতে বিশ্বাস করে, আর তাদের মধ্যে কেউ কেউ আছে যে এতে বিশ্বাস করে না। আর তোমার প্রভু গন্ডগোল সৃষ্টিকারীদের ভালো জানেন।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1405','chapter_id' => '10','translator_id' => '2','verse_number' => '41','translate_name' => 'আর তারা যদি তোমার প্রতি মিথ্যারোপ করে তবে বলো -- \'\'আমার কাজ আমার জন্য, আর তোমাদের কাজ তোমাদের জন্য, তোমরা দায়ী নও আমি যা করি সে বিষয়ে আর আমিও দায়ী নই তোমরা যা করো সে বিষয়ে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1406','chapter_id' => '10','translator_id' => '2','verse_number' => '42','translate_name' => 'আর তাদের মধ্যে কেউ কেউ তোমার কথা শোনে। তুমি কি বধিরকে শোনাতে পারো, -- পরন্ত তারা বুদ্ধিশুদ্ধি রাখে না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1407','chapter_id' => '10','translator_id' => '2','verse_number' => '43','translate_name' => 'আর তাদের মধ্যে কেউ কেউ তোমার দিকে তাকিয়ে থাকে। তুমি কি অন্ধকে পথ দেখতে পারো, -- পরন্ত তারা দেখতে পায় না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1408','chapter_id' => '10','translator_id' => '2','verse_number' => '44','translate_name' => 'নিঃসন্দেহ আল্লাহ্ মানুষের প্রতি কোনো অন্যায় করেন না, কিন্তু মানুষরা তাদের নিজেদেরই প্রতি অন্যায় করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1409','chapter_id' => '10','translator_id' => '2','verse_number' => '45','translate_name' => 'আর যেদিন তিনি তাদের একত্রিত করবেন যেন তারা দিনের এক ঘন্টাও কাটায় নি, তারা একে-অন্যকে চিনতে পারবে। আল্লাহ্‌র সঙ্গে মুলাকাত হওয়াকে যারা মিথ্যা বলেছিল তারা আলবৎ ক্ষতিগ্রস্ত হয়েছে, আর তারা সঠিক পথে চালিত ছিল না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1410','chapter_id' => '10','translator_id' => '2','verse_number' => '46','translate_name' => 'আর তোমাকে যদি আমরা দেখিয়ে দিই ওদের যা আমরা ওয়াদা করেছিলাম তার কিছুটা, অথবা তোমার মৃত্যু ঘটিয়ে দিই, তা হলেও আমাদের কাছেই তাদের প্রত্যাবর্তন, তার উপর আল্লাহ্ সাক্ষী রয়েছেন যা তারা করে তার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1411','chapter_id' => '10','translator_id' => '2','verse_number' => '47','translate_name' => 'আর প্রত্যেক জাতির জন্যে একজন রসূল, অতএব যখন তাদের রসূল এসেছিলেন তখন ন্যায়-বিচারের সাথে ওদের মধ্যে মীমাংসা হয়েছে, আর তাদের প্রতি অন্যায় করা হয় নি।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1412','chapter_id' => '10','translator_id' => '2','verse_number' => '48','translate_name' => 'আর তারা বলে -- \'\'এ ওয়াদা কবে ফলবে, -- যদি তোমরা সত্যবাদী হও?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1413','chapter_id' => '10','translator_id' => '2','verse_number' => '49','translate_name' => 'তুমি বলো -- \'\'আমি নিজের থেকে কোনো অনিষ্ট-সাধনের কর্তৃত্ব রাখি না বা মুনাফা দেবারও নয় -- আল্লাহ্ যা ইচ্ছা করেন তা ব্যতীত।’’ প্রত্যেক জাতির জন্য এক নির্দিষ্ট সময় আছে, যখন তাদের সময় ঘনিয়ে আসবে তখন তারা ঘন্টাখানেকের জন্যেও দেরি করতে পারবে না বা এগিয়েও আনতে পারবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1414','chapter_id' => '10','translator_id' => '2','verse_number' => '50','translate_name' => 'বলো -- \'\'তোমরা কি ভেবে দেখেছ যে যদি তাঁর শাস্তি তোমাদের উপরে এসে পড়ে রাত্রির আক্রমণরূপে অথবা দিনের বেলায়, তবে এর মধ্যের কোনটা ত্বরান্বিত করতে চায় অপরাধীরা?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1415','chapter_id' => '10','translator_id' => '2','verse_number' => '51','translate_name' => 'তবে কি তখন তোমরা এতে বিশ্বাস করবে যখন এটি ঘটবে? \'\'আহা, এখন! তোমরা তো এটিই ত্বরান্বিত করতে চেয়েছিলে!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1416','chapter_id' => '10','translator_id' => '2','verse_number' => '52','translate_name' => 'তারপর যারা অন্যায়াচরণ করেছিল তাদের বলা হবে -- \'\'স্থায়ী শাস্তি আস্বাদন করো। তোমরা যা অর্জন ক’রে চলেছিলে তা ছাড়া অন্য কিছু কি তোমাদের প্রতিদান দেওয়া হচ্ছে?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1417','chapter_id' => '10','translator_id' => '2','verse_number' => '53','translate_name' => 'আর তারা তোমার কাছে জানতে চায় -- \'\'এ কি সত্য?’’ বলো -- \'\'হাঁ, আমার প্রভুর কসম, এ আলবৎ সত্য। আর তোমাদের এড়াবার নহে!’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1418','chapter_id' => '10','translator_id' => '2','verse_number' => '54','translate_name' => 'আর প্রতিটি লোকের, যে অন্যায় করেছে, তার যদি হতো পৃথিবীতে যা কিছু আছে সে অবশ্যই সেগুলো দিয়ে মুক্তি চাইত। আর তারা অনুতাপ অনুভব করবে যখন তারা শাস্তি দেখতে পাবে, কিন্তু তাদের সন্বন্ধে মীমাংসা করা হয়েছে ন্যায়সঙ্গত ভাবে, আর তাদের জুলুম করা হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1419','chapter_id' => '10','translator_id' => '2','verse_number' => '55','translate_name' => 'যা-কিছু মহাকাশে ও পৃথিবীতে রয়েছে সে-সবই কি বাস্তবে আল্লাহ্‌র নয়? আল্লাহ্‌র ওয়াদা কি অবশ্যই সত্য নয়? কিন্তু তাদের অনেকেই জানে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1420','chapter_id' => '10','translator_id' => '2','verse_number' => '56','translate_name' => 'তিনিই জীবনদান করেন ও মৃত্যু ঘটান, আর তাঁরই কাছে তোমাদের ফিরিয়ে আনা হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1421','chapter_id' => '10','translator_id' => '2','verse_number' => '57','translate_name' => 'ওহে মানবগোষ্ঠি! তোমাদের কাছে নিশ্চয়ই তোমাদের প্রভুর কাছ থেকে এসেছে এক ধর্মোপদেশ আর অন্তরে যা আছে তার জন্য এক আরোগ্য বিধান, আর বিশ্বাসীদের জন্য এক পথনির্দেশ ও এক করুণা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1422','chapter_id' => '10','translator_id' => '2','verse_number' => '58','translate_name' => 'বলো -- \'\'আল্লাহ্‌র বদান্যতায় ও তাঁর করুণায়’’ -- অতএব এতে তারা তবে আনন্দ প্রকাশ করুক। তারা যা পুঞ্জীভূত করে তার চাইতে এ অধিকতর শ্রেয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1423','chapter_id' => '10','translator_id' => '2','verse_number' => '59','translate_name' => 'বলো -- \'\'তোমরা কি দেখেছ আল্লাহ্ তোমাদের জন্য জীবিকা থেকে কত কি পাঠিয়েছেন, তারপর তোমরা তার কিছু হারাম ও হালাল বানিয়েছে?’’ বলো -- \'\'আল্লাহ্ কি তোমাদের জন্য অনুমতি দিয়েছেন, না তোমরা আল্লাহ্‌র প্রতি মিথ্যারোপ করছো?’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1424','chapter_id' => '10','translator_id' => '2','verse_number' => '60','translate_name' => 'আর যারা আল্লাহ্ সন্বন্ধে মিথ্যা উদ্ভাবন করে তারা কিয়ামতের দিন সন্বন্ধে কি ভাবছে? নিঃসন্দেহ আল্লাহ্ মানুষের প্রতি অবশ্যই বদান্যতার সর্বময় কর্তা, কিন্তু তাদের অধিকাংশই কৃতজ্ঞতা প্রকাশ করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1425','chapter_id' => '10','translator_id' => '2','verse_number' => '61','translate_name' => 'আর তুমি এমন কোনো কাজে নও বা সে-সম্পর্কে কুরআন থেকে আবৃত্তি করো না, আর তোমরা এমন কোনো কাজ করো না -- আমরা কিন্তু তোমাদের উপরে সাক্ষী রয়েছি যখন তোমরা তাতে নিযুক্ত থাক। আর তোমার প্রভুর কাছ থেকে অণু পরিমাণ কিছুও লুকোনো থাকছে না এ পৃথিবীতে আর মহাকাশেও নয়, আর তার চাইতে ছোটও নেই ও বড়ও নেই যা নয় এক সুস্পষ্ট গ্রন্থে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1426','chapter_id' => '10','translator_id' => '2','verse_number' => '62','translate_name' => 'জেনে রোখো! নিঃসন্দেহ আল্লাহ্‌র বন্ধুরা -- তাদের উপরে কোনো ভয় নেই, আর তারা অনুতাপও করবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1427','chapter_id' => '10','translator_id' => '2','verse_number' => '63','translate_name' => 'যারা বিশ্বাস স্থাপন করে ও ভয়ভক্তি করে --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1428','chapter_id' => '10','translator_id' => '2','verse_number' => '64','translate_name' => 'তাদের জন্য রয়েছে সুসংবাদ এই পৃথিবীর জীবনে এবং পরকালে। আল্লাহ্‌র বাণীর কোনো পরিবর্তন নেই, -- এটিই হচ্ছে মহা সাফল্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1429','chapter_id' => '10','translator_id' => '2','verse_number' => '65','translate_name' => 'আর তাদের কথা তোমাকে যেন দুঃখ না দেয়। সম্মান নিঃসন্দেহ সম্পূর্ণরূপে আল্লাহ্‌র। তিনি সর্বশ্রোতা, সর্বজ্ঞাতা!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1430','chapter_id' => '10','translator_id' => '2','verse_number' => '66','translate_name' => 'এটি কি নয় যে নিঃসন্দেহ মহাকাশমন্ডলে যারা আছে ও যারা আছে পৃথিবীতে তারা আল্লাহ্‌র? আর যারা আল্লাহ্‌কে ছেড়ে দিয়ে অংশীদের আরাধনা করে তারা অনুসরণ করে না। তারা তো শুধু অনুমানেরই অনুসরণ করে, আর তারা শুধু মিথ্যাই বলে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1431','chapter_id' => '10','translator_id' => '2','verse_number' => '67','translate_name' => 'তিনিই সেইজন যিনি তোমাদের জন্য সৃষ্টি করেছেন রাত্রি যেন তোমরা তাতে বিশ্রাম করতে পারো, আর দেখবার জন্য দিন। নিঃসন্দেহ এ-সবে রয়েছে সঠিক নিদর্শনসমূহ সেই লোকদের জন্য যারা শোনে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1432','chapter_id' => '10','translator_id' => '2','verse_number' => '68','translate_name' => 'তারা বলে -- \'\'আল্লাহ্ একটি পুত্র গ্রহণ করেছেন’’। তাঁরই মহিমা হোক! তিনি স্বয়ং-সমৃদ্ধ। মহাকাশমন্ডলীতে যা-কিছু আছে ও যা-কিছু আছে পৃথিবীতে সে-সবই তাঁর। এ বিষয়ে কোনো সনদ তোমাদের নিকট নেই। তোমরা কি আল্লাহ্ সন্বন্ধে বলো যা তোমরা জানো না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1433','chapter_id' => '10','translator_id' => '2','verse_number' => '69','translate_name' => 'বলো -- \'\'নিঃসন্দেহ যারা আল্লাহ্‌র বিরুদ্ধে মিথ্যা উদ্ভাবন করে তারা সফলকাম হবে না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1434','chapter_id' => '10','translator_id' => '2','verse_number' => '70','translate_name' => 'দুনিয়ার সুখ-সম্ভোগ, এরপর আমাদেরই কাছে তাদের প্রত্যাবর্তন, তখন আমরা তাদের আস্বাদন করাবো কঠোর শাস্তি, যেহেতু তারা অবিশ্বাস পোষণ করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1435','chapter_id' => '10','translator_id' => '2','verse_number' => '71','translate_name' => 'আর তাদের কাছে নূহ-এর কাহিনী বর্ণনা করো। স্মরণ করো! তিনি তাঁর লোকদের বলেছিলেন -- \'\'হে আমার সম্প্রদায়! যদি আমার বসবাস এবং আল্লাহ্‌র বাণীদ্বারা আমার উপদেশদান তোমাদের উপরে গুরুভার হয়, তাহলে আল্লাহ্‌র উপরেই আমি নির্ভর করছি, সুতরাং তোমাদের কাজের ধারা ও তোমাদের অংশীদের গুটিয়ে নাও, তারপর তোমাদের কাজের ধারায় যেন তোমাদের কোনো সংশয় না থাকে, তখন আমার দিকে তা খাটাও, এবং আমাকে বিরাম দিয় না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1436','chapter_id' => '10','translator_id' => '2','verse_number' => '72','translate_name' => '\'\'কিন্তু যদি তোমরা ফিরে যাও তবে আমি তোমাদের কাছ থেকে কোনো পারিশ্রমিক চাইনি। আমার পারিশ্রমিক কেবল আল্লাহ্‌র কাছেই রয়েছে, আর আমাকে আদেশ করা হয়েছে যেন আমি মুসলিমদের অন্তর্ভুক্ত হই।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1437','chapter_id' => '10','translator_id' => '2','verse_number' => '73','translate_name' => 'কিন্তু তারা তাঁকে প্রত্যাখ্যান করল, সেজন্যে আমরা তাঁকে ও তাঁর সঙ্গে যারা ছিল তাদের উদ্ধার করেছিলাম জাহাজে, আর আমরা তাদের প্রতিনিধি করেছিলাম, আর ডুবিয়ে দিয়েছিলাম তাদের যারা আমাদের নির্দেশাবলী প্রত্যাখ্যান করেছিল। অতএব চেয়ে দেখো! কেমন হয়েছিল সতর্কীকৃতদের পরিণাম।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1438','chapter_id' => '10','translator_id' => '2','verse_number' => '74','translate_name' => 'অতঃপর তাঁর পরে আমরা রসূলদের দাঁড় করিয়েছিলাম তাঁদের সম্প্রদায়ের কাছে, তাঁরা তাই তাদের কাছে এসেছিলেন স্পষ্ট প্রমাণাবলী নিয়ে, কিন্তু তারা তাতে বিশ্বাস করার মতো ছিল না যা তারা ইতিপূর্বে প্রত্যাখ্যান করেছে। এইভাবে আমরা সীমা- লঙ্ঘনকারীদের হৃদয়ের উপরে মোহর মেরে দিই।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1439','chapter_id' => '10','translator_id' => '2','verse_number' => '75','translate_name' => 'অনন্তর তাঁদের পরে আমরা পাঠিয়েছিলাম মূসা ও হারূনকে ফিরআউন ও তার পরিষদবর্গের কাছে আমাদের নিদর্শনসমূহ সঙ্গে দিয়ে, কিন্তু তারা অহংকার করেছিল আর তারা ছিল একটি অপরাধী সম্প্রদায়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1440','chapter_id' => '10','translator_id' => '2','verse_number' => '76','translate_name' => 'তারপর তাদের কাছে যখন আমাদের তরফ থেকে সত্য এল তারা তখন বললে -- \'\'এ তো নিশ্চয়ই পরিস্কার জাদু।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1441','chapter_id' => '10','translator_id' => '2','verse_number' => '77','translate_name' => 'মূসা বললেন, \'\'কি তোমরা বলছ সত্য সন্বন্ধে যখন এ তোমাদের কাছে এল? এ কি জাদু? আর জাদুকররা সফলকাম হয় না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1442','chapter_id' => '10','translator_id' => '2','verse_number' => '78','translate_name' => 'তারা বলল -- \'\'তুমি কি আমাদের কাছে এসেছ আমাদের বিচ্যুত করতে তা থেকে যার উপরে আমাদের পিতৃপুরুষদের পেয়েছি, আর যেন তোমাদের দুজনেরই প্রতিপত্তি হয় এ দেশে? সুতরাং তোমাদের দুজনের প্রতি আমরা তো বিশ্বাসী হচ্ছি না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1443','chapter_id' => '10','translator_id' => '2','verse_number' => '79','translate_name' => 'আর ফিরআউন বললে -- \'\'প্রত্যেক ওস্তাদ জাদুকরকে আমার কাছে নিয়ে এস।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1444','chapter_id' => '10','translator_id' => '2','verse_number' => '80','translate_name' => 'সুতরাং যখন জাদুকররা এল তখন মূসা তাদের বললেন -- \'\'তোমাদের যা ফেলবার আছে ফেল।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1445','chapter_id' => '10','translator_id' => '2','verse_number' => '81','translate_name' => 'যখন তারা ফেলল, মূসা বললেন -- \'\'তোমরা যা নিয়ে এসেছ তা ভেলকিবাজী। নিঃসন্দেহ আল্লাহ্ একে বাতিল করে দেবেন ।’’ আল্লাহ্ নিশ্চয়ই হুজ্জতকারীদের কাজে ভাল করেন না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1446','chapter_id' => '10','translator_id' => '2','verse_number' => '82','translate_name' => 'আল্লাহ্ তাঁর বাণী অনুযায়ী সত্যকে সুপ্রতিষ্ঠিত করেন যদিও অপরাধীরা অসন্তষ্ট হয়।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1447','chapter_id' => '10','translator_id' => '2','verse_number' => '83','translate_name' => 'কিন্তু তাঁর সম্প্রদায়ের সন্তানসন্ততি ব্যতীত আর কেউ মূসার প্রতি বিশ্বাস করে নি ফিরআউন ও তাদের পরিষদবর্গের ভয়ে পাছে তারা তাদের নির্যাতন করে। আর ফিরআউন দেশের মধ্যে অবশ্যই ছিল মহাপ্রতাপশালী, আর সে নিশ্চয়ই ছিল ন্যায়লঙ্ঘন-কারীদের অন্তর্ভুক্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1448','chapter_id' => '10','translator_id' => '2','verse_number' => '84','translate_name' => 'আর মূসা বললেন -- \'\'হে আমার সম্প্রদায়! তোমরা যদি আল্লাহ্‌র প্রতি বিশ্বাস করে থাক তবে তাঁর উপরেই তোমরা নির্ভর কর যদি তোমরা মুসলিম হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1449','chapter_id' => '10','translator_id' => '2','verse_number' => '85','translate_name' => 'সুতরাং তারা বললে -- \'\'আল্লাহ্‌র উপরেই আমরা নির্ভর করছি। আমাদের প্রভু! অত্যাচারিগোষ্ঠীর উৎপীড়নের পাত্র আমাদের বানিও না,','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1450','chapter_id' => '10','translator_id' => '2','verse_number' => '86','translate_name' => '\'\'আর তোমার করুণার দ্বারা আমাদের উদ্ধার কর অবিশ্বাসিগোষ্ঠী থেকে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1451','chapter_id' => '10','translator_id' => '2','verse_number' => '87','translate_name' => 'আর আমরা মূসা ও তাঁর ভাইয়ের প্রতি প্রত্যাদেশ দিলাম এই বলে -- \'\'তোমাদের লোকদের জন্য মিশরে বাড়িঘর স্থাপন করো, আর তোমাদের ঘরগুলোকে উপাসনার স্থান বানাও আর নামায কায়েম করো। আর বিশ্বাসীদের সুসংবাদ দাও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1452','chapter_id' => '10','translator_id' => '2','verse_number' => '88','translate_name' => 'আর মূসা বললেন -- \'\'আমাদের প্রভু! নিশ্চয় তুমি ফিরআউন ও তার পরিষদবর্গকে এই দুনিয়ার জীবনে শোভা-সৌন্দর্য ও ধন- দৌলত প্রদান করেছ, যা দিয়ে, আমাদের প্রভু! তারা তোমার পথ থেকে পথভ্রষ্ট করে। আমাদের প্রভু! বিনষ্ট করে দাও তাদের ধনসম্পত্তি, আর কাঠিন্য এনে দাও তাদের হৃদয়ের উপরে, তারা তো বিশ্বাস করে না যে পর্যন্ত না তারা মর্মন্তুদ শাস্তি প্রত্যক্ষ করে।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1453','chapter_id' => '10','translator_id' => '2','verse_number' => '89','translate_name' => 'তিনি বললেন -- \'\'তোমাদের দুজনের দোয়া ইতিমধ্যেই মঞ্জুর হল, কাজেই তোমারা উভয়ে অটল থেকো, আর তাদের পথ অনুসরণ করো না যারা জানে না।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1454','chapter_id' => '10','translator_id' => '2','verse_number' => '90','translate_name' => 'আর ইসরাইলের বংশধরদের আমরা সমূদ্র পার করালাম, আর ফিরআউন ও তার সৈন্যদল তাদের ধাওয়া করল নির্যাতন ও উৎপীড়নের জন্য! শেষে যখন ডুবে যাওয়া তাকে পাকড়াল সে বললে -- \'\'আমি ঈমান আনছি যে ইসরাইলের বংশধরেরা যাঁর প্রতি বিশ্বাস করে তিনি ছাড়া অন্য কোনো উপাস্য নেই, আর আমি হচ্ছি মুসলিমদের অন্তর্ভুক্ত।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1455','chapter_id' => '10','translator_id' => '2','verse_number' => '91','translate_name' => '\'\'আহা, এখন! আর একটু আগেই তুমি তো অবাধ্যতা করছিলে আর তুমি ছিলে অশান্তি সৃষ্টিকারীদের মধ্যেকার।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1456','chapter_id' => '10','translator_id' => '2','verse_number' => '92','translate_name' => 'তবে আজকের দিনে আমরা উদ্ধার করব তোমার দেহ, যেন তুমি তোমার পরবর্তীদের জন্য নিদর্শন হয়ে থাক। কিন্তু মানুষের মধ্যের অনেকেই আমাদের নিদর্শন সন্বন্ধে অবশ্যই বেখেয়াল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1457','chapter_id' => '10','translator_id' => '2','verse_number' => '93','translate_name' => 'আর ইসরাইলের বংশধরদের আমরা অবশ্যই উত্তম আবাসভূমিতে বসবাস করালাম, আর তাদের আমরা উত্তম বিষয়বস্তু দিয়ে জীবিকাদান করলাম, আর তারা বিভেদ সৃষ্টি করে নি যে পর্যন্ত না তাদের কাছে জ্ঞান এল। নিঃসন্দেহ তোমার প্রভু কিয়ামতের দিনে তাদের মধ্যে বিচার করবেন সে-সন্বন্ধে যাতে তারা মতভেদ করেছিল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1458','chapter_id' => '10','translator_id' => '2','verse_number' => '94','translate_name' => 'কিন্তু যদি তুমি সন্দেহের মধ্যে থাক যা তোমার কাছে আমরা অবতারণ করেছি সে-সন্বন্ধে তবে তাদের জিজ্ঞাসা করো যারা তোমার আগে গ্রন্থ পাঠ করেছে। তোমার কাছে আলবৎ সত্য এসেছে তোমার প্রভুর কাছ থেকে, সুতরাং তুমি সংশয়ীদের মধ্যেকার হয়ো না,','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1459','chapter_id' => '10','translator_id' => '2','verse_number' => '95','translate_name' => 'আর তুমি তাদের অন্তর্ভুক্ত হয়ো না যারা আল্লাহ্‌র বাণী প্রত্যাখ্যান করে, পাছে তুমি ক্ষতিগ্রস্তদের মধ্যেকার হয়ে যাবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1460','chapter_id' => '10','translator_id' => '2','verse_number' => '96','translate_name' => 'নিঃসন্দেহ যাদের বিরুদ্ধে তোমার প্রভুর বাক্য সাব্যস্ত হয়ে গেছে তারা বিশ্বাস করবে না, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1461','chapter_id' => '10','translator_id' => '2','verse_number' => '97','translate_name' => 'যদিও তাদের কাছে প্রতিটি নিদর্শন এসে যায়, যে পর্যন্ত না তারা মর্মন্তুদ শাস্তি প্রত্যক্ষ করে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1462','chapter_id' => '10','translator_id' => '2','verse_number' => '98','translate_name' => 'সুতরাং কেন এমন একটি জনপদবাসী নেই যারা বিশ্বাস করেছিল ও তাদের সেই বিশ্বাস তাদের উপকার করেছিল ইউনুসের লোকদের ব্যতীত? যখন তারা বিশ্বাস করল তখন আমরা তাদের থেকে সরিয়ে নিয়েছিলাম পার্থিব জীবনের হীনতাজনক শাস্তি, এবং তাদের জীবনোপভোগ করতে দিয়েছিলাম কিছু কালের জন্য।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1463','chapter_id' => '10','translator_id' => '2','verse_number' => '99','translate_name' => 'আর তোমার প্রভু যদি ইচ্ছা করতেন তবে যারা পৃথিবীতে আছে তাদের সবাই একসঙ্গে বিশ্বাস করত। তুমি কি তবে লোকজনের উপরে জবরদস্তি করবে যে পর্যন্ত না তারা মুমিন হয়?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1464','chapter_id' => '10','translator_id' => '2','verse_number' => '100','translate_name' => 'আর কোনো প্রাণীর পক্ষে বিশ্বাস করা সম্ভবপর নয় আল্লাহ্‌র অনুমতি ব্যতীত। আর তিনি কলুষতা নিক্ষেপ করেন তাদের উপরে যারা বুঝে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1465','chapter_id' => '10','translator_id' => '2','verse_number' => '101','translate_name' => 'বলো -- \'\'তাকিয়ে দেখ যা-কিছু আছে মহাকাশমন্ডলীতে ও পৃথিবীতে।’’ আর নিদর্শনসমূহ ও সতর্ককারীরা কোনো কাজে আসে না সেই সম্প্রদায়ের জন্য যারা বিশ্বাস করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1466','chapter_id' => '10','translator_id' => '2','verse_number' => '102','translate_name' => 'তবে তারা কিসের প্রতীক্ষা করে ওদের দিনের অনুরূপ ব্যতীত যারা তাদের আগে গত হয়ে গেছে? বলোঃ \'\'তবে তোমরা প্রতীক্ষা কর, নিঃসন্দেহ আমিও তোমাদের সঙ্গে প্রতীক্ষমাণদের মধ্যে রয়েছি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1467','chapter_id' => '10','translator_id' => '2','verse_number' => '103','translate_name' => 'তারপর আমরা রসূলগণকে উদ্ধার করি আর যারা বিশ্বাস করেছেন তাদেরও, এইভাবেই, -- বিশ্বাসীদের উদ্ধার করা আমাদের দায়িত্ব।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1468','chapter_id' => '10','translator_id' => '2','verse_number' => '104','translate_name' => 'বলো -- \'\'ওহে মানবগোষ্ঠি! তোমরা যদি আমার ধর্ম সন্বন্ধে সন্দেহের মধ্যে থাক তবে আমি তাদের উপাসনা করি না আল্লাহ্ ব্যতীত যাদের তোমরা উপাসনা কর, আমি কিন্তু আল্লাহ্‌র উপাসনা করি যিনি তোমাদের মৃত্যু ঘটাবেন। আর আমি আদিষ্ট হয়েছি যে আমি মুমিনদের অন্তর্ভুক্ত হব।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1469','chapter_id' => '10','translator_id' => '2','verse_number' => '105','translate_name' => 'আর তোমার মুখ ধর্মের প্রতি একনিষ্ঠভাবে প্রতিষ্ঠিত রাখো, আর কখনো মুশরিকদের অন্তর্ভুক্ত হয়ো না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1470','chapter_id' => '10','translator_id' => '2','verse_number' => '106','translate_name' => 'আর আল্লাহ্‌কে ছেড়ে দিয়ে অন্যকে ডেকো না যে তোমার উপকারও করে না ও অপকারও করে না, কেননা তুমি যদি তা করো তাহলে তুমি তো সে-ক্ষেত্রে অন্যায়কারীদের মধ্যেকার হবে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1471','chapter_id' => '10','translator_id' => '2','verse_number' => '107','translate_name' => 'আর আল্লাহ্ যদি কোনো আঘাত দিয়ে আমাকে পীড়ন করেন তাহলে তিনি ছাড়া এ মোচনকারী আর কেউ নেই, আর তিনি যদি তোমাকে চান ভাল করতে তাহলে তাঁর প্রাচুর্য রদ হবার নয়। তিনি তা আনয়ন করেন তাঁর দাসদের মধ্যের যার প্রতি ইচ্ছা করেন। আর তিনিই তো পরিত্রাণকারী, অফুরন্ত ফলদাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1472','chapter_id' => '10','translator_id' => '2','verse_number' => '108','translate_name' => 'বলো -- \'\'ওহে মানবগোষ্ঠি! নিশ্চয়ই তোমাদের প্রভুর কাছ থেকে তোমাদের কাছে সত্য এসেছে, সেজন্যে যে কেউ সৎপথ অবলন্বন করে সে নিঃসন্দেহ তার নিজের জন্যেই সৎপথে বিচরণ করে, আর যে ভ্রান্তপথ ধরে সে নিঃসন্দেহ তার নিজের বিরুদ্ধেই ভ্রান্তপথে চলে। আর আমি তোমাদের উপরে তো কার্যনির্বাহক নই।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1473','chapter_id' => '10','translator_id' => '2','verse_number' => '109','translate_name' => 'আর তোমার কাছে যা প্রত্যাদিষ্ট হয়েছে তারই অনুসরণ করো, তবে অধ্যবসায় চালিয়ে যাও যে পর্যন্ত না আল্লাহ্ বিধান দেন, আর তিনিই সর্বোত্তম বিধানকর্তা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1474','chapter_id' => '11','translator_id' => '2','verse_number' => '1','translate_name' => 'আলিফ, লাম, রা। এ গ্রন্থ যার আয়াতসমূহকে জ্ঞান-সমৃদ্ধ করা হয়েছে, তারপর বিশদ ব্যাখ্যা দেয়া হয়েছে পরমজ্ঞানী পূর্ণ- ওয়াকিফহালের তরফ থেকে!','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1475','chapter_id' => '11','translator_id' => '2','verse_number' => '2','translate_name' => 'যেন তোমরা আল্লাহ্ ছাড়া অন্যের উপাসনা করবে না। \'\'আমি অবশ্যই তোমাদের কাছে তাঁর পক্ষ থেকে সতর্ককারী এবং সুসংবাদদাতা --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1476','chapter_id' => '11','translator_id' => '2','verse_number' => '3','translate_name' => '\'\'আর যেন তোমাদের প্রভুর কাছে পরিত্রাণ খোঁজো, তারপর তাঁর দিকে ফেরো, -- তিনি তোমাদের সুন্দর জীবনোপকরণ উপভোগ করতে দেবেন এক নির্দিষ্ট কালের জন্য, আর তিনি প্রত্যেক প্রাচুর্যের অধিকারীকে তাঁর প্রাচুর্য প্রদান করেন। আর যদি তোমরা ফিরে যাও তবে নিঃসন্দেহ আমি তোমাদের জন্য আশংকা করি এক মহাদিনের শাস্তির।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1477','chapter_id' => '11','translator_id' => '2','verse_number' => '4','translate_name' => '\'\'আল্লাহ্‌রই কাছে তোমাদের প্রত্যাবর্তন, আর তিনি সব-কিছুর উপরে সর্বশক্তিমান।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1478','chapter_id' => '11','translator_id' => '2','verse_number' => '5','translate_name' => 'সাবধান! নিঃসন্দেহ তারা কি নিজেদের বুক ভাঁজ করেছে তাঁর কাছ থেকে লুকিয়ে রাখার জন্যে? সাবধান! তারা যখন তাদের পোশাকের দ্বারা নিজেদের আবৃত করে, তিনি জানেন যা তারা লুকিয়ে রাখে ও যা তারা প্রকাশ করে। নিঃসন্দেহ বুকের ভেতরে যা আছে সে-সন্বন্ধে তিনি সর্বজ্ঞাতা।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1479','chapter_id' => '11','translator_id' => '2','verse_number' => '6','translate_name' => 'আর পৃথিবীতে এমন কোন প্রাণী নেই যার জীবিকার ভার আল্লাহ্‌র উপরে নয়, আর তিনিই জানেন তার বাসস্থান ও তার বিশ্রামস্থল। সবই আছে এক সুস্পষ্ট গ্রন্থে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1480','chapter_id' => '11','translator_id' => '2','verse_number' => '7','translate_name' => 'আর তিনিই সেইজন যিনি মহাকাশমন্ডলী ও পৃথিবী সৃষ্টি করেছেন ছয় দিনে, আর তাঁর আরশ রয়েছে পানির উপরে, যেন তিনি তোমাদের যাচাই করতে পারেন যে তোমাদের মধ্যে কে আচরণে শ্রেষ্ঠ। আর যদি তোমাকে বলতে হয় -- \'\'নিঃসন্দেহ মৃত্যুর পরে তোমাদের পুনরুত্থিত করা হবে’’, যারা অবিশ্বাস করে তারা নিশ্চয় বলবে -- \'\'এ তো স্পষ্টতঃ জাদু বই নয়।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1481','chapter_id' => '11','translator_id' => '2','verse_number' => '8','translate_name' => 'আর যদি তাদের থেকে নির্দিষ্ট কাল পর্যন্ত আমরা শাস্তি স্থগিত রাখি তবে তারা নিশ্চয়ই বলবে -- \'\'কিসে একে বাধা দিচ্ছে?’’ এটি কি নয় যে যেদিন তাদের নিকটে এ আসবে সেদিন তাদের থেকে এটি প্রতিহত হবে না, আর যা নিয়ে তারা ঠাট্টা-বিদ্রূপ করছিল তাই তাদের ঘেরাও করবে?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1482','chapter_id' => '11','translator_id' => '2','verse_number' => '9','translate_name' => 'আর যদি আমরা মানূষকে আমাদের থেকে করুণার আস্বাদ করাই ও পরে তার থেকে তা নিয়ে নিই, তাহলে সে নিশ্চয়ই হবে হতাশ্বাস, অকৃতজ্ঞ।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1483','chapter_id' => '11','translator_id' => '2','verse_number' => '10','translate_name' => 'আর যদি আমরা তাকে অনুগ্রহের আস্বাদ করাই দুঃখ-কষ্ট তাকে স্পর্শ করার পরে সে তখন বলেই থাকে -- \'\'আমার থেকে বিপদ-আপদ কেটে গেছে।’’ নিঃসন্দেহ সে উল্লসিত, অহংকারী, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1484','chapter_id' => '11','translator_id' => '2','verse_number' => '11','translate_name' => 'তারা ছাড়া যারা ধৈর্যধারণ করে ও সৎকর্ম করে, এরাই -- এদের জন্য রয়েছে পরিত্রাণ ও মহাপুরস্কার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1485','chapter_id' => '11','translator_id' => '2','verse_number' => '12','translate_name' => 'তুমি কি তবে পরিত্যাগকারী হবে তোমার কাছে যা প্রত্যাদিষ্ট হয়েছে তার কিছু অংশ, আর তোমার বক্ষ এর দ্বারা সংকুচিত করবে যেহেতু তারা বলে -- \'\'তার কাছে কেন কোনো ধনভান্ডার পাঠানো হয় না অথবা তার সঙ্গে কোনো ফিরিশ্‌তা আসে না?’’ নিঃসন্দেহ তুমি তো একজন সতর্ককারী। আর আল্লাহ্ সব-কিছুর উপরে কর্ণধার।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1486','chapter_id' => '11','translator_id' => '2','verse_number' => '13','translate_name' => 'অথবা তারা কি বলে -- \'\'সে এটি বানিয়েছে?’’ বলো -- \'\'তাহলে এর মত দশটি বানানো সূরা নিয়ে এস, আর আল্লাহ্‌কে ছেড়ে দিয়ে যাকে পার ডাকো, যদি তোমরা সত্যবাদী হও।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1487','chapter_id' => '11','translator_id' => '2','verse_number' => '14','translate_name' => 'আর যদি তারা তোমাদের প্রতি সাড়া না দেয় তবে জেনে রেখো -- এ অবশ্যই অবতীর্ণ হয়েছে আল্লাহ্‌র জ্ঞানভান্ডার থেকে, আর তিনি ছাড়া অন্য উপাস্য নেই। তোমরা কি তবে আ‌ত্মসমর্পণকারী হবে না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1488','chapter_id' => '11','translator_id' => '2','verse_number' => '15','translate_name' => 'যে কেউ পার্থিব জীবন ও এর শোভা-সৌন্দর্য কামনা করে তাদের ক্রিয়াকর্মের জন্য এখানেই আমরা তাদের পুরোপুরি প্রতিফল প্রদান করি, আর এ ব্যাপারে তারা ক্ষতিসাধিত হবে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1489','chapter_id' => '11','translator_id' => '2','verse_number' => '16','translate_name' => 'এরাই তারা যাদের জন্য পরকালে আগুন ছাড়া আর কিছুই নেই, আর তারা যা করেছে তা সেখানে বৃথা যাবে, আর তারা যা করে যাচ্ছিল সে-সবই নিরর্থক।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1490','chapter_id' => '11','translator_id' => '2','verse_number' => '17','translate_name' => 'তবে কি যে রয়েছে তার প্রভুর কাছে থেকে স্পষ্ট-প্রমাণের উপরে প্রতিষ্ঠিত এবং তাঁর কাছ থেকে একজন সাক্ষী তা পাঠ করেন, আর এর আগে মুসার গ্রন্থ পথনির্দেশক ও করুণাস্বরূপ? এরা এতে বিশ্বাস করে। আর দলগুলোর মধ্যের যে এতে অবিশ্বাস পোষণ করে তার প্রতি‌শ্রুত স্থান তবে আগুন, অতএব তুমি এ-সন্বন্ধে সন্দেহে থেকো না। নিঃসন্দেহ এটি তোমার প্রভুর কাছ থে কে ধ্রুবসত্য, কিন্তু বেশিরভাগ লোকেই বিশ্বাস করে না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1491','chapter_id' => '11','translator_id' => '2','verse_number' => '18','translate_name' => 'আর কে তার চাইতে বেশী অন্যায়কারী যে আল্লাহ্ সন্বন্ধে মিথ্যা রচনা করে? এদের আনা হবে তাদের প্রভুর সামনে, আর সাক্ষীগণ বলবে -- \'\'এরাই তারা যারা তাদের প্রভুর বিরুদ্ধে মিথ্যা আরোপ করেছিল।’’ এমন কি নয় যে আল্লাহ্‌র অসন্তষ্টি যালিমদের উপরে --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1492','chapter_id' => '11','translator_id' => '2','verse_number' => '19','translate_name' => 'যারা আল্লাহ্‌র পথ থেকে ফিরিয়ে রাখে এবং একে করতে চায় কুটিল? আর এরা নিজেরাই পরকাল সন্বন্ধে অবিশ্বাসী।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1493','chapter_id' => '11','translator_id' => '2','verse_number' => '20','translate_name' => 'এরা পৃথিবীতে প্রতিহত করতে পারত না, আর তাদের জন্য আল্লাহ্‌কে ছেড়ে দিয়ে কোনো অভিভাবক নেই। তাদের জন্য শাস্তি দ্বিগুণ করা হবে। তারা শোনা সহ্য করতে পারত না, আর তারা দেখতেও পারত না।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1494','chapter_id' => '11','translator_id' => '2','verse_number' => '21','translate_name' => 'এরাই তারা যারা তাদের অন্তরা‌ত্মার ক্ষতিসাধন করেছে, আর যা তারা উদ্ভাবন করেছিল তা তাদের থেকে বিদায় নিয়েছে।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1495','chapter_id' => '11','translator_id' => '2','verse_number' => '22','translate_name' => 'সন্দেহ নেই যে পরকালে তারা নিজেরা অবশ্যই হবে সব চাইতে ক্ষতিগ্রস্ত।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1496','chapter_id' => '11','translator_id' => '2','verse_number' => '23','translate_name' => 'নিঃসন্দেহ যারা বিশ্বাস করে ও সৎকর্ম করে, এবং বিনয়াবনত হয় তাদের প্রভুর কাছে, -- তারাই বেহেশতের বাসিন্দা, এতে তারা থাকবে চিরকাল।','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1497','chapter_id' => '11','translator_id' => '2','verse_number' => '24','translate_name' => 'দল দুটির উপমা হচ্ছে অন্ধ ও বধিরের এবং চক্ষুষ্মান ও শ্রবণশক্তিমানের মতো, -- উভয় কি তুলনায় সমান-সমান? তবুও কি তোমরা মনোনিবেশ করবে না?','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1498','chapter_id' => '11','translator_id' => '2','verse_number' => '25','translate_name' => 'আর নিশ্চয়ই আমরা নূহকে পাঠিয়েছিলাম তাঁর সম্প্রদায়ের কাছে, \'\'নিঃসন্দেহ আমি তোমাদের জন্য একজন সতর্ক কারী, --','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1499','chapter_id' => '11','translator_id' => '2','verse_number' => '26','translate_name' => '\'\'যেন তোমরা আল্লাহ্ ছাড়া কারো উপাসনা করবে না। নিঃসন্দেহ আমি আশংকা করি তোমাদের জন্য মর্মন্তুদ দিনের শাস্তি।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
            array('id' => '1500','chapter_id' => '11','translator_id' => '2','verse_number' => '27','translate_name' => 'কিন্তু তাঁর সম্প্রদায়ের মধ্যের যারা অবিশ্বাস করেছিল তাদের প্রধানরা বললে -- \'\'আমরা তো তোমাকে আমাদের মতো একজন মানুষ বই দেখছি না, আর আমরা তোমাকে দেখছি না যে তোমাকে তারা ছাড়া এমন অন্য কেউ অনুসরণ করছে যারা হচ্ছে প্রথম দৃষ্টিতেই আমাদের মধ্যে অধম, আর আমরা তোমাদের মধ্যে আমাদের চাইতে কোনো গুণপনাও দেখছি না, বরং আমরা তোমাদের মনে করি মিথ্যাবাদী।’’','created_at' => '2023-12-02 06:47:03','updated_at' => '2023-12-02 06:47:03'),
        );

        $results = [];
        foreach ($verse_translations as $key => $item){
            $results[] = [
                'chapter_id' => $item['chapter_id'],
                'chapter_detail_id' => $key+1,
                'translator_id' => $item['translator_id'],
                'verse_number' => $item['verse_number'],
                'translate_name' => $item['translate_name'],
                'created_at' => $item['created_at'],
                'updated_at' => $item['updated_at'],
            ];
        }

        DB::table('verse_translations')->insert($results);
    }
}
