<?php

namespace Database\Seeders\Quran\Chapter\Verse\English;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class VerseEnglishAhmedAliSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $verse_translations = array(
            array('id' => '1', 'chapter_id' => '1', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'In the name of Allah, most benevolent, ever-merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '2', 'chapter_id' => '1', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'ALL PRAISE BE to Allah, Lord of all the worlds,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '3', 'chapter_id' => '1', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'Most beneficent, ever-merciful,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '4', 'chapter_id' => '1', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'King of the Day of Judgement.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '5', 'chapter_id' => '1', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'You alone we worship, and to You alone turn for help.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '6', 'chapter_id' => '1', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'Guide us (O Lord) to the path that is straight,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '7', 'chapter_id' => '1', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'The path of those You have blessed, Not of those who have earned Your anger, nor those who have gone astray.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '8', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'ALIF LAM MIM.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '9', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'This is The Book free of doubt and involution, a guidance for those who preserve themselves from evil and follow the straight path,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '10', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'Who believe in the Unknown and fulfil their devotional obligations, and spend in charity of what We have given them;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '11', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'Who believe in what has been revealed to you and what was revealed to those before you, and are certain of the Hereafter.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '12', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'They have found the guidance of their Lord and will be successful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '13', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'As for those who deny, it is all the same if you warn them or not, they will not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '14', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'God has sealed their hearts and ears, and veiled their eyes. For them is great deprivation.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '15', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'And there are some who, though they say: "We believe in God and the Last Day," (in reality) do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '16', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'They (try to) deceive God and those who believe, yet deceive none but themselves although they do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '17', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'Sick are their hearts, and God adds to their malady. For them is suffering for they lie.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '18', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'When asked to desist from spreading corruption in the land they say: "Why, we are reformers."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '19', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'Yet they are surely mischief-mongers, even though they do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '20', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'When asked to believe as others do, they say: "Should we believe like fools?" And yet they are the fools, even though they do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '21', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'When they meet the faithful they say: "We believe;" but when alone with the devils (their fellows), they say: "We are really with you; we were joking."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '22', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'But God will turn the joke against them and allow them to sink deeper into evil and wander perplexed in their wickedness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '23', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'They are indeed those who bartered away good guidance for error and gained nothing from the deal, nor found the right way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '24', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'They are like a man who kindles a fire, and when its glow has illumined the air God takes away their light leaving them in the dark where they will not be able to see.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '25', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'They are deaf, dumb and blind, and shall never return;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '26', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'Or like rain pouring from the sky which hides within it darkness, thunder and lightning. They thrust their fingers into their ears for safety against noise and death. But God surrounds those who believe not from all sides.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '27', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'Verily the lightning could snatch away their eyes. When it flashes forth they walk in its flare. When darkness returns they stand still. And if the Lord wills so He could take away their hearing and sight; surely God is all-powerful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '28', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'So, O you people, adore your Lord who created you, as He did those before you, that you could take heed for yourselves and fear Him', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '29', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'Who made the earth a bed for you, the sky a canopy, and sends forth rain from the skies that fruits may grow -- your food and sustenance. So, do not make another the equal of God knowingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '30', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'If you are in doubt of what We have revealed to Our votary, then bring a Surah like this, and call any witness, apart from God, you like, if you are truthful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '31', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'But if you cannot, as indeed you cannot, then guard yourselves against the Fire whose fuel is men and rocks, which has been prepared for the infidels.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '32', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'Announce to those who believe and have done good deeds, glad tidings of gardens under which rivers flow, and where, when they eat the fruits that grow, they will say: "Indeed they are the same as we were given before," so like in semblance the food would be. And they shall have fair spouses there, and live there abidingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '33', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'God is not loath to advance the similitude of a gnat or a being more contemptible; and those who believe know whatever is from the Lord is true. But those who disbelieve say: "What does God mean by this parable?" He causes some to err this way, and some He guides; yet He turns away none but those who transgress,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '34', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'Who, having sealed it, break God\'s covenant, dividing what He ordained cohered; and those who spread discord in the land will suffer assuredly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '35', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'Then how can you disbelieve in God? He gave you life when you were dead. He will make you die again then bring you back to life: To Him then you will return.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '36', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'He made for you all that lies within the earth, then turning to the firmament He proportioned several skies: He has knowledge of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '37', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'Remember, when your Lord said to the angels: "I have to place a trustee on the earth," they said: "Will You place one there who would create disorder and shed blood, while we intone Your litanies and sanctify Your name?" And God said: "I know what you do not know."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '38', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'Then He gave Adam knowledge of the nature and reality of all things and everything, and set them before the angels and said: "Tell Me the names of these if you are truthful."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '39', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'And they said: "Glory to You (O Lord), knowledge we have none except what You have given us, for You are all-knowing and all-wise."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '40', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'Then He said to Adam: "Convey to them their names." And when he had told them, God said: "Did I not tell you that I know the unknown of the heavens and the earth, and I know what you disclose and know what you hide?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '41', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'Remember, when We asked the angels to bow in homage to Adam, they all bowed but Iblis, who disdained and turned insolent, and so became a disbeliever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '42', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'And We said to Adam: "Both you and your spouse live in the Garden, eat freely to your fill wherever you like, but approach not this tree or you will become transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '43', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'But Satan tempted them and had them banished from the (happy) state they were in. And We said: "Go, one the antagonist of the other, and live on the earth for a time ordained, and fend for yourselves."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '44', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'Then his Lord sent commands to Adam and turned towards him: Indeed He is compassionate and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '45', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'And We said to them: "Go, all of you. When I send guidance, whoever follows it will neither have fear nor regret;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '46', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'But those who deny and reject Our signs will belong to Hell, and there abide unchanged."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '47', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'O children of Israel, remember the favours I bestowed on you. So keep your pledge to Me, and I will mine to you, and be fearful of Me,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '48', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'And believe in what I have sent down which verifies what is already with you; and do not be the first to deny it, nor part with it for little gain; and beware of Me.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '49', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => 'Do not confuse truth with falsehood, nor conceal the truth knowingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '50', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'Be firm in devotion; give zakat (the due share of your wealth for the welfare of others), and bow with those who bow (before God).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '51', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'Will you enjoin good deeds on the others and forget your own selves? You also read the Scriptures, why do you then not understand?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '52', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'Find strength in fortitude and prayer, which is heavy and exacting but for those who are humble and meek,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '53', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'Who are conscious that they have to meet their Lord, and to Him they have to return.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '54', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'Remember, O children of Israel, the favours I bestowed on you, and made you exalted among the nations of the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '55', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'Take heed of the day when no man will be useful to man in the least, when no intercession matter nor ransom avail, nor help reach them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '56', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'Remember, We saved you from the Pharaoh\'s people who wronged and oppressed you and slew your sons but spared your women: In this was a great favour from your Lord.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '57', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'Remember, We parted the sea and saved you, and drowned the men of Pharaoh before your very eyes.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '58', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'Yet, remember, as We communed with Moses for forty nights you took the calf in his absence (and worshipped it), and you did wrong.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '59', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'Even so, We pardoned you that you may be grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '60', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'Remember, We gave Moses the Book and Discernment of falsehood and truth, that you may be guided.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '61', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'Remember, Moses said: "My people, by taking this calf you have done yourselves harm, so now turn to your Creator in repentance, and kill your pride, which is better with your Lord." And (the Lord) softened towards you, for He is all-forgiving and merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '62', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'Remember, when you said to Moses: "We shall not believe in you until we see God face to face," lightning struck you as you looked.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '63', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'Even then We revived you after you had become senseless that you might give thanks;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '64', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'And made the cloud spread shade over you, and sent for you manna and quails that you may eat of the good things We have made for you. No harm was done to Us, they only harmed themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '65', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'And remember, We said to you: "Enter this city, eat wherever you like, as much as you please, but pass through the gates in humility and say: \'May our sins be forgiven.\' We shall forgive your trespasses and give those who do good abundance.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '66', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'But the wicked changed and perverted the word We had spoken to a word distorted, and We sent from heaven retribution on the wicked, for they disobeyed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '67', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'And remember, when Moses asked for water for his people, We told him to strike the rock with his staff, and behold, twelve springs of gushing water gushed forth so that each of the tribes came to know its place of drinking. Eat and drink, (enjoy) God\'s gifts, and spread no discord in the land.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '68', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'Remember, when you said: "O Moses, we are tired of eating the same food (day after day), ask your Lord to give us fruits of the earth, herbs and cucumbers, grains and lentils and onions;" he said: "Would you rather exchange what is good with what is bad? Go then to the city, you shall have what you ask." So they were disgraced and became indigent, earning the anger of God, for they disbelieved the word of God, and slayed the prophets unjustly, for they transgressed and rebelled.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '69', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'Surely the believers and the Jews, Nazareans and the Sabians, whoever believes in God and the Last Day, and whosoever does right, shall have his reward with his Lord and will neither have fear nor regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '70', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'Remember the day We made the covenant with you and exalted you on the Mount and said: "Hold fast to what We have given you, and remember what is therein that you may take heed."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '71', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'But you went back (on your word), and but for the mercy and grace of God you were lost.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '72', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'You know and have known already those among you who had broken the sanctity of the Sabbath, and to whom We had said: "Become (like) apes despised,"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '73', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'And whom We made an example for the people (of the day) and those after them, and warning for those who fear God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '74', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'Remember, when Moses said to his people: "God demands that you sacrifice a cow," they said: "Are you making fun of us?" And he said: "God forbid that I be of the ignorant."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '75', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => '"Call on your Lord for us," they said, "that He might inform us what kind she should be." "Neither old nor young, says God, but of age in between," answered Moses. "So do as you are bid."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '76', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => '"Call on your Lord," they said, "to tell us the colour of the cow." "God says," answered Moses, "a fawn coloured cow, rich yellow, well pleasing to the eye."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '77', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => '"Call on your Lord," they said, "to name its variety, as cows be all alike to us. If God wills we shall be guided aright."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '78', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'And Moses said: "He says it\'s a cow unyoked, nor worn out by ploughing or watering the fields, one in good shape with no mark or blemish." "Now have you brought us the truth," they said; and then, after wavering, they sacrificed the cow.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '79', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'Remember when you killed a man and blamed each other for the deed, God brought to light what you concealed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '80', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'We had pronounced already: "Slay (the murderer) for (taking a life)." Thus God preserves life from death and shows you His signs that you may understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '81', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'Yet, in spite of this, your hearts only hardened like rocks or even harder, but among rocks are those from which rivers flow; and there are also those which split open and water gushes forth; as well as those that roll down for fear of God. And God is not negligent of all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '82', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'How do you expect them to put their faith in you, when you know that some among them heard the word of God and, having understood, perverted it knowingly?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '83', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'For when they meet the faithful, they say: "We believe;" but when among themselves, they say: "Why do you tell them what the Lord has revealed to you? They will only dispute it in the presence of your Lord. Have you no sense indeed?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '84', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => 'Do they not know that God is aware of what they hide and what they disclose?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '85', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => 'Among them are heathens who know nothing of the Book but only what they wish to believe, and are only lost in fantasies.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '86', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => 'But woe to them who fake the Scriptures and say: "This is from God," so that they might earn some profit thereby; and woe to them for what they fake, and woe to them for what they earn from it!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '87', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'Yet they say: "The Fire will not touch us for more than a few days." Say.. "Have you so received a promise from God?" "Then surely God will not withdraw His pledge. Or do you impute things to God of which you have no knowledge at all?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '88', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'Why, they who have earned the wages of sin and are enclosed in error, are people of Hell, where they will abide for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '89', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'But those who believe and do good deeds are people of Paradise, and shall live there forever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '90', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'Remember, when We made a covenant with the people of Israel and said: "Worship no one but God, and be good to your parents and your kin, and to orphans and the needy, and speak of goodness to men; observe your devotional obligations, and give zakat (the due share of your wealth for the welfare of others)," you went back (on your word), except only a few, and paid no heed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '91', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'And remember, when We made a covenant with you whereby you agreed you will neither shed blood among you nor turn your people out of their homes, you promised, and are witness to it too.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '92', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'But you still kill one another, and you turn a section of your people from their homes, assisting one another against them with guilt and oppression. Yet when they are brought to you as captives you ransom them, although forbidden it was to drive them away. Do you, then, believe a part of the Book and reject a part? There is no other award for them who so act but disgrace in the world, and on the Day of Judgement the severest of punishment; for God is not heedless of all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '93', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'They are those who bought the life of the world at the cost of the life to come; and neither will their torment decrease nor help reach them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '94', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'Remember We gave Moses the Book and sent after him many an apostle; and to Jesus, son of Mary, We gave clear evidence of the truth, reinforcing him with divine grace. Even so, when a messenger brought to you what did not suit your mood you turned haughty, and called some imposters and some others you slew.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '95', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'And they say: "Our hearts are enfolded in covers." In fact God has cursed them for their unbelief; and only a little do they believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '96', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'And when the Book was sent to them by God verifying what had been revealed to them already even though before it they used to pray for victory over the unbelievers and even though they recognised it when it came to them, they renounced it. The curse of God be on those who deny!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '97', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'They bartered their lives ill denying the revelation of God out of spite that God should bestow His grace among His votaries on whomsoever He will, and thus earned wrath upon wrath. The punishment for disbelievers is ignominious.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '98', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => 'And when it is said to them: "believe in what God has sent down," they say: "We believe what was sent to us, and do not believe what has come thereafter," although it affirms the truth they possess already. Say: "Why have you then been slaying God\'s apostles as of old, if you do believe?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '99', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'Although Moses had come to you with evidence of the truth, you chose the calf in his absence, and you transgressed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '100', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'Remember when We took your pledge and exalted you on the Mount (saying:) "Hold fast to what We have given you, firmly, and pay heed," you said: "We have heard and will not obey." (The image of) the calf had sunk deep into their hearts on account of unbelief. Say: "Vile is your belief if you are believers indeed!"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '101', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => 'Tell them: "If you think you alone will abide with God to the exclusion of the rest of Mankind, in the mansions of the world to come, then wish for death if what you say is true."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '102', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'But they will surely not wish for death because of what they had done in the past; and God knows the sinners well.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '103', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'You will see they are covetous of life more than other men, even more than those who practise idolatry. Each one of them desires to live a thousand years, although longevity will never save them from punishment, for God sees all they do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '104', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'Say: "Whosoever is the enemy of Gabriel who revealed the word of God to you by the dispensation of God, reaffirming what had been revealed before, and is a guidance and good news for those who believe, --', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '105', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'Whosoever is the enemy of God and His angels and apostles, and of Gabriel and Michael, then God is the enemy of such unbelievers."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '106', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'We have sent clear signs to you, such as none can deny except those who transgress the truth.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '107', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'And every time they made a pledge some of them pushed it aside, and many of them do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '108', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'When a messenger was sent to them by God affirming the Books they had already received, some of them put (His message) behind their backs as if they had no knowledge of it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '109', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'And they follow what devilish beings used to chant against the authority of Solomon, though Solomon never disbelieved and only the devils denied, who taught sorcery to men, which, they said, had been revealed to the angels of Babylon, Harut and Marut, who, however, never taught it without saying: "We have been sent to deceive you, so do not renounce (your faith)." They learnt what led to discord between husband and wife. Yet they could not harm any one or without the dispensation of God. And they learnt what harmed them and brought no gain. They knew indeed whoever bought this had no place in the world to come, and that surely they had sold themselves for something that was vile. If only they had sense!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '110', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'Had they come to believe instead, and taken heed for themselves, they would surely have earned from God a far better reward. If only they had sense!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '111', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'Say not (to the Prophet), O Believers: "Have regard for us (ra\'ina)," but "look at us (unzurna)," and obey him in what he says. Painful is the nemesis for disbelievers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '112', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => 'Those without faith among the people of the Book, and those who worship idols, do not wish that good should come to you from your Lord. But God chooses whom He likes for His grace; and the bounty of God is infinite.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '113', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'When We cancel a message (sent to an earlier prophet) or throw it into oblivion, We replace it with one better or one similar. Do you not know that God has power over all things?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '114', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'Do you not know that God\'s is the kingdom of the heavens and the earth, and that there is none to save and protect you apart from God?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '115', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'Do you too, O believers, wish to question your Apostle as Moses was in the past? But he who takes unbelief in exchange for belief only strays from the right path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '116', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'How many of the followers of the Books having once known the truth desire in their hearts, out of envy, to turn you into infidels again even after the truth has become clear to them! But you forbear and overlook till God fulfil His plan; and God has power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '117', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '110', 'translate_name' => 'Fulfil your devotional obligations and pay the zakat. And what you send ahead of good you will find with God, for He sees all that you do ill.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '118', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '111', 'translate_name' => 'And they say: "None will go to Paradise but the Jews and the Christians;" but this is only wishful thinking. Say: "Bring the proof if you are truthful."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '119', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '112', 'translate_name' => 'Only he who surrenders to God with all his heart and also does good, will find his reward with his Lord, and will have no fear or regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '120', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '113', 'translate_name' => 'The Jews say: "The Christians are not right," and the Christians say: "The Jews are in the wrong;" yet both read the Scriptures; and this is what the unread had said too. God alone will judge between them in their differences on the Day of Reckoning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '121', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '114', 'translate_name' => 'And who is more unjust than he who prohibits the name of God being used in His mosques, who hurries to despoil them even though he has no right to enter them except in reverence? For them is ignominy in the world and severe punishment in the life to come.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '122', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '115', 'translate_name' => 'To God belong the East and the West. Wherever you turn the glory of God is everywhere: All-pervading is He and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '123', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '116', 'translate_name' => 'Yet they say that God has begotten a son. May He be praised! Indeed everything in the heavens and the earth belongs to Him, and all are obedient to God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '124', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '117', 'translate_name' => 'Creator of the heavens and the earth from nothingness, He has only to say when He wills a thing: "Be", and it is.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '125', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '118', 'translate_name' => 'But those who are ignorant say: "Why does God not speak or show us a sign?" The same question had been asked by men before them, who were like them in their hearts. But to those who are firm in their faith We have shown Our signs already.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '126', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '119', 'translate_name' => 'And We have sent you with the truth to give glad tidings and to warn. You will not be questioned about those and who are inmates of Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '127', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '120', 'translate_name' => 'The Jews and Christians will never be pleased with you until you follow their way. Say: "God\'s guidance alone is true guidance;" for if you give in to their wishes after having received the (Book of) knowledge from God, then none will you have as friend or helper to save you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '128', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '121', 'translate_name' => 'Those to whom We have sent down the Book, and who read it as it should be read, believe in it truly; but those who deny it will be losers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '129', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '122', 'translate_name' => 'O children of Israel, remember the favours I bestowed on you, and made you exalted among the nations of the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '130', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '123', 'translate_name' => 'Fear the day when no man will stand up for man in the least, and no ransom avail nor intercession matter nor help reach.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '131', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '124', 'translate_name' => 'Remember, when his Lord tried Abraham by a number of commands which he fulfilled, God said to him: "I will make you a leader among men." And when Abraham asked: "From my progeny too?" the Lord said: "My pledge does not include transgressors."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '132', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '125', 'translate_name' => 'Remember, We made the House (of Ka\'bah) a place of congregation and safe retreat, and said: "Make the spot where Abraham stood the place of worship;" and enjoined upon Abraham and Ishmael to keep Our House immaculate for those who shall walk around it and stay in it for contemplation and prayer, and for bowing in adoration.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '133', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '126', 'translate_name' => 'And when Abraham said: "O Lord, make this a city of peace, and give those of its citizens who believe in God and the Last Day fruits for food," He answered: "To those will I also give a little who believe not, for a time, then drag them to Hell, a dreadful destination!"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '134', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '127', 'translate_name' => 'And when Abraham was raising the plinth of the House with Ishmael, (he prayed): "Accept this from us, O Lord, for You hear and know everything;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '135', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '128', 'translate_name' => 'And make us submit, O Lord, to Your will, and our progeny a people submissive to You. Teach us the way of worship and forgive our trespasses, for You are compassionate and merciful;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '136', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '129', 'translate_name' => 'And send to them, O Lord, an apostle from among them to impart Your messages to them, and teach them the Book and the wisdom, and correct them in every way; for indeed You are mighty and wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '137', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '130', 'translate_name' => 'Who will turn away from the creed of Abraham but one dull of soul? We made him the chosen one here in the world, and one of the best in the world to come,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '138', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '131', 'translate_name' => '(For) when his Lord said to him: "Obey," he replied: "I submit to the Lord of all the worlds."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '139', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '132', 'translate_name' => 'And Abraham left this legacy to his sons, and to Jacob, and said: "O my sons, God has chosen this as the faith for you. Do not die but as those who have submitted (to God)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '140', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '133', 'translate_name' => 'Were you present at the hour of Jacob\'s death? "What will you worship after me?" he asked his sons, and they answered: "We shall worship your God and the God of your fathers, of Abraham and Ishmael and Isaac, the one and only God; and to Him we submit."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '141', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '134', 'translate_name' => 'Those were the people, and they have passed away. Theirs the reward for what they did, as yours will be for what you do. You will not be questioned about their deeds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '142', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '135', 'translate_name' => 'They say: "Become Jews or become Christians, and find the right way." Say: "No. We follow the way of Abraham the upright, who was not an idolater."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '143', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '136', 'translate_name' => 'Say: "We believe in God and what has been sent down to us, and what had been revealed to Abraham and Ishmael and Isaac and Jacob and their progeny, and that which was given to Moses and Christ, and to all other prophets by the Lord. We make no distinction among them, and we submit to Him."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '144', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '137', 'translate_name' => 'If they come to believe as you did, they will find the right path. If they turn away then they will only oppose; but God will suffice you against them, for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '145', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '138', 'translate_name' => '"We have taken the colouring of God; and whose shade is better than God\'s? Him alone we worship."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '146', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '139', 'translate_name' => 'Say: "Why do you dispute with us about God when He is equally your Lord and our Lord? To us belong our actions, to you yours; and we are true to Him."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '147', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '140', 'translate_name' => 'Or do you claim that Abraham and Ishmael and Isaac and Jacob and their offspring were Jews or Christians? Say: "Have you more knowledge than God?" Who is more wicked than he who conceals the testimony he received from God? God is not unaware of all you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '148', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '141', 'translate_name' => 'They were the people, and they have passed away. Theirs the reward for what they did, as yours will be for what you do. You will not be questioned about their deeds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '149', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '142', 'translate_name' => 'The foolish will now ask and say: "What has made the faithful turn away from the Qiblah towards which they used to pray?" Say: "To God belong the East and the West. He guides who so wills to the path that is straight."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '150', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '143', 'translate_name' => 'We have made you a temperate people that you act as witness over man, and the Prophet as witness over you. We decreed the Qiblah which you faced before that We may know who follow the Apostle and who turn away in haste. And this was a hard (test) except for those who were guided by God. But God will not suffer your faith to go waste, for God is to men full of mercy and grace.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '151', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '144', 'translate_name' => 'We have seen you turn your face to the heavens. We shall turn you to a Qiblah that will please you. So turn towards the Holy Mosque, and turn towards it wherever you be. And those who are recipients of the Book surely know that this is the truth from their Lord; and God is not negligent of all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '152', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '145', 'translate_name' => 'Even though you bring all the proof to the people of the Book they will not face the direction you turn to, nor you theirs, nor will they follow each other\'s direction. And if you follow their whims after all the knowledge that has reached you, then surely you will be among transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '153', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '146', 'translate_name' => 'Those to whom We have sent down the Book know this even as they know their sons. Yet a section among them conceals the truth knowingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '154', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '147', 'translate_name' => 'The truth is from your Lord, so be not among those who are sceptics.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '155', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '148', 'translate_name' => 'Each has a goal to which he turns. So strive towards piety and excel the others: God will bring you all together wheresoever you be. God has power over everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '156', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '149', 'translate_name' => 'Wherever you come from turn towards the Holy Mosque: This in truth is from your Lord. God is not negligent of all you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '157', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '150', 'translate_name' => 'Whichever place you come from turn towards the Holy Mosque, and wherever you are, turn your faces towards it so that people may have no cause for argument against you, except such among them as are wicked. But do not fear them, fear Me that I may accomplish My favours on you, and you may find the right way perchance.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '158', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '151', 'translate_name' => 'Even as We sent a messenger from among you to convey Our messages to you and cleanse you, and teach you the Book and the wisdom, and what you did not know;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '159', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '152', 'translate_name' => 'So, therefore, remember Me, and I shall remember you; and give thanks and do not be ungrateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '160', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '153', 'translate_name' => 'O you who believe, seek courage in fortitude and prayer, for God is with those who are patient and persevere.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '161', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '154', 'translate_name' => 'Do not say that those who are killed in the way of God, are dead, for indeed they are alive, even though you are not aware.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '162', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '155', 'translate_name' => 'Be sure We shall try you with something of fear and hunger and loss of wealth and life and the fruits (of your labour); but give tidings of happiness to those who have patience,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '163', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '156', 'translate_name' => 'Who say when assailed by adversity: "Surely we are for God, and to Him we shall return."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '164', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '157', 'translate_name' => 'On such men are the blessings of God and His mercy, for they are indeed on the right path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '165', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '158', 'translate_name' => 'Truly Safa and Marwa are the symbols of God. Whoever goes on pilgrimage to the House (of God), or on a holy visit, is not guilty of wrong if he walk around them; and he who does good of his own accord will find appreciation with God who knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '166', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '159', 'translate_name' => 'They who conceal Our signs and the guidance We have sent them and have made clear in the Book, are condemned of God and are condemned by those who are worthy of condemning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '167', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '160', 'translate_name' => 'But those who repent and reform and proclaim (the truth), are forgiven, for I am forgiving and merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '168', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '161', 'translate_name' => 'But those who deny, and die disbelieving, bear the condemnation of God and the angels and that of all men,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '169', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '162', 'translate_name' => 'Under which they will live, and their suffering will neither decrease nor be respite for them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '170', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '163', 'translate_name' => 'Your God is one God; there is no god other than He, the compassionate, ever-merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '171', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '164', 'translate_name' => 'Creation of the heavens and the earth, alternation of night and day, and sailing of ships across the ocean with what is useful to man, and the rain that God sends from the sky enlivening the earth that was dead, and the scattering of beasts of all kinds upon it, and the changing of the winds, and the clouds which remain obedient between earth and sky, are surely signs for the wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '172', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '165', 'translate_name' => 'And yet there are men who take others as compeers of God, and bestow on them love due to God; but the love of the faithful for God is more intense. If only the wicked could see now the agony that they will behold (on the Day of Resurrection), they will know that to God belongs the power entirely\'. And the punishment of God is severe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '173', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '166', 'translate_name' => 'When those who were followed will disclaim those who followed them, and see the torment all ties between them shall be severed,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '174', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '167', 'translate_name' => 'And the followers will say: "Could we live but once again we would leave them as they have abandoned us now." God will show them thus their deeds, and fill them with remorse; but never shall they find release from the Fire.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '175', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '168', 'translate_name' => 'O men, eat only the things of the earth that are lawful and good. Do not walk in the footsteps of Satan, your acknowledged enemy.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '176', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '169', 'translate_name' => 'He will ask you to indulge in evil, indecency, and to speak lies of God you cannot even conceive.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '177', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '170', 'translate_name' => 'When it is said to them: "Follow what God has revealed," they reply: "No, we shall follow only what our fathers had practiced," -- even though their fathers had no wisdom or guidance!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '178', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '171', 'translate_name' => 'The semblance of the infidels is that of a man who shouts to one that cannot hear more than a call and a cry. They are deaf, dumb and blind, and they fail to understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '179', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '172', 'translate_name' => 'O believers, eat what is good of the food We have given you, and be grateful to God, if indeed you are obedient to Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '180', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '173', 'translate_name' => 'Forbidden to you are carrion and blood, and the flesh of the swine, and that which has been consecrated (or killed) in the name of any other than God. If one is obliged by necessity to eat it without intending to transgress, or reverting to it, he is not guilty of sin; for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '181', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '174', 'translate_name' => 'Those who conceal any part of the Scriptures that God has revealed, and thus make a little profit thereby, take nothing but fire as food; and God will not turn to them on the Day of Resurrection, nor nourish them for growth; and their doom will be painful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '182', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '175', 'translate_name' => 'They are those who bartered away good guidance for error, and pardon for punishment: How great is their striving for the Fire', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '183', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '176', 'translate_name' => 'That is because God has revealed the Book containing the truth; but those who are at variance about it have gone astray in their contrariness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '184', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '177', 'translate_name' => 'Piety does not lie in turning your face to East or West: Piety lies in believing in God, the Last Day and the angels, the Scriptures and the prophets, and disbursing your wealth out of love for God among your kin and the orphans, the wayfarers and mendicants, freeing the slaves, observing your devotional obligations, and in paying the zakat and fulfilling a pledge you have given, and being patient in hardship, adversity, and times of peril. These are the men who affirm the truth, and they are those who follow the straight path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '185', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '178', 'translate_name' => 'O believers, ordained for you is retribution for the murdered, (whether) a free man (is guilty) of (the murder of) a free man, or a slave of a slave, or a woman of a woman. But he who is pardoned some of it by his brother should be dealt with equity, and recompense (for blood) paid with a grace. This is a concession from your Lord and a kindness. He who transgresses in spite of it shall suffer painful punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '186', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '179', 'translate_name' => 'In retribution there is life (and preservation). O men of sense, you may haply take heed for yourselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '187', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '180', 'translate_name' => 'It is ordained that when any one of you nears death, and he owns goods and chattels, he should bequeath them equitably to his parents and next of kin. This is binding on those who are upright and fear God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '188', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '181', 'translate_name' => 'And any one who changes the will, having heard it, shall be guilty and accountable; for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '189', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '182', 'translate_name' => 'He who suspects wrong or partiality on the part of the testator and brings about a settlement, does not incure any guilt, for God is verily forgiving and merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '190', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '183', 'translate_name' => 'O believers, fasting is enjoined on you as it was on those before you, so that you might become righteous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '191', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '184', 'translate_name' => 'Fast a (fixed) number of days, but if someone is ill or is travelling (he should complete) the number of days (he had missed); and those who find it hard to fast should expiate by feeding a poor person. For the good they do with a little hardship is better for men. And if you fast it is good for you, if you knew.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '192', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '185', 'translate_name' => 'Ramadan is the month in which the Qur\'an was revealed as guidance to man and clear proof of the guidance, and criterion (of falsehood and truth). So when you see the new moon you should fast the whole month; but a person who is ill or travelling (and fails to do so) should fast on other days, as God wishes ease and not hardship for you, so that you complete the (fixed) number (of fasts), and give glory to God for the guidance, and be grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '193', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '186', 'translate_name' => 'When My devotees enquire of you about Me, I am near, and answer the call of every supplicant when he calls. It behoves them to hearken to Me and believe in Me that they may follow the right path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '194', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '187', 'translate_name' => 'You are allowed to sleep with your wives on the nights of the fast: They are your dress as you are theirs. God is aware you were cheating yourselves, so He turned to you and pardoned you. So now you may have intercourse with them, and seek what God has ordained for you. Eat and drink until the white thread of dawn appears clear from the dark line, then fast until the night falls; and abstain from your wives (when you have decided) to stay in the mosques for assiduous devotion. These are the bounds fixed by God, so keep well within them. So does God make His signs clear to men that they may take heed for themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '195', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '188', 'translate_name' => 'And do not consume each other\'s wealth in vain, nor offer it to men in authority with intent of usurping unlawfully and knowingly a part of the wealth of others.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '196', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '189', 'translate_name' => 'They ask you of the new moons. Say: "These are periods set for men (to reckon) time, and for pilgrimage." Piety does not lie in entering the house through the back door, for the pious man is he who follows the straight path. Enter the house through the main gate, and obey God. You may haply find success.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '197', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '190', 'translate_name' => 'Fight those in the way of God who fight you, but do not be aggressive: God does not like aggressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '198', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '191', 'translate_name' => 'And fight those (who fight you) wheresoever you find them, and expel them from the place they had turned you out from. Oppression is worse than killing. Do not fight them by the Holy Mosque unless they fight you there. If they do, then slay them: Such is the requital for unbelievers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '199', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '192', 'translate_name' => 'But if they desist, God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '200', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '193', 'translate_name' => 'Fight them till sedition comes to end, and the law of God (prevails). If they desist, then cease to be hostile, except against those who oppress.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '201', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '194', 'translate_name' => '(Fighting during) the holy month (if the sanctity) of the holy month (is violated) is (just) retribution. So if you are oppressed, oppress those who oppress you to the same degree, and fear God, and know that God is with those who are pious and follow the right path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '202', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '195', 'translate_name' => 'Spend in the way of God, and do not seek destruction at your own hands. So do good for God loves those who do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '203', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '196', 'translate_name' => 'Perform the pilgrimage and holy visit (\'Umra, to Makkah) in the service of God. But if you are prevented, send an offering which you can afford as sacrifice, and do not shave your heads until the offering has reached the place of sacrifice. But if you are sick or have ailment of the scalp (preventing the shaving of hair), then offer expiation by fasting or else giving alms or a sacrificial offering. When you have security, then those of you who wish to perform the holy visit along with the pilgrimage, should make a sacrifice according to their means. But he who has nothing, should fast for three days during the pilgrimage and seven on return, completing ten. This applies to him whose family does not live near the Holy Mosque. Have fear of God, and remember that God is severe in punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '204', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '197', 'translate_name' => 'Known are the months of pilgrimage. If one resolves to perform the pilgrimage in these months, let him not indulge in concupiscence, sin or quarrel. And the good you do shall be known to God. Provide for the journey, and the best of provisions is piety. O men of understanding, obey Me.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '205', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '198', 'translate_name' => 'It is no sin to seek the favours of your Lord (by trading). When you start from \'Arafat in a concourse, remember God at the monument that is sacred (al-Mash\'ar al-haram), and remember Him as He has shown you the way, for in the olden days you we\'re a people astray.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '206', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '199', 'translate_name' => 'Then move with the crowd impetuously, and pray God to forgive you your sins. God is surely forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '207', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '200', 'translate_name' => 'When you have finished the rites and ceremonies, remember God as you do your fathers, in fact with a greater devotion. There are some who say: "Give us, O Lord, in the world;" but they will forego their share in the life to come.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '208', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '201', 'translate_name' => 'But some there are who pray: "Give us of good in the world, O Lord, and give us of good in the life to come, and suffer us not to suffer the torment of Hell."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '209', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '202', 'translate_name' => 'They are those who will surely have their share of whatsoever they have earned; for God is swift at the reckoning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '210', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '203', 'translate_name' => 'Remember God during the stated days; but if a person comes away after two days, it will not be a sin; and if one tarries, he will not transgress, if he keep away from evil. Follow the law of God, and remember that you will have to gather before Him in the end.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '211', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '204', 'translate_name' => 'There is a man who talks well of the world to your pleasing, and makes God witness to what is in his heart, yet he is the most contentious;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '212', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '205', 'translate_name' => 'For when his back is turned he goes about spreading disorder in the land, destroying fields and flocks; but God does not love disorder.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '213', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '206', 'translate_name' => 'Whenever he is told: "Obey God," his arrogance leads him to more sin; and sufficient for him shall be Hell: How evil a place of wide expanse!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '214', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '207', 'translate_name' => 'And there is a man who is willing to sell even his soul to win the favour of God; and God is compassionate to His creatures.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '215', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '208', 'translate_name' => 'O believers, come to full submission to God. Do not follow in the footsteps of Satan your acknowledged foe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '216', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '209', 'translate_name' => 'If you falter even after Our signs have reached you, then do not forget that God is all-powerful and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '217', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '210', 'translate_name' => 'Are they waiting for God to appear in the balconies of clouds with a host of angels, and the matter to be settled? But all things rest with God in the end.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '218', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '211', 'translate_name' => 'Ask the children of Israel how many a clear sign We had given them. But if one changes the favour of God after having received it, then remember, God is severe in revenge.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '219', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '212', 'translate_name' => 'Enamoured are the unbelievers of the life of this world, and scoff at the faithful. But those who keep from evil and follow the straight path will have a higher place than they on the Day of Reckoning; for God gives in measure without number whomsoever He will.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '220', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '213', 'translate_name' => 'Men belonged to a single community, and God sent them messengers to give them happy tidings and warnings, and sent the Book with them containing the truth to judge between them in matters of dispute; but only those who received it differed after receiving clear proofs, on account of waywardness (and jealousies) among them. Then God by His dispensation showed those who believed the way to the truth about which they were differing; for God shows whom He please the path that is straight.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '221', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '214', 'translate_name' => 'Do you think you will find your way to Paradise even though you have not known what the others before you have gone through? They had suffered affliction and loss, and were shaken and tossed about so that even the Apostle had to cry out with his followers: "When will the help of God arrive?" Remember, the help of God is ever at hand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '222', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '215', 'translate_name' => 'They ask you of what they should give in charity. Tell them: "What you can spare of your wealth as should benefit the parents, the relatives, the orphans, the needy, the wayfarers, for God is not unaware of the good deeds that you do."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '223', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '216', 'translate_name' => 'Enjoined on you is fighting, and this you abhor. You may dislike a thing yet it may be good for you; or a thing may haply please you but may be bad for you. Only God has knowledge, and you do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '224', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '217', 'translate_name' => 'They ask you of war in the holy month. Tell them: "To fight in that month is a great sin. But a greater sin in the eyes of God is to hinder people from the way of God, and not to believe in Him, and to bar access to the Holy Mosque and turn people out of its precincts; and oppression is worse than killing. They will always seek war against you till they turn you away from your faith, if they can. But those of you who turn back on their faith and die disbelieving will have wasted their deeds in this world and the next. They are inmates of Hell, and shall there abide for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '225', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '218', 'translate_name' => 'Surely those who believe, and those who leave their homes and fight in the way of God, may hope for His benevolence, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '226', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '219', 'translate_name' => 'They ask you of (intoxicants,) wine and gambling. Tell them: "There is great enervation though profit in them for men; but their enervation is greater than benefit. And they ask you what they should give. Tell them: "The utmost you can spare." So does God reveal His signs: You may haply reflect', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '227', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '220', 'translate_name' => 'On this world and the next. And they ask you about the orphans. Tell them: "Improving their lot is much better; and if you take interest in their affairs, they are your brethren; and God is aware who are corrupt and who are honest; and if He had pleased He could surely have imposed on you hardship, for God is all-powerful and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '228', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '221', 'translate_name' => 'Do not marry idolatrous women unless they join the faith. A maid servant who is a believer is better than an idolatress even though you may like her. And do not marry your daughters to idolaters until they accept the faith. A servant who is a believer is better than an idolater even though you may like him. They invite you to Hell, but God calls you to Paradise and pardon by His grace. And He makes His signs manifest that men may haply take heed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '229', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '222', 'translate_name' => 'They ask you about menstruation. Tell them: "This is a period of stress. So keep away from women in this state till they are relieved of it. When they are free of it, you may go to them as God has enjoined. For God loves those who seek pardon, and those who are clean."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '230', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '223', 'translate_name' => 'Women are like fields for you; so seed them as you intend, but plan the future in advance. And fear God, and remember, you have to face Him in the end. So convey glad tidings to those who believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '231', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '224', 'translate_name' => 'Do not implicate God in your oaths to avoid doing good and being pious and keeping peace among men, for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '232', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '225', 'translate_name' => 'God will not call you to account for that which is senseless in your oaths, but only for what is in your hearts; for God is forgiving and forbearing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '233', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '226', 'translate_name' => 'Those who swear to keep away from their wives (with intent of divorcing them) have four months of grace; then if they reconcile (during this period), surely God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '234', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '227', 'translate_name' => 'And if they are bent on divorce, God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '235', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '228', 'translate_name' => 'Women who are divorced have to wait for three monthly periods, and if they believe in God and the Last Day they must not hide unlawfully what God has formed within their wombs. Their husbands would do well to take them back in that case, if they wish to be reconciled. Women also have recognised rights as men have, though men have an edge over them. But God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '236', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '229', 'translate_name' => 'Divorce is (revokable) two times (after pronouncement), after which (there are two ways open for husbands), either (to) keep (the wives) honourably, or part with them in a decent way. You are not allowed to take away the least of what you have given your wives, unless both of you fear that you would not be able to keep within the limits set by God. If you fear you cannot maintain the bounds fixed by God, there will be no blame on either if the woman redeems herself. Do not exceed the limits of God, for those who exceed the bounds set by God are transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '237', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '230', 'translate_name' => 'If a man divorces her again (a third time), she becomes unlawful for him (and he cannot remarry her) until she has married another man. Then if he divorces her there is no harm if the two unite again if they think they will keep within the bounds set by God and made clear for those who understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '238', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '231', 'translate_name' => 'When you have divorced your wives, and they have reached the end of the period of waiting, then keep them honourably (by revoking the divorce), or let them go with honour, and do not detain them with the intent of harassing lest you should transgress. He who does so will wrong himself. Do not mock the decrees of God, and remember the favours God has bestowed on you, and revealed to you the Book and the Law to warn you of the consequences of doing wrong. Have fear of God, and remember, God is cognisant of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '239', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '232', 'translate_name' => 'When you have divorced your wives and they have completed the fixed term (of waiting), do not stop them from marrying other men if it is agreed between them honourably. This warning is for those among you who believe in God and the Last Day. This is both proper and right for you, for God knows and you do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '240', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '233', 'translate_name' => 'The mothers should suckle their babies for a period of two years for those (fathers) who wish that they should complete the suckling, in which case they should feed them and clothe them in a befitting way; but no soul should be compelled beyond capacity, neither the mother made to suffer for the child nor the father for his offspring. The same holds good for the heir of the father (if he dies). If they wish to wean the child by mutual consent there is no harm. And if you wish to engage a wet nurse you may do so if you pay her an agreed amount as is customary. But fear God, and remember that God sees all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '241', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '234', 'translate_name' => 'Wives of men who die among you should wait (after their husbands death) for four months and ten days; and when the term is over there is no sin if they do what they like with themselves honourably, for God is aware of all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '242', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '235', 'translate_name' => 'There is no harm in proposing in secret to (any of) these women, or keeping the intention to yourself: God is aware that you will keep them in mind. Yet do not make a promise in secret, unless you speak in a manner that is proper; and do not resolve upon marriage till the fixed term of waiting is over. Remember that God knows what is in your hearts; so be fearful of Him, and remember that God is forgiving and forbearing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '243', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '236', 'translate_name' => 'There is no sin in divorcing your wives before the consummation of marriage or settling the dowry; but then provide adequately for them, the affluent according to their means, the poor in accordance with theirs as is befitting. This is surely the duty of those who do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '244', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '237', 'translate_name' => 'And if you divorce them before the consummation of marriage, but after settling the dowry, then half the settled dowry must be paid, unless the woman forgoes it, or the person who holds the bond of marriage pays the full amount. And if the man pays the whole, it is nearer to piety. But do not forget to be good to each other, and remember that God sees all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '245', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '238', 'translate_name' => 'Be wakeful of your service of prayer, and the midmost service; and honour God by standing before Him in devotion.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '246', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '239', 'translate_name' => 'If you fear (war or danger), pray while standing or on horseback; but when you have safety again remember God, for He taught you what you did not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '247', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '240', 'translate_name' => 'Those among you about to die leaving wives behind, should bequeath a year\'s maintenance and lodging for them, without expelling them from home. But if they leave (of their own accord), you will not be blamed for what they do with themselves in their own rights. God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '248', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '241', 'translate_name' => 'Making a fair provision for women who are divorced is the duty of those who are God-fearing and pious.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '249', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '242', 'translate_name' => 'So does God pronounce His decrees that you may understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '250', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '243', 'translate_name' => 'Have you never thought of men who went out of their homes as a measure of safety against death, and they were thousands, to whom God said: "Die," then restored them to life? Indeed God bestows His blessings on men; only most men are not grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '251', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '244', 'translate_name' => 'Fight in the way of God, and remember that God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '252', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '245', 'translate_name' => 'Who will give a goodly loan to God which He might double many times? For God withholds and enlarges, and to Him you will return.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '253', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '246', 'translate_name' => 'Have you thought of the elders of Israel after Moses, and how they said to their apostle: "Set up a king for us, then we shall fight in the way of God?" He replied: "This too is possible that when commanded to fight you may not fight at all." They said: "How is it we should not fight in the way of God when we have been driven from our homes and deprived of our Sons?" But when they were ordered to fight they turned away, except for a few; yet God knows the sinners.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '254', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '247', 'translate_name' => 'And when their prophet said to them: "God has raised Saul king over you," they said: "How can he be king over us when we have greater right to kingship than he, for he does not even possess abundant wealth?" "God has chosen him in preference to you," said the prophet "and given him much more wisdom and prowess; and God gives authority to whomsoever He will: God is infinite and all-wise."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '255', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '248', 'translate_name' => 'Their prophet said to them: "The sign of his kingship will be that you will come to have a heart full of peace and tranquility from your Lord and the legacy left by Moses\' and Aaron\'s family supported by angels. This shall be a token for you if you really believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '256', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '249', 'translate_name' => 'When Saul led his armies, he said: "God will test you by a stream. Whoever drinks its water will not be of me; but those who do not drink shall be on my side. The only exception will be those who scoop up a palmful of water with their hands." And but for a few they all drank of its water. When they had crossed it, and those who believed with him, they said: "We have no strength to combat Goliath and his forces today. But those who believed they have to face their Lord, said: "Many a time has a small band defeated a large horde by the will of God. God is with those who are patient (and persevere)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '257', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '250', 'translate_name' => 'And when they were facing Goliath and his hordes they prayed: "O Lord, give us endurance and steady our steps, and help us against the deniers of truth."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '258', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '251', 'translate_name' => 'By the will of God they defeated them, and David killed Goliath, and God gave him kingship and wisdom, and taught him whatsoever He pleased. If God did not make men deter one another this earth would indeed be depraved. But gracious is God to the people of the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '259', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '252', 'translate_name' => 'These are the messages of God. We recite them to you in all truth, as indeed you are one of the apostles.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '260', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '253', 'translate_name' => 'Of all these apostles We have favoured some over the others. God has addressed some of them, and the stations of some have been exalted over the others. And to Jesus, son of Mary, We gave tokens, and reinforced him with divine grace. If God had so willed those who came after them would never have contended when clear signs had come to them. But dissensions arose, some believed, some denied. And if God had willed they would never have fought among themselves. But God does whatsoever He please.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '261', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '254', 'translate_name' => 'O believers, expend of what We have given you before the day arrives on which there will be no barter, and no friendship or intercession matter, and those who are disbelievers will be sinners.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '262', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '255', 'translate_name' => 'God: There is no god but He, the living, eternal, self-subsisting, ever sustaining. Neither does somnolence affect Him nor sleep. To Him belongs all that is in the heavens and the earth: and who can intercede with Him except by His leave? Known to Him is all that is present before men and what is hidden (in time past and time future), and not even a little of His knowledge can they grasp except what He will. His seat extends over heavens and the earth, and He tires not protecting them: He alone is all high and supreme.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '263', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '256', 'translate_name' => 'There is no compulsion in matter of faith. Distinct is the way of guidance now from error. He who turns away from the forces of evil and believes in God, will surely hold fast to a handle that is strong and unbreakable, for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '264', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '257', 'translate_name' => 'God is the friend of those who believe, and leads them out of darkness into light; but the patrons of infidels are idols and devils who lead them from light into darkness. They are the residents of Hell, and will there for ever abide.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '265', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '258', 'translate_name' => 'Have you thought of the man who argued with Abraham about his Lord because God had given him a kingdom? When Abraham said: "My Lord is the giver of life and death," he replied: "I am the giver of life and death." And Abraham said: "God makes the sun rise from the East; so you make it rise from the West," and dumbfounded was the infidel. God does not guide those who are unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '266', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '259', 'translate_name' => 'Or take the man who passed by a town which lay destroyed upside down. He said: "How can God restore this city now that it is destroyed?" So God made him die for a hundred years, then brought him back to life, and inquired: "How long did you stay in this state?" "A day or less than a day," he replied. "No," He said, "you were dead a hundred years, yet look at your victuals, they have not decomposed; and look at your ass! We shall make you a warning for men. And regard the bones, how We raise them and clothe them with flesh." When this became clear to him, the man said: "Indeed God has power over all things."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '267', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '260', 'translate_name' => 'Remember, when Abraham said: "O Lord, show me how you raise the dead," He said: "What! Do you not believe?" "I do," answered Abraham. "I only ask for my heart\'s assurance." (The Lord) said: "Trap four birds and tame them, then put each of them on a (separate) hill, and call them, and they will come flying to you. Know that God is all-powerful and all-wise."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '268', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '261', 'translate_name' => 'The semblance of those who expend their wealth in the way of God is that of a grain of corn from which grow seven ears, each ear containing a hundred grains. Truly God increases for whomsoever He will, for God is infinite and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '269', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '262', 'translate_name' => 'Those who spend in the way of God, and having spent do not boast or give pain (by word or deed), will get their reward from their Lord, and will neither have fear nor regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '270', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '263', 'translate_name' => 'Saying a word that is kind, and forgiving is better than charity that hurts. (Do not forget that) God is affluent and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '271', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '264', 'translate_name' => 'O believers, do not nullify your charity by giving to oblige and flaunting (your favours) like a man who spends of his wealth only to show off, but does not believe in God and the Last Day. His semblance is that of a rock covered with earth which is washed away by rain exposing the hard rock bare. So they gain nothing from their earnings. God does not guide a people who do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '272', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '265', 'translate_name' => 'But the semblance of those who expend their wealth to please God with firm and resolute hearts, is like a garden on a height on which the rain falls and it yields its fruits twice as much; and even if the rain does not fall the dew will suffice. For God sees all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '273', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '266', 'translate_name' => 'Does any of you wish to have an orchard full of date-palm trees and vines, and streams of running water and fruits of all kinds, and then old age should overtake him while his children are small, and a scorching whirlwind should smite and burn it down? Thus God makes His signs clear to you that you may reflect.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '274', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '267', 'translate_name' => 'O believers, give in charity what is good of the things you have earned, and of what you produce from the earth; and do not choose to give what is bad as alms, that is, things you would not like to accept yourself except with some condescension. Remember that God is affluent and praiseworthy.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '275', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '268', 'translate_name' => 'Satan threatens you with want, and orders you (to commit) shameful acts. But God promises His pardon and grace, for God is bounteous and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '276', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '269', 'translate_name' => 'He gives wisdom to whomsoever He please; and those who are bestowed wisdom get good in abundance. Yet none remembers this save men of wisdom.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '277', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '270', 'translate_name' => 'Whatsoever you give away in alms or vow as offering, is all known to God; but the wicked will have none to help them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '278', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '271', 'translate_name' => 'If you give alms openly, it is well; but if you do it secretly and give to the poor, that is better. This will absolve you of some of your sins; and God is cognisant of all you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '279', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '272', 'translate_name' => 'It is not for you to guide them: God guides whom He will. Whatever you spend you will do so for yourself, for you will do so to seek the way that leads to God; and what you spend in charity you will get back in full, and no wrong will be done to you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '280', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '273', 'translate_name' => '(Give to) the needy who are engaged in the service of God who are not able to move about in the land, whom the ignorant consider to be affluent as they refrain from asking. You can know them from their faces for they do not ask of men importunately. God is surely cognisant of good things that you spend.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '281', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '274', 'translate_name' => 'Those who spend of their wealth in the way of God, day and night, in secret or openly, have their reward with their Lord, and have nothing to fear or regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '282', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '275', 'translate_name' => 'Those who live on usury will not rise (on Doomsday) but like a man possessed of the devil and demented. This because they say that trading is like usury. But trade has been sanctioned and usury forbidden by God. Those who are warned by their Lord and desist will keep (what they have taken of interest) already, and the matter will rest with God. But those who revert to it again are the residents of Hell where they will abide for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '283', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '276', 'translate_name' => 'God takes away (gain) from usury, but adds (profit) to charity; and God does not love the ungrateful and sinners.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '284', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '277', 'translate_name' => 'Those who believe and do good deeds, and fulfil their devotional obligations and pay the zakat, have their reward with their Lord, and will have neither fear nor regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '285', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '278', 'translate_name' => 'O believers, fear God and forego the interest that is owing, if you really believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '286', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '279', 'translate_name' => 'If you do not, beware of war on the part of God and His Apostle. But if you repent, you shall keep your principal. Oppress none and no one will oppress you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '287', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '280', 'translate_name' => 'If a debtor is in want, give him time until his circumstances improve; but if you forego (the debt) as charity, that will be to your good, if you really understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '288', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '281', 'translate_name' => 'Have fear of the day when you go back to God. Then each will be paid back in full his reward, and no one will be wronged.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '289', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '282', 'translate_name' => 'O believers, when you negotiate a debt for a fixed term, draw up an agreement in writing, though better it would be to have a scribe write it faithfully down; and no scribe should refuse to write as God has taught him, and write what the borrower dictates, and have fear of God, his Lord, and not leave out a thing. If the borrower is deficient of mind or infirm, or unable to explain, let the guardian explain judiciously; and have two of your men to act as witnesses; but if two men are not available, then a man and two women you approve, so that in case one of them is confused the other may prompt her. When the witnesses are summoned they should not refuse (to come). But do not neglect to draw up a contract, big or small, with the time fixed for paying back the debt. This is more equitable in the eyes of God, and better as evidence and best for avoiding doubt. But if it is a deal about some merchandise requiring transaction face to face, there is no harm if no (contract is drawn up) in writing. Have witnesses to the deal, (and make sure) that the scribe or the witness is not harmed. If he is, it would surely be sinful on your part. And have fear of God, for God gives you knowledge, and God is aware of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '290', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '283', 'translate_name' => 'If you are on a journey and cannot find a scribe, pledge your goods (against the Loan); and if one trusts the other, then let him who is trusted deliver the thing entrusted, and have fear of God, his Lord. Do not suppress any evidence, for he who conceals evidence is sinful of heart; and God is aware of all you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '291', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '284', 'translate_name' => 'To God belongs all that is in the heavens and the earth; and whether you reveal what is in your heart or conceal it, you will have to account for it to God who will pardon whom He please and punish whom He will, for God has the power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '292', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '285', 'translate_name' => 'The Prophet believes in what has been revealed to him by his Lord, and so do the faithful. Each one believes in God and His angels, His Books and the prophets, and We make no distinction between the apostles. For they say: "We hear and obey, and we seek Your forgiveness, O Lord, for to You we shall journey in the end."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '293', 'chapter_id' => '2', 'translator_id' => '1', 'verse_number' => '286', 'translate_name' => 'God does not burden a soul beyond capacity. Each will enjoy what (good) he earns, as indeed each will suffer from (the wrong) he does. Punish us not, O Lord, if we fail to remember or lapse into error. Burden us not, O Lord, with a burden as You did those before us. Impose not upon us a burden, O Lord, we cannot carry. Overlook our trespasses and forgive us, and have mercy upon us; You are our Lord and Master, help us against the clan of unbelievers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '294', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'ALIF LAM MIM.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '295', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'God: there is no god but He, the living, eternal, self-subsisting, ever sustaining.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '296', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'He has verily revealed to you this Book, in truth and confirmation of the Books revealed before, as indeed He had revealed the Torah and the Gospel', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '297', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'Before this as guidance for men, and has sent the criterion (of falsehood and truth). As for those who deny the signs of God, the punishment is severe; for God is all powerful and great His requital.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '298', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'There is nothing in the earth and the heavens that is hidden from God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '299', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'He shapes you in the womb of the mother as He wills. There is no god but He, the all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '300', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'He has sent down this Book which contains some verses that are categorical and basic to the Book, and others allegorical. But those who are twisted of mind look for verses metaphorical, seeking deviation and giving to them interpretations of their own; but none knows their meaning except God; and those who are steeped in knowledge affirm: "We believe in them as all of them are from the Lord." But only those who have wisdom understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '301', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => '"Let us not go astray, O Lord, having guided us already. Bestow on us Your blessings for You are the benevolent.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '302', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'You will gather mankind together, O Lord, on a day that is certain to come, and God does not fail in His promise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '303', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'As for those who deny, neither their wealth nor their children will help them in the least against God. They shall be but faggots for (the fire of) Hell,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '304', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'Like the people of the Pharaoh, and those before them, who rejected Our signs, and were punished for their sins by God; and the punishment of God is severe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '305', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'So tell the disbelievers: "You will surely be subdued and driven to Hell: How bad a preparation!"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '306', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'There was a token for you in the two armies which clashed (in the battle of Badr), one fighting for God, the other of unbelievers who saw with their own eyes the faithful to be two times as many as they, for God reinforces with His help whomsoever He will. In this is a lesson for those who have eyes.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '307', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'Enamoured are the people of the lust of (earthly) pleasures, of women and of children and hoarded heaps of gold and silver, well-bred horses, and tilled land and cattle, all (vain) goods and chattels of the life of this world, while the best of abodes is with God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '308', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'Say: "Shall I tell you of (things) even better? With the Lord are gardens with running streams of water for those who keep from evil and follow the straight path, where they will live unchanged with the purest of companions and blessings of God." And under God\'s eyes are devotees', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '309', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'who say: "O Lord, we believe; forgive our trespasses and save us the torment of Hell."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '310', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'They are the patient, the sincere and devout, full of charity, who pray for forgiveness in the hours of dawn.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '311', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'God is witness there is no god but He, and so are the angels and men full of learning. He is the upholder of justice. There is no god but He, the mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '312', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'The true way with God is peace; and the people of the Book did not differ until knowledge (of this revelation) had come to them, out of mutual opposition. But those who deny the signs of God (should remember) He is swift in the reckoning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '313', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'Even then if they argue, tell them: "I have bowed in submission to God, and so have my followers." And tell the people of the Book and the Arabs: "Do you submit?" If they do, they will find the right path; if they turn away, your duty is to deliver the message. And God keeps an eye on His votaries.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '314', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'To those who deny the signs of God, and slay the apostles unjustly, and slay the upholders of justice, give news of painful punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '315', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'Their good deeds will be wasted in this world and in the next, and none will they have to help them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '316', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'Have you not seen the people who have received a part of Revelation who are called to the Book of God that it may judge (in their disputes) between them? But some, being averse turn away,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '317', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'For they say: "The Fire will not touch us for more than a few days." They have been deceived by the lies they have themselves fabricated, and stray from their faith.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '318', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'How shall it be when We gather them together on a day that is certain to come, when each will receive his reward without (favour or) wrong?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '319', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'Say: "O Lord of all dominions, You give whom it pleases You the kingdom, and You take away the power from whosoever You will; You exalt whom You please and debase whom You will. All goodness is Yours (entirely). Indeed You have the power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '320', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'You make the night succeed the day, the day succeed the night, raise the living from the dead, the dead from the living, and give whomsoever You please, and in measure without number."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '321', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'Those who believe should not take unbelievers as their friends in preference to those who believe -- and whoever does so should have no (expectations) of God -- unless to safeguard yourselves against them. But God commands you to beware of Him, for to God you will journey in the end.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '322', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'Say: "Whether you conceal or reveal whatsoever is in your hearts it is all known to God, as is known to Him all that is in the heavens and the earth; and God has the power over all things."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '323', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'On the day when every man will find whatever of good he has earned and of evil, and is confronted with it, he shall wish that a distance appeared between him and that day -- (that it were far away). God bids you beware of Him, though compassionate is God to His votaries.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '324', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'Say: "If you love God then follow me that God may love you and forgive your faults; for God is forgiving and kind."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '325', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'Say: "Obey God and His Messenger;" and if they refuse (then remember) God does not love disbelievers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '326', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'God had chosen Adam and Noah and the families of Abraham and \'Imran in preference to others.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '327', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'They were descendants of one another; and God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '328', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'Remember, when the wife of \'Imran prayed: "O Lord, I offer what I carry in my womb in dedication to Your service, accept it, for You hear all and know everything."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '329', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'And when she had given birth to the child, she said: "O Lord, I have delivered but a girl." -- But God knew better what she had delivered: A boy could not be as that girl was. "I have named her Mary," (she said), "and I give her into Your keeping. Preserve her and her children from Satan the ostracized."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '330', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'Her Lord accepted her graciously, and she grew up with excellence, and was given into the care of Zachariah. Whenever Zachariah came to see her in the chamber, he found her provided with food, and he asked: "Where has this come from, O Mary?" And she said: "From God who gives food in abundance to whomsoever He will."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '331', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'Then prayed Zachariah to his Lord: "O Lord, bestow on me offspring, virtuous and good, for You answer all prayers."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '332', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'Then the angels said to him as he stood in the chamber at prayer: "God sends you good tidings of John who will confirm a thing from God and be noble, continent, and a prophet, and one of those who are upright and do good."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '333', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => '"How can I have a son, O Lord," he said, "for I am old and my wife is barren?" "Thus," came the answer, "God does as He wills."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '334', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'And Zachariah said: "Give me a token, O Lord." "The token will be," was the reply, "that you will speak to no man for three days except by signs; and remember your Lord much, and pray at evening and sunrise."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '335', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => 'The angels said: "O Mary, indeed God has favoured you and made you immaculate, and chosen you from all the women of the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '336', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'So adore your Lord, O Mary, and pay homage and bow with those who bow in prayer."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '337', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'This is news of the Unknown that We send you, for you were not there when they cast lots with quills (to determine) who should take care of Mary, nor when they disputed it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '338', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'When the angels said: "O Mary, God gives you news of a thing from Him, for rejoicing, (news of one) whose name will be Messiah, Jesus, son of Mary, illustrious in this world and the next, and one among the honoured,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '339', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'Who will speak to the people when in the cradle and when in the prime of life, and will be among the upright and doers of good."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '340', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'She said: "How can I have a son, O Lord, when no man has touched me?" He said: "That is how God creates what He wills. When He decrees a thing, He says \'Be\', and it is.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '341', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'He will teach him the Law and the judgement, and the Torah and the Gospel,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '342', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'And he will be Apostle to the children of Israel, (saying:) \'I have come to you with a prodigy from your Lord that I will fashion the state of destiny out of mire for you, and breathe (a new spirit) into it, and (you) will rise by the will of God. I will heal the blind and the leper, and infuse life into the dead, by the leave of God. I will tell you what you devour and what you hoard in your homes. In this will be a portent for you if you do believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '343', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'I (have come to) confirm the truth of the Torah which was sent down before me, and make certain things lawful which have been forbidden until now; and I come to you with a sign from your Lord; so be fearful of God and follow me.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '344', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'Surely God is my Lord, and your Lord, so worship Him; and this is the right path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '345', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'When Jesus perceived their unbelief he asked: "Who will help me in the way of God?" "We," the disciples answered, "shall be the helpers of God. We believe in God; and you be our witness that we submit and obey.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '346', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => '"O Lord, we believe in Your revelations and follow this Apostle. Enroll us among the witnesses."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '347', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'But they (the unbelievers) contrived a plot, and God did the like; and God\'s plan is the best.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '348', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'When God said: "O Jesus, I will take you to Myself and exalt you, and rid you of the infidels, and hold those who follow you above those who disbelieve till the Day of Resurrection. You have then to come back to Me when I will judge between you in what you were at variance."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '349', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'Those who are infidels will surely receive severe punishment both in this world and the next; and none will they have to help (or save) them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '350', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'But those who believe and do good deeds shall be given their recompense in full; but God does not love the unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '351', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'These verses that We read to you are signs and reminder full of wisdom.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '352', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'For God the likeness of Jesus is as that of Adam whom He fashioned out of dust and said "Be" and he was.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '353', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'This is the truth from your Lord, so do not be in doubt.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '354', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'Tell those who dispute this with you even after the knowledge that has reached you: "Come, let us gather our sons and your sons, our women and your women, ourselves and yourselves, and pray and solicit God to condemn those who lie."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '355', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'And this verily is the true account. There is no god but God, and God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '356', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'If they turn away (remember) God knows the mischief-mongers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '357', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'Tell them: "O people of the Book, let us come to an agreement on that which is common between us, that we worship no one but God, and make none His compeer, and that none of us take any others for lord apart from God." If they turn away you tell them: "Bear witness that we submit to Him."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '358', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'O people of the Book, why dispute about Abraham? The Torah and the Gospel were sent down after him: Do you not understand?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '359', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'Remember you are those who disputed the things you knew; so wherefore dispute about things you do not know? And God has the knowledge, while you do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '360', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'Neither was Abraham a Jew nor a Christian, but upright and obedient, and not an idolater.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '361', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'Of all men the nearest to Abraham are those who follow him, and then this Prophet and the faithful; and God is the protector of all believers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '362', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'Some among the people of the Book wish to lead you astray, yet they lead none astray but themselves, though they do not realise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '363', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'O people of the Book, why do you disbelieve the signs of God having witnessed them yourselves?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '364', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'O people of the Book, why do you mix the false with the true, and hide the truth knowingly?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '365', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'A section of the people of the Book say: "Believe in the morning what has been revealed to the faithful, and deny in the evening; they might perhaps turn back;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '366', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => '"And do not believe those who do not belong to your faith." Say: "True guidance is the guidance of God -- that any may be given the like of what has been given you." Will they argue with you before your Lord? Say: "God\'s is the bounty. He gives whomsoever He please, for He is infinite and all-wise."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '367', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'He may choose whom He likes for His favours, for great is His bounty.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '368', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'There are some among the people of the Book who return a whole treasure entrusted to them; yet some there are who do not give back a dinar until you demand and insist, because they say: "It is not a sin for us to (usurp) the rights of the Arabs." Yet they lie against God, and they know it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '369', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'But certainly whoever keeps his promise and follows the right path (will be blessed), for God loves those who shun evil and follow the right course.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '370', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => 'Those who trade on the promises of God, and who purchase a little gain from their oaths, will have no share in the life to come. God will not address or even regard them on the Day of Resurrection, nor perfect them, and their suffering will be painful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '371', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => 'Among them is a section which distorts in reading the Scripture in a way that though it sounds like the Scripture, in fact it is not; yet they say it is from God, when they know it is not; and they lie about God, and knowingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '372', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => 'It is not for a mortal to whom God reveals the Book and the judgement and the prophethood to say to the people: "Be my votaries instead of God\'s," but (to say): "Become learned in divine law, by virtue of teaching and studying the Book."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '373', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'He will surely not bid you make the angels and the prophets your lords. Would he order you disbelief after you have submitted (and accepted the law of God)?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '374', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'Remember when God covenanted the prophets (and said): "If after I have given you the Law and the judgement there comes an apostle to you who confirms the truth already with you, you will surely believe him and help him;" and asked: "Do you accept and agree to the terms of My covenant?" They said: "We accept." "Then you be witness," said God, "and I shall be witness with you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '375', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'Then any one who turns away will be a transgressor."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '376', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'Do they seek another way than God\'s? But whosoever is in the heavens and the earth is submissive to God and obedient (to Him), by choice or constraint, and will be returned to Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '377', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'Say: "We believe in God, and in what has been revealed to us, and in what had been sent down to Abraham and Ishmael and Isaac and Jacob and their offspring, and what had been revealed to Moses and to Jesus and to all other prophets by their Lord. We make no distinction between them, and we submit to Him and obey."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '378', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'And whoever seeks a way other than submission to God, it will not be accepted from him, and he will be a loser in the world to come.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '379', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'How can God show the way to those who, having come to faith, turned away, even though they had borne witness that the Messenger was true, and the clear signs had reached them? God does not show the unrighteous the way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '380', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'For such the requital is the curse of God and the angels and of men.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '381', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'They shall live under it, and none of their agony decrease nor be respite for them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '382', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'But those who repent and reform, God is surely forgiving and merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '383', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'Those who deny, having once come to faith, and persist in denial, will not have their repentance accepted, for they have gone astray.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '384', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => 'From those who deny and die disbelieving will never be accepted an earthful of gold if proferred by them as ransom. For them is grievous punishment, and none will help them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '385', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'You will never come to piety unless you spend of things you love; and whatever you spend is known to God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '386', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'To the children of Israel was lawful all food except what Israel forbade himself before the Torah was revealed. Say: "Bring the Torah and recite it, if what you say is true."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '387', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => 'And anyone who fabricates lies about God even after this, is wicked indeed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '388', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'Say: "God has veritably spoken the truth. So now follow the way of Abraham the upright, who was not of idolaters."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '389', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'The first House of God to be set up for men was at Bakkah the blessed, a guidance for the people of the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '390', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'It contains clear signs, and the spot where Abraham had stood. And anyone who enters it will find security. And whosoever can afford should visit the House on a pilgrimage as duty to God. Whosoever denies, should remember that God is independent of the peoples of the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '391', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'Say: "O people of the Book, why do you reject the word of God when God is a witness to all that you do?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '392', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'Then say: "O people of the Book, why do you turn the believers away from the path of God, looking for obliquities in the way when you are witness to it? And God is aware of all that you do."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '393', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'O believers, if you follow what some of the people of the Book say, it will turn you into unbelievers even after you have come to belief.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '394', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'And how can you disbelieve? To you are being recited the messages of God, and His prophet is among you. And whosoever holds fast to God shall verily be guided to the path that is straight.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '395', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'O believers, fear God as He should be feared, and do not die but submitting (to Him).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '396', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'Hold on firmly together to the rope of God, and be not divided among yourselves, and remember the favours God bestowed on you when you were one another\'s foe and He reconciled your hearts, and you turned into brethren through His grace. You had stood on the edge of a pit of fire and He saved you from it, thus revealing to you His clear signs that you may find the right way perchance.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '397', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'So let there be a body among you who may call to the good, enjoin what is esteemed and forbid what is odious. They are those who will be successful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '398', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => 'So be not like those who became disunited and differed among themselves after clear proofs had come to them. For them is great suffering.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '399', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'On the Day when some faces would be bright, and some others will be black (with despair), those with black faces (will be told): "Having come to the faith you denied it; now taste therefore the penalty for you disbelieved."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '400', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'And those with bright faces shall be under God\'s grace and enjoy it for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '401', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'These are the commandments of God We recite to you verily; God does not wish injustice to the creatures of the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '402', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'For to God belongs all that is in the heavens and the earth, and to God do all things return.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '403', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '110', 'translate_name' => 'Of all the communities raised among men you are the best, enjoining the good, forbidding the wrong, and believing in God. If the people of the Book had come to believe it was best for them; but only some believe, and transgressors are many.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '404', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '111', 'translate_name' => 'They will do you no harm but annoyance; and if they fight you they will only turn their backs, then no help will reach them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '405', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '112', 'translate_name' => 'Degraded they shall live wheresoever they be unless they make an alliance with God and alliance with men, for they have incurred the anger of God, and misery overhangs them. That is because they denied the signs of God and killed the prophets unjustly, and rebelled, and went beyond the limit.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '406', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '113', 'translate_name' => 'Yet all of them are not alike. Among the people of the Book is a section upright, who recite the scriptures in the hours of the night and bow in adoration and pray,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '407', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '114', 'translate_name' => 'And believe in God and the Last Day, and enjoin what is good and forbid what is wrong, and who hasten to give in charity: they are among the upright and the doers of good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '408', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '115', 'translate_name' => 'And the good they do will not go unaccepted; for God is aware of those who keep away from evil.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '409', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '116', 'translate_name' => 'As for those who disbelieve, neither wealth nor children will avail them in the least against God. They are the residents of Hell where they will live for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '410', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '117', 'translate_name' => 'What they spend in the life of this world is like a frosty wind which smites and destroys the crops of a people who had wronged themselves. God did not wrong them, they wronged themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '411', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '118', 'translate_name' => 'O believers, do not make others except your own people your confidants. They will spare no effort to ruin you: They surely desire your annihilation. Hate is on their tongues, and what they hide in their hearts is worse. We have shown you the signs if you have sense.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '412', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '119', 'translate_name' => 'Just think! You hold them as your friends but they do not, even though you believe in all the Scriptures. When they meet you they say: "We believe;" but when they are alone they bite their fingers in rage. Say: "Die of your rage. God is aware of the secrets of the hearts."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '413', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '120', 'translate_name' => 'If good comes your way, they are vexed; but if evil befalls you they are pleased and rejoice; yet if you are patient and guard yourselves against evil, their cunning will not harm you in the least, for whatsoever they do is well within the reach of God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '414', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '121', 'translate_name' => 'Remember when you set forth in the morning from your house assigning the faithful positions for the battle, God heard everything and knew all.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '415', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '122', 'translate_name' => 'When two of your bands were about to lose heart God befriended them; and in Him should the faithful place their trust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '416', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '123', 'translate_name' => 'For God had helped you during the Battle of Badr at a time when you were helpless. So act in compliance with the laws of God; you may well be grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '417', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '124', 'translate_name' => 'Remember when you said to the faithful: "Is it not sufficient that your Lord should send for your help three thousand angels from the heavens?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '418', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '125', 'translate_name' => 'Indeed if you are patient and take heed for yourselves, and the (enemy) come rushing at you suddenly your Lord will send even five thousand angels on chargers sweeping down."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '419', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '126', 'translate_name' => 'And God did not do so but as good tidings for you, and to reassure your hearts for victory comes from God alone, the all-mighty and all-wise --', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '420', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '127', 'translate_name' => 'In order that He may cut off a part of unbelievers or overthrow them, and they turn back in frustration.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '421', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '128', 'translate_name' => 'You have no say in the matter if He pardon them or punish them, for they are unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '422', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '129', 'translate_name' => 'To God belongs all that is in the heavens and the earth: He may pardon whom He please and punish whom He will. Yet God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '423', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '130', 'translate_name' => 'O you who believe, do not practice usury, charging doubled and redoubled (interest); but have fear of God: you may well attain your goal.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '424', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '131', 'translate_name' => 'Keep away from the Fire prepared for the infidels;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '425', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '132', 'translate_name' => 'Obey God and the Prophet, that you may be treated with mercy.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '426', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '133', 'translate_name' => 'And hasten for the pardon of your Lord, and for Paradise extending over the heavens and the earth, laid out for those who take heed for themselves and fear God,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '427', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '134', 'translate_name' => 'Who expend both in joy and tribulation, who suppress their anger and pardon their fellowmen; and God loves those who are upright and do good,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '428', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '135', 'translate_name' => 'And those who, if they commit a shameful act or some wrong against themselves, remember God and seek forgiveness for their sins: For who can forgive except God? They should not be perverse about their doings, knowingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '429', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '136', 'translate_name' => 'Their recompense is pardon by their Lord, and gardens with streams of running water where they will abide for ever. How fair is the recompense of those who act!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '430', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '137', 'translate_name' => 'There have been many dispensations before you; so travel in the land and see what befell those who denied the truth.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '431', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '138', 'translate_name' => 'This is a clear declaration for mankind, and a guidance and a warning for those who preserve themselves from evil.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '432', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '139', 'translate_name' => 'So do not lose heart or be grieved, for you will surely prevail if you are believers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '433', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '140', 'translate_name' => 'If you have been wounded they too have suffered a wound. We cause this alternation of night and day in the affairs of men so that God may know those who believe, taking some as witness (of truth) from your ranks, for God does not like those who are unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '434', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '141', 'translate_name' => 'This is so that God may try the faithful and destroy the unbelievers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '435', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '142', 'translate_name' => 'Do you think you will go to Paradise while God does not know who among you strive and persist?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '436', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '143', 'translate_name' => 'You had wished to know death before you faced it (in battle); so now you have seen it before your own eyes.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '437', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '144', 'translate_name' => 'Muhammad is only a messenger; and many a messenger has gone before him. So what if he dies or is killed! Will you turn back and go away in haste? But he who turns back and goes away in haste will do no harm to God. But God will reward those who give thanks (and are grateful).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '438', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '145', 'translate_name' => 'No one can die before his appointed term except in accordance with the law of God. And to him who desires a reward in this world, We shall give it; and to him who desires a reward in the life to come, We shall do that. We shall certainly reward those who are grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '439', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '146', 'translate_name' => 'Many a seeker after God has fought in the way of God by the side of many an apostle, undaunted (by disaster), and did not disgrace themselves; -- verily God loves those who are steadfast.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '440', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '147', 'translate_name' => 'Nor did they say aught but: "O our Lord, forgive us our sins and excesses in our acts, and steady our steps, and help us against unbelieving people."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '441', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '148', 'translate_name' => 'So God rewarded them in this world, and a better reward awaits them in the next; for God loves those who do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '442', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '149', 'translate_name' => 'O believers, if you listen to the infidels they will make you turn your backs, and you will be the losers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '443', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '150', 'translate_name' => 'But God is your protector, and He is the best of helpers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '444', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '151', 'translate_name' => 'We shall strike terror into the hearts of unbelievers for ascribing compeers to God for which He has sent down no sanction. Hell is their residence, the evil abode of the unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '445', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '152', 'translate_name' => 'The promise made to you by God was verified when you destroyed (the foe) by His leave, until you were unmanned and disputed the order, and thus disobeyed (the Apostle) even after He had brought you in sight of (victory) you longed for. Some of you desired this world, and some of you the next. Then He put you to flight before (them) in order to try you. But (now) He has forgiven you, for surely God is kind to the faithful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '446', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '153', 'translate_name' => 'Remember, as you were rushing up (the hill) without turning back to look, though the Prophet was calling you from the rear, He requited you with anguish for an anguish that you do not fret for missed opportunity and what befell you, for God is aware of all that you do,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '447', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '154', 'translate_name' => 'Then after affliction He Sent you a drowsiness as comes after security, overwhelming some among you, and making some anxious for themselves, and made them think thoughts of pagan ignorance; and they said: "Have we a say in any affair?" Say: "All affairs rest with God." They hide in their hearts what they do not disclose to you. They say: "If we had a say in the affair we would not have been killed in this place." Tell them: "Even had you stayed at home, those of you who were ordained to fight would have gone to their place of (eternal) rest. God had to try them to bring out what they concealed in their breasts, and to bring out the secrets of their hearts, for God knows your innermost thoughts.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '448', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '155', 'translate_name' => 'All those among you who turned their backs on the day the two armies clashed (at \'Uhud) were surely induced by Satan to fail in their duty because of their sinful deeds. But God has already forgiven them, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '449', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '156', 'translate_name' => 'O you who believe, do not be like those who deny, and say of their brethren (who died) travelling in the land or fighting: "Had they stayed with us here they would not have died or been killed." This happened so that God may fill their hearts with grief. God is the giver of life and death and sees all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '450', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '157', 'translate_name' => 'If you are killed in the cause of God or you die, the forgiveness and mercy of God are better than all that you amass.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '451', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '158', 'translate_name' => 'And if you die or are killed, even so it is to God that you will return.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '452', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '159', 'translate_name' => 'It was through God\'s mercy that you dealt with them gently; for had you been stern and hard of heart they would surely have broken away from you. So pardon them and pray that forgiveness be theirs, and seek their counsel in all affairs, And when you have come to a decision place your trust in God alone, for He loves those who place their trust in Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '453', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '160', 'translate_name' => 'If God is there to help you none will overcome you; and if He forsake you, who will help you other than Him? So only in God should the faithful place their trust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '454', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '161', 'translate_name' => 'It is not for a prophet to be false; and whoever is false will indeed bring his falsehood with him on the Day of Reckoning when each will receive his reward without favour or wrong.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '455', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '162', 'translate_name' => 'Is a man who has followed the pleasure of God the same as he who has incurred His wrath, whose abode is surely Hell, a dreadful place?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '456', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '163', 'translate_name' => 'There are different ranks with God, And God sees everything you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '457', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '164', 'translate_name' => 'God has favoured the faithful by sending an apostle to them from among themselves, who recites to them His messages, and reforms and teaches them the Law and the judgement, for they were clearly in error before.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '458', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '165', 'translate_name' => 'How is it that when misfortune befell you, you said: "Where has this come from?" -- even though you had inflicted disaster twice as great on (the enemy). Say: "This has come from your own selves." Surely God has power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '459', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '166', 'translate_name' => 'What you suffered on the day the two armies had met was by God\'s dispensation, so that He may distinguish the faithful,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '460', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '167', 'translate_name' => 'And may distinguish the hypocrites who were told: "Fight in the way of God, or defend yourselves," and who had replied: "If we knew of the fight we would have followed you." They were nearer unbelief than faith on that day, and they said with their tongues what was not in their hearts; but God is aware of what they hide.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '461', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '168', 'translate_name' => 'To those who sit at home and say of their brothers: "They would never have been killed had they listened to us, say: "Drive away death from your midst if what you say is true."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '462', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '169', 'translate_name' => 'Never think that those who are killed in the way of God are dead. They are alive, getting succour from their Lord,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '463', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '170', 'translate_name' => 'Rejoicing at what God has given them of His grace, and happy for those who are trying to overtake them but have not joined them yet, and who will have no fear or regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '464', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '171', 'translate_name' => 'They rejoice at the kindness and mercy of God; and God does not suffer the wages of the faithful to go waste.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '465', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '172', 'translate_name' => 'Those who obeyed the call of God and His Messenger, even after they were wounded, and took heed for themselves, shall indeed have an ample reward,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '466', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '173', 'translate_name' => 'Those who were told: "They have gathered an army, beware," and their faith increased and they said: "God is sufficient for us, and the best of protectors,"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '467', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '174', 'translate_name' => 'And returned with God\'s favour and grace without harm, for they attended the pleasure of God; and great is the benevolence of God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '468', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '175', 'translate_name' => 'It is no one but Satan who frightens you with his allies. But do not fear him, fear Me, if indeed you are believers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '469', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '176', 'translate_name' => 'And do not be grieved by those who rush into disbelief. They do no harm to God; and God will not give them any share in the life to come, and their torment shall be great.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '470', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '177', 'translate_name' => 'Those who barter unbelief for faith, will not harm God in the least, and the punishment for them will be painful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '471', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '178', 'translate_name' => 'The unbelievers must not think that the respite We give them augurs well. We do so that they sink deeper into sin, and suffer an ignominious doom.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '472', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '179', 'translate_name' => 'God will not leave the believers in the state they are in till He has sifted the evil from the good; nor will God reveal the secrets of the Unknown. He chooses (for this) from His apostles whom He will. So believe in God and the prophets, for if you believe and fear the displeasure of God your reward will be great.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '473', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '180', 'translate_name' => 'Let not those who are niggardly of things that God has given them of His largesse think that this is good for them. In fact, it is worse; for what they grudged will be hung around their necks on the Day of Resurrection. To God belong the heavens and the earth, and God is aware of all you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '474', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '181', 'translate_name' => 'God has indeed heard the words of those who said: "God is a pauper whereas we are rich." We shall make a note of their words, and the murders of the prophets they committed unjustly, and say to them: "Now taste the agony of burning."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '475', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '182', 'translate_name' => 'This is (requital) for the deeds you had committed, for God is not unjust to any of His creatures.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '476', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '183', 'translate_name' => 'To those who say: "God has ordained that we should not believe an apostle who does not bring burnt offerings," say: "Many an apostle had come to you before me with manifest proofs, even with what you mention; then why did you kill them if you were men of truth?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '477', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '184', 'translate_name' => 'If they call you a liar (remember) so had other apostles been called before you, who had come with clear signs and Scriptures and the Book enlightening.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '478', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '185', 'translate_name' => 'Every soul will know the taste of death. You will get your recompense in full on the Day of Resurrection; and he who is spared the Fire and finds his way to Paradise will meet his desire. As for the life of this world, it is nothing but a merchandise of vanity.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '479', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '186', 'translate_name' => 'You will, nonetheless, be tried with your wealth and life, and will hear many untoward things from the followers of former Books and the infidels. But if you endure with patience and follow the straight path, it will surely (accord) with God\'s fixed resolve about human affairs.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '480', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '187', 'translate_name' => 'And remember when God took a promise from the people of the Book to make its (truth) known to mankind, and not keep back any part of it, they set aside (the pledge), and sold it away for a little gain but how wretched the bargain that they made!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '481', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '188', 'translate_name' => 'Think not that those who exult at what they have done, and who love to be praised for what they have not done, shall escape the punishment, for grievous indeed will be their doom.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '482', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '189', 'translate_name' => 'For God\'s is the kingdom of the heavens and the earth, and God\'s is the power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '483', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '190', 'translate_name' => 'In the creation of the heavens and the earth, the alternation of night and day, are signs for the wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '484', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '191', 'translate_name' => 'Those who honour God in meditation, standing or sitting or lying on their sides, who reflect and contemplate on the creation of the heavens and the earth, (and say) "Not in vain have You made them. All praise be to You, O Lord, preserve us from the torment of Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '485', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '192', 'translate_name' => 'Whoever, O Lord, should be cast into Hell shall be verily disgraced; and the sinners shall have none to help (or save) them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '486', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '193', 'translate_name' => 'We have heard, O our Lord, the crier call inviting us to faith (and announcing): \'Believe in your Lord.\' O our Lord, to faith we have come, so forgive our trespasses, deliver us from sin, and grant us (the glory of) death with the just.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '487', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '194', 'translate_name' => 'Give us what You promised, O Lord, through Your prophets; and put us not to shame on the Day of Reckoning, for never do You go back on Your promise."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '488', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '195', 'translate_name' => 'The Lord heard their prayer and answered: "I suffer not the good deeds of any to go waste, be he a man or a woman: The one of you is of the other. And those who were deprived of their homes or banished in My cause, and who fought and were killed, I shall blot out their sins and admit them indeed into gardens with rippling streams." -- A recompense from God, and the best of rewards is with God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '489', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '196', 'translate_name' => 'Be not deceived by the comings and goings of unbelievers in the land.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '490', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '197', 'translate_name' => 'Their commerce is but short-lived, and then their abode shall be Hell: And what an evil abode!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '491', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '198', 'translate_name' => 'But those who are pious and obedient to their Lord, will have gardens with streams of running water where they will abide as guests of God; and what is with God is best for the pious.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '492', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '199', 'translate_name' => 'Certainly among the people of the Book are some who believe in God and in what has been revealed to you and had been revealed to them; and they bow in humility before God, and do not trade for paltry gain the signs of God. Their reward is verily with their Lord; and swift is the reckoning of God!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '493', 'chapter_id' => '3', 'translator_id' => '1', 'verse_number' => '200', 'translate_name' => 'So you who believe, have endurance in suffering, be patient and persevere, strengthen each other and be firm, and be pious and fear God that you may find success.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '494', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'O MEN, FEAR your Lord who created you from a single cell, and from it created its mate, and from the two of them dispersed men and women (male and female) in multitudes. So fear God in whose name you ask of one another (the bond of) relationships. God surely keeps watch over you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '495', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'Give to the orphans their possessions, and do not replace things of your own which are bad with things which are good among theirs, and do not intermix their goods with your own and make use of them, for this is a grievous crime.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '496', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'If you fear you cannot be equitable to orphan girls (in your charge, or misuse their persons), then marry women who are lawful for you, two, three, or four; but if you fear you cannot treat so many with equity, marry only one, or a maid or captive. This is better than being iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '497', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'Give to women their dowers willingly, but if they forego part of it themselves, then use it to your advantage.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '498', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'Do not entrust (their) property God has given you to maintain (On trust), to those who are immature; but feed them and clothe them from it, and speak to them with kindness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '499', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'And test (and try) the orphans until they are of marriageable age. If you find they have acquired sound judgement, then hand over their property to them; but devour not their wealth, nor use it up hastily out of fear that soon they will grow up (and demand it). And (the guardian) who is rich should abstain from spending much (of their wealth); and he who is poor should use only as much as is fair. And when you give back their possessions have this witnessed, (and remember) that God is sufficient to take all account.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '500', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'Men have a share in what the parents and relatives leave behind at death; and women have a share in what the parents and relatives leave behind. Be it large or small a legal share is fixed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '501', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'And when the relatives and orphans and the needy collect at the time of the division (of property) provide for them too, and talk kindly to them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '502', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'Let people fear the day when they leave small children behind them unprovided, and how concerned they would be for them. So fear God and say the right things to them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '503', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'Those who devour the possessions of the orphans unjustly devour only fire, and will surely burn in Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '504', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'As for the children, God decrees that the share of the male is equivalent to that of two females. If they consist of women only, and of them more than two, they will get two-thirds of the inheritance; but in case there is one, she will inherit one half. The parents will each inherit a sixth of the estate if it happens the deceased has left a child; but if he has left no children, and his parents are his heirs, then the mother will inherit one-third; but if he has left brothers, the mother will inherit one-sixth after payment of legacies and debts. Of parents and children you do not know who are more useful to you. These are the decrees of God who knows all and is wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '505', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'Your share in the property the wives leave behind is half if they die without an issue, but in case they have left children, then your share is one-fourth after the payment of legacies and debts; and your wife shall inherit one-fourth of what you leave at death if you die childless, if not, she will get one-eighth of what you leave behind after payment of legacies and debts. If a man or a woman should die without leaving either children or parents behind but have brother and sister, they shall each inherit one-sixth. In case there are more, they will share one-third of the estate after payment of legacies and debts without prejudice to others. This is the decree of God who knows all and is kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '506', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'These are the limits set by God, and those who follow the commandments of God and the Prophet, will indeed be admitted to gardens with streams of water running by, where they will for ever abide; and this will be success supreme.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '507', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'Those who disobey God and the Prophet and exceed the bounds of law, will be taken to Hell and abide there for ever and shall suffer despicable punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '508', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'If any of your women is guilty of unnatural offence, bring four of your witnesses to give evidence; if they testify against them, retain them in the houses until death overtakes them or God provides some other way for them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '509', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'If two (men) among you are guilty of such acts then punish both of them. But if they repent and reform, let them be, for God accepts repentance and is merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '510', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'God does accept repentance, but only of those who are guilty of an evil out of ignorance yet quickly repent, and God turns to them again, for God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '511', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'But (He does not accept) the repentance of those who continue indulging in evil until death draws near and they say: "We now repent;" nor of those who die disbelieving. For them We have a grievous retribution in wait.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '512', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'O believers, you are not allowed to take perforce the women (of dead relatives) into your heritage, or tyrannise over them in order to deprive them of what you have given them, unless they are guilty of open adultery. Live with them with tolerance and justice even if you do not care for them. For it may well be you may not like a thing, yet God may have endued it with much goodness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '513', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'If you want to take another wife in place of the one you are married to, then even if you have given her a talent of gold, do not take back a thing. Would you take it away by slandering and using unjust means?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '514', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'How could you do that having slept with one another, and when they had taken a solemn pledge from you?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '515', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'And do not wed the women your fathers had wed. What happened in the past is now past: It was lewd and abhorrent, and only the way of evil.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '516', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'Unlawful are your mothers and daughters and your sisters to you, and the sisters of your fathers and your mothers, and the daughters of your brothers and sisters, and foster mothers, foster sisters, and the mothers of your wives, and the daughters of the wives you have slept with who are under your charge; but in case you have not slept with them there is no offence (if you marry their daughters); and the wives of your own begotten sons; and marrying two sisters is unlawful. What happened in the past (is now past): God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '517', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'Also forbidden are married women unless they are captives (of war). Such is the decree of God. Lawful for you are women besides these if you seek them with your wealth for wedlock and not for debauchery. Then give those of these women you have enjoyed, the agreed dower. It will not be sinful if you agree to something (else) by mutual consent after having settled the dowry. God is certainly all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '518', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'If one of you cannot afford to marry a believing gentlewoman (let him marry) a maid who is a believer. God is aware of your faith: The one of you is of the other; so marry them with the consent of their people, and give them an appropriate dowry. They are women (seeking) wedlock, and not lechery, nor secretly looking for paramours. But if they are married and guilty of adultery, inflict on them half the punishment (enjoined) for gentlewomen. This is for those who are afraid of doing wrong. In case they can wait, it is better for them. God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '519', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'God wishes to make it clear to you and guide you through the example of earlier people, and to forgive you, for God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '520', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'God likes to turn to you, but those who are lost in the pleasures of the flesh wish to turn you astray, far away.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '521', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'God would like to lighten your burden, for man was created weak.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '522', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'O believers, you should not usurp unjustly the wealth of each other, but trade by mutual consent; and do not destroy yourselves. God is merciful to you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '523', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'If someone does so through oppression or injustice, We shall cast him into Hell: This is how (the Law of) God works inevitably.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '524', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'If you keep away from the deadly sins that have been forbidden, We shall efface your faults, and lead you to a place of honour.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '525', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'Do not covet what God has favoured some with more than He has some others. Men have a share in what they earn, and women have theirs in what they earn. Ask God for His favours. Surely God has knowledge of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '526', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'For each We have appointed heirs to what parents and relatives leave behind. And to those you have given your pledge in marriage give their share, for God is witness to everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '527', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'Men are the support of women as God gives some more means than others, and because they spend of their wealth (to provide for them). So women who are virtuous are obedient to God and guard the hidden as God has guarded it. As for women you feel are averse, talk to them suasively; then leave them alone in bed (without molesting them) and go to bed with them (when they are willing). If they open out to you, do not seek an excuse for blaming them. Surely God is sublime and great.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '528', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'If you fear a breach between them, appoint one arbiter from the people of the man and one from the people of the woman. If they wish to have a settlement then God will reconcile them, for God is all-knowing and cognisant.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '529', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'Pay homage to God, and make none His compeer, and be good to your parents and relatives, the orphans and the needy and the neighbours who are your relatives, and the neighbours who are strangers, and the friend by your side, the traveller and your servants and subordinates. God does not surely love those who are arrogant and boastful,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '530', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'Who are miserly and bid others to be so, and hide what God has given them in His largesse. We have prepared for unbelievers a shameful punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '531', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'Those who spend of their wealth to show off and do not believe in God and the Last Day, take Satan as companion, and how evil a companion (have they)!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '532', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'Would something have befallen them if they had believed in God and the Last Day, and spent of what has been given them by God? God is fully aware of all they do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '533', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'God does not wrong any one, not even the equal of an atom; and if men do good He multiplies it by two, and adds a great reward of His own.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '534', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'How shall it be when We call witnesses from each and every people and call you as witness over them?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '535', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => 'On that day those who disbelieved and disobeyed the Prophet, shall wish they were levelled with the dust, and shall not be able to conceal a thing from God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '536', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'O you who believe, do not perform your service of prayer when you are intoxicated until you are sure of what you are saying, nor when in a state of seminal pollution, until you have taken a bath, except when you are travelling. But in case you are ill or are travelling, or you have relieved yourself of nature\'s call, or cohabited with a woman, and cannot find water, then take wholesome dust and pass it over your face and hands: God is benign and forgiving.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '537', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'Have you not seen the people who were given a share of the Book, but who purchased only error, and wish that you also go astray?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '538', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'But God knows your enemies well: and sufficient is God to protect you, and sufficient is God for all help.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '539', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'Some among the Jews distort the words out of context and say (in place of the right words): "We have heard and do not obey;" and, "hear without hearing," and "listen to us," twisting their tongues and reviling the faith. But if they had said: "We have heard and obey," and, "hear and regard us," it would have been better for them and more appropriate. But God has disgraced them for their lack of belief; and so only a few of them believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '540', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'O people of the Book, believe in what We have revealed, which confirms what is already with you before We disfigure your visages and turn your faces about and curse you, as We did with those who had broken the Sabbath; and what God decrees comes to pass.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '541', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'God does not forgive that compeers be ascribed to Him, though He may forgive aught else if He please. And he who ascribes compeers to God is guilty of the gravest sin.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '542', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'Have you not seen the people who call themselves pure? Yet God purifies whom He pleases, and none shall be wronged even the breadth of a thread.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '543', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'See how they fabricate lies about God, which is a clear sin.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '544', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'Have you not seen those who were given a portion of the Book, who believe in false deities and evil powers, and say of unbelievers: "These are better guided than those who believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '545', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'They are the ones who were cursed by God; and those who are cursed by God will have none to protect them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '546', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'Have they a share in the kingdom? (If they had,) they would never have given an iota to the people.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '547', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'Are they so envious of others for what God has given them of His bounty? So We had given the Book and the Law to Abraham\'s family, and given them great dominion.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '548', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'Then some of them believed in it, and some turned away from it; yet sufficient is Hell, the flaming Fire!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '549', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'And those who disbelieve Our revelations shall be cast into Hell; and when their skin is burnt up and singed, We shall give them a new coat that they may go on tasting the agony of punishment, for God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '550', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'But those who believe and do good deeds We shall admit into gardens with streams of running water, where they will abide for ever, with fairest of companions and coolest of shades.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '551', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'God enjoins that you render to the owners what is held in trust with you, and that when you judge among the people do so equitably. Noble are the counsels of God, and God hears all and sees everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '552', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'O you who believe, obey God and the Prophet and those in authority among you; and if you are at variance over something, refer it to God and the Messenger, if you believe in God and the Last Day. This is good for you and the best of settlement.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '553', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'Have you never seen those who aver they believe in what has been revealed to you and had been to others before you, yet desire to turn for judgement to evil powers, even though they have been commanded to disbelieve in them? Satan only wishes to lead them astray, far away.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '554', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'When they are told: "Come to that which God has revealed, and to the Prophet," you should see the hypocrites, how they hesitate and turn their faces away.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '555', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'How shall it be when they suffer misfortunes for their own misdeeds? Then they will come to you swearing by God and saying: "We wish for nothing but good and amity."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '556', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'The secrets of the hearts of these people are well known to God. So leave them alone, and counsel them and speak to them eloquent words that would touch their very souls.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '557', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'We have sent no apostle but that he should be obeyed by the will of God. If they had come to you after wronging themselves and asked forgiveness of God, and you had also asked forgiveness for them, they would surely have found God forgiving and merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '558', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'Indeed, by your Lord, they will not believe till they make you adjudge in their disputes and find no constraint in their minds about your decisions and accept them with full acquiescence.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '559', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'If We had commanded them to lay down their lives and to go forth from their homes, only a few would have obeyed; though had they followed what they had been commanded it would surely have been good for them and the strengthening of their faith.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '560', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'And We would have bestowed on them a great reward of Our own,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '561', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'And led them to the path that is straight.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '562', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'Those who obey God and the Prophet are with those who are blessed by God, the prophets, the sincere and the trustful, the martyrs and the upright; and how excellent a company are they!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '563', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'This is a favour from God; and sufficient is God, the all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '564', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'O believers, take precautions, and advance in detachments, or go all together in a body.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '565', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'Someone among you will surely lag behind, and if calamity should befall you, will say: "God was gracious to me that I was not among them."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '566', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'But if success comes to you from God he will say, as though no love existed between you and him: "I wish I were with them, for I would have certainly met with great success."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '567', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'Those who barter the life of this world for the next should fight in the way of God. And We shall bestow on him who fights in the way of God, whether he is killed or is victorious, a glorious reward.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '568', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'What has come upon you that you fight not in the cause of God and for the oppressed, men, women and children, who pray: "Get us out of this city, O Lord, whose people are oppressors; so send us a friend by Your will, and send us a helper."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '569', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'Those who believe fight in the way of God; and those who do not, only fight for the powers of evil; so you should fight the allies of Satan. Surely the stratagem of Satan is ineffective.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '570', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => 'Have you not seen the people who were told: "Hold back your hands (from attacking), observe your devotional obligations and pay the zakat?" But when they were commanded to fight, behold, a section among them were filled with fear of men as though it were the fear of God and even more, and said: "O Lord, why did you make war compulsory for us? Why did you not allow us to live a little more?" Say to them: "How short-lived is the commerce of this world; but that of the next is best for those who fear God; and you will not be wronged the breadth of a thread."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '571', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => 'Death will overtake you wheresoever you be, even in the mightiest of towers. Yet if some good comes their way they say: "It is from God;" and if it is evil that befalls them, they say: "It is indeed from you." Say to them: "Every thing is from God." O, what has come upon the people that even this they fail to understand!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '572', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => 'What comes to you of good is verily from God; and what comes to you of ill is from your own self (your actions). We have sent you as apostle to all mankind; and God is sufficient as witness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '573', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'He who obeys the Apostle obeys God; and if some turn away (remember) We have not sent you as warden over them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '574', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'They say: "We obey;" but when they leave your company, a section of them discuss at night other things than you had said; but God takes note of what they discuss. So turn aside from them and trust in God; and God is sufficient as protector.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '575', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'Do they not ponder over the Qur\'an? Had it been the word of any other but God they would surely have found a good deal of variation in it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '576', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'And when any tidings of peace or war come to them they spread the news around. Had they gone to the Prophet or those in authority among them, then those who check and scrutinize would have known it, And but for the favour of God and His mercy you would certainly have followed Satan, except a few.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '577', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'So fight on in the way of God (irrespective of the others). You cannot compel any one except your own self; but urge the believers to fight. It may well be that God will keep back the might of the infidels, for God\'s might is greater, and severe His punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '578', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'He who intercedes in a good cause will surely have a share in the recompense; and he who abets an evil act will share the burden thereof; for God (equates and) is watchful of all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '579', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'When you are greeted with a greeting, then greet with one fairer, or repeat the same greeting. For God takes account of all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '580', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'God: There is no god but He. He will gather you together on the Day of Resurrection which is certain to come; and whose word is truer than God\'s?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '581', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'How is it that you are divided in two factions about the hypocrites? God has routed them for what they were doing. Do you wish to guide him to the path whom God has allowed to go astray? As for him whom God allows to go astray you will not find a way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '582', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'They wish you to become disbelievers as they are, so that you should become like them. Therefore hold them not as friends until they go out of their homes in the way of God. If they do not, seize them wherever they are and do away with them. Do not make them your friends or allies,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '583', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'Except those who take refuge with a people allied to you, or those who, weary of fighting you or their people, come over to you. If God had so willed He would surely have given them power over you, and they would have fought you. If they keep aloof and do not fight, and offer peace, God has left you no reason to fight them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '584', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => 'You will also find persons who, while wishing to live in peace with you as well as with their own people, turn to civil war the moment they are called to it. If they do not keep away from you, nor offer you peace nor restrain their hands, seize them and kill them wherever they are. We have given you a clear sanction against them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '585', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'It is not for a believer to take a believer\'s life except by mistake; and he who kills a believer by mistake should free a slave who is a believer, and pay blood-money to the victim\'s family unless they forego it as an act of charity. If he belonged to a community hostile to you but was himself a believer, then a slave who is a believer should be freed. In case he belonged to a people with whom you have a treaty, then give blood-money to his family and free a believing slave. But he who has no means (to do so) should fast for a period of two months continuously to have his sins forgiven by God, and God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '586', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'Any one who kills a believer intentionally will be cast into Hell to abide there for ever, and suffer God\'s anger and damnation. For him a greater punishment awaits.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '587', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => 'O believers, when you go out on a journey in the way of God, be discreet and do not say to anyone who greets you in peace: "You are not a believer." You desire the gain of earthly life, but there are prizes in plenty with God. You were also like him (an unbeliever) in the past, but God has been gracious to you. So be careful and discreet, for God is aware of what you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '588', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'The faithful who sit idle, other than those who are disabled, are not equal to those who fight in the way of God with their wealth and lives. God has exalted those in rank who fight for the faith with their wealth and souls over those who sit idle. Though God\'s promise of good is for all, He has granted His favour of the highest reward to those who struggle in preference to those who sit at home.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '589', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'For them are higher ranks with God, and forgiveness and grace; and God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '590', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'As for those whose souls are taken by the angels (at death) while in a state of unbelief, they will be asked by the angels: "What (state) were you in?" They will answer: "We were oppressed in the land." And the angels will say: "Was not God\'s earth large enough for you to migrate?" Their abode will be Hell, and what an evil destination!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '591', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'But those who are helpless, men, women and children, who can neither contrive a plan nor do they know the way,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '592', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'May well hope for the mercy of God; and God is full of mercy and grace.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '593', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'Whosoever leaves his country in duty to God will find many places of refuge, and abundance on the earth. And he who leaves his home and becomes an emigre in the way of God and His Messenger, and death overtake him, is sure to receive his reward from God; for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '594', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'When you travel in the land there is no sin if you curtail your service of prayer if you fear the unbelievers may harass you, for indeed your open enemies are the infidels.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '595', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'When you are among them, and have to lead the service of prayer, let one group stand up with you, but let them keep their arms. After they have paid their homage they should go to the rear, and let the group which has not done so yet offer their service of prayer with you, remaining cautious and armed, The infidels wish to find you neglectful of your arms and provisions, to attack you unawares. It will not be a sin if you put aside your arms when you are troubled by rain, or you are ill; but take full precautions. God has reserved for infidels a despicable punishment', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '596', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'If you are late in performing your service of prayer honour God by remembering Him, standing or sitting or lying on your sides. And when you have security perform your act of prayer befittingly; and praying at fixed hours is prescribed for the faithful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '597', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'And do not be chary of pursuing them. If you suffer, they shall also suffer like you. But while you have hope (of success) from God, they have none. Surely God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '598', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => 'We have sent down to you the Book containing the truth, in whose light you should judge among the people as God has shown you, and do not be a contender for deceivers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '599', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'And seek God\'s forgiveness, for God is surely forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '600', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'Do not argue for those who harbour deceit in their hearts, for God does not love the treacherous and the iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '601', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'They try to hide from (men), but they cannot hide from God who is with them at night when they discuss such matters as He does not approve; but what they do is well within the compass of God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '602', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'Well, you are those who pleaded for them in the life of this world; but who will plead for them on the Day of Resurrection or be their security?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '603', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '110', 'translate_name' => 'He who does evil or acts against his own interests (by disbelieving), then prays for God\'s forgiveness, will find God compassionate and merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '604', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '111', 'translate_name' => 'He who earns the wages of sin does so for himself; and God is aware of everything and is wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '605', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '112', 'translate_name' => 'He who commits a mistake or iniquity and ascribes it to one who is innocent, is guilty of calumny and brazen sin.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '606', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '113', 'translate_name' => 'But for the mercy of God and His grace you would certainly have been misled by a section of them; yet they could not mislead you but themselves alone, and could do you no harm, for God has revealed to you the Book and the Law, and taught you what you did not know. Great have been the blessings of God on you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '607', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '114', 'translate_name' => 'Their confidential counsels are seldom for the good, save of those who talk of charity or goodness or peace among men. Whosoever does so for the pleasure of God, We shall give him an ample reward.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '608', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '115', 'translate_name' => 'And he who opposes the Prophet even after the way has become clear to him, and follows a path other than the way of believers, We shall lead him to what he has chosen for himself, and shall take him to Hell: How evil a journey\'s end.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '609', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '116', 'translate_name' => 'God does not forgive that compeers be ascribed to Him, and absolves all else whatsoever He will. And he who associates compeers with God has indeed wandered far astray.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '610', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '117', 'translate_name' => 'In His place they invoke only females (the pagan deities); and instead of Him they invoke Satan the obstinate rebel', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '611', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '118', 'translate_name' => 'Who was condemned by God and who said: "I shall take from Thy creatures my determinate share,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '612', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '119', 'translate_name' => 'And mislead them and tempt them, and order them to slit the ears of animals; and order them to alter God\'s creation." He who holds Satan as friend in place of God will assuredly be damned to perdition.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '613', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '120', 'translate_name' => 'Whatever the promises he makes, whatever the desires he enkindles, and whatever the hopes Satan rouses in them, are no more than delusion.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '614', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '121', 'translate_name' => 'For such the abode is only Hell from which they will find no escape.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '615', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '122', 'translate_name' => 'But those who believe and do good deeds We shall admit into gardens with streams of running water where they will abide for ever. True is the promise of God; and whose word could be truer than God\'s?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '616', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '123', 'translate_name' => 'It is neither dependent on your wishes, nor the wishes of the people of the Book, (but) whosoever does ill will be punished for it, and will find no protector or friend apart from God;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '617', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '124', 'translate_name' => 'But he who performs good deeds, whether man or a woman, and is a believer, will surely enter Paradise, and none shall be deprived even of an iota of his reward.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '618', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '125', 'translate_name' => 'Whose way is better than that of the man who has submitted to God, and does good, and who follows the creed of Abraham the upright? And God chose Abraham as friend.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '619', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '126', 'translate_name' => 'And all that is in the heavens and the earth belongs to God; and everything is well within the compass of God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '620', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '127', 'translate_name' => 'And they ask you for judgement about women. Tell them: "God has given you instructions about them. You also read them in the Book concerning orphaned women (in your charge) to whom you deny their ordained rights and yet wish to take them in marriage, as well as in respect of helpless children, that you should be just in the matter of orphans." The good you do is known to God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '621', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '128', 'translate_name' => 'If a woman fears aversion from her husband, or ill treatment, there is no harm if they make a peaceful settlement; and peace is an excellent thing. But men keep self-interest uppermost. Yet if you do good and fear God, God is cognisant of all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '622', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '129', 'translate_name' => 'Howsoever you may try you will never be able to treat your wives equally. But do not incline (to one) exclusively and leave (the other) suspended (as it were). Yet if you do the right thing and are just, God is verily forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '623', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '130', 'translate_name' => 'If both (decide to) separate, God in His largesse will provide for them; for God is infinite and all wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '624', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '131', 'translate_name' => 'All that is in the heavens and the earth belongs to God. We had commanded those who received the Book before you, and have commanded you too, to obey the laws of God. Even if you deny, surely all that is in the heavens and the earth belongs to God; and God is self-sufficient and praise-worthy.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '625', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '132', 'translate_name' => 'For all that is in the heavens and the earth belongs to God; and God is sufficient as guardian.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '626', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '133', 'translate_name' => 'He could take you away if He will, O men, and replace you with others: God has the power to do so.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '627', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '134', 'translate_name' => 'Whosoever desires a reward of this world (should remember) that with God are rewards of this world and the next; and God hears all and sees everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '628', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '135', 'translate_name' => 'O you who believe, be custodians of justice (and) witnesses for God, even though against yourselves or your parents or your relatives. Whether a man be rich or poor, God is his greater well-wisher than you. So follow not the behests of lust lest you swerve from justice; and if you prevaricate or avoid (giving evidence), God is cognisant of all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '629', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '136', 'translate_name' => 'O believers, believe in God and His Messenger and the Book He has revealed to His Apostle, and the Books revealed before. But he who believes not in God and His angels and the Books and the prophets and the Last Day, has wandered far away.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '630', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '137', 'translate_name' => 'Those who accept the faith, then disbelieve, then return to it, and deny once again and increase in disbelief, will not be forgiven by God or be guided by Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '631', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '138', 'translate_name' => 'Give tidings to the hypocrites that painful is their doom.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '632', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '139', 'translate_name' => 'Do those who take unbelievers as their friends in preference to the faithful seek power from them? But all power belongs to God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '633', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '140', 'translate_name' => 'You have been commanded in the Book that whensoever you hear God\'s messages denied or derided, do not sit in that company until they begin talking of other things, or you will be no different from them. Indeed God will put the hypocrites and infidels together in Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '634', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '141', 'translate_name' => 'Those who wait to see what befalls you, say in ease success comes to you from God: "Were we not with you?" But if fortune favours the infidels, they say: "Did we not overpower you, and yet protected you against the believers?" But God will judge between you on the Day of Resurrection; and God will never give the unbelievers a way over the faithful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '635', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '142', 'translate_name' => 'The hypocrites try to deceive God, but He (leads them to) deceive themselves. When they stand up for performing the service of prayer they do so indolently, only for show, and remember God but little,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '636', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '143', 'translate_name' => 'Wavering between the two, neither with these nor with those. For them who are not given the guidance by God, you will never find a way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '637', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '144', 'translate_name' => 'O believers, do not hold unbelievers as friends in preference to the faithful. Do you want to proffer a clear proof of your own guilt before God?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '638', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '145', 'translate_name' => 'The hypocrites will be in the lowest depths of Hell, and you will find none to help them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '639', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '146', 'translate_name' => 'But those who repent and amend, and hold firmly to God, and are sincere and wholly obedient to God, are surely with the faithful; and God will bestow on the faithful a great reward.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '640', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '147', 'translate_name' => 'Why should God punish you if you acknowledge the truth and believe? God is responsive to gratitude and is cognisant.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '641', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '148', 'translate_name' => 'God does not like ill (of others) spoken about, except by him who has been wronged. For God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '642', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '149', 'translate_name' => 'Whether you do some good openly or in secret, or forgive an ill done to you, (know) that God is forgiving and all-powerful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '643', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '150', 'translate_name' => 'Those who believe not in God and His apostles, and desire to differentiate between God and His messengers, and say: "We believe in some and not in the others," and wish to find a way (between affirmation and denial),', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '644', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '151', 'translate_name' => 'Are verily the real unbelievers. And We have reserved for unbelievers an ignominious punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '645', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '152', 'translate_name' => 'But those who believe in God and His apostles and make no distinction among any of them, will be given by Him their recompense; for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '646', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '153', 'translate_name' => 'The people of the Book demand of you to bring for them a book from heaven. But of Moses they had asked a bigger thing, and demanded: "Show us God face to face." They were struck by lightning then as punishment for their wickedness. Even then they made the calf, when clear signs had reached them. Still We forgave them and gave Moses clear authority.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '647', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '154', 'translate_name' => 'We exalted them on the Mount, and they gave a solemn pledge, and We said to them: "Enter the gates submissively," and told them: "Do not break the Sabbath," and took a solemn pledge from them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '648', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '155', 'translate_name' => 'So (they were punished) for breaking the covenant and disbelieving the signs of God, and for killing the prophets unjustly, and saying: "Our hearts are enfolded in covers," (though) in fact God had sealed them because of their unbelief; so they do not believe except a few;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '649', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '156', 'translate_name' => 'And because they denied and spoke dreadful calumnies of Mary;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '650', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '157', 'translate_name' => 'And for saying: "We killed the Christ, Jesus, son of Mary, who was an apostle of God;" but they neither killed nor crucified him, though it so appeared to them. Those who disagree in the matter are only lost in doubt. They have no knowledge about it other than conjecture, for surely they did not kill him,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '651', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '158', 'translate_name' => 'But God raised him up (in position) and closer to Himself; and God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '652', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '159', 'translate_name' => 'There is not one among the people of the Book who will not believe in it before his death; and he will be a witness over them on the Day of Resurrection.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '653', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '160', 'translate_name' => 'Because of the wickedness of some among the Jews, and because they obstructed people from the way of God, We forbade them many things which were lawful for them;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '654', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '161', 'translate_name' => 'And because they practised usury although it had been forbidden them; and for using others\' wealth unjustly. For those who are unbelievers among them We have reserved a painful punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '655', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '162', 'translate_name' => 'But to the learned among them, and the believers who affirm what has been revealed to you and was revealed to those before you, and to those who fulfil their devotional obligations, who pay the zakat and believe in God and the Last Day, We shall give a great reward.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '656', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '163', 'translate_name' => 'We have sent revelations to you as We sent revelations to Noah and the prophets (who came) after him; and We sent revelations to Abraham and Ishmael and Isaac and Jacob, and their offspring, and to Jesus and Job, and to Jonah and Aaron and Solomon, and to David We gave the Book of Psalms,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '657', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '164', 'translate_name' => 'And to many an apostle We have mentioned before, and to many other apostles We have not mentioned to you; and to Moses God spoke directly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '658', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '165', 'translate_name' => 'All these apostles of good news and admonition were sent so that after the apostles men may have no argument against God. God is all-powerful and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '659', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '166', 'translate_name' => 'God is Himself witness to what has been revealed to you, and revealed with His knowledge, and the angels are witness; and God is sufficient as witness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '660', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '167', 'translate_name' => 'Those who denied and turned away from the path of God, have wandered far astray.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '661', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '168', 'translate_name' => 'Those who deny and transgress will not be forgiven by God, nor be shown the way', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '662', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '169', 'translate_name' => 'Except to Hell, where they will abide for ever; and this is how (the law of God) works inevitably.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '663', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '170', 'translate_name' => 'O men, the Apostle has now come to you, bringing the truth from your Lord; so believe for your own good; but if you deny (then remember) that all that is in the heavens and the earth belongs to God; and God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '664', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '171', 'translate_name' => 'O people of the Book, do not be fanatical in your faith, and say nothing but the truth about God. The Messiah who is Jesus, son of Mary, was only an apostle of God, and a command of His which He sent to Mary, as a mercy from Him. So believe in God and His apostles, and do not call Him \'Trinity\'. Abstain from this for your own good; for God is only one God, and far from His glory is it to beget a son. All that is in the heavens and the earth belongs to Him; and sufficient is God for all help.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '665', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '172', 'translate_name' => 'The Christ will never disdain to be a votary of God, nor will the angels close to Him. And those who disdain to serve Him and are proud (should remember) that they will all go back to Him in the end.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '666', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '173', 'translate_name' => 'Then those who believed and earned good deeds will be given their recompense in full, and even more out of grace. But those who disdain and who boast will receive a painful punishment. They will find none except God to help them or save them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '667', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '174', 'translate_name' => 'O men, you have received infallible proof from your Lord, and We have sent down a beacon light to you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '668', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '175', 'translate_name' => 'So those who believe in God and hold fast to Him shall indeed be received into His mercy and His grace, and be guided to Him the straight path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '669', 'chapter_id' => '4', 'translator_id' => '1', 'verse_number' => '176', 'translate_name' => 'They ask you for judgement about \'Kalalah\' (a man who dies childless). Say: "God has given a decision in the matter of inheritance." If a man dies and leaves no child behind but have a sister, she will get a half of what he owned, as he would have done the whole of what she possessed if she had died a childless person. In ease he has two sisters then they will get two-thirds of the heritage. But if he has both brothers and sisters, the male will inherit a share equal to that of two females. God makes this manifest to you lest you wander astray, for God has knowledge of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '670', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'O YOU WHO believe, fulfil your obligations. Made lawful (as food) for you are animals except those mentioned (here); but unlawful during Pilgrimage is game. God ordains whatsoever He wills.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '671', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'O you who believe, do not violate the (sanctity of) offerings to God, nor the rites of the holy month, nor sacrificial cattle with garlands (that are brought to the Ka\'bah), nor of the people who flock to the Holy House seeking the bounties of their Lord, and His pleasure. Hunt when you have laid aside the robe of the pilgrim. And do not let your hatred of a people who had barred you from the Holy Mosque lead you to aggression. But help one another in goodness and piety, and do not assist in crime and rebellion, and fear God. Surely God is severe in punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '672', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'Forbidden you is carrion and blood, and the flesh of the swine, and whatsoever has been killed in the name of some other than God, and whatever has been strangled, or killed by a blow or a fall, or by goring, or that which has been mauled by wild beasts unless slaughtered while still alive; and that which has been slaughtered at altars is forbidden, and also dividing the meat by casting lots with arrows. All this is sinful. Today the unbelievers have lost every hope of (despoiling) your creed; so do not fear them, fear Me. Today I have perfected your system of belief and bestowed My favours upon you in full, and have chosen submission (al-Islam) as the creed for you. If one of you is driven by hunger (to eat the forbidden) without the evil intent of sinning, then God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '673', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'They ask you what is lawful for them. Say: "All things are lawful for you that are clean, and what the trained hunting animals take for you as you have trained then, in the light of God\'s teachings, but read over them the name of God, and fear (straying from the path of) God, for God is swift in the reckoning."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '674', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'On this day all things that are clean have been made lawful for you; and made lawful for you is the food of the people of the Book, as your food is made lawful for them. And lawful are the chaste Muslim women, and the women of the people of the Book who are chaste, (for marriage) and not fornication or liaison, if you give them their dowries. Useless shall be rendered the acts of those who turn back on their faith, and they will be among the losers in the life to come.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '675', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'O believers, when you stand up for the service of prayer wash your faces and hands up to elbows, and also wipe your heads, and wash your feet up to the ankles. If you are in a state of seminal pollution, then bathe and purify yourself well. But in case you are ill or are travelling, or you have satisfied the call of nature, or have slept with a woman, and you cannot find water, then take wholesome dust and pass it over your face and your hands, for God does not wish to impose any hardship on you. He wishes to purify you, and grace you with His favours in full so that you may be grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '676', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'Remember the favours He bestowed on you, and the covenant He cemented with you, when you said: "We have heard and obey." Have fear of God, for He knows the secrets of your heart.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '677', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'O you who believe, stand up as witnesses for God in all fairness, and do not let the hatred of a people deviate you from justice. Be just: This is closest to piety; and beware of God. Surely God is aware of all you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '678', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'God has made a promise of forgiveness and the highest reward to those who believe and perform good deeds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '679', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'But those who disbelieve and deny Our revelations are the people of Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '680', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'O believers, remember the favours God bestowed on you when a people raised their hands against you and He restrained their hands. So fear God; and the faithful should place their trust in God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '681', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'God covenanted the people of Israel and raised twelve leaders among them, and said: "I shall verily be with you. If you fulfil your devotional obligations, pay the zakat and believe in My apostles and support them, and give a goodly loan to God, I shall certainly absolve you of your evil, and admit you to gardens with streams of running water. But whosoever among you denies after this, will have wandered away from the right path."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '682', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'When they dishonoured their pledge We condemned them, and hardened their hearts. So they distort the words of the Scripture out of context, and have forgotten some of what they were warned against. You will always hear of treachery on their part except that of a few. But forbear and forgive them, for God loves those who do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '683', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'We had taken the pledge of those also who call themselves Christians. But they too forgot to take advantage of the warning they were given. So We have caused enmity and hatred among them to last till the Day of Resurrection, when God will inform them of what they were doing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '684', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'O people of the Book, Our Apostle has come to you, announcing many things of the Scriptures that you have suppressed, passing over some others. To you has come light and a clear Book from God', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '685', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'Through which God will lead those who follow His pleasure to the path of peace, and guide them out of darkness into light by His will, and to the path that is straight.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '686', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'Verily they are unbelievers who say: "The Messiah, son of Mary, is God." You ask them: "Who could prevail against God if He had chosen to destroy the Messiah, son of Mary, and his mother, and the rest of mankind?" For God\'s is the kingdom of the heavens and the earth and whatsoever lies between them. He creates what He please, for God has the power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '687', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'Say the Jews and the Christians: "We are sons of God and beloved of Him." Say: "Why does He punish you then for your sins? No: You are only mortals, of His creation." He can punish whom He please and pardon whom He will, for God\'s is the kingdom of the heavens and the earth and all that lies between them, and everything will go back to Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '688', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'O you people of the Book, Our Apostle has come to you when apostles had ceased to come long ago, lest you said: "There did not come to us any messenger of good news or of warnings." So now there has reached you a bearer of good tidings and of warnings; for God has the power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '689', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'Remember when Moses said to his people: "O my people, remember the favours that God bestowed on you when He appointed apostles from among you, and made you kings and gave you what had never been given to any one in the world.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '690', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'Enter then, my people, the Holy Land that God has ordained for you, and do not turn back, or you will suffer."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '691', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'They said: "O Moses, in that land live a people who are formidable; we shall never go there until they leave. We shall enter when they go away."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '692', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'Then two of the men who feared (God), and to whom God was gracious, said to them: "Charge and rush the gate. If you enter, you will surely be victorious. And place your trust in God if you truly believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '693', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'They said: "O Moses, we shall never, never enter so long as they are there. Go you and your Lord to fight them; we stay here."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '694', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'Said (Moses): "O Lord, I have control over none but myself and my brother; so distinguish between us and these, the wicked people."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '695', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => '(And God) said: "Then verily this land is forbidden them for forty years, and they shall wander perplexed over the earth. So do not grieve for these, the wicked people."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '696', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'Narrate to them exactly the tale of the two sons of Adam. When each of them offered a sacrifice (to God), that of one was accepted, and that of the other was not. Said (the one): "I will murder you," and the other replied: "God only accepts from those who are upright and preserve themselves from evil.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '697', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'If you raise your hand to kill me, I will raise not mine to kill you, for I fear God, the Lord of all the worlds;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '698', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'I would rather you suffered the punishment for sinning against me, and for your own sin, and became an inmate of Hell. And that is the requital for the unjust."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '699', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'Then the other was induced by his passion to murder his brother, and he killed him, and became one of the damned.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '700', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'Then God sent a raven which scratched the ground in order to show him how to hide the nakedness of his brother. "Alas, the woe," said he, "that I could not be even like the raven and hide the nakedness of my brother," and was filled with remorse.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '701', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'That is why We decreed for the children of Israel that whosoever kills a human being, except (as punishment) for murder or for spreading corruption in the land, it shall be like killing all humanity; and whosoever saves a life, saves the entire human race. Our apostles brought clear proofs to them; but even after that most of them committed excesses in the land.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '702', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'The punishment for those who wage war against God and His Prophet, and perpetrate disorders in the land, is to kill or hang them, or have a hand on one side and a foot on the other cut off, or banish them from the land. Such is their disgrace in the world, and in the Hereafter their doom shall be dreadful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '703', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'But those who repent before they are subdued should know that God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '704', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'O you who believe, follow the path shown to you by God, and seek the way of proximity to Him, and struggle in His way: you may have success.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '705', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'As for unbelievers, if they possess the riches of the whole earth, and two times more, and offer it as ransom for release from the torments of the Day of Resurrection, it will not be accepted from them, and their punishment will surely be painful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '706', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'They would like to escape from the Fire, but will never succeed, and their suffering will be constant', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '707', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'As for the thief, whether man or woman, cut his hand as punishment from God for what he had done; and God is all mighty and all wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '708', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'But those who repent after a crime and reform, shall be forgiven by God, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '709', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'Do you not know that God\'s is the kingdom of the heavens and the earth? He punishes whom He will, and pardons whom He please, for God has the power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '710', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'Be not grieved, O Apostle, by those who hasten to outrace others in denial, and say with their tongues: "We believe," but do not believe in their hearts. And those of the Jews who listen to tell lies, and spy on behalf of others who do not come to you, and who distort the words (of the Torah) out of context, and say: "If you are given (what we say is true) accept it; but if you are not given it, beware." You cannot intercede with God for him whom God would not show the way. These are the people whose hearts God does not wish to purify. For them is ignominy in this world and punishment untold in the next --', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '711', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => 'Eavesdropping for telling lies, earning through unlawful means! So, if they come to you, judge between them or decline. And if you decline, they can do you no harm; but if you judge, you should do so with justice, for God loves those who are just.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '712', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'But why should they make you a judge when the Torah is with them which contains the Law of God? Even then they turn away. They are those who will never believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '713', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'We sent down the Torah which contains guidance and light, in accordance with which the prophets who were obedient (to God) gave instructions to the Jews, as did the rabbis and priests, for they were the custodians and witnesses of God\'s writ. So, therefore, do not fear men, fear Me, and barter not My messages away for a paltry gain. Those who do not judge by God\'s revelations are infidels indeed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '714', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'And there (in the Torah) We had ordained for them a life for a life, and an eye for an eye, and a nose for a nose, and an ear for an ear, and a tooth for a tooth, and for wounds retribution, though he who forgoes it out of charity, atones for his sins. And those who do not judge by God\'s revelations are unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '715', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'Later, in the train (of the prophets), We sent Jesus, son of Mary, confirming the Torah which had been (Sent down) before him, and gave him the Gospel containing guidance and light, which corroborated the earlier Torah, a guidance and warning for those who preserve themselves from evil and follow the straight path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '716', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'Let the people of the Gospel judge by what has been revealed in it by God. And those who do not judge in accordance with what God has revealed are transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '717', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'And to you We have revealed the Book containing the truth, confirming the earlier revelations, and preserving them (from change and corruption). So judge between them by what has been revealed by God, and do not follow their whims, side-stepping the truth that has reached you. To each of you We have given a law and a way and a pattern of life. If God had pleased He could surely have made you one people (professing one faith). But He wished to try and test you by that which He gave you. So try to excel in good deeds. To Him will you all return in the end, when He will tell you of what you were at variance.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '718', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'Judge between them in the light of what has been revealed by God, and do not follow their whims, and beware of them lest they lead you away from the guidance sent down to you by God. If they turn away, then know that God is sure to punish them for some of their sins; and many of them are transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '719', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'Do they seek a judgement of the days of pagan ignorance? But who could be a better judge than God for those who are firm in their faith?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '720', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'O believers, do not hold Jews and Christians as your allies. They are allies of one another; and anyone who makes them his friends is surely one of them; and God does not guide the unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '721', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'You will notice that those whose hearts are afflicted with sickness (of doubt) only hasten to join them and say: "We fear lest misfortune should surround us." It may well be that God may soon send (you) success, or other command of His. Then will they be repentant of what they had concealed in their hearts.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '722', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'Then the believers will say: "Are these the people who had sworn by God on solemn oath and said: "We are surely with you?" Wasted have been all their deeds, and losers they remain.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '723', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'O believers, any one of you who turns back on his faith (should remember) that God could verily bring (in your place) another people whom He would love as they would love Him, gentle with believers, unbending with infidels, who would strive in the way of God, unafraid of blame by any slanderer. Such is the favour of God which He bestows on whomsoever He will. God is infinite and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '724', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'Your only friends are God and His Messenger, and those who believe and are steadfast in devotion, who pay the zakat and bow in homage (before God).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '725', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'And those who take God and His Prophet and the faithful as their friends are indeed men of God, who will surely be victorious.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '726', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'O believers, do not make friends with those who mock and make a sport of your faith, who were given the Book before you, and with unbelievers; and fear God if you truly believe;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '727', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => '(Nor make friends with) those who, when you call (the faithful) to prayer, make mock of it and jest, because they do not understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '728', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'Say to them: "O people of the Book, what reason have you for disliking us other than that we believe in God and what has been sent down to us, and was sent down before, and because most of you are disobedient?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '729', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'Say: "Shall I inform you who will receive the worst chastisement from God? They who were condemned by God, and on whom fell His wrath, and those who were turned to apes and swine, and those who worship the powers of evil. They are in the worse gradation, and farthest away from the right path."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '730', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'When they come to you they say: "We believe;" but unbelieving they came and unbelieving go; and God is aware of what they conceal in their hearts.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '731', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'You will see among them many who rush into sin and wickedness, and devour unlawful gain. How evil are the things they do!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '732', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'Why do not their rabbis and priests prohibit them from talking of sinful things and from devouring unlawful gain? Evil are the acts they commit!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '733', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'The Jews say: "Bound are the hands of God." Tied be their own hands, and damned may they be for saying what they say! In fact, both His hands are open wide: He spends of His bounty in any way He please. But what your Lord has revealed to you will only increase their rebellion and unbelief. So We have caused enmity and hatred among them (which will last) till the Day of Resurrection. As often as they ignite the fires of war they are extinguished by God. Yet they rush around to spread corruption in the land; but God does not love those who are corrupt.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '734', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'If the people of the Book had believed and feared, We would surely have absolved them of their sins, and admitted them to gardens of delight.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '735', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'And if they had followed the teachings of the Torah and the Gospel, and what has been sent down to them by their Lord, they would surely have enjoyed (blessings) from the heavens above and the earth below their feet.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '736', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'Some among them are moderate, but evil is what most of them do! O Prophet, announce what has reached you from your Lord, for if you do not, you will not have delivered His message. God will preserve you from (the mischief of) men; for God does not guide those who do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '737', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'Say to them: "O people of the Book, you have no ground (for argument) until you follow the Torah and the Gospel and what has been revealed to you by your Lord." But what has been revealed to you by your Lord will surely increase rebellion and unbelief in many; so do not grieve for those who do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '738', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'All those who believe, and the Jews and the Sabians and the Christians, in fact any one who believes in God and the Last Day, and performs good deeds, will have nothing to fear or regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '739', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'We had taken a solemn pledge from the children of Israel, and sent messengers to them; but whenever an apostle came to them bringing what did not suit their mood, they called one imposter, another they slew,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '740', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'And imagined that no trials would befall them; and they turned deaf and blind (to the truth). But God still turned to them; yet many of them turned blind and deaf again; but God sees everything they do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '741', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'They are surely infidels who say: "God is the Christ, son of Mary." But the Christ had only said: "O children of Israel, worship God who is my Lord and your Lord." Whosoever associates a compeer with God, will have Paradise denied to him by God, and his abode shall be Hell; and the sinners will have none to help them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '742', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'Disbelievers are they surely who say: "God is the third of the trinity;" but there is no god other than God the one. And if they do not desist from saying what they say, then indeed those among them who persist in disbelief will suffer painful punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '743', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'Why do they not turn to God and ask His forgiveness? God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '744', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'The Christ, son of Mary, was but an apostle, and many apostles had (come and) gone before him; and his mother was a woman of truth. They both ate the (same) food (as men). Behold, how We show men clear signs, and behold, how they wander astray!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '745', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'Tell them: "Leaving God aside, will you worship something that has no power over your loss or gain?" But God is all-hearing and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '746', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => 'Tell them: "O people of the Book, do not overstep the bounds of truth in your beliefs, and follow not the wishes of a people who had erred before, and led many others astray, and wandered away from the right path."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '747', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => 'Cursed were disbelievers among the children of Israel by David and Jesus, son of Mary, because they rebelled and transgressed the bounds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '748', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => 'They did not restrain one another from the wicked things they used to do; and vile were the things that they were doing!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '749', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'You can see among them many allying themselves with the infidels. Vile it was what they sent ahead of them, so that God\'s indignation came upon them; and torment will they suffer an eternity.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '750', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'If they had believed in God and the Prophet and what had been revealed to him, they would never have held them as allies; and many among them are transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '751', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'You will find the Jews and idolaters most excessive in hatred of those who believe; and the closest in love to the faithful are the people who say: "We are the followers of Christ," because there are priests and monks among them, and they are not arrogant.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '752', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'For when they listen to what has been revealed to this Apostle, you can see their eyes brim over with tears at the truth which they recognise, and say: "O Lord, we believe; put us down among those who bear witness (to the truth).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '753', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'And why should we not believe in God and what has come down to us of the truth? And we hope to be admitted by our Lord among those who are upright and do good?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '754', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'God will reward them for saying so with gardens where streams flow by, where they will live for ever. This is the recompense of those who do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '755', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'But those who disbelieve and deny Our revelations are residents of Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '756', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'O believers, do not forbid the good things God has made lawful for you; and do not transgress. God does not love transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '757', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'Eat what is lawful and good of the provisions God has bestowed on you, and fear God in whom you believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '758', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'God does not punish you but for what you swear in earnest. The expiation (for breaking an oath) is feeding ten persons who are poor, with food that you give your own families, or clothing them, or freeing a slave. But he who cannot do so should fast for three days. This is the expiation for an oath when you have sworn it. So abide by your oaths. Thus God makes His commandments clear to you: You may perhaps be grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '759', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'O believers, this wine and gambling, these idols, and these arrows you use for divination, are all acts of Satan; so keep away from them. You may haply prosper.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '760', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => 'Satan only wishes to create among you enmity and hatred through wine and gambling, and to divert you from the remembrance of God and prayer. Will you therefore not desist?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '761', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'Obey God and the Prophet, and beware. If you turn away, remember, that the duty of Our Apostle is to give you a clear warning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '762', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'Those who believe and perform good deeds will not be held guilty for what they have eaten (in the past) if they fear God and believe, and do good things and are conscious (of God) and believe, and still fear and do good, for God loves those who do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '763', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => 'O you who believe, God will surely try you with the game that you take with your hands or your lances, in order to know who fear Him unseen. Whosoever transgress after this will suffer grievous punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '764', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'O you who believe, do not kill game when you are on pilgrimage. And anyone among you who does so on purpose should offer livestock of equivalent value, determined by two honourable persons among you, (as atonement), to be brought to the Ka\'bah as an offering; or else expiate by giving food to the poor, or its equivalent in fasting, so that he may realise the gravity of his deed. God has forgiven what has happened in the past; but any one who does so again will be punished by God. And God is severe in requital.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '765', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'Lawful is all game of the water for you, and eating of it as food, so that you and the travellers may benefit by it. But unlawful is game of the jungle when you are on pilgrimage. Fear God before whom you have to gather in the end.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '766', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'God has made the Ka\'bah, the Sacred House, a means of support for mankind, as also the holy month, the sacrificial offerings, and consecrated cattle, so that you may understand that known to God is all that is in the heavens and the earth, and God has knowledge of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '767', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'Know that the punishment of God is severe, but that God is also forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '768', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'It is for the Prophet to convey the message: God knows what you reveal and what you hide.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '769', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'Tell them: "The unclean and the pure are not equal, even though the abundance of the unclean may be pleasing to you." So fear God, O men of wisdom; you may haply find success.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '770', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'O believers, do not ask about things which, if made known to you, may vex you. But if you ask about them when the Qur\'an is being revealed they will be unfolded to you. God has overlooked (your failings) in this (respect), for God is forgiving and forbearing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '771', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'Such things were asked by a people before you, but they disbelieved them afterwards.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '772', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'God has not sanctioned Baheerah or Sa\'ibah, Waseelah or Ham. The unbelievers fabricate lies of God, for many of them are devoid of sense.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '773', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'When you say to them: "Come to what God has revealed, and the Prophet," they say: "Sufficient to us is the faith that our fathers had followed," even though their fathers had no knowledge or guidance.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '774', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => 'O you who believe, on you rests (the responsibility) for your own selves. If you follow the right path those who have gone astray will not be able to do you harm. To God have all of you to return, when He will tell you what you were doing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '775', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'O you who believe, let two honest men among you be witness when you dictate your last will and testament as (the hour of) death draws near; and if death approaches while you are on a journey, two men other than yours. Detain them after the service of prayer, and if you doubt their word make them swear by God that: "We shall not take a bribe even though it be offered by a near relative, nor hide the testimony of God, for then we shall surely be sinful."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '776', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'If it transpires they have concealed the truth, two of those who are immediately concerned should take their place and swear by God: "Our testimony is truer than theirs. We have stated no more (than the truth), or else we shall be unjust"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '777', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'It is thus likely that men will bear witness rightly, or else fear that their oaths may be disproved by oaths given after them. So fear God, and do not forget that God does not guide the iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '778', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'The day God will gather the apostles and ask: "What answer was made to you?" They will say: "We know not. You alone know the secrets unknown."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '779', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '110', 'translate_name' => 'And when God will say: "O Jesus, son of Mary, remember the favours I bestowed on you and your mother, and reinforced you with divine grace that you spoke to men when in the cradle, and when in the prime of life; when I taught you the law and the judgement and the Torah and the Gospel; when you formed the state of your people\'s destiny out of mire and you breathed (a new spirit) into it, and they rose by My leave; when you healed the blind by My leave, and the leper; when you put life into the dead by My will; and when I held back the children of Israel from you when you brought to them My signs, and the disbelievers among them said: "Surely these are nothing but pure magic."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '780', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '111', 'translate_name' => 'And when I inspired the disciples (through Jesus) to believe in Me and My apostle, they said: "We believe, and You bear witness that we submit"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '781', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '112', 'translate_name' => 'When the disciples said: "O Jesus, son of Mary, could your Lord send down for us a table laid with food?" he said: "Fear God, if indeed you believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '782', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '113', 'translate_name' => 'They said: "We should like to eat of it to reassure our hearts and to know that it\'s the truth you have told us, and that we should be witness to it."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '783', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '114', 'translate_name' => 'Said Jesus, son of Mary. "O God, our Lord, send down a table well laid out with food from the skies so that this day may be a day of feast for the earlier among us and the later, and a token from You. Give us our (daily) bread, for You are the best of all givers of food."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '784', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '115', 'translate_name' => 'And said God: "I shall send it down to you; but if any of you disbelieve after this, I shall inflict such punishment on him as I never shall inflict on any other creature."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '785', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '116', 'translate_name' => 'And when God will ask: "O Jesus, son of Mary, did you say to mankind: \'Worship me and my mother as two deities apart from God?\' (Jesus) will answer: "Halleluja. Could I say what I knew I had no right (to say)? Had I said it You would surely have known, for You know what is in my heart though I know not what You have. You alone know the secrets unknown.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '786', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '117', 'translate_name' => 'I said nought to them but what You commanded me: Worship God, my Lord and your Lord. And so long as I dwelt with them I was witness over their actions. And after my life had been done, You were their keeper; and You are a witness over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '787', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '118', 'translate_name' => 'If You punish them, indeed they are Your creatures; if You pardon them, indeed You are mighty and wise."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '788', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '119', 'translate_name' => 'God will say: \'This is the day when the truthful shall profit by their truthfulness. For them will be gardens with streams running by, where they will for ever abide." God will accept them, and they will be gratified in (obeying) Him. This will surely be happiness supreme.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '789', 'chapter_id' => '5', 'translator_id' => '1', 'verse_number' => '120', 'translate_name' => 'To God belongs all that is in the heavens and the earth, and His the power over everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '790', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'ALL PRAISE BE to God who created the heavens and the earth, and ordained darkness and light. Yet the unbelievers make the others equal of their Lord.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '791', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'It is He who created you from clay then determined a term (of life) for you, and a term (is fixed) with Him. Even then you doubt.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '792', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'He is God in the heavens and the earth. He knows what you hide and bring out into the open, and knows what you earn (of good and evil).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '793', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'Yet no sign of their Lord comes to them but they turn away from it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '794', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'So they disbelieved the truth when it came to them; but they will soon come to know the reality of what they had ridiculed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '795', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'Do they not see how many generations We laid low before them, whom We had firmly established in the land as We have not established you, and showered abundant rain on them, and made rivers lap at their feet, yet whom We destroyed for their sins, and raised new generations after them?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '796', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'Even if We had sent you a transcript on paper which they could feel with their hands, the unbelievers would have said: "This is nothing but clear sorcery."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '797', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'They say: "How is it no angel was sent down to him?" Had We sent an angel down the matter would have come to end, and they would have had no respite.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '798', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'Even if We had sent down an angel as messenger he would have appeared in the garb of a man and filled them with confusion, like the one they are filled with.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '799', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'Surely the apostles have been mocked before you; but what they had mocked rebounded on the mockers themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '800', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'Say: "Travel in the land and see what happened to those who disbelieved."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '801', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'And ask: "To whom belongs what is in the heavens and the earth?" Say: "To God." He has prescribed grace for Himself. He will gather you on the Day of Resurrection which is certain to come. Only they who are lost of soul will not come to believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '802', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'Whatsoever dwells in the night and day belongs to Him. He is all-hearing and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '803', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'Say: "Should I find some other protector besides God the Creator of the heavens and the earth, who nourishes all and is nourished by none? Say: "I am commanded to be the first to submit to Him, and not be an idolater."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '804', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'Say: "If I disobey my Lord, I fear the punishment of a grievous Day."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '805', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'Whosoever is spared that Day will surely have mercy shown to him, and this will be a clear triumph.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '806', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'If God sends you harm, there is no one but He who can take it away; and if He bring you good, surely He has power over everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '807', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'It is He who prevails over His creatures, and He is all-wise and aware.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '808', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'Ask: "Of all things what is most vital as evidence?" Say: "God (who) is witness between you and me that this Qur\'an has been revealed to me that I may warn you on its strength, and those whom it reaches. Do you really bear witness there are other gods with God?" Tell them: "I bear no such Witness." Say: "Verily He is the only God, and I am clear of what you associate (with Him)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '809', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'Those to whom We have given the Book know it distinctly as they know their sons; but those who are lost of soul do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '810', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'And who is more wicked than he who invents lies about God or denies His revelations? Surely the wicked will not succeed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '811', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'The day We shall gather all of them together and say to those who ascribe (partners to God): "Where are the compeers who you claimed (were equal to God)?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '812', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'Then their excuse will be but to say: "By God our Lord, we were not idolaters."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '813', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'You will see how they will lie against themselves, and all their slanderings will be vain.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '814', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'There are some among them who listen to you; but We have put a covering on their hearts so that they fail to understand it, and a deafness appears in their ears. Even if they saw all the signs they would not believe in them; and even when they come to you to dispute with you, the unbelievers say: "This is nothing but fables of antiquity."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '815', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'And they forbid others from (believing in) it, and themselves keep away from it. But they ruin none but themselves, and do not understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '816', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'If you should see them when they are stood before the Fire, they will say: "Ah would that we were sent back (to the world)! We shall not deny the signs of our Lord, and be among those who believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '817', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'But no. What they were hiding has now become clear to them. If they were sent back they would surely return to what had been forbidden them, for surely they are liars.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '818', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'They say: "There is no other life but that of this world, and we will not be raised (from the dead)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '819', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'If you see them when they are put before their Lord, He will say to them: "Is not this the truth?" They will answer: "Indeed, by our Lord." He will say: "Then taste the agony of punishment for what you had denied."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '820', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'They are surely lost who call the meeting with God a lie. When the Hour comes upon them unawares, they will say: "Alas, we neglected it!" and carry their burdens on their backs: How evil the burden they will carry!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '821', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'As for the life of this world, it is nothing but a frolic and frivolity. The final abode is the best for those who are pious and fear God. Do you not comprehend?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '822', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'We know what they say distresses you. It is not you in fact they accuse of lies, but the wicked deny the revelations of God!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '823', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'Many an apostle has been accused of lies before you. Yet they bore with fortitude the falsehoods and the hurt until our help arrived. There is no changing the word of God: The news of (past) apostles has come to you already.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '824', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'If their aversion still weighs upon you, seek out a tunnel (going deep) into the earth, or a ladder reaching out to the skies, and bring them a sign: (Even then they will not believe). If God had willed He would have brought them all to the right path. So be not like the pagans.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '825', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'Only they will respond who can hear. As for the dead, raised they will be by God, then to Him they will be returned.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '826', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'They say: "How is it no miracle was sent down to him from his Lord?" Say: "God certainly has power to send down a miracle; but most men cannot understand."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '827', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'There is not a thing that moves on the earth, no bird that flies on its wings, but has a community of its own like yours. There is nothing that We have left out from recording. Then they will all be gathered before their Lord.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '828', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'Those who deny Our revelations are deaf, dumb, and lost in the dark. God sends whosoever He wills astray, and leads whom He will to the straight path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '829', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'Say: "Have you thought if the punishment of God or the Hour (of Doom) came upon you, would you call to any other than God? Answer, if you are men of truth."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '830', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'No: You will call to Him alone; and He will, if He please, remove (the distress) for which you had called Him; and forget those you associate as compeers (with Him)', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '831', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => 'We have indeed sent (apostles) to many a people before you, and inflicted upon them hardships and afflictions so that they might submit.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '832', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'Then why did they not submit when Our punishment came upon them? But their hearts were hardened, and Satan made things they were doing look attractive to them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '833', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'When they had become oblivious of what they were warned, We opened wide the gates of everything to them; yet as they rejoiced at what they were given, We caught them unawares, and they were filled with despair.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '834', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'Thus were the wicked people rooted out of existence to the last. All praise be to God, the Lord of all the worlds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '835', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'Say: "Imagine if God takes away your hearing and sight, and sets a seal on your hearts, what deity other than God will restore them to you?" See how We inflect Our signs: Even then they turn aside.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '836', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'Say: "Imagine if the punishment of God were to come unawares, or openly, who will perish but the evil-doers?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '837', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'We do not send apostles but to give good tidings and to warn. Then those who believe or reform will have neither fear nor regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '838', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'But those who deny Our messages will be seized by nemesis for being disobedient.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '839', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'Tell them: "I do not say that I possess the treasures of God, or have knowledge of the Unknown, or that I am an angel. I only follow what is sent down to me." And say: "How can a blind man and a man who can see, be alike? Will you not reflect?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '840', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'Warn those who fear, through this (Qur\'an), that they will be gathered before their Lord, and they will have none to protect or intercede for them apart from Him. They may haply take heed for themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '841', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'Do not turn away those who supplicate their Lord morning and evening, seeking His magnificence. You are not accountable for them in the least, nor they for you at all. If you drive them away you will only be unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '842', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'Thus do We try men through one another so that they may ask: "Are these the ones of all of us who have been favoured by God?" Does God not know who are the grateful?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '843', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'When those who believe in Our revelations come to you, say to them: "Peace on you." Your Lord has prescribed grace for Himself, so that in case one of you commits evil out of ignorance, then feels repentant and reforms, He may be forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '844', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'Thus distinctly do We explain Our signs that the way of sinners may become distinct.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '845', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'Tell them: "I am forbidden to worship those you invoke apart from God." And say: "I will not follow your wishes. If I do, I shall be lost and not be one of those who follow the right path."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '846', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'Tell them: "A clear proof has come to me from my Lord, and Him you deny. But what you wish to be hastened is not within my power. The judgement is only God\'s. He unfolds the Truth, and is the best of judges."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '847', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'Say: "If what you wish to be hastened were in my power, all matters between you and me would have been settled; God is cognisant of those who are unjust."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '848', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'He has the keys of the Unknown. No one but He has knowledge; He knows what is on the land and in the sea. Not a leaf falls without His knowledge, nor a grain in the darkest (recess) of the earth, nor any thing green or seared that is not recorded in the open book (of nature).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '849', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'It is He indeed who sends you to death at night, and knows what you do in the day, then makes you rise with it again in order that the fixed term of life be fulfilled. Then to Him you will be returned when He will tell you what you did.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '850', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'He has power over His creatures, and appoints guardians to watch over them. When death comes to one of you, Our messengers take away his soul, and do not falter.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '851', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'Then they are taken to God, their real lord and master. His indeed is the judgement; and He is swift at reckoning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '852', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'Ask: "Who is it who comes to your rescue in the darkness of the desert and the sea, and whom you supplicate humbly and unseen: \'If You deliver us from this, we shall indeed he grateful?\'', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '853', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'Say: "God delivers you from this and every calamity. Even then you ascribe compeers (to Him)!"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '854', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'Say: "He has power to send you retribution from the skies above, or the earth beneath your feet, or confound you with divisions among you, and give one the taste of the vengeance of the other." See, how distinctly We explain Our signs that they may understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '855', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'This (Book) has been called by your people a falsehood though it is the truth. Say: "I am not a warden over you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '856', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'A time is fixed for every prophecy; you will come to know in time.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '857', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'When you see them argue about Our messages, withdraw from their company until they begin to talk of other things. In case the Devil makes you forget, leave the company of these unjust people the moment you remember this.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '858', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'As for the heedful and devout, they are not accountable for them, but should give advice: They may haply come to fear God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '859', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'Leave those alone who have made a sport and frolic of their faith, and have been seduced by the life of this world. Remind them hereby lest a man is doomed for what he has done. He will have none to help him, or intercede for him, other than God; and even if he offer all the ransoms they will not be accepted from him. They are those who will be destroyed by their own acts. There will be scalding water to drink for them and painful punishment, for they had disbelieved.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '860', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'Say: \'Should we call in place of God one who can neither help nor do us harm, and turn back after having been guided by God, like a man beguiled by the devils who wanders perplexed in the wilderness while his friends call him back to the right path, saying: \'Come to us, this way?\' Say: "God\'s guidance is (true) guidance, and we have been commanded to submit to the Lord of all the worlds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '861', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'Observe (your) devotional obligations and fear (God), for it is He before whom you will be gathered (in the end)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '862', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'It is He who created the heavens and the earth with a definite purpose. The day He will say "Be, " it will be. His word is the truth, His alone the power on the Day when the blast of the trumpet will be sounded. He knows the hidden and the visible. He is all-prudent and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '863', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'Remember when Abraham said to Azar, his father: "Why do you take idols for God? I certainly find you and your people in error."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '864', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'Thus We showed to Abraham the visible and invisible world of the heavens and the earth, that he could be among those who believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '865', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'When the night came with her covering of darkness he saw a star, and (Azar, his father) said: "This is my Lord." But when the star set, (Abraham) said: "I love not those that wane."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '866', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => 'When (Azar) saw the moon rise all aglow, he said: "This is my Lord." But even as the moon set, (Abraham) said: "If my Lord had not shown me the way I would surely have gone astray."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '867', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => 'When (Azar) saw the sun rise all resplendent, he said: "My Lord is surely this, and the greatest of them all." But the sun also set, and (Abraham) said: "O my people, I am through with those you associate (with God).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '868', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => 'I have truly turned my face towards Him who created the heavens and the earth: I have chosen one way and am not an idolater."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '869', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'His people argued, and he said: "Do you argue with me about God? He has guided me already, and I fear not what you associate with Him, unless my Lord wills, for held within the knowledge of my Lord is everything. Will you not reflect?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '870', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'And why should I fear those you associate with Him when you fear not associating others with God for which He has sent down no sanction? Tell me, whose way is the way of peace, if you have the knowledge?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '871', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'They alone have peace who believe and do not intermix belief with denial, and are guided on the right path."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '872', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'This is the argument We gave to Abraham against his people. We exalt whosoever We please in rank by degrees. Your Lord is wise and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '873', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'And We gave him Isaac and Jacob and guided them, as We had guided Noah before them, and of his descendants, David and Solomon and Job and Joseph and Moses and Aaron. Thus We reward those who are upright and do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '874', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'Zachariah and John We guided, and guided Jesus and Elias who were all among the upright.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '875', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'We gave guidance to Ishmael, Elisha and Jonah and Lot; And We favoured them over the other people of the world,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '876', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'As We did some of their fathers and progeny and brethren, and chose them, and showed them the right path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '877', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'This is God\'s guidance: He gives among His creatures whom He will. If they had associated others with Him, surely vain would have been all they did.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '878', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'Those were the people to whom We gave the Book and the Law and the Prophethood. But if they reject these things We shall entrust them to a people who will not deny.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '879', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'Those were the people who were guided by God; so follow their way. Say: "I ask no recompense of you for this. It is but a reminder for all the people of the world."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '880', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => 'But they failed to make a just estimation of God when they said: "He did not reveal to any man any thing." Ask them: "Who then revealed the Book that Moses brought, -- a guidance and light for men, -- which you treat as sheafs of paper, which you display, yet conceal a great deal, though through it you were taught things you did not know before, nor even your fathers knew?" Say: "God," and leave them to the sport of engaging in vain discourse.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '881', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'And this (Qur\'an) is another Book that We have revealed, blessed, affirming the earlier (revelations), so that you may warn the people of (Makkah) the town of towns, and those who live around it. Those who believe in the life to come shall believe in it and be watchful of their moral obligations.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '882', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'Who is more vile than he who slanders God of falsehood, or says: "Revelation came to me," when no such revelation came to him; or one who claims: "I can reveal the like of what has been sent down by God?" If you could see the evil creatures in the agony of death with the angels thrusting forward their hands (saying): "Yield up your souls: This day you will suffer ignominious punishment for uttering lies about God and rejecting His signs with arrogance."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '883', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => '"You have come before Us all alone," (God will say), "as when you were created first, leaving behind all that We had bestowed on you. We do not see your intercessors with you who, you imagined, had partnership with you. Shattered lie your ties with them now, and gone are the claims you made."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '884', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'Indeed it is God who splits up the seed and the kernel, and brings forth the living from the dead, the dead from the living. This is God: So whither do you stray?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '885', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'He ushers in the dawn, and made the night for rest, the sun and moon a computation. Such is the measure appointed by Him, the omnipotent and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '886', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'It is He who made the stars by which you reckon your way through the darkness of the desert and the sea. Distinct have We made Our signs for those who recognise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '887', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'It is He who produced you from a single cell, and appointed a place of sojourning, (the womb of the mother), and a place of depositing, (the grave). How clear have We made Our signs for those who understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '888', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'It is He who sends down water from the skies, and brings out of it everything that grows, the green foliage, the grain lying close, the date palm trees with clusters of dates, and the gardens of grapes, and of olives and pomegranates, so similar yet so unlike. Look at the fruits, how they appear on the trees, and they ripen. In all these are signs for those who believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '889', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'Yet they ascribe to jinns a partnership with God, although He created them; and they ascribe to Him sons and daughters, without possessing any knowledge. All praise be to Him. He is much too exalted for things they associate (with Him).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '890', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'Creator of the heavens and the earth from nothingness, how could He have a son when He has no mate? He created all things, and has knowledge of all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '891', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'This is God, your Lord; there is no god but He, the creator of all things. So pay homage to Him, for He takes care of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '892', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'No eyes can penetrate Him, but He penetrates all eyes, and He knows all the mysteries, for He is all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '893', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'To you have come signs from your Lord, (and the light of understanding). So any one who sees (and understands) does so for himself, and any one who turns blind shall suffer the consequences alone. (Say:) "I am not a guardian over you (to make you understand)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '894', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => 'Thus in varied ways We explain Our signs so that they may say: "You have been instructed," and that We might make it clear to those who understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '895', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'So follow what is sent down to you by your Lord, for homage is due to no one but God, and turn away from idolaters.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '896', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'Had He willed they would not have been idolaters. We have not appointed you their guardian, nor are you their pleader.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '897', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'Do not revile those who invoke others apart from God, lest they begin to revile God out of malice and ignorance. We have made attractive their deeds to every people. They have to go back to their Lord, when He will tell them what they used to do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '898', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'They solemnly swear by God: "If a sign comes to us we shall certainly believe in it." Tell them: "The signs are with God." Yet for all you know they will not believe if the signs came to them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '899', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '110', 'translate_name' => 'We shall turn their hearts and their eyes, for they did not believe them at the very first, and leave them to wander perplexed in bewilderment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '900', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '111', 'translate_name' => 'Even if We send down the angels to them, and the dead should speak to them, and We gather all things before their eyes, they will not believe, unless God should will, for most of them are ignorant.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '901', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '112', 'translate_name' => 'That is how We have made for each apostle opponents, the satans among men and jinns, who inspire one another with deceitful talk. But if your Lord had willed they would not have done so. Pay no attention to them and to what they fabricate.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '902', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '113', 'translate_name' => 'Let those who do not believe in the life to come, listen to it and be pleased with it, and let them gain what they may gain.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '903', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '114', 'translate_name' => '(Say): "Then should I seek (the source of) law elsewhere than God, when it is He who has revealed this Book to you, which distinctly explains (everything)?" Those to whom We have given the Book know it has been sent by your Lord in truth. So be not a sceptic.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '904', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '115', 'translate_name' => 'Perfected are the laws of your Lord in truth and justice, and there is no changing His laws. He is all-hearing and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '905', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '116', 'translate_name' => 'If you follow the majority of people on the earth, they will lead you astray from the path of God, for they follow only conjecture and surmise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '906', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '117', 'translate_name' => 'Your Lord surely knows those who have strayed from his path, and knows those who are rightly guided.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '907', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '118', 'translate_name' => 'Eat only that over which the name of God has been pronounced, if you truly believe in His commands.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '908', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '119', 'translate_name' => 'And why should you not eat of that over which the name of God has been pronounced, when He has made it distinctly clear what is forbidden, unless you are constrained to do so. Surely many (men) mislead others into following their vain desires through lack of knowledge. Your Lord certainly knows the transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '909', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '120', 'translate_name' => 'Discard both the visible and invisible sin. For those who sin will be punished for what they have done.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '910', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '121', 'translate_name' => 'Do not eat of that over which God\'s name has not been pronounced, for that would amount to exceeding the limits of law. Certainly the devils inspire their proteges to dispute with you: If you obey them, you will surely become an idolater.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '911', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '122', 'translate_name' => 'Can he who was lifeless, to whom We gave life, and gave him a light in whose glow he walks among men, be like him who is used to darkness from which he can never emerge? Thus have been their doings made attractive to unbelievers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '912', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '123', 'translate_name' => 'And thus have We placed in every city the greatest of the sinners to contrive and deceive; yet they contrive against no one but themselves even though they do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '913', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '124', 'translate_name' => 'Every time a sign comes to them they say: "We shall never believe till what God\'s apostles had been given comes to us." God knows best where to direct His messages. A degradation will befall the sinners and chastisement from God for deceiving.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '914', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '125', 'translate_name' => 'Thus God guides whomsoever He please by opening wide his breast to surrender; and Straitens the breasts of those He allows to go astray, (who feel suffocated) as if they were ascending the skies. Thus will God punish those who do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '915', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '126', 'translate_name' => 'This is the straight path of your Lord. Distinct have We made Our signs for those who reflect.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '916', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '127', 'translate_name' => 'For them is an abode of peace with their Lord. He will be their defender as reward for what they did.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '917', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '128', 'translate_name' => 'On the day He will gather them together, (He will say:) "O you assembly of jinns, you made great use of men." But their proteges among men will say: "O our Lord, we lived a life of mutual gain, but have now reached the term You ordained for us." "Your abode is Hell," He will say, "where you will dwell for ever, unless God please otherwise." Verily your Lord is wise and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '918', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '129', 'translate_name' => 'Thus do We place some sinners over others as requital for their deeds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '919', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '130', 'translate_name' => 'O you assembly of jinns and men, did not apostles come to you from among you, communicating My signs to you, bringing warnings of this your day (of Doom)?" They will answer: "We bear witness to our sins." They were surely deluded by the life of the world, and bore witness against themselves because they were unbelievers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '920', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '131', 'translate_name' => 'And this (so that it may be clear) that your Lord does not destroy towns and cities arbitrarily while the citizens remain unaware.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '921', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '132', 'translate_name' => 'Every one has his place according to his deeds, for your Lord is not negligent of what you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '922', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '133', 'translate_name' => 'Your Lord is all-sufficient and full of benevolence. He can take you away if He please, and make whom He will succeed you, as He had raised you from the progeny of others.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '923', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '134', 'translate_name' => 'The promise that was made to you is bound to be fulfilled. It is not in your power to defeat it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '924', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '135', 'translate_name' => 'Tell them: "O my people, go on acting on your part, I am acting on mine. You will soon know whose is the guerdon of life to come." The wicked will not succeed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '925', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '136', 'translate_name' => 'They allocate a share from God\'s own created fields and cattle to God, and they say: "This is God\'s" -- or so they think -- "and that, of the compeers of God," so that what belongs to the compeers does not reach God, but that which is God\'s may reach the compeers (set up by them). How bad is the judgement that they make!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '926', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '137', 'translate_name' => 'In the same way have their companions shown many unbelievers the killing of their children as desirable in order to ruin them and falsify their faith. If God had so willed they would never have done so. Leave them to their falsehoods.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '927', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '138', 'translate_name' => 'They also say: "These cattle and these crops are consecrated. None may eat of them other than those we permit," -- so they assert. "And the use of these cattle is forbidden for carrying burden." They do not pronounce the name of God on certain animals, inventing lies against Him. He will punish them for what they fabricate.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '928', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '139', 'translate_name' => 'And they say: "Whatever is in the wombs of these cattle is only meant for men and forbidden our women; but in case it should be still-born both could eat it." God will punish them for what they assert. He is all-wise and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '929', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '140', 'translate_name' => 'They will surely perish who kill their offspring in ignorance foolhardily, and forbid the food that God has given them by fabricating lies against God. Misguided are they surely, and will never come to guidance.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '930', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '141', 'translate_name' => 'It is He who grew the gardens, trellised and bowered, and palm trees and land sown with corn and many other seeds, and olives and pomegranates, alike and yet unlike. So eat of their fruit when they are in fruit, and give on the day of harvesting His due, and do not be extravagant, for God does not love those who are prodigal.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '931', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '142', 'translate_name' => 'He has created beasts of burden and cattle for slaughter. So eat of what God has given you for food, and do not walk in the footsteps of Satan who is surely your declared enemy.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '932', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '143', 'translate_name' => 'There are eight pairs, two of the species of sheep and two of goats. Ask them which has He forbidden, the two males or the two females, or what the females carry in their wombs? Produce the sanction if you are truthful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '933', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '144', 'translate_name' => 'And there are two of camels and two of oxen. Ask them: "Which has He forbidden, the two males or the two females, or what the females carry in their wombs?" Were you present at the time God issued this command?" Who then could be more wicked than he who fabricates a lie and ascribes it to God to mislead men, without any knowledge? God does not guide the miscreants.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '934', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '145', 'translate_name' => 'You tell them: "In all the commands revealed to me I find nothing which men have been forbidden to eat except carrion and running blood and flesh of the swine for it is unclean, or meat consecrated in the name of some other than God, which is profane. But if one is constrained to eat of these without craving or reverting to it, then surely your Lord is forgiving and kind."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '935', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '146', 'translate_name' => 'We made unlawful for the Jews all animals with claws or nails, and the fat of the oxen and sheep, except that on their backs or their intestines, or which remains attached to their bones. This was the punishment for their insubordination; and what We say is true.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '936', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '147', 'translate_name' => 'If they call you a liar, tell them infinite is the mercy of your Lord; but His vengeance will not be turned back from the sinners.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '937', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '148', 'translate_name' => 'But the idolaters say: "If God had so willed we would not have associated (others with Him), nor would have our fathers, nor would we have forbidden any thing." So had others denied before them, and had to taste Our punishment in the end. Ask them: "Have you any knowledge? Then display it. You follow nothing but conjecture, and are nothing but liars."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '938', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '149', 'translate_name' => 'Say: "To God belongs the consummate argument. Had He willed He would surely have guided all of you aright."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '939', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '150', 'translate_name' => 'Tell them: "Bring your witnesses to testify that God has forbidden this (and this)." Then even if they testify, you should not testify with them; and do not follow the wishes of those who deny Our signs and believe not in the Hereafter, and make others the equal of their Lord.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '940', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '151', 'translate_name' => 'Tell them: "Come, I will read out what your Lord has made binding on you: That you make none the equal of God, and be good to your parents, and do not abandon your children out of poverty, for We give you food and We shall provide for them; and avoid what is shameful, whether open or hidden, and do not take a life which God has forbidden, unless for some just cause. These things has God enjoined on you. Haply you may understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '941', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '152', 'translate_name' => 'Do not spend the belongings of the orphans but for their betterment, until they come of age; and give in full measure, and weigh justly on the balance. God does not burden a soul beyond capacity. When you say a thing, let it be just, even though the matter relate to a relative of yours, and fulfil a promise made to God. These are the things that He has enjoined that you may take heed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '942', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '153', 'translate_name' => '(He has further commanded:) \'This is My straight path, so walk along it, and do not follow other ways, lest you should turn away from the right one.\' All this has He commanded. You may perhaps take heed for yourselves."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '943', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '154', 'translate_name' => 'To that end We gave the Book to Moses, a perfect law, distinctly explaining all things, and a guidance and grace, so that they should believe in the meeting with their Lord.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '944', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '155', 'translate_name' => 'Blessed is this Book We have revealed; so follow it and preserve yourself from evil that you may qualify for grace,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '945', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '156', 'translate_name' => 'Lest you say: "The Book that was sent before was meant only for two groups; we were not aware of their teachings;"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '946', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '157', 'translate_name' => 'Or that: "Had the Book been sent down to us we would surely have been guided better than they." So you have now received from your Lord a clear proof and a guidance and grace. Then who is more wicked than he who denies the signs of God and turns away from them? We shall punish those severely who turn away: A requital indeed for having turned aside.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '947', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '158', 'translate_name' => 'What are the people waiting for? For the angels to come down, or your Lord to appear, or some signs from your Lord? The day when certain signs appear from your Lord, the embracing of faith shall not be of any avail to one who did not come to belief at first, or who did not perform good deeds by virtue of his faith. Tell them: "Wait on, we are waiting too (for the good and evil to become distinct)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '948', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '159', 'translate_name' => 'As for those who have created schisms in their order, and formed different sects, you have no concern with them. Their affair is with God. He will tell them the truth of what they were doing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '949', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '160', 'translate_name' => 'He who does a good deed will receive ten times its worth; and he who does evil will be requited to an equal degree; and no one will be wronged.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '950', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '161', 'translate_name' => 'Tell them: "My Lord has directed me to a path that is straight, a supreme law, the creed of Abraham the upright who was not an idolater."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '951', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '162', 'translate_name' => 'Tell them: "My service and sacrifice, my life and my death, are all of them for God, the creator and Lord of all the worlds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '952', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '163', 'translate_name' => 'No equal has He, I am commanded (to declare), and that I am the first to submit."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '953', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '164', 'translate_name' => 'Say: "Shall I search for another lord apart from God when He is the only Lord of all and everything?" Each soul earns (what it earns) for itself, and no man shall bear another\'s burden. You have to go back to your Lord in the end when He will tell you about the things you disputed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '954', 'chapter_id' => '6', 'translator_id' => '1', 'verse_number' => '165', 'translate_name' => 'It is He who made you trustees on the earth, and exalted some in rank over others in order to try you by what He has given you. Indeed your Lord\'s retribution is swift, yet He is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '955', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'Alif Lam Mim Sad.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '956', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'This Book has been sent down to you; so do not hesitate to warn (the unbelievers) through it, and remind the faithful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '957', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'Follow what has been revealed to you by your Lord, and do not follow any other lord apart from Him. Yet little do you care to remember.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '958', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'Many a habitation have We laid low before: Our retribution came upon them in the night or in the midst of siesta at noon.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '959', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'And when Our punishment overtook them they had nothing to say except crying out: "We have indeed been sinners."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '960', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => '(On the Day of Reckoning) We shall question the people to whom We had sent Our apostles, (if they followed their teachings), and will question the apostles.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '961', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'We shall recount (their deeds) to them with knowledge, for We were never absent (and saw all they did).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '962', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'And the weighing will be just on that Day. Then those whose (deeds) are heavier in the balance will find fulfilment,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '963', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'And those whose (deeds) are lighter in the scale shall perish for violating Our signs.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '964', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'We settled you on the earth, and provided means of livelihood for you in it; but little are the thanks you give.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '965', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'Verily We created you and gave you form and shape, and ordered the angels to bow before Adam in homage; and they all bowed but Iblis who was not among those who bowed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '966', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => '"What prevented you" (said God), "from bowing (before Adam) at My bidding?" "I am better than him," said he. "You created me from fire, and him from clay."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '967', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'So God said: "Descend. You have no right to be insolent here. Go, and away; you are one of the damned."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '968', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => '"Grant me respite," said he, "till the raising of the dead."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '969', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'And God said: "You have the respite."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '970', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => '"Since You led me into error," said Iblis, "I shall lie in wait for them along Your straight path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '971', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'And I shall come upon them from the front and behind, right and left; and You will not find among them many who would give thanks."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '972', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => '"Begone," said (God), "contemptible and rejected! As for those who follow you, I shall fill up Hell with all of you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '973', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'And you, O Adam, and your spouse, live in the Garden and eat your fill wheresoever you like, but do not approach this tree, or you will become iniquitous."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '974', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'But Satan suggested (evil) to them, in order to reveal their hidden parts of which they were not aware (till then), and said: "Your Lord has forbidden you (to go near) this tree that you may not become angels or immortal."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '975', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'Then he said to them on oath: "I am your sincere friend;"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '976', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'And led them (to the tree) by deceit. When they tasted (the fruit) of the tree their disgrace became exposed to them; and they patched the leaves of the Garden to hide it. And the Lord said to them: "Did I not forbid you this tree? And I told you that Satan was your open enemy.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '977', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'They said: "O our Lord, we have wronged ourselves. If You do not forgive us and have mercy upon us, we shall certainly be lost."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '978', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => '"Go," said God, "one the antagonist of the other, and live on the earth for a time ordained, and fend for yourselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '979', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'You will live there, and there will you die," He said, "and be raised from there (On the Day of Doom)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '980', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'O sons of Adam, We have revealed to you a dress that would both hide your nakedness and be an adornment, but the raiment of piety is best. This is one of the tokens of God: You may haply reflect.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '981', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'O sons of Adam, let not Satan beguile you as he did your parents out of Eden, and made them disrobe to expose their disgrace to them. For he and his host can see you from where you cannot see them. We have made the devils the friends of those who do not believe,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '982', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'Who say when they commit shameful acts: "Our ancestors used to do so, and God has enjoined us to do the same." Say to them: "God never enjoins a conduct that is shameful. You impute such lies to God as you do not know."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '983', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'Tell them: "My Lord has enjoined piety, devotion in all acts of worship, and calling upon Him with exclusive obedience. For you will be reverted back to what you were (when) created first."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '984', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'A Section (among them) were guided, a section were bound to go astray, (for) instead of God they took the devils as their friends; yet they think they are on the right path.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '985', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'O sons of Adam, attire yourselves at every time of worship; eat and drink, but do not be wasteful, for God does not like the prodigals.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '986', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'Ask them: "Who forbids you attire that God has given to His creatures, and the good things that He has provided?" Tell them: "They are (meant) for believers in the world, and will be theirs on the Day of Judgement." That is how We explain Our signs to those who know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '987', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'Tell them: "My Lord has forbidden repugnant acts, whether open or disguised, sin and unjust oppression, associating others with God, of which He has sent down no authority, and saying things of God of which you have no knowledge."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '988', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'A term is fixed for every people; and when their appointed time is come there will neither be a moment\'s delay nor haste.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '989', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'O sons of Adam, when apostles come to you from among you, who convey My messages, then those who take heed and amend will have neither fear nor regret.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '990', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'But those who deny Our signs and disdain them, shall belong to Hell, where they will abide for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '991', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'Who could be more wicked than he who imputes lies to God or denies His revelations? Such as these will receive what is declared in the Book, and when Our angels come to draw out their souls and ask: "Where are they you worshipped other than God?" They will answer: "They have left us and fled;" and bear witness against themselves for being infidels.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '992', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => '"Enter then the Fire," will God say, "with the past generations of jinns and men." On entering each batch will condemn the other; and when all of them shall have entered one after the other, the last to come will say of those who had come before them: "O our Lord, they are the ones who led us astray; so give them double chastisement in the Fire." He will answer: "For all it will be double; but this you do not know."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '993', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'Then the former will say to the latter: "You have no privilege over us. So taste the punishment for what you had done."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '994', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'Verily for those who deny Our signs and turn away in haughtiness from them, the gates of heaven shall not be opened, nor will they enter Paradise, not till the camel passes through the needle\'s eye. That is how We requite the transgressors:', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '995', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'For them is a flooring of Hell and a covering (of fire). That is how We requite the iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '996', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => 'As for those who believe and do good, We never burden a soul beyond capacity. They are men of Paradise where they will abide for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '997', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'Whatever the rancour they may have in their hearts We shall (cleanse and) remove. Streams of running water shall ripple at their feet, and they will say: "We are grateful to God for guiding us here. Never would we have been guided if God had not shown us the way. The apostles of our Lord had indeed brought the truth." And the cry shall resound: "This is Paradise you have inherited as meed for your deeds."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '998', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'And the inmates of Paradise will call to the residents of Hell: "We have found that the promise made to us by our Lord was true. Have you also found the promise of your Lord to be true?" They will answer: "Yes (it is so)." Then a crier will call from among them: "The curse of God be on the vile,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '999', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => '"Who obstruct those who follow the path of God and try to make it oblique, who do not believe in the life to come."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1000', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'There will be a veil between them, and on the wall will be the men (of al-A\'raf) who will recognise everyone by their distinguishing marks, and will call to the inmates of Paradise: "Peace on you," without having entered it themselves though hoping to do so.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1001', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'When their eyes fall on the inmates of Hell they will say: "O Lord, do not place us in the crowd of the vile."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1002', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'Recognising them by their marks the men of al-A\'raf will call (to the inmates of Hell): "Of what use was your amassing (of wealth) of which you were proud?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1003', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => '(Then pointing to the inmates of Paradise, they will say): "Are they not those of whom you had sworn and said: \'God will not have mercy on them?\' (And yet they have been told,) \'Enter Paradise where you will have no fear or regret.\'"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1004', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'Those in Hell will call to the inmates of Paradise: "Pour a little water over us, or give us a little of what God has given you." They will answer: "God has verily forbidden these to those who denied the truth.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1005', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => '"Who made a sport and frolic of their faith and were lured by the life of the world." As they had forgotten the meeting of this Day so shall We neglect them today for having rejected Our signs.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1006', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'Indeed We had brought to them a Book distinct, replete with knowledge, and guidance and grace for men who believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1007', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'Are they waiting for the exposition of what it speaks of? The day that (Reality) is unravelled, the people who had lost sight of it will say: "The apostles of our Lord had indeed brought the truth. Do we have any one to intercede for us? If only we could go back to the world, we would act otherwise." Indeed they have caused themselves harm, and the lies they concocted did not help.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1008', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'Surely your Lord is God who created the heavens and the earth in six spans of time, then assumed all power. He covers up the day with night which comes chasing it fast; and the sun and moon and the stars are subject to His command. It is His to create and enjoin. Blessed be God, the Lord of all the worlds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1009', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'Pray to your Lord in humility and unseen. He does not love the iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1010', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'And do not corrupt the land after it has been reformed; and pray to Him in awe and expectation. The blessing of God is at hand for those who do good.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1011', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'Indeed it is He who sends the winds as harbingers of auspicious news announcing His beneficence, bringing heavy clouds which We drive towards a region lying dead, and send down rain, and raise all kinds of fruits. So shall We raise the dead that you may think and reflect.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1012', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'The soil that is good produces (rich) crops by the will of its Lord, and that which is had yields only what is poor. So do We explain Our signs in different ways to people who give thanks.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1013', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'We sent Noah to his people, and he said: "O people worship God; you have no other god but He; for I fear the retribution of the great Day may fall on you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1014', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'The elders of his people replied: "We see clearly that you have gone astray."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1015', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => '"I have not gone astray, O my people," he said, "but have been sent by my Lord, the creator of all the worlds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1016', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'I bring to you the messages of my Lord, and give you sincere advice, for I know from God what you do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1017', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'Do you wonder that a warning has come to you from your Lord through a man who is one of you, and warns you to take heed for yourselves and fear God? You might be treated with mercy."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1018', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'But they called him a liar, and We saved him and those with him in the Ark, and drowned the others who rejected Our signs, for they were a people purblind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1019', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'And We sent Hud, their brother, to the people of \'Ad. He said: "O you people, worship God, for you have no other god but He. Will you not take heed for yourselves?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1020', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'The chiefs of his people who were infidels replied: "We find you full of folly, and a liar to boot."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1021', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => '"I am not a fool, O people," he answered, "but have been sent by the Lord of all the worlds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1022', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'I bring to you the messages of my Lord. I am your sincere friend.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1023', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'Do you wonder that a warning has come to you from your Lord through a man who is one of you and warns you? Remember, He made you leaders after the people of Noah, and gave you a greater increase in your stature. So think of the favours of God; you may haply be blessed."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1024', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'They answered: "Have you come to say to us that we should worship only one God, abandoning those our ancestors had worshipped? If so, bring on us what you threaten us with, if what you say is true."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1025', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'He replied: "You have already been beset with punishment and the wrath of God. Why dispute with me about names invented by you and your ancestors for which no sanction was sent down? So wait (for what is to come), I am waiting with you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1026', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'Then We saved him and those on his side by Our grace, and destroyed to the very last those who rejected Our signs and denied the truth.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1027', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'We sent to Thamud their brother Saleh. "O you people," said he, "worship God, for you have no other god but He. Clear proof has come to you already from your Lord, and this she-camel of God is the token for you. Leave her free to graze upon God\'s earth, and do not molest her lest a grievous punishment should befall you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1028', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'Remember, how you were made leaders after the people of \'Ad, and were settled on the land so that you could construct on the plains palaces, and carve dwellings out of mountains. So think of the favours of God, and do not act with corruption in the land."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1029', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'The chiefs among the people who were arrogant towards the weaker ones among them who believed, asked: "Do you really know that Saleh has been sent by his Lord?" They said: "Indeed we believe in the message he has brought."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1030', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'Those who were arrogant answered: "We do not believe in what you believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1031', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => 'Then they hamstrung the she-camel and rebelled against the command of their Lord, and said: "Bring, O Saleh, on us the affliction you promise, if you are one of the sent ones."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1032', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => 'Then they were seized by an earthquake, and lay overturned on the ground in their homes in the morning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1033', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => 'Saleh turned away from them and said: "O my people, I conveyed to you the message of my Lord and warned you; but you do not like those who wish you well."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1034', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'And We sent Lot, who said to his people: "Why do you commit this lecherous act which none in the world has committed before?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1035', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'In preference to women you satisfy your lust with men. Indeed you are a people who are guilty of excess."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1036', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'His people made no answer, and only said: "Drive them out of the city. They profess to be pure."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1037', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'But We saved him and his family, except for his wife who was one of those who stayed behind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1038', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'And We rained down on them a shower (of Stones). So witness the end of sinners!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1039', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'Remember, We sent to Midian their brother Shu\'aib. "O you people," he said, "worship God, for you have no other god but He. Clear proof has come to you from your Lord; so give in full measure and full weight; do not keep back from people what is theirs, and do not corrupt the land after it has been reformed. This is best for you if you believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1040', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'Do not lie in ambush to intimidate and divert from the path of God those who believe in Him, nor seek obliquity in it. Remember the day when you were few and He increased your numbers. So consider the fate of those who were evil.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1041', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'If some of you believe what has been sent through me, and some of you do not, have patience until God decide between us, for He is the best of all judges."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1042', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'The arrogant leaders of the people replied: "We shall drive you away from our land, O Shu\'aib, and those who are with you, unless you come back to your faith." But he remarked: "Even if we are disgusted with it?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1043', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'We shall only be guilty of blaspheming God if we accept your way after the people of Noah, and gave you a greater increase in your stature. So think of the favours of God; you may haply be blessed."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1044', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'The chiefs among his people who did not believe said (to them): "If you follow Shu\'aib and his way you will surely be ruined."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1045', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => 'Then they were seized by an earthquake, and lay overturned on the ground in their homes in the morning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1046', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'They who called Shu\'aib a liar (disappeared) as though they had never existed; and those who called Shu\'aib a liar were the ones who were ruined!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1047', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'So Shu\'aib turned away from them and said: "O people, I conveyed to you the message of my Lord, and warned you. (But you paid no heed). How can I grieve for a people who do not believe?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1048', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => 'There is not a region to which We sent a prophet and did not inflict upon its people adversity and hardship so that they may submit.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1049', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'But when We changed hardship to ease, and they rose and prospered, (they forgot Our favours) and said: "Our ancestors had also known suffering and joy." So We caught them unawares.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1050', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'But if the people of these regions had believed and feared God, We would surely have showered on them blessings of the heavens and the earth; but they only denied, and We punished them for their deeds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1051', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'Are the people of the region so secure that they lie asleep unaware as Our punishment overtakes them?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1052', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'Or, are the people of the towns so unafraid that (even when) Our retribution comes upon them in the hours of the morning they remain engrossed in sport and play?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1053', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'Can they remain secure against the plan of God? Only they feel secure against the plan of God who are certain of being ruined.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1054', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'Do not the people who inherited the earth from the (earlier) inhabitants perceive that We could afflict them too for their sins if We pleased, and put seals on their hearts that they may not hear (the voice of truth)?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1055', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'These were the (earlier) habitations whose accounts We have given to you. Their apostles came with clear proofs, but they did not believe what they once denied. That is how God seals the hearts of those who do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1056', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'We did not find many of them faithful to their promises, and found many of them disobedient.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1057', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'So We sent Moses with miracles after (these apostles) to the Pharaoh and his nobles, but they behaved with them high-handedly. See then the end of the authors of evil.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1058', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'Moses said: "O Pharaoh, I have been sent by the Lord of all the worlds;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1059', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => '"I am duty bound to speak nothing of God but the truth I have brought from your Lord a clear sign; so let the people of Israel depart with me."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1060', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'He said: "If you have brought a sign then display it, if what you say is true."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1061', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'At this Moses threw down his staff, and lo, it became a live serpent.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1062', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'And he drew forth his hand, and behold, it looked white to those who beheld it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1063', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'The nobles of Pharaoh said: "He surely is a clever magician.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1064', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '110', 'translate_name' => '"He wishes to drive you away from the land. So what do you advise?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1065', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '111', 'translate_name' => 'They said: "Put him and his brother off (awhile) and send out heralds to the cities', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1066', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '112', 'translate_name' => '"To bring all the wise magicians to you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1067', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '113', 'translate_name' => 'The magicians came to the Pharaoh and said: "Is there reward for us if we succeed?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1068', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '114', 'translate_name' => '"Yes," said he, "you will be among the honoured."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1069', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '115', 'translate_name' => 'So they said: "O Moses, you may cast your spell first, or we shall cast ours."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1070', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '116', 'translate_name' => '"You cast it first," answered Moses. When they cast their spell, they bewitched the eyes of the people and petrified them by conjuring up a great charm.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1071', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '117', 'translate_name' => 'We said to Moses: "Throw down your staff;" and it swallowed up their conjurations in no time.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1072', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '118', 'translate_name' => 'Thus the truth was upheld, and the falsehood that they practised was exposed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1073', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '119', 'translate_name' => 'Thus there and then they were vanquished and overthrown, humiliated.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1074', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '120', 'translate_name' => 'The sorcerers fell to the ground in homage,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1075', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '121', 'translate_name' => 'And said: "We have come to believe in the Lord of all the worlds,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1076', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '122', 'translate_name' => '"The Lord of Moses and Aaron."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1077', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '123', 'translate_name' => 'But Pharaoh said: "You have come to accept belief in Him without my permission! This surely is a plot you have hatched to expel the people from the land. You will soon come to know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1078', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '124', 'translate_name' => '"I will have your hands and feet on alternate sides cut off, and have you all crucified."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1079', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '125', 'translate_name' => 'They answered: "We have (in any case) to go back to our Lord.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1080', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '126', 'translate_name' => '"The only reason you have to hate us is that we believed in the signs of our Lord as they came to us. O our Lord, give us sufficient endurance that we may die submitting (to You)."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1081', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '127', 'translate_name' => 'And the leaders of Pharaoh\'s people said to him: "Would you allow Moses and his people to create disorder in the land and discard you and your gods?" He replied: "We shall now slay their sons and spare their women, and subdue them."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1082', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '128', 'translate_name' => 'Said Moses to his people: "Invoke the help of God and be firm. The earth belongs to God: He can make whom He wills among His creatures inherit it. The future is theirs who take heed for themselves."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1083', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '129', 'translate_name' => 'They said: "We were oppressed before you came, and have been since you have come to us." He answered: "It may well be that soon God may destroy your enemy and make you inherit the land, and then see how you behave."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1084', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '130', 'translate_name' => 'We afflicted the people of Pharaoh with famine and dearth of everything that they might take heed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1085', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '131', 'translate_name' => 'Yet when good came their way they said: "It is our due;" but when misfortune befell them they put the omen down to Moses and those who were with him. But surely the omen was with God, yet most of them did not understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1086', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '132', 'translate_name' => 'They said: "Whatsoever the sign you have brought to deceive us, we shall not believe in you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1087', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '133', 'translate_name' => 'So We let loose on them floods and locusts, and vermin, frogs and blood -- how many different signs. But they still remained arrogant, for they were a people full of sin.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1088', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '134', 'translate_name' => 'Yet when punishment overtook them, they said: "O Moses, invoke your Lord for us as you have been enjoined. If the torment is removed, we shall certainly believe in you and let the people of Israel go with you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1089', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '135', 'translate_name' => 'But no sooner was the punishment withdrawn for a time to enable them to make good their promise than they broke it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1090', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '136', 'translate_name' => 'So We took vengeance on them, and drowned them in the sea for rejecting Our signs and not heeding them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1091', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '137', 'translate_name' => 'We then made the people who were weak (and oppressed) successors of the land to the East and the West which We had blessed. Thus the fair promise of your Lord to the children of Israel was fulfilled, for they were patient in adversity; and whatsoever the Pharaoh and his people had fashioned, and the structures they had raised, were destroyed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1092', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '138', 'translate_name' => 'When We brought the children of Israel across the sea, and they came to a people who were devoted to their idols, they said: "O Moses, make us also a god like theirs." "You are ignorant," he replied.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1093', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '139', 'translate_name' => '"These people and their ways will surely be destroyed, for false is what they practise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1094', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '140', 'translate_name' => '"Do you want me to seek for you," he said, "a god other than God, when He has exalted you over all the nations of the world?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1095', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '141', 'translate_name' => '"Remember (the day) when He saved you from the people of Pharaoh who oppressed and afflicted you, and slew your sons and spared your women. In this was a great trial from your Lord."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1096', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '142', 'translate_name' => 'We made an appointment of thirty nights with Moses (On Mount Sinai) to which We added ten more; so the term set by the Lord was completed in forty nights. Moses said to Aaron, his brother: "Deputise for me among my people. Dispose rightly, and do not follow the way of the authors of evil."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1097', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '143', 'translate_name' => 'When Moses arrived at the appointed time and his Lord spoke to him, he said: "O Lord, reveal Yourself to me that I may behold You." "You cannot behold Me," He said. "But look at the mountain: If it remains firm in its place you may then behold Me." But when his Lord appeared on the mountain in His effulgence, it crumbled to a heap of dust, and Moses fell unconscious. When he came to, he said: "All glory to You. I turn to You in repentance, and I am the first to believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1098', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '144', 'translate_name' => 'Said (the Lord): "O Moses, I raised you above all men by sending My messages and speaking to you; so receive what I give you, and be grateful."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1099', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '145', 'translate_name' => 'And We wrote down on tablets admonitions and clear explanations of all things for Moses, and ordered him: "Hold fast to them, and command your people to observe the best in them. I will show you the abode of the wicked.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1100', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '146', 'translate_name' => 'I will turn those away from My signs who behave unjustly with arrogance in the land so that even though they see all the signs they will not believe in them; and if they see the path of rectitude, will not take it to be a way; and if they see the way of error take it to be the (right) path. This is so for they have called Our messages lies, and have been heedless of them."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1101', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '147', 'translate_name' => 'Vain are the acts of those who deny Our signs and the meeting in the Hereafter. Can they ever be rewarded for anything but what they did?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1102', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '148', 'translate_name' => 'In the absence of Moses his people prepared the image of a calf from their ornaments, which gave out the mooing of a cow. Yet they did not see it could neither speak to them nor guide them to the right path. Even then they took it (for a deity) and did wrong.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1103', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '149', 'translate_name' => 'Then they were filled with remorse and saw that they had erred and said: "If our Lord does not forgive us we will surely be lost."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1104', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '150', 'translate_name' => 'When Moses returned to his people, indignant and grieved, he said: "How wickedly you behaved in my absence. Why must you hasten the decree of your Lord?" And he cast aside the tablets, and pulled his brother by the hair. "O son of my mother," said (Aaron), "these people took advantage of my weakness and almost killed me. Do not let my enemies rejoice at my plight, and do not put me down among transgressors."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1105', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '151', 'translate_name' => '(Moses) said: "O Lord, forgive me and my brother, and admit us to Your grace, for You are the most compassionate of all."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1106', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '152', 'translate_name' => 'Surely those who have taken the calf (as a god) will suffer the anger of their Lord, and disgrace in the world. That is how We requite those who fabricate lies.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1107', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '153', 'translate_name' => 'Yet those who do wrong, then repent and believe, are forgiven, for your Lord is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1108', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '154', 'translate_name' => 'When his anger subsided Moses picked up the tablets. Inscribed on them was guidance and grace for those who fear their Lord.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1109', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '155', 'translate_name' => 'Moses chose seventy of his people for the appointment (on Mount Sinai). When they arrived they were seized by a tremor. (Moses) said: "O Lord, if You had so pleased You could have annihilated them and me before this. Will You destroy us for something the foolish among us have done? This is but a trial from You whereby You will lead whom You will astray and guide whom You please. You are our saviour, so forgive us and have mercy on us, for You are the best of forgivers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1110', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '156', 'translate_name' => 'Enjoin for us good in the world, and good in the world to come. We turn to You alone." And the Lord said: "I punish only those whom I will, but My mercy enfolds everything. I shall enjoin it for those who take heed for themselves, who pay the zakat and believe in My signs,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1111', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '157', 'translate_name' => 'Who follow the messenger, the gentile Prophet, described in the Torah and the Gospel, who bids things noble and forbids things vile, makes lawful what is clean, and prohibits what is foul, who relieves them of their burdens, and the yoke that lies upon them. Those who believe and honour and help him, and follow the light sent with him, are those who will attain their goal."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1112', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '158', 'translate_name' => 'Say: "O men, I am verily the apostle of God to you all. His whose kingdom extends over the heavens and the earth. There is no god but He, the giver of life and death. So believe in God and the messenger, the gentile Prophet, sent by Him, who believes in God and His messages. Obey him; you may haply be guided aright."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1113', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '159', 'translate_name' => 'Among the people of Moses is a section that shows the way to the truth, and deals justly in accordance with it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1114', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '160', 'translate_name' => 'We divided them into twelve (different) tribes. When his people asked for water, We said to Moses: "Strike the rock with your staff;" and behold, twelve springs of water gushed forth, so that each of the tribes had a place of its own to drink; and We made the clouds spread shade over them and sent for them manna and quails (and said): "Eat of the good things We have provided for you." But (by disobeying) they did not harm Us, they harmed themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1115', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '161', 'translate_name' => 'And when it was said to them: "Live in this land and eat of its produce wheresoever you like, and ask for remission of your sins, but pass through the gates with submission (and not pride), We shall forgive your trespasses, and give to those who are righteous abundance,"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1116', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '162', 'translate_name' => 'The wicked among them changed and perverted the word We had spoken to a word unpronounced; so We sent from heaven retribution on them for all their wickedness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1117', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '163', 'translate_name' => 'Enquire of them about the town situated by the sea where, when they did not keep the Sabbath, the fish came up to the surface of the water for them; but on days other than the Sabbath the fish did not come. We tried them in this way, for they were disobedient.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1118', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '164', 'translate_name' => 'When a Section of them said: "Why do you admonish a people whom God is about to destroy or to punish severely?" They replied: "To clear ourselves of blame before your Lord, and that they may fear God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1119', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '165', 'translate_name' => 'But when they forgot to remember the warning, We saved those who prohibited evil, but inflicted on the wicked a dreadful punishment -- requital for their disobedience.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1120', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '166', 'translate_name' => 'When they persisted in doing what they had been forbidden, We said to them: "Become (like) apes despised."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1121', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '167', 'translate_name' => 'And your Lord declared He would send men against them who would inflict dreadful suffering on them till the Day of Doom, for your Lord is swift in retribution, though He is certainly forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1122', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '168', 'translate_name' => 'We dispersed them in groups over the earth, some righteous, some otherwise; and We tried them with good things and bad, that they may haply turn back.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1123', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '169', 'translate_name' => 'Then after them a new generation inherited the Book. They took to the things of this base world, and said: "We shall (surely) be forgiven this." Yet they will accept similar things if they came their way again. Had they not been covenanted in the Book to say nothing in the name of God but the truth? And they have read this in it. The abode of the life to come is better for those who fear God. Can they not comprehend?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1124', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '170', 'translate_name' => 'As for those who adhere to the Book and are firm in devotion, We shall certainly not let the wages of those who are upright to go waste.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1125', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '171', 'translate_name' => 'The day We shook the mountain above them like an awning, and they feared it would fall over them, (We said): "Hold fast to what We have given you, and bear in mind what is (said) therein so that you may take heed."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1126', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '172', 'translate_name' => 'When your Lord brings forth from their loins the offspring of the children of Adam, He makes them witnesses over themselves, (and asks): "Am I not your Lord?" \'Indeed,\' they reply. \'We bear witness,\' -- lest you should say on the Day of Resurrection: "We were not aware of this;"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1127', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '173', 'translate_name' => 'Or, lest they should say: "It were our fathers who had ascribed compeers to God; we are only their offspring. Will You destroy us for the deeds of those who dealt in vanities?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1128', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '174', 'translate_name' => 'That is how We explain Our signs distinctly so that they may come back (to the right path).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1129', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '175', 'translate_name' => 'Relate to them the plight of the man whom We gave Our signs, but he passed them by, so that Satan came after him, and he went astray.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1130', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '176', 'translate_name' => 'We wished to exalt him, but he loved baseness and followed his lust. His likeness is that of a dog who hangs out his tongue if you drive him away, and still hangs it out if you leave him alone. Such is the case of the people who deny Our signs. Narrate this history to them; they may haply reflect.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1131', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '177', 'translate_name' => 'Evil is the case of those who deny Our signs and wrong themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1132', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '178', 'translate_name' => 'He alone is guided whom God shows the way; and whom He leads astray is surely lost.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1133', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '179', 'translate_name' => 'Many of the jinns and human beings have We destined for Hell, who possess hearts but do not feel, have eyes but do not see, have ears but do not hear, like cattle, even worse than them. They are people unconcerned.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1134', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '180', 'translate_name' => 'All the names of God are beautiful, so call Him by them; and leave those alone who act profanely towards His names: They will be retributed for their deeds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1135', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '181', 'translate_name' => 'Yet there are among those We have created people who lead (others) to the truth, and act justly in its light', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1136', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '182', 'translate_name' => 'We shall punish those who deny Our revelations slowly in a way that they will not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1137', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '183', 'translate_name' => 'I will just give them respite. My plan is certainly invincible.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1138', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '184', 'translate_name' => 'Have they not bethought themselves their companion is not mad? He is only a plain admonisher.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1139', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '185', 'translate_name' => 'Have they not contemplated the kingdom of the heavens and the earth and everything created by God, (to educe) that perhaps their own term is drawing to a close? In what lore after this would they then believe?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1140', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '186', 'translate_name' => 'Whosoever God allows to go astray has none to show him the way, for He leaves them to wander perplexed in their wickedness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1141', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '187', 'translate_name' => 'They ask you about the Hour: "When is its determined time?" Say: "Only my Lord has the knowledge. No one can reveal it except He. Oppressive will it be for the heavens and the earth. When it comes, it will come unawares." They ask you about it as if you were in the know. You tell them: "Only God has the knowledge." But most people do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1142', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '188', 'translate_name' => 'Tell them: "I am not master of my own gain or loss but as God may please. If I had the knowledge of the Unknown I would have enjoyed abundance of the good, and no evil would have touched me. I am only a bearer of warnings and bringer of happy news for those who believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1143', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '189', 'translate_name' => 'It is He who created you from a single cell, and from it created its mate, that you may live as companions. When the man covered the woman she conceived a light burden and carried it about. And when she was heavy (with child) they prayed together to their Lord: "If You bestow a healthy son on us we shall truly be grateful."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1144', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '190', 'translate_name' => 'But when they were given a healthy son, they started ascribing to other powers a share in what God had bestowed on them. But God is above what they ascribe to Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1145', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '191', 'translate_name' => 'Do they associate those with Him who cannot create a thing, and are themselves created,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1146', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '192', 'translate_name' => 'Who can neither help them, nor help themselves?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1147', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '193', 'translate_name' => 'If you call them to guidance they will not follow you. It is all the same if you call them or hold your tongue.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1148', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '194', 'translate_name' => 'Those whom you invoke besides God are created beings like you. So call on them and let them answer your call, if what you say is true.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1149', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '195', 'translate_name' => 'Do they have feet to walk on, or hands to hold with, or eyes to see and ears to hear with? Say to them: "Call your compeers, and work out a plot against me, and do not give me time.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1150', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '196', 'translate_name' => 'My saviour is God who has revealed this Book; and He protects those who are upright;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1151', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '197', 'translate_name' => 'While those you beseech apart from Him cannot help you or even help themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1152', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '198', 'translate_name' => 'When you call upon them for guidance, they do not hear. When you think they are looking at you, (in fact) they cannot see."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1153', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '199', 'translate_name' => 'Cultivate tolerance, enjoin justice, and avoid the fools.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1154', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '200', 'translate_name' => 'If you are instigated by the Devil to evil seek refuge in God, for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1155', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '201', 'translate_name' => 'Verily those who fear God think of Him when assailed by the instigations of Satan, and lo! they begin to understand,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1156', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '202', 'translate_name' => 'Even though their (devilish) brothers would like them to continue in error, and would not desist.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1157', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '203', 'translate_name' => 'And when you do not bring a (Qur\'anic) verse to them, they say: "Why don\'t you make one up?" Say: "I follow only what my Lord reveals to me." These (revelations) are an evident proof from your Lord, and a guidance and grace for those who believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1158', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '204', 'translate_name' => 'When the Qur\'an is recited listen to it in silence. You may perhaps be blessed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1159', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '205', 'translate_name' => 'Meditate on your Lord inwardly with humility and trepidation, reciting His Book softly, morning and evening, and be not negligent.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1160', 'chapter_id' => '7', 'translator_id' => '1', 'verse_number' => '206', 'translate_name' => 'Verily those who are in the presence of your Lord are never too proud to worship and celebrate His praises, and bow in homage to Him\'.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1161', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'THEY ASK YOU of (benefits accruing as) spoils of war. Tell them: "The benefits belong to God and His Messenger." So fulfil your duty to God and keep peace among yourselves. Obey God and the Prophet, If you really believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1162', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'Only they are true believers whose hearts fill up with awe when the name of God is mentioned; and their faith is further strengthened when His messages are read out to them; and those who place their trust in their Lord,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1163', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'Who are firm in devotion, and spend of what We have given them,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1164', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'Are true believers. There are for them (high) ranks with their Lord, and pardon and noble provision.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1165', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'As your Lord sent you from your home (to fight) for the true cause, a section of the faithful were averse,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1166', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'Who argued with you about the matter even after it had become quite clear, as if they were being pushed into (the arms of) death as they waited.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1167', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'Though God promised that one of two columns (would fall to you), you desired the one that was not armed. But God wished to confirm the truth by His words, and wipe the unbelievers out to the last,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1168', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'So that Truth may be affirmed and falsehood negated, even though the sinners be averse.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1169', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'Remember when you prayed to your Lord for help, He heard you and said: "I shall send a thousand angels following behind you for your aid."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1170', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'He gave you the good news only to reassure your hearts, for victory comes from God alone, and certainly God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1171', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'A blanketing sleep came over you as a (measure of) security from Him, and He sent down rain from the skies to cleanse you, and to remove the plague of Satan, and to strengthen your hearts and steady your steps.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1172', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'And the Lord said to the angels: "I am with you; go and strengthen the faithful. I shall fill the hearts of infidels with terror. So smite them on their necks and every joint, (and incapacitate them),"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1173', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'For they had opposed God and His Apostle; but whosoever opposes God and his Apostle (should know) that God is severe in retribution.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1174', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'For you is this (punishment) to taste, for the infidels the torment of Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1175', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'O believers, when you meet unbelievers on the field of battle, do not turn your backs to them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1176', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'For any one who turns his back on that day, except to manoeuvre or rally to his side, will bring the wrath of God on himself, and have Hell as abode; and what an evil destination!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1177', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'It was not you who killed them, but God did so. You did not throw what you threw, (sand into the eyes of the enemy at Badr), but God, to bring out the best in the faithful by doing them a favour of His own. God is all-hearing and all-knowing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1178', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'That was that, but remember God will make the plots of the unbelievers contemptible.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1179', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'You had asked for a judgement, so the judgement has come to you (In the form of victory for the faithful). So, if you desist it will be better for you. If you come back to it, We shall do the same, and your forces, however large, will not be of the least avail, for God is with those who believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1180', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'O believers, obey God and His Messenger, and do not turn away from him when you hear (him speak);', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1181', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'And do not be like those who say: "We have heard," but do not hear.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1182', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'The worst of creatures in the eyes of God are those who are deaf and dumb and devoid of sense.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1183', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'If God had seen any good in them He would surely have made them hear. Now even if He makes them hear they will turn away (in obduracy).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1184', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'O believers, respond to the call of God and His Prophet when he calls you to what will give you life (and preservation). Remember that God intervenes between man and his heart, and that you will be gathered before Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1185', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'Beware of sedition, which does not affect the oppressors alone among you, and know that the punishment of God is severe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1186', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'Remember, when you were few and powerless in the land, afraid of despoliation at the hands of men. But then God sheltered and helped you to strength, and provided for you good things that you may perhaps be grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1187', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'O you who believe, do not be faithless to God and His Apostle, nor violate your trusts knowingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1188', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'Know that your worldly possessions and your children are just a temptation, and that God has greater rewards with Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1189', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'O believers, if you follow the path shown by God, He will give you a standard (of right and wrong), and overlook your sins, and forgive you. God is abounding in benevolence.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1190', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'Remember, when the infidels contrived to make you a prisoner or to murder or expel you, they plotted, but God also planned; and God\'s plan is the best.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1191', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'When Our messages were read out to them, they said: "We have heard. We could certainly compose (writings) like them if we choose. They are but only tales of long ago."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1192', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'They had also said: "If this be the truth from you, O God, then rain down on us stones from the skies, or inflict a grievous punishment upon us."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1193', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'But God would not choose to punish them while you are in their midst, nor afflict them when they are seeking forgiveness.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1194', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'But what is there so special they have that God should not punish them when they obstruct people from the Holy Mosque, though they are not its (appointed) guardians? Its guardians could be only those who are pious and devout. But most of them do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1195', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'Their worship in the House of God has been no more than whistling and clapping. So they have to taste the punishment for disbelief.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1196', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'Those who disbelieve spend their possessions on turning men away from God. They will go on spending and rue it in the end, and will be subdued. But those who remain disbelievers shall be gathered into Hell', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1197', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'That God may separate the bad from the good, and link the wicked together and cast them into Hell. These are verily the people who will lose.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1198', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'You tell the unbelievers in case they desist whatever has happened will be forgiven them. If they persist, they should remember the fate of those who have gone before them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1199', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'So, fight them till all opposition ends, and obedience is wholly God\'s. If they desist then verily God sees all they do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1200', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'But if they are obstinate, know that God is your helper and protector: How excellent a helper, and how excellent a protector is He!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1201', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'Know that one-fifth of what you acquire as booty (of war) is for God and His Apostle, and for relatives and orphans, the poor and wayfarers, if you truly believe in God and what We revealed to Our votary on the day of victory over the infidels when the two armies clashed (at Badr). For God has the power to do any thing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1202', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => '(That day) when you were at one end of the valley, (the unbelievers) at the other, and the caravan below you (on the lowland by the coast), you would surely have declined to fight if (the Makkans) had offered you battle. (But the battle did take place) that God may end the matter which had been accomplished, so that he who had to die may perish after a clear demonstration, and he who had to live may survive in the light of positive proof, for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1203', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'God showed (the Makkans) to be few in your dream, for if He had shown them to be many you would surely have lost courage and disagreed about the (wisdom) of the battle. But God spared you this, for He surely knows what is in the hearts of men.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1204', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'When you faced them He made (the enemy) seem few to you in numbers, and made you appear fewer in their eyes, (it was) so that God could accomplish what had been decreed; for all things rest with God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1205', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'O believers, when you meet an army, stand firm, and think of God a great deal that you may be blessed with success.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1206', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'Obey God and His Apostle, and do not disagree among yourselves or you will be unmanned and lose courage. Persevere, for God is with those who endure.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1207', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'Do not be like those who went out of their homes full of their own importance, ostentatiously, trying to hinder others from the way of God. But God encompasses all they do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1208', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'Satan made their deeds look alluring to them, and said: "None will prevail over you this day, for I shall be near at hand." Yet when the two armies appeared face to face, he turned back and fled, saying: "I am not with you, for I can see what you cannot perceive. I fear God, for His punishment is severe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1209', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'The hypocrites, and those who had doubts in their hearts, said: "Their faith has misled them." But whoever places his trust in God will find God mighty and wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1210', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'If you could only see the infidels as the angels draw away their souls and strike their faces and their backs, (saying): "Taste the torment of burning', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1211', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'For what you have brought upon yourselves." God is surely not unjust to His creatures, (they are unjust to themselves).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1212', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'Their case is like that of Pharaoh\'s people, and of those before them, who denied the revelations of God, and were punished for their sins by God, and God is all powerful and Severe His punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1213', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'God does not withdraw a favour bestowed upon a people unless they change themselves, for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1214', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'This was the case with the people of Pharaoh and those before them, who rejected the signs of their Lord and were destroyed for their sins, and We drowned the people of Pharaoh as they were oppressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1215', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'Verily the worst of creatures in the sight of God are those who deny (the truth), and will not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1216', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'As for those with whom you have made a treaty and who abrogate it every time, and do not fear God,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1217', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'If you meet them in battle, inflict on them such a defeat as would be a lesson for those who come after them, and that they may be warned.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1218', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'If you apprehend treachery from a people (with whom you have a treaty), retaliate by breaking off (relations) with them, for God does not like those who are treacherous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1219', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'The infidels should not think that they can bypass (the law of God). Surely they cannot get away.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1220', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'Prepare against them whatever arms and cavalry you can muster, that you may strike terror in (the hearts of) the enemies of God and your own, and others besides them not known to you, but known to God. Whatever you spend in the way of God will be paid back to you in full, and no wrong will be done to you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1221', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'But if they are inclined to peace, make peace with them, and have trust in God, for He hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1222', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'If they try to cheat you, God is surely sufficient for you. It is He who has strengthened you with His help and with believers', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1223', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'Whose hearts He cemented with love. You could never have united their hearts even if you had spent whatever (wealth) is in the earth; but God united them with love, for He is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1224', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'God is sufficient for you, O Prophet, and the faithful who follow you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1225', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'O Prophet, urge the faithful to fight. If there are twenty among you with determination they will vanquish two hundred; and if there are a hundred then they will vanquish a thousand unbelievers, for they are people devoid of understanding.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1226', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'God has lightened your burden as He knows you are weak: So, if there are a hundred men of firm determination among you, they will vanquish two hundred; and if there are a thousand of you they will vanquish two thousand by the will of God, for God is with those who are determined.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1227', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'No apostle should take captives until he has battled and subdued the country. You desire the vanities of this world, but God wills (for you the reward) of the world to come; and God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1228', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'Had this not been decreed by God in advance, you would have suffered a grievous punishment for what you took (as booty).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1229', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'But now use such of the spoils as are lawful and good, and fear God, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1230', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'O Prophet, tell the captives you have taken: "If God finds some good in your hearts, He will reward you with something better than was taken away from you, and forgive your sins, for God is forgiving and kind."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1231', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'If they try to deceive you, remember they have deceived God before. So He gave you mastery over them, for God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1232', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'Those who accepted the faith and set out of their homes, and fought in the way of God wealth and soul, and those who gave them shelter and helped them, are friends of one another. You are not responsible for protecting those who embraced the faith but did not leave their homes, until they do so. In ease they ask for your help in the name of faith, you are duty bound to help them, except against a people with whom you have a treaty; for God sees all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1233', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'Those who are infidels aid one another. Unless you do the same there will be discord in the land and anarchy.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1234', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'Those who accepted the faith and abandoned their homes, and struggled in the cause of God, and those who gave them shelter and helped them, are veritably true believers. For them is forgiveness and noble sustenance.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1235', 'chapter_id' => '8', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'Those who accepted the faith and left their homes and fought by your side, are your brothers; yet those who are related by blood are closer to one another according to the decree of God. Verily God knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1236', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'IMMUNITY is granted those idolaters by God and his Apostle with whom you have a treaty.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1237', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => '(They can) move about for four months freely in the land, but should know they cannot escape (the law of) God, and that God can put the unbelievers to shame.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1238', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'A general proclamation is (made) this day of the Greater Pilgrimage on the part of God and His Apostle, that God is not bound (by any contract) to idolaters, nor is His Apostle. It is, therefore, better for you to repent. If you do not, remember that you cannot elude (the grip of) God. So announce to those who deny the truth the news of painful punishment,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1239', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'Except those idolaters with whom you have a treaty, who have not failed you in the least, nor helped anyone against you. Fulfil your obligations to them during the term (of the treaty). God loves those who take heed for themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1240', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'But when these months, prohibited (for fighting), are over, slay the idolaters wheresoever you find them, and take them captive or besiege them, and lie in wait for them at every likely place. But if they repent and fulfil their devotional obligations and pay the zakat, then let them go their way, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1241', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'If an idolater seeks protection, then give him asylum that he may hear the word of God. Then escort him to a place of safety, for they are people who do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1242', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'How could there be a treaty between idolaters and God and His Apostle, except those you covenanted by the Sacred Mosque? Therefore as long as they are honest with you be correct with them, for God loves those who are godly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1243', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'How (can they be trusted)? If they prevail against you they will neither observe pacts nor good faith with you. They flatter you with their tongues, but their hearts are averse to you, for most of them are iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1244', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'They barter away the words of God for a petty price, and obstruct (others) from His path. How evil indeed are the things they do!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1245', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'They have no regard for kinship or treaties with believers, for they are transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1246', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'But if they repent and are firm in devotion and pay the zakat, then they are your brothers in faith. We explain Our commands distinctly for those who understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1247', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'If they break their pledge after giving their word and revile your faith, fight these specimens of faithlessness, for surely their oaths have no sanctity: They may haply desist.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1248', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'Will you not fight those who broke their pledge and plotted to banish the Apostle, and who were the first to attack you? Are you afraid of them? If you are believers you should fear God more.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1249', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'Fight them so that God may punish them at your hands, and put them to shame, and help you against them, and heal the wounds of the hearts of believers,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1250', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'And remove the anger from their breasts; for God turns to whosoever desires. God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1251', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'Do you think you will get away before God knows who among you fought and did not take anyone but God, His Apostle and the faithful, as their friends? God is cognisant of all that you do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1252', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'The idolaters have no right to visit the mosques of God while bearing testimony to their disbelief. Meaningless will be their acts, and in Hell they will bide for ever,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1253', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'Only those who believe in God and the Last Day, who fulfil their devotional obligations, pay the zakat, and fear no one but God, can visit the mosques of God. They may hope to be among the guided.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1254', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'Do you think that giving a drink of water to the pilgrims and going on a visit to the Sacred Mosque, is the same as believing in God and the Last Day, and striving in the cause of God? In the eyes of God it is not the same; and God does not show the unrighteous the way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1255', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'Those who accepted the faith and left their homes and fought in the way of God, wealth and soul, have a greater reward with God, and will be successful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1256', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'Their Lord announces to them news of His mercy, acceptance, and gardens of lasting bliss', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1257', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'Which they will enjoy for ever. Indeed God has greater rewards with Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1258', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'O you who believe, do not hold your fathers and brothers as friends if they hold disbelief more dear than faith; and those of you who do so are iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1259', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'You tell them: "If your fathers and sons, your brothers and wives and families and wealth, or the business you fear may fail, and the mansions that you love, are dearer to you than God, His Apostle, and struggling in His cause, then wait until God\'s command arrives, for God does not show transgressors the way."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1260', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'Indeed God has helped you on many occasions, even during the battle of Hunain, when you were elated with joy at your numbers which did not prove of the least avail, so that the earth and its vast expanse became too narrow for you, and you turned back and retreated.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1261', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'Then God sent down a sense of tranquility on His Apostle and the faithful; and sent down troops invisible to punish the infidels. This is the recompense of those who do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1262', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'Yet God may turn (even) after this to whomsoever He please, for God is compassionate and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1263', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'O believers, the idolaters are unclean. So they should not approach the Holy Mosque after this year. In case you fear indigence (from the stoppage of business with them), then God will enrich you of His bounty if He will, for God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1264', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'Fight those people of the Book who do not believe in God and the Last Day, who do not prohibit what God and His Apostle have forbidden, nor accept divine law, until all of them pay protective tax in submission.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1265', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'The Jews say: "Ezra is the son of God;" the Christians say: "Christ is the son of God." That is what they say with their tongues following assertions made by unbelievers before them. May they be damned by God: How perverse are they!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1266', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'They consider their rabbis and monks and the Christ, son of Mary, to be gods apart from God, even though they had been enjoined to worship only one God, for there is no god but He. Too holy is He for what they ascribe to Him!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1267', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'They wish to extinguish the light of God by uttering blasphemies; but God will not have it so, for He wills to perfect His light, however the unbelievers be averse.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1268', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'It is He who sent His Messenger with guidance and the true faith in order to make it superior to other systems of belief, even though the idolaters may not like it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1269', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'O believers, many rabbis and priests devour the possessions of others wrongfully, and keep men away from the path of God. To those who accumulate gold and silver, and do not spend in the way of God, announce the news of painful punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1270', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'On the day We shall heat up (their gold) on the fire of Hell and brand their foreheads, sides and backs (and say to them): "It is this you stored up for yourselves; so now taste of what you had stored!"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1271', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'The number of months with God is twelve in accordance with God\'s law since the day He created the heavens and the earth. Of these four are holy. This is the straight reckoning. So do not exceed yourselves during them; but fight the idolaters to the end as they fight you in like manner; and remember, God is with those Who preserve themselves from evil and do the right.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1272', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'Intercalating a month is adding to unbelief. The unbelievers are misguided by this, for they take the same month to be sacred one year and sacrilegious the next, thus making the number of months sanctified by God accord with theirs in order to make what God has forbidden, lawful. Attractive seem to them their evil deeds; but God does not show the unbelievers the way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1273', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'What has happened to you, O believers, that when you are asked to set out in the cause of God your feet begin to drag? Do you find the life of the world so pleasing that you forget the life to come? Yet the profit of the life of this world is but meagre as compared to the life to come.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1274', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'Unless you go out (to strive), God will inflict grievous punishment on you, and bring other people in your place, and you will not be able to harm Him in the least, for God has the power over all things.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1275', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'If you do not help (the Prophet, remember) God had helped him when the infidels had forced him to leave (and he was) one of two. When both of them were in the cave, he said to his companion: "Do not grieve, for God is with us." Then God sent divine peace on him, and invisible armies for his help, and made the unbelievers\' purpose abject. Most exalted is God\'s word, for God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1276', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'O believers, go out in the cause of God, (whether) light or heavy, and strive in the service of God, wealth and soul. This is better for you if you understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1277', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => '(O Prophet), had the gain been close at hand, and easy the journey, they would surely have followed you; but hard was the journey and long the going. Even then they swear by God (and say): "If we had the strength we would surely have gone out with you." They are only ruining themselves, for God is aware they lie.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1278', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'May God forgive you. Why did you allow them (to stay behind) without ascertaining who spoke the truth and who were liars?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1279', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'Those who believe in God and the Last Day, do not ask your leave to be excused from fighting wealth and soul (in the cause of God), for God knows the pious and devout.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1280', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'Only they ask (for leave) who do not believe in God and the Last Day, whose hearts are full of doubt; and doubting they waver (between gain and loss).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1281', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'If they had intended to go out (to fight) they would surely have made preparations. But God did not like their setting forth, and they were held back and told: "Stay at home with those who stay behind."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1282', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'Had they gone out with you, they would only have been a hindrance and let loose confusion among you to create discord; for there are some in your midst who spy for them. But God knows who are the wicked.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1283', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'They had tried to create disorder before and intrigued against you, but truth came out in the end and God\'s will prevailed, even though they did not like it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1284', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'And (many a one) there is among them who says: "Allow me (to stay back at home), and put me not on trial." Surely they have put themselves on trial already, and Hell will enclose the unbelievers from all sides.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1285', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'If good comes your way they are vexed, but if calamity befalls you, they say: "We had taken precautions in advance;" and pleased, turn away.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1286', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'Tell them: "Nothing can befall us except what God decrees. Our protector is He, and in God should the faithful place their trust."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1287', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'Say: "Are you waiting for anything else but one of two good things for us, (victory or martyrdom)? Yet what we are waiting for you is the punishment of God, direct or through us. So keep waiting; we are waiting with you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1288', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'Tell them: "You may spend (in the way of God), whether willingly or with reluctance, it will not be accepted from you, for you are reprobates."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1289', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'Nothing prevents the acceptance of what they spend except that they do not believe in God and His Apostle, and come to worship but languidly and spend only grudgingly.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1290', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'Do not marvel at their wealth and children. God intends to punish them through these in the world; and their souls will depart in a state of disbelief.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1291', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'They swear by God they are with you, though in fact they are not. They are only a frightened lot.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1292', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'If they find a place of shelter or a cave or hole to hide, they will turn to it.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1293', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'There are some among them who blame you (of partiality) in distributing the offerings made in the name of God. In case they receive some of these they are pleased, if not, they are incensed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1294', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'They should rather have been pleased with what God and His Prophet had given them, and said: "God is sufficient for us; He will give us of His largesse as will His Apostle. We supplicate no one but God."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1295', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'Charities are meant for the indigent and needy, and those who collect and distribute them, and those whom you wish to win over, and for redeeming slaves (and captives) and those who are burdened with debt, and in the cause of God, and the wayfarers: So does God ordain. God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1296', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'There are some among them who talk ill of the Prophet by saying: "He listens to everyone." Tell them: "He listens for your good, and trusts in God and trusts the faithful, and he is a blessing for those who believe. For those who offend the Apostle of God there is painful punishment."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1297', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'They swear by God to please you; but if they are believers it would have been worthier to have pleased God and His Apostle.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1298', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'Have they not realised that anyone who opposes God and His Prophet, will abide in Hell for ever? And that is the worst disgrace.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1299', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'The hypocrites fear lest a Surah is revealed concerning them, exposing what is in their hearts. Say to them: "Mock as much as you like; God will surely expose what you dread."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1300', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'But if you ask them, they will say: "We were only gossiping and jesting." You ask them: "Were you jesting with God, His revelations and His messengers?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1301', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'Do not make excuses: You turned unbelievers after having come to faith. If We pardon a section of you (for being frivolous), We shall punish the other for being guilty (of deliberate sin).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1302', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'The hypocrites (are the same) whether men or women, the one of them being of the other. They encourage what is bad and dissuade from the good, and tighten their purses (when it comes to spending in the way of God). Of God they are oblivious; so He is oblivious of them. The hypocrites are indeed transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1303', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'God has reserved for hypocrites, whether men or women, and for unbelievers, the fire of Hell, where they will abide for ever. This is sufficient for them: They have God\'s condemnation and lasting torment,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1304', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'Like those before you who were greater in strength, had more wealth and children than you, who enjoyed their lot in this world, as you have enjoyed your share like them. You indulge in idle talk, as they had indulged in vain discourse. Yet nothing of what they did remains in this world or will in the next, and they are the losers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1305', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'Has not the account of those before them come to them, -- of the people of Noah and \'Ad and Thamud, of Abraham and Midian, and all the habitations that were destroyed? Their apostles had come to them with clear proofs; and God did not surely wrong them, they wronged themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1306', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'Those who believe, men and women, befriend one another, and enjoin what is right and prohibit what is wrong. They observe their devotional obligations, pay the zakat, and obey God and His Apostle. God will be merciful to them, for God is all-mighty and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1307', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'God has promised men and women who believe gardens with streams of running water where they will abide for ever, and beautiful mansions in the Garden of Eden, and the blessings of God above all. That will be happiness supreme.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1308', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'Strive, O Prophet, against the unbelievers and the hypocrites, and deal with them firmly. Their final abode is Hell: And what a wretched destination!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1309', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'They swear by God: "We never said this." But they surely said words disbelieving the truth, and they turned unbelievers after having come to faith, and designed what they could not accomplish. They did it only out of vengeance for God and His Apostle had enriched them by their grace. So, if they repent it is better for them. If they turn away then God would afflict them with painful punishment in this world and the next; and none will they have on the face of the earth to protect or help them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1310', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'Some of them made a covenant with God: "If You give us in Your bounty we shall give alms and be upright."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1311', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'But when He gave them of His bounty they became greedy, and then turned away.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1312', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => 'As a consequence of breaking their promise made to God, and telling lies, he filled their hearts with hypocrisy which will last till the day they come before Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1313', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => 'Have they not realised that God knows their secrets and their confidential talk, and that God has the knowledge of unknown things?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1314', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => 'They who defame those of the believers who give alms willingly, and deride those who have nothing besides what they earn by their labour (to give in charity), will be derided by God, and will suffer painful punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1315', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'Whether you plead forgiveness for them or not, God will not forgive them, even though you plead seventy times, for they disbelieved in God and His Apostle; and God does not show transgressors the way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1316', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'Those who were left behind rejoiced that they stayed at home against the wishes of God\'s Apostle, being averse to fighting in the way of God with their wealth and lives, and said: "Do not go in this heat." Tell them: "The heat of Hell is far more intense." If only they had cared to instruct themselves!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1317', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'So let them laugh a little, for weep they will, more as retribution for what they have done.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1318', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'If you come back to them by (the grace of) God, and they seek your permission to go (to fight), you should tell them: "You will never go out nor fight the enemy with me any more. You preferred to stay back on the first occasion, so stay at home with those who stay behind."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1319', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'Do not invoke blessings on any of them who die, nor stand to pray at their graves, for they disbelieved in God and His Prophet, and died transgressors.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1320', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'And let not their wealth and children astonish you. God wishes to punish them through these in the world, and their souls will depart in a state of disbelief.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1321', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'Whenever a Surah is revealed (which says): "Believe in God and fight along with His Prophet," the well-to-do among them ask for leave to stay at home, and say: "Leave us with those who are left behind."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1322', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'They prefer to be with women who (are allowed to) stay at home during war, and their hearts are sealed; so they fail to understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1323', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'But the Prophet and those who have embraced the faith with him, and have fought wealth and soul (in the way of God), are blessed and will be successful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1324', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'God has provision for them of gardens with Streams of running water, where they will abide for ever. This will be the supreme triumph.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1325', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'Some Arabs of the desert came with ready excuses, asking for leave to stay behind. But those who had lied to God and His Prophet stayed at home doing nothing. So the punishment for those who disbelieve among them will be painful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1326', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => 'No blame will attach to the old and the sick, or those without means to spend on good acts, if they stay behind provided they are sincere to God and His Apostle; There is no way to blame those who are doers of good, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1327', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'Nor will they be blamed who came to you for transport, to whom you said: "I cannot find any means of conveyance for you," and they went away in tears, grieving that they lacked the means to spend (on carriage).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1328', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'Blame will lie on those who are rich yet ask your leave to stay behind. They prefer to stay with women who stay at home, and God seals their hearts; so they do not understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1329', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => 'When you come back they will offer excuses to you. Tell them: "Make no excuses; we do not believe you. God has informed us about you; and God and His Apostle shall watch your conduct. Then you will be brought to Him who knows what is hidden and what is manifest. He will tell you of what you did."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1330', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'They will beg you in the name of God, on your return, to forgive them; but you keep away from them: They are scum; their abode is Hell: Requital for what they had done.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1331', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'They will plead on oath that you accept them. Even if you accept them, remember God does not accept people who are disobedient.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1332', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'The village Arabs are more obstinate in disbelief and hypocrisy, and impervious to ordinances revealed to His Apostle by God; yet God is aware of everything and is wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1333', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'Some of these rustics take whatever they spend in the way of God as a penalty, and wait for an adverse turn in your fortune. For them will be the adverse change, as God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1334', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'Yet some Arabs of the desert believe in God and the Last Day, and consider what they spend to be a means of bringing them nearer to God and the blessings of the Prophet. This is certainly a means of achieving nearness (to God), and God will admit them to His mercy, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1335', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'Those among the migrants (from Makkah) and helpers (in Madina) who were the first to believe, and those who followed them in goodness, have been accepted by God and they follow His way. For them He has gardens with streams of running water where they will abide for ever; and that is happiness supreme.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1336', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'Some of the Arabs of the desert around you are hypocrites, and some of the people of Madina are stubborn in hypocrisy. You are not aware of them; We know them, and will punish them twice, and they will be sent to a harrowing doom.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1337', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'But there are others who admit their sins of mixing good deeds with evil. It may be that God will accept their repentance, for God is forgiving and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1338', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'Accept the offerings they make from their wealth in order to cleanse and purify them for progress, and invoke blessings upon them. Your blessings will surely bring them peace, for God hears all and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1339', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'Do they not know that God accepts the repentance of His creatures and receives what they offer in charity, and that He is forgiving and kind?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1340', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => 'Say to them: "Act. God will see your conduct, and so will His Apostle and the faithful; for you will in the end go back to Him, who knows the unknown and the known, who will tell you of what you were doing."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1341', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'There are still some others whose affairs await the dispensation of God. He may punish or pardon them, for God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1342', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'There are those who built a mosque on opposition and disbelief, and to cause rifts among the faithful, and to serve as an outpost for those who have warred against God and His Apostle before this. Yet they will surely swear: "We had only meant well." But God is witness that they are liars.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1343', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'Never set foot in that place. Only a mosque whose foundations have been laid from the very first on godliness is worthy of your visiting it. There you will find men who wish to be purified; and God loves those who are pure.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1344', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'Is the man who lays the foundations of his sanctum on his allegiance to God and the wish to seek His favour, better, or he who lays the foundations of his building on the edge of a bank eroded by water, which will collapse with him into the fire of Hell? But God does not guide the people who are wilfully unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1345', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '110', 'translate_name' => 'The edifice they have built will always fill their minds with perturbation (which will not cease) till their hearts are rent to pieces, for God is all-knowing and all-wise.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1346', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '111', 'translate_name' => 'God has verily bought the souls and possessions of the faithful in exchange for a promise of Paradise. They fight in the cause of God, and kill and are killed. This is a promise incumbent on Him, as in the Torah, so the Gospel and the Qur\'an. And who is more true to his promise than God? So rejoice at the bargain you have made with Him; for this will be triumph supreme.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1347', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '112', 'translate_name' => 'To those who repent and pay homage, give praise and are devout, who kneel in prayer and bow in supplication, who enjoin good deeds and prohibit the bad, and keep to the limits set by God, announce the news of rejoicing to the faithful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1348', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '113', 'translate_name' => 'It is not worthy of the Prophet and those who believe to seek forgiveness for those who are idolaters, even though they may be their relatives, after they have come to know that they are destined for Hell.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1349', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '114', 'translate_name' => 'As for Abraham\'s prayer for his father, he was fulfilling a promise he had made to him. Yet when it became evident to him that (his father) was an enemy of God, he broke away from him, though Abraham was soft hearted and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1350', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '115', 'translate_name' => 'God never leads men astray after guiding them, until He makes quite clear to them what they should avoid, for God indeed knows each and everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1351', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '116', 'translate_name' => 'Verily God\'s is the kingdom of the heavens and the earth. He alone is the giver of life and death; and none do you have besides God as friend and helper.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1352', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '117', 'translate_name' => 'God was kind to the Prophet, the emigrants, and the helpers of the faithful who followed him in the hour of distress. When a section of them were about to lose courage He turned to them in His mercy, for He is compassionate and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1353', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '118', 'translate_name' => 'He has relented towards the three also (who had refused to go to the battle of the Ditch) whose case was left undecided, and even the earth with all its expanse had become narrow for them, and their lives were confined, and they came to realise there was no refuge for them except in God. So He softened towards them that they may repent; for God surely accepts repentance and is merciful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1354', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '119', 'translate_name' => 'O believers, do not stray from the path of God, and be with those who are truthful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1355', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '120', 'translate_name' => 'It was not worthy of the people of Madina, and the Arabs of the desert around them, to abandon the Prophet of God, and to care more for themselves than for him; for there is no hardship or thirst or hunger that they know in the service of God, and no place they walk on where walking provokes the unbelievers, and no harm they receive from the enemy, but is put down as a good deed in their favour. Surely God does not let the recompense of those who do good to go waste.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1356', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '121', 'translate_name' => 'There is not a sum, large or small, that they spend, not a piece of land that they traverse (in the service of God) which is not put down in their favour, so that God could reward them for what they had done.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1357', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '122', 'translate_name' => 'It is not possible for all believers to go out (to fight). So a part of each section (of the population) should go (to fight) in order that the others may acquire understanding of law and divinity, and warn their companions on return so that they may take heed for themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1358', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '123', 'translate_name' => 'O believers, fight the unbelievers around you, and let them realise that you are firm: Remember, God is with those who are pious and obedient to Him.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1359', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '124', 'translate_name' => 'When a Surah is revealed some of them remark: "Whose faith among you has it increased?" It does increase the faith of those who believe, and they rejoice.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1360', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '125', 'translate_name' => 'But it adds disbelief to disbelief for those whose hearts are filled with doubt, and they die disbelieving.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1361', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '126', 'translate_name' => 'Do they not know that they are tried every year once or twice? Even then they do not repent and take heed.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1362', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '127', 'translate_name' => 'Whenever a Surah is revealed they look at each other (so as to ask): "Is anyone looking at Us?" and then turn away. Indeed God has turned their hearts away (from the truth), for they cannot discern the law of heaven.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1363', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '128', 'translate_name' => 'To you has come an Apostle from among you. Any sorrow that befalls you weighs upon him; He is eager for your happiness, full of concern for the faithful, compassionate and kind.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1364', 'chapter_id' => '9', 'translator_id' => '1', 'verse_number' => '129', 'translate_name' => 'So, if they turn away, say to them: "God is sufficient for me. There is no God but He; I depend on Him alone, the Lord of the glorious Throne."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1365', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'ALIF LAM RA. These are the verses of the authoritative Book.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1366', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => 'Are the people astonished that a man who is one of them was commanded by Us to warn them and to bring glad tidings to those who believe that they have a true precedence with their Lord? (Yet) the unbelievers say: "He is a clear sorcerer."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1367', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'Your Lord is God who created the heavens and the earth in six spans, then assumed His power, dispensing all affairs. None can intercede with Him except by His leave. He is God, your Lord, so worship Him. Will you not be warned?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1368', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'To Him will you all return: God\'s promise is true. It is He who originates creation, then will revert it, so that He may reward those who believe and do good things in all justice. But those who deny the truth will receive boiling water to drink and grievous punishment, for they disbelieved.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1369', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'It is He who gave the sun its radiance, the moon its lustre, and appointed its stations so that you may compute years and numbers. God did not create them but with deliberation. He distinctly explains His signs for those who can understand.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1370', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'In the alternation of night and day, and all that He has created in the heavens and the earth, are certainly signs for people who fear God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1371', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'As for those who do not hope to meet Us (after death), and are content with the life of this world, who are oblivious of Our signs,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1372', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'Will have Hell as their abode for what they have earned.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1373', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'But those who believe and act for a beneficial end will be guided by their Lord for their good faith. At their feet shall flow streams of running water in gardens of delight.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1374', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'Their invocation will be: "All glory to you, O God," and "Peace" will be their salutation, and the end of their prayer (will be): "All praise be to God, the Lord of all the worlds."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1375', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'If God were to hasten the evil, as men try to hasten the good, their term would come to end. So We leave those who do not expect to meet Us to wander perplexed in transgression.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1376', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'When man is afflicted with adversity he calls to Us, whether lying on his side, or sitting or standing. But when We take away his troubles, he moves away, as though he had never called to Us in affliction. In the same way, attractive have been made their deeds to the prodigals.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1377', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'How many generations did We lay low before you when they became wilfully unjust. Their apostles had brought clear proofs to them, yet they never believed. So We punished the sinful people.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1378', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'Then We appointed you leaders in the land after them to see how you behaved.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1379', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'When Our clear messages are recited to them, those who do not hope to meet Us, say: "Bring a different Qur\'an, or make amendments to this one." Say: "It is not for me to change it of my will. I follow (only) what is revealed to me. If I disobey my Lord, I fear the punishment of an awful Day."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1380', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'Say: "Had God pleased I would never have recited it to you, nor would He have given you comprehension of it. (Remember that I am one of you) and have lived a whole life with you before (its revelation). Even then you do not understand."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1381', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'Who is more unjust than he who imputes lies to God or denies His revelations? The sinners will surely not be reprieved.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1382', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'They worship those besides God who cannot do them harm or bring them gain, and say: "These are our intercessors with God." Say: "Do you want to inform God of things in the heavens and the earth He does not know?" Glorious is He, and too exalted for what they associate with Him!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1383', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'Men were once a community of one faith; but they differed (and followed different ways). Had it not been for the word proclaimed by your Lord before, their differences would have been resolved.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1384', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'They say: "How is it that no sign was sent by his Lord (to His Prophet)?" Tell them: "Unknown things are only known to God. So watch and wait (for the sign); I am waiting and expecting with you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1385', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'When We let them taste Our mercy after affliction, they contrive against Our signs. Say: "God is swifter at contriving," for Our angels record everything you plan.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1386', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'It is He who enables you to travel over land and sea. When you sail in ships in a favourable breeze, you rejoice. But when a gale begins to blow and the waves dash against them from every side they realise that they have been caught in it, (and) they call on God in all faith: "If You save us from this we shall ever be grateful."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1387', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'But when He rescues them, they commit excesses in the land unjustly again. Your rebellion, O people, shall recoil back on your own selves. The joys of the world (are only ephemeral): You have to come back to Us in the end. We shall then inform you what you were doing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1388', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'The life of the world is like the rain that waters the crops of the earth which are used as food by men and cattle. But when the earth is embellished and adorned with gold, and its tillers begin to feel that (the crops) are under control, Our command descends suddenly at night or in the day, and We mow them down as though there was nothing there yesterday. This is how We distinctly explain Our signs to those who think.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1389', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'God invites you to mansions of peace, and guides whosoever He will to the path that is straight', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1390', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'For those who do good there is goodness and more, and no blot or disgrace will cover their faces. They are people of Paradise, where they will abide for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1391', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'But those who earn evil shall be punished to an equal degree as their evil, and they will be covered with shame, and will have none to protect them against God: Their faces shall be blackened as though with patches of the night. They are the people of Hell, where they will abide for ever,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1392', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '28', 'translate_name' => 'The day We shall gather them all together We shall say to the idolaters: "Take your stand with the compeers you worshipped as the equals of God." We shall then create a rift between them, and the compeers will say: "You did not worship us;', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1393', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '29', 'translate_name' => 'For God is sufficient as witness between us and you we were not aware of your worship."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1394', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '30', 'translate_name' => 'Then each will see what he had done in the past; and they will turn to God, their true Lord, and all the lies they had fabricated will be of no avail to them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1395', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '31', 'translate_name' => 'Ask them: "Who gives you food and sustenance from the skies and the earth? Or, who is the lord of ear and eye? And who brings forth the living from the dead, the dead from the living? And who directs all affairs?" They will say: "God." So tell them: "Why do you not fear Him?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1396', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '32', 'translate_name' => 'Such then is God, your true Lord; and when truth is gone what is left but error? So why do you turn away?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1397', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '33', 'translate_name' => 'Thus the word of your Lord about those who disobey comes true, that they do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1398', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '34', 'translate_name' => 'Ask them: "Is there among the partners (you ascribe to God) one who first originates then reverts it? Say: "It is God alone who first creates and then reverts it. So where do you stray?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1399', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '35', 'translate_name' => 'Ask: "Is there one among those you associate with God who can show the way to the truth?" Say: "It is God who shows the way to truth." Then who is more worthy of being followed -- He who guides to the truth, or he who cannot find the path until shown the way? What has happened to you that you judge in such a wise?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1400', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '36', 'translate_name' => 'Many of them follow nothing but illusion; yet illusion cannot replace the reality. God verily knows what they do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1401', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '37', 'translate_name' => 'This Qur\'an is not such (a writ) as could be composed by anyone but God. It confirms what has been revealed before, and is an exposition of (Heaven\'s) law. Without any doubt it\'s from the Lord of all the worlds.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1402', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '38', 'translate_name' => 'Do they say (of the Prophet) that: "He has composed it?" Say to them: "Bring a Surah like this, and call anyone apart from God you can (to help you), if what you say is true."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1403', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '39', 'translate_name' => 'In fact, they deny what is beyond the reach of their knowledge, whose explanation has not reached them yet. So had those who have gone before them denied; but look at the fate of the unjust', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1404', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '40', 'translate_name' => 'Some of them will believe in it, some will not. Your Lord knows the transgressors well.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1405', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '41', 'translate_name' => 'If they (still) call you a liar, tell them: "For me my actions, for you yours. You are not answerable for my deeds, nor I for what you do."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1406', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '42', 'translate_name' => 'Some of them listen to you: But can you make the deaf hear who do not understand a thing?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1407', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '43', 'translate_name' => 'Some of them look toward you: But can you show the blind the way even when they cannot see?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1408', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '44', 'translate_name' => 'Surely God does not wrong anyone; they wrong themselves.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1409', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '45', 'translate_name' => 'The day He will gather them together it will appear to them that they had lived (in the world) but an hour of a day to make each other\'s acquaintance. Verily those who deny the meeting with God will be lost, and not find the way.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1410', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '46', 'translate_name' => 'Whether We show you some of the promise (of punishment in wait) for them, or take you to Ourself, their returning is to Us in the end; and God is a witness to all they do.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1411', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '47', 'translate_name' => 'For every people there is an apostle; and when their apostle is come the matter is decided between them equitably, and no one is wronged.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1412', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '48', 'translate_name' => 'They say: "When is this promise going to come, if what you say is true?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1413', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '49', 'translate_name' => 'Say: "I have no power over my own gain or loss other than what God may please." Every people have a certain term. When their time is come they can neither delay it an hour nor advance it a moment forward.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1414', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '50', 'translate_name' => 'Say: "Have you ever thought if His punishment befalls you at night or in the day, what would the sinners do to despatch it?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1415', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '51', 'translate_name' => 'Will you believe it when it comes to pass? Indeed, you will believe it then. How impatient you were to hasten it!', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1416', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '52', 'translate_name' => 'Then will the sinners be told: "Now taste everlasting torment. Should you be rewarded for anything else but what you did?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1417', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '53', 'translate_name' => 'Yet they want to be informed if it is true. Say: "By my Lord, it is the truth. You cannot invalidate it."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1418', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '54', 'translate_name' => 'Even if every soul that has sinned possessed whatever is on the earth, it would surely offer it to ransom itself, and feel repentant on seeing the punishment. Yet the sentence would be passed with justice, and not one will be wronged.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1419', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '55', 'translate_name' => 'For all that is in the heavens and the earth belongs to God. Remember, the promise of God is true. But most of them do not know.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1420', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '56', 'translate_name' => 'He is the giver of life and death, and to Him you will return.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1421', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '57', 'translate_name' => 'O men, a warning has come to you from your Lord, a remedy for the (doubts) of the heart, and a guidance and grace for those who believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1422', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '58', 'translate_name' => 'Say: "It is the blessing and mercy of God; so rejoice in it. It is better than all that you amass."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1423', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '59', 'translate_name' => 'Say: "Have you thought of what God has sent you for food, of which you have labelled some as lawful and some forbidden?" And ask: "Has God commanded this, or you are imputing lies to God?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1424', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '60', 'translate_name' => 'What do those who invent lies of God think about the Day of Reckoning? (Will they escape the judgement?) In fact God is gracious to men; but most of them are not grateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1425', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '61', 'translate_name' => 'There is no state you are in, whether reading from the Qur\'an, or doing something else, but We are watching you as you are engaged in it. There is not the weight of an atom on the earth and in the heavens that is hidden from your Lord, nor is there anything smaller or greater than this but is recorded in the perspicuous Book.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1426', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '62', 'translate_name' => 'Remember, there is neither fear nor regret for the friends of God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1427', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '63', 'translate_name' => 'Those who believe and obey God,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1428', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '64', 'translate_name' => 'For them is good news in the life of the world and in the life to come. There is no changing the words of God. That will be the great triumph.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1429', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '65', 'translate_name' => 'You should not be grieved by what they say. All glory is wholly for God: He is the one who hears and knows everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1430', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '66', 'translate_name' => 'Remember, whosoever is in the heavens and the earth belongs to God. Those who call on others they associate with God, follow nothing but conjecture, and only guess.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1431', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '67', 'translate_name' => 'It is He who made the night for you to rest, and made the day enlightening. Indeed there are signs in this for those who listen.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1432', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '68', 'translate_name' => 'They say: "God has begotten a son." Immaculate is He and self-sufficient." Whatsoever is in the heavens and the earth belongs to Him. You have no proof for this (assertion): Why do you say things of God you do not know?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1433', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '69', 'translate_name' => 'Say: "Those who fabricate lies about God will never succeed."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1434', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '70', 'translate_name' => 'Let them profit by the world (while they may): In the end they will come back to Us. Then We shall make them taste severe punishment for having denied (the truth).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1435', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '71', 'translate_name' => 'Recount to them the story of Noah when he said to his people: "O people, if you find my staying with you and warning through God\'s signs, unbearable to you, know that I have reposed my trust in God. So plan your move, and call your associates, and make certain of your plan; then do whatever you intend against me, allowing me no respite.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1436', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '72', 'translate_name' => 'If you turn away from me (remember) I do not ask any recompense from you. My reward is with God; I have been commanded to be one of those who submit to Him."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1437', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '73', 'translate_name' => 'Even then they denied him; so We saved him and those with him, in the ark, and established them in the land, and drowned those who denied Our signs. So think of the fate of those who were warned (and took no heed).', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1438', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '74', 'translate_name' => 'Afterwards We sent many messengers who brought clear proofs to their peoples. But they were not prepared to believe what they had once denied. That is how We seal the hearts of the iniquitous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1439', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '75', 'translate_name' => 'Then after them We sent Moses and Aaron with Our signs to the Pharaoh and his nobles; but they behaved arrogantly, for they were a people full of guilt.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1440', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '76', 'translate_name' => 'Thus, when the truth had come to them from Us, they said: "Surely this is nothing but pure magic."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1441', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '77', 'translate_name' => '"You say this of the truth," said Moses, "after it has come to you. Is this magic? But sorcerers do not ever prosper."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1442', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '78', 'translate_name' => '"Have you come," said they, "to turn us back from what we found our ancestors doing, so that the two of you may attain supremacy in the land? We shall not believe in what you say.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1443', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '79', 'translate_name' => '"Bring the cleverest magicians to me," said the Pharaoh.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1444', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '80', 'translate_name' => 'So when the magicians arrived, Moses said to them: "Cast whatever (spell) you have to cast."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1445', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '81', 'translate_name' => 'When they had cast (their spell) Moses said: "What you have cast is only a charm which God will surely nullify. God does not verily render the deeds of evil-doers righteous.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1446', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '82', 'translate_name' => 'God vindicates the truth by His commands, however the sinners may dislike it."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1447', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '83', 'translate_name' => 'But none of them put faith in Moses except some youths among his people who were nonetheless afraid lest the Pharaoh and his nobles should persecute them; for the Pharaoh was mighty in the land, and guilty of excesses.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1448', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '84', 'translate_name' => 'Moses said: "O my people, if you do believe in God place your trust in Him if you are obedient."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1449', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '85', 'translate_name' => 'They answered: "We have placed our trust in God. O Lord, do not make us a target of oppression for these tyrannical people,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1450', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '86', 'translate_name' => 'And deliver us by Your grace from a people who do not believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1451', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '87', 'translate_name' => 'We commanded Moses and his brother: "Build homes for your people in Egypt, and make your houses places of worship, perform your acts of prayer and give happy tidings to those who believe."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1452', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '88', 'translate_name' => 'And Moses said: "O Lord, have You bestowed on the Pharaoh and his nobles pomp and plenty in the life of this world that they might mislead people from Your path? Destroy their possessions, O Lord, and harden their hearts that they may not believe until they face the painful punishment."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1453', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '89', 'translate_name' => 'Said (the Lord): "Your prayer is answered. Therefore persist and do not follow the path of those who are ignorant."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1454', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '90', 'translate_name' => 'And We brought the people of Israel across the sea, but the Pharaoh and his army pursued them wickedly and maliciously till he was on the point of drowning, and he said: "I believe that there is no god but He in whom the people of Israel believe, and I submit to Him."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1455', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '91', 'translate_name' => '"Yes, now" (was the answer), "though before this you were disobedient and rebellious.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1456', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '92', 'translate_name' => 'We shall preserve your body today that you may be a lesson for those who come after you; as many a man is heedless of Our signs."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1457', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '93', 'translate_name' => 'We gave the people of Israel a settled abode, and bestowed good things on them to eat and use. So they did not differ until they came to have knowledge. Your Lord will assuredly settle their differences on the Day of Resurrection.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1458', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '94', 'translate_name' => 'If you are in doubt of what We have sent down to you, then ask those who have been reading the Book (for a long time) before you. The truth has indeed come to you from your Lord, so do not be one of those who doubt,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1459', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '95', 'translate_name' => 'And do not be one of those who deny the signs of God, or you will be among the losers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1460', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '96', 'translate_name' => 'Verily those against whom the word of your Lord is pronounced will never believe,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1461', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '97', 'translate_name' => 'Even though all the signs came to them, not till they face the grievous punishment.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1462', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '98', 'translate_name' => 'Why has there been no habitation that believed and profited by their faith, except the people of Jonah? When they came to believe, We removed from them the affliction of shame in the world, and made them prosperous for a time.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1463', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '99', 'translate_name' => 'If your Lord had willed, all the people on the earth would have come to believe, one and all.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1464', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '100', 'translate_name' => 'Are you going to compel the people to believe except by God\'s dispensation? He puts doubt in (the minds of) those who do not think.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1465', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '101', 'translate_name' => 'Say: "Observe all there is in the heavens and the earth." But signs or warnings will be of no avail to those who do not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1466', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '102', 'translate_name' => 'Can they expect anything but what the people before them had known? Say: "Then wait. I am waiting with you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1467', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '103', 'translate_name' => 'Thus do We deliver our apostles and those who believe. As a matter of duty We save the believers.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1468', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '104', 'translate_name' => 'Say: "O men, if you have doubt about my faith, then (know) I do not worship those you worship apart from God, but I worship God who makes you die; and I am commanded to be a believer,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1469', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '105', 'translate_name' => 'And to set my face toward the way, as one upright, and not be one of those who associate others with God.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1470', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '106', 'translate_name' => 'And not to invoke any other than God, who can neither help nor hurt me; for if I do, I would surely be unjust.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1471', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '107', 'translate_name' => 'Should God bring you harm there is none but He who could deliver you from it, and if He wish you good there is none who could take away His blessings: He showers them on those of His creatures as He please, and He is forgiving and kind."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1472', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '108', 'translate_name' => 'Say: "O men, the truth has come to you from your Lord, so he who follows the right path does so for himself, and he who goes astray errs against himself, and I am not a guardian over you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1473', 'chapter_id' => '10', 'translator_id' => '1', 'verse_number' => '109', 'translate_name' => 'Follow what is revealed to you, and persist until God pronounce His judgement; for He is the best of all judges."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1474', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '1', 'translate_name' => 'ALIF LAM RA. This is a Book whose verses are indeclinable and distinct, which comes from One who is most wise and all-knowing,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1475', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '2', 'translate_name' => '(Proclaiming) that you should worship none but God. Verily I bring to you from Him a message of warning and rejoicing,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1476', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '3', 'translate_name' => 'And that you should seek His forgiveness and turn towards Him. He will bestow the best things of life on you for a time ordained, and favour those with blessings who are worthy of grace. But if you turn away, I fear the punishment of a terrible Day for you.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1477', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '4', 'translate_name' => 'To God have you to go back, and He has power over everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1478', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '5', 'translate_name' => 'Look, how they double up their breasts in order to hide from Him. But when they cover themselves up with their garments, He knows what they hide and what they expose. Indeed, He knows the secrets of the hearts.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1479', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '6', 'translate_name' => 'There is not a creature that moves on the earth whose nourishment is not provided by God, whose place of sojourning and depositing is not known to Him. All things conform to a manifest law.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1480', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '7', 'translate_name' => 'It is He who created the heavens and the earth In six spans, and has control over the waters (of life) so that he may bring out the best that everyone of you could do. Yet if you said to them: "You shall certainly be raised from the dead," the unbelievers will say: "This will be nothing but sorcery."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1481', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '8', 'translate_name' => 'If We defer their punishment for a certain time, they will say: "What is keeping it back?" And yet, the day it comes, they will not be able to avert it; and what they used to laugh at will encompass them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1482', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '9', 'translate_name' => 'If We allow man to enjoy Our favours, and then take them away from him, he becomes despondent and ungrateful.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1483', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '10', 'translate_name' => 'If We let him taste Our favours after adversity, he says: "Misfortune has left me," and begins to brag and exult,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1484', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '11', 'translate_name' => 'Except those who endure with patience and do the right, who will have pardon and a great reward.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1485', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '12', 'translate_name' => 'You may haply omit some of what has been revealed to you, and may be disheartened because they say: "Why was no treasure sent down to him, or an angel accompanied him?" Yet you have been sent to warn alone, for God takes care of everything.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1486', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '13', 'translate_name' => 'Do they say (of the Prophet): "He has forged (the Qur\'an)?" Say: "Then bring ten Surahs like it, and call anyone except God to help you, if what you say is true."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1487', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '14', 'translate_name' => 'If they do not answer you, then know it has been revealed with the knowledge of God, and that there is no god but He. (And say:) "Will you now submit?"', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1488', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '15', 'translate_name' => 'To those who desire the life of this world and its many allures, We shall pay them in full for their acts herein and will not withold any thing.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1489', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '16', 'translate_name' => 'Yet these are the people for whom there is nothing but Fire in the world to come. Fruitless will be what they have fashioned, and whatever they have done will perish.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1490', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '17', 'translate_name' => 'Will he who has a clear proof from his Lord, which acts as evidence from Him, before which the Book of Moses was a way-giver and a grace, (not believe in it)? Whoever among the partisans does not believe in it shall have Hell as the promised award. So have no doubt about it, for surely it\'s the truth from your Lord, though most men may not believe.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1491', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '18', 'translate_name' => 'Who is more wicked than he who invents lies about God? Such men shall be arraigned before their Lord, and the witnesses will testify: "These are those who imputed lies to God." Beware! The scourge of God will fall on the unjust,', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1492', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '19', 'translate_name' => 'Who obstruct others from the way of God and seek obliquity in it, and do not believe in the life to come.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1493', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '20', 'translate_name' => 'They shall not weaken (the power of) God on earth, nor find any other protector but God. Their punishment will be doubled, for they could neither hear nor see.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1494', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '21', 'translate_name' => 'They are verily those who exceeded themselves, and the (gods) they invented abandoned them.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1495', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '22', 'translate_name' => 'Undoubtedly they will be losers in the life to come.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1496', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '23', 'translate_name' => 'But those who believe and do things good, and are humble before their Lord, are men of Paradise where they will abide for ever.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1497', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '24', 'translate_name' => 'The semblance of these two groups is that of a man who is deaf and blind, and the other who can hear and see. Can they be equal? Why do you not reflect?', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1498', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '25', 'translate_name' => 'We sent Noah to his people (and he said): "I give you a clear warning.', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1499', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '26', 'translate_name' => 'Do not worship anyone but God; for I fear the punishment of a dreadful day for you."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
            array('id' => '1500', 'chapter_id' => '11', 'translator_id' => '1', 'verse_number' => '27', 'translate_name' => 'The leaders of the people who were unbelievers, replied: "We see that you are but a man like us, and see that none among us follows you but the meanest and immature of judgement, and do not see any excellence in you above us. In fact, we think you are a liar."', 'created_at' => '2023-12-02 06:15:37', 'updated_at' => '2023-12-02 06:15:37'),
        );
        $results = [];
        foreach ($verse_translations as $key => $item){
            $results[] = [
                'chapter_id' => $item['chapter_id'],
                'chapter_detail_id' => $key+1,
                'translator_id' => $item['translator_id'],
                'verse_number' => $item['verse_number'],
                'translate_name' => $item['translate_name'],
                'created_at' => $item['created_at'],
                'updated_at' => $item['updated_at'],
            ];
        }

        DB::table('verse_translations')->insert($results);
    }

}
